import java.nio.files.*;
public class MyDirectoryInspector extends Object {
    public static void main ( String[] args ) {
        Path startPath = Paths.get ( "\\CallGuidesTXT\\" );
        Files.walkFileTree ( startPath, new SimpleFileVisitor<Path>() );
    }
}
public class SimpleFileVisitor<Path>() ) {
    @Override
    public FileVisitResult visitFile ( Path file, BasicFileAttributes attrs )
    throws IOException {
        String firstLine = Files.newBufferedReader ( file, Charset.defaultCharset() ).readLine();
        System.out.println ( firstLine );
        return FileVisitResult.CONTINUE;
    }
}
