interface Callback {
    void visit ( int[] p );
}
void visit ( int[] bounds, int currentDimension, int[] p, Callback c ) {
    for ( int i = 0; i < bounds[currentDimension]; i++ ) {
        p[currentDimension] = i;
        if ( currentDimension == p.length - 1 ) {
            c.visit ( p );
        } else {
            visit ( bounds, currentDimension + 1, p, c );
        }
    }
}
visit ( new int[] {10, 10, 10}, 0, new int[3], new Callback() {
    public void visit ( int[] p ) {
        System.out.println ( Arrays.toString ( p ) );
    }
} );
