private void generateParamList ( String pageId ) {
    if ( params.contains ( pageId ) ) {
        return;
    }
    Stack<String> links = new Stack<String>();
    links.push ( pageId );
    while ( !links.empty() ) {
        pageId = links.pop();
        if ( params.contains ( pageId ) ) {
            continue;
        }
        params.add ( pageId );
        String[] inc = getInboundLinks ( pageId );
        for ( int i = 0; i < inc.length; i++ ) {
            links.push ( inc[i] );
        }
    }
}
