final Button btn1 = ( Button ) findViewById ( R.id.btn1 );
final Button btn2 = ( Button ) findViewById ( R.id.btn2 );
btn1.setOnClickListener ( new View.OnClickListener() {
    @Override
    public void onClick ( View v ) {
        Intent intent = new Intent();
        intent.setAction ( Intent.ACTION_VIEW );
        intent.addCategory ( Intent.CATEGORY_BROWSABLE );
        intent.setData ( Uri.parse ( "http://www.test.com" ) );
        intent.addFlags ( Intent.FLAG_ACTIVITY_NEW_TASK );
        startActivity ( intent );
        btn1.setVisibility ( View.GONE );
    }
} );
btn2.setOnClickListener ( new View.OnClickListener() {
    @Override
    public void onClick ( View v ) {
        Intent intent = new Intent ( Intent.ACTION_SEND );
        String[] tos = { "info@email.com" };
        intent.putExtra ( Intent.EXTRA_EMAIL, tos );
        intent.putExtra ( Intent.EXTRA_TEXT, "body" );
        intent.putExtra ( Intent.EXTRA_SUBJECT, "subject" );
        intent.setType ( "message/rfc882" );
        Intent.createChooser ( intent, "Choose Email" );
        btn2.setVisibility ( View.VISIBLE );
    }
} );
switch ( realViewSwitcher.getCurrentScreen() ) {
case 0:
    break;
case 2:
    break;
default:
    throw new Exception ( "Oops..." );
}
