@RequestMapping ( value = "/", method = RequestMethod.GET )
public String home ( Locale locale, Model model ) {
    logger.info ( "Welcome home! the client locale is " + locale.toString() );
    Date date = new Date();
    DateFormat dateFormat = DateFormat.getDateTimeInstance ( DateFormat.LONG, DateFormat.LONG, locale );
    String formattedDate = dateFormat.format ( date );
    model.addAttribute ( "serverTime", formattedDate );
    return "main";
}
@RequestMapping ( value = "/serverTime", method = RequestMethod.GET )
@ResponseBody
public String serverTime ( Locale locale, Model model ) {
    Date date = new Date();
    DateFormat dateFormat = DateFormat.getDateTimeInstance ( DateFormat.LONG, DateFormat.LONG, locale );
    return dateFormat.format ( date );
}
