public static int getDiffYears ( Date first, Date last ) {
    Calendar a = getCalendar ( first );
    Calendar b = getCalendar ( last );
    int diff = b.get ( YEAR ) - a.get ( YEAR );
    if ( a.get ( MONTH ) > b.get ( MONTH ) ||
            ( a.get ( MONTH ) == b.get ( MONTH ) && a.get ( DATE ) > b.get ( DATE ) ) ) {
        diff--;
    }
    return diff;
}
public static Calendar getCalendar ( Date date ) {
    Calendar cal = Calendar.getInstance ( Locale.US );
    cal.setTime ( date );
    return cal;
}
