Connection con = null;
boolean ok = false;
try {
    con = DriverManager.getConnection ( ... );
    ...
    con.commit();
    ok = true;
} catch ( ... ) {
}
...
} finally {
    if ( con != null ) {
        try {
            if ( !ok ) {
                con.rollback();
            }
        } finally {
            con.close();
        }
    }
}
