@Override
protected int getChildDrawingOrder ( int childCount, int i ) {
    int centerChild = 0;
    if ( ( childCount % 2 ) == 0 ) {
        centerChild = childCount / 2;
        int otherCenterChild = centerChild - 1;
        View child = this.getChildAt ( centerChild );
        final int top = child.getTop();
        final int bottom = child.getBottom();
        final int absParentCenterY = getTop() + getHeight() / 2;
        if ( ( top < absParentCenterY ) && ( bottom > absParentCenterY ) ) {
        } else {
            centerChild = otherCenterChild;
        }
    } else {
        centerChild = childCount / 2;
    }
    int rez = i;
    if ( i > centerChild ) {
        rez = ( childCount - 1 ) - i + centerChild;
    } else if ( i == centerChild ) {
        rez = childCount - 1;
    } else {
        rez = i;
    }
    return rez;
}
