public synchronized Method getReadMethod() {
    Method readMethod = getReadMethod0();
    if ( readMethod == null ) {
        Class cls = getClass0();
        if ( cls == null || ( readMethodName == null && readMethodRef == null ) ) {
            return null;
        }
        if ( readMethodName == null ) {
            Class type = getPropertyType0();
            if ( type == boolean.class || type == null ) {
                readMethodName = "is" + getBaseName();
            } else {
                readMethodName = "get" + getBaseName();
            }
        }
        readMethod = Introspector.findMethod ( cls, readMethodName, 0 );
        if ( readMethod == null ) {
            readMethodName = "get" + getBaseName();
            readMethod = Introspector.findMethod ( cls, readMethodName, 0 );
        }
        try {
            setReadMethod ( readMethod );
        } catch ( IntrospectionException ex ) {
        }
    }
    return readMethod;
}
