package com.fsp.slideview;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.Window;
public class ImageSplashActivity extends Activity {
    private Thread mSplashThread;
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        requestWindowFeature ( Window.FEATURE_NO_TITLE );
        setContentView ( R.layout.splash );
        final ImageSplashActivity sPlashScreen = this;
        mSplashThread = new Thread() {
            @Override
            public void run() {
                try {
                    synchronized ( this ) {
                        wait ( 2000 );
                    }
                } catch ( InterruptedException ex ) {
                }
                finish();
                Intent intent = new Intent();
                intent.setClass ( sPlashScreen, SlideMainActivity.class );
                startActivity ( intent );
            }
        };
        mSplashThread.start();
    }
    @Override
    public boolean onTouchEvent ( MotionEvent evt ) {
        if ( evt.getAction() == MotionEvent.ACTION_DOWN ) {
            synchronized ( mSplashThread ) {
                mSplashThread.notifyAll();
            }
        }
        return true;
    }
}
