model.read ( ... );
StmtIterator si = model.listStatements (
                      model.getResource ( "required property uri" ), RDFS.range, ( RDFNode ) null );
while ( si.hasNext() ) {
    Statement stmt = si.next();
    Resource range = stmt.getObject().asResource();
    Resource nextNode = range.getPropertyResourceValue ( OWL2.withRestrictions );
    for ( ;; ) {
        Resource restr = nextNode.getPropertyResourceValue ( RDF.first );
        if ( restr == null ) {
            break;
        }
        StmtIterator pi = restr.listProperties();
        while ( pi.hasNext() ) {
            Statement restrStmt = pi.next();
            Property restrType = restrStmt.getPredicate();
            Literal value = restrStmt.getObject().asLiteral();
            System.out.println ( restrType + " = " + value );
        }
        nextNode = nextNode.getPropertyResourceValue ( RDF.rest );
    }
}
