public class Chromosome {
    private static final int CHROMOSOME_LENGTH = 10;
    private Gene genes[];
    public Chromosome() {
        genes = new Gene[CHROMOSOME_LENGTH];
    }
    public Gene getGene ( int index ) {
        return genes[index];
    }
    public void setGene ( int index, Gene gene ) {
        genes[index] = gene;
    }
    public Chromosome createChild ( Chromosome parentA, Chromosome parentB ) throws CloneNotSupportedException {
        Chromosome child = new Chromosome();
        for ( int i = 0; i < 10; i++ ) {
            if ( i < 5 ) {
                child.genes[i] = ( Gene ) ( parentA.genes[i].clone() );
            } else {
                child.genes[i] = ( Gene ) ( parentB.genes[i].clone() );
            }
        }
        return child;
    }
}
