String filename = System.getProperty ( "java.home" ) + "/lib/security/cacerts".replace ( '/', File.separatorChar );
Set<X509Certificate> additionalCerts = new HashSet<X509Certificate>();
FileInputStream is = new FileInputStream ( filename );
KeyStore keystore = KeyStore.getInstance ( KeyStore.getDefaultType() );
String password = "changeit";
keystore.load ( is, password.toCharArray() );
PKIXParameters params = new PKIXParameters ( keystore );
Iterator it = params.getTrustAnchors().iterator();
while ( it.hasNext() ) {
    TrustAnchor ta = ( TrustAnchor ) it.next();
    X509Certificate cert = ta.getTrustedCert();
    additionalCerts.add ( cert );
}
