public static List<Field> getAllFields ( List<Field> fields, Class<?> type ) {
    for ( Field field : type.getDeclaredFields() ) {
        fields.add ( field );
    }
    if ( type.getSuperclass() != null ) {
        fields = getAllFields ( fields, type.getSuperclass() );
    }
    return fields;
}
@Test
public void getLinkedListFields() {
    System.out.println ( getAllFields ( new LinkedList<Field>(), LinkedList.class ) );
}
