static List<Set<String>> combine ( List<List<String>> itemLists ) {
    int remainingCombinations = itemLists.get ( 0 ).size();
    for ( int i = 1; i < itemLists.size(); i++ ) {
        remainingCombinations *= itemLists.get ( i ).size();
    }
    List<Set<String>> allSets = new ArrayList<Set<String>>();
    for ( ; remainingCombinations > 0; remainingCombinations -- ) {
        Set<String> currentSet = new HashSet<String>();
        int positionInRow = remainingCombinations;
        for ( int i = 0; i < itemLists.size(); i++ ) {
            int sizeOfRow = itemLists.get ( i ).size();
            currentSet.add ( itemLists.get ( i ).get ( positionInRow % sizeOfRow ) );
            positionInRow /= sizeOfRow;
        }
        allSets.add ( currentSet );
    }
    return allSets;
}
