public enum SigninErrorCodes {
    InvalidUser ( "a0" ), InvalidPassword ( "b5" ), NoServerResponse ( "s2" );
    private final String _code;
    SigninErrorCodes ( String code ) {
        _code = code;
    }
    public String code() {
        return _code;
    }
    private static final Map<String, SigninErrorCodes> m;
    static {
        SigninErrorCodes[] verbs = values();
        m = new HashMap<String, SigninErrorCodes> ( verbs.length * 2 );
        for ( int i = 0; i < verbs.length; i++ ) {
            m.put ( verbs[i].code(), verbs[i] );
        }
    }
    public static SigninErrorCodes deref ( String code ) {
        return m.get ( code );
    }
}
