Container before = new Container ( "test" );
Containee one = new Containee ( "one" );
Containee two = new Containee ( "two" );
Containee three = new Containee ( "three" );
before.getContents().add ( one );
before.getContents().add ( two );
before.getContents().add ( three );
pm = pmf.getPersistenceManager();
try {
    pm.makePersistent ( before );
} finally {
    pm.close();
}
pm = pmf.getPersistenceManager();
try {
    Container after = pm.getObjectById ( Container.class, "test" );
    System.out.println ( "Pre-remove set cardinality "
                         + after.getContents().size() );
    System.out.println ( "Post-store containment: "
                         + after.getContents().contains ( one ) );
    Containee ref = null;
    for ( Containee c : after.getContents() ) {
        if ( c.equals ( one ) ) {
            ref = c;
        }
    }
    if ( ref != null ) {
        after.getContents().remove ( ref );
    }
    System.out.println ( "Post-remove set cardinality: "
                         + after.getContents().size() );
} finally {
    pm.close();
}
pm = pmf.getPersistenceManager();
try {
    Container after = pm.getObjectById ( Container.class, "test" );
    System.out.println ( "Final set cardinality "
                         + after.getContents().size() );
} finally {
    pm.close();
}
