public void onDraw ( Canvas canvas ) {
    canvas.drawRect ( 0, 0, width, height, background );
    int drawSizeX = 5;
    int drawSizeY = 5;
    for ( int i = 0; i < drawSizeX - 1; i++ ) {
        for ( int j = 0; j < drawSizeY - 1; j++ ) {
            float x = j * totalCellWidth;
            float y = i * totalCellHeight;
            if ( vLines[i + maze.scrollX][j + maze.scrollY] ) {
                canvas.drawLine ( x + cellWidth,
                                  y,
                                  x + cellWidth,
                                  y + cellHeight,
                                  line );
            }
            if ( hLines[i + maze.scrollX][j + maze.scrollY] ) {
                canvas.drawLine ( x,
                                  y + cellHeight,
                                  x + cellWidth,
                                  y + cellHeight,
                                  line );
            }
        }
    }
}
