public void captureView ( int viewId, String filename ) {
    View    view = ( View ) findViewById ( viewId );
    Bitmap image = Bitmap.createBitmap ( view.getWidth(),
                                         view.getHeight(),
                                         Bitmap.Config.RGB_565 );
    view.draw ( new Canvas ( image ) );
    try {
        String path = Environment.getExternalStorageDirectory().toString();
        File myFile = new File ( path, filename );
        FileOutputStream out = new FileOutputStream ( myFile );
        image.compress ( Bitmap.CompressFormat.PNG, 90, out );
    } catch ( Exception e ) {
        e.printStackTrace();
    }
}
