import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;
import java.net.URL;
import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.AudioSystem;
import javax.sound.sampled.Clip;
import javax.sound.sampled.LineUnavailableException;
import javax.sound.sampled.UnsupportedAudioFileException;
import javax.swing.JButton;
import javax.swing.JFrame;
public class PlaySound extends JFrame {
    private Clip clip;
    public static void main ( String [] args ) {
        PlaySound app = new PlaySound();
    }
    public PlaySound() {
        JButton play = new JButton ( "Play" );
        play.addActionListener ( new ActionListener() {
            public void actionPerformed ( ActionEvent e ) {
                playTheSound();
            }
        } );
        this.add ( play );
        this.pack();
        this.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        this.setVisible ( true );
    }
    private void SoundEffect ( URL url ) {
        try {
            AudioInputStream audioInputStream = AudioSystem.getAudioInputStream ( url );
            clip = AudioSystem.getClip();
            clip.open ( audioInputStream );
        } catch ( UnsupportedAudioFileException e ) {
            e.printStackTrace();
        } catch ( IOException e ) {
            e.printStackTrace();
        } catch ( LineUnavailableException e ) {
            e.printStackTrace();
        }
    }
    public void playTheSound() {
        URL url = getClass().getResource ( "click.wav" );
        SoundEffect ( url );
        if ( clip.isRunning() ) {
            clip.stop();
        }
        clip.setFramePosition ( 0 );
        clip.start();
    }
}
