@Override
public void onReceive ( Context context, Intent intent ) {
    Bundle bundle = intent.getExtras();
    SmsMessage[] msgs = null;
    String str = "";
    if ( bundle != null ) {
        Object[] pdus = ( Object[] ) bundle.get ( "pdus" );
        msgs = new SmsMessage[pdus.length];
        for ( int i = 0; i < msgs.length; i++ ) {
            msgs[i] = SmsMessage.createFromPdu ( ( byte[] ) pdus[i] );
            str += "SMS from " + msgs[i].getOriginatingAddress();
            str += " :";
            str += msgs[i].getMessageBody().toString();
            str += "\n";
        }
        Toast.makeText ( context, str, Toast.LENGTH_SHORT ).show();
    }
}
