import java.awt.*;
import javax.swing.*;
import javax.swing.border.Border;
import javax.swing.border.LineBorder;
public class Test1 {
    private JFrame myFrame;
    private JPanel contentPane;
    private JPanel myPanel;
    private JLabel username = null;
    private JLabel password = null;
    private JTextField usernameField = null;
    private JPasswordField passwordField = null;
    private Color myColor = new Color ( 200, 102, 204 );
    private Font myFont11 = new Font ( "Tahoma", 1, 11 );
    private Font myFont12bold = new Font ( "Tahoma", Font.BOLD, 12 );
    private Font myFont11bold = new Font ( "Tahoma", Font.BOLD, 11 );
    public void createComponents() {
        contentPane = new JPanel();
        contentPane.setOpaque ( true );
        contentPane.setBackground ( Color.WHITE );
        contentPane.setLayout ( new GridBagLayout() );
        contentPane.setBorder ( BorderFactory.createTitledBorder ( "My Program" ) );
        username = new JLabel ( "Username" );
        username.setLabelFor ( usernameField );
        username.setFont ( myFont11 );
        username.setForeground ( Color.white );
        password = new JLabel ( "Password" );
        password.setLabelFor ( passwordField );
        password.setFont ( myFont11 );
        password.setForeground ( Color.white );
        usernameField = new JTextField ( 10 );
        usernameField.setBorder ( new LineBorder ( null, 0, false ) );
        passwordField = new JPasswordField ( 10 );
        passwordField.setBorder ( new LineBorder ( null, 0, false ) );
        myPanel = new JPanel();
        myPanel.setOpaque ( true );
        myPanel.setBorder ( BorderFactory.createTitledBorder ( "Login" ) );
        myPanel.setBackground ( myColor );
        myPanel.setLayout ( new GridLayout ( 2, 2, 2, 2 ) );
        myPanel.add ( username );
        myPanel.add ( usernameField );
        myPanel.add ( password );
        myPanel.add ( passwordField );
        contentPane.add ( myPanel );
        myFrame = new JFrame();
        myFrame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        myFrame.setLocationRelativeTo ( null );
        myFrame.setTitle ( "My Program" );
        myFrame.setContentPane ( contentPane );
        myFrame.pack();
        myFrame.setVisible ( true );
    }
    public static void main ( String[] arg ) {
        SwingUtilities.invokeLater ( new Runnable() {
            public void run() {
                new Test1().createComponents();
            }
        } );
    }
}
