public int[] chunk ( int m, int n ) {
    if ( n < 2 ) {
        return null;
    }
    if ( m < 2 ) {
        m = 2;
    }
    if ( n < m ) {
        throw new IllegalArgumentException ( "Borked" );
    }
    int root = ( int ) Math.sqrt ( ( double ) n );
    boolean[] sieve = new boolean[n - m + 1];
    for ( int i = 1, p = primes[1]; i < primeCount; ++i ) {
        if ( ( p = primes[i] ) > root ) {
            break;
        }
        int mult;
        if ( p * p < m ) {
            mult = ( m - 1 ) / p + 1;
            if ( mult % 2 == 0 ) {
                ++mult;
            }
            mult = p * mult;
        } else {
            mult = p * p;
        }
        for ( ; mult <= n; mult += 2 * p ) {
            sieve[mult - m] = true;
        }
    }
    int count = m == 2 ? 1 : 0;
    for ( int i = 1 - m % 2; i < n - m; i += 2 ) {
        if ( !sieve[i] ) {
            ++count;
        }
    }
    int sievedPrimes[] = new int[count];
    int pi = 0;
    if ( m == 2 ) {
        sievedPrimes[0] = 2;
        pi = 1;
    }
    for ( int i = 1 - m % 2; i < n - m; i += 2 ) {
        if ( !sieve[i] ) {
            sievedPrimes[pi++] = m + i;
        }
    }
    return sievedPrimes;
}
