float smoothedDeltaRealTime_ms = 17.5f;
float movAverageDeltaTime_ms = smoothedDeltaRealTime_ms;
long lastRealTimeMeasurement_ms;
static final float movAveragePeriod = 40;
static final float smoothFactor = 0.1f;
public void onDrawFrame ( GL10 gl ) {
    updateGame ( gl, smoothedDeltaRealTime_ms );
    drawGame ( gl );
    long currTimePick_ms = SystemClock.uptimeMillis();
    float realTimeElapsed_ms;
    if ( lastRealTimeMeasurement_ms > 0 ) {
        realTimeElapsed_ms = ( currTimePick_ms - lastRealTimeMeasurement_ms );
    } else {
        realTimeElapsed_ms = smoothedDeltaRealTime_ms;
    }
    movAverageDeltaTime_ms = ( realTimeElapsed_ms + movAverageDeltaTime_ms * ( movAveragePeriod - 1 ) ) / movAveragePeriod;
    smoothedDeltaRealTime_ms = smoothedDeltaRealTime_ms + ( movAverageDeltaTime_ms - smoothedDeltaRealTime_ms ) * smoothFactor;
    lastRealTimeMeasurement_ms = currTimePick_ms;
}
