package de.jeed.nbgan.accexplorer;
import javafx.application.Platform;
import javafx.embed.swing.JFXPanel;
import javafx.geometry.Rectangle2D;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.ButtonBuilder;
import javafx.scene.paint.Color;
import javafx.stage.Modality;
import javafx.stage.Screen;
import javafx.stage.Stage;
import javafx.stage.StageStyle;
import org.netbeans.api.settings.ConvertAsProperties;
import org.openide.awt.ActionID;
import org.openide.awt.ActionReference;
import org.openide.windows.TopComponent;
import org.openide.util.NbBundle.Messages;
@ConvertAsProperties ( dtd = "-//de.jeed.nbgan.accexplorer//accex//EN",
                       autostore = false )
@TopComponent.Description ( preferredID = "accexTopComponent",
                            persistenceType = TopComponent.PERSISTENCE_ALWAYS )
@TopComponent.Registration ( mode = "explorer", openAtStartup = true )
@ActionID ( category = "Window", id = "de.jeed.nbgan.accexplorer.accexTopComponent" )
@ActionReference ( path = "Menu/Window" )
@TopComponent.OpenActionRegistration ( displayName = "#CTL_accexAction",
                                       preferredID = "accexTopComponent" )
@Messages ( {
    "CTL_accexAction=accex",
    "CTL_accexTopComponent=Konten-Explorer",
    "HINT_accexTopComponent=Durchsuchen von Abteilungen und Konten"
} )
public final class accexTopComponent extends TopComponent {
    static JFXPanel myFX;
    static JFXPanel myDummyFXtoKeepJavaFxRunning;
    public accexTopComponent() {
        initComponents();
        setName ( Bundle.CTL_accexTopComponent() );
        setToolTipText ( Bundle.HINT_accexTopComponent() );
        putClientProperty ( TopComponent.PROP_CLOSING_DISABLED, Boolean.TRUE );
        myFX = new JFXPanel();
        myDummyFXtoKeepJavaFxRunning = new JFXPanel();
        Platform.runLater ( new Runnable() {
            @Override
            public void run() {
                myFX.setScene ( new Scene ( ButtonBuilder.create().minHeight ( 40.0 ).minWidth ( 40.0 ).build() ) );
                Stage dummyPopup = new Stage();
                dummyPopup.initModality ( Modality.NONE );
                dummyPopup.initStyle ( StageStyle.UTILITY );
                dummyPopup.setOpacity ( 0d );
                final Screen screen = Screen.getPrimary();
                final Rectangle2D bounds = screen.getVisualBounds();
                dummyPopup.setX ( bounds.getMaxX() );
                dummyPopup.setY ( bounds.getMaxY() );
                final Group root = new Group();
                dummyPopup.setScene ( new Scene ( root, 1d, 1d, Color.TRANSPARENT ) );
                dummyPopup.show();
                dummyPopup.sizeToScene();
            }
        } );
        jPanel1.add ( myFX );
    }
    private void initComponents() {
        jPanel1 = new javax.swing.JPanel();
        jPanel1.setBorder ( javax.swing.BorderFactory.createBevelBorder ( javax.swing.border.BevelBorder.RAISED ) );
        jPanel1.setLayout ( new java.awt.GridBagLayout() );
        javax.swing.GroupLayout layout = new javax.swing.GroupLayout ( this );
        this.setLayout ( layout );
        layout.setHorizontalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addGroup ( layout.createSequentialGroup()
                        .addGap ( 54, 54, 54 )
                        .addComponent ( jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 193, javax.swing.GroupLayout.PREFERRED_SIZE )
                        .addContainerGap ( 153, Short.MAX_VALUE ) )
        );
        layout.setVerticalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addGroup ( layout.createSequentialGroup()
                        .addGap ( 33, 33, 33 )
                        .addComponent ( jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 193, javax.swing.GroupLayout.PREFERRED_SIZE )
                        .addContainerGap ( 74, Short.MAX_VALUE ) )
        );
    }
    private javax.swing.JPanel jPanel1;
    @Override
    public void componentOpened() {
    }
    @Override
    public void componentClosed() {
    }
    void writeProperties ( java.util.Properties p ) {
        p.setProperty ( "version", "1.0" );
    }
    void readProperties ( java.util.Properties p ) {
        String version = p.getProperty ( "version" );
    }
}
