public class ModelAdapter extends ArrayAdapter<Model> {
    private ArrayList<Model> data;
    public ModelAdapter ( Context context, int resource,
                          int textViewResourceId, ArrayList<Model> objects ) {
        super ( context, resource, textViewResourceId, objects );
        data = objects;
    }
    @Override
    public View getView ( int position, View convertView, ViewGroup parent ) {
        View v = super.getView ( position, convertView, parent );
        TextView counterTv = ( TextView ) v.findViewById ( R.id.counter );
        Model obj = data.get ( position );
        counterTv.setText ( String.valueOf ( obj.counter ) );
        return v;
    }
}
