static public boolean isLyingInCone ( float[] x, float[] t, float[] b,
                                      float aperture ) {
    float halfAperture = aperture / 2.f;
    float[] apexToXVect = dif ( t, x );
    float[] axisVect = dif ( t, b );
    boolean isInInfiniteCone = dotProd ( apexToXVect, axisVect )
                               / magn ( apexToXVect ) / magn ( axisVect )
                               >
                               Math.cos ( halfAperture );
    if ( !isInInfiniteCone ) {
        return false;
    }
    boolean isUnderRoundCap = dotProd ( apexToXVect, axisVect )
                              / magn ( axisVect )
                              <
                              magn ( axisVect );
    return isUnderRoundCap;
}
