public Area getOutline ( Color target, BufferedImage bi ) {
    GeneralPath gp = new GeneralPath();
    boolean cont = false;
    int targetRGB = target.getRGB();
    for ( int xx = 0; xx < bi.getWidth(); xx++ ) {
        for ( int yy = 0; yy < bi.getHeight(); yy++ ) {
            if ( bi.getRGB ( xx, yy ) == targetRGB ) {
                if ( cont ) {
                    gp.lineTo ( xx, yy );
                    gp.lineTo ( xx, yy + 1 );
                    gp.lineTo ( xx + 1, yy + 1 );
                    gp.lineTo ( xx + 1, yy );
                    gp.lineTo ( xx, yy );
                } else {
                    gp.moveTo ( xx, yy );
                }
                cont = true;
            } else {
                cont = false;
            }
        }
        cont = false;
    }
    gp.closePath();
    return new Area ( gp );
}
