import static org.junit.Assert.assertThat;
import static org.junit.matchers.JUnitMatchers.*;
import static org.hamcrest.CoreMatchers.*;
List<String> l = Arrays.asList ( "foo", "bar" );
assertThat ( l, hasItems ( "foo", "bar" ) );
assertThat ( l, not ( hasItem ( ( String ) null ) ) );
assertThat ( l, not ( hasItems ( "bar", "quux" ) ) );
assertEquals ( l, Arrays.asList ( "foo", "bar" ) ) );
assertThat ( l, is ( Arrays.asList ( "foo", "bar" ) ) );
assertThat ( l, is ( equalTo ( Arrays.asList ( "foo", "bar" ) ) ) );
