public class RunSysCmd {
    public static void main ( String[] args ) {
        try {
            String cmd = "/usr/bin/sort -n -k1 /home/General_DataStructure/r1.nmea /home/General_DataStructure/r2.nmea";
            BufferedWriter out = new BufferedWriter ( new FileWriter ( new File ( "/home/General_DataStructure/r3.nmea" ) ) );
            String line;
            final Process process = Runtime.getRuntime().exec ( cmd );
            BufferedReader buf = new BufferedReader ( new InputStreamReader ( process.getInputStream() ) );
            while ( ( line = buf.readLine() ) != null ) {
                out.write ( line );
                out.newLine();
            }
            buf.close();
            out.close();
            process.waitFor();
            int returnCode = process.exitValue();
            System.out.println ( returnCode );
        } catch ( IOException e ) {
            e.printStackTrace();
        } catch ( InterruptedException e ) {
            e.printStackTrace();
        }
    }
}
