public class AbstractClass {
    abstract Logger getLogger();
    public void someMethodInAbstractClass() {
        getLogger().debug ( "something" );
    }
}
public class ConcreteClass extends AbstractClass {
    private static final Logger LOGGER = Logger.getLogger ( ConcreteClass.class );
    @Override
    Logger getLogger() {
        return ( LOGGER );
    }
    public void someMethod() {
        getLogger().debug ( "something" );
    }
}
