public class JTaxi extends JPanel implements TaxiListener {
    private Taxi model;
    private int passengers;
    private JLabel label;
    public JTaxi ( Taxi model ) {
        this.model = model;
        model.addTaxiListener ( this );
        label = new JLabel ( "Passengers : " + model.getPassengerCount() );
        add ( label );
    }
    public void taxiChanged ( TaxiEvent event ) {
        if ( model.equals ( event.getSource() ) ) {
            \
            passengers = model.getPassengerCount();
            label.setText ( "Passengers : " + model.getPassengerCount() ) );
        }
        repaint();
    }
}
