public class AndroidProjectActivity extends Activity {
    private Handler mHandler;
    private TextView mTextView;
    private Runnable mCountUpdater = new Runnable() {
        private int mCount = 0;
        run() {
            if ( mCount > 9 ) {
                return;
            }
            mTextView.setText ( String.valueOF ( mCount + 48 ) );
            mCount++;
            mHandler.postDelayed ( this, 5000 );
        }
    }
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        TextView tv = new TextView ( this );
        setContentView ( tv );
        mTextView = tv;
        mHandler = new Handler();
        mHandler.post ( mCountUpdater );
    }
}
