@BodyParser.Of ( Json.class )
public static Result sayHello() {
    ObjectNode result = Json.newObject();
    String name = json.findPath ( "name" ).getTextValue();
    if ( name == null ) {
        result.put ( "status", "KO" );
        result.put ( "message", "Missing parameter [name]" );
        return badRequest ( result );
    } else {
        result.put ( "status", "OK" );
        result.put ( "message", "Hello " + name );
        return ok ( result );
    }
}
