Vector runningTasks<Future> = new Vector<Future>();
public void run() {
    for ( ScheduledCampaigns campaign : scheduledCampaignsList ) {
        String cmpName = "SCH_CAMPAIGNS_" + campaign.getCampaign_id();
        Future f = execService.submit ( new Runnable() {
            public void run() {
                smppService.submitShortMessage ( campaign );
            }
        } );
        runningTasks.add ( f );
    }
    Vector<Future> justCompletedTasks = new Vector<Future>();
    for ( Future task : runningTasks ) {
        if ( task.isDone() || tasks.isCancelled() ) {
            justCompletedTasks.add ( task );
        }
    }
    runningTasks.removeAll ( justCompletedTasks );
}
