public class ThresholdingFilter {
    public static AndroidImage process ( AndroidImage imageIn, int threshold ) {
        AndroidImage imageOut;
        imageOut = new AndroidImage ( imageIn.getImage() );
        for ( int y = 0; y < imageIn.getHeight(); y++ ) {
            for ( int x = 0; x < imageIn.getWidth(); x++ ) {
                if ( imageOut.getRComponent ( x, y ) < threshold ) {
                    imageOut.setPixelColor ( x, y, 0, 0, 0 );
                } else {
                    imageOut.setPixelColor ( x, y, 255, 255, 255 );
                }
            }
        }
        return imageOut;
    }
}
