@Controller
@RequestMapping ( "/Temp.htm" )
public class Temp {
    @RequestMapping ( method = RequestMethod.GET )
    public ModelAndView getForm() {
        ModelAndView mv = new ModelAndView ( "Temp", "validationForm", new ValidationForm() );
        return mv;
    }
    @RequestMapping ( method = RequestMethod.POST )
    public ModelAndView postForm ( @Valid ValidationForm validationForm, BindingResult errors ) {
        tempService.add ( validationForm );
        if ( errors.hasErrors() ) {
            System.out.println ( "User Name : " + validationForm.getUserName() );
        } else {
        }
        ModelAndView mv = new ModelAndView ( "Temp", "validationForm", validationForm );
        return mv;
    }
