public class Whatever {
    public static void main ( String[] args ) throws Exception {
        loadDataBaseDriver();
        BoneCP connectionPool = createConnectionPool();
        try {
            final Connection connection = connectionPool.getConnection();
            ScheduledExecutorService exec = Executors.newSingleThreadScheduledExecutor();
            exec.scheduleAtFixedRate ( new Runnable() {
                @Override
                public void run() {
                    System.out.println ( "Working ... " );
                }
            }, 0, 1, TimeUnit.SECONDS );
        } catch ( SQLException e ) {
        }
    }
    public static BoneCP createConnectionPool() throws SQLException {
        BoneCPConfig config = new BoneCPConfig();
        config.setJdbcUrl ( "jdbc:mysql://192.0.0.1:3306/database" );
        config.setUsername ( "root" );
        config.setPassword ( "" );
        connectionPool = new BoneCP ( config );
        return connectionPool;
    }
    public static void loadDataBaseDriver() {
        try {
            Class.forName ( "com.mysql.jdbc.Driver" );
        } catch ( Exception e ) {
            e.printStackTrace();
            return;
        }
    }
}
