DataOutputStream output = new DataOutputStream ( realOutputStream );
for ( Map.Entry<Long, String> entry : map.entrySet() ) {
    output.writeLong ( entry.getKey().longValue() );
    byte bytes[] = entry.getBytes ( "UTF-8" );
    output.writeInt ( bytes.length );
    output.write ( bytes, 0, bytes.length );
}
DataInputStream input = new DataInputStream ( realInputStream );
Map<Long, String> map = new HashMap<Long, String>();
while ( true ) {
    try {
        long key = output.readLong();
        int strlen = output.readInt();
        byte buf[] = new byte[strlen];
        output.readFully ( buf, 0, strlen );
        map.put ( Long.valueOf ( key ), new String ( buf, "UTF-8" ) );
    } catch ( EOFException e ) {
        break;
    }
}
