package logging;
import java.io.IOException;
import java.util.logging.FileHandler;
import java.util.logging.Formatter;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;
public class MyLogger {
    static private FileHandler fileTxt;
    static private SimpleFormatter formatterTxt;
    static private FileHandler fileHTML;
    static private Formatter formatterHTML;
    static public void setup() throws IOException {
        Logger logger = Logger.getLogger ( "" );
        logger.setLevel ( Level.INFO );
        fileTxt = new FileHandler ( "Logging.txt" );
        fileHTML = new FileHandler ( "Logging.html" );
        formatterTxt = new SimpleFormatter();
        fileTxt.setFormatter ( formatterTxt );
        logger.addHandler ( fileTxt );
        formatterHTML = new MyHtmlFormatter();
        fileHTML.setFormatter ( formatterHTML );
        logger.addHandler ( fileHTML );
    }
}
