public abstract class EngineClass {
    public void startEngine() {
        ...
    }
}
public abstract class CarClass {
    protected EngineClass engine;
    public CarClass() {
    }
    public EngineClass createEngine() {
        EngineClass Result = new EngineClass();
        return Result;
    }
    public void start() {
        this.Engine = createEngine();
    }
}
public class StreetCarClass extends CarClass {
    public StreetCarClass() {
    }
    @override
    public EngineClass createEngine() {
        EngineClass Result = new StreetCarEngineClass();
        return Result;
    }
}
public class OffRoadCarClass extends CarClass {
    public OffRoadCarClass() {
    }
    @override
    public EngineClass createEngine() {
        EngineClass Result = new OffRoadCarEngineClass();
        return Result;
    }
}
public class ExampleClass {
    public static main() {
        EngineClass OffRoadCar = new OffRoadCarClass();
        OffRoadCar.start();
    }
}
