private static String convertStreamToString ( InputStream is ) {
    BufferedReader reader = new BufferedReader ( new InputStreamReader ( is ) );
    StringBuilder sb = new StringBuilder();
    try {
        while ( ( line = reader.readLine() ) != null ) {
            sb.append ( line + "\n" );
        }
    } catch ( IOException e ) {
        e.printStackTrace();
    } finally {
        try {
            is.close();
        } catch ( IOException e ) {
            e.printStackTrace();
        }
    }
    return sb.toString();
}
