public class Achievement {
    SparseArray<Statistic> mStatistics = new SparseArray<Statistic>();
    public SparseArray<Statistic> getStatics() {
        return mStatistics;
    }
    public void addStatistic ( int statisticId, Statistic newStat ) {
        if ( mStatistics.get ( statisticId ) == null ) {
            mStatistic.add ( newStat );
        }
    }
    public void removeStatistic ( int statisticId ) {
        mStatistic.delete ( statisticId );
    }
    public boolean hasStatistics ( int statisticId ) {
        return mStatistic.get ( statisticId ) == null ? false : true;
    }
}
