public class MyActivity extends Activity {
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.main );
        DatePicker datePicker = ( DatePicker ) findViewById ( R.id.date );
        final int MIN_YEAR = 2011;
        final int MAX_YEAR = 2011;
        datePicker.init ( MIN_YEAR  ,
                          01  ,
                          01  ,
        new DatePicker.OnDateChangedListener() {
            @Override
            public void onDateChanged ( DatePicker datePicker,
                                        int year,
                                        int monthOfYear,
                                        int dayOfMonth ) {
                if ( year < MIN_YEAR ) {
                    datePicker.updateDate ( MIN_YEAR, monthOfYear, dayOfMonth );
                } else if ( year > MAX_YEAR ) {
                    datePicker.updateDate ( MAX_YEAR, monthOfYear, dayOfMonth );
                }
            }
        } );
    }
}
