public static Future<Boolean> portIsOpen ( final ExecutorService es, final String ip, final int port, final int timeout ) {
    return es.submit ( new Callable<Boolean>() {
        @Override public Boolean call() {
            try {
                Socket socket = new Socket();
                socket.connect ( new InetSocketAddress ( ip, port ), timeout );
                socket.close();
                return true;
            } catch ( Exception ex ) {
                return false;
            }
        }
    } );
}
