public static final void nioCopy ( ReadableByteChannel input, WritableByteChannel output ) throws IOException {
    ByteBuffer buffer = ByteBuffer.allocate ( DEFAULT_BUFFER_SIZE );
    while ( input.read ( buffer ) != -1 ) {
        buffer.flip();
        output.write ( buffer );
        buffer.compact();
    }
    buffer.flip();
    while ( buffer.hasRemaining() ) {
        output.write ( buffer );
    }
}
