private void traverse ( final Element element, final Visitor... visitors ) {
    for ( final Visitor visitor : visitors ) {
        visitor.push ( visitor.visit ( element ) );
    }
    for ( final Element child : getElementChildren ( element ) ) {
        traverse ( child, visitors );
    }
    for ( final Visitor visitor : visitors ) {
        visitor.pop();
    }
}
