import java.awt.*;
import java.awt.event.*;
import java.security.Permission;
public class NoExit extends Frame implements ActionListener {
    Button frameLaunch = new Button ( "Frame" ),
    exitLaunch = new Button ( "Exit" );
    ExitManager sm;
    public NoExit() {
        super ( "Launcher Application" );
        sm = new ExitManager ( System.getSecurityManager() );
        System.setSecurityManager ( sm );
        setLayout ( new GridLayout ( 0, 1 ) );
        frameLaunch.addActionListener ( this );
        exitLaunch.addActionListener ( this );
        add ( frameLaunch );
        add ( exitLaunch );
        pack();
        setSize ( getPreferredSize() );
    }
    public void actionPerformed ( ActionEvent ae ) {
        if ( ae.getSource() == frameLaunch ) {
            TargetFrame tf = new TargetFrame();
        } else {
            System.setSecurityManager (
                sm.getOriginalSecurityManager() );
            System.exit ( 0 );
        }
    }
    public static void main ( String[] args ) {
        NoExit ne = new NoExit();
        ne.setVisible ( true );
    }
}
class TargetFrame extends Frame {
    static int x = 0, y = 0;
    TargetFrame() {
        super ( "Close Me!" );
        add ( new Label ( "Hi!" ) );
        addWindowListener ( new WindowAdapter() {
            public void windowClosing ( WindowEvent we ) {
                System.out.println ( "Bye!" );
                System.exit ( 0 );
            }
        } );
        pack();
        setSize ( getPreferredSize() );
        setLocation ( ++x * 10, ++y * 10 );
        setVisible ( true );
    }
}
class ExitManager extends SecurityManager {
    SecurityManager original;
    ExitManager ( SecurityManager original ) {
        this.original = original;
    }
    public void checkExit ( int status ) {
        throw ( new SecurityException() );
    }
    public void checkPermission ( Permission perm ) {
    }
    public SecurityManager getOriginalSecurityManager() {
        return original;
    }
}
