static <K, V extends Comparable<? super V>>
List<Entry<K, V>> entriesSortedByValues ( Map<K, V> map ) {
    List<Entry<K, V>> sortedEntries = new ArrayList<Entry<K, V>> ( map.entrySet() );
    Collections.sort ( sortedEntries,
    new Comparator<Entry<K, V>>() {
        @Override
        public int compare ( Entry<K, V> e1, Entry<K, V> e2 ) {
            return e2.getValue().compareTo ( e1.getValue() );
        }
    }
                     );
    return sortedEntries;
}
