ExecutorService service = Executors.newSingleThreadExecutor ( new ThreadFactory() {
    @Override
    public Thread newThread ( Runnable r ) {
        Thread two = new Thread ( r, "two" );
        two.setDaemon ( true );
        return two;
    }
} );
for ( int i = 0; i < 10; i++ )
    service.submit ( new Runnable() {
    @Override
    public void run() {
        System.out.println ( "[" + Thread.currentThread().getName() + "] - Hello World." );
        Thread.yield();
    }
} );
service.shutdown();
