Configuration configuration = new Configuration();
Job job = new Job ( configuration, "Wordcount-Vowels & Consonants" );
job.setJarByClass ( WordCount.class );
job.setNumReduceTasks ( 2 );
job.setMapperClass ( WordCountMapper.class );
job.setCombinerClass ( WordCountCombiner.class );
job.setPartitionerClass ( VowelConsonantPartitioner.class );
job.setReducerClass ( WordCountReducer.class );
job.setOutputKeyClass ( Text.class );
job.setOutputValueClass ( IntWritable.class );
FileInputFormat.addInputPath ( job, new Path ( args[0] ) );
FileOutputFormat.setOutputPath ( job, new Path ( args[1] ) );
