public class QueryServer extends AsyncTask <String, Void, Pair> {
    protected Integer doInBackground ( String... serverAddress ) {
        Log.d ( "QueryServer", "" + serverAddress[0] );
        MCQuery mcQuery = new MCQuery ( "" + serverAddress[0] , 25565 );
        QueryResponse response = mcQuery.basicStat();
        int onlinePlayers = response.getOnlinePlayers();
        int maxPlayers = response.getMaxPlayers();
        Log.d ( "MCQuery", "" + onlinePlayers + " onlinePlayers" );
        Pair p = new Pair();
        p.onlinePlayers = onlinePlayers;
        p.maxPlayers = maxPlayers;
        return p;
    }
    protected void onPostExecute ( Pair p ) {
        TextView onlinePlayersView = ( TextView ) findViewById ( R.id.online_players );
        onlinePlayersView.setText ( "" + p.onlinePlayers + "/" + p.maxPlayers );
    }
