Visit http:
protected void doProcess ( HttpServletRequest request,
                           HttpServletResponse response ) {
    response.setContentType ( "application/pdf;" );
    response.setHeader ( "Content-Disposition", "attachment; filename=Filenametodownload.pdf" );
    String reportContent = "<html><body><b>This is sample HTML</b></body></html>";
    ServletOutputStream sos = null;
    try {
        sos = response.getOutputStream();
    } catch ( IOException e1 ) {
        e1.printStackTrace();
    }
    String st = System.getProperty ( "user.dir" );
    ITextRenderer renderer = new ITextRenderer();
    renderer.setDocumentFromString ( reportContent );
    renderer.layout();
    try {
        renderer.createPDF ( sos );
    } catch ( DocumentException e ) {
        e.printStackTrace();
    }
    try {
        sos.close();
        session.removeAttribute ( "ReportContent" );
    } catch ( IOException e ) {
        e.printStackTrace();
    }
}
