public static byte[] encryptFile ( String pFilePath, byte[] pKey ) throws GeneralSecurityException, IOException {
    File file = new File ( pFilePath );
    long length = file.length();
    InputStream is = new FileInputStream ( file );
    if ( length > Integer.MAX_VALUE ) {
    }
    byte[] bytes = new byte[ ( int ) length];
    int offset = 0;
    int numRead = 0;
    while ( offset < bytes.length
            && ( numRead = is.read ( bytes, offset, bytes.length - offset ) ) >= 0 ) {
        offset += numRead;
    }
    is.close();
    if ( offset < bytes.length ) {
        throw new IOException ( "Could not completely read file " + file.getName() );
    }
    SecretKeyFactory lDESedeKeyFactory = SecretKeyFactory.getInstance ( "DESede" );
    SecretKey kA = lDESedeKeyFactory.generateSecret ( new DESedeKeySpec ( pKey ) );
    IvParameterSpec lIVSpec = new IvParameterSpec ( new byte[8] );
    Cipher desedeCBCCipher = Cipher.getInstance ( "DESede/CBC/PKCS5Padding" );
    desedeCBCCipher.init ( Cipher.ENCRYPT_MODE, kA, lIVSpec );
    byte[] encrypted = desedeCBCCipher.doFinal ( bytes );
    return encrypted;
}
