public class BinarySearch {
    public static void main ( String[] a ) {
        int[] numArray = {5, 6, 10, 11, 19, 18, 30, 25, 88, 44, 55, 1, 3};
        Arrays.sort ( numArray );
        System.out.println ( searchElement ( numArray, 100 ) );
    }
    private static int searchElement ( int[] sortedArray, int element ) {
        int first = 0;
        int upto  = sortedArray.length;
        while ( first < upto ) {
            int mid = ( first + upto ) / 2;
            if ( element < sortedArray[mid] ) {
                upto = mid;
            } else if ( element > sortedArray[mid] ) {
                first = mid + 1;
            } else {
                return sortedArray[mid];
            }
        }
        return -1;
    }
}
