public class MySuccessHandler implements AuthenticationSuccessHandler {
    @Override
    public void onAuthenticationSuccess ( HttpServletRequest request,
                                          HttpServletResponse response, Authentication authentication )
    throws IOException, ServletException {
        Set<String> roles = AuthorityUtils.authorityListToSet ( authentication.getAuthorities() );
        if ( roles.contains ( "ROLE_ADMIN" ) ) {
            response.sendRedirect ( "/Admin.html" );
            return;
        }
        response.sendRedirect ( "/User.html" );
    }
}
