class IncomingHandler extends Handler {
    @Override
    public void handleMessage ( Message msg ) {
        switch ( msg.what ) {
        case 1:
            do_something();
        case 2:
            do_something_2();
        default:
            super.handleMessage ( msg );
        }
    }
}
final Messenger myMessenger = new Messenger ( new IncomingHandler() );
private ServiceConnection mConnection = new ServiceConnection() {
    public void onServiceConnected ( ComponentName className,
                                     IBinder service ) {
        myService = new Messenger ( service );
        myCallbackText = ( TextView ) findViewById ( R.id.tv01 );
        myCallbackText.setText ( "Attached." );
        try {
            Message msg = Message.obtain ( null,
                                           1 );
            msg.replyTo = mMessenger;
            mService.send ( msg );
            msg = Message.obtain ( null,
                                   3, this.hashCode(), 0 );
            mService.send ( msg );
        } catch ( RemoteException e ) {
        }
        Toast.makeText ( Service_testActivity.this, R.string.remote_service_connected,
                         Toast.LENGTH_SHORT ).show();
    }
    public void onServiceDisconnected ( ComponentName className ) {
        mService = null;
        mCallbackText = ( TextView ) findViewById ( R.id.tv01 );
        mCallbackText.setText ( "Disconnected." );
        Toast.makeText ( Service_testActivity.this, R.string.remote_service_disconnected,
                         Toast.LENGTH_SHORT ).show();
    }
};
