public class MainWindowController implements Initializable {
    @FXML
    public TableColumn levelOfGrowthColumn;
    @Override
    public void initialize ( URL url, ResourceBundle rb ) {
        ObservableList<Person> persons = FXCollections.observableArrayList();
        persons.add ( new Person ( 0 ) );
        persons.add ( new Person ( 0.5 ) );
        persons.add ( new Person ( 1 ) );
        Callback<TableColumn, TableCell> percantageCellFactory =
        new Callback<TableColumn, TableCell>() {
            public TableCell call ( TableColumn p ) {
                return new PercantageFormatCell();
            }
        };
        levelOfGrowthColumn.setCellFactory ( percantageCellFactory );
        levelOfGrowthColumn.setCellValueFactory ( new PropertyValueFactory<Person, Double> ( "levelOfGrowth" ) );
    }
}
