private static final int SOCKET_OPERATION_TIMEOUT = 60 * 1000;
HttpParams params = new BasicHttpParams();
HttpConnectionParams.setStaleCheckingEnabled ( params, false );
HttpConnectionParams.setConnectionTimeout ( params, SOCKET_OPERATION_TIMEOUT );
HttpConnectionParams.setSoTimeout ( params, SOCKET_OPERATION_TIMEOUT );
HttpConnectionParams.setSocketBufferSize ( params, 8192 );
HttpClientParams.setRedirecting ( params, false );
SSLSessionCache sessionCache = context == null ? null : new SSLSessionCache ( context );
HttpProtocolParams.setUserAgent ( params, userAgent );
SchemeRegistry schemeRegistry = new SchemeRegistry();
schemeRegistry.register ( new Scheme ( "http",
                                       PlainSocketFactory.getSocketFactory(), 80 ) );
schemeRegistry.register ( new Scheme ( "https",
                                       SSLCertificateSocketFactory.getHttpSocketFactory (
                                               SOCKET_OPERATION_TIMEOUT, sessionCache ), 443 ) );
ClientConnectionManager manager =
    new ThreadSafeClientConnManager ( params, schemeRegistry );
return new DefaultHttpClient ( manager, params );
