public class MainWindow extends JFrame {
    public MainWindow() {
        JPanel central = new JPanel();
        getContentPane().add ( north, BorderLayout.CENTER );
        registerRefreshAction();
    }
    private void registerRefreshAction() {
        javax.swing.Action refresh = new AbstractAction() {
            @Override
            public void actionPerformed ( ActionEvent ae ) {
                JFrame frame = ( JFrame ) getTopLevelAncestor();
                frame.setVisible ( false );
                frame.getContentPane().repaint();
                frame.setVisible ( true );
            }
        };
        KeyStroke keyStroke = KeyStroke.getKeyStroke ( KeyEvent.VK_F10, 0 );
        getContentPane().getActionMap().put ( "Refresh", refresh );
        getContentPane().getInputMap ( JComponent.WHEN_IN_FOCUSED_WINDOW ).put ( keyStroke, "Refresh" );
    }
}
