final Text textField = new Text ( shell, SWT.BORDER );
textField.addListener ( SWT.Verify, new Listener() {
    @Override
    public void handleEvent ( Event e ) {
        final String oldS = textField.getText();
        String newS = oldS.substring ( 0, e.start ) + e.text + oldS.substring ( e.end );
        boolean isValid = true;
        if ( "".equals ( newS ) ) {
        } else {
            try {
                float value = Float.parseFloat ( newS );
                if ( value < 0 || 100 < value ) {
                    isValid = false;
                }
            } catch ( NumberFormatException ex ) {
                isValid = false;
            }
        }
        if ( !isValid ) {
            e.doit = false;
        }
    }
} );
