final Entry<K, V> getEntry ( Object key ) {
    int hash = ( key == null ) ? 0 : hash ( key.hashCode() );
    for ( Entry<K, V> e = table[indexFor ( hash, table.length )];
            e != null;
            e = e.next ) {
        Object k;
        if ( e.hash == hash &&
                ( ( k = e.key ) == key || ( key != null && key.equals ( k ) ) ) ) {
            return e;
        }
    }
    return null;
}
