public static class CreateAction extends AbstractAction {
    private Container parent;
    private Action enableAction;
    public CreateAction ( Container parent ) {
        this.parent = parent;
        enableAction = new EnableAction ( this );
    }
    @Override
    public void actionPerformed ( ActionEvent e ) {
        setEnabled ( false );
        Component field = createTextField();
        parent.add ( field );
        parent.revalidate();
        field.requestFocus();
    }
    int count;
    private Component createTextField() {
        JTextField field = new JTextField ( "field: " + count++, 20 );
        field.getInputMap().put ( KeyStroke.getKeyStroke ( "ENTER" ),
                                  "createComponent" );
        field.getActionMap().put ( "createComponent", this );
        field.getInputMap().put ( KeyStroke.getKeyStroke ( "released ENTER" ),
                                  "enableCreation" );
        field.getActionMap().put ( "enableCreation", enableAction );
        return field;
    }
}
public static class EnableAction extends AbstractAction {
    Action toEnable;
    public EnableAction ( Action toEnable ) {
        this.toEnable = toEnable;
    }
    @Override
    public void actionPerformed ( ActionEvent e ) {
        toEnable.setEnabled ( true );
    }
}
final JComponent parent = new JPanel ( new MigLayout ( "wrap" ) );
add.actionPerformed ( null );
add.setEnabled ( true );
