public class YourReducer extends TableReducer<Text, Text, Text> {
    private byte[] rawUpdateColumnFamily = Bytes.toBytes ( "colName" );
    @Override
    protected void setup ( Context context ) throws IOException, InterruptedException {
    }
    @Override
    public void reduce ( Text keyin, Iterable<Text> values, Context context ) throws IOException, InterruptedException {
        int valuesCount = 0;
        for ( Text val : values ) {
            valuesCount += 1;
            Put put = new Put ( keyin.toString().getBytes() );
            long explicitTimeInMs = new Date().getTime();
            put.add ( rawUpdateColumnFamily, Bytes.toBytes ( "colName" ), explicitTimeInMs, val.toString().getBytes() );
            context.write ( keyin, put );
        }
    }
}
