public class MyTest {
    @Test
    public void test() throws Exception {
        ClassToTest classToTest = new ClassToTest();
        ClassA inputA = new ClassA();
        Method mockMethod = ( new ClassToInvoke() ).getClass().getMethod ( "someMethod" );
        ClassToInvoke mockClassToInvoke = mock ( ClassToInvoke.class );
        classToTest.setClassToInvoke ( mockClassToInvoke );
        MethodStore mockMethodStore = mock ( MethodStore.class );
        classToTest.setMethodStore ( mockMethodStore );
        when ( mockMethodStore.getMethod ( inputA ) ).thenReturn ( mockMethod );
        MethodInvoker mockMethodInvoker = mock ( MethodInvoker.class );
        classToTest.setMethodInvoker ( mockMethodInvoker );
        when ( mockMethodInvoker.invoke ( mockMethod, mockClassToInvoke, inputA ) ).thenReturn ( Boolean.TRUE );
        ObjectRunner mockObjectRunner = mock ( ObjectRunner.class );
        classToTest.setObjectRunner ( mockObjectRunner );
        classToTest.testMethod ( inputA );
        verify ( mockObjectRunner ).run ( inputA );
    }
}
