StrictMode.ThreadPolicy policy = new StrictMode.ThreadPolicy.Builder().permitAll().build();
StrictMode.setThreadPolicy ( policy );
BufferedReader in = null;
try {
    HttpClient client = new DefaultHttpClient();
    HttpPost request = new HttpPost (
        "http://www.w3schools.com/webservices/tempconvert.asmx/CelsiusToFahrenheit" );
    String celsius = "50";
    request.addHeader ( "Content-Type", "application/x-www-form-urlencoded" );
    List<NameValuePair> postParameters = new ArrayList<NameValuePair>();
    postParameters.add ( new BasicNameValuePair ( "Celsius", celsius ) );
    UrlEncodedFormEntity formEntity = new UrlEncodedFormEntity ( postParameters );
    request.setEntity ( formEntity );
    HttpResponse response = client.execute ( request );
    in = new BufferedReader ( new InputStreamReader ( response.getEntity().getContent() ) );
    StringBuffer sb = new StringBuffer ( "" );
    String line = "";
    String NL = System.getProperty ( "line.separator" );
    while ( ( line = in.readLine() ) != null ) {
        sb.append ( line + NL );
    }
    in.close();
    String page = sb.toString();
    System.out.println ( page );
} catch ( Exception e ) {
    e.printStackTrace();
} finally {
    if ( in != null ) {
        try {
            in.close();
        } catch ( IOException e ) {
            e.printStackTrace();
        }
    }
