@Name ( "myAuthenticator" )
public class MyAuthenticator implements Serializable {
    @In private transient Identity identity;
    ArrayList<String> roles = new ArrayList<String> ( Arrays.toList (
                new String[] { "base", "admin" } ) );
    private String accessKey;
    public String doAuth() {
        boolean userCanAccess = "ADMINKEY".equals ( accessKey );
        if ( userCanAccess ) {
            identity.acceptExternallyAuthenticatedPrincipal (
                new SimplePrincipal ( "username" ) );
            for ( String role : roles ) {
                identity.addRole ( role );
            }
            return "ok";
        }
        return "ko";
    }
}
