import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
public class SortedMap {
    public static void main ( String[] args ) {
        Map<String, String> inputMap = new HashMap<String, String>();
        inputMap.put ( "key1", "a,b,c,1" );
        inputMap.put ( "key2", "a,b,c,4" );
        inputMap.put ( "key3", "a,b,c,3" );
        inputMap.put ( "key4", "a,b,c,2" );
        System.out.println ( "Input" );
        for ( Map.Entry entry : inputMap.entrySet() ) {
            System.out.println ( "Key: " + entry.getKey() + ", value: " + entry.getValue() );
        }
        Map<String, String> sortedMap = mySort ( inputMap );
        System.out.println ( "Output" );
        for ( Map.Entry entry : sortedMap.entrySet() ) {
            System.out.println ( "Key: " + entry.getKey() + ", value: " + entry.getValue() );
        }
    }
    private static Map mySort ( Map inputMap ) {
        List list = new LinkedList ( inputMap.entrySet() );
        Collections.sort ( list, new Comparator() {
            public int compare ( Object o1, Object o2 ) {
                String v1 = ( String ) ( ( Map.Entry ) ( o1 ) ).getValue();
                String[] v1Split = v1.split ( "," );
                String v1Value = v1Split[v1Split.length - 1];
                String v2Value = ( ( ( String ) ( ( Map.Entry ) ( o2 ) ).getValue() ).split ( "," ) ) [3];
                return v1Value.compareTo ( v2Value ) * -1;
            }
        } );
        Map sortedMap = new LinkedHashMap();
        for ( Iterator it = list.iterator(); it.hasNext(); ) {
            Map.Entry entry = ( Map.Entry ) it.next();
            sortedMap.put ( entry.getKey(), entry.getValue() );
        }
        return sortedMap;
    }
}
