getSecuritySettings().setUnauthorizedComponentInstantiationListener (
new IUnauthorizedComponentInstantiationListener() {
    public void onUnauthorizedInstantiation ( final Component component ) {
        if ( component instanceof Page ) {
            if ( component instanceof AdminPage ) {
                redirectionPage = ( ( AdminPage ) component );
            } else if ( component instanceof BalancerPage ) {
                redirectionPage = ( ( UserPage ) component );
            }
            throw new RestartResponseAtInterceptPageException ( LoginPage.class );
        } else {
            component.setVisible ( false );
        }
    }
} );
