public static void adjustWidthForTitle ( JDialog dialog ) {
    Font defaultFont = UIManager.getDefaults().getFont ( "Label.font" );
    int titleStringWidth = SwingUtilities.computeStringWidth ( new JLabel().getFontMetrics ( defaultFont ),
                           dialog.getTitle() );
    titleStringWidth += 110;
    Dimension currentPreferred = dialog.getPreferredSize();
    if ( currentPreferred.getWidth() + 10 <= titleStringWidth ) {
        dialog.setPreferredSize ( new Dimension ( titleStringWidth, ( int ) currentPreferred.getHeight() ) );
    }
}
