JDialog dialog = new JDialog() {
    @Override
    public Dimension getPreferredSize() {
        Dimension retVal = super.getPreferredSize();
        String title = this.getTitle();
        if ( title != null ) {
            Font defaultFont = UIManager.getDefaults().getFont ( "Label.font" );
            int titleStringWidth = SwingUtilities.computeStringWidth ( new JLabel().getFontMetrics ( defaultFont ),
                                   title );
            titleStringWidth += 110;
            if ( retVal.getWidth() + 10 <= titleStringWidth ) {
                retVal = new Dimension ( titleStringWidth, ( int ) retVal.getHeight() );
            }
        }
        return retVal;
    }
};
