float getDistance ( float startX, startY, MotionEvent ev ) {
    float distanceSum = 0;
    final int historySize = ev.getHistorySize();
    for ( int h = 0; h < historySize; h++ ) {
        float hx = ev.getHistoricalX ( 0, h );
        float hy = ev.getHistoricalY ( 0, h );
        float dx = ( hx - startX );
        float dy = ( hy - startY );
        distanceSum += Math.sqrt ( dx * dx + dy * dy );
        startX = hx;
        startY = hy;
    }
    float dx = ( ev.getX ( 0 ) - startX );
    float dy = ( ev.getY ( 0 ) - startY );
    distanceSum += Math.sqrt ( dx * dx + dy * dy );
    return distanceSum;
}
