public class ObserverService extends Service {
    private Looper mLooper;
    private void onDataChanged() {
    }
    @Override
    public void onCreate() {
        HandlerThread ht = new HandlerThread ( "ObserverService" );
        ht.start();
        mLooper = ht.getLooper();
        final Handler handler = new Handler ( mLooper ) {
            @Override
            public void handleMessage ( Message msg ) {
                onDataChanged();
            }
        };
        Observer observer = new Observer() {
            @Override
            public void update ( Observable observable, Object data ) {
                handler.removeMessages ( 1234 );
                handler.sendEmptyMessage ( 1234 );
            }
        };
        Data.getInstance().addObserver ( observer );
    }
    @Override
    public void onDestroy() {
        mLooper.quit();
    }
    @Override
    public int onStartCommand ( Intent intent, int flags, int startId ) {
        return Service.START_STICKY;
    }
    @Override
    public IBinder onBind ( Intent intent ) {
        return null;
    }
}
