private List<Rectangle> parseWordBounds ( List<String> wordList ) {
    List<Rectangle> wordBounds = new LinkedList<Rectangle>();
    Iterator<String> wordListIterator = wordList.iterator();
    while ( wordListIterator.hasNext() ) {
        wordListIterator.next();
        int x1 = ( int ) Float.parseFloat ( wordListIterator.next() );
        int y1 = ( int ) Float.parseFloat ( wordListIterator.next() );
        int x2 = ( int ) Float.parseFloat ( wordListIterator.next() );
        int y2 = ( int ) Float.parseFloat ( wordListIterator.next() );
        wordBounds.add ( new Rectangle ( x1, y2, x2 - x1, y1 - y2 ) );
    }
    return wordBounds;
}
