Collections.sort ( results, new Comparator<String>() {
    public int compare ( String str1, String str2 ) {
        int value1 = getImportantNumber ( str1 );
        int value2 = getImportantNumber ( str2 );
        return value1 - value2;
    }
    private int getImportantNumber ( String str ) {
        Matcher m = PATTERN.matcher ( str );
        if ( !m.find() ) {
            return -1;
        }
        String numberPart = m.group ( ... );
        return Integer.parseInt ( numberPart );
    }
    private static Pattern PATTERN = Pattern.compile ( "...." );
} );
