private void initCamera ( SurfaceHolder surfaceHolder ) {
    try {
        cameraManager.openDriver ( surfaceHolder );
        if ( handler == null ) {
            handler = new CaptureActivityHandler ( this, decodeFormats,
                                                   characterSet, cameraManager );
        }
    } catch ( IOException ioe ) {
        Log.w ( TAG, ioe );
        displayFrameworkBugMessageAndExit();
    } catch ( RuntimeException e ) {
        Log.w ( TAG, "Unexpected error initializing camera", e );
        displayFrameworkBugMessageAndExit();
    }
}
