NotificationCompat.Builder mBuilder =
    new NotificationCompat.Builder ( this )
.setSmallIcon ( R.drawable.notification_icon )
.setContentTitle ( "My notification" )
.setContentText ( "Hello World!" );
Intent resultIntent = new Intent ( this, ResultActivity.class );
TaskStackBuilder stackBuilder = TaskStackBuilder.create ( this );
stackBuilder.addParentStack ( ResultActivity.class );
stackBuilder.addNextIntent ( resultIntent );
PendingIntent resultPendingIntent =
    stackBuilder.getPendingIntent (
        0,
        PendingIntent.FLAG_UPDATE_CURRENT
    );
mBuilder.setContentIntent ( resultPendingIntent );
NotificationManager mNotificationManager =
    ( NotificationManager ) getSystemService ( Context.NOTIFICATION_SERVICE );
mNotificationManager.notify ( mId, mBuilder.build() );
