public class KnockKnockHandler extends Thread {
    private Socket socket;
    public KnockKnockWorker ( Socket socket ) {
        this.socket = socket;
    }
    public void run() {
        PrintWriter out = new PrintWriter ( socket.getOutputStream(), true );
        BufferedReader in = new BufferedReader (
            new InputStreamReader (
                socket.getInputStream() ) );
        String inputLine, outputLine;
        KnockKnockProtocol kkp = new KnockKnockProtocol();
        outputLine = kkp.processInput ( null );
        out.println ( outputLine );
        while ( ( inputLine = in.readLine() ) != null ) {
            outputLine = kkp.processInput ( inputLine );
            out.println ( outputLine );
            if ( outputLine.equals ( "Bye." ) ) {
                break;
            }
        }
        out.close();
        in.close();
        socket.close();
    }
}
