String base = "I have a product that is the product of my hard work."
              + "Products are always nice, because I can win cash if I sell my products.\n"
              + "The product of me making my product is cash, because cash is the product of selling my product.\n"
              + "With the cash I win with my product, I can buy other people's products.";
int processRepeats = 1000000;
int averageRepeats = 10;
long averager = 0;
int count = 0;
Pattern p = Pattern.compile ( "products?", Pattern.CASE_INSENSITIVE );
Matcher m;
long clocking;
for ( int i = 0; i < averageRepeats; i++ ) {
    clocking = System.nanoTime();
    for ( int ii = 0; ii < processRepeats; ii++ ) {
        m = p.matcher ( base );
        while ( m.find() ) {
            count++;
        }
    }
    clocking = System.nanoTime() - clocking;
    averager += clocking;
}
System.out.printf ( "This method averages %15d nanos [%16.3f ms] for %d times executing %d runs.\n",
                    averager / averageRepeats, ( averager / ( float ) averageRepeats ) / 1000000f, averageRepeats, processRepeats );
