final Entry<K, V> nextEntry() {
    if ( modCount != expectedModCount ) {
        throw new ConcurrentModificationException();
    }
    Entry<K, V> e = next;
    if ( e == null ) {
        throw new NoSuchElementException();
    }
    if ( ( next = e.next ) == null ) {
        Entry[] t = table;
        while ( index < t.length && ( next = t[index++] ) == null )
            ;
    }
    current = e;
    return e;
}
