public List<Employee> getAllEmployee() {
    Connection con = null;
    ResultSet rs = null;
    List<Employee> lstEmployee = new ArrayList<Employee>();
    try {
        con = mySqlDbConnection.getConnection();
        String sql = "SELECT E.EMPLOYEE_ID, E.EMPLOYEE_NAME, P.PROJECT_NAME, R.REPORT_NAME FROM EMPLOYEE E, PROJECT P, REPORT R WHERE E.EMPLOYEE_ID = P.EMPLOYEE_ID AND E.EMPLOYEE_ID = R.EMPLOYEE_ID";
        rs = SqlDbEngine.executeSQL ( con, sql, null );
        if ( rs != null ) {
            Employee e;
            int employeeId = -1, lastEmployeeId = -1;
            while ( rs.next() ) {
                employeeId = rs.getInt ( "EMPLOYEE_ID" );
                if ( lastEmployeeId != employeeId ) {
                    e = new Employee();
                    lastEmployeeId = employeeId;
                    lstEmployee.add ( e );
                }
                Project p = new Project();
                Report r = new Report();
                e.getProjects().add ( p );
                e.getReports().add ( r );
            }
        }
    } catch ( Exception e ) {
    } finally {
        try {
            if ( rs != null ) {
                Statement stmt = rs.getStatement();
                rs.close();
                stmt.close();
            }
            if ( con != null ) {
                con.close();
            }
        } catch ( SQLException e ) {
        }
    }
    return lstEmployee;
}
