public class JsfExceptionHandlerFactory extends ExceptionHandlerFactory {
    private ExceptionHandlerFactory factory;
    public JsfExceptionHandlerFactory ( ExceptionHandlerFactory factory ) {
        this.factory = factory;
    }
    @Override
    public ExceptionHandler getExceptionHandler() {
        ExceptionHandler result = new JsfExceptionHandler ( factory.getExceptionHandler() );
        return result;
    }
}
