import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
public class MyFrame extends javax.swing.JFrame {
    public MyFrame () {
        JMenuBar topMenu = new JMenuBar ();
        this.setJMenuBar ( topMenu );
        JMenu shapes = new JMenu ( "Shapes" );
        topMenu.add ( shapes );
        JMenuItem square = new JMenuItem ( "Square" );
        square.addActionListener ( new ShapeAction () );
        JMenuItem circle = new JMenuItem ( "Circle" );
        circle.addActionListener ( new ShapeAction () );
        JMenuItem triangle = new JMenuItem ( "Triangle" );
        triangle.addActionListener ( new ShapeAction () );
        shapes.add ( circle );
        shapes.add ( triangle );
        shapes.add ( square );
        setJMenuBar ( topMenu );
        MyControlPanel pane = new MyControlPanel ();
        getContentPane ().add ( pane );
        this.add ( pane );
    }
    @SuppressWarnings ( "unchecked" )
    private void initComponents () {
        setDefaultCloseOperation ( javax.swing.WindowConstants.EXIT_ON_CLOSE );
        javax.swing.GroupLayout layout = new javax.swing.GroupLayout ( getContentPane () );
        getContentPane ().setLayout ( layout );
        layout.setHorizontalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING ).addGap ( 0, 400, Short.MAX_VALUE ) );
        layout.setVerticalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING ).addGap ( 0, 300, Short.MAX_VALUE ) );
        pack ();
    }
    public static void main ( String args[] ) {
        try {
            for ( javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels () ) {
                if ( "Nimbus".equals ( info.getName () ) ) {
                    javax.swing.UIManager.setLookAndFeel ( info.getClassName () );
                    break;
                }
            }
        } catch ( ClassNotFoundException ex ) {
            java.util.logging.Logger.getLogger ( MyFrame.class.getName () ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( InstantiationException ex ) {
            java.util.logging.Logger.getLogger ( MyFrame.class.getName () ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( IllegalAccessException ex ) {
            java.util.logging.Logger.getLogger ( MyFrame.class.getName () ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( javax.swing.UnsupportedLookAndFeelException ex ) {
            java.util.logging.Logger.getLogger ( MyFrame.class.getName () ).log ( java.util.logging.Level.SEVERE, null, ex );
        }
        java.awt.EventQueue.invokeLater ( new Runnable () {
            public void run () {
                new MyFrame ().setVisible ( true );
            }
        } );
    }
    class ShapeAction implements ActionListener {
        public void actionPerformed ( ActionEvent e ) {
            JMenuItem clickedMenu = ( JMenuItem ) e.getSource ();
            if ( clickedMenu.getText ().equals ( "Square" ) ) {
                MyShape aSquare = new ASquare ();
            } else if ( clickedMenu.getText ().equals ( "Circle" ) ) {
                MyShape ACircle = new ACircle ();
            } else if ( clickedMenu.getText ().equals ( "Triangle" ) ) {
                MyShape ATriangle = new ATriangle ();
            }
        }
    }
}
