import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.RenderingHints;
import java.awt.image.BufferedImage;
import java.net.URL;
import javax.imageio.ImageIO;
import javax.swing.ImageIcon;
import javax.swing.JComponent;
import javax.swing.JFrame;
public class Test {
    public Test() {
        initComponents();
    }
    public static void main ( String[] args ) {
        javax.swing.SwingUtilities.invokeLater ( new Runnable() {
            @Override
            public void run() {
                Test test = new Test();
            }
        } );
    }
    private void initComponents() {
        JFrame jFrame = new JFrame();
        jFrame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        jFrame.add ( new ImageComponent() );
        jFrame.pack();
        jFrame.setVisible ( true );
    }
}
class ImageComponent extends JComponent {
    private Image image;
    public int width;
    public int height;
    public ImageComponent() {
        try {
            image = ImageUtils.scaleImage ( 300, 300, ImageIO.read ( new URL ( "http://harmful.cat-v.org/software/_java/java-evil-edition.png" ) ) );
        } catch ( Exception e ) {
            e.printStackTrace();
        }
        ImageIcon ii = new ImageIcon ( image );
        width = ii.getIconWidth();
        height = ii.getIconHeight();
    }
    @Override
    public Dimension getPreferredSize() {
        return new Dimension ( width, height );
    }
    @Override
    public void paintComponent ( Graphics g ) {
        super.paintComponent ( g );
        if ( image == null ) {
            return;
        }
        width = image.getWidth ( this );
        height = image.getHeight ( this );
        g.drawImage ( image, 0, 0, null );
    }
}
class ImageUtils {
    static Image scaleImage ( int width, int height, BufferedImage filename ) {
        BufferedImage bi;
        try {
            bi = new BufferedImage ( width, height, BufferedImage.TYPE_INT_RGB );
            Graphics2D g2d = ( Graphics2D ) bi.createGraphics();
            g2d.addRenderingHints ( new RenderingHints ( RenderingHints.KEY_RENDERING, RenderingHints.VALUE_RENDER_QUALITY ) );
            g2d.drawImage ( filename, 0, 0, width, height, null );
        } catch ( Exception e ) {
            return null;
        }
        return bi;
    }
}
