public class ConvertEnumeration {
    public static void main ( String [] args ) {
        Vector<Integer> vector = new Vector<Integer> ( Arrays.asList ( 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 ) );
        Enumeration<Integer> enumerator = vector.elements();
        EnumerationToIterator<Integer> enumToIt = new EnumerationToIterator<Integer> ( enumerator );
        while ( enumToIt.hasNext() ) {
            System.out.println ( enumToIt.next() );
        }
    }
}
class EnumerationToIterator<T> implements Iterator<T> {
    Enumeration<T> enmueration;
    public EnumerationToIterator ( Enumeration<T> enmueration ) {
        this.enmueration = enmueration;
    }
    public boolean hasNext() {
        return enmueration.hasMoreElements();
    }
    public T next() {
        return enmueration.nextElement();
    }
    public void remove() {
        throw new UnsupportedOperationException();
    }
}
