import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.jfree.chart.ChartUtilities;
import org.jfree.chart.JFreeChart;
public class ChartServlet extends HttpServlet {
    @Override
    protected void doGet ( HttpServletRequest req, HttpServletResponse resp )
    throws ServletException, IOException {
        JFreeChart chart = this.generateLineChart();
        ServletOutputStream out = resp.getOutputStream();
        resp.setContentType ( "image/png" );
        ChartUtilities.writeChartAsPNG ( out, chart, 640, 480 );
        out.close();
    }
    private JFreeChart generateLineChart() throws IOException {
        return chart;
    }
    @Override
    public void init() throws ServletException {
        System.out.println ( "Starting up charts servlet." );
    }
}
