Stack startRead ( Tree tree ) {
    if ( tree == null || !tree.hasChild() ) {
        return null;
    }
    Stack listStack = new Stack();
    List children = tree.getChildren();
    for ( Tree child : children ) {
        List childList = new ArrayList();
        listStack.push ( childList );
        readIt ( child, listStack );
    }
    return listStack;
}
void readIt ( Tree tree, Stack listStack ) {
    List current = ( List ) listStack.pop();
    if ( !tree.hasChild() ) {
        current.add ( tree.getValue() );
        listStack.push ( current );
    } else {
        List children = tree.getChildren();
        for ( Tree child : children ) {
            List childList = current.clone();
            childList.add ( tree.getValue() );
            listStack.push ( childList );
            readIt ( child, listStack );
        }
    }
}
