public TreeNode buildTree() {
    String[] names = new String[];
    TreeNode tree;
    for ( int i = 0; i < names.length; i++ ) {
        String currentName = names[i];
        String[] splitName = currentName.split ( "." );
        TreeNode parent = tree;
        for ( int n = 0; n < splitName.length; n++ ) {
            if ( parent.hasChild ( splitName[n] ) ) {
                parent = parent.getChild ( splitName[n] );
            } else {
                TreeNode child = new TreeNode ( splitName[n] );
                parent.addChild ( child );
                parent = child;
            }
        }
        return tree;
    }
