import java.util.ArrayList;
public abstract class Observed {
    private ArrayList<Observer> observers;
    public Observed() {
        views = new ArrayList<Observer>();
    }
    public void registerObserver ( Observer o ) {
        observers.add ( o );
    }
    public void removeObserver ( Observer o ) {
        observers.remove ( o );
    }
    public void notifyObservers() {
        for ( Observer o : observers ) {
            o.update();
        }
    }
}
