import java.io.IOException;
import java.io.Reader;
public class CustomReader extends Reader {
    native byte[] native_call();
    @Override public int read ( char[] cbuf, int off, int len ) throws IOException {
        if ( this.buffer == null ) {
            return -1;
        }
        final int count = len - off;
        int remaining = count;
        do {
            while ( remaining > 0 && this.index < this.buffer.length ) {
                cbuf[off++] = ( char ) this.buffer[this.index++];
                --remaining;
            }
            if ( remaining > 0 ) {
                this.buffer = native_call();
                this.index  = 0;
            }
        } while ( this.buffer != null && remaining > 0 );
        return count - remaining;
    }
    @Override
    public void close() throws IOException {
    }
    private int     index  = 0;
    private byte[]  buffer = native_call();
}
