public class MergedEventStream implements EventStream {
    private ArrayList<EventStream> merged = new ArrayList<EventStream>();
    private int nextIndex = -1;
    public MergedEventStream ( Collection<EventStream> toMerge ) {
        merged.addAll ( toMerge );
        findNext();
    }
    public Event peek() {
        if ( nextIndex == -1 && findNext() == false ) {
            throw new NoSuchElementException();
        } else {
            Event e = merged.get ( nextIndex ).peek();
            return e;
        }
    }
    public Event peek() {
        if ( nextIndex == -1 && findNext() == false ) {
            throw new NoSuchElementException();
        } else {
            Event e = merged.get ( nextIndex ).next();
            findNext();
            return e;
        }
    }
    private boolean findNext() {
    }
}
