String xml = "<version>\r\n" +
             "    <name>2.0.2</name>\r\n" +
             "    <description>\r\n" +
             "-Stop hsql database after close fist <br />\r\n" +
             "-Check for null category name before adding it to the categories list  <br />\r\n" +
             "-Fix NPE bug if there is no updates  <br />\r\n" +
             "-add default value for variable, change read bytes filter, and description of propertyFile  <br />\r\n" +
             "-Change HTTP web Proxy (the “qcProxy” field ) to http://web-proxy.isr.hp.com:8080  <br />\r\n" +
             "</description>\r\n" +
             "    <fromversion>>=2.0</fromversion>\r\n" +
             "</version>";
DocumentBuilderFactory docFactory = DocumentBuilderFactory.newInstance();
DocumentBuilder docBuilder = docFactory.newDocumentBuilder();
ByteArrayInputStream bis = new ByteArrayInputStream ( xml.getBytes() );
Document doc = docBuilder.parse ( bis );
XPath xpath = XPathFactory.newInstance().newXPath();
XPathExpression expr = xpath.compile ( "/version/description" );
Node descriptionNode = ( Node ) expr.evaluate ( doc, XPathConstants.NODE );
Transformer transformer = TransformerFactory.newInstance().newTransformer();
transformer.setOutputProperty ( OutputKeys.OMIT_XML_DECLARATION, "yes" );
StringWriter sw = new StringWriter();
transformer.transform ( new DOMSource ( descriptionNode ), new StreamResult ( sw ) );
String description = sw.getBuffer().toString().replaceAll ( "</?description>", "" );
System.out.println ( description );
