private BufferedImage cachedImage;
...
@Override
public void paintComponent ( Graphics g ) {
    if ( cachedImage == null ) {
        cachedImage = new BufferedImage ( getWidth(), getHeight(), BufferedImage.TYPE_4BYTE_ABGR );
        super.paintComponent ( cachedImage.getGraphics() );
    }
    g.drawImage ( cachedImage, 0, 0, this );
}
