public void mergeSort ( int[] data ) {
    if ( data.length <= 1 ) {
        return;
    }
    int[] a = new int[data.length / 2];
    int[] b = new int[data.length - a.length];
    for ( int i = 0; i < data.length; i++ ) {
        if ( i < a.length ) {
            a[i] = data[i];
        } else {
            b[i - a.length] = data[i];
        }
    }
    mergeSort ( a );
    mergeSort ( b );
    int ai = 0;
    int bi = 0;
    while ( ai + bi < data.length ) {
        if ( bi >= b.length || ( ai < a.length && a[ai] < b[bi] ) ) {
            data[ai + bi] = a[ai];
            ai++;
        } else {
            data[ai + bi] = b[bi];
            bi++;
        }
    }
}
