import java.awt.Color;
import java.awt.Dimension;
import java.awt.FlowLayout;
import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;
public class Main {
    public static void main ( String[] args ) {
        SwingUtilities.invokeLater ( new Runnable() {
            @Override
            public void run() {
                createAndShowGUI();
            }
        } );
    }
    private static void createAndShowGUI() {
        JFrame frame = new JFrame();
        frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        frame.setLayout ( new FlowLayout() );
        frame.add ( getWallComponent() );
        frame.pack();
        frame.setLocationByPlatform ( true );
        frame.setVisible ( true );
    }
    private static JPanel getWallComponent() {
        JPanel panel = new JPanel();
        panel.setBackground ( Color.black );
        panel.setBorder ( BorderFactory.createLineBorder ( Color.blue, 5 ) );
        panel.setPreferredSize ( new Dimension ( 200, 200 ) );
        return panel;
    }
}
