public class TwoTextArrayAdapter extends ArrayAdapter<Item> {
    private LayoutInflater mInflater;
    public enum RowType {
        LIST_ITEM, HEADER_ITEM
    }
    public TwoTextArrayAdapter ( Context context, List<Item> items ) {
        super ( context, 0, items );
        mInflater = LayoutInflater.from ( context );
    }
    @Override
    public int getViewTypeCount() {
        return RowType.values().length;
    }
    @Override
    public int getItemViewType ( int position ) {
        return getItem ( position ).getViewType();
    }
    @Override
    public View getView ( int position, View convertView, ViewGroup parent ) {
        return getItem ( position ).getView ( mInflater, convertView );
    }
}
