< % -- mysqlTest.jsp : For testing mysql connection and database query syntax -- % >
<html><body>
<h2 align = "center">SQL Test for mySQL JDBC Driver < / h2 >
            < %
            java.sql.Connection con = null;
try {
String url = "jdbc:mysql://localhost:3306/test";
Class.forName ( "com.mysql.jdbc.Driver" ).newInstance();
    con = java.sql.DriverManager.getConnection ( url, "root", "abc" );
    if ( con != null ) {
        String query = "select userName, password from users";
        java.sql.PreparedStatement stmt = con.prepareStatement ( query );
        java.sql.ResultSet r = stmt.executeQuery();
        while ( r.next() ) {
            out.print ( r.getString ( 1 ) );
            out.println ( "<br>" );
        }
        r.close();
        stmt.close();
    } else {
        out.println ( "<strong>The Database connection is null.  DriverManager could not return a valid connection.</strong>" );
    }
} catch ( ClassNotFoundException e ) {
    out.println ( "Cannot load driver<br>" + e.toString() );
} catch ( java.sql.SQLException e ) {
    out.println ( e );
} catch ( Exception e ) {
    out.println ( e );
} finally {
    if ( con != null ) {
        con.close();
    }
}
% > < / body > < / html >
