public static void main ( String[] argv ) {
    Path myFilePath = Paths.get ( "c:/dump2/mytextfile.txt" );
    Path zipFilePath = Paths.get ( "c:/dump2/myarchive.zip" );
    FileSystem fs;
    try {
        fs = FileSystems.newFileSystem ( zipFilePath, null );
        Path fileInsideZipPath = fs.getPath ( "/mytextfile.txt" );
        Files.copy ( myFilePath, fileInsideZipPath );
        fs.close();
    } catch ( IOException e ) {
        e.printStackTrace();
    }
}
