static class VocData {
    String parentName;
    String name;
    int type;
    Entity entity;
    VocData ( String parentName, String name, int type ) {
        this.parentName = parentName;
        this.name = name;
        this.type = type;
    }
}
public static void main ( String... args ) {
    List<VocData> vocDatas = new ArrayList<>();
    Map<String, VocData> map = new LinkedHashMap<>();
    for ( int i = 0; i < 250; i++ ) {
        String name = i + "-name";
        VocData vd = new VocData ( "", name, 1 );
        vocDatas.add ( vd );
        map.put ( name, vd );
    }
    for ( int j = 0; j < 5; j++ ) {
        int runs = 10;
        long start = System.nanoTime();
        for ( int r = 0; r < runs; r++ ) {
            for ( int i = 0; i < vocDatas.size(); i++ ) {
                String key = i + "name";
                for ( int k = 0; k < vocDatas.size(); k++ ) {
                    if ( vocDatas.get ( i ).name.equals ( key ) ) {
                        break;
                    }
                }
            }
        }
        long time = System.nanoTime() - start;
        System.out.printf ( "Average brute force search time is %.3f us%n",
                            time / vocDatas.size() / runs / 1e3 );
        long start2 = System.nanoTime();
        for ( int r = 0; r < runs; r++ ) {
            for ( int i = 0; i < vocDatas.size(); i++ ) {
                String key = i + "name";
                map.get ( key );
            }
        }
        long time2 = System.nanoTime() - start2;
        System.out.printf ( "Average map.get() search time is %.3f us%n",
                            time2 / vocDatas.size() / runs / 1e3 );
    }
}
