ConcurrentMap<String, MyType> map = new ConcurrentHashMap<>();
for ( MyType mt : retainedSet ) {
    map.put ( mt.getKey(), mt );
}
for ( MyType mt : onlyIfNewSet ) {
    map.putIfAbsent ( mt.getKey(), mt );
}
Set<String> toKeep = new HashSet<>();
for ( MyType mt : onlyIfNewSet ) {
    toKeep.add ( mt.getKey() );
}
map.keySet().retainAll ( toKeep );
