import javax.swing.JFrame;
import javax.swing.JTextField;
import javax.swing.SwingUtilities;
import javax.swing.text.AbstractDocument;
import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.DocumentFilter;
import javax.swing.text.DocumentFilter.FilterBypass;
public class Test {
    public Test() {
        initComponents();
    }
    public static void main ( String[] args ) {
        SwingUtilities.invokeLater ( new Runnable() {
            @Override
            public void run() {
                new Test();
            }
        } );
    }
    private void initComponents() {
        JFrame frame = new JFrame();
        frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        JTextField jtf = new JTextField();
        ( ( AbstractDocument ) jtf.getDocument() ).setDocumentFilter ( new MyDocumentFilter() );
        frame.add ( jtf );
        frame.pack();
        frame.setVisible ( true );
    }
}
class MyDocumentFilter extends DocumentFilter {
    @Override
    public void replace ( FilterBypass fb, int i, int i1, String string, AttributeSet as ) throws BadLocationException {
        for ( int n = string.length(); n > 0; n-- ) {
            char c = string.charAt ( n - 1 );
            System.out.println ( c );
            if ( Character.isAlphabetic ( c ) || c == ' ' ) {
                super.replace ( fb, i, i1, String.valueOf ( c ), as );
            } else {
                System.out.println ( "Not allowed" );
            }
        }
    }
    @Override
    public void remove ( FilterBypass fb, int i, int i1 ) throws BadLocationException {
        super.remove ( fb, i, i1 );
    }
    @Override
    public void insertString ( FilterBypass fb, int i, String string, AttributeSet as ) throws BadLocationException {
        super.insertString ( fb, i, string, as );
    }
}
