static class Entry<K, V> implements Map.Entry<K, V> {
    final K key;
    V value;
    Entry<K, V> next;
    final int hash;
    ...
    public final K getKey() {
        return key;
    }
    public final V getValue() {
        return value;
    }
    public final V setValue ( V newValue ) {
        V oldValue = value;
        value = newValue;
        return oldValue;
    }
    ...
