import java.awt.*;
import javax.swing.*;
import javax.swing.border.EmptyBorder;
public class CenteredCombos {
    public static void main ( String[] args ) {
        Runnable r = new Runnable() {
            @Override
            public void run() {
                String[] values = {"Dog", "Cat"};
                JPanel controlPanel = new JPanel ( new GridLayout ( 0, 1, 5, 5 ) );
                for ( int ii = 0; ii < 4; ii++ ) {
                    controlPanel.add ( new JComboBox ( values ) );
                }
                JPanel gui = new JPanel ( new GridBagLayout() );
                gui.setBorder ( new EmptyBorder ( 2, 3, 2, 3 ) );
                gui.add ( controlPanel );
                gui.setBackground ( Color.WHITE );
                JFrame f = new JFrame ( "Demo" );
                f.add ( gui );
                f.setDefaultCloseOperation ( JFrame.DISPOSE_ON_CLOSE );
                f.setLocationByPlatform ( true );
                f.pack();
                f.setVisible ( true );
            }
        };
        SwingUtilities.invokeLater ( r );
    }
}
