private final static int LEFT = 0;
private final static int RIGHT = 1;
private static class Node {
    private Node left, right;
    private boolean red;
    ...
    Node link ( int direction ) {
        return ( direction == LEFT ) ? this.left : this.right;
    }
    Node setLink ( int direction, Node n ) {
        if ( direction == LEFT ) {
            this.left = n;
        } else {
            this.right = n;
        }
        return n;
    }
}
boolean remove ( int data ) {
    if ( this.root != null ) {
        final Node head = new Node ( -1, null, null );
        Node cur, parent, grandpa;
        Node found = null;
        int dir = RIGHT;
        cur = head;
        grandpa = parent = null;
        cur.setLink ( RIGHT, this.root );
        while ( cur.link ( dir ) != null ) {
            int last = dir;
            grandpa = parent, parent = cur;
            cur = cur.link ( dir );
            dir = cur.data < data ? RIGHT : LEFT;
            if ( cur.data == data ) {
                found = cur;
            }
            if ( !is_red ( cur ) && !is_red ( cur.link ( dir ) ) ) {
                if ( is_red ( cur.link ( ~dir ) ) ) {
                    parent = parent.setLink ( last, singleRotate ( cur, dir ) );
                } else if ( !is_red ( cur.link ( ~dir ) ) ) {
                    Node s = parent.link ( ~last );
                    if ( s != null ) {
                        if ( !is_red ( s.link ( ~last ) ) && !is_red ( s.link ( last ) ) ) {
                            parent.red = false;
                            s.red = true;
                            cur.red = true;
                        } else {
                            int dir2 = grandpa.link ( RIGHT ) == parent ? RIGHT : LEFT;
                            if ( is_red ( s.link ( last ) ) ) {
                                grandpa.setLink ( dir2, doubleRotate ( parent, last ) );
                            } else if ( is_red ( s.link ( ~last ) ) ) {
                                grandpa.setLink ( dir2, singleRotate ( parent, last ) );
                            }
                            cur.red = grandpa.link ( dir2 ).red = true;
                            grandpa.link ( dir2 ).link ( LEFT ).red = false;
                            grandpa.link ( dir2 ).link ( RIGHT ).red = false;
                        }
                    }
                }
            }
        }
        if ( found != null ) {
            found.data = cur.data;
            parent.setLink (
                parent.link ( RIGHT ) == cur ? RIGHT : LEFT,
                cur.link ( cur.link ( LEFT ) == null ? RIGHT : LEFT ) );
        }
        this.root = head.link ( RIGHT );
        if ( this.root != null ) {
            this.root.red = false;
        }
    }
    return true;
}
