class DictionarySearch {
    private Dictionary<string, List<string>> dict;
    public DictionarySearch() {
        dict = new Dictionary<string, List<string>>();
    }
    public void addString ( string s ) {
        string[] words = s.Split ( new char[] { ' ' } );
        foreach ( string w in words ) {
            if ( dict.ContainsKey ( w ) ) {
                dict[w].Add ( s );
            } else {
                dict.Add ( w, new List<string>() );
                dict[w].Add ( s );
            }
        }
    }
    public IList<string> getMatches ( string s ) {
        string[] words = s.Split ( new char[] { ' ' } );
        List<string> output = new List<string>();
        foreach ( string w in words ) {
            if ( dict.ContainsKey ( w ) ) {
                output.AddRange ( dict[w] );
            } else {
                continue;
            }
        }
        return output;
    }
}
