class MyRepository<T>
    private final Class<T> clazz;
MyRepository ( Class<T> clazz ) {
    this.clazz = clazz;
}
T load ( int id ) {
    final String tableName = clazz.getSimpleName() + "Table";
    final T t = clazz.newInstance();
    return t;
}
}
...
final MyRepository<User> userRepository = new MyRepository<User> ( User.class );
final User user = userRepository.load ( 123 );
...
