import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.os.Build;
import android.os.Bundle;
import android.preference.PreferenceActivity;
import android.preference.PreferenceFragment;
public class WallpaperSettings extends PreferenceActivity {
    @SuppressLint ( "NewApi" )
    @SuppressWarnings ( "deprecation" )
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        if ( Build.VERSION.SDK_INT < 11 ) {
            addPreferencesFromResource ( R.xml.preferences );
        } else {
            getFragmentManager().beginTransaction().replace ( android.R.id.content, new MyPreferenceFragment() ).commit();
        }
    }
    @TargetApi ( Build.VERSION_CODES.HONEYCOMB )
    public static class MyPreferenceFragment extends PreferenceFragment {
        @Override
        public void onCreate ( final Bundle savedInstanceState ) {
            super.onCreate ( savedInstanceState );
            addPreferencesFromResource ( R.xml.preferences );
            getPreferenceManager().setSharedPreferencesName ( "preferences" );
            getPreferenceManager().setSharedPreferencesMode ( 0 );
        }
    }
}
