public final static long usedMemory() {
    return Runtime.getRuntime().totalMemory()
           - Runtime.getRuntime().freeMemory();
}
public static void main ( String[] args ) throws Exception {
    Constructor<?> ctor = ReflectionFactory
                          .getReflectionFactory()
                          .newConstructorForSerialization (
                              Main.class, Object.class.getDeclaredConstructor() );
    Object d = ctor.newInstance();
    System.out.println ( usedMemory() );
    Object b = new Main();
    System.gc();
    final long mem = usedMemory();
    Object a = new Main();
    System.out.println ( usedMemory() - mem );
    Object c = ctor.newInstance();
    System.gc();
    System.out.println ( usedMemory() - mem );
    System.out.println ( a + ", " + b + ", " + c + ", " + d );
}
