@Configuration
@ComponentScan ( basePackages = "com" )
@EnableWebMvc
public class MvcConfiguration extends WebMvcConfigurerAdapter {
    @Bean
    public ViewResolver getViewResolver() {
        InternalResourceViewResolver resolver = new InternalResourceViewResolver();
        resolver.setPrefix ( "/WEB-INF/views/" );
        resolver.setSuffix ( ".jsp" );
        return resolver;
    }
}
