import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.image.BufferedImage;
...
public static BufferedImage resizeImage ( Image originalImage, int newWidth, int newHeight ) {
    BufferedImage resizedImage = new BufferedImage ( newWidth, newHeight, BufferedImage.TYPE_INT_ARGB );
    Graphics2D g = resizedImage.createGraphics();
    g.setComposite ( AlphaComposite.Src );
    g.setRenderingHint ( RenderingHints.KEY_INTERPOLATION, RenderingHints.VALUE_INTERPOLATION_BILINEAR );
    g.setRenderingHint ( RenderingHints.KEY_RENDERING, RenderingHints.VALUE_RENDER_QUALITY );
    g.setRenderingHint ( RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON );
    g.drawImage ( originalImage, 0, 0, newWidth, newHeight, this );
    g.dispose();
    return resizedImage;
}
