class MatrixOfObjects {
    private Optional<MyObjectClass>[][] map_use;
    public MatrixOfObjects ( Integer nRows, Integer nCols ) {
        map_use = ( Optional<MyObjectClass>[][] ) new Optional[nRows][nCols];
    }
    public MyObjectClass getCellContents ( Integer row, Integer col ) {
        return map_use[row][col].get();
    }
    public void setCellContents ( MyObjectClass e, Integer row, Integer col ) {
        map_use[row][col] = Optional.of ( e );
    }
    public void emptyCellContents ( Integer row, Integer col ) {
        map_use[row][col] = Optional.absent();
    }
    public Boolean isCellUsed ( Integer row, Integer col ) {
        return map_use[row][col].isPresent();
    }
}
