import java.math.BigDecimal;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;
@FacesConverter ( value = "com.edsi.jsf.RoundHalfUp" )
public class RoundHalfUpConverter implements Converter {
    @Override
    public Object getAsObject ( FacesContext context, UIComponent component, String value ) {
        throw new UnsupportedOperationException ( "Not supported yet." );
    }
    @Override
    public String getAsString ( FacesContext context, UIComponent component, Object value ) {
        BigDecimal  bd = ( BigDecimal ) value;
        int decimalPlaces;
        try {
            decimalPlaces = Integer.parseInt ( ( String ) component.getAttributes().get ( "decimalPlaces" ) );
        } catch ( Exception exc ) {
            decimalPlaces = 2;
        }
        return bd.setScale ( decimalPlaces, BigDecimal.ROUND_HALF_UP ).toString();
    }
}
