@Service ( "userService" )
@Transactional
public class UserService {
    @Resource ( name = "sessionFactory" )
    private SessionFactory  sessionFactory;
    public void mergeWithExistingAndUpdate ( final Person personFromPost ) {
        final Session session = sessionFactory.getCurrentSession();
        final Person existingPerson = ( Person ) session.get ( Person.class, personFromPost.getId() );
        existingPerson.setName ( personFromPost.getName() );
        existingPerson.setEmail ( personFromPost.getEmail() );
        existingPerson.setPassword ( Utils.encodePassword ( personFromPost.getPassword() ) );
        existingPerson.setDateModified ( new Date() );
        existingPerson.setUserModified ( Utils.getCurrentUser() );
        session.update ( existingPerson );
    }
}
