import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
public class InsertRecordsUsingPreparedStatement {
    public static Connection getConnection() throws Exception {
        String driver = "com.mysql.jdbc.Driver";
        String url = "jdbc:mysql://localhost:3306/databaseName";
        String username = "username";
        String password = "password";
        Class.forName ( driver );
        Connection conn = DriverManager.getConnection ( url, username, password );
        return conn;
    }
    public static void main ( String[] args ) throws Exception {
        Connection conn = null;
        PreparedStatement pstmt = null;
        try {
            conn = getConnection();
            String query = "insert into message values(?, ?, ?)";
            pstmt = conn.prepareStatement ( query );
            pstmt.setInt ( 1, 5 );
            pstmt.setString ( 2, "head5" );
            pstmt.setString ( 3, "data5" );
            pstmt.executeUpdate();
            pstmt = conn.prepareStatement ( "insert into msgtag values(?, ?, ?)" );
            pstmt.setInt ( 1, 55 );
            pstmt.setString ( 2, "tag5" );
            pstmt.setInt ( 3, 5 );
            pstmt.executeUpdate();
        } catch ( Exception e ) {
            e.printStackTrace();
        } finally {
            pstmt.close();
            conn.close();
        }
    }
}
