@WebListener
public class Scheduler implements ServletContextListener {
    private ScheduledExecutorService scheduler;
    @Override
    public void contextInitialized ( ServletContextEvent event ) {
        scheduler = Executors.newSingleThreadScheduledExecutor();
        long millisUntil12PM = calculateItSomehow();
        scheduler.scheduleAtFixedRate ( new SendEmail(), millisUntil12PM, 1, TimeUnit.DAYS );
    }
    @Override
    public void contextDestroyed ( ServletContextEvent event ) {
        scheduler.shutdownNow();
    }
}
