public class EditPlayers extends SherlockFragmentActivity implements EditPlayerAdapterCallback {
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        EditPlayerAdapter adapter = new EditPlayerAdapter ( this,
                R.layout.score_row_edit_player, listScoreEdit );
        adapter.setCallback ( this );
        listPlayerNames.setAdapter ( adapter );
    }
    private void deletePlayer ( final int position ) {
        AlertDialog.Builder alertDialog = new AlertDialog.Builder (
            EditPlayers.this );
        alertDialog.setTitle ( "Delete Player" );
        alertDialog.setMessage ( "Are you sure?" );
        alertDialog.setPositiveButton ( "Delete",
        new DialogInterface.OnClickListener() {
            public void onClick ( DialogInterface dialog, int which ) {
                listScoreEdit.remove ( position );
                updateListView();
            }
        } );
        alertDialog.setNeutralButton ( "Cancel",
        new DialogInterface.OnClickListener() {
            public void onClick ( DialogInterface dialog, int which ) {
                dialog.cancel();
            }
        } );
        alertDialog.show();
    }
    @Override
    public void deletePressed ( int position ) {
        deletePlayer ( position );
    }
}
