public class Alphy {
    private double[][] x;
    public Alphy ( double[][] x ) {
        this.x = x;
    }
    public double[][] multiplyWith ( double[][] y ) {
        int nr = x.length, nc = x[0].length;
        double[][] z = new double[nr][nc];
        for ( int i = 0 ; i < nr ; i++ )
            for ( int j = 0 ; j < nc ; j++ ) {
                z[i][j] = x[i][j] * y[j][i];
            }
        return z;
    }
    public static void print ( double[][] m, String label ) {
        int nr = m.length, nc = m[0].length;
        System.out.println ( label );
        for ( int i = 0 ; i < nr ; i++ ) {
            for ( int j = 0 ; j < nc ; j++ ) {
                System.out.print ( "\t" + m[i][j] );
            }
            System.out.println();
        }
    }
    public static void main ( String[] args ) {
        double[][]  X = {{4, 9}, {8, 7}, {3, 2}, {9, 1}},
        Y = {{4, 11, 12, 14}, {13, 9, 22, 7}},
        Z = new Alphy ( X ).multiplyWith ( Y );
        Alphy.print ( X, "Initial Matrix" );
        Alphy.print ( Y, "Multiplied by" );
        Alphy.print ( Z, "Gives the result" );
    }
}
