void updateGame ( float deltaTime ) {
    float step = deltaTime;
    do (
            Collision hit = findFirstCollision ( step );
        if ( hit != null ) {
        step = Math.max ( hit.time, MIN_STEP );
            updateObjects ( step );
            updateVelocities ( hit );
        } else {
            updateObjects ( step );
        }
    deltaTime -= step;
                 step = deltaTime;
}
while ( deltaTime > 0 );
}
Collision findFirstCollision ( float deltaTime ) {
    Collision result = null;
    for ( int i = 0; i < obj_list.length; ++i ) {
        for ( int j = i + 1; j < obj_list.length; ++j ) {
            Collision hit = findCollision ( i, j, deltaTime );
            if ( hit != null ) {
                if ( result == null || hit.time < result.time ) {
                    result = hit;
                }
            }
        }
    }
    return result;
}
Collision findCollision ( int i1, int i2, float deltaTime ) {
}
void updateObjects ( float step ) {
    for ( GameObject obj : obj_list ) {
        Point2D.Float pos = obj.getPosition();
        Point2D.Float velocity = obj.getVelocity();
        obj.setPosition (
            pos.getX() + step * velocity.getX(),
            pos.getY() + step * velocity.getY()
        );
    }
}
void updateVelocities ( Collision collision ) {
}
