int iterationCount = 1000;
int saltLength = 32;
int keyLength = 256;
byte[] salt = new byte[saltLength];
SecureRandom random = new SecureRandom();
random.nextBytes ( salt );
KeySpec keySpec = new PBEKeySpec ( new String ( key,
                                   Constants.CHAR_ENCODING ).toCharArray(), key, iterationCount,
                                   keyLength );
SecretKeyFactory keyFactory = SecretKeyFactory
                              .getInstance ( "PBEWithSHA256And256BitAES-CBC-BC" );
byte[] keyBytes = keyFactory.generateSecret ( keySpec ).getEncoded();
SecretKey secretKey = new SecretKeySpec ( keyBytes, "AES" );
return secretKey.getEncoded();
