private static boolean execute ( boolean superuser, String command ) {
    DataOutputStream os = null;
    try {
        Process process = Runtime.getRuntime().exec ( superuser ? "su" : "sh" );
        os = new DataOutputStream ( process.getOutputStream() );
        os.writeBytes ( command + "\n" );
        os.flush();
        os.writeBytes ( "exit\n" );
        os.flush();
        return process.waitFor() == 0;
    } catch ( Exception e ) {
        e.printStackTrace();
    } finally {
        if ( os != null ) {
            try {
                os.close();
            } catch ( Exception e ) {}
        }
    }
    return false;
}
public static boolean mv ( File source, File target ) {
    if ( !source.exists() || !target.exists() ) {
        return false;
    }
    try {
        StringBuilder command = new StringBuilder ( "mv " );
        command.append ( getCommandLineString ( source.getAbsolutePath() ) );
        command.append ( ' ' );
        command.append ( getCommandLineString ( target.getAbsolutePath() ) );
        return execute ( false, command.toString() );
    } catch ( Exception e ) {
        e.printStackTrace();
        return false;
    }
}
