FileReader fileReader = new FileReader ( "/path/to/your.csr" );
PemReader pemReader = new PemReader ( fileReader );
PKCS10CertificationRequest csr =
    new PKCS10CertificationRequest ( pemReader.readPemObject().getContent() );
pemReader.close();
fileReader.close();
StringWriter output = new StringWriter();
PemWriter pemWriter = new PemWriter ( output );
PemObject pkPemObject = new PemObject ( "PUBLIC KEY",
                                        csr.getSubjectPublicKeyInfo().getEncoded() );
pemWriter.writeObject ( pkPemObject );
pemWriter.close();
System.out.println ( output.getBuffer() );
RSAKeyParameters pubkey =
    ( RSAKeyParameters ) PublicKeyFactory.createKey ( csr.getSubjectPublicKeyInfo() );
