public class MyScheduledExecutor extends ScheduledThreadPoolExecutor {
    public MyScheduledExecutor ( int corePoolSize ) {
        super ( corePoolSize );
    }
    @Override
    protected void afterExecute ( Runnable r, Throwable t ) {
        super.afterExecute ( r, t );
        if ( t == null && r instanceof Future<?> ) {
            try {
                Object result = ( ( Future<?> ) r ).get();
            } catch ( CancellationException ce ) {
                t = ce;
            } catch ( ExecutionException ee ) {
                t = ee.getCause();
            } catch ( InterruptedException ie ) {
                Thread.currentThread().interrupt();
            }
        }
        if ( t != null ) {
            System.out.println ( t );
        }
    }
}
