private static String getConnectionString() {
    String connectionString = null;
    f ( WLANInfo.getWLANState() == WLANInfo.WLAN_STATE_CONNECTED ) {
        connectionString = ";interface=wifi";
    }
    else if ( ( CoverageInfo.getCoverageStatus() & CoverageInfo.COVERAGE_DIRECT ) == CoverageInfo.COVERAGE_DIRECT ) {
        String carrierUid = getCarrierBIBSUid();
        if ( carrierUid == null ) {
            connectionString = ";deviceside=true";
        } else {
            connectionString = ";deviceside=false;connectionUID=" + carrierUid + ";ConnectionType=mds-public";
        }
    } else  if ( TransportInfo.isTransportTypeAvailable ( TransportInfo.TRANSPORT_BIS_B ) && TransportInfo.hasSufficientCoverage ( TransportInfo.TRANSPORT_BIS_B ) ) {
        connectionString = ";deviceside=false;ConnectionType=mds-public";
    } else if ( ( CoverageInfo.getCoverageStatus() & CoverageInfo.COVERAGE_MDS ) == CoverageInfo.COVERAGE_MDS ) {
        connectionString = ";deviceside=false";
    } else if ( CoverageInfo.getCoverageStatus() == CoverageInfo.COVERAGE_NONE ) {
    } else {
        connectionString = ";deviceside=true";
    }
    return connectionString;
}
private static String getCarrierBIBSUid() {
    ServiceRecord[] records = ServiceBook.getSB().getRecords();
    int currentRecord;
    for ( currentRecord = 0; currentRecord < records.length; currentRecord++ ) {
        if ( records[currentRecord].getCid().toLowerCase().equals ( "ippp" ) ) {
            if ( records[currentRecord].getName().toLowerCase().indexOf ( "bibs" ) >= 0 ) {
                return records[currentRecord].getUid();
            }
        }
    }
    return null;
}
