class Foo<T> {
    private final Class<T> clazz;
    Foo ( final Class<T> clazz ) {
        this.clazz = clazz;
        if ( clazz == null ) {
            throw new NullPointerException();
        }
    }
    void bar () {
        if ( Serializable.class.isAssignableFrom ( clazz ) ) {
            ...
        }
    }
}
