final EntityTag eTag = new EntityTag ( resource.getId() + "_" +
                                       resource.getLastModified().getTime() );
final CacheControl cacheControl = new CacheControl();
cacheControl.setMaxAge ( -1 );
ResponseBuilder builder = request.evaluatePreconditions (
                              resource.getLastModified(), eTag );
if ( builder == null ) {
    builder = Response.ok ( resource );
}
return builder.cacheControl ( cacheControl ).lastModified (
           resource.getLastModified() ).tag ( eTag ).build();
