import static javax.xml.xpath.XPathConstants.*;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import javax.xml.xpath.*;
import org.w3c.dom.*;
import org.xml.sax.InputSource;
public class Xml2into1 {
    public static void main ( String[] args ) throws Exception {
        InputSource xml1 = new InputSource ( "xml1.xml" );
        InputSource xml2 = new InputSource ( "xml2.xml" );
        XPath xpath = XPathFactory.newInstance()
                      .newXPath();
        Node expandedData1 = ( Node ) xpath.evaluate ( "//expandedData", xml1, NODE );
        Document doc1 = expandedData1.getOwnerDocument();
        Node expandedData2 = ( Node ) xpath.evaluate ( "//expandedData", xml2, NODE );
        expandedData1.getParentNode()
        .replaceChild ( doc1.adoptNode ( expandedData2 ), expandedData1 );
        TransformerFactory.newInstance()
        .newTransformer()
        .transform ( new DOMSource ( doc1 ), new StreamResult ( System.out ) );
    }
}
