public class Group {
    public void deregisterPerson ( Person.GroupDeregister deregister ) {
        if ( deregister.group() != this ) {
            throw new IllegalArgumentException();
        }
        Person person = deregister.person();
        ...
    }
}
public class Person {
    public final class GroupDeregister {
        private final Group group;
        private GroupDeregister ( Group group ) {
            this.group = group;
        }
        public Person person() {
            return Person.this;
        }
        public Group group() {
            return group;
        }
    }
    private void groupDeregister ( Group group ) {
        group.deregisterPerson ( new GroupDeregister ( group ) );
    }
}
