PatternBuilder patternBuilder = new PatternBuilder()
.addDefinition ( 'X', "." )
.addDefinition ( 'Y', "Y" )
.addDefinition ( 'M', "[0-9]" )
.addDefinition ( 'N', "\\d" )
.addDefinition ( 'A', "[a-zA-Z]" );
String rePattern = patternBuilder.buildRegexPattern ( "XxxYMXXXXXA" );
System.out.println ( "Pattern: '" + rePattern + "'" );
Pattern p = Pattern.compile ( rePattern );
String[] tests = new String[] {
    "39JY412345O",
    "39JY41234FO",
    "39JY4123457",
    "A9JY4123457"
};
for ( String s : tests ) {
    Matcher m = p.matcher ( s );
    System.out.println ( "Test '" + s + "': " + m.matches() );
}
