import java.util.ArrayList;
import java.util.Scanner;
public class PrimeFactors {
    public PrimeFactors() {
    }
    public static void main ( String[] args ) {
        long num;
        Scanner in = new Scanner ( System.in );
        System.out.println ( "\n\n\nThis program finds the prime factors of a given number.\n" );
        System.out.print ( "Please enter the number: " );
        num = in.nextInt();
        System.out.println ( "\nThe factors are: " + findFactors ( ( double ) num ) + "\n" );
    }
    public static ArrayList<Integer> findFactors ( Double num ) {
        ArrayList<Integer> factors = new ArrayList<Integer>();
        for ( int x = 1; x <= num; x++ ) {
            System.out.println ( "Testing " + num + " % " + x + " = " + num % x );
            if ( num % x == 0 ) {
                System.out.println ( x + " is a factor" );
                if ( isPrime ( x ) ) {
                    System.out.println ( "And " + x + " is prime." );
                    factors.add ( x );
                } else {
                    System.out.println ( "But " + x + " is not prime." );
                }
            } else {
                System.out.println ( x + " is not a factor" );
            }
        }
        return factors;
    }
    public static boolean isPrime ( double num ) {
        boolean prime = true;
        for ( int x = 2; x < num; x++ ) {
            if ( num % x == 0 ) {
                prime = false;
            }
        }
        return prime;
    }
}
