@MappedSuperclass
public abstract class BaseVoipCurrentCall implements Serializable {
    @Id
    private CompositeID id;
    private Timestamp startTime;
    private Timestamp endTime;
    private String calledNumber;
    private String callingNumber;
    private Person contact;
    private CallSource source;
    private CallStatus status;
    private CallType type;
    private CallStage stage;
}
@Entity
@Table ( name = "voip_currentCalls" )
public class VoipCurrentCall extends BaseVoipCurrentCall {
}
@Entity
@Table ( name = "voip_historyCalls" )
public class VoipHistoryCall extends BaseVoipCurrentCall {
}
