private void initilaize() {
    TextColumn<Times> startColumn
    = new TextColumn<Times>() {
        @Override
        public String getValue ( Times times ) {
            return Double.toString ( times.getStart() );
        }
    };
    table.addColumn ( startColumn, "Beginn" );
    TextColumn<Times> pauseColumn
    = new TextColumn<Times>() {
        @Override
        public String getValue ( Times times ) {
            return Integer.toString ( times.getPause() );
        }
    };
    table.addColumn ( pauseColumn, "Pause in Minuten" );
    TextColumn<Times> endColumn
    = new TextColumn<Times>() {
        @Override
        public String getValue ( Times times ) {
            return Double.toString ( times.getEnd() );
        }
    };
    table.addColumn ( endColumn, "Ende" );
    panel.setBorderWidth ( 1 );
    panel.setWidth ( "400" );
    panel.add ( table );
    panel.getElement().setId ( "mainTable" );
    RootPanel.get().add ( panel );
}
public void createTimeTable() {
    serviceImplURL.getRpcDB().getBookedTimes ( username,
    new AsyncCallback<ArrayList<Times>>() {
        @Override
        public void onFailure ( Throwable caught ) {
        }
        @Override
        public void onSuccess ( ArrayList<Times> startList ) {
            table.setRowCount ( startList.size(), true );
            table.setRowData ( 0, startList );
        }
    } );
