public boolean regionMatches ( boolean ignoreCase, int toffset,
                               String other, int ooffset, int len ) {
    char ta[] = value;
    int to = offset + toffset;
    char pa[] = other.value;
    int po = other.offset + ooffset;
    if ( ( ooffset < 0 ) || ( toffset < 0 ) || ( toffset > ( long ) count - len ) ||
            ( ooffset > ( long ) other.count - len ) ) {
        return false;
    }
    while ( len-- > 0 ) {
        char c1 = ta[to++];
        char c2 = pa[po++];
        if ( c1 == c2 ) {
            continue;
        }
        if ( ignoreCase ) {
            char u1 = Character.toUpperCase ( c1 );
            char u2 = Character.toUpperCase ( c2 );
            if ( u1 == u2 ) {
                continue;
            }
            if ( Character.toLowerCase ( u1 ) == Character.toLowerCase ( u2 ) ) {
                continue;
            }
        }
        return false;
    }
    return true;
}
