InetAddress getBroadcastAddress() throws IOException {
    WifiManager wifi = mContext.getSystemService ( Context.WIFI_SERVICE );
    DhcpInfo dhcp = wifi.getDhcpInfo();
    int broadcast = ( dhcp.ipAddress & dhcp.netmask ) | ~dhcp.netmask;
    byte[] quads = new byte[4];
    for ( int k = 0; k < 4; k++ ) {
        quads[k] = ( byte ) ( ( broadcast >> k * 8 ) & 0xFF );
    }
    return InetAddress.getByAddress ( quads );
}
