private static final ReentrantLock lock = new ReentrantLock ( true );
private static AtomicInteger signalCount = new AtomicInteger ( 0 );
public static void shhh ( int s ) {
    s = s * 1000;
    try {
        System.out.println ( Thread.currentThread().getName() + " sleeping for "
                             + s + "s..." );
        Thread.sleep ( s );
    } catch ( InterruptedException e ) {
        System.out.println ( "Uh-oh :(" );
    }
}
public static void main ( String[] args ) throws Exception {
    Signal.handle ( new Signal ( "INT" ), new SignalHandler() {
        public void handle ( Signal sig ) {
            signalCount.incrementAndGet();
            lock.lock();
            try {
                for ( int i = 0; i < 5; i++ ) {
                    System.out.println ( "+" );
                    shhh ( 1 );
                }
            } finally {
                signalCount.decrementAndGet();
                lock.unlock();
            }
        }
    } );
    int i = 0;
    while ( i < 10 ) {
        try {
            lock.lock();
            if ( signalCount.get() > 0 ) {
                continue;
            }
            System.out.println ( i + "/10" );
            shhh ( 1 );
            i++;
        } finally {
            lock.unlock();
        }
    }
}
