public static void main ( String[] args ) {
    System.out.println ( getPrimitive ( "123" ) );
    System.out.println ( getPrimitive ( "1233" ) );
    System.out.println ( getPrimitive ( "1233587" ) );
    System.out.println ( getPrimitive ( "123.2" ) );
    System.out.println ( getPrimitive ( "123.999999" ) );
    System.out.println ( getPrimitive ( "12399999999999999999999999" ) );
    System.out.println ( getPrimitive ( "123.999999999999999999999999" ) );
}
static public Object getPrimitive ( String string ) {
    try {
        return Byte.valueOf ( string );
    } catch ( Exception e ) { };
    try {
        return Short.valueOf ( string );
    } catch ( Exception e ) { };
    try {
        return Integer.valueOf ( string );
    } catch ( Exception e ) { };
    try {
        return new BigInteger ( string );
    } catch ( Exception e ) { };
    try {
        if ( string.matches ( ".{1,8}" ) ) {
            return Float.valueOf ( string );
        }
    } catch ( Exception e ) { };
    try {
        if ( string.matches ( ".{1,17}" ) ) {
            return Double.valueOf ( string );
        }
    } catch ( Exception e ) { };
    try {
        return new BigDecimal ( string );
    } catch ( Exception e ) { };
    return null;
}
