package fr.imag.ufrima.tat.tp6.aspects.monitor;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
public class MonitorHashCode {
    private List<Integer> collectionsAddedToHashSet;
    public MonitorHashCode() {
        System.out.println ( "Monitor created." );
        collectionsAddedToHashSet = new ArrayList<Integer>();
    }
    public void addElementsToHashCode ( Collection c ) {
        System.out.println ( "\naddElementsToHashCode." );
        collectionsAddedToHashSet.add ( System.identityHashCode ( c ) );
        System.out.println ( "\nCollection has been added to HashMap." );
    }
    public void addElementsToCollection ( Object pointCutTarget ) {
        System.out.println ( "\naddElementsToCollection." );
        int systemIdentityHashCode = System.identityHashCode ( pointCutTarget );
        boolean isContained = collectionsAddedToHashSet.contains ( systemIdentityHashCode );
        System.out.println ( String.format ( "currentCollection: %s systemIdentityHashCode: %d - isContained: %s", pointCutTarget, systemIdentityHashCode, isContained ) );
        if ( isContained ) {
            System.out.println ( "Error: you have already added this collection into a hashmap, you can not add more elements into it!" );
        }
    }
}
