private volatile Thread lastThread;
private final ReentrantLock lock = new ReentrantLock();
private void doBackgroundTask ( Object obj ) throws InterruptedException {
    Thread currentThread = Thread.currentThread();
    lastThread = currentThread;
    try {
        lock.lockInterruptibly();
        if ( lastThread != currentThread ) {
            return;
        }
    } finally {
        lock.unlock();
    }
}
