public void loadData() throws IOException, SPSSFileException {
    if ( dataStartPosition < 1 ) {
        throw new SPSSFileException ( "Error: data location pointer not initialized." );
    }
    SPSSDataRecord data = new SPSSDataRecord();
    SPSSDataRecord.clusterIndex = 8;
    seek ( dataStartPosition );
    for ( int i = 0; i < infoRecord.numberOfCases; i++ ) {
        data.read ( this );
    }
    isDataLoaded = true;
}
