class MyCellRenderer extends JLabel implements ListCellRenderer {
    ImageIcon longIcon = new ImageIcon ( "long.gif" );
    ImageIcon shortIcon = new ImageIcon ( "short.gif" );
    public Component getListCellRendererComponent (
        JList list,
        Object value,
        int index,
        boolean isSelected,
        boolean cellHasFocus ) {
        Action action = ( Action ) value;
        setText ( ( String ) action.getValue ( Action.NAME ) );
        setIcon ( ( Icon ) action.getValue ( Action.SMALL_ICON ) );
        if ( isSelected ) {
            setBackground ( list.getSelectionBackground() );
            setForeground ( list.getSelectionForeground() );
        } else {
            setBackground ( list.getBackground() );
            setForeground ( list.getForeground() );
        }
        setEnabled ( list.isEnabled() );
        setFont ( list.getFont() );
        setOpaque ( true );
        return this;
    }
}
