public String normalizeTime ( String line ) {
    Pattern p = Pattern.compile ( "(?!.*\\)|\\(.*)\\({0,1}\\d{2}\\:\\d{2}\\){0,1}" );
    Matcher m = p.matcher ( line );
    int min = 0;
    int sec = 0;
    if ( m.matches() ) {
        String time = m.group();
        time = time.replace ( "(", "" ).replace ( ")", "" );
        String[] nums = time.split ( ":" );
        if ( Integer.parseInt ( nums[1] ) >= 60 ) {
            sec = Integer.valueOf ( nums[1] ) % 60;
            min = Integer.valueOf ( nums[1] ) / 60;
        } else {
            sec = Integer.valueOf ( nums[1] );
        }
        min += Integer.valueOf ( nums[0] );
    }
    return "(" + min + ":" + ( sec < 10 ? "0" + sec : sec ) + ")";
}
