public class ReportListActivity extends Activity {
    TableLayout srno_table;
    TableRow srno_report_tr_data;
    TableLayout report_table;
    TableRow report_tr_data;
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_report_list );
        srno_table = ( TableLayout ) findViewById ( R.id.srno_table );
        TableRow srno_tr_head = new TableRow ( this );
        srno_tr_head.setId ( 10 );
        srno_tr_head.setBackgroundColor ( Color.GRAY );
        srno_tr_head.setLayoutParams ( new LayoutParams (
                                           LayoutParams.FILL_PARENT,
                                           LayoutParams.WRAP_CONTENT ) );
        TextView label_sr_no = new TextView ( this );
        label_sr_no.setId ( 20 );
        label_sr_no.setText ( "S.No." );
        label_sr_no.setTextColor ( Color.WHITE );
        label_sr_no.setPadding ( 5, 5, 5, 5 );
        srno_tr_head.addView ( label_sr_no );
        label_sr_no.setTextSize ( 20 );
        srno_table.addView ( srno_tr_head, new TableLayout.LayoutParams (
                                 LayoutParams.FILL_PARENT,
                                 LayoutParams.WRAP_CONTENT ) );
        report_table = ( TableLayout ) findViewById ( R.id.report_table );
        TableRow report_tr_head = new TableRow ( this );
        report_tr_head.setId ( 10 );
        report_tr_head.setBackgroundColor ( Color.GRAY );
        report_tr_head.setLayoutParams ( new LayoutParams (
                                             LayoutParams.FILL_PARENT,
                                             LayoutParams.WRAP_CONTENT ) );
        TextView label_test_name = new TextView ( this );
        label_test_name.setId ( 20 );
        label_test_name.setText ( "Test Name" );
        label_test_name.setTextColor ( Color.WHITE );
        label_test_name.setPadding ( 5, 5, 5, 5 );
        report_tr_head.addView ( label_test_name );
        label_test_name.setTextSize ( 20 );
        TextView label_test_date = new TextView ( this );
        label_test_date.setId ( 21 );
        label_test_date.setText ( "Date" );
        label_test_date.setTextColor ( Color.WHITE );
        label_test_date.setPadding ( 5, 5, 5, 5 );
        report_tr_head.addView ( label_test_date );
        label_test_date.setTextSize ( 20 );
        TextView label_ro = new TextView ( this );
        label_ro.setId ( 21 );
        label_ro.setText ( "R.O." );
        label_ro.setTextColor ( Color.WHITE );
        label_ro.setPadding ( 5, 5, 5, 5 );
        report_tr_head.addView ( label_ro );
        label_ro.setTextSize ( 20 );
        TextView label_wo = new TextView ( this );
        label_wo.setId ( 21 );
        label_wo.setText ( "W.O." );
        label_wo.setTextColor ( Color.WHITE );
        label_wo.setPadding ( 5, 5, 5, 5 );
        report_tr_head.addView ( label_wo );
        label_wo.setTextSize ( 20 );
        TextView label_lo = new TextView ( this );
        label_lo.setId ( 21 );
        label_lo.setText ( "L.O." );
        label_lo.setTextColor ( Color.WHITE );
        label_lo.setPadding ( 5, 5, 5, 5 );
        report_tr_head.addView ( label_lo );
        label_lo.setTextSize ( 20 );
        TextView label_max = new TextView ( this );
        label_max.setId ( 21 );
        label_max.setText ( "Max." );
        label_max.setTextColor ( Color.WHITE );
        label_max.setPadding ( 5, 5, 5, 5 );
        report_tr_head.addView ( label_max );
        label_max.setTextSize ( 20 );
        TextView label_tm = new TextView ( this );
        label_tm.setId ( 21 );
        label_tm.setText ( "T.M." );
        label_tm.setTextColor ( Color.WHITE );
        label_tm.setPadding ( 5, 5, 5, 5 );
        report_tr_head.addView ( label_tm );
        label_tm.setTextSize ( 20 );
        TextView label_rank = new TextView ( this );
        label_rank.setId ( 21 );
        label_rank.setText ( "Rank" );
        label_rank.setTextColor ( Color.WHITE );
        label_rank.setPadding ( 5, 5, 5, 5 );
        report_tr_head.addView ( label_rank );
        label_rank.setTextSize ( 20 );
        report_table.addView ( report_tr_head, new TableLayout.LayoutParams (
                                   LayoutParams.FILL_PARENT,
                                   LayoutParams.WRAP_CONTENT ) );
        for ( int i = 1; i <= 10; i++ ) {
            srno_report_tr_data = new TableRow ( this );
            srno_report_tr_data.setId ( 10 );
            srno_report_tr_data.setBackgroundColor ( Color.TRANSPARENT );
            srno_report_tr_data.setLayoutParams ( new LayoutParams (
                    LayoutParams.FILL_PARENT,
                    LayoutParams.WRAP_CONTENT ) );
            final TextView sr_no = new TextView ( this );
            sr_no.setId ( 20 );
            sr_no.setText ( "" + i );
            sr_no.setTextColor ( Color.BLACK );
            sr_no.setPadding ( 5, 5, 5, 5 );
            srno_report_tr_data.addView ( sr_no );
            srno_table.addView ( srno_report_tr_data, new TableLayout.LayoutParams (
                                     LayoutParams.FILL_PARENT,
                                     LayoutParams.WRAP_CONTENT ) );
            srno_report_tr_data.setOnClickListener ( new OnClickListener() {
                @Override
                public void onClick ( View v ) {
                }
            } );
        }
        for ( int i = 1; i <= 10; i++ ) {
            report_tr_data = new TableRow ( this );
            report_tr_data.setId ( 10 );
            report_tr_data.setBackgroundColor ( Color.TRANSPARENT );
            report_tr_data.setLayoutParams ( new LayoutParams (
                                                 LayoutParams.FILL_PARENT,
                                                 LayoutParams.WRAP_CONTENT ) );
            final TextView test_name = new TextView ( this );
            test_name.setId ( 20 );
            test_name.setText ( "Speed Test 60(min) Demo-ST-01" );
            test_name.setTextColor ( Color.BLACK );
            test_name.setPadding ( 5, 5, 5, 5 );
            report_tr_data.addView ( test_name );
            final TextView test_date = new TextView ( this );
            test_date.setId ( 21 );
            test_date.setText ( "12 Mar 2013" );
            test_date.setTextColor ( Color.BLACK );
            test_date.setPadding ( 5, 5, 5, 5 );
            report_tr_data.addView ( test_date );
            final TextView test_ro = new TextView ( this );
            test_ro.setId ( 21 );
            test_ro.setText ( "2" );
            test_ro.setTextColor ( Color.BLACK );
            test_ro.setPadding ( 5, 5, 5, 5 );
            report_tr_data.addView ( test_ro );
            final TextView test_wo = new TextView ( this );
            test_wo.setId ( 21 );
            test_wo.setText ( "3" );
            test_wo.setTextColor ( Color.BLACK );
            test_wo.setPadding ( 5, 5, 5, 5 );
            report_tr_data.addView ( test_wo );
            final TextView test_lo = new TextView ( this );
            test_lo.setId ( 21 );
            test_lo.setText ( "85" );
            test_lo.setTextColor ( Color.BLACK );
            test_lo.setPadding ( 5, 5, 5, 5 );
            report_tr_data.addView ( test_lo );
            final TextView test_max = new TextView ( this );
            test_max.setId ( 21 );
            test_max.setText ( "101" );
            test_max.setTextColor ( Color.BLACK );
            test_max.setPadding ( 5, 5, 5, 5 );
            report_tr_data.addView ( test_max );
            final TextView test_tm = new TextView ( this );
            test_tm.setId ( 21 );
            test_tm.setText ( "-1.5" );
            test_tm.setTextColor ( Color.BLACK );
            test_tm.setPadding ( 5, 5, 5, 5 );
            report_tr_data.addView ( test_tm );
            final TextView test_rank = new TextView ( this );
            test_rank.setId ( 21 );
            test_rank.setText ( "5810" );
            test_rank.setTextColor ( Color.BLACK );
            test_rank.setPadding ( 5, 5, 5, 5 );
            report_tr_data.addView ( test_rank );
            final TextView test_exam_set = new TextView ( this );
            test_exam_set.setId ( 21 );
            test_exam_set.setText ( "123456" );
            test_exam_set.setTextSize ( ( float ) 0.01 );
            test_exam_set.setTextColor ( Color.TRANSPARENT );
            test_exam_set.setPadding ( 5, 5, 5, 5 );
            report_tr_data.addView ( test_exam_set );
            report_table.addView ( report_tr_data, new TableLayout.LayoutParams (
                                       LayoutParams.FILL_PARENT,
                                       LayoutParams.WRAP_CONTENT ) );
            report_tr_data.setOnClickListener ( new OnClickListener() {
                @Override
                public void onClick ( View v ) {
                    Toast.makeText ( getApplicationContext(), test_name.getText().toString(), Toast.LENGTH_LONG ).show();
                    Toast.makeText ( getApplicationContext(), test_exam_set.getText().toString(), Toast.LENGTH_LONG ).show();
                }
            } );
        }
    }
    @Override
    public void onBackPressed() {
        Intent intent = new Intent ( ReportListActivity.this, TakeTestActivity.class );
        finish();
        ReportListActivity.this.startActivity ( intent );
        return;
    }
    public void makeAToast ( String str ) {
        Toast toast = Toast.makeText ( this, str, Toast.LENGTH_SHORT );
        toast.setGravity ( Gravity.CENTER, 0, 0 );
        toast.show();
    }
}
