public List<Category> getCategories ( List<Integer> testRunIDs, String category, String testCaseName ) {
    Session session = getSession();
    if ( testRunIDs != null && testRunIDs.size() != 0 ) {
        session.enableFilter ( "TEST_RUN_ID_FILTER" ).setParameterList ( "IDS", testRunIDs );
    }
    if ( testCaseName != null ) {
        session.enableFilter ( "TESTCASE_NAME_FILTER" ).setParameter ( "TESTCASENAME", testCaseName );
    }
    Query query = session.createQuery ( "select distinct c from Category c inner join c.testCases tc" );
    List<Category> result = query.list();
    return result;
}
