public static List<String> combinations ( String[][] twoDimStringArray ) {
    int sizeArray[] = new int[twoDimStringArray.length];
    int counterArray[] = new int[twoDimStringArray.length];
    int totalCombinationCount = 1;
    for ( int i = 0; i < twoDimStringArray.length; ++i ) {
        sizeArray[i] = twoDimStringArray[i].length;
        totalCombinationCount *= twoDimStringArray[i].length;
    }
    List<String> combinationList = new ArrayList<String> ( totalCombinationCount );
    StringBuilder sb;
    for ( int countdown = totalCombinationCount; countdown > 0; --countdown ) {
        sb = new StringBuilder();
        for ( int i = 0; i < twoDimStringArray.length; ++i ) {
            sb.append ( twoDimStringArray[i][counterArray[i]] );
        }
        combinationList.add ( sb.toString() );
        for ( int incIndex = twoDimStringArray.length - 1; incIndex >= 0; --incIndex ) {
            if ( counterArray[incIndex] + 1 < sizeArray[incIndex] ) {
                ++counterArray[incIndex];
                break;
            }
            counterArray[incIndex] = 0;
        }
    }
    return combinationList;
}
