public Node convertToTouchGraph (
    Graph<V, E> graph,
    TGPanel tgPanel,
    boolean selfReferencesAllowed )
throws TGException {
    List<V> jgtNodes = new ArrayList<V> ( graph.vertexSet() );
    Node [] tgNodes = new Node[jgtNodes.size()];
    for ( int i = 0; i < jgtNodes.size(); i++ ) {
        Node n;
        if ( jgtNodes.get ( i ) instanceof Node ) {
            n = ( Node ) jgtNodes.get ( i );
        } else {
            n = new Node ( jgtNodes.get ( i ).toString() );
        }
        tgNodes[i] = n;
        tgPanel.addNode ( n );
        tgNodes[i].setBackColor ( Color.RED );
