package org.supercsv.example;
import org.supercsv.cellprocessor.CellProcessorAdaptor;
import org.supercsv.util.CsvContext;
public class ParsePersonAttribute extends CellProcessorAdaptor {
    private final String[] header;
    public ParsePersonAttribute ( final String[] header ) {
        this.header = header;
    }
    public Object execute ( Object value, CsvContext context ) {
        if ( value == null ) {
            return null;
        }
        PersonAttribute attribute = new PersonAttribute();
        attribute.setKey ( header[context.getColumnNumber() - 1] );
        attribute.setValue ( ( String ) value );
        return attribute;
    }
}
