In your activity:
SharedPreferences mPrefs;
final String welcomeScreenShownPref = "welcomeScreenShown";
@Override
public void onCreate ( Bundle savedInstanceState ) {
    super.onCreate ( savedInstanceState );
    setContentView ( R.layout.main );
    mPrefs = PreferenceManager.getDefaultSharedPreferences ( this );
    Boolean welcomeScreenShown = mPrefs.getBoolean ( welcomeScreenShownPref, false );
    if ( !welcomeScreenShown ) {
        String whatsNewTitle = getResources().getString ( R.string.whatsNewTitle );
        String whatsNewText = getResources().getString ( R.string.whatsNewText );
        new AlertDialog.Builder ( this ).setIcon ( android.R.drawable.ic_dialog_alert ).setTitle ( whatsNewTitle ).setMessage ( whatsNewText ).setPositiveButton (
        R.string.ok, new DialogInterface.OnClickListener() {
            public void onClick ( DialogInterface dialog, int which ) {
                dialog.dismiss();
            }
        } ).show();
        SharedPreferences.Editor editor = mPrefs.edit();
        editor.putBoolean ( welcomeScreenShownPref, true );
        editor.commit();
    }
}
