public static boolean isParent ( File parent, File file ) {
    File f;
    try {
        parent = parent.getCanonicalFile();
        f = file.getCanonicalFile();
    } catch ( IOException e ) {
        return false;
    }
    while ( f != null ) {
        if ( parent.equals ( f ) ) {
            return true;
        }
        f = f.getParentFile();
    }
    return false;
}
