class PingWorker extends SwingWorker<Void, PingResult> {
    private List<IpAddress> addresses;
    public PingWorker ( List<IpAddress> addresses ) {
        this.addresses = addresses;
    }
    @Override
    protected Void doInBackground() throws Exception {
        for ( IpAddress address : addresses ) {
            publish ( new PingResult ( address ) );
        }
        return null;
    }
    @Override
    protected void done() {
    }
    @Override
    protected void process ( List<PingResult> results ) {
        for ( PingResult result : results ) {
        }
    }
}
