import java.sql.ResultSet;
import java.sql.SQLException;
import org.hibernate.type.CharacterType;
public class NullCharacterType extends CharacterType {
    private static final long serialVersionUID = 1L;
    public NullCharacterType() {
        super();
    }
    public Object get ( final ResultSet rs, final String name )
    throws SQLException {
        final String str = rs.getString ( name );
        if ( str == null || str.length() == 0 ) {
            return new Character ( ( char ) 0 );
        } else {
            return new Character ( str.charAt ( 0 ) );
        }
    }
}
