public void readFile ( String absoluteFilePath ) {
    ByteBuffer buf = ByteBuffer.allocate ( 2 + 4 + 8 )
                     Path path = Paths.get ( absoluteFilePath );
    try ( FileChannel fileChannel = ( FileChannel ) Files.newByteChannel ( path, Enum.setOf ( READ ) ) ) {
        while ( true ) {
            int bytesRead = fileChannel.read ( buf );
            if ( bytesRead == -1 ) {
                break;
            }
            buf.flip();
            char c = buf.asCharBuffer().readChar();
            buf.position ( buf.position() + 2 );
            int i = buf.asIntBuffer().readInt();
            buf.position ( buf.position() + 4 );
            double d = buf.asDoubleBuffer().readDouble();
            System.out.println ( "Character: " + c + " Integer: " + i + " Double: " + d );
            buf.clear();
        }
    } catch ( IOException e ) {
        e.printStackTrace();
    }
}
