List<RowTest> sortedList = getAllRowsThatNeedToBeSorted();
Comparator comparator = new OrderAMTComparator();
Collections.sort ( sortedList, comparator );
public class OrderAMTComparator implements Comparator<RowTest> {
    @Override
    public int compare ( RowTest o1, RowTest o2 ) {
        BigDecimal compareRes = o1.getOrderAMT().getBigdecimalValue().subtract ( o2.getOrderAMT().getBigdecimalValue() );
        if ( compareRes.compareTo ( new BigDecimal ( 0 ) ) == -1 ) {
            return -1;
        } else if ( compareRes.compareTo ( new BigDecimal ( 0 ) ) == 1 ) {
            return 1;
        } else if ( compareRes.compareTo ( new BigDecimal ( 0 ) ) == 0 ) {
            return 0;
        }
        return compareRes.intValue();
    }
}
