import java.util.Set;
import javax.sql.DataSource;
import com.mchange.v2.c3p0.C3P0Registry;
private DataSource findUniqueDataSource() {
    Set set = C3P0Registry.getPooledDataSources();
    int sz = set.size();
    if ( sz == 1 ) {
        return ( DataSource ) set.iterator().next();
    } else {
        throw new RuntimeException ( "No unique c3p0 DataSource, found:" + sz );
    }
}
private DataSource findDataSourceByName ( String dataSourceName ) {
    return C3P0Registry.pooledDataSourceByName ( dataSourceName );
}
