public class RestModule extends ServletModule {
    @Override
    protected void configureServlets() {
        bind ( MyServiceClass.class );
        bind ( GuiceContainer.class );
        bind ( JacksonJsonProvider.class ).in ( Scopes.SINGLETON );
        Map<String, String> guiceContainerConfig = new HashMap<String, String>();
        guiceContainerConfig.put ( ResourceConfig.PROPERTY_RESOURCE_FILTER_FACTORIES,
                                   HttpStatusCodeMetricResourceFilterFactory.class.getCanonicalName() );
        serve ( "/*" ).with ( GuiceContainer.class, guiceContainerConfig );
        filter ( "/*" ).through ( CorsFilter.class );
    }
}
