static String readFirstLineFromFileWithFinallyBlock ( String path ) throws IOException {
    IOException exception = null;
    BufferedReader br = new BufferedReader ( new FileReader ( path ) );
    try {
        return br.readLine();
    } catch ( IOException e ) {
        exception = e;
    } finally {
        try {
            if ( br != null ) {
                br.close();
            }
        } catch ( IOException e ) {
        }
        if ( exception != null ) {
            throw exception;
        }
    }
}
