public static List<String> tokenize ( String s ) throws IOException {
    StreamTokenizer tokenizer = new StreamTokenizer ( new StringReader ( s ) );
    tokenizer.ordinaryChar ( '-' );
    List<String> tokBuf = new ArrayList<String>();
    while ( tokenizer.nextToken() != StreamTokenizer.TT_EOF ) {
        switch ( tokenizer.ttype ) {
        case StreamTokenizer.TT_NUMBER:
            tokBuf.add ( String.valueOf ( tokenizer.nval ) );
            break;
        case StreamTokenizer.TT_WORD:
            tokBuf.add ( tokenizer.sval );
            break;
        default:
            tokBuf.add ( String.valueOf ( ( char ) tokenizer.ttype ) );
        }
    }
    return tokBuf;
}
