private InputStream getInputStream ( String urlStr, String user, String password ) throws IOException {
    URL url = new URL ( urlStr );
    HttpsURLConnection conn = ( HttpsURLConnection ) url.openConnection();
    SSLContext sc;
    sc = SSLContext.getInstance ( "TLS" );
    sc.init ( null, null, new java.security.SecureRandom() );
    conn.setSSLSocketFactory ( sc.getSocketFactory() );
    String userpass = user + ":" + password;
    String basicAuth = "Basic " + Base64.encodeToString ( userpass.getBytes(), Base64.DEFAULT );
    conn.setRequestProperty ( "Authorization", basicAuth );
    conn.setReadTimeout ( 7000 );
    conn.setConnectTimeout ( 7000 );
    conn.setRequestMethod ( "POST" );
    conn.setDoInput ( true );
    conn.connect();
    return conn.getInputStream();
}
