public class Node {
    private int key;
    private Node prev, next;
    private ConcurrentLinkedQueue<Integer> queue;
    private AtomicBoolean lock = new AtomicBoolean ( false );
    private ThreadPoolExecutor executor;
    private UpdateNode updater = new UpdateNode();
    public void update ( int i ) {
        queue.offer ( i );
        if ( lock.compareAndSet ( false, true ) ) {
            executor.execute ( updater );
        }
    }
    private class UpdateNode implements Runnable {
        public void run() {
            do {
                try {
                    int temp = key;
                    while ( !queue.isEmpty() ) {
                        temp += queue.poll();
                    }
                    if ( prev.getKey() > temp ) {
                    } else if ( next.getKey() < temp ) {
                    } else {
                        key = temp;
                    }
                } finally {
                    lock.set ( false );
                }
            } while ( !queue.isEmpty() && lock.compareAndSet ( false, true ) );
        }
    }
}
