public class MyCoolException extends Exception {
    public MyCoolException() {
    }
    public MyCoolException ( String message ) {
        this.message = message;
    }
}
public interface DataDAO {
    public void doSomething() throws MyCoolException;
}
public class DataDAOJdbc implements DataDAO {
    public void doSomething() throws MyCoolException {
        try {
        } catch ( SQLException e ) {
            logger.error ( "Error!", e );
            throw new MyCoolException ( e.getMessage() );
        }
    }
}
public class DataDAOWebService implements DataDAO {
    public void doSomething() throws MyCoolException {
        try {
        } catch ( IOException e ) {
            logger.error ( "Error!", e );
            throw new MyCoolException ( e.getMessage() );
        }
    }
}
