class StatelessRunnable {
    public void run() {
        doSomething();
    }
}
class StatefulRunnable {
    volatile boolean canRun = true;
    public void run() {
        if ( !canRun ) {
            throw new IllegalStateException();
        }
        canRun = false;
    }
}
