class Database {
    private Connection con = null;
    private final String connectionString;
    public Database ( String connectionString ) {
        this.connectionString = connectionString;
    }
    public void connect() throws SQLException {
        if ( con != null
                && !con.isClosed()
                && con.isValid ( 0 ) ) {
            return;
        }
        con = DriverManager.getConnection ( connectionString );
    }
    public void testFunction() {
        try {
            connect();
        } catch ( Exception e ) {
        } finally {
            try {
                con.close();
            } catch ( Exception e ) {
                System.err.println ( "Failed to close connection: " + e.toString() );
            }
        }
    }
}
