public class ApplicationInitializer implements WebApplicationInitializer {
    public void onStartup ( ServletContext servletContext )
    throws ServletException {
        System.out.println ( "Inside application initializer..." );
        AnnotationConfigWebApplicationContext rootContext = new AnnotationConfigWebApplicationContext();
        rootContext.register ( DispatcherConfig.class );
        servletContext.addListener ( new ContextLoaderListener ( rootContext ) );
        ServletRegistration.Dynamic dispatcher = servletContext.addServlet ( "dispatcher", new DispatcherServlet ( rootContext ) );
        dispatcher.setLoadOnStartup ( 1 );
        dispatcher.addMapping ( "/" );
    }
}
