public static Bitmap resizeBitMapImage1 ( String filePath, int targetWidth,
        int targetHeight ) {
    Bitmap bitMapImage = null;
    try {
        Options options = new Options();
        options.inJustDecodeBounds = true;
        BitmapFactory.decodeFile ( filePath, options );
        double sampleSize = 0;
        Boolean scaleByHeight = Math.abs ( options.outHeight - targetHeight ) >= Math
                                .abs ( options.outWidth - targetWidth );
        if ( options.outHeight * options.outWidth * 2 >= 1638 ) {
            sampleSize = scaleByHeight ? options.outHeight / targetHeight
                         : options.outWidth / targetWidth;
            sampleSize = ( int ) Math.pow ( 2d,
                                            Math.floor ( Math.log ( sampleSize ) / Math.log ( 2d ) ) );
        }
        options.inJustDecodeBounds = false;
        options.inTempStorage = new byte[128];
        while ( true ) {
            try {
                options.inSampleSize = ( int ) sampleSize;
                bitMapImage = BitmapFactory.decodeFile ( filePath, options );
                break;
            } catch ( Exception ex ) {
                try {
                    sampleSize = sampleSize * 2;
                } catch ( Exception ex1 ) {
                }
            }
        }
    } catch ( Exception ex ) {
    }
    return bitMapImage;
}
