import org.junit.Assert;
import org.junit.Test;
public class StringCharTest {
    @Test
    public void testCacheStrings() throws Exception {
        String[] char2string = new String[Character.MAX_VALUE];
        for ( char i = Character.MIN_VALUE; i < Character.MAX_VALUE; i++ ) {
            char2string[i] = Character.toString ( i );
        }
        for ( int x = 0; x < 10000000; x++ ) {
            char[] s = "abcdefg".toCharArray();
            for ( int i = 0; i < s.length; i++ ) {
                newFunction ( char2string[s[i]] );
            }
        }
    }
    @Test
    public void testCharToString() throws Exception {
        for ( int x = 0; x < 10000000; x++ ) {
            String s = "abcdefg";
            for ( int i = 0; i < s.length(); i++ ) {
                newFunction ( Character.toString ( s.charAt ( i ) ) );
            }
        }
    }
    @Test
    public void testSubstring() throws Exception {
        for ( int x = 0; x < 10000000; x++ ) {
            String s = "abcdefg";
            for ( int i = 0; i < s.length(); i++ ) {
                newFunction ( s.substring ( i, i + 1 ) );
            }
        }
    }
    @Test
    public void testNewString() throws Exception {
        char[] value = new char[1];
        for ( int x = 0; x < 10000000; x++ ) {
            char[] s = "abcdefg".toCharArray();
            for ( int i = 0; i < s.length; i++ ) {
                value[0] = s[i];
                newFunction ( new String ( value ) );
            }
        }
    }
    private void newFunction ( String string ) {
        Assert.assertEquals ( 1, string.length() );
    }
}
