public void rollover() {
    synchronized ( lock ) {
        this.closeOutputStream();
        try {
            rollingPolicy.rollover();
        } catch ( RolloverFailure rf ) {
            addWarn ( "RolloverFailure occurred. Deferring roll-over." );
            this.append = true;
        }
        try {
            currentlyActiveFile = new File ( rollingPolicy.getActiveFileName() );
            this.openFile ( rollingPolicy.getActiveFileName() );
        } catch ( IOException e ) {
            addError ( "setFile(" + fileName + ", false) call failed.", e );
        }
    }
}
