public interface Quartz extends Library {
    public static Quartz instance = ( Quartz ) Native.loadLibrary ( "Quartz", Quartz.class );
}
public interface IKPictureTaker extends NSObject {
    public static final _Class CLASS = Rococoa.createClass ( "IKPictureTaker", _Class.class );
    public interface _Class extends NSClass {
        IKPictureTaker pictureTaker();
    }
    NSInteger runModal();
}
public class IKPictureTakerTest extends JFrame {
    public static void main ( String[] args ) throws Exception {
        new IKPictureTakerTest().setVisible ( true );
        NSAutoreleasePool pool = NSAutoreleasePool.new_();
        Quartz.instance.toString();
        IKPictureTaker pictureTaker = IKPictureTaker.CLASS.pictureTaker();
        NSInteger result = pictureTaker.runModal();
        if ( result.intValue() == 0 ) {
            System.out.println ( "User cancelled." );
        } else {
            assert result.intValue() == 1;
            System.out.println ( "User chose an image." );
        }
        System.out.println ( pictureTaker.inputImage() );
        pool.release();
    }
}
