public class SampleActivity extends Activity {
    interface MyCallbackInterface {
        void onDownloadFinished ( String result );
    }
    public void downloadUrl ( String stringUrl, MyCallbackInterface callback ) {
        new DownloadWebpageTask ( callback ).execute ( stringUrl );
    }
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        downloadUrl ( "http://google.com", new MyCallbackInterface() {
            @Override
            public void onDownloadFinished ( String result ) {
            }
        } );
    }
    private class DownloadWebpageTask extends AsyncTask<String, Void, String> {
        final MyCallbackInterface callback;
        DownloadWebpageTask ( MyCallbackInterface callback ) {
            this.callback = callback;
        }
        @Override
        protected void onPostExecute ( String result ) {
            callback.onDownloadFinished ( result );
        }
    }
}
