import java.io.File;
import javax.xml.bind.*;
public class Demo {
    public static void main ( String[] args ) throws Exception {
        JAXBContext jc = JAXBContext.newInstance ( "org.example.customer" );
        Unmarshaller unmarshaller = jc.createUnmarshaller();
        File xml = new File ( "src/org/example/customer/input.xml" );
        Customer customer = ( Customer ) unmarshaller.unmarshal ( xml );
        Marshaller marshaller = jc.createMarshaller();
        marshaller.setProperty ( Marshaller.JAXB_FORMATTED_OUTPUT, true );
        marshaller.marshal ( customer, System.out );
    }
}
