int saved_x = -1;
int saved_y = -1;
@Override
public boolean onTouchEvent ( MotionEvent event ) {
    final int action = event.getAction();
    final int pointer_index = ( action & MotionEvent.ACTION_POINTER_INDEX_MASK ) >> MotionEvent.ACTION_POINTER_INDEX_SHIFT;
    int pid = event.getPointerId ( pointer_index );
    int x = ( int ) event.getX();
    int y = ( int ) event.getY();
    switch ( action & MotionEvent.ACTION_MASK ) {
    case MotionEvent.ACTION_DOWN:
        saved_x = x;
        saved_y = y;
        break;
    case MotionEvent.ACTION_MOVE:
        int relative_x = x - saved_x;
        int relative_y = y - saved_y;
        break;
    case MotionEvent.ACTION_UP:
        saved_x = -1;
        saved_y = -1;
        break;
    }
    return true;
}
