1 )-- > FileReaderTemp .java
package com.ik.candidate.util;
import java.io.File;
import org.apache.log4j.Logger;
import org.odftoolkit.odfdom.doc.OdfTextDocument;
import org.odftoolkit.odfdom.incubator.search.TextNavigation;
import org.odftoolkit.odfdom.incubator.search.TextSelection;
public class FileReaderTemp {
    public static void main ( String[] args ) throws Exception {
        parseAll ( "d:/odt_resume/vrunda_ashar_Rajkot_00.odt" );
    }
    public static void parseAll ( String fileName ) throws Exception {
        Logger logger = Logger.getLogger ( FileReaderTemp.class );
        try {
            File file = new File ( fileName );
            if ( !file.exists() ) {
                logger.debug ( "Sorry File does not Exists!" );
            } else if ( file.getName().endsWith ( ".odt" ) ) {
                OpenOfficeParser odt = new OpenOfficeParser();
                String string = odt.getText ( fileName );
                TextNavigation search;
                OdfTextDocument document = ( OdfTextDocument ) OdfTextDocument.loadDocument ( fileName );
                String emailID = "jariya.nilesh99@gmail.com";
                System.out.println ( "Email is :: " + emailID );
                search = new TextNavigation ( emailID, document );
                while ( search.hasNext() ) {
                    System.out.println ( "Search is : " + search );
                    TextSelection item = ( TextSelection ) search.getCurrentItem();
                    item.replaceWith ( "" );
                    System.out.println ( "Email id Removed succesfully :: " );
                }
                String no = "9856565698";
                System.out.println ( "Contact no is :: " + no );
                no = no.replace ( "+", "" );
                search = new TextNavigation ( no, document );
                while ( search.hasNext() ) {
                    TextSelection item = ( TextSelection ) search.getCurrentItem();
                    item.replaceWith ( "" );
                    System.out.println ( "Contact no Removed succesfully :: " );
                }
                document.save ( fileName );
            }
        } catch ( Exception e ) {
            System.out.println ( "Not found ::" );
        }
    }
}
