protected void configure() {
    install ( new PrivateModule() {
        @Override
        protected void configure() {
            bind ( Foo.class ).toInstance ( new Foo ( "first" ) );
            bind ( Bar.class ).annotatedWith ( Names.named ( "first" ) ).to ( BarImpl.class );
            expose ( Bar.class ).annotatedWith ( Names.named ( "first" ) );
        }
    } );
    install ( new PrivateModule() {
        @Override
        protected void configure() {
            bind ( Foo.class ).toInstance ( new Foo ( "second" ) );
            bind ( Bar.class ).annotatedWith ( Names.named ( "second" ) ).to ( BarImpl.class );
            expose ( Bar.class ).annotatedWith ( Names.named ( "second" ) );
        }
    } );
    bind ( MyApplication.class ).asEagerSingleton();
}
}
