public String getXML() {
    String xml = getXMLFromDatabase();
    if ( xml == null ) {
        if ( glocalLock.tryLock() ) {
            try {
                xml = getXMLFromThirdParty();
                storeXMLToDatabase ( xml );
            } finally {
                globalLock.unlock();
            }
        } else {
            try {
                globalLock.lock();
            } finally {
                xml = getXMLFromDatabase();
                globalLock.unlock();
            }
        }
        return xml;
    }
