long timeDiff, sleepTime;
long afterTime, beforeTime;
long overSleepTime = 0L;
int fps = 24;
long period = 1000000000L / fps;
while ( true ) {
    beforeTime = System.nanoTime();
    update();
    afterTime = System.nanoTime();
    timeDiff = afterTime - beforeTime;
    sleepTime = ( period - timeDiff ) - overSleepTime;
    if ( sleepTime > 0 ) {
        try {
            Thread.sleep ( sleepTime / 1000000L );
        } catch ( InterruptedException e ) {}
        overSleepTime = ( System.nanoTime() - afterTime ) - sleepTime;
    } else {
        overSleepTime = 0L;
    }
}
