public ArrayList<Monster> createMonsters ( int count, int maxlevel,
        int minlevel, MonsterTypes type ) {
    ArrayList<Monster> monsters = new ArrayList<Monster>();
    Texture monster = getTextureByType ( type );
    for ( int i = 0; i < count; i++ ) {
        int level = ( int ) ( ( Math.random() * maxlevel ) + minlevel );
        Monster mon = new Monster ( level, new Sprite ( monster ), screen,
                                    new RandomAI() );
        monsters.add ( mon );
    }
    return monsters;
}
private Texture getTextureByType ( MonsterTypes typ ) {
    return this.screen.game.manager.get ( "monster/" + typ.getFileName()
                                          + ".png" );
}
