public class ExampleConverter implements Converter<Example> {
    @Override
    public Example read ( InputNode node ) throws Exception {
        List<String> list = new ArrayList<>();
        NodeMap<InputNode> attributes = node.getAttributes();
        Iterator<String> itr = attributes.iterator();
        while ( itr.hasNext() ) {
            final String name = itr.next();
            if ( name.startsWith ( "col_" ) ) {
                list.add ( attributes.get ( name ).getValue() );
            }
        }
        return new Example ( list );
    }
    @Override
    public void write ( OutputNode node, Example value ) throws Exception {
    }
}
