@Interceptor
@Entitled
public class EntitledInterceptor {
    @AroundInvoke
    public void interceptOrder ( InvocationContext ctx ) {
        Permission p = new CustomPermission ( context.getMethod().getReturnType(),
                                              ctx.getParameters() [0] );
        if ( SecurityUtils.getSubject().isPermitted ( p ) ) {
            return ctx.proceed();
        } else {
            throw new RowLevelSecurityException ( "No access!" );
        }
    }
