static <T> Object[] getFieldValues ( final Class<T> type, final T instance ) {
    final Field[] fields = type.getDeclaredFields();
    final Object[] values = new Object[fields.length];
    for ( int i = 0; i < fields.length; i++ ) {
        if ( !fields[i].isAccessible() ) {
            fields[i].setAccessible ( true );
        }
        try {
            values[i] = fields[i].get ( instance );
        } catch ( IllegalAccessException iae ) {
        }
    }
    return values;
}
