String keystoreType = "JKS";
InputStream keystoreLocation = null;
char [] keystorePassword = null;
char [] keyPassword = null;
KeyStore keystore = KeyStore.getInstance ( keystoreType );
keystore.load ( keystoreLocation, keystorePassword );
KeyManagerFactory kmfactory = KeyManagerFactory.getInstance ( KeyManagerFactory.getDefaultAlgorithm() );
kmfactory.init ( keystore, keyPassword );
InputStream truststoreLocation = null;
char [] truststorePassword = null;
String truststoreType = "JKS";
KeyStore truststore = KeyStore.getInstance ( truststoreType );
truststore.load ( truststoreLocation, truststorePassword );
TrustManagerFactory tmfactory = TrustManagerFactory.getInstance ( TrustManagerFactory.getDefaultAlgorithm() );
KeyManager [] keymanagers = kmfactory.getKeyManagers();
TrustManager [] trustmanagers =  tmfactory.getTrustManagers();
SSLContext sslContext = SSLContext.getInstance ( "TLS" );
sslContext.init ( keymanagers, trustmanagers, new SecureRandom() );
SSLContext.setDefault ( sslContext );
