private static void print ( Component comp ) {
    BufferedImage image = GraphicsEnvironment.getLocalGraphicsEnvironment()
                          .getDefaultScreenDevice().getDefaultConfiguration()
                          .createCompatibleImage ( comp.getWidth(), comp.getHeight() );
    Graphics graphics = image.createGraphics();
    comp.paint ( graphics );
    graphics.dispose();
    try {
        ImageIO.write ( image, "png", new File ( "Image.png" ) );
    } catch ( IOException e ) {
        e.printStackTrace();
    }
}
