@Root ( name = "root" )
public class Example {
    @Element
    private String someProperty;
    @ElementMap ( entry = "keywordFrequencies", key = "key", attribute = true, inline = true )
    private Map<String, Integer> keywordFrequencies;
}
Serializer serializer = new Persister();
Example ex = new Example();
ByteArrayOutputStream baos = new ByteArrayOutputStream();
serializer.write ( ex, baos );
String content = new String ( baos.getBytes(), "UTF-8" );
System.out.println ( content );
Example retrievedFromXml = serializer.read ( Example.class, content );
