public class RowMapperResultSetExtractor<T> implements ResultSetExtractor<List<T>> {
    ...
    public List<T> extractData ( ResultSet rs ) throws SQLException {
        List<T> results = ( this.rowsExpected > 0 ? new ArrayList<T> ( this.rowsExpected ) : new ArrayList<T>() );
        int rowNum = 0;
        while ( rs.next() ) {
            results.add ( this.rowMapper.mapRow ( rs, rowNum++ ) );
        }
        return results;
    }
    ...
