@Override
public void processEvent ( SystemEvent e ) {
    if ( e instanceof PostConstructApplicationEvent ) {
        try {
            InitialContext iCtx = new InitialContext();
            EjbService ejbService = ( EjbService ) iCtx.lookup ( "java:module/EjbService" );
            ExternalContext eCtx = FacesContext.getCurrentInstance().getExternalContext();
            Set<String> resources = eCtx.getResourcePaths ( "/WEB-INF/" );
            ejbService.setResources ( resources );
        } catch ( NamingException e1 ) {
            e1.printStackTrace();
        }
    }
}
