public class Bracket {
    int location;
    char bracket;
    public Bracket ( int loc, char b ) {
        location = loc;
        bracket = b;
    }
    public char getBracket() {
        return bracket;
    }
    public int getLoc() {
        return location;
    }
    public static boolean isStarter ( char b ) {
        return b == '(' || b == '{';
    }
    public boolean equals ( Bracket other ) {
        return bracket == other.getBracket();
    }
    public char getMatching() {
        switch ( bracket ) {
        case '(':
            return ')';
        }
    }
    public boolean matches ( char other ) {
        return ( getMatching() == other );
    }
}
