package org.example;
import java.util.*;
import javax.ws.rs.core.Application;
import org.eclipse.persistence.jaxb.rs.MOXyJsonProvider;
public class CustomerApplication  extends Application {
    @Override
    public Set<Class<?>> getClasses() {
        HashSet<Class<?>> set = new HashSet<Class<?>> ( 1 );
        set.add ( ExampleService.class );
        return set;
    }
    @Override
    public Set<Object> getSingletons() {
        MOXyJsonProvider moxyJsonProvider = new MOXyJsonProvider();
        moxyJsonProvider.setAttributePrefix ( "@" );
        moxyJsonProvider.setFormattedOutput ( true );
        moxyJsonProvider.setIncludeRoot ( true );
        moxyJsonProvider.setMarshalEmptyCollections ( false );
        moxyJsonProvider.setValueWrapper ( "$" );
        Map<String, String> namespacePrefixMapper = new HashMap<String, String> ( 1 );
        namespacePrefixMapper.put ( "http://www.example.org/customer", "cust" );
        moxyJsonProvider.setNamespacePrefixMapper ( namespacePrefixMapper );
        moxyJsonProvider.setNamespaceSeparator ( ':' );
        HashSet<Object> set = new HashSet<Object> ( 1 );
        set.add ( moxyJsonProvider );
        return set;
    }
}
