Map<Integer, Class<?>> classResolverMap = new HashMap<Integer, Class<?>>();
classResolverMap.put ( 33, Product.class );
classResolverMap.put ( 45, Entity.class );
ObjectMapper mapper = new ObjectMapper();
mapper.disable ( DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES );
String json = "{...}";
HeaderType headerType = mapper.readValue ( json, HeaderType.class );
Class<?> clazz = classResolverMap.get ( headerType.getTypeToClassId() );
JavaType type = mapper.getTypeFactory().constructParametricType ( HeaderObject.class, clazz );
HeaderObject<?> headerObject = ( HeaderObject<?> ) mapper.readValue ( json, type );
Object result = headerObject.getObj();
System.out.println ( result );
