public class Adapter extends BaseAdapter {
    private Activity activity;
    private ArrayList<HashMap<String, String>> data;
    private static LayoutInflater inflater = null;
    public ImageLoader imageLoader;
    public MediaItemAdapter ( Activity a, ArrayList<HashMap<String, String>> d ) {
        activity = a;
        data = d;
        inflater = ( LayoutInflater ) activity
                   .getSystemService ( Context.LAYOUT_INFLATER_SERVICE );
        imageLoader = new ImageLoader ( activity.getApplicationContext() );
    }
    public int getCount() {
        return data.size();
    }
    public Object getItem ( int position ) {
        return position;
    }
    public long getItemId ( int position ) {
        return position;
    }
    public View getView ( int position, View convertView, ViewGroup parent ) {
        View vi = convertView;
        if ( convertView == null ) {
            vi = inflater.inflate ( R.layout.item_composer, null );
        }
        TextView title = ( TextView ) vi.findViewById ( R.id.item_title );
        TextView price = ( TextView ) vi.findViewById ( R.id.price );
        return vi;
    }
}
