public void getAllClassAndFields() {
    ObjectFactory objectFactory = new ObjectFactory();
    Method[] methods = objectFactory.getClass().getDeclaredMethods();
    for ( Method method : methods ) {
        try {
            XmlElementDecl annotation = method.getAnnotation ( XmlElementDecl.java );
            if ( annotation == null ) {
                Object object = method.invoke ( objectFactory, new Object[] {} );
                System.out.println ( "Class Name = " + object.getClass().getName() );
                printFileds ( object );
            }
        } catch ( Exception e ) {
        }
    }
}
public static void printFileds ( Object obj ) {
    Field[] fields = obj.getClass().getFields();
    for ( Field field : fields ) {
        System.out.println ( "Field Name = " + field.getName() );
    }
}
