public class LogonPage {
    @FindBy ( id = "UserName" )
    public WebElement userNameField;
    @FindBy ( id = "Password" )
    public WebElement passwordField;
    @FindBy ( css = "input.submitBtn" )
    public WebElement submitButton;
    public LogonPage ( WebDriver driver ) {
        PageFactory.initElements ( driver, this );
    }
    public void portalLogin ( String username, String password ) {
        userNameField.clear();
        userNameField.sendKeys ( username );
        passwordField.clear();
        passwordField.sendKeys ( password );
        submitButton.click();
    }
