@Component
public class EnhancedContentInterceptor implements HandlerInterceptor {
    public boolean preHandle ( HttpServletRequest request,
                               HttpServletResponse response, Object handler ) throws Exception {
        return true;
    }
    public void postHandle ( HttpServletRequest request,
                             HttpServletResponse response, Object handler,
                             ModelAndView modelAndView ) throws Exception {
        if ( request.getContentType().equals ( "text/html" ) ) {
            modelAndView.addObject ( "tags", tagProvider.getTags() );
        }
    }
    public void afterCompletion ( HttpServletRequest request,
                                  HttpServletResponse response, Object handler, Exception ex )
    throws Exception {}
}
}
