public static void upload ( URL url, File file ) throws IOException, URISyntaxException {
    HttpClient client = new DefaultHttpClient();
    HttpPost httpPost = new HttpPost ( url.toURI() );
    FileBody fileB = new FileBody ( file );
    MultipartEntity request = new MultipartEntity();
    request.addPart ( "file", fileB );
    httpPost.setEntity ( request );
    HttpResponse response = client.execute ( httpPost );
    if ( response.getStatusLine().getStatusCode() == 200 ) {
        System.out.println ( "Upload successful !" );
    }
}
