import java.awt.*;
import javax.swing.*;
import javax.swing.border.EmptyBorder;
public class EndOfLineButtonLayout {
    public static void main ( String[] args ) {
        Runnable r = new Runnable() {
            @Override
            public void run() {
                JPanel gui = new JPanel ( new BorderLayout() );
                gui.setBorder ( new EmptyBorder ( 2, 3, 2, 3 ) );
                JPanel textPanel = new JPanel ( new BorderLayout ( 5, 5 ) );
                textPanel.add ( new JScrollPane ( new JTextArea ( "Top Text", 3, 20 ) ),
                                BorderLayout.PAGE_START );
                textPanel.add ( new JScrollPane ( new JTextArea ( "Main Text", 10, 10 ) ) );
                gui.add ( textPanel, BorderLayout.CENTER );
                JPanel buttonCenter = new JPanel ( new GridBagLayout() );
                buttonCenter.setBorder ( new EmptyBorder ( 5, 5, 5, 5 ) );
                JPanel buttonPanel = new JPanel ( new GridLayout ( 0, 1, 5, 5 ) );
                for ( int ii = 1; ii < 6; ii++ ) {
                    buttonPanel.add ( new JButton ( "Button " + ii ) );
                }
                buttonCenter.add ( buttonPanel );
                gui.add ( buttonCenter, BorderLayout.LINE_END );
                JFrame f = new JFrame ( "Demo" );
                f.add ( gui );
                f.setDefaultCloseOperation ( JFrame.DISPOSE_ON_CLOSE );
                f.setLocationByPlatform ( true );
                f.pack();
                f.setVisible ( true );
            }
        };
        SwingUtilities.invokeLater ( r );
    }
}
