interface MenuListener {
    public void menuClicked ( Menu m );
}
public class Menu {
    ...
    List<MenuListener> listeners = new ArrayList<MenuListener>();
    private void notifyListeners() {
        for ( MenuListener listener : listeners ) {
            listener.menuClicked ( this );
        }
    }
}
Menu item = new Menu ( ... );
item.addMenuListener ( new MenuListener () {
    public void menuClicked ( Menu m ) {
    }
} );
