public class CoolMap<K, V> extends HashMap<K, V> {
    @Override
    public V put ( K key, V value ) {
        if ( size() == 7 ) {
            throw new IllegalStateException ( "Size is at max!" );
        } else {
            if ( containsKey ( value ) ) {
                return value;
            } else {
                return super.put ( key, value );
            }
        }
    }
    @Override
    public void putAll ( Map<? extends K, ? extends V> collection ) {
        if ( collection.size() > 7 ) {
            throw new IllegalStateException ( "Size is at max!" );
        } else {
            super.putAll ( collection );
        }
    }
    @Override
    public V remove ( Object key ) {
        return null;
    }
