@Root ( name = "feed" )
public class Feed {
    @Element ( "id" )
    private String id;
    @Element ( "author" )
    private Author_feed author;
    @Element ( "title" )
    private String title;
    @Element ( "updated" )
    private String updated;
    @ElementList ( inline = true, entry = "entry" )
    private List<WhatsNewFeed_entry> entries;
}
public class Author_feed {
    @Element ( "name" )
    private String name;
    @Element ( "uri" )
    private String uri;
    @Element ( "id" )
    @Namespace ( prefix = "y" )
    private String id;
}
class Author_entry {
    @Element ( "name" )
    private String name;
    @Element ( "id" )
    @Namespace ( prefix = "y" )
    private String id;
}
public class WhatsNewFeed_entry {
    @Element ( name = "id" )
    private String id_entry;
    @Element ( "author" )
    private Author_entry author;
}
