public static void main ( String[] args ) {
    String[][] menuHierarchies = {
        {"New", "Job", "Item A"},
        {"New", "Job", "Item B"},
        {"New", "Search", "Item C"},
        {"New", "Item D"},
        {"Other", "Item E"},
        {"New", "Job", "Item B"},
        {"Other", "Job", "Item B"}
    };
    JMenuBar menuBar = new JMenuBar();
    for ( int rootIndex = 0; rootIndex < menuHierarchies.length; ++rootIndex ) {
        JMenu parentMenu = null;
        for ( int menuLevel = 0; menuLevel < menuHierarchies[rootIndex].length; ++menuLevel ) {
            if ( menuLevel == 0 ) {
                for ( int i = 0; i < menuBar.getMenuCount(); ++i ) {
                    if ( menuBar.getMenu ( i ).getText().equals ( menuHierarchies[rootIndex][menuLevel] ) ) {
                        parentMenu = menuBar.getMenu ( i );
                        break;
                    }
                }
                if ( parentMenu == null ) {
                    parentMenu = new JMenu ( menuHierarchies[rootIndex][menuLevel] );
                    menuBar.add ( parentMenu );
                }
            } else if ( menuLevel < menuHierarchies[rootIndex].length - 1 ) {
                Component[] menuComponents = parentMenu.getMenuComponents();
                JMenu currentMenu = null;
                for ( Component component : menuComponents ) {
                    if ( component instanceof JMenu ) {
                        if ( ( ( JMenu ) component ).getText().equals ( menuHierarchies[rootIndex][menuLevel] ) ) {
                            currentMenu = ( JMenu ) component;
                            break;
                        }
                    }
                }
                if ( currentMenu == null ) {
                    currentMenu = new JMenu ( menuHierarchies[rootIndex][menuLevel] );
                    parentMenu.add ( currentMenu );
                }
                parentMenu = currentMenu;
            } else {
                Component[] menuComponents = parentMenu.getMenuComponents();
                JMenuItem currentItem = null;
                for ( Component component : menuComponents ) {
                    if ( component instanceof JMenuItem ) {
                        if ( ( ( JMenuItem ) component ).getText().equals ( menuHierarchies[rootIndex][menuLevel] ) ) {
                            currentItem = ( JMenuItem ) component;
                            break;
                        }
                    }
                }
                if ( currentItem == null ) {
                    parentMenu.add ( new JMenuItem ( menuHierarchies[rootIndex][menuLevel] ) );
                }
            }
        }
    }
}
