public byte[] getImagePixels ( Bitmap image ) {
    int bytes = image.getByteCount();
    ByteBuffer buffer = ByteBuffer.allocate ( bytes );
    image.copyPixelsToBuffer ( buffer );
    byte[] temp = buffer.array();
    byte[] pixels = new byte[ ( temp.length / 4 ) * 3];
    for ( int i = 0; i < ( temp.length / 4 ); i++ ) {
        pixels[i * 3] = temp[i * 4 + 3];
        pixels[i * 3 + 1] = temp[i * 4 + 2];
        pixels[i * 3 + 2] = temp[i * 4 + 1];
    }
    return pixels;
}
