public class SurfaceToAirLauncher extends Fighter {
    @Override public boolean isGround () {
        return true;
    }
    @Override public boolean canAttack ( Fighter target ) {
        return ( target != null && !target.isGround() );
    }
}
public class Dragon extends Fighter {
    @Override public boolean isGround () {
        return false;
    }
    @Override public boolean canAttack ( Fighter target ) {
        return ( target != null );
    }
}
public class Knight extends Fighter {
    @Override public boolean isGround () {
        return true;
    }
    @Override public boolean canAttack ( Fighter target ) {
        return ( target != null && target instanceof Dragon );
    }
}
