public static class BinderOwner {
    @UiField ( provided = true )
    CellTree folderTree;
    @UiField
    Label folderName;
    public BinderOwner() {
        ArrayList<Folder> folders = new ArrayList<Folder>();
        folders.add ( new Folder ( "A" ) );
        folders.add ( new Folder ( "B" ) );
        folders.add ( new Folder ( "C" ) );
        folderTree = new CellTree ( new FolderTreeModel ( folders, new CellPreviewEvent.Handler<Folder>() {
            @Override
            public void onCellPreview ( CellPreviewEvent<Folder> event ) {
                folderName.setText ( event.getValue().getName() );
            }
        } ), null );
    }
}
