private static boolean isQuoted ( boolean noQuotesInside, String arg,
                                  String errorMessage ) {
    int lastPos = arg.length() - 1;
    if ( lastPos >= 1 && arg.charAt ( 0 ) == '"' && arg.charAt ( lastPos ) == '"' ) {
        if ( noQuotesInside ) {
            if ( arg.indexOf ( '"', 1 ) != lastPos ) {
                throw new IllegalArgumentException ( errorMessage );
            }
        }
        return true;
    }
    if ( noQuotesInside ) {
        if ( arg.indexOf ( '"' ) >= 0 ) {
            throw new IllegalArgumentException ( errorMessage );
        }
    }
    return false;
}
