private Handler handler = new Handler() {
    @Override
    public void handleMessage ( Message msg ) {
        super.handleMessage ( msg );
        progress.setProgress ( progress.getProgress() + 100 );
        if ( mBooleanIsPressed ) {
            sendEmptyMessageDelayed ( 0, 100 );
        }
    }
};
private Runnable runnable = new Runnable() {
    public void run() {
        playAlarm();
    }
};
...
progress = ( ProgressBar ) findViewById ( R.id.progressBar1 );
...
@Override
public boolean onTouchEvent ( MotionEvent e ) {
    if ( e.getAction() == MotionEvent.ACTION_DOWN && !mBooleanIsPressed ) {
        progress.setProgress ( 0 );
        handler.postDelayed ( runnable, 5000 );
        sendEmptyMessageDelayed ( 0, 100 );
        mBooleanIsPressed = true;
    }
    if ( e.getAction() == MotionEvent.ACTION_UP ) {
        if ( mBooleanIsPressed ) {
            mBooleanIsPressed = false;
            progress.setProgress ( 0 );
            handler.removeCallbacks ( runnable );
        }
    }
    return true;
}
