public class Color {
    public int  R, G, B, A;
    public Color ( int R, int G, int B, int A ) {
        this.R = R;
        this.G = G;
        this.B = B;
        this.A = A;
    }
    public Color ( int R, int G, int B ) {
        this ( R, G, B, 255 );
    }
    public Color ( double R, double G, double B, double A ) {
        this ( ( int ) ( R * 255 ), ( int ) ( G * 255 ), ( int ) ( B * 255 ), ( int ) ( A * 255 ) );
    }
    public Color ( Color c ) {
        this ( c.R, c.G, c.B, c.A );
    }
}
