private void checkAmbiguousWord() {
    final String textToCheck = text.getText().toString();
    List<Integer> ambiguousIndexes = findAmbiguousWordIndexes ( textToCheck );
    view.setText ( !ambiguousIndexes.isEmpty() ? ambigousIndexesToMessage ( ambiguousIndexes ) : "No ambiguous word/s found." );
}
public String ambigousIndexesToMessage ( List<Integer> ambiguousIndexes ) {
    return ambiguousIndexes.toString();
}
private List<Integer> findAmbiguousWordIndexes ( String text ) {
    final String lowerCasedText = text.toLowerCase();
    final List<Integer> ambiguousWordIndexList = new ArrayList<Integer>();
    for ( int i = 0; i < words.length; i++ ) {
        if ( lowerCasedText.contains ( words[i].toLowerCase() ) ) {
            ambiguousWordIndexList.add ( i );
        }
    }
    return ambiguousWordIndexList;
}
