public class MyPluginTask extends DefaultTask {
    @TaskAction
    public void action() throws Exception {
        File sourceDir = new File ( getProject().getProjectDir(), "src/main/html" );
        ConfigurableFileTree cft = getProject().fileTree ( sourceDir );
        cft.include ( "**/*.html" );
        if ( cft.isEmpty() ) {
            throw new Exception ( "Error: No processable files found in sourceDir: " +
                                  sourceDir.getPath() );
        }
        Iterator<File> it = cft.iterator();
        while ( it.hasNext() ) {
            File f = it.next();
            System.out.println ( "File: " + f.getPath() "
                             }
                             }
                             }
