InputStream is = new FileInputStream ( "cacert.crt" );
CertificateFactory cf = CertificateFactory.getInstance ( "X.509" );
X509Certificate caCert = ( X509Certificate ) cf.generateCertificate ( is );
TrustManagerFactory tmf = TrustManagerFactory
                          .getInstance ( TrustManagerFactory.getDefaultAlgorithm() );
KeyStore ks = KeyStore.getInstance ( KeyStore.getDefaultType() );
ks.load ( null );
ks.setCertificateEntry ( "caCert", caCert );
tmf.init ( ks );
SSLContext sslContext = SSLContext.getInstance ( "TLS" );
sslContext.init ( null, tmf.getTrustManagers(), null );
