CriteriaBuilder cb = em.getCriteriaBuilder();
CriteriaQuery<Person> query = cb.createQuery ( Person.class );
Root<Person> personRoot = query.from ( Person.class );
query.where (
    cb.function (
        "CONTAINS", Boolean.class,
        personRoot.<String>get ( "lastName" ),
        cb.parameter ( String.class, "containsCondition" ) ) );
TypedQuery<Person> tq = em.createQuery ( query );
tq.setParameter ( "containsCondition", "%näh%" );
List<Person> people = tq.getResultList();
