public V put ( K key, V value ) {
    if ( table == EMPTY_TABLE ) {
        inflateTable ( threshold );
    }
    if ( key == null ) {
        return putForNullKey ( value );
    }
    int hash = hash ( key );
    int i = indexFor ( hash, table.length );
    @SuppressWarnings ( "unchecked" )
    Entry<K, V> e = ( Entry<K, V> ) table[i];
    for ( ; e != null; e = e.next ) {
        Object k;
        if ( e.hash == hash && ( ( k = e.key ) == key || key.equals ( k ) ) ) {
            V oldValue = e.value;
            e.value = value;
            e.recordAccess ( this );
            return oldValue;
        }
    }
    modCount++;
    addEntry ( hash, key, value, i );
    return null;
}
