@Override
protected void onPostExecute ( JSONObject json ) {
    int count = json.getJSONObject ( "all" ).getInt ( "count" );
    if ( count > 0 ) {
        JSONArray questions = json.getJSONObject ( "all" ).getJSONArray ( "questions" );
        for ( int i = 0; i < questions.length(); i++ ) {
            JSONObject question = questions.getJSONObject ( i );
            String Subject = question.getString ( TAG_QUESTION_SUBJECT );
            String ChosenAnswer = question.getString ( TAG_QUESTION_CHOSENANSWER );
            String Content = question.getString ( TAG_QUESTION_CONTENT );
            if ( pDialog.isShowing() ) {
                pDialog.dismiss();
            }
            ListAdapter adapter = new SimpleAdapter ( getBaseContext(), questionList,
                    R.layout.listelements,
                    new String[] { TAG_QUESTION_SUBJECT }, new int[] {
                        R.id.Subject,
                    } );
            setListAdapter ( adapter );
        }
        else {
            Toast.makeText ( ListView.this, "No data found", Toast.LENGTH_SHORT ).show();
            finish();
        }
    }
