File cacheDir = new File ( this.getCacheDir(), "directory_name" );
if ( !cacheDir.exists() ) {
    cacheDir.mkdir();
}
ImageLoaderConfiguration config = new ImageLoaderConfiguration.Builder (
    YourActivity.this ).threadPoolSize ( 5 )
.threadPriority ( Thread.MIN_PRIORITY + 3 )
.denyCacheImageMultipleSizesInMemory()
.memoryCacheSize ( 1048576 * 10 )
.discCache ( new UnlimitedDiscCache ( cacheDir ) )
.build();
imageLoader = ImageLoader.getInstance();
imageLoader.init ( config );
imageLoader.clearMemoryCache();
imageLoader.clearDiscCache();
options = new DisplayImageOptions.Builder()
.showStubImage ( R.drawable.avatar )
.showImageForEmptyUri ( R.drawable.home_shortcut ).cacheInMemory()
.cacheOnDisc().build();
