import java.util.HashMap;
import java.util.Map;
import java.util.Set;
import java.util.TreeSet;
public class MapSetExample {
    public static void main ( String[] args ) {
        Map<String, Set<String>> map = new HashMap<String, Set<String>>();
        System.out.println ( "ADDED = " + add ( map, "Train1", "Station1" ) );
        System.out.println ( "ADDED = " + add ( map, "Train1", "Station2" ) );
        System.out.println ( "ADDED = " + add ( map, "Train1", "Station1" ) );
        System.out.println ( "Stations of Train1 = " + map.get ( "Train1" ) );
    }
    private static boolean add ( Map<String, Set<String>> map, String key, String station ) {
        Set<String> set = map.get ( key );
        if ( set == null ) {
            set = new TreeSet<String>();
            map.put ( key, set );
        }
        boolean success = set.add ( station );
        return success;
    }
}
