Root<PubThread> rootPubThread = mainQuery.from ( PubThread.class );
Join<Pub, PubCategory> categoryJoin = rootPubThread.join ( PubThread_.pups ).join ( Pub_.pubCategory );
mainQuery.where ( criteriaBuilder.not ( criteriaBuilder.equal ( rootPubThread.get ( PubThread_.id ), threadId ) ) );
mainQuery.select ( rootPubThread ).distinct ( true );
Subquery<PubThread> subquery = mainQuery.subquery ( PubThread.class );
Root<PubThread> rootPubThreadSub = subquery.from ( PubThread.class );
Join<Pub, PubCategory> categoryJoinSub = rootPubThreadSub.join ( PubThread_.pups ).join ( Pub_.pubCategory );
subquery.select ( rootPubThreadSub );
Predicate correlatePredicate = criteriaBuilder.and (
                                   criteriaBuilder.equal ( categoryJoinSub.get ( PubCategory_.id ), categoryJoin.get ( PubCategory_.id ) ),
                                   criteriaBuilder.equal ( rootPubThreadSub.get ( PubThread_.id ), threadId )
                               );
subquery.where ( correlatePredicate );
Predicate mainPredicate = criteriaBuilder.and (
                              criteriaBuilder.not ( criteriaBuilder.equal ( rootPubThread.get ( PubThread_.id ), threadId ) ),
                              criteriaBuilder.exists ( subquery )
                          );
mainQuery.where ( mainPredicate );
TypedQuery<PubThread> typedQuery = em.createQuery ( mainQuery );
List<PubThread> otherPubThreads = typedQuery.getResultList();
