private int mostRepeated ( final int[][] array ) {
    if ( array == null || array.length == 0 ) {
        return -1;
    }
    final Map<Integer, Integer> map = new HashMap<>();
    for ( int i = 0; i < array.length; i++ ) {
        for ( int j = 0; j < array[i].length; j++ ) {
            final int value = array[i][j];
            if ( !map.containsKey ( value ) ) {
                map.put ( value, 0 );
            }
            map.put ( value, map.get ( value ) + 1 );
        }
    }
    int highest = -1;
    int n = -1;
    for ( final Integer key : map.keySet() ) {
        final int value = map.get ( key );
        if ( value > highest ) {
            highest = value;
            n = key;
        }
    }
    return n;
}
