public List<Data> list() throws SQLException {
    Connection connection = null;
    Statement statement = null;
    ResultSet resultSet = null;
    List<Data> list = new ArrayList<Data>();
    try {
        connection = database.getConnection();
        statement = connection.createStatement ( "SELECT id, name, value FROM data" );
        resultSet = statement.executeQuery();
        while ( resultSet.next() ) {
            Data data = new Data();
            data.setId ( resultSet.getLong ( "id" ) );
            data.setName ( resultSet.getString ( "name" ) );
            data.setValue ( resultSet.getInteger ( "value" ) );
            list.add ( data );
        }
    } finally {
        if ( resultSet != null ) try {
                resultSet.close();
            } catch ( SQLException logOrIgnore ) {}
        if ( statement != null ) try {
                statement.close();
            } catch ( SQLException logOrIgnore ) {}
        if ( connection != null ) try {
                connection.close();
            } catch ( SQLException logOrIgnore ) {}
    }
    return list;
}
