private void setPic() {
    int targetW = mImageView.getWidth();
    int targetH = mImageView.getHeight();
    BitmapFactory.Options bmOptions = new BitmapFactory.Options();
    bmOptions.inJustDecodeBounds = true;
    BitmapFactory.decodeFile ( mCurrentPhotoPath, bmOptions );
    int photoW = bmOptions.outWidth;
    int photoH = bmOptions.outHeight;
    int scaleFactor = Math.min ( photoW / targetW, photoH / targetH );
    bmOptions.inJustDecodeBounds = false;
    bmOptions.inSampleSize = scaleFactor;
    bmOptions.inPurgeable = true;
    Bitmap bitmap = BitmapFactory.decodeFile ( mCurrentPhotoPath, bmOptions );
    mImageView.setImageBitmap ( bitmap );
}
