public interface MyLibrary extends Library {
    interface MyCallback extends Callback {
        void invoke ( );
    }
    DWORD RegisterCallback ( HANDLE handle, int type, MyCallback callback );
}
...
MyLibrary lib = ( MyLibrary ) Native.loadLibrary ( "mylib", MyLibrary.class );
MyCallback callback = new MyCallback() {
    public void invoke() {
        System.out.println ( "Success!" );
    }
};
HANDLE h = ...;
int type = ...;
lib.RegisterCallback ( h, type, callback );
...
