public final static byte[] decode ( String str ) {
    int sLen = str != null ? str.length() : 0;
    if ( sLen == 0 ) {
        return new byte[0];
    }
    int sepCnt = 0;
    for ( int i = 0; i < sLen; i++ ) {
        if ( IA[str.charAt ( i )] < 0 ) {
            sepCnt++;
        }
    }
    if ( ( ( sLen - sepCnt ) % 4 ) != 0 ) {
        return null;
    }
    int pad = 0;
    for ( int i = sLen; ( i > 1 ) && ( IA[str.charAt ( --i )] <= 0 ); ) {
        if ( str.charAt ( i ) == '=' ) {
            pad++;
        }
    }
    int len = ( ( ( sLen - sepCnt ) * 6 ) >> 3 ) - pad;
    byte[] dArr = new byte[len];
    for ( int s = 0, d = 0; d < len; ) {
        int i = 0;
        for ( int j = 0; j < 4; j++ ) {
            int c = IA[str.charAt ( s++ )];
            if ( c >= 0 ) {
                i |= c << ( 18 - ( j * 6 ) );
            } else {
                j--;
            }
        }
        dArr[d++] = ( byte ) ( i >> 16 );
        if ( d < len ) {
            dArr[d++] = ( byte ) ( i >> 8 );
            if ( d < len ) {
                dArr[d++] = ( byte ) i;
            }
        }
    }
    return dArr;
}
