public class Updater {
    public Updater ( List<IUpdateHelper> helpers ) {
        helpers = new ArrayList<UpdateHelper>();
        this.helpers.add ( helpers );
    }
    public void update() {
        for ( IUpdateHelper helper : helpers ) {
            helper.performHelp();
        }
    }
    protected List<IUpdateHelper> helpers;
}
public class UpdaterCommon extends Updater {
    public UpdaterCommon() {
        helpers.add ( new UpdateHelperA() );
        ...
    }
}
public class UpdaterOne extends UpdaterCommon {
    ...
}
interface IUpdateHelper {
    public void performHelp();
}
public class UpdateHelperA implements IUpdateHelper {
    ...
}
