public Integer getNextAvailable() {
    Integer machineId = null;
    VMallocation allocation;
    while ( busyListIsFull ) {
        try {
            wait();
        } catch ( InterruptedException e ) {
        }
    }
    busyListIsFull = false;
    notifyAll();
    for ( Map.Entry<Integer, VMallocation> entry : mapAll.entrySet() ) {
        machineId = ( Integer ) ( entry.getKey() );
        allocation = ( VMallocation ) ( entry.getValue() );
        if ( !busyList.contains ( machineId ) &&
                allocation.getCurrentAlloc() < allocation.getMaxAlloc() ) {
            System.out.println ( "allocating machineId:" + machineId );
            allocation.setCurrentAlloc ( allocation.getCurrentAlloc() + 1 );
            if ( machineId != null ) {
                return machineId;
            }
        }
    }
    for ( Map.Entry<Integer, VMallocation> entry : mapAll.entrySet() ) {
        allocation = ( VMallocation ) ( entry.getValue() );
        allocation.setCurrentAlloc ( 0 );
    }
    return getNextAvailable();
}
