public static final Integer[] TIME_IN_MINUTES = { 30, 45, 60, 180, 360 };
public MediaPlayer mediaPlayer;
public Handler handler = new Handler();
public Button button1;
public Spinner spinner1;
@Override
public void onCreate ( Bundle bundle ) {
    super.onCreate ( bundle );
    setContentView ( R.layout.ocean );
    button1 = ( Button ) findViewById ( R.id.btn1 );
    button1.setOnClickListener ( this );
    spinner1 = ( Spinner ) findViewById ( R.id.spinner1 );
    ArrayAdapter<Integer> adapter = new ArrayAdapter<Integer> ( this,
            android.R.layout.simple_spinner_item, TIME_IN_MINUTES );
    adapter.setDropDownViewResource ( android.R.layout.simple_spinner_dropdown_item );
    spinner1.setAdapter ( adapter );
}
private void playSound ( int resourceId ) {
    cleanup();
    mediaPlayer = MediaPlayer.create ( this, resourceId );
    mediaPlayer.start();
    int selectedTime = TIME_IN_MINUTES[spinner1.getSelectedItemPosition()];
    handler.postDelayed ( runnable, selectedTime * 60 * 1000 );
}
@Override
public void onClick ( View v ) {
    switch ( v.getId() ) {
    case R.id.btn1:
        playSound ( R.raw.test );
        break;
    }
}
public void cleanup() {
    if ( mediaPlayer != null ) {
        mediaPlayer.stop();
        mediaPlayer.release();
        mediaPlayer = null;
    }
    handler.removeCallbacks ( runnable );
}
public Runnable runnable = new Runnable() {
    public void run() {
        cleanup();
    }
};
