import java.io.File;
import javax.xml.bind.*;
public class Demo {
    public static void main ( String[] args ) throws Exception {
        JAXBContext jc = JAXBContext.newInstance ( Root.class );
        Unmarshaller unmarshaller = jc.createUnmarshaller();
        File xml = new File ( "src/forum18617998/input.xml" );
        Root root = ( Root ) unmarshaller.unmarshal ( xml );
        Marshaller marshaller = jc.createMarshaller();
        marshaller.setProperty ( Marshaller.JAXB_FORMATTED_OUTPUT, true );
        marshaller.marshal ( root, System.out );
    }
}
