for ( MethodDeclaration methodDeclaration : methodDeclarations ) {
    IMethodBinding resolved = methodDeclaration.resolveBinding();
    ITypeBinding[] pType = resolved.getParameterTypes();
    String[] pTypeName = new String[pType.length];
    for ( int ix = 0; ix < pType.length; ix++ ) {
        pTypeName[ix] = pType[ix].getBinaryName().replace ( '.', '/' );
    }
    String rTypeName = resolved.getReturnType().getBinaryName().replace ( '.', '/' );
    String signature = Signature.createMethodSignature ( pTypeName, rTypeName );
    System.out.println ( signature );
}
