BlockingQueue<TestCase> testCaseQueue = new LinkedBlockingQueue<>();
for ( TestCase test : tests ) {
    testCaseQueue.add ( test );
}
TestExecutor testExecutor =
    new TestExecutor ( new FirefoxDriver(), testCaseQueue );
ExecutorService threadPool = Executors.newCachedThreadPool();
threadPool.submit ( testExecutor );
...
threadPool.shutdown();
...
while ( !shutdown ) {
    TestCase testCase = testCaseQueue.poll ( 0, TimeUnit.MILLISECONDS );
    if ( testCase == null ) {
        break;
    }
    ...
}
