public static final double CM_PER_INCH = 0.393700787d;
public static final double INCH_PER_CM = 2.545d;
public static final double INCH_PER_MM = 25.45d;
public static double pixelsToCms ( double pixels, double dpi ) {
    return inchesToCms ( pixels / dpi );
}
public static double cmsToPixel ( double cms, double dpi ) {
    return cmToInches ( cms ) * dpi;
}
public static double cmToInches ( double cms ) {
    return cms * CM_PER_INCH;
}
public static double inchesToCms ( double inch ) {
    return inch * INCH_PER_CM;
}
