public enum DateFormatter implements IDateFormatter {
    DATE_FORMAT ( DATE_FORMAT ),
    DATE_SHORT_FORMAT ( DATE_SHORT_FORMAT ),
    TIME_FORMAT ( TIME_FORMAT ),
    DATETIME_FORMAT ( DATETIME_FORMAT ),
    DATETIME_SHORT_FORMAT ( DATETIME_SHORT_FORMAT );
    private final SimpleDateFormat format;
    private DateFormatter ( String s ) {
        format = new SimpleDateFormat ( s );
    }
    public String format ( Date d ) {
        return format.format ( d );
    }
    public Date parse ( String s ) throws ParseException {
        return format.parse ( s );
    }
}
