public class  MainDateFormatter<T extends Enum<T> & IDateFormatter> {
    private final Class<T> clazz;
    public MainDateFormatter ( Class<T> clazz ) {
        this.clazz = clazz;
    }
    public String asShortDate ( @Nullable Date date ) {
        return DateFormatter.DATE_SHORT_FORMAT.format ( date );
    }
    public Date parseShortDate ( @Nullable String string ) throws ParseException;
    return DateFormatter.DATE_SHORT_FORMAT.parse ( string );
}
}
