public void onClick ( View v ) {
    if ( v == mAssistUpdateButton ) {
        TextView tv = ( TextView ) findViewById ( R.id.apn_app_text_cta2 );
        String text = "";
        CharSequence styledText = text;
        switch ( v.getId() ) {
        case 0:
            text = String.format ( getString ( R.string.apn_app_text_instr ),
                                   TotalSteps );
            styledText = Html.fromHtml ( text );
            tv.setText ( styledText );
            mInstructionNumber++;
            break;
        case 1:
            text = getString ( R.string.apn_app_text_instr2 );
            styledText = Html.fromHtml ( text );
            tv.setText ( styledText );
            mInstructionNumber++;
            break;
        case 2:
            setContentView ( R.layout.assist_instructions );
            String assistUpdateInstr = String.format (
                                           getString ( R.string.apn_app_text_instr3 ), TotalSteps );
            styledText = Html.fromHtml ( assistUpdateInstr );
            TextView assistInstrText = ( TextView ) findViewById ( R.id.updated_text );
            assistInstrText.setText ( styledText );
            mAssistInstrButton = ( Button ) findViewById ( R.id.assist_instr_btn );
            mAssistInstrButton.setOnClickListener ( this );
            mReadAgainButton = ( TextView ) findViewById ( R.id.read_again_btn );
            mReadAgainButton.setOnClickListener ( this );
        }
    } else if ( v == mAssistInstrButton ) {
        Values = getValues();
        startActivity ( new Intent ( Settings.ACTION_APN_SETTINGS ) );
        try {
            showNotification();
        } catch ( SAXException e ) {
            e.printStackTrace();
        } catch ( ParserConfigurationException e ) {
            e.printStackTrace();
        }
        finish();
    } else if ( v == mAssistInstrButton ) {
        startActivity ( new Intent ( Settings.ACTION_APN_SETTINGS ) );
        try {
            showNotification();
        } catch ( SAXException e1 ) {
            e1.printStackTrace();
        } catch ( ParserConfigurationException e1 ) {
            e1.printStackTrace();
        }
        try {
            showNotification();
        } catch ( SAXException e ) {
            e.printStackTrace();
        } catch ( ParserConfigurationException e ) {
            e.printStackTrace();
        }
        finish();
    } else if ( v == mReadAgainButton ) {
        TextView tv = ( TextView ) findViewById ( R.id.apn_app_text_cta2 );
        String text = "";
        CharSequence styledText = text;
        switch ( mInstructionNumber ) {
        case 0:
            text = String.format ( getString ( R.string.apn_app_text_instr ),
                                   TotalSteps );
            styledText = Html.fromHtml ( text );
            tv.setText ( styledText );
            mInstructionNumber++;
            break;
        case 1:
            text = getString ( R.string.apn_app_text_instr2 );
            styledText = Html.fromHtml ( text );
            tv.setText ( styledText );
            mInstructionNumber++;
            break;
        case 2:
            setContentView ( R.layout.assist_instructions );
            String assistUpdateInstr = String.format (
                                           getString ( R.string.apn_app_text_instr3 ), TotalSteps );
            styledText = Html.fromHtml ( assistUpdateInstr );
            TextView assistInstrText = ( TextView ) findViewById ( R.id.updated_text );
            assistInstrText.setText ( styledText );
            mAssistInstrButton = ( Button ) findViewById ( R.id.assist_instr_btn );
            mAssistInstrButton.setOnClickListener ( this );
            mReadAgainButton = ( TextView ) findViewById ( R.id.read_again_btn );
            mReadAgainButton.setOnClickListener ( this );
            break;
        }
    }
}
