import static org.junit.Assert.assertEquals;
import static org.mockito.Mockito.times;
import static org.mockito.Mockito.verify;
import org.junit.Before;
import org.junit.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.MockitoAnnotations;
public class EventMonitorTest {
    @Mock
    IEventListener eventListener;
    @InjectMocks
    EventMonitor eventMonitor = new EventMonitor();
    @Before
    public void initMocks() {
        MockitoAnnotations.initMocks ( this );
    }
    @Test
    public void test() {
        eventMonitor.doStuff ( param );
        verify ( eventListener, times ( 1 ) ).doStuff1();
        verify ( eventListener, times ( 0 ) ).doStuff2();
    }
}
