public class MultiWriter implements LoggingWriter {
    private List<LoggingWriter> writers;
    public MultiWriter ( List<LoggingWriter> writers ) {
        this.writers = writers;
    }
    @Override
    public void write ( LoggingLevel level, String logEntry ) {
        for ( LoggingWriter writer : writers ) {
            writer.write ( level, logEntry );
        }
    }
}
