private static String getWebPabeSource ( String sURL ) throws IOException {
    URL url = new URL ( sURL );
    URLConnection urlCon = url.openConnection();
    BufferedReader in = null;
    if ( urlCon.getHeaderField ( "Content-Encoding" ) != null
            && urlCon.getHeaderField ( "Content-Encoding" ).equals ( "gzip" ) ) {
        in = new BufferedReader ( new InputStreamReader ( new GZIPInputStream (
                                      urlCon.getInputStream() ) ) );
    } else {
        in = new BufferedReader ( new InputStreamReader (
                                      urlCon.getInputStream() ) );
    }
    String inputLine;
    StringBuilder sb = new StringBuilder();
    while ( ( inputLine = in.readLine() ) != null ) {
        sb.append ( inputLine );
    }
    in.close();
    return sb.toString();
}
