static LinkedListNode getSum ( LinkedListNode a, LinkedListNode b ) {
    if ( a == null ) {
        if ( b == null ) {
            return null;
        } else {
            return b;
        }
    } else if ( b == null ) {
        return a;
    }
    LinkedListNode stacka = null;
    LinkedListNode stackb = null;
    LinkedListNode ans = null;
    LinkedListNode temp = null;
    while ( a != null || b != null ) {
        if ( a != null ) {
            if ( stacka == null ) {
                stacka = new LinkedListNode ( a.value );
            } else {
                temp = new LinkedListNode ( a.value );
                temp.next = stacka;
                stacka = temp;
            }
        }
        if ( b != null ) {
            if ( stackb == null ) {
                stackb = new LinkedListNode ( b.value );
            } else {
                temp = new LinkedListNode ( b.value );
                temp.next = stackb;
                stackb = temp;
            }
        }
        if ( a != null ) {
            a = a.next;
        }
        if ( b != null ) {
            b = b.next;
        }
    }
    int remainder = 0;
    while ( stacka != null || stackb != null ) {
        int i = ( ( stacka == null ) ? 0 : stacka.value ) + ( ( stackb == null ) ? 0 : stackb.value ) + remainder;
        remainder = i / 10;
        i %= 10;
        temp = new LinkedListNode ( i );
        if ( ans == null ) {
            ans  = temp;
        } else {
            temp.next = ans;
            ans = temp;
        }
        if ( stacka != null ) {
            stacka = stacka.next;
        }
        if ( stackb != null ) {
            stackb = stackb.next;
        }
    }
    return ans;
}
