final Tree tree = new Tree();
Collection<MyEntity> myEntitiesCategories = findEntities ( MyEntity.class );
for ( MyEntity myEntity : myEntitiesCategories ) {
    tree.addItem ( myEntity );
}
tree.addListener ( new Tree.ExpandListener() {
    @Override
    public void nodeExpand ( ExpandEvent event ) {
        MyEntity myEntityCategory = ( MyEntity ) event.getItemId();
        Collection<MyEntity> myEntities = myEntityCategory.getChildrenMyEntities();
        for ( MyEntity myEntity : myEntities ) {
            tree.addItem ( myEntity );
            tree.setParent ( myEntity, myEntityCategory );
            tree.setChildrenAllowed ( myEntity, false );
        }
    }
} );
