@ManagedBean ( name = "userGroupBacking" )
@ViewScoped
public class UserGroupBacking {
    @ManagedProperty ( value = "#{accessBacking}" )
    private AccessBacking accessBacking;
    public void setAccessBacking ( AccessBacking accessBacking ) {
        this.accessBacking = accessBacking;
    }
    @PostConstruct
    public void init() {
        loadData();
    }
    public boolean isHasAccess() {
        return accessBacking.isHasAccess();
    }
    public boolean checkViewAccess() {
        return accessBacking.checkViewAccess();
    }
    public void loadData() {
        Dao dao = new Dao ( ds );
        users = dao.findAllUsers ( accessBacking.getUsername(), accessBacking.getRoles() );
    }
}
