public Set<List<Pair>> compute ( List<Integer> numbers ) {
    if ( numbers.size() < 3 ) {
        List<Pair> list = new ArrayList<>();
        list.add ( new Pair ( numbers ) );
        Set<List<Pair>> result = new HashSet<>();
        result.add ( list );
        return result;
    } else {
        Set<List<Pair>> result = new HashSet<ArrayList<>>();
        for ( int i = 1; i < numbers.size(); i++ ) {
            Pair first = new Pair ( numbers.get ( 0 ), numbers.get ( i ) );
            List<Integers> nextStep = new ArrayList<> ( numbers );
            nextStep.remove ( i );
            nextStep.remove ( 0 );
            Set<List<Pair>> intermediate = null;
            if ( nextStep.size() % 2 == 0 ) {
                intermediate = compute ( nextStep );
            } else {
                intermediate = compute ( numbers ).addAll ( firstElementSingle ( numbers ) ), compute ( nextStep );
            }
            for ( List<Pair> list : intermediate ) {
                list.add ( 0, first );
            }
            result.addAll ( intermediate );
        }
        return result;
    }
}
