private final BlockingQueue<MyRunnable> queue = new ArrayBlockingQueue<>();
private volatile boolean shutdown;
...
public void run() {
    BufferedWriter writer = ...;
    while ( !shutdown && !Thread.currentThread.isInterrupted() ) {
        MyRunnable runnable = queue.take();
        if ( runnable == STOP_OBJECT ) {
            break;
        }
        runnable.run();
    }
    writer.close();
}
