static void runHooks() {
    Collection<Thread> threads;
    synchronized ( ApplicationShutdownHooks.class ) {
        threads = hooks.keySet();
        hooks = null;
    }
    for ( Thread hook : threads ) {
        hook.start();
    }
    for ( Thread hook : threads ) {
        try {
            hook.join();
        } catch ( InterruptedException x ) { }
    }
}
