class ApplicationModelShould {
    @Test
    public void loadModelFromFile() {
        XMLDocument xml = new XMLDocumentFake();
        XMLFileLoader xFileLoader = mock ( XMLFileLoader.class );
        when ( xFileLoader.load ( "file.xml" ).thenReturn ( xml );
               ApplicationModelInterface appModel = new ConcreteApplicationModel ( new FileLoaderFake() );
               appModel.load ( "plik.xml" );
               doReturn ( xml ).when ( xFileLoader ).load ( "plik.xml" );
               Data expectedResult = populateExpectedResults();
               assertEquals ( appModel.getDataForView().equals ( expectedResult ) );
    }
}
