public static final Bitmap getNewBitmap ( Bitmap bmp, int circleCenterX,
        int circleCenterY, int circleRadius ) {
    Bitmap temp = bmp.copy ( Bitmap.Config.ARGB_8888, true );
    int[]pixels = new int[temp.getWidth() * temp.getHeight()];
    temp.getPixels ( pixels, 0 , temp.getWidth(), 0, 0, temp.getWidth(), temp.getHeight() );
    int counter = 0;
    for ( int i = 0; i < pixels.length; i++ ) {
        int alpha = Color.alpha ( pixels[i] );
        if ( alpha != 0 && ! ( ( Math.pow ( counter / temp.getWidth() - circleCenterY, 2.0 ) +
                                 Math.pow ( counter % temp.getWidth() - circleCenterX, 2.0 ) ) < Math.pow ( circleRadius, 2.0 ) ) ) {
            pixels[i] = Color.argb ( 0, Color.red ( pixels[i] ), Color.green ( pixels[i] ), Color.blue ( pixels[i] ) );
        }
        counter++;
    }
    temp.setPixels ( pixels, 0, temp.getWidth(), 0, 0, temp.getWidth(), temp.getHeight() );
    return temp;
}
