import java.awt.Color;
import java.awt.Graphics;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JPanel;
import javax.swing.Timer;
public class Draw extends JPanel implements ActionListener {
    private Color topColorTraffic = Color.red;
    private Color middleColorTraffic = Color.gray;
    private Color bottomColorTraffic = Color.gray;
    private Color topColorPeds = Color.gray;
    private Color bottomColorPeds = Color.green;
    private long startTime;
    private long targetTimeTraffic;
    private long targetTimeYellowLight;
    private Timer t;
    public Draw() {
        startTime = System.currentTimeMillis();
        targetTimeTraffic = 3000;
        targetTimeYellowLight = 1200;
        t = new Timer ( 5, this );
        t.start();
    }
    public void paintComponent ( Graphics back ) {
        super.paintComponent ( back );
        back.setColor ( Color.black );
        back.fillRect ( 30, 30, 330, 900 );
        back.fillRect ( 440, 140, 330, 720 );
        back.setColor ( topColorTraffic );
        back.fillOval ( 45, 45, 300, 280 );
        back.setColor ( topColorPeds );
        back.fillOval ( 455, 155, 300, 280 );
        back.setColor ( middleColorTraffic );
        back.fillOval ( 45, 335, 300, 280 );
        back.setColor ( bottomColorTraffic );
        back.fillOval ( 45, 625, 300, 280 );
        back.setColor ( bottomColorPeds );
        back.fillOval ( 455, 555, 300, 280 );
    }
    public void actionPerformed ( ActionEvent arg0 ) {
        long currentTime = System.currentTimeMillis();
        if ( targetTimeTraffic <= currentTime - startTime ) {
            topColorTraffic = Color.gray;
            middleColorTraffic = Color.yellow;
            topColorPeds = Color.red;
            bottomColorPeds = Color.gray;
        }
        if ( targetTimeTraffic <= currentTime - startTime - targetTimeYellowLight ) {
            topColorTraffic = Color.gray;
            middleColorTraffic = Color.yellow;
            bottomColorTraffic = Color.green;
            middleColorTraffic = Color.gray;
        }
        if ( targetTimeTraffic <= currentTime - startTime - targetTimeYellowLight - targetTimeTraffic ) {
            topColorTraffic = Color.gray;
            bottomColorTraffic = Color.gray;
            middleColorTraffic = Color.yellow;
        }
        if ( targetTimeTraffic <= currentTime - startTime - 2 * targetTimeYellowLight - targetTimeTraffic ) {
            topColorTraffic = Color.red;
            middleColorTraffic = Color.gray;
            topColorPeds = Color.gray;
            bottomColorPeds = Color.green;
            startTime = System.currentTimeMillis();
        }
        repaint();
    }
}
