public class YourClass {
    private EntityManager em = ...;
    public void method ( Entity e ) {
        Entity localEntity = em.find ( Entity.class, e.getId() );
        EntityTransaction et = em.getTransaction();
        et.begin();
        ...
        applyChanges ( localEntity );
        ...
        try {
            et.commit();
            applyChanges ( e );
        } catch ( Exception ex ) {
            et.rollback();
        }
    }
    private void applyChanges ( Entity e ) {
        ...
    }
}
