public int renameDirectory ( File base ) {
    int count = 0;
    for ( File file : base.listFiles() ) {
        String origName = file.getName();
        File resultFile = file;
        if ( origName.contains ( "&" )  || origName.contains ( "#" ) || origName.contains ( "@" ) ) {
            System.out.println ( "Original name: " + origName );
            origName = origName.replaceAll ( "&", "_and_" );
            origName = origName.replaceAll ( "@", "_at_" );
            String newName = origName.replaceAll ( "#", "_" );
            System.out.println ( "New Name: " + newName );
            String newLoc = baseLoc + File.separator + newName;
            File newFile = new File ( newLoc );
            System.out.println ( file.renameTo ( newFile ) );
            count++;
            resultFile = newFile;
        }
        if ( resultFile.isDirectory() ) {
            count += renameDirectory ( resultFile );
        }
    }
    return count;
}
