public class SinglePageActivity extends Activity {
    private int pageId;
    @Override
    public void onCreate ( Bundle state ) {
        super.onCreate ( state );
        pageId = getIntent().getIntExtra ( "page_id", 1 );
        switch ( pageId ) {
        case 1:
            setContentView ( R.layout.page_1 );
            break;
        case 2:
            setContentView ( R.layout.page_2 );
            break;
            ...
        }
    }
    public void Next ( View v ) {
        Intent next = new Intent ( this, SinglePageActivity.class );
        next.putExtra ( "page_id", pageId + 1 );
        startActivity ( next );
    }
}
