public static JSONObject fetchPersonCarInfo ( String person ) throws SQLException {
    JSONObject personCarInfoObj = new JSONObject();
    Connection connection = null;
    PreparedStatement statement = null;
    ResultSet rs = null;
    try {
        connection = DriverManager.getConnection ( "jdbc:mysql://localhost:3306/test", "username", "password" );
        statement = connection.prepareStatement ( "SELECT personId, carId, purchaseDate FROM person WHERE person = ?" );
        statement.setString ( 1, person );
        rs = statement.executeQuery();
        JSONArray carsArray = null;
        while ( rs.next() ) {
            if ( personCarInfoObj.containsKey ( rs.getString ( "personId" ) ) ) {
                JSONObject personCarObj = new JSONObject();
                carsArray = ( JSONArray ) personCarInfoObj.get ( rs.getString ( "personId" ) );
                personCarObj.put ( "deviceId", ( new String ( rs.getString ( "carId" ) ) ) );
                personCarObj.put ( "deviceCheckinTime", new Date ( rs.getTimestamp ( "purchaseDate" ).getTime() ) );
                carsArray.add ( personCarObj );
                personCarInfoObj.put ( rs.getString ( "personId" ), carsArray );
            } else {
                carsArray = new JSONArray();
                JSONObject personCarObj = new JSONObject();
                personCarObj.put ( "deviceId", ( new String ( rs.getString ( "carId" ) ) ) );
                personCarObj.put ( "deviceCheckinTime", new Date ( rs.getTimestamp ( "purchaseDate" ).getTime() ) );
                carsArray.add ( personCarObj );
                personCarInfoObj.put ( new String ( rs.getString ( "personId" ) ), carsArray );
            }
        }
    } finally {
        statement.close();
        connection.close();
    }
    return personCarInfoObj;
}
