protected void onCreate ( Bundle savedInstanceState ) {
    super.onCreate ( savedInstanceState );
    setContentView ( R.layout.activity_parcelable_text );
    dataTableScrollView = ( RelativeLayout ) findViewById ( R.id.scrollView1 );
    Bundle extras = getIntent().getExtras();
    if ( extras != null ) {
        dataListView    = extras.getString ( "dataListView" );
    }
    if ( savedInstanceState != null ) {
        dataListView = savedInstanceState.getString ( "dataListView" );
    }
    dataListView += savedInstanceState.get ( PARCELABLE_STRING ) + "\n";
    setAllDataToListView();
}
@Override
public void onSaveInstanceState ( Bundle outState ) {
    super.onSaveInstanceState ( outState );
    outState.putString ( "dataListView", dataListView );
}
private void setAllDataToListView() {
    LayoutInflater inflater = ( LayoutInflater ) getSystemService ( Context.
                              LAYOUT_INFLATER_SERVICE );
    View newListViewElement = inflater.inflate ( R.layout.activity_parcelable_text, null );
    TextView newDataTextView = ( TextView ) newListViewElement.findViewById ( R.id.scrollViewTextView );
    newDataTextView.setText ( dataListView );
    dataTableScrollView.addView ( newListViewElement, 0 );
}
