public static double[][] readFile ( String fileName ) {
    ArrayList<double[]> numbers = new ArrayList<double[]>();
    try {
        BufferedReader reader = new BufferedReader ( new FileReader ( fileName ) );
        String line;
        while ( ( line = reader.readLine() ) != null ) {
            int y = 0;
            String[] values = line.split ( "," );
            if ( values.length > 0 ) {
                double[] elements = new double[values.length];
                for ( String str : values ) {
                    double str_double;
                    try {
                        str_double = Double.parseDouble ( str );
                        elements[y] = str_double;
                        System.out.print ( elements[y] + " " );
                        ++y;
                    } catch ( Exception e ) {
                        continue;
                    }
                }
                numbers.add ( elements );
            } else {
                numbers.add ( new double[0] );
            }
            System.out.println();
        }
        reader.close();
    } catch ( Exception e ) {
        System.out.println ( "Aborting due to error: " + e );
    }
    return numbers.toArray ( new double[0][0] );
}
