class TestProvider implements Provider<Map<String, Map<String, String>>> {
    @Override public Map<String, Map<String, String>> get() {
        return new HashMap<String, Map<String, String>>();
    }
}
class TestModule extends AbstractModule {
    @Override protected void configure() {
        bind ( new TypeLiteral<Map<String, Map<String, String>>>() {} )
        .toProvider ( TestProvider.class );
        bind ( new TypeLiteral<HashMap<String, HashMap<String, String>>>() {} )
        .toProvider ( HashMapTestProvider.class );
    }
}
