import javafx.concurrent.Task;
import javafx.scene.Scene;
import javafx.scene.control.*;
import javafx.stage.*;
import javafx.application.*;
public class MessagingDemo extends Application {
    public void start ( Stage stage ) {
        Label label = new Label ( "message1" );
        label.setPrefWidth ( 300 );
        label.setText ( "action done" );
        label.text ( "calling method.. wait for some time" )
        Task <Void> task = new Task<Void>() {
            @Override public Void call() throws InterruptedException {
                updateMessage ( "message2" );
                Thread.sleep ( 3000 );
                updateMessage ( "message3" );
                Thread.sleep ( 7000 );
                updateMessage ( "time consuming method is done with success" );
                return null;
            }
        };
        label.textProperty().bind ( task.messageProperty() );
        task.setOnSucceeded ( e -> {
            label.textProperty().unbind();
            label.setText ( "operation completed successfully" );
        } );
        Thread thread = new Thread ( task );
        thread.setDaemon ( true );
        thread.start();
        stage.setScene ( new Scene ( label ) );
        stage.show();
    }
    public static void main ( String args[] ) {
        launch ( args );
    }
}
