@Root ( name = "data" )
@Convert ( FooConverter.class )
public class Foo {
    @Element ( name = "foo" )
    public String foo;
    public static class FooConverter implements Converter<Foo> {
        @Override
        public Foo read ( InputNode node ) throws Exception {
            Foo f = new Foo();
            InputNode nextNode = node.getNext();
            while ( nextNode != null ) {
                if ( nextNode.getName().equalsIgnoreCase ( "foo" ) ) {
                    f.setFoo ( nextNode.getValue() );
                }
                nextNode = node.getNext();
            }
            return f;
        }
        @Override
        public void write ( OutputNode node, Foo value ) throws Exception {
            throw new UnsupportedOperationException ( "Not supported yet." );
        }
    }
}
