@Override
protected void init ( VaadinRequest request ) {
    Container cont = new IndexedContainer();
    cont.addContainerProperty ( "caption", String.class, "" );
    cont.getContainerProperty ( cont.addItem(), "caption" ).setValue ( "first" );
    cont.getContainerProperty ( cont.addItem(), "caption" ).setValue ( "second" );
    cont.getContainerProperty ( cont.addItem(), "caption" ).setValue ( "third" );
    FlexibleOptionGroup fog = new FlexibleOptionGroup ( cont );
    fog.setItemCaptionPropertyId ( "caption" );
    fog.setMultiSelect ( true );
    VerticalLayout fogLayout = new VerticalLayout();
    Iterator<FlexibleOptionGroupItemComponent> iter;
    iter = fog.getItemComponentIterator();
    while ( iter.hasNext() ) {
        FlexibleOptionGroupItemComponent fogItemComponent = iter.next();
        Label caption = new Label ( fogItemComponent.getCaption() );
        caption.setWidth ( 50, Unit.PIXELS );
        Slider slider = new Slider ( 1, 100 );
        fogLayout.addComponent (
            new HorizontalLayout ( fogItemComponent, caption, slider )
        );
    }
    setContent ( fogLayout );
}
