import java.util.HashMap;
import java.util.List;
import java.util.Map;
public class Main {
    public static void main ( String[] args ) {
        QueueSelection selection = new QueueSelection();
        List<queueCollection> queueList = selection.initQueueCollection();
        selection.printQueueCollection ( queueList );
        Map<String, List<queueCollection>> map = new HashMap<String, List<queueCollection>>();
        map.put ( "QUEUE", queueList );
        queueCollection particularCollection = null;
        for ( queueCollection collection : map.get ( "QUEUE" ) ) {
            if ( "QUEUE_A1".equals ( collection.getQueueName1() )
                    && "QUEUE_A2".equals ( collection.getQueueName2() ) ) {
                particularCollection = collection;
            }
        }
        if ( null == particularCollection ) {
            System.out.println ( "No Particular collection is found!" );
        } else {
            System.out.println ( "\n Particular collection is found from entire collection, its value is as follows:!" );
            System.out.printf ( "[Name1]=>%s , [Name2]=>%s",
                                particularCollection.getQueueName1(),
                                particularCollection.getQueueName2() );
        }
    }
}
