@RequestMapping ( method = RequestMethod.GET, value = "/showStudent.do" )
@ResponseBody
public String showEnrolledStudent() {
    PersistenceManager pm = PMF.get().getPersistenceManager();
    Query query = pm.newQuery ( Student.class );
    JSONArray studentListJson = new JSONArray();
    try {
        List<Student> listOfStudent = ( List<Student> ) query.execute();
        for ( Student student : listOfStudent ) {
            JSONObject jsonObject = new JSONObject();
            jsonObject.put ( "key", student.getKey().getId() );
            jsonObject.put ( "name", student.getName() );
            jsonObject.put ( "age", student.getAge() );
            jsonObject.put ( "mobile", student.getMobile() );
            studentListJson.put ( jsonObject );
        }
    } catch ( Exception e ) {
    }
    return studentListJson.toString();
}
