{
    java.io.File fil = new java.io.File ( file.SourceImageUrl );
    InputStream is = new FileInputStream ( fil );
    InputStreamContent mediaContent = new InputStreamContent ( file.mimeType, is );
    mediaContent.setLength ( fil.length() );
    File body = new File();
    body.setTitle ( file.FileTitle );
    body.setMimeType ( file.mimeType );
    body.setParents ( parents );
    body.setDescription ( "Content Uploaded to " + DriveName );
    File destFile = null;
    if ( fil.length() > 5 * 1024 * 1024 ) {
        Insert insert = mService.files().insert ( body, mediaContent );
        MediaHttpUploader uploader = insert.getMediaHttpUploader();
        uploader.setDirectUploadEnabled ( false );
        uploader.setProgressListener ( new FileUploadProgressListener() );
        destFile = insert.execute();
    } else
    {
        destFile = mService.files().insert ( body, mediaContent ).execute();
    }
    ...
}
public static class FileUploadProgressListener implements MediaHttpUploaderProgressListener {
    public void progressChanged ( MediaHttpUploader uploader ) throws IOException {
        switch ( uploader.getUploadState() ) {
        case INITIATION_STARTED:
            postToDialog ( "Initiation Started" );
            break;
        case INITIATION_COMPLETE:
            postToDialog ( "Initiation Completed" );
            break;
        case MEDIA_IN_PROGRESS:
            postToDialog ( "Upload percentage: " + uploader.getProgress() );
            break;
        case MEDIA_COMPLETE:
            postToDialog ( "Upload Completed!" );
            break;
        case NOT_STARTED :
            postToDialog ( "Not Started!" );
            break;
        }
    }
}
