private class DownloadFilesTask extends AsyncTask<String, List<Product>, Integer> {
    protected List<Products> doInBackground ( String... requestStrings ) {
        int count = requestStrings.length;
        int results = 0;
        for ( int i = 0; i < count; i++ ) {
            String requestString = requestStrings[i];
            HttpGet httpGet = new HttpGet ( requestString );
            httpGet.addHeader ( "Accept", "text/xml" );
            String encodingString = "testuser:testpass";
            String sEncodedString = Base64Coder.encodeString ( encodingString );
            try {
                String sContent = fetchURL ( requestString, sEncodedString );
                XMLParser xmlParser = new XMLParser();
                List <Product> products = xmlParser.getProducts ( sContent );
                results++;
                publishProgress ( products );
            } catch ( Exception ex ) {
                Log.e ( TAG, ex.getMessage() );
            }
        }
        return results;
    }
    protected void onProgressUpdate ( Integer... progress ) {
    }
    protected void onPostExecute ( int result ) {
    }
}
