String traineeImage = ImageUtility.encodeToString ( bufferedImage, format );
model.addAttribute ( "imagePath", traineeImage );
}
public static String encodeToString ( BufferedImage image, String type ) {
    String imageString = null;
    String encodedImage = null;
    ByteArrayOutputStream bos = new ByteArrayOutputStream();
    try {
        ImageIO.write ( image, type, bos );
        byte[] imageBytes = bos.toByteArray();
        encodedImage = org.apache.commons.codec.binary.Base64.encodeBase64String ( imageBytes );
        imageString = "data:image/" + type + ";base64," + encodedImage;
        bos.close();
    } catch ( IOException e ) {
        e.printStackTrace();
    }
    return imageString;
}
