protected void doGet ( HttpServletRequest req, HttpServletResponse resp )
throws ServletException, IOException {
    String protocol = req.getProtocol();
    String msg = lStrings.getString ( "http.method_get_not_supported" );
    if ( protocol.endsWith ( "1.1" ) ) {
        resp.sendError ( HttpServletResponse.SC_METHOD_NOT_ALLOWED, msg );
    } else {
        resp.sendError ( HttpServletResponse.SC_BAD_REQUEST, msg );
    }
}
