public class CustomMouseListener implements MouseMotionListener, MouseListener {
    private javax.swing.Timer moveTimer;
    private boolean moving = false;
    public CustomMouseListener() {
        moveTimer = new javax.swing.Timer ( 25, new ActionListener() {
            public void actionPerformed ( ActionEvent evt ) {
                moving = false;
            }
        } );
        moveTimer.setRepeats ( false );
    }
    public void mouseMoved ( MouseEvent e ) {
        if ( moving || moveTimer.isRunning() ) {
            moveTimer.restart();
        } else {
            moving = true;
            moveTimer.start();
        }
    }
}
