public static void main ( String... args ) throws IOException {
    int w = 30, h = 30;
    byte BLACK = ( byte ) 0, WHITE = ( byte ) 255;
    byte[] map = {BLACK, WHITE};
    IndexColorModel icm = new IndexColorModel ( 1, map.length, map, map, map );
    int[] data = new int[w * h];
    for ( int i = 0; i < w; i++ )
        for ( int j = 0; j < h; j++ ) {
            data[i * h + j] = i % 4 < 2 && j % 4 < 2 || i % 4 >= 2 && j % 4 >= 2 ? BLACK : WHITE;
        }
    WritableRaster raster = icm.createCompatibleWritableRaster ( w, h );
    raster.setPixels ( 0, 0, w, h, data );
    BufferedImage bi = new BufferedImage ( icm, raster, false, null );
    ImageIO.write ( bi, "jpg", new File ( "C:\\Users\\user\\Desktop\\test.jpg" ) );
}
