public View getView ( int position, View convertView, ViewGroup parent ) {
    ViewHolder viewHolder;
    if ( convertView == null ) {
        viewHolder = new ViewHolder();
        convertView = inflater.inflate ( R.layout.row_grid, null );
        viewHolder.mainView = ( ImageView ) convertView.findViewById ( R.id.item_image );
        convertView.setTag ( viewHolder );
    } else {
        viewHolder = ( ViewHolderItem ) convertView.getTag();
    }
    Bitmap bitmap = mReceiptList.get ( position ).getImage();
    if ( bitmap != null ) {
        holder.mainView.setImageBitmap ( bitmap );
    }
    return convertView;
}
