Map<Integer, ArrayList<String>> data = new LinkedHashMap<Integer, ArrayList<String>>();
Calendar calendar = Calendar.getInstance();
int year_from = 2000;
int year_to = 2010;
for ( int year = year_from; year <= year_to; year++ ) {
    if ( ! data.containsKey ( year ) ) {
        data.put ( year, new ArrayList<String>() );
    }
    ArrayList<String> dates = data.get ( year );
    for ( int month = 1; month <= 12; month++ ) {
        calendar.set ( Calendar.YEAR, year );
        calendar.set ( Calendar.MONTH, month - 1 );
        int maxDaysInMonth = calendar.getActualMaximum ( Calendar.DATE );
        for ( int day = 1; day <= maxDaysInMonth; day++ ) {
            String dateAsString = String.format ( "%d-%02d-%02d", year, month, day );
            dates.add ( dateAsString );
        }
    }
}
System.out.println ( data.keySet() );
System.out.println ( data.get ( 2003 ) );
System.out.println ( data.get ( 2004 ) );
