public class TraceShape {
    public TraceShape() {
        MarvinImagePlugin boundary = MarvinPluginLoader.loadImagePlugin ( "org.marvinproject.image.morphological.boundary" );
        MarvinImage image = MarvinImageIO.loadImage ( "./res/person.jpg" );
        MarvinImage binImage = MarvinColorModelConverter.rgbToBinary ( image, 245 );
        MarvinImageIO.saveImage ( binImage, "./res/person_bin.png" );
        boundary.process ( binImage.clone(), binImage );
        MarvinImageIO.saveImage ( binImage, "./res/person_boundary.png" );
    }
    public static void main ( String[] args ) {
        new TraceShape();
    }
}
