public interface PizzaService {
    Pizza bakePizza();
}
public class PizzaServiceImpl implements PizzaService {
    @Override
    public Pizza bakePizza() {
    }
}
public class SecurePizzaService implements PizzaService {
    private PizzaService service;
    public SecurePizzaService ( PizzaService service ) {
        this.service = service;
    }
    @Override
    public Pizza bakePizza() {
        if ( !subject.isPermitted ( "BAKE_PIZZA" ) ) {
            throw new UnauthorizedException();
        }
        service.bakePizza()
    }
}
PizzaService pizzaService = new SecurePizzaService ( new PizzaServiceImpl() );
...
Pizza pizza = pizzaService.bakePizza();
