private class ListItr implements ListIterator<E> {
    private Node<E> lastReturned = null;
    private Node<E> next;
    private int nextIndex;
    private int expectedModCount = modCount;
    ListItr ( int index ) {
        next = ( index == size ) ? null : node ( index );
        nextIndex = index;
    }
    public boolean hasNext() {
        return nextIndex < size;
    }
    public E next() {
        checkForComodification();
        if ( !hasNext() ) {
            throw new NoSuchElementException();
        }
        lastReturned = next;
        next = next.next;
        nextIndex++;
        return lastReturned.item;
    }
