public class Singleton {
    private static final Singleton INSTANCE;
    private Singleton() {}
    public static Singleton getSingleton() {
        if ( INSTANCE == null ) {
            INSTANCE = new Singleton();
        }
        return INSTANCE;
    }
}
