- ( void ) readFromStream {
    int BUFFER_LEN = 512;
    uint8_t * buffer;
    NSUInteger length;
    BOOL freeBuffer = NO;
    if ( ![inputStream getBuffer: & buffer length: & length] ) {
        buffer = malloc ( BUFFER_LEN * sizeof ( uint8_t ) );
        freeBuffer = YES;
        NSInteger result = [inputStream read:buffer maxLength:BUFFER_LEN];
        length = result;
    }
    if ( buffer != NULL ) {
        NSString * s = [[NSString alloc] initWithBytes:buffer length:length encoding:NSASCIIStringEncoding];
        if ( s.length > 1 ) {
            CLS_LOG ( @"Read: %@", s );
            [self handleRecievedMessage:s];
        }
    }
    if ( freeBuffer ) {
        free ( buffer );
    }
