@Override
protected void onCreate ( Bundle savedInstanceState ) {
    super.onCreate ( savedInstanceState );
    setContentView ( R.layout.activity_main );
    Button encryptButton = ( Button ) findViewById ( R.id.button1 );
    Button DecryptButton = ( Button ) findViewById ( R.id.button2 );
    encryptButton.setOnClickListener ( new OnClickListener() {
        @Override
        public void onClick ( View v ) {
            try {
                encrypt();
            } catch ( InvalidKeyException e ) {
                e.printStackTrace();
            } catch ( NoSuchAlgorithmException e ) {
                e.printStackTrace();
            } catch ( NoSuchPaddingException e ) {
                e.printStackTrace();
            } catch ( IOException e ) {
                e.printStackTrace();
            }
        }
    } );
    DecryptButton.setOnClickListener ( new OnClickListener() {
        @Override
        public void onClick ( View v ) {
            try {
                decrypt();
            } catch ( InvalidKeyException e ) {
                e.printStackTrace();
            } catch ( NoSuchAlgorithmException e ) {
                e.printStackTrace();
            } catch ( NoSuchPaddingException e ) {
                e.printStackTrace();
            } catch ( IOException e ) {
                e.printStackTrace();
            }
        }
    } );
}
static void encrypt() throws IOException, NoSuchAlgorithmException,
    NoSuchPaddingException, InvalidKeyException {
    File extStore = Environment.getExternalStorageDirectory();
    FileInputStream fis = new FileInputStream ( extStore + "/sampleFile" );
    FileOutputStream fos = new FileOutputStream ( extStore + "/encrypted" );
    SecretKeySpec sks = new SecretKeySpec ( "MyDifficultPassw".getBytes(),
                                            "AES" );
    Cipher cipher = Cipher.getInstance ( "AES" );
    cipher.init ( Cipher.ENCRYPT_MODE, sks );
    CipherOutputStream cos = new CipherOutputStream ( fos, cipher );
    int b;
    byte[] d = new byte[8];
    while ( ( b = fis.read ( d ) ) != -1 ) {
        cos.write ( d, 0, b );
    }
    cos.flush();
    cos.close();
    fis.close();
}
static void decrypt() throws IOException, NoSuchAlgorithmException,
    NoSuchPaddingException, InvalidKeyException {
    File extStore = Environment.getExternalStorageDirectory();
    FileInputStream fis = new FileInputStream ( extStore + "/encrypted" );
    FileOutputStream fos = new FileOutputStream ( extStore + "/decrypted" );
    SecretKeySpec sks = new SecretKeySpec ( "MyDifficultPassw".getBytes(),
                                            "AES" );
    Cipher cipher = Cipher.getInstance ( "AES" );
    cipher.init ( Cipher.DECRYPT_MODE, sks );
    CipherInputStream cis = new CipherInputStream ( fis, cipher );
    int b;
    byte[] d = new byte[8];
    while ( ( b = cis.read ( d ) ) != -1 ) {
        fos.write ( d, 0, b );
    }
    fos.flush();
    fos.close();
    cis.close();
}
