public class PlayClassPathExtractor {
    public Set<String> getClassPaths ( ClassLoader loader ) {
        String repr = loader.toString();
        if ( !repr.startsWith ( "PlayDependencyClassLoader" ) ) {
            return Collections.emptySet();
        }
        String[] nameAndRest = repr.split ( "\\{" );
        repr = nameAndRest[1];
        String[] urls = repr.split ( "(\\}|,\\s*)" );
        Set<String> classPaths = new HashSet<>();
        for ( String url : urls ) {
            try {
                classPaths.add ( new URL ( url ).getFile() );
            } catch ( Exception e ) {
            }
        }
        return classPaths;
    }
}
