private List<Folder> folderList = new ArrayList<>();
private String trackMsg = "";
@PostConstruct
public void init() {
    folderList.add ( new Folder ( "root", 0, 0 ) );
    folderList.add ( new Folder ( "me", 1, 0 ) );
    folderList.add ( new Folder ( "folder", 2, 0 ) );
    folderList.add ( new Folder ( "inme", 3, 1 ) );
    folderList.add ( new Folder ( "ininme", 4, 3 ) );
}
public void track ( int id ) {
    trackMsg = "";
    Folder selectedFolder = new Folder();
    for ( Folder fold : folderList )
        if ( fold.getId() == id ) {
            selectedFolder = fold;
            if ( selectedFolder.getId() != selectedFolder.getRef() ) {
                trackMsg = ">" + selectedFolder.getName();
            }
        }
    Folder parentFolder = findParent ( selectedFolder );
    while ( parentFolder != null && parentFolder.getId() != parentFolder.getRef() ) {
        trackMsg = ">" + parentFolder.getName() + trackMsg;
        parentFolder = findParent ( parentFolder );
    }
    trackMsg = "root" + trackMsg;
}
public Folder findParent ( Folder child ) {
    for ( Folder fold : folderList )
        if ( fold.getId() == child.getRef() ) {
            return fold;
        }
    return null;
}
