private void fillData() {
    Cursor notesCursor = mDbHelper.fetchAllNotes();
    startManagingCursor ( notesCursor );
    List<HashMap<String, String>> list = new ArrayList<HashMap<String, String>>();
    int titleColumnIndex = notesCursor.getColumnIndex ( NotesDbAdapter.KEY_TITLE );
    int bodyColumnIndex = notesCursor.getColumnIndex ( NotesDbAdapter.KEY_BODY );
    while ( notesCursor.moveToNext() ) {
        String title = notesCursor.getString ( titleColumnIndex );
        String body = notesCursor.getString ( bodyColumnIndex );
        HashMap<String, String> temp = new HashMap<String, String>();
        temp.put ( "title", title );
        temp.put ( "body", body );
        list.add ( temp );
    }
    SimpleAdapter adapter = new SimpleAdapter
    ( this, list, R.layout.custom_row_view, new String[] {"title", "body"}, new int[] {R.id.text11, R.id.text2} );
    setListAdapter ( adapter );
}
