@Override
public View getView ( int position, View convertView, ViewGroup parent ) {
    LayoutInflater inflater = ( LayoutInflater ) mContext
                              .getSystemService ( Context.LAYOUT_INFLATER_SERVICE );
    View view;
    if ( position == 0 )
        else if ( convertView == null ) {
            view = new View ( mContext );
            view = inflater.inflate ( R.layout.grid_item_text, null );
            TextView personName = ( TextView ) view.findViewById ( R.id.textItem );
            ImageView personThumb = ( ImageView ) view.findViewById ( R.id.iconItem );
            if ( mList.size() != 0 ) {
                BitmapFactory.Options bmOptions;
                bmOptions = new BitmapFactory.Options();
                bmOptions.inSampleSize = 1;
                personThumb.setImageResource ( mThumbs );
                personName.setText ( mList.get ( position ).fullName.toString() );
            } else {
                personThumb.setImageResource ( mThumbs );
                personName.setText ( "Add Friends" );
            }
        } else {
            view = ( View ) convertView;
        }
    return view;
