private boolean findPrinter ( final Context ctx ) {
    final CountdownLatch latch = new CountdownLatch ( 1 );
    final boolean[] result = {false};
    ...
    BluetoothDiscoverer.findPrinters ( ctx, new DiscoveryHandler() {
        ...
        public void discoveryFinished() {
            result[0] = true;
            latch.countDown();
        }
        public void discoveryError ( String arg0 ) {
            result[0] = false;
            latch.countDown();
        }
        ...
    }
    latch.await ( 10, TimeUnit.SECONDS );
    return result[0];
}
