public class MainActivity extends Activity implements returnListListener {
    Context context;
    String mTAG = "NETWORK ACTIVITY - MainActivity Class";
    String mUrlString = "http://www.giantbomb.com/api/games/?api_key=84bb1f7ad08b299e6c29992eff7ed6278f406a15&format=json&limit=5&sort=original_release_date:asc&filter=expected_release_year:";
    String[] mReleaseYears;
    public static TextView resultsView;
    ListView mList;
    TextView name;
    TextView deck;
    TextView release;
    Boolean mConnected = false;
    ArrayList<HashMap<String, String>> gameList;
    String TAG_PARENT = "results";
    String TAG_NAME = "name";
    String TAG_DECK = "deck";
    String TAG_RELEASE = "expected_release_year";
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.search_form );
        context = this;
        resultsView = ( TextView ) findViewById ( R.id.results_view );
        mReleaseYears = getResources().getStringArray ( R.array.yearArray );
        mList = ( ListView ) findViewById ( R.id.game_list );
        ArrayAdapter<String> spinnerAdapter = new ArrayAdapter<String> ( context,
                android.R.layout.simple_spinner_item, mReleaseYears );
        spinnerAdapter
        .setDropDownViewResource ( android.R.layout.simple_spinner_dropdown_item );
        Spinner viewSpinner = ( Spinner ) findViewById ( R.id.release_years );
        viewSpinner.setAdapter ( spinnerAdapter );
        viewSpinner.setOnItemSelectedListener ( new OnItemSelectedListener() {
            public void onItemSelected ( AdapterView<?> parent, View view,
                                         int position, long id ) {
                mConnected = NetworkConn.grabConnectionStatus ( context );
                if ( mConnected ) {
                    new Data ( MainActivity.this ).execute ( mUrlString + mReleaseYears[position] );
                } else {
                    resultsView.setText ( R.string.networkError );
                    AlertDialog.Builder adb = new AlertDialog.Builder ( context );
                    adb.setMessage ( R.string.networkError );
                    adb.setCancelable ( true );
                    adb.setPositiveButton ( "Okay", new DialogInterface.OnClickListener() {
                        public void onClick ( DialogInterface dialog, int id ) {
                            dialog.cancel();
                        }
                    } );
                    AlertDialog errorAlert = adb.create();
                    errorAlert.show();
                }
            }
            public void onNothingSelected ( AdapterView<?> arg0 ) {
            }
        } );
    }
    @Override
    public boolean onCreateOptionsMenu ( Menu menu ) {
        getMenuInflater().inflate ( R.menu.main, menu );
        return true;
    }
    @Override
    public void returnList ( final ArrayList<HashMap<String, String>> list ) {
        ListAdapter adapter = new SimpleAdapter ( MainActivity.this,
                list, R.layout.list_view, new String[] {
                    TAG_NAME, TAG_RELEASE
                }, new int[] {
                    R.id.name, R.id.release
                } );
        mList.setAdapter ( adapter );
        mList.setOnItemClickListener ( new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick ( AdapterView<?> parent,
                                      View view, int position, long id ) {
                resultsView.setBackgroundColor ( Color.DKGRAY );
                resultsView.setText ( "Game: "
                                      + list.get ( +position ).get ( TAG_NAME )
                                      + "\n"
                                      + "About Game: "
                                      + list.get ( +position ).get ( TAG_DECK )
                                      + "\n"
                                      + "Release Year: "
                                      + list.get ( +position ).get ( TAG_RELEASE ) );
            }
        } );
    }
}
