import java.awt.Color;
import java.awt.Dimension;
import java.awt.EventQueue;
import java.awt.FlowLayout;
import java.awt.Graphics;
import java.awt.Image;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JPanel;
public class TestResize {
    private JFrame stage;
    private Container CurrentMenu;
    private boolean isRunning = true;
    public static void main ( String[] args ) {
        EventQueue.invokeLater ( new Runnable() {
            @Override
            public void run() {
                new TestResize();
            }
        } );
    }
    public TestResize() {
        CurrentMenu = new Container ( this, stage );
        stage = new JFrame ( "Touhou FBE" );
        stage.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        stage.add ( CurrentMenu );
        stage.setResizable ( false );
        stage.pack();
        stage.setVisible ( true );
    }
    public void Game_loop() {
    }
    public class Container extends JPanel {
        public TestResize Game;
        public JFrame stage;
        private Image img;
        public Container ( TestResize game, JFrame Stage ) {
            Game = game;
            stage = Stage;
            img = ( new ImageIcon ( "resources/background.png" ).getImage() );
        }
        @Override
        public Dimension getPreferredSize() {
            Dimension size = img == null ? new Dimension ( 700, 400 ) : new Dimension ( img.getWidth ( this ), img.getHeight ( this ) );
            return size;
        }
        @Override
        public void paintComponent ( Graphics g ) {
            super.paintComponent ( g );
            g.drawImage ( img, 0, 0, this );
            g.setColor ( Color.RED );
            g.drawRect ( 0, 0, getWidth() - 1, getHeight() - 1 );
        }
    }
}
