public class DatasourceConfig {
    public void init() {
        ServerConfig serverConfig = new ServerConfig();
        serverConfig.setName ( "derby" );
        DataSourceConfig derbyDb = new DataSourceConfig();
        derbyDb.setDriver ( "org.apache.derby.jdbc.ClientDriver" );
        derbyDb.setUsername ( "" );
        derbyDb.setPassword ( "" );
        derbyDb.setUrl ( "jdbc:derby:/home/the_ox/dev/servers/derby-db/game/;" );
        derbyDb.setHeartbeatSql ( "select 1" );
        serverConfig.setDataSourceConfig ( derbyDb );
        serverConfig.setDdlGenerate ( false );
        serverConfig.setDdlRun ( false );
        serverConfig.setDefaultServer ( true );
        DatabasePlatform dbPlatform = new DatabasePlatform();
        dbPlatform.getDbIdentity().setIdType ( IdType.IDENTITY );
        dbPlatform.getDbIdentity().setSupportsGetGeneratedKeys ( true );
        dbPlatform.getDbIdentity().setSupportsSequence ( false );
        dbPlatform.getDbIdentity().setSupportsIdentity ( true );
        serverConfig.setDatabasePlatform ( dbPlatform );
        serverConfig.addJar ( "engine-0.0.1-SNAPSHOT.jar" );
        EbeanServer server = EbeanServerFactory.create ( serverConfig );
    }
}
