class Person {
    private final String fname;
    private final String lname;
    private Person ( String first, String last ) {
        fname = first;
        lname = last;
    }
    public boolean equals ( Object o ) {
        Person other = ( Person ) o;
        if ( !person.fname.equals ( other.fname ) ) {
            return false;
        }
        if ( !person.lname.equals ( other.lname ) ) {
            return false;
        }
        return true;
    }
    private static Map<String, Person> registry = new TreeMap<String, Person>();
    public static getPerson ( String fname, String lname ) {
        String fullName = fname + "-" + lname;
        if ( registry.containsKey ( fullName ) ) {
            return registry.get ( fullName );
        }
        Person p = new Person ( fname, lname );
        registry.put ( fullName, p );
        return p;
    }
}
