public class CustomAarrayAdapter extends ArrayAdapter {
    List<Ingredient> ingredientsList;
    public CustomArrayAdapter ( Context context, List<Ingredient> list ) {
        super ( context, 0, list );
        ingredientList = list;
    }
    @Override
    public View getView ( int position, View convertView, ViewGroup parent ) {
        ViewHolder holder;
        if ( convertView == null ) {
            convertView = mInflater.inflate ( R.layout.row, parent, false );
            holder = new ViewHolder();
            holder.tv = ( TextView ) convertView.findViewById ( R.is.textView1 );
            convertView.setTag ( holder );
        } else {
            holder = ( ViewHolder ) convertView.getTag();
        }
        Ingredient in = ( Ingredient ) ingredientsList.get ( position );
        holder.tv.setText ( in.name );
        return convertView;
    }
    static class ViewHolder {
        TextView tv;
    }
}
