Imports: {
    import static gate.Utils.*;
}
Phase: PageSpans
Input: PageNumber
Options: control = once
                   Rule: PageSpan
                   ( {PageNumber} )
-- > {
    try {
        List<Annotation> numbers = inDocumentOrder ( inputAS.get ( "PageNumber" ) );
        for ( int i = 0; i < numbers.size(); i++ ) {
            outputAS.add ( start ( numbers.get ( i ) ),
            ( i + 1 < numbers.size()
            ? start ( numbers.get ( i + 1 ) )
            : end ( doc )
            ),
            "Page",
            featureMap ( "id", stringFor ( doc, numbers.get ( i ) ) ) );
        }
    } catch ( InvalidOffsetException e ) {
        throw new JapeException ( "Invalid offset from existing annotation", e );
    }
}
