class MyTableModel extends AbstractTableModel {
    private final List<String> columnNames;
    private List<RowData>      rows;
    MyTableModel() {
        columnNames = new ArrayList<String>();
        columnNames.add ( "Name" );
        rows = new ArrayList<RowData>();
    }
    void setCoreData ( final List<RowData> data ) {
        this.rows = data;
    }
    public Object getValueAt ( final int pRow, final int pCol ) {
        if ( getColumnName ( pCol ).equals ( "Name" ) ) {
            return rows.get ( pRow ).getName();
        }
    }
    private class RowData {
        private String name;
        public Object getName() {
            return name;
        }
    }
    JTable myTable = new JTable ( new MyTableModel() );
