@Test
public void shouldUpdateAnExistingDocumentWithANewKeyAndValue() {
    String docID = "someId";
    collection.save ( new BasicDBObject ( "_id", docID ) );
    assertThat ( collection.find().count(), is ( 1 ) );
    String key = "newKeyName";
    String value = "newKeyValue";
    addFieldWithValueToDoc ( db.getName(), collection.getName(), docID, key, value );
    assertThat ( collection.findOne().get ( key ).toString(), is ( value ) );
}
public void addFieldWithValueToDoc ( String DBName, String collName, String docID, String key, String value ) {
    BasicDBObject setNewFieldQuery = new BasicDBObject().append ( "$set", new BasicDBObject().append ( key, value ) );
    mongoClient.getDB ( DBName ).getCollection ( collName ).update ( new BasicDBObject().append ( "_id", docID ), setNewFieldQuery );
}
