static <E> ImmutableList<E> asImmutableList ( Object[] elements ) {
    switch ( elements.length ) {
    case 0:
        return of();
    case 1:
        @SuppressWarnings ( "unchecked" )
        ImmutableList<E> list = new SingletonImmutableList<E> ( ( E ) elements[0] );
        return list;
    default:
        return construct ( elements );
    }
}
