float x = 100;
float y = 100;
float r = 0;
float theta = 0;
void setup() {
    size ( 800, 600 );
    background ( 0 );
    smooth();
    ellipseMode ( CENTER );
    r = dist ( x, y, width / 2, height / 2 );
    float dX = x - width / 2;
    float dY = y - height / 2;
    theta = atan2 ( dY, dX );
    stroke ( 0, 255, 0 );
    line ( x, y, width / 2, height / 2 );
    noStroke();
    fill ( 0, 255, 0 );
    ellipse ( width / 2, height / 2, 20, 20 );
    fill ( 0, 0, 255 );
    ellipse ( x, y, 20, 20 );
}
void draw() {
    float x = r * cos ( theta ) + width / 2;
    float y = r * sin ( theta ) + height / 2;
    noStroke();
    fill ( 255, 0, 0 );
    ellipse ( x, y, 16, 16 );
    if ( r > 0 ) {
        r -= 1;
        theta += 0.01;
    }
}
