class Outer {
    final Object lock = new Object();
    public void method() {
        synchronized ( lock ) {
            lock.notifyAll();
        }
    }
    class Inner implements Runnable {
        public void run() {
            while ( !Thread.currentThread().isInterrupted() ) {
                synchronized ( lock ) {
                    lock.wait();
                }
            }
        }
    }
}
