package com.json.pojo;
import java.io.IOException;
import org.codehaus.jackson.JsonParseException;
import org.codehaus.jackson.map.JsonMappingException;
import org.codehaus.jackson.annotate.JsonAutoDetect.Visibility;
import org.codehaus.jackson.annotate.JsonMethod;
import org.codehaus.jackson.map.DeserializationConfig;
import org.codehaus.jackson.map.ObjectMapper;
public class ParseJson {
    public static void main ( String args[] ) {
        String str = "{ \"userdata\": [  {\"userid\": \"user1\",\"title\": \"Next weeks preview\", \"date\": \"19/12/2013\",\"time\": \"15:00\"} ] }";
        org.codehaus.jackson.map.ObjectMapper mapper = new org.codehaus.jackson.map.ObjectMapper();
        mapper.configure ( DeserializationConfig.Feature.FAIL_ON_UNKNOWN_PROPERTIES, true );
        try {
            com.json.pojo.RequestBean user = mapper.readValue ( str, com.json.pojo.RequestBean.class );
            System.out.println ( user.getToAdd().size() );
        } catch ( JsonParseException e ) {
            e.printStackTrace();
        } catch ( JsonMappingException e ) {
            e.printStackTrace();
        } catch ( IOException e ) {
            e.printStackTrace();
        }
    }
}
package com.json.pojo;
import java.io.Serializable;
import java.util.List;
import org.codehaus.jackson.annotate.JsonIgnoreProperties;
import org.codehaus.jackson.annotate.JsonProperty;
import org.codehaus.jackson.map.annotate.JsonSerialize;
@JsonSerialize ( include = JsonSerialize.Inclusion.NON_NULL )
@JsonIgnoreProperties ( ignoreUnknown = true )
public class RequestBean implements Serializable {
    @JsonProperty ( "userdata" )
    private List<SimpleBean> userdata;
    public List<SimpleBean> getToAdd() {
        return userdata;
    }
    public void setToAdd ( List<SimpleBean> toAdd ) {
        this.userdata = toAdd;
    }
}
package com.json.pojo;
import java.io.Serializable;
import org.codehaus.jackson.annotate.JsonIgnoreProperties;
import org.codehaus.jackson.annotate.JsonProperty;
import org.codehaus.jackson.map.annotate.JsonSerialize;
@JsonSerialize ( include = JsonSerialize.Inclusion.NON_NULL )
@JsonIgnoreProperties ( ignoreUnknown = true )
public class SimpleBean implements Serializable {
    @JsonProperty ( "userid" )
    private String userid;
    @JsonProperty ( "title" )
    private String title;
    @JsonProperty ( "date" )
    private String date;
    @JsonProperty ( "time" )
    private String time;
    public String getUserid() {
        return userid;
    }
    public void setUserid ( String userid ) {
        this.userid = userid;
    }
    public String getTitle() {
        return title;
    }
    public void setTitle ( String title ) {
        this.title = title;
    }
    public String getDate() {
        return date;
    }
    public void setDate ( String date ) {
        this.date = date;
    }
    public String getTime() {
        return time;
    }
    public void setTime ( String time ) {
        this.time = time;
    }
}
