WITH
TABLEA ( COL1, COL2, COLN ) AS ( SELECT * FROM SCHEMA1.TAB1 ),
       TABLEB ( COL1, COL2, COLN ) AS ( SELECT * FROM SCHEMA2.TAB2 )
       SELECT
       COALESCE ( TABLEA.COL1, TABLEB.COL1 ) AS COL1,
       COALESCE ( TABLEA.COL2, TABLEB.COL2 ) AS COL2,
       TABLEA.COLN AS COLN_A,
       TABLEB.COLN AS COLN_B,
       ( TABLEA.COLN - TABLEB.COLN ) AS DIFF
       FROM TABLEA
       FULL OUTER JOIN TABLEB
       ON  TABLEA.COL1 = TABLEB.COL1
                         AND TABLEA.COL2 = TABLEB.COL2
                                 ;
