wsFactory = WebSocketFactory.createWebSocketFactory();
ws = wsFactory.createWebSocket ( URI.create ( "ws://example.com:8001/path" ) );
ws.connect();
WebSocketMessageReader reader = ws.getMessageReader();
WebSocketMessageType type = null;
while ( ( type =  reader.next() ) != WebSocketMessageType.EOS ) {
    switch ( type ) {
    case TEXT:
        CharSequence text = reader.getText();
        log ( "RECEIVED TEXT MESSAGE: " + text.toString() );
        break;
    case BINARY:
        ByteBuffer buffer = reader.getBinary();
        log ( "RECEIVED BINARY MESSAGE: " + getHexDump ( buffer ) );
        break;
    }
}
