public class CompoundExpression implements Expression {
    public CompoundExpression ( Operation operation, Expression ... operands ) {
        super();
        this.operands = Arrays.asList ( operands );
        this.operation = operation;
    }
    final private List<Expression> operands;
    final private Operation operation;
    @Override
    public String getExpression() {
        return this.operation.compose ( this.operands );
    }
    @Override
    public double getValue() {
        return this.operation.calculate ( this.operands );
    }
    @Override
    public int hashCode() {
        ....
    }
    @Override
    public boolean equals ( Object obj ) {
        ....
    }
    @Override
    public boolean isLeaf() {
        return false;
    }
}
