@Entity
@Table ( name = "user_t" )
public class User extends BaseEntity {
    @Column ( name = "username", nullable = false, unique = true )
    private String userName;
    @Column ( name = "password", nullable = false )
    private String password;
    @ManyToMany
    @JoinTable ( name = "user_role", joinColumns = @JoinColumn ( name = "user_id" ), inverseJoinColumns = @JoinColumn ( name = "role_id" ) )
    private Set<Role> role = new HashSet<Role>();
}
