import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Point;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionAdapter;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;
public class PoolStick extends JPanel {
    int x = 100;
    int y = 100;
    public PoolStick() {
        addMouseMotionListener ( new MouseMotionAdapter() {
            @Override
            public void mouseMoved ( MouseEvent e ) {
                Point p = e.getPoint();
                x = ( int ) p.getX();
                y = ( int ) p.getY();
                repaint();
            }
        } );
    }
    @Override
    protected void paintComponent ( Graphics g ) {
        super.paintComponent ( g );
        g.fillRect ( x, y, 5, 200 );
    }
    @Override
    public Dimension getPreferredSize() {
        return new Dimension ( 200, 300 );
    }
    public static void main ( String[] args ) {
        SwingUtilities.invokeLater ( new Runnable() {
            @Override
            public void run() {
                JFrame frame = new JFrame ( "Sorry Pool Table" );
                frame.add ( new PoolStick() );
                frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
                frame.pack();
                frame.setLocationRelativeTo ( null );
                frame.setVisible ( true );
            }
        } );
    }
}
