import java.awt.*;
import javax.swing.*;
import javax.swing.border.EmptyBorder;
public class Editpad {
    public static void main ( String[] args ) {
        Runnable r = new Runnable() {
            @Override
            public void run() {
                JPanel gui = new JPanel ( new BorderLayout() );
                gui.setBorder ( new EmptyBorder ( 2, 3, 2, 3 ) );
                JTextArea editArea = new JTextArea ( 5, 40 );
                Font font = new Font (
                    Font.MONOSPACED,
                    Font.PLAIN,
                    editArea.getFont().getSize() );
                editArea.setFont ( font );
                gui.add ( new JScrollPane ( editArea,
                                            JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,
                                            JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS ) );
                JFrame f = new JFrame ( "Editpad" );
                f.add ( gui );
                f.setDefaultCloseOperation ( JFrame.DISPOSE_ON_CLOSE );
                f.setLocationByPlatform ( true );
                f.pack();
                f.setVisible ( true );
            }
        };
        SwingUtilities.invokeLater ( r );
    }
}
