import java.math.*;
public class Test {
    public static void main ( String[] args ) {
        test ( "5000" );
        test ( "5000.00" );
        test ( "5000.12" );
        test ( "35000" );
        test ( "35000.00" );
        test ( "35000.12" );
        test ( "35000.120" );
        test ( "0.0034" );
        test ( "1.0034" );
        test ( "1.00340" );
    }
    private static void test ( String input ) {
        System.out.println ( input + " => " +
                             significantDigits ( new BigDecimal ( input ) ) );
    }
    private static int significantDigits ( BigDecimal input ) {
        input = input.stripTrailingZeros();
        return input.scale() < 0
               ? input.precision() - input.scale()
               : input.precision();
    }
}
