import org.xml.sax.InputSource;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;
...
public class GeneratorClass extends AbstractGenerator {
    private String foo;
    @Override
    public void setup ( SourceResolver resolver, Map objectModel, String src, Parameters params ) throws ProcessingException, SAXException, IOException {
        super.setup ( resolver, objectModel, src, params );
        foo = params.getParameter ( "someParameter" );
    }
    public void generate() throws IOException, SAXException, ProcessingException {
        ArrayList<ResultBean> beans = xQuery ( foo );
        StringBuilder xml = new StringBuilder();
        xml.append ( "<results>" );
        for ( ResultBean b : beans ) {
            xml.append ( "<result>" );
            xml.append ( "<id>" ).append ( b.getId() ).append ( "</id>" );
            xml.append ( "<title>" ).append ( b.getTitle() ).append ( "</title>" );
            xml.append ( "</result>" );
        }
        xml.append ( "</results>" );
        XMLReader xmlreader = XMLReaderFactory.createXMLReader();
        xmlreader.setContentHandler ( super.xmlConsumer );
        InputSource source = new InputSource ( new StringReader ( xml.toString() ) );
        xmlreader.parse ( source );
        try {
            this.finalize();
        } catch ( Throwable e ) {
        }
    }
}
