import java.io.IOException;
import java.io.StringReader;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathExpressionException;
import javax.xml.xpath.XPathFactory;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
public class XPathExtract {
    public static void main ( String[] args ) throws SAXException, IOException,
        ParserConfigurationException, XPathExpressionException {
        String xml = "...";
        Document doc = DocumentBuilderFactory.newInstance().newDocumentBuilder()
                       .parse ( new InputSource ( new StringReader ( xml ) ) );
        XPath xpath = XPathFactory.newInstance().newXPath();
        NodeList nodes = ( NodeList ) xpath.evaluate (
                             "PromoteData/Table[@Id='auditSet']/Table[@Id='auditSetMapping']/Table[@Id='appExpr']",
                             doc, XPathConstants.NODESET );
        for ( int i = 0; i < nodes.getLength(); i++ ) {
            Element el = ( Element ) nodes.item ( i );
            System.out.println ( el.getAttribute ( "Id" ) );
        }
    }
}
