public class Test {
    public static void main ( String[] args ) {
        Server server = new Server();
        server.start ( 100 );
    }
}
class Server {
    private Thread reader;
    private Thread writer;
    void start ( int port ) throws IOException {
        ServerSocket srv = new ServerSocket ( port );
        Socket clientSocket = srv.accept();
        startReadingAndWritingData ( clientSocket );
    }
    private void startReadingAndWritingData ( Socket socket ) throws IOException {
        ObjectInputStream ois = new ObjectInputStream ( new BufferedInputStream (
                    socket.getInputStream() ) );
        ObjectOutputStream oos = new ObjectOutputStream (
            new BufferedOutputStream ( socket.getOutputStream() ) );
        ReaderThread reader = new ReaderThread ( ois );
        WriterThread writer = new WriterThread ( oos );
        reader.start();
        writer.start();
    }
}
class WriterThread extends Thread {
    private ObjectOutputStream oos;
    WriterThread ( ObjectOutputStream oos ) {
        super();
        this.oos = oos;
    }
    public void run() {
        while ( true ) {
            try {
                String output = getNextOutput();
                oos.writeObject ( output );
                Thread.sleep ( 1000 );
            } catch ( Exception e ) {
                e.printStackTrace();
                break;
            }
        }
    }
    private String getNextOutput() {
    }
}
class ReaderThread extends Thread {
    private ObjectInputStream ois;
    ReaderThread ( ObjectInputStream ois ) {
        super();
        this.ois = ois;
    }
    public void run() {
        while ( true ) {
            try {
                String input = ( String ) ois.readObject();
                handleInput ( input );
            } catch ( Exception e ) {
                e.printStackTrace();
                break;
            }
        }
    }
    private void handleInput ( String input ) {
    }
}
