@Override
public boolean onOptionsItemSelected (
    MenuItem item ) {
    switch ( item.getItemId() ) {
    case android.R.id.home:
        if ( mDrawerLayout.isDrawerOpen ( mDrawerList ) ) {
            mDrawerLayout.closeDrawer ( mDrawerList );
        } else {
            mDrawerLayout.openDrawer ( mDrawerList );
        }
        return true;
        break;
    default:
        return true;
    }
    return super.onOptionsItemSelected ( item );
}
private class DrawerItemClickListener implements
    ListView.OnItemClickListener {
    @Override
    public void onItemClick ( AdapterView<?> parent, View view, int position,
                              long id ) {
        if ( position == 1 ) {
            mDrawerLayout.closeDrawer ( mDrawerList );
        } else if ( position == 2 ) {
            mDrawerLayout.closeDrawer ( mDrawerList );
        }
    }
}
@Override
protected void onPostCreate ( Bundle savedInstanceState ) {
    super.onPostCreate ( savedInstanceState );
    mDrawerToggle.syncState();
}
@Override
public void onConfigurationChanged ( Configuration newConfig ) {
    super.onConfigurationChanged ( newConfig );
    mDrawerToggle.onConfigurationChanged ( newConfig );
}
