@Controller
public class MainPageController {
    @Autowired
    private SiteSettingsService siteSettingsService;
    @RequestMapping ( value = "/mainPage", method = RequestMethod.GET )
    public String displayMainPage ( Model model ) {
        SiteSettings siteSettings = siteSettingsService.getSiteSettings();
        model.addAttribute ( "authenticationRequired", siteSettings.isAuthenticationRequired() );
        return "mainPage";
    }
}
