ValueListBox<Users> customListBox = new ValueListBox<Users> ( new Renderer<Users>() {
    public String render ( Users users ) {
        String s = "";
        if ( users != null ) {
            s = users.getUsername() + "(" + users.getFirstname() + " " + users.getLastname() + ")";
        } else {
            s = "Select a user";
        }
        return s;
    }
    public void render ( Users users, Appendable appendable ) throws IOException {
        String s = render ( users );
        appendable.append ( s );
    }
} );
customListBox.setValue ( getUsersList().get ( 1 ) );
customListBox.setAcceptableValues ( getUsersList() );
