public static class Singleton {
    private static Singleton INSTANCE;
    public static Singleton getInstance() {
        if ( INSTANCE == null ) {
            synchronized ( Singleton.class ) {
                INSTANCE = new Singleton();
            }
        }
        return INSTANCE;
    }
}
