import java.io.*;
import org.docx4j.dml.wordprocessingDrawing.Inline;
import org.docx4j.openpackaging.packages.WordprocessingMLPackage;
import org.docx4j.wml.*;
import org.docx4j.openpackaging.parts.WordprocessingML.BinaryPartAbstractImage;
public class Example {
    public static void main ( String[] args ) throws Exception {
        WordprocessingMLPackage wordprocessingMLPackage = WordprocessingMLPackage.createPackage();
        File file = new File ( "C://java-duke-logo.jpg" );
        InputStream inputStream = new java.io.FileInputStream ( file );
        long fileLength = file.length();
        byte[] bytes = new byte[ ( int ) fileLength];
        int offset = 0;
        int numRead = 0;
        while ( offset < bytes.length
                && ( numRead = inputStream.read ( bytes, offset, bytes.length - offset ) ) >= 0 ) {
            offset += numRead;
        }
        inputStream.close();
        String filenameHint = null;
        String altText = null;
        int id1 = 0;
        int id2 = 1;
        P p = newImage ( wordprocessingMLPackage, bytes, filenameHint, altText, id1, id2 );
        wordprocessingMLPackage.getMainDocumentPart().addObject ( p );
        wordprocessingMLPackage.save ( new File ( "C://Example.docx" ) );
    }
    public static P newImage ( WordprocessingMLPackage wordMLPackage, byte[] bytes,
                               String filenameHint, String altText, int id1, int id2 ) throws Exception {
        BinaryPartAbstractImage imagePart = BinaryPartAbstractImage.createImagePart ( wordMLPackage, bytes );
        Inline inline = imagePart.createImageInline ( filenameHint, altText, id1, id2 );
        ObjectFactory factory = new ObjectFactory();
        P  p = factory.createP();
        R  run = factory.createR();
        p.getParagraphContent().add ( run );
        Drawing drawing = factory.createDrawing();
        run.getRunContent().add ( drawing );
        drawing.getAnchorOrInline().add ( inline );
        return p;
    }
}
