@Aspect
@Component
public class ChangeExistingCode {
    private boolean active;
    public void setActive ( boolean active ) {
        this.active = active;
    }
    @Around ( "execution(* my.first.spring.aop.aspectj.BaseClass.doSomething(..))" )
    public void changeExistingScenario ( ProceedingJoinPoint joinPoint ) throws Throwable {
        if ( active ) {
            joinPoint.proceed();
        } else {
            Signature s = joinPoint.getSignature();
            System.out.format (
                "Blocking instance<%d> method: %s#%s(%s) !!\n",
                ( ( SubClassN ) joinPoint.getTarget() ).getIndex(),
                s.getDeclaringTypeName(),
                s.getName(),
                Arrays.toString ( joinPoint.getArgs() )
            );
        }
    }
}
