package sto;
import java.util.ArrayList;
public class PathFinding {
    private static ArrayList<ArrayList<String>> routes = new ArrayList<ArrayList<String>>();
    private static String[] sourceArray      = {"Seattle", "LA",      "LA",    "Florida", "Seattle"};
    private static String[] destinationArray = {"LA",      "Florida", "Maine", "Seattle", "Florida"};
    public static void main ( String rgs[] ) {
        find_routes ( "Seattle", "Maine", new ArrayList<String>() );
        for ( ArrayList<String> route : routes ) {
            for ( String node : route ) {
                System.out.print ( node + ", " );
            }
            System.out.println();
        }
    }
    private static void find_routes ( String source, String destination, ArrayList<String> currentRoute ) {
        ArrayList<String> newRoute = new ArrayList<String>();
        newRoute.addAll ( currentRoute );
        newRoute.add ( source );
        if ( source.equals ( destination ) ) {
            routes.add ( newRoute );
        } else {
            for ( int i = 0; i < sourceArray.length; ++i ) {
                if ( source.equals ( sourceArray[i] ) ) {
                    if ( !currentRoute.contains ( source ) ) {
                        find_routes ( destinationArray[i], destination, newRoute );
                    }
                }
            }
        }
    }
}
