import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.*;
public class DrawRect extends JPanel {
    private static final int RECT_X = 20;
    private static final int RECT_Y = RECT_X;
    private static final int RECT_WIDTH = 100;
    private static final int RECT_HEIGHT = RECT_WIDTH;
    @Override
    protected void paintComponent ( Graphics g ) {
        super.paintComponent ( g );
        g.drawRect ( RECT_X, RECT_Y, RECT_WIDTH, RECT_HEIGHT );
    }
    @Override
    public Dimension getPreferredSize() {
        return new Dimension ( RECT_WIDTH + 2 * RECT_X, RECT_HEIGHT + 2 * RECT_Y );
    }
    private static void createAndShowGui() {
        DrawRect mainPanel = new DrawRect();
        JFrame frame = new JFrame ( "DrawRect" );
        frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        frame.getContentPane().add ( mainPanel );
        frame.pack();
        frame.setLocationByPlatform ( true );
        frame.setVisible ( true );
    }
    public static void main ( String[] args ) {
        SwingUtilities.invokeLater ( new Runnable() {
            public void run() {
                createAndShowGui();
            }
        } );
    }
}
