private static HashMap<Integer, String> currentFollowers =
    new HashMap<Integer, String>();
public static void main ( String[] args ) {
    String jsonInputString = "";
    JSONObject json = new JSONObject ( jsonInputString );
    Integer totalFollowers = json.getInt ( "_total" );
    System.out.println ( "Total followers: " + totalFollowers );
    if ( totalFollowers > currentFollowers.size() ) {
        JSONArray followerArray = json.getJSONArray ( "follows" );
        for ( int i = 0; i < followerArray.length(); ++i ) {
            JSONObject follower = new JSONObject (
                followerArray.get ( i ).toString()
            );
            JSONObject userObject = follower.getJSONObject ( "user" );
            Integer id = userObject.getInt ( "_id" );
            if ( !currentFollowers.containsKey ( id ) ) {
                String name = userObject.getString ( "display_name" );
                System.out.println ( "New subscriber: " + name + ", welcome!" );
                currentFollowers.put ( id, name );
            }
        }
    }
}
