public static void addTextLimiter ( final TextField tf, final int maxLength ) {
    tf.textProperty().addListener ( new ChangeListener<String>() {
        @Override
        public void changed ( final ObservableValue<? extends String> ov, final String oldValue, final String newValue ) {
            if ( tf.getText().length() > maxLength ) {
                String s = tf.getText().substring ( 0, maxLength );
                tf.setText ( s );
            }
        }
    } );
}
