public class Main {
    public static void main ( String[] args ) {
        MyFileReader fileReader = new MyFileReader();
        MyFileProcessor fileProcessor = new MyFileProcessor();
        MyFileWriter fileWriter = new MyFileWriter();
        List<String> lines = fileReader.read ( "input-file.txt" );
        List<Info> fileContentAsObjects = fileProcessor.process ( lines );
        if ( fileContentAsObjects.size() > 0 ) {
            Info singleInfo = fileContentAsObjects.get ( 0 );
            System.out.println ( singleInfo );
            singleInfo.setName ( "changedName" );
            fileContentAsObjects.remove ( 0 );
            fileContentAsObjects.insert ( 0, singleInfo );
            fileWriter.write ( fileContentAsObjects );
        }
    }
}
