import java.io.BufferedReader;
import java.io.DataOutputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
private void sendPost() throws Exception {
    String url = "http://example.com/test.php";
    URL obj = new URL ( url );
    HttpURLConnection con = ( HttpURLConnection ) obj.openConnection();
    con.setRequestMethod ( "POST" );
    con.setRequestProperty ( "User-Agent", "Mozilla/5.0"; );
    con.setRequestProperty ( "Accept-Language", "en-US,en;q=0.5" );
    String urlParameters = "para1= xxx & para2=yy";
    con.setDoOutput ( true );
    DataOutputStream wr = new DataOutputStream ( con.getOutputStream() );
    wr.writeBytes ( urlParameters );
    wr.flush();
    wr.close();
    int responseCode = con.getResponseCode();
    if ( responseCode == HTTP_OK ) {
        System.out.println ( "\nSending 'POST' request to URL : " + url );
        System.out.println ( "Post parameters : " + urlParameters );
        System.out.println ( "Response Code : " + responseCode );
        BufferedReader in = new BufferedReader (
            new InputStreamReader ( con.getInputStream() ) );
        String inputLine;
        StringBuffer response = new StringBuffer();
        while ( ( inputLine = in.readLine() ) != null ) {
            response.append ( inputLine );
        }
        in.close();
        System.out.println ( response.toString() );
    }
}
