load ( distrib );
ratprint : false;
F ( x, y ) : = pdf_normal ( x, m1, s1 ) + pdf_normal ( y, m2, s2 );
G ( r, x1, y1 ) : = fmax_circular ( lambda ( [t], F ( x1 + r * cos ( t ), y1 + r * sin ( t ) ) ) );
fmax_circular ( f ) : = lmax ( map ( f, fargmax_circular ( f ) ) );
fargmax_circular ( f ) : = block ( [n : 17, u0, u2],
                                   map ( f, makelist ( i * 2 * float ( % pi ) / n, i, 0, n ) ),
                                   ev ( sublist_indices ( % %, lambda ( [u], u = u_max ) ), u_max = lmax ( % % ) ),
                                   map ( lambda ( [i], [u0, u2] : [ ( i - 1 ) * 2 * float ( % pi ) / n, ( i + 1 ) * 2 * float ( % pi ) / n], fargmax1 ( f, u0, u2 ) ), % % ) );
fargmax1 ( f, u0, u2 ) : = block ( [tol : 1e-2, u1 : u0 + ( u2 - u0 ) / float ( % phi )],
                                   while u2 - u0 > tol
                                   do block ( [x],
                                               if u2 - u1 > u1 - u0
                                                   then x : u1 + ( 1 - 1 / float ( % phi ) ) * ( u2 - u1 )
                                                   else x : u1 - ( 1 - 1 / float ( % phi ) ) * ( u1 - u0 ),
                                                       if f ( x ) > f ( u1 )
                                                           then
                                                           if u2 - u1 > u1 - u0
                                                               then [u0, u1, u2] : [u1, x, u2]
                                                               else [u0, u1, u2] : [u0, x, u1]
                                                                   else if u2 - u1 > u1 - u0
                                                                       then [u0, u1, u2] : [u0, u1, x]
                                                                       else [u0, u1, u2] : [x, u1, u2] ),
                                                                   u0 + ( u1 - u0 ) / 2 );
r0 : find_root ( lambda ( [r], G ( r, x1, y1 ) - z ), r, 0.001, 5 ), z = z0, numer;
[t0] : fargmax_circular ( lambda ( [t], F ( x1 + r0 * cos ( t ), y1 + r0 * sin ( t ) ) ) );
[x0, y0] : [x1 + r0 * cos ( t0 ), y1 + r0 * sin ( t0 )];
F ( x0, y0 ), numer;
