package GUI;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
public class NewJFrame extends javax.swing.JFrame {
    protected UIManager.LookAndFeelInfo[] m_infos;
    String[] LAFNames;
    public NewJFrame() {
        initComponents();
        m_infos = UIManager.getInstalledLookAndFeels();
        LAFNames = new String[m_infos.length];
        for ( int i = 0; i < m_infos.length; i++ ) {
            if ( m_infos[i].getName().equals ( "Nimbus" ) ) {
                try {
                    UIManager.setLookAndFeel ( m_infos[i].getClassName() );
                    SwingUtilities.updateComponentTreeUI ( this );
                } catch ( ClassNotFoundException ex ) {
                    Logger.getLogger ( Acceuil.class.getName() ).log ( Level.SEVERE, null, ex );
                } catch ( InstantiationException ex ) {
                    Logger.getLogger ( Acceuil.class.getName() ).log ( Level.SEVERE, null, ex );
                } catch ( IllegalAccessException ex ) {
                    Logger.getLogger ( Acceuil.class.getName() ).log ( Level.SEVERE, null, ex );
                } catch ( UnsupportedLookAndFeelException ex ) {
                    Logger.getLogger ( Acceuil.class.getName() ).log ( Level.SEVERE, null, ex );
                }
            }
        }
    }
    private void initComponents() {
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        setDefaultCloseOperation ( javax.swing.WindowConstants.EXIT_ON_CLOSE );
        jButton1.setText ( "jButton1" );
        jButton2.setText ( "jButton2" );
        javax.swing.GroupLayout layout = new javax.swing.GroupLayout ( getContentPane() );
        getContentPane().setLayout ( layout );
        layout.setHorizontalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addGroup ( layout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup ( layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
                                    .addComponent ( jButton1 )
                                    .addComponent ( jButton2 ) )
                        .addContainerGap ( 315, Short.MAX_VALUE ) )
        );
        layout.setVerticalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addGroup ( layout.createSequentialGroup()
                        .addGap ( 41, 41, 41 )
                        .addComponent ( jButton1 )
                        .addGap ( 18, 18, 18 )
                        .addComponent ( jButton2 )
                        .addContainerGap ( 195, Short.MAX_VALUE ) )
        );
        pack();
    }
    public static void main ( String args[] ) {
        java.awt.EventQueue.invokeLater ( new Runnable() {
            public void run() {
                new NewJFrame().setVisible ( true );
            }
        } );
    }
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
}
