class MyObject {
    @AssistedInject public MyObject ( @Assisted FirstDep first,
                                      SecondFactory secondFactory, ThirdDep third ) {
        this ( first, secondFactory.createSecond ( first ), third );
    }
    @AssistedInject public MyObject ( @Assisted FirstDep first,
                                      @Assisted SecondDep second, ThirdDep third ) {
    }
}
interface SecondFactory {
    SecondDep createSecond ( FirstDep first );
}
interface MyObjectFactory {
    MyObject createMyObject ( FirstDep first );
    MyObject createMyObject ( FirstDep first, SecondDep second );
}
