class Foobar {
    public List<String> listMember;
    public String       primitiveMember;
    public Foobar() {
        listMember = new ArrayList<String> ( Arrays.asList ( "a", "b", "c" ) );
        primitiveMember = "testABC";
    }
    public Foobar ( List<String> list, String primitive ) {
        this.listMember = list;
        this.primitiveMember = primitive;
    }
    public Foobar ( Foobar foobar ) {
        this.primitiveMember = foobar.primitiveMember;
        this.listMember = new ArrayList<String> ( foobar.listMember );
    }
    public static void main ( String[] args ) {
        List<Foobar> foobars = new ArrayList<Foobar>();
        foobars.add ( new Foobar() );
        List<Foobar> foobarsCopy = new ArrayList<Foobar> ( foobars.size() );
        for ( Foobar f : foobars ) {
            foobarsCopy.add ( new Foobar ( f ) );
        }
        foobarsCopy.add ( new Foobar ( new ArrayList<String> ( Arrays.asList ( "d", "e", "f" ) ), "foo" ) );
        foobars.get ( 0 ).listMember.add ( "-1-" );
        System.out.println ( "Sourcelist has size of: " + foobars.get ( 0 ).listMember.size() );
        System.out.println ( "Destinationlist has size of: " + foobarsCopy.get ( 0 ).listMember.size() );
        System.out.println ( "Function 'Collections.copy(...) does not copy list members of members?: "
                             + ( foobars.get ( 0 ).listMember.size() == foobarsCopy.get ( 0 ).listMember.size() )
                             + "\n - References: " + foobars.get ( 0 ).listMember.hashCode()
                             + " vs " + foobarsCopy.get ( 0 ).listMember.hashCode() );
    }
}
