FooWrapper wrapper = new FooWrapper ( delegate );
Foo delegate = Mockito.mock ( Foo.class );
for ( Method fooMethod : Foo.class.getDeclaredMethods() ) {
    boolean methodCalled = false;
    for ( Method wrapperMethod : FooWrapper.class.getDeclaredMethods() ) {
        if ( fooMethod.getName().equals ( wrapperMethod.getName() ) ) {
            Class<?>[] parameterTypes = wrapperMethod.getParameterTypes();
            Object[] arguments = new Object[parameterTypes.length];
            for ( int j = 0; j < arguments.length; j++ ) {
                arguments[j] = Mockito.mock ( parameterTypes[j] );
            }
            wrapperMethod.invoke ( wrapper, arguments );
            fooMethod.invoke ( Mockito.verify ( delegate, Mockito.times ( 1 ) ), arguments );
            methodCalled = true;
        }
    }
    assertTrue ( "Foo method '" + fooMethod.getName() + "' has not been wrapped correctly in Foo wrapper", methodCalled );
}
