public static final double DELTA = 0.000001;
public static Rational valueOf ( double dbl ) {
    return valueOf ( dbl, DELTA );
}
public static Rational valueOf ( double dbl, double delta ) {
    if ( delta <= 0.0 ) {
        throw new IllegalArgumentException ( "Delta must be > 0.0" );
    }
    long integral = ( long ) Math.floor ( dbl );
    dbl -= integral;
    final Rational d = new Rational ( ( long ) ( ( dbl ) / delta ), ( long ) ( 1 / delta ) );
    final Rational min = new Rational ( ( long ) ( ( dbl - delta ) / delta ), ( long ) ( 1 / delta ) );
    final Rational max = new Rational ( ( long ) ( ( dbl + delta ) / delta ), ( long ) ( 1 / delta ) );
    Rational l = ZERO;
    Rational h = ONE;
    Rational found = null;
    do {
        if ( found == null && min.compareTo ( l ) <= 0 && max.compareTo ( l ) >= 0 ) {
            found = l;
        }
        if ( found == null && min.compareTo ( h ) <= 0 && max.compareTo ( h ) >= 0 ) {
            found = h;
        }
        if ( found == null ) {
            Rational m = mediant ( l, h );
            if ( m.compareTo ( d ) < 0 ) {
                l = m;
            } else {
                h = m;
            }
        }
    } while ( found == null );
    if ( integral != 0 ) {
        found = found.plus ( new Rational ( integral, 1 ) );
    }
    return found;
}
public BigDecimal toBigDecimal() {
    return toBigDecimal ( 4 );
}
public BigDecimal toBigDecimal ( int digits ) {
    return new BigDecimal ( num ).divide ( new BigDecimal ( den ), digits, RoundingMode.DOWN ).stripTrailingZeros();
}
