@RunWith ( PowerMockRunner.class )
@PrepareForTest ( {ServiceLocator.class} )
class ChildTest {
    @Test
    public void doSomeJob() {
        PowerMockito.mockStatic ( ServiceLocator.class );
        AddressService addressService = Mockito.mock ( AddressService.class );
        Child original = new Child();
        Child spiedObj = PowerMockito.spy ( original );
        Whitebox.setInternalState ( spiedObj, AddressService.class, addressService );
        spiedObj.doSomeJob();
    }
}
