XWPFDocument doc = new XWPFDocument ( OPCPackage.open ( "input.docx" ) );
for ( XWPFParagraph p : doc.getParagraphs() ) {
    for ( XWPFRun r : p.getRuns() ) {
        String text = r.getText ( 0 );
        if ( text.contains ( "needle" ) ) {
            text = text.replace ( "needle", "haystack" );
            r.setText ( text );
        }
    }
}
for ( XWPFTable tbl : doc.getTables() ) {
    for ( XWPFTableRow row : tbl.getRow() ) {
        for ( XWPFTableCell cell : row.getCells() ) {
            for ( XWPFParagraph p : cell.getParagraphs() ) {
                for ( XWPFRun r : p.getRuns() ) {
                    String text = r.getText ( 0 );
                    if ( text.contains ( "needle" ) ) {
                        text = text.replace ( "needle", "haystack" );
                        r.setText ( text );
                    }
                }
            }
        }
    }
}
doc.write ( new FileOutputStream ( "output.docx" ) );
