import java.io.File;
import java.io.IOException;
import java.math.BigDecimal;
import java.util.Arrays;
import com.fasterxml.jackson.core.JsonFactory;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.JsonToken;
public class JsonProgram {
    public static void main ( String[] args ) throws IOException {
        File json = new File ( "/x/data.json" );
        JsonFactory jsonFactory = new JsonFactory();
        JsonParser parser = jsonFactory.createParser ( json );
        while ( parser.nextToken() != JsonToken.START_ARRAY ) {
        }
        parser.nextToken();
        while ( parser.nextToken() != JsonToken.END_ARRAY ) {
            parser.nextToken();
            System.out.println();
            System.out.println ( "NEXT ARRAY NODE" );
            BigDecimal first = parser.getDecimalValue();
            parser.nextToken();
            BigDecimal second = parser.getDecimalValue();
            parser.nextToken();
            System.out.println ( "First: " + first.toString() );
            System.out.println ( "Second: " + second.toString() );
        }
    }
}
