import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.widget.TextView;
public class Activityextends Activity {
    TextView textview;
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.geo_locations );
        GPSTracker gpsTracker = new GPSTracker ( this );
        if ( gpsTracker.canGetLocation() ) {
            String stringLatitude = String.valueOf ( gpsTracker.latitude );
            textview = ( TextView ) findViewById ( R.id.fieldLatitude );
            textview.setText ( stringLatitude );
            String stringLongitude = String.valueOf ( gpsTracker.longitude );
            textview = ( TextView ) findViewById ( R.id.fieldLongitude );
            textview.setText ( stringLongitude );
            String country = gpsTracker.getCountryName ( this );
            textview = ( TextView ) findViewById ( R.id.fieldCountry );
            textview.setText ( country );
            String city = gpsTracker.getLocality ( this );
            textview = ( TextView ) findViewById ( R.id.fieldCity );
            textview.setText ( city );
            String postalCode = gpsTracker.getPostalCode ( this );
            textview = ( TextView ) findViewById ( R.id.fieldPostalCode );
            textview.setText ( postalCode );
            String addressLine = gpsTracker.getAddressLine ( this );
            textview = ( TextView ) findViewById ( R.id.fieldAddressLine );
            textview.setText ( addressLine );
        } else {
            gpsTracker.showSettingsAlert();
        }
    }
    @Override
    public boolean onCreateOptionsMenu ( Menu menu ) {
        getMenuInflater().inflate ( R.menu.varna_lab_geo_locations, menu );
        return true;
    }
}
