public static int toInt32 ( double d ) {
    int id = ( int ) d;
    if ( id == d ) {
        return id;
    }
    if ( d != d
            || d == Double.POSITIVE_INFINITY
            || d == Double.NEGATIVE_INFINITY ) {
        return 0;
    }
    d = ( d >= 0 ) ? Math.floor ( d ) : Math.ceil ( d );
    double two32 = 4294967296.0;
    d = Math.IEEEremainder ( d, two32 );
    long l = ( long ) d;
    return ( int ) l;
}
