private static final String TAB_00C0 = "" +
                                       "AAAAAAACEEEEIIII" +
                                       "DNOOOOO×OUUUÜYTs" +
                                       "aaaaaaaceeeeiiii" +
                                       "dnooooo÷ouuuüyty" +
                                       "AaAaAaCcCcCcCcDd" +
                                       "DdEeEeEeEeEeGgGg" +
                                       "GgGgHhHhIiIiIiIi" +
                                       "IiJjJjKkkLlLlLlL" +
                                       "lLlNnNnNnnNnOoOo" +
                                       "OoOoRrRrRrSsSsSs" +
                                       "SsTtTtTtUuUuUuUu" +
                                       "UuUuWwYyYZzZzZzs";
public static String toPlain ( String source ) {
    StringBuilder sb = new StringBuilder ( source.length() );
    for ( int i = 0; i < source.length(); i++ ) {
        char c = source.charAt ( i );
        switch ( c ) {
        case 'ß':
            sb.append ( "ss" );
            break;
        case 'Œ':
            sb.append ( "OE" );
            break;
        case 'œ':
            sb.append ( "oe" );
            break;
        default:
            if ( c >= 0xc0 && c <= 0x17f ) {
                c = TAB_00C0.charAt ( c - 0xc0 );
            }
            sb.append ( c );
        }
    }
    return sb.toString();
}
