public class MantissaFormat extends NumberFormat {
    @Override
    public StringBuffer format ( double value, StringBuffer buffer, FieldPosition field ) {
        String output;
        String sign = "";
        if ( !isFixed ) {
            if ( value < 0 ) {
                sign = "-";
                value = -value;
            }
            if ( value != 0 ) {
                while ( value < 1 ) {
                    value *= 100;
                }
                while ( value > 100 ) {
                    value /= 100;
                }
            }
        }
        output = sign + String.format ( "%.2f", value );
        buffer.append ( output );
        return buffer;
    }
    @Override
    public Number parse ( String string, ParsePosition position ) {
        throw new UnsupportedOperationException();
    }
