Permutation p1 = Permutations.createPermutation ( new int[][] {{0, 9, 3}, {5, 8, 6}, {7, 11, 12}} );
Permutation p2 = Permutations.createPermutation ( 2, 0, 1, 8, 3, 5, 7, 11, 4, 12, 9, 6, 10 );
PermutationGroup pg = PermutationGroup.createPermutationGroup ( p1, p2 );
assert pg.isTransitive();
System.out.println ( pg.order() );
PermutationGroup alt13 = PermutationGroup.alternatingGroup ( 13 );
System.out.println ( alt13.order() );
assert alt13.containsSubgroup ( pg );
PermutationGroup pp = pg.directProduct ( PermutationGroup.symmetricGroup ( 8 ) );
PermutationGroup sw = pp.setwiseStabilizer ( 1, 2, 3, 9, 10, 11, 12, 3, 14, 15, 16, 17, 18 );
assert pp.containsSubgroup ( sw );
System.out.println ( sw.order() );
PermutationGroup center = sw.center();
assert center.isAbelian();
System.out.println ( center.generators() );
