import org.eclipse.paho.client.mqttv3.IMqttDeliveryToken;
import org.eclipse.paho.client.mqttv3.MqttCallback;
import org.eclipse.paho.client.mqttv3.MqttClient;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.eclipse.paho.client.mqttv3.MqttMessage;
public class PahoDemo implements MqttCallback {
    MqttClient client;
    public PahoDemo() {
    }
    public static void main ( String[] args ) {
        new PahoDemo().doDemo();
    }
    public void doDemo() {
        try {
            client = new MqttClient ( "tcp://192.168.118.11:1883", "Sending" );
            client.connect();
            client.setCallback ( this );
            client.subscribe ( "foo" );
            MqttMessage message = new MqttMessage();
            message.setPayload ( "A single message from my computer fff"
                                 .getBytes() );
            client.publish ( "foo", message );
        } catch ( MqttException e ) {
            e.printStackTrace();
        }
    }
    @Override
    public void connectionLost ( Throwable cause ) {
    }
    @Override
    public void messageArrived ( String topic, MqttMessage message )
    throws Exception {
        System.out.println ( message );
    }
    @Override
    public void deliveryComplete ( IMqttDeliveryToken token ) {
    }
}
