private Class<?> getPropertyType ( Class<?> clazz, String property ) {
    BeanInfo beanInfo = Introspector.getBeanInfo ( clazz );
    PropertyDescriptor[] propDescriptors = beanInfo.getPropertyDescriptors();
    for ( PropertyDescriptor propDescriptor : propDescriptors ) {
        if ( property.equals ( propDescriptor.getName() ) ) {
            return propDescriptor.getPropertyType();
        }
    }
    ...
}
