private boolean isPageLoadedComplete = false;
public void WebViewSettings() {
    webView = ( WebView ) findViewById ( R.id.webview );
    webView.getSettings().setJavaScriptEnabled ( true );
    webView.getSettings().setBuiltInZoomControls ( true );
    webView.getSettings().setSupportZoom ( true );
    webView.getSettings().setLoadWithOverviewMode ( true );
    webView.canGoBack();
    Timer myTimer = new Timer();
    myTimer.schedule ( loaderTask, 3000 );
    webView.setWebViewClient ( new WebViewClient() {
        @Override
        public boolean shouldOverrideUrlLoading ( WebView view, String url ) {
            if ( Uri.parse ( url ).getHost().equals ( urlString ) ) {
                return false;
            }
            Intent intent = new Intent ( Intent.ACTION_VIEW, Uri.parse ( url ) );
            startActivity ( intent );
            return true;
        }
        @Override
        public void onLoadResource ( WebView view, String url ) {
            if ( progressDialog == null ) {
                progressDialog = new ProgressDialog ( context );
                progressDialog.setTitle ( "Loading..." );
                progressDialog.setMessage ( "Please wait." );
                progressDialog.setIndeterminate ( true );
                progressDialog.show();
            }
        }
        @Override
        public void onPageFinished ( WebView view, String url ) {
            isPageLoadedComplete = true;
            if ( progressDialog.isShowing() ) {
                progressDialog.dismiss();
                progressDialog = null;
                webView.setEnabled ( true );
            }
        }
        @Override
        public void onReceivedSslError ( WebView view, SslErrorHandler handler, SslError error ) {
            handler.proceed();
        }
        @Override
        public void onReceivedError ( WebView view, int errorCod, String description, String failingUrl ) {
            Toast.makeText ( context, "Your Internet Connection May not be active Or " + description , Toast.LENGTH_LONG ).show();
        }
    } );
}
class loaderTask extends TimerTask {
    public void run() {
        System.out.println ( "Times Up" );
        if ( isPageLoadedComplete ) {
        } else {
            if ( progressDialog.isShowing() ) {
                progressDialog.dismiss();
                progressDialog = null;
                webView.setEnabled ( true );
            }
        }
    }
}
