private void lockScreenControls() {
    MediaButtonHelper.registerMediaButtonEventReceiverCompat ( mAudioManager, mMediaButtonReceiverComponent );
    if ( mRemoteControlClientCompat == null ) {
        Intent intent = new Intent ( Intent.ACTION_MEDIA_BUTTON );
        intent.setComponent ( mMediaButtonReceiverComponent );
        mRemoteControlClientCompat = new RemoteControlClientCompat ( PendingIntent.getBroadcast ( this  , 0  , intent  , 0 ) );
        RemoteControlHelper.registerRemoteControlClient ( mAudioManager, mRemoteControlClientCompat );
    }
    mRemoteControlClientCompat.setPlaybackState ( RemoteControlClient.PLAYSTATE_PLAYING );
    mRemoteControlClientCompat.setTransportControlFlags (
        RemoteControlClient.FLAG_KEY_MEDIA_PAUSE |
        RemoteControlClient.FLAG_KEY_MEDIA_PREVIOUS |
        RemoteControlClient.FLAG_KEY_MEDIA_NEXT |
        RemoteControlClient.FLAG_KEY_MEDIA_STOP );
    mRemoteControlClientCompat.editMetadata ( true )
    .putString ( MediaMetadataRetriever.METADATA_KEY_ARTIST, "NombreArtista" )
    .putString ( MediaMetadataRetriever.METADATA_KEY_ALBUM, "Titulo Album" )
    .putString ( MediaMetadataRetriever.METADATA_KEY_TITLE, nombreCancion )
    .putBitmap ( RemoteControlClientCompat.MetadataEditorCompat.METADATA_KEY_ARTWORK, getAlbumArt() )
    .apply();
}
}
