public class FullImageActivity extends Activity {
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.full_image );
        Intent i = getIntent();
        int position = i.getExtras().getInt ( "id" );
        ImageAdapter imageAdapter = new ImageAdapter ( this );
        ImageView imageView = ( ImageView ) findViewById ( R.id.full_image_view );
        imageView.setImageResource ( imageAdapter.mThumbIds[position] );
        BitmapDrawable bm = ( BitmapDrawable ) imageView.getDrawable();
        Bitmap mysharebmp = bm.getBitmap();
        String path = Images.Media.insertImage ( getContentResolver(),
                      mysharebmp, "MyImage", null );
        Uri uri = Uri.parse ( path );
        Intent sharingIntent = new Intent ( Intent.ACTION_SEND );
        sharingIntent.setType ( "image/*" );
        sharingIntent.putExtra ( Intent.EXTRA_STREAM, uri );
        startActivity ( Intent.createChooser ( sharingIntent,
                                               "Share image using" ) );
    }
}
