public class MyController extends Controller {
    private static ArrayList<WebSocket.Out> channels = new ArrayList<>();
    public static Result showMyView() {
        return ok ( views.html.showMyView.render ( Data.all() ) );
    }
    @BodyParser.Of ( play.mvc.BodyParser.Json.class )
    public static Result jsonReceiver() {
        JsonNode json = request().body().asJson();
        String rcvData = json.findPath ( "someData" ).textValue();
        if ( rcvData != null ) {
            for ( WebSocket.Out channel : channels ) {
                channel.write ( "blah" );
            }
            return ok();
        } else {
            return badRequest();
        }
    }
    public static WebSocket<String> websocket() {
        return new WebSocket<String>() {
            public void onReady ( WebSocket.In<String> in, WebSocket.Out<String> out ) {
                channels.add ( out );
            }
        };
    }
