import java.io.*;
import java.util.*;
public class Lab8 {
    public static void main ( String args[] ) throws Exception {
        BufferedReader infile = new BufferedReader ( new FileReader ( args[0] ) );
        HashMap<String, Integer> histogram = new HashMap<String, Integer>();
        String word;
        while ( ( infile.ready() ) ) {
            word = infile.readLine();
            if ( histogram.get ( word ) == null ) {
                histogram.put ( word, 1 );
            } else {
                histogram.put ( word, histogram.get ( word ) + 1 );
            }
        }
        infile.close();
        printHistogram ( histogram );
    }
    private static void printHistogram ( HashMap<String, Integer> hm ) {
        List <String> keys = new ArrayList<String> ( hm.keySet() );
        Collections.sort ( keys );
        for ( String key : keys ) {
            System.out.println ( key + "\t"  + hm.get ( key ) );
        }
    }
}
