public class ProfessorConverter extends StringConverter<Professor> {
    @Override
    public Professor fromString ( String professorAsString ) {
        String[] pieces = professorAsString.split ( " " );
        return new Professor ( pieces[0], pieces[1], pieces[2] );
    }
    @Override
    public String toString ( Professor professor ) {
        return professor.getFirstName() + " " + professor.getLastName();
    }
}
