public static final void exampleService ( IData pipeline ) throws ServiceException {
    IDataCursor pipelineCursor = pipeline.getCursor();
    try {
        IData intermediateDoc = IDataFactory.create();
        IDataCursor intermediateCursor = intermediateDoc.getCursor();
        IDataUtil.put ( intermediateCursor, "key1", "value1" );
        IDataUtil.put ( intermediateCursor, "key2", "value2" );
        intermediateCursor.destroy();
        IData outputDoc = IDataFactory.create();
        IDataCursor outputCursor = outputDoc.getCursor();
        IDataUtil.put ( outputCursor, "intermediateDoc", intermediateDoc );
        outputCursor.destroy();
        IDataUtil.put ( pipelineCursor, "outputDoc", outputDoc );
    } finally {
        pipelineCursor.destroy();
    }
}
