public class MyServiceTests extends ServiceTestCase<MyService> {
    private static final String TAG = "MyServiceTests";
    public MyServiceTests() {
        super ( MyService.class );
    }
    @SmallTest
    public void testStartable() {
        Intent startIntent = new Intent();
        startIntent.setClass ( getContext(), MyService.class );
        startService ( startIntent );
        assertNotNull ( getService() );
    }
    @MediumTest
    public void testBindable() {
        Intent startIntent = new Intent();
        startIntent.setClass ( getContext(), MyService.class );
        IBinder service = bindService ( startIntent );
        assertNotNull ( service );
    }
}
