public static List<String> getAllFields ( Class<?> clazz ) {
    List<String> results = new ArrayList<String>();
    getFieldDescsForClass ( clazz, results );
    return results;
}
private static void getFieldDescsForClass ( Class<?> clazz, List<String> outList ) {
    for ( Field field : clazz.getDeclaredFields() ) {
        if ( !field.isSynthetic() ) {
            outList.add ( String.format ( "User Preferences %s - %s", field.getName(), field.getType() ) );
        }
    }
    for ( Class subclazz : clazz.getDeclaredClasses() ) {
        getFieldDescsForClass ( subclazz, outList );
    }
}
