public final class VariableResolver extends TemplateVariableResolver {
    public VariableResolver() {
        super ( "var", "some description" );
    }
    @Override
    public void resolve ( TemplateVariable variable, TemplateContext context ) {
        final String name = variable.getName();
        final List params = variable.getVariableType().getParams();
        variable.setValues ( computeSuggestions ( name, params ) );
        variable.setResolved ( true );
    }
    private String[] computeSuggestions ( String name, List params ) {
        return new String[] {"true", "false"};
    }
}
