@Override
protected Void doInBackground ( Void... params ) {
    try {
        Document document = Jsoup.connect ( url ).get();
        Elements img = document.select ( "div[class=logo_top] img[src]" );
        String imgSrc = img.attr ( "src" );
        if ( !imgSrc.startsWith ( url ) ) {
            imgSrc = url + imgSrc;
        }
        InputStream input = new URL ( imgSrc ).openStream();
        bitmap = BitmapFactory.decodeStream ( input );
    } catch ( IOException e ) {
        e.printStackTrace();
    }
    return null;
}
