public class ClassMap {
    private Map<Class<?>, Collection<?>> internalMap
        = new HashMap<Class<?>, Collection<?>>();
    public <T, TCollection extends Collection<T>> void put (
        Class<T> clazz,
        TCollection collection ) {
        internalMap.put ( clazz, collection );
    }
    public <T> Collection<T> get ( Class<T> clazz ) {
        return ( Collection<T> ) internalMap.get ( clazz );
    }
}
