public static void getTestSuite() throws Exception {
    String suiteName = "";
    String reportStr = "";
    long startTime = 0;
    long duration = 0;
    TestRunner runner = null;
    List<TestSuite> suiteList = new ArrayList<TestSuite>();
    List<TestCase> caseList = new ArrayList<TestCase>();
    SoapUI.setSoapUICore ( new StandaloneSoapUICore ( true ) );
    WsdlProject project = new WsdlProject ( "your-soapui-project.xml" );
    suiteList = project.getTestSuiteList();
    for ( int i = 0; i < suiteList.size(); i++ ) {
        suiteName = suiteList.get ( i ).getName();
        reportStr = reportStr + "\nTest Suite: " + suiteName;
        caseList = suiteList.get ( i ).getTestCaseList();
        for ( int k = 0; k < caseList.size(); k++ ) {
            startTime = System.currentTimeMillis();
            runner = project.getTestSuiteByName ( suiteName ).getTestCaseByName ( caseList.get ( k ).getName() ).run ( new PropertiesMap(), false );
            duration = System.currentTimeMillis() - startTime;
            reportStr = reportStr + "\n\tTestCase: " + caseList.get ( k ).getName() + "\tStatus: " + runner.getStatus() + "\tReason: " + runner.getReason() + "\tDuration: " + duration;
        }
    }
    System.out.println ( reportStr );
}
