public int read() throws IOException {
    synchronized ( lock ) {
        ensureOpen();
        if ( next >= length ) {
            return -1;
        }
        return str.charAt ( next++ );
    }
}
private void ensureOpen() throws IOException {
    if ( str == null ) {
        throw new IOException ( "Stream closed" );
    }
}
public void close() {
    str = null;
}
