public class AlarmMainActivity extends Activity {
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        this.requestWindowFeature ( Window.FEATURE_NO_TITLE );
        setContentView ( R.layout.main );
        Calendar cal = Calendar.getInstance();
        cal.add ( Calendar.SECOND, Home.n );
        Intent intent = new Intent ( this, AlarmReceiverActivity.class );
        PendingIntent pendingIntent = PendingIntent.getActivity ( this,
                                      12345, intent, PendingIntent.FLAG_CANCEL_CURRENT );
        AlarmManager am =
            ( AlarmManager ) getSystemService ( Activity.ALARM_SERVICE );
        am.set ( AlarmManager.RTC_WAKEUP, cal.getTimeInMillis(),
                 pendingIntent );
    }
}
