public static Set<GroovyClass> compileGroovyScript ( final String className,
        final String script ) {
    Set<GroovyClass> compiledClasses = new HashSet<>();
    CompilationUnit compileUnit = new CompilationUnit();
    compileUnit.addSource ( className, script );
    compileUnit.compile ( Phases.CLASS_GENERATION );
    for ( Object compileClass : compileUnit.getClasses() ) {
        GroovyClass groovyClass = ( GroovyClass ) compileClass;
        compiledClasses.add ( groovyClass );
    }
    return compiledClasses;
}
