Event.addNativePreviewHandler ( new Event.NativePreviewHandler() {
    @Override
    public void onPreviewNativeEvent ( final NativePreviewEvent event ) {
        boolean isFirefox = checkBrowser ( "Firefox" );
        if ( ( isFirefox && event.getTypeInt() == Event.ONKEYPRESS )
                || ( !isFirefox && event.getTypeInt() == Event.ONKEYDOWN ) ) {
            if ( event.getNativeEvent().getKeyCode() == KeyCodes.KEY_BACKSPACE ) {
                Element element = Element.as ( event.getNativeEvent().getEventTarget() );
                String tagName = element.getTagName();
                System.out.println ( tagName );
                if ( !tagName.equalsIgnoreCase ( "INPUT" )
                        && !tagName.equalsIgnoreCase ( "TEXTAREA" ) ) {
                    boolean result = Window.confirm ( "Are you sure?" );
                    if ( !result ) {
                        event.cancel();
                    }
                }
            }
        }
    }
} );
if ( checkBrowser ( "Firefox" ) ) {
    DOM.sinkEvents ( RootPanel.get().getElement(), Event.ONKEYPRESS );
} else {
    DOM.sinkEvents ( RootPanel.get().getElement(), Event.ONKEYDOWN );
}
....
private static boolean checkBrowser ( String browserName ) {
    return ( Window.Navigator.getUserAgent().toLowerCase().indexOf ( browserName.toLowerCase() ) != -1 );
}
