public static BTNode<String> fileToTree ( String fileName ) throws IOException {
    BufferedReader file = new BufferedReader ( new FileReader ( fileName ) );
    BTNode<String> node = null;
    Scanner fileScanner = new Scanner ( file );
    BTNode<String> answer = fileToTreeHelper ( fileScanner );
    return answer;
}
public static BTNode<String> fileToTreeHelper ( Scanner fileScanner ) throws IOException {
    BTNode node = null;
    String line = fileScanner.nextLine();
    if ( line.contains ( "?" ) ) {
        node = new BTNode<String> ( line, null, null );
        node.setLeft ( fileToTreeHelper ( fileScanner ) );
        node.setRight ( fileToTreeHelper ( fileScanner ) );
    } else {
        node = new BTNode<String> ( line, null, null );
        return node;
    }
    return node;
}
