import java.util.*;
public class ArrayListExamples {
    public static void main ( String args[] ) {
        ArrayList<String> list = new ArrayList<String>();
        list.add ( "Item1" );
        list.add ( "Item2" );
        list.add ( 2, "Item3" );
        list.add ( "Item4" );
        System.out.println ( "The arraylist contains the following elements: "
                             + list );
        int pos = list.indexOf ( "Item2" );
        System.out.println ( "The index of Item2 is: " + pos );
        boolean check = list.isEmpty();
        System.out.println ( "Checking if the arraylist is empty: " + check );
        int size = list.size();
        System.out.println ( "The size of the list is: " + size );
        boolean element = list.contains ( "Item5" );
        System.out
        .println ( "Checking if the arraylist contains the object Item5: "
                   + element );
        String item = list.get ( 0 );
        System.out.println ( "The item is the index 0 is: " + item );
        System.out
        .println ( "Retrieving items with loop using index and size list" );
        for ( int i = 0; i < list.size(); i++ ) {
            System.out.println ( "Index: " + i + " - Item: " + list.get ( i ) );
        }
        System.out.println ( "Retrieving items using foreach loop" );
        for ( String str : list ) {
            System.out.println ( "Item is: " + str );
        }
        System.out.println ( "Retrieving items using iterator" );
        for ( Iterator<String> it = list.iterator(); it.hasNext(); ) {
            System.out.println ( "Item is: " + it.next() );
        }
        list.set ( 1, "NewItem" );
        System.out.println ( "The arraylist after the replacement is: " + list );
        list.remove ( 0 );
        list.remove ( "Item3" );
        System.out.println ( "The final contents of the arraylist are: " + list );
        String[] simpleArray = list.toArray ( new String[list.size()] );
        System.out.println ( "The array created after the conversion of our arraylist is: "
                             + Arrays.toString ( simpleArray ) );
    }
}
