String user1;
String user2;
ParseQuery<ParseObject> queryPart1 = ParseQuery.getQuery ( "Message" );
queryPart1.whereEqualTo ( "sender", user1 );
queryPart1.whereEqualTo ( "receiver", user2 );
ParseQuery<ParseObject> queryPart2 = ParseQuery.getQuery ( "Message" );
queryPart2.whereEqualTo ( "sender", user2 );
queryPart2.whereEqualTo ( "receiver", user1 );
List<ParseQuery<ParseObject>> queries = new ArrayList<ParseQuery<ParseObject>>();
queries.add ( queryPart1 );
queries.add ( queryPart2 );
ParseQuery<ParseObject> innerQuery = ParseQuery.or ( queries );
innerQuery.addAscendingOrder ( "createdAt" );
innerQuery.findInBackground ( new FindCallback<ParseObject>() {
    public void done ( List<ParseObject> results, ParseException e ) {
    }
} );
