public class MyWidget extends Composite implements HasAllMouseHandlers, HasClickHandlers {
    ...
    public HandlerRegistration addClickHandler ( ClickHandler handler ) {
        return addDomHandler ( handler, ClickEvent.getType() );
    }
    public HandlerRegistration addMouseDownHandler ( MouseDownHandler handler ) {
        return addDomHandler ( handler, MouseDownEvent.getType() );
    }
    public HandlerRegistration addMouseMoveHandler ( MouseMoveHandler handler ) {
        return addDomHandler ( handler, MouseMoveEvent.getType() );
    }
    public HandlerRegistration addMouseOutHandler ( MouseOutHandler handler ) {
        return addDomHandler ( handler, MouseOutEvent.getType() );
    }
    public HandlerRegistration addMouseOverHandler ( MouseOverHandler handler ) {
        return addDomHandler ( handler, MouseOverEvent.getType() );
    }
    public HandlerRegistration addMouseUpHandler ( MouseUpHandler handler ) {
        return addDomHandler ( handler, MouseUpEvent.getType() );
    }
    public HandlerRegistration addMouseWheelHandler ( MouseWheelHandler handler ) {
        return addDomHandler ( handler, MouseWheelEvent.getType() );
    }
}
