IJavaElement element = delta.getElement();
if ( element.getElementType() != IJavaElement.COMPILATION_UNIT ) {
    return;
}
ICompilationUnit compilationUnit = ( ICompilationUnit ) element;
try {
    IType type = compilationUnit.findPrimaryType();
    IMethod[] methods = type.getMethods();
    for ( IMethod method : methods ) {
        ASTParser parser = ASTParser.newParser ( AST.JLS3 );
        parser.setSource ( compilationUnit );
        parser.setSourceRange ( method.getSourceRange().getOffset(), method.getSourceRange().getLength() );
        parser.setResolveBindings ( true );
        CompilationUnit cu = ( CompilationUnit ) parser.createAST ( null );
        cu.accept ( new ASTMethodVisitor() );
    }
} catch ( JavaModelException e ) {
    e.printStackTrace();
}
