public void onCreate ( Bundle savedInstanceState ) {
    super.onCreate ( savedInstanceState );
    setContentView ( R.layout.main );
    mDisplay = ( TextView ) findViewById ( R.id.display );
    context = getApplicationContext();
    if ( checkPlayServices() ) {
        gcm = GoogleCloudMessaging.getInstance ( this );
        regid = getRegistrationId ( context );
        if ( regid.isEmpty() ) {
            registerInBackground();
        }
    } else {
        Log.i ( TAG, "No valid Google Play Services APK found." );
    }
}
private void registerInBackground() {
    new AsyncTask<Void, Void, String>() {
        @Override
        protected String doInBackground ( Void... params ) {
            String msg = "";
            try {
                if ( gcm == null ) {
                    gcm = GoogleCloudMessaging.getInstance ( context );
                }
                regid = gcm.register ( SENDER_ID );
                msg = "Device registered, registration ID=" + regid;
                sendRegistrationIdToBackend();
                storeRegistrationId ( context, regid );
            } catch ( IOException ex ) {
                msg = "Error :" + ex.getMessage();
            }
            return msg;
        }
        @Override
        protected void onPostExecute ( String msg ) {
            mDisplay.append ( msg + "\n" );
        }
    } .execute ( null, null, null );
}
