public class Main {
    private int i;
    public static void main ( String[] args ) {
        new Main();
    }
    public Main() {
        Thread t1 = new Thread ( new Runnable() {
            public void run() {
                countUp();
            }
        }, "Thread-1" );
        Thread t2 = new Thread ( new Runnable() {
            public void run() {
                countDown();
            }
        }, "Thread-2" );
        t1.start();
        t2.start();
        t1.join();
        t2.join();
        System.err.println ( "i: " + i );
    }
    private void countUp() {
        for ( int j = 0; j < 1000000; ++j ) {
            ++i;
        }
    }
    private void countDown() {
        for ( int j = 0; j < 1000000; ++j ) {
            --i;
        }
    }
}
