* * EDIT: Add of Source * *
public class MyActivity extends Activity {
    @Override
    public boolean onOptionsItemSelected ( MenuItem item ) {
        int id = item.getItemId();
        if ( id == R.id.action_settings ) {
            DialogFragment newFragment = new SettingsDatePicker();
            newFragment.setCallback ( this );
            newFragment.show ( getFragmentManager(), "Select the date" );
            return true;
        }
        return super.onOptionsItemSelected ( item );
    }
    public void CallBack ( String text ) {
        selectedDateView.setText ( String.format ( "Selected Date: %s", text ) );
    }
}
public class SettingsDatePicker extends DialogFragment {
    private MyActivity activity = null;
    public void setCallback ( MyActivity activity ) {
        this.activity = activity;
    }
    public void onDateSet ( DatePicker view, int year, int month, int day ) {
        this.activity.CallBack ( "TextToUpdate" );
    }
}
