public Object atomicGetAndDelete ( MemcacheService memcache, Object key ) {
    IdentifiableValue result = memcache.getIdentifiable ( key );
    if ( result == null ) {
        return null;
    }
    if ( result.getValue() == null ) {
        return null;
    }
    if ( !memcache.putIfUntouched ( key, result, null ) ) {
        return null;
    }
    memcache.delete ( key );
    return result.getValue();
}
