import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.StringWriter;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.TrustManager;
import javax.net.ssl.X509TrustManager;
import javax.net.ssl.*;
import java.security.SecureRandom;
import java.security.cert.X509Certificate;
public class JavaApplication147 {
    public static void main ( String[] args ) throws Exception {
        disableCertificateValidation();
        URL url = new URL ( "https://redmine.***.cz/issues.xml" );
        HttpsURLConnection httpCon = ( HttpsURLConnection ) url.openConnection();
        httpCon.setRequestProperty ( "X-Redmine-API-Key", "*****" );
        httpCon.setRequestProperty ( "Content-Type", "application/xml" );
        httpCon.setDoOutput ( true );
        httpCon.setRequestMethod ( "POST" );
        OutputStreamWriter out = new OutputStreamWriter (
            httpCon.getOutputStream() );
        out.write ( "<?xml version=\"1.0\"?>\n" +
                    "<issue>\n" +
                    "  <project_id>pan-unicorn-bot</project_id>\n" +
                    "  <subject>Created from netbeans by name without priority</subject>\n" +
                    "</issue>" );
        out.close();
        BufferedReader br = null;
        StringBuilder sb = new StringBuilder();
        String line;
        try {
            br = new BufferedReader ( new InputStreamReader ( httpCon.getInputStream() ) );
            while ( ( line = br.readLine() ) != null ) {
                sb.append ( line );
            }
        } catch ( IOException e ) {
            e.printStackTrace();
        } finally {
            if ( br != null ) {
                try {
                    br.close();
                } catch ( IOException e ) {
                    e.printStackTrace();
                }
            }
        }
        System.out.println ( sb.toString() );
    }
    public static void disableCertificateValidation() {
        TrustManager[] trustAllCerts = new TrustManager[] {
        new X509TrustManager() {
            public X509Certificate[] getAcceptedIssuers() {
                return new X509Certificate[0];
            }
            public void checkClientTrusted ( X509Certificate[] certs, String authType ) {
            }
            public void checkServerTrusted ( X509Certificate[] certs, String authType ) {
            }
        }
        };
        HostnameVerifier hv = new HostnameVerifier() {
            public boolean verify ( String hostname, SSLSession session ) {
                return true;
            }
        };
        try {
            SSLContext sc = SSLContext.getInstance ( "SSL" );
            sc.init ( null, trustAllCerts, new SecureRandom() );
            HttpsURLConnection.setDefaultSSLSocketFactory ( sc.getSocketFactory() );
            HttpsURLConnection.setDefaultHostnameVerifier ( hv );
        } catch ( Exception e ) {
        }
    }
}
