public class MySiteMeshFilter extends ConfigurableSiteMeshFilter {
    @Override
    protected void applyCustomConfiguration ( SiteMeshFilterBuilder builder ) {
        builder.addDecoratorPath ( "/*", "/default-decorator.html" )
        .addDecoratorPath ( "/admin/*", "/another-decorator.html" )
        .addDecoratorPath ( "/*.special.jsp", "/special-decorator.html" )
        .addDecoratorPaths ( "/articles/*", "/decorators/article.html",
                             "/decoratos/two-page-layout.html",
                             "/decorators/common.html" )
        .addExcludedPath ( "/javadoc/*" )
        .addExcludedPath ( "/brochures/*" );
    }
}
