@Provider
@Produces ( MediaType.APPLICATION_JSON )
public class JsonVulnerabilityWriter implements MessageBodyWriter<Object> {
    @Override
    public boolean isWriteable ( Class<?> type, Type genericType, Annotation[] annotations, MediaType mediaType ) {
        return true;
    }
    @Override
    public long getSize ( Object t, Class<?> type, Type genericType, Annotation[] annotations, MediaType mediaType ) {
        return -1;
    }
    @Override
    public void writeTo ( Object obj, Class<?> type, Type genericType, Annotation[] annotations, MediaType mediaType,
                          MultivaluedMap<String, Object> httpHeaders, OutputStream entityStream ) throws IOException, WebApplicationException {
        entityStream.write ( ")]}',\n".getBytes ( "UTF-8" ) );
        entityStream.write ( new ObjectMapper().writeValueAsBytes ( obj ) );
    }
}
