private void migrate() {
    DataSourceFactory dataSourceFactory = RULE.getConfiguration().dataSourceFactory;
    Properties info = new Properties();
    info.setProperty ( "user", dataSourceFactory.getUser() );
    info.setProperty ( "password", dataSourceFactory.getPassword() );
    org.h2.jdbc.JdbcConnection h2Conn = new org.h2.jdbc.JdbcConnection ( dataSourceFactory.getUrl(), info );
    JdbcConnection conn = new JdbcConnection ( h2Conn );
    Database database = DatabaseFactory.getInstance().findCorrectDatabaseImplementation ( conn );
    Liquibase liquibase = new Liquibase ( "migrations.xml", new ClassLoaderResourceAccessor(), database );
    String ctx = null;
    liquibase.update ( ctx );
}
