public class ArticleController {
    @Autowired
    private LocalValidatorFactoryBean validator;
    @RequestMapping ( value = "/edit", method = PUT )
    public String doEdit ( @ModelAttribute ( "article" ) final Article article,
                           final BindingResult bindingResult ) {
        article.setTag ( generateTag ( article ) );
        validator.validate ( article, bindingResult );
        if ( bindingResult.hasErrors() ) {
            return "/edit";
        } else {
            service.save ( article );
            return "redirect:/list";
        }
    }
}
