private String pageIndex = "0";
private String wizardPage = "0";
private String backClicked;
public String getBackClicked() {
    return backClicked;
}
public void setBackClicked ( String backClicked ) {
    this.backClicked = backClicked;
}
public String getPageIndex() {
    return pageIndex;
}
public void setPageIndex ( String pageIndex ) {
    this.pageIndex = pageIndex;
}
public String getWizardPage() {
    return wizardPage;
}
public void setWizardPage ( String wizardPage ) {
    this.wizardPage = wizardPage;
}
@Override
public void validate ( Object object ) throws ValidationException {
    final String fieldName = getFieldName();
    final Object value = getFieldValue ( fieldName, object );
    if ( !"0".equals ( pageIndex ) ) {
        Integer pageIndexValue = ( Integer ) getFieldValue ( pageIndex, object );
        if ( pageIndexValue != null ) {
            backClicked = ( String ) getFieldValue ( backClicked, object );
            if ( StringUtils.isNotBlank ( backClicked ) && Boolean.valueOf ( backClicked ) ) {
                pageIndexValue = pageIndexValue - 1;
            }
            pageIndex = String.valueOf ( pageIndexValue );
        }
    }
    if ( wizardPage.equals ( pageIndex ) ) {
        if ( ! ( value instanceof String ) ) {
            addFieldError ( fieldName, object );
            return;
        }
        String strValue = ( String ) value;
        if ( StringUtils.isBlank ( strValue ) ) {
            addFieldError ( fieldName, object );
        }
    }
}
