public void loadAchievements()  {
    boolean fullLoad = false;
    float waitTime = 60.0f;
    PendingResult p = Games.Achievements.load ( playHelper.getApiClient(), fullLoad );
    Achievements.LoadAchievementsResult r = ( Achievements.LoadAchievementsResult ) p.await ( waitTime, TimeUnit.SECONDS );
    int status = r.getStatus().getStatusCode();
    if ( status != GamesStatusCodes.STATUS_OK )  {
        r.release();
        return;
    }
    AchievementBuffer buf = r.getAchievements();
    int bufSize = buf.getCount();
    for ( int i = 0; i < bufSize; i++ )  {
        Achievement ach = buf.get ( i );
        String id = ach.getAchievementId();
        boolean unlocked = ach.getState == Achievement.STATE_UNLOCKED;
        boolean incremental = ach.getType() == Achievement.TYPE_INCREMENTAL;
        if ( incremental ) {
            int steps = ach.getCurrentSteps();
        }
    }
    buf.close();
    r.release();
}
