public static void findAndAppend ( File parent, BufferedWriter bw ) throws IOException {
    File files[] = parent.listFiles ( new FileFilter() {
        @Override
        public boolean accept ( File pathname ) {
            return pathname.getName().equals ( "part1.txt" );
        }
    } );
    for ( File file : files ) {
        append ( file, bw );
    }
    File dirs[] = parent.listFiles ( new FileFilter() {
        @Override
        public boolean accept ( File pathname ) {
            return pathname.isDirectory();
        }
    } );
    for ( File dir : dirs ) {
        findAndAppend ( dir, bw );
    }
}
