public int getActivityPositionX() {
    if ( Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB ) {
        FrameLayout.LayoutParams contentParams = ( FrameLayout.LayoutParams ) this.content.getLayoutParams();
        return contentParams.leftMargin;
    } else {
        return this.content.getPaddingLeft();
    }
}
public int getActivityPositionY() {
    if ( Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB ) {
        FrameLayout.LayoutParams contentParams = ( FrameLayout.LayoutParams ) this.content.getLayoutParams();
        return contentParams.topMargin;
    } else {
        return this.content.getPaddingTop();
    }
}
