using System;
using System.Windows.Forms;
using org.apache.pdfbox.pdmodel;
using org.apache.pdfbox.util;
using System.Diagnostics;
string searchTerm = "golden";
string pdfFilePath = @"F:\myFile.pdf";
PDDocument document = PDDocument.load ( pdfFilePath );
int numberOfPages = document.getNumberOfPages();
PDFTextStripper stripper = new PDFTextStripper();
for ( int pageNumber = 1; pageNumber <= numberOfPages; pageNumber++ ) {
    stripper.setStartPage ( pageNumber );
    stripper.setEndPage ( pageNumber );
    string pdfText = stripper.getText ( document ).ToLower();
    MessageBox.Show ( pdfText );
    if ( pdfText.Contains ( searchTerm ) ) {
        MessageBox.Show ( "Found the search term on page " + pageNumber );
        Process myProcess = new Process();
        myProcess.StartInfo.FileName = "Acrobat.exe";
        myProcess.StartInfo.Arguments = "/A \"page=" + pageNumber + "=OpenActions\"" + pdfFilePath;
        myProcess.Start();
        break;
    }
}
document.close();
