public String getProcessedSql() {
    StringBuilder sb = new StringBuilder ( sql );
    if ( sb.charAt ( sb.length() - 1 ) == ';' ) {
        sb.setLength ( sb.length() - 1 );
    }
    if ( LimitHelper.hasFirstRow ( selection ) ) {
        final String selectClause = fillAliasInSelectClause ( sb );
        int orderByIndex = shallowIndexOfWord ( sb, ORDER_BY, 0 );
        if ( orderByIndex > 0 ) {
            addTopExpression ( sb );
        }
        encloseWithOuterQuery ( sb );
        sb.insert ( 0, "WITH query AS (" ).append ( ") SELECT " ).append ( selectClause ).append ( " FROM query " );
        sb.append ( "WHERE __hibernate_row_nr__ >= ? AND __hibernate_row_nr__ < ?" );
    } else {
        hasOffset = false;
        addTopExpression ( sb );
    }
    return sb.toString();
}
