import java.awt.EventQueue;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.BoxLayout;
import javax.swing.JButton;
public class BoxLayoutExample extends JFrame {
    private static final long serialVersionUID = 1L;
    private JPanel contentPane;
    public static void main ( String[] args ) {
        EventQueue.invokeLater ( new Runnable() {
            public void run() {
                try {
                    BoxLayoutExample frame = new BoxLayoutExample();
                    frame.setVisible ( true );
                } catch ( Exception e ) {
                    e.printStackTrace();
                }
            }
        } );
    }
    public BoxLayoutExample() {
        setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        setBounds ( 100, 100, 180, 150 );
        contentPane = new JPanel();
        contentPane.setBorder ( new EmptyBorder ( 5, 5, 5, 5 ) );
        setContentPane ( contentPane );
        contentPane.setLayout ( new BoxLayout ( contentPane, BoxLayout.Y_AXIS ) );
        JButton btnOpenReportViewer = new JButton ( "Open Report Viewer" );
        contentPane.add ( btnOpenReportViewer );
        JButton btnCloseProgram = new JButton ( "Close Program" );
        contentPane.add ( btnCloseProgram );
    }
}
