public class AndroidBasePage implements IPage {
    protected WebDriver driver;
    private WebDriverWait driverWait;
    public AndroidBasePage() {
        driver = SeleniumManager.activeBrowser();
        driverWait = new WebDriverWait ( driver, 30 );
    }
    @Override
    public WebDriver getDriver() {
        return driver;
    }
    protected void driverWaitPresenceOfElement ( String xpath ) {
        driverWait.until ( presenceOfElementLocated ( By.xpath ( xpath ) ) );
    }
}
