public class ExtendedAsyncCallback<T> implements AsyncCallback<T> {
    private static int activeCallbacks;
    public ExtendedAsyncCallback() {
        activeCallbacks++;
    }
    @Override
    public void onFailure ( Throwable caught ) {
        activeCallbacks--;
    }
    @Override
    public void onSuccess ( T result ) {
        activeCallbacks--;
        if ( activeCallbacks == 0 ) {
        }
        execute ( result );
    }
    public void execute ( T result ) {
    }
