package com.example.layoutxml2;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v7.app.ActionBarActivity;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.TextView;
public class MainActivity extends ActionBarActivity {
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        if ( savedInstanceState == null ) {
            getSupportFragmentManager().beginTransaction()
            .add ( R.id.container, new PlaceholderFragment() ).commit();
        }
    }
    @Override
    public boolean onCreateOptionsMenu ( Menu menu ) {
        getMenuInflater().inflate ( R.menu.main, menu );
        return true;
    }
    @Override
    public boolean onOptionsItemSelected ( MenuItem item ) {
        int id = item.getItemId();
        if ( id == R.id.action_settings ) {
            return true;
        }
        return super.onOptionsItemSelected ( item );
    }
    public static class PlaceholderFragment extends Fragment {
        public PlaceholderFragment() {
        }
        @Override
        public View onCreateView ( LayoutInflater inflater, ViewGroup container,
                                   Bundle savedInstanceState ) {
            View rootView = inflater.inflate ( R.layout.fragment_main, container,
                                               false );
            final TextView text1 = ( TextView ) rootView.findViewById ( R.id.textView1 );
            Button carregar = ( Button ) rootView.findViewById ( R.id.button1 );
            carregar.setOnClickListener ( new View.OnClickListener() {
                @Override
                public void onClick ( View v ) {
                    text1.setText ( "Xau Pessoal!" );
                }
            } );
            return rootView;
        }
    }
}
