public interface RepositorySystem {
    public void doStuff()
    public DetailWrapper getDetails()
}
public class RepositorySystemAdapterPreMavenXXX implements RepositorySystem {
    org.sonatype.aether.RepositorySystem delegate = new org.sonatype.aether.RepositorySystem();
    public void doStuff() {
        delegate.doStuff();
    }
}
public class RepositorySystemAdapterPostMavenXXX implements RepositorySystem {
    org.eclipse.aether.RepositorySystem delegate = new org.eclipse.aether.RepositorySystem();
    public void doStuff() {
        delegate.doStuff();
    }
}
public class RepositorySystemFactory {
    public static RepositorySystem repositorySystem() {
        try {
            return new RepositorySystemAdapterPostMavenXXX();
        } catch ( Error error ) {
            return  new RepositorySystemAdapterPreMavenXXX();
        }
    }
}
