public class SectionsPagerAdapter extends FragmentPagerAdapter {
    public SectionsPagerAdapter ( FragmentManager fm ) {
        super ( fm );
    }
    @Override
    public Fragment getItem ( int position ) {
        switch ( position ) {
        case 0:
            return PlaceholderFragment.newInstance ( position + 1 );
        case 1:
            return new Map();
        }
    }
    @Override
    public int getCount() {
        return 2;
    }
    @Override
    public CharSequence getPageTitle ( int position ) {
        Locale l = Locale.getDefault();
        switch ( position ) {
        case 0:
            return "Gas Prices".toUpperCase ( l );
        case 1:
            return "Map".toUpperCase ( l );
        }
        return null;
    }
}
