public int depthSum ( IntTreeNode root ) {
    if ( root == null ) {
        throw new NullPointerException();
    }
    Queue<IntTreeNode> q = new LinkedList<IntTreeNode>();
    q.add ( root );
    int siblings = 1;
    int totalSum = 0, levelSum = 0, level = 0;
    while ( !q.isEmpty() ) {
        IntTreeNode n = q.remove();
        levelSum += n.data;
        if ( n.left != null ) {
            q.add ( n.left );
        }
        if ( n.right != null ) {
            q.add ( n.right );
        }
        if ( --siblings == 0 ) {
            siblings = q.size();
            totalSum += levelSum * level;
            level++;
            levelSum = 0;
        }
    }
    return totalSum;
}
