boolean selected;
@Test
public void testChangeRadioState() {
    selected = false;
    WebElement mockElement           = mock ( WebElement.class );
    WebElement selectedMockElement   = mock ( WebElement.class );
    List<WebElement> mockElementList = new ArrayList<>();
    when ( selectedMockElement.isSelected() ).thenReturn ( true );
    doAnswer ( new Answer<Object>() {
        public Object answer ( InvocationOnMock invocation ) {
            selected = true;
            return null;
        }
    } ).when ( mockElement ).click();
    mockElementList.add ( mockElement );
    mockElementList.add ( selectedMockElement );
    elementSetter.changeRadioState ( mockElementList );
    Assert.assertTrue ( "The radio state was not selected", selected );
}
