static byte solve ( int i, int j, int[][] cells, byte count ) {
    if ( i == 9 ) {
        i = 0;
        if ( ++j == 9 ) {
            return 1 + count;
        }
    }
    if ( cells[i][j] != 0 ) {
        return solve ( i + 1, j, cells, count );
    }
    for ( int val = 1; val <= 9 && count < 2; ++val ) {
        if ( legal ( i, j, val, cells ) ) {
            cells[i][j] = val;
            count = solve ( i + 1, j, cells, count ) );
        }
    }
    cells[i][j] = 0;
    return count;
}
