public static Map<String, String> getMessageMap ( Locale locale ) {
    Properties properties;
    Set<Object> objkeys;
    if ( messageMap == null ) {
        messageMap = new HashMap<String, String>();
        properties = MKCLUtility.loadPropertiesFile ( locale );
        objkeys = properties.keySet();
        Iterator<Object> iterator = objkeys.iterator();
        while ( iterator.hasNext() ) {
            String keyName = iterator.next().toString();
            if ( keyName.contains ( "global." ) ) {
                messageMap.put ( keyName, properties.getProperty ( keyName ) );
            }
        }
    }
    return messageMap;
}
