private ImageView mDrawerImage;
private TextView mDrawerText;
@Override
public View onCreateView ( LayoutInflater inflater,
                           ViewGroup container,
                           Bundle savedInstanceState ) {
    siteNames = getActivity().getResources().getStringArray ( R.array.site_names );
    Log.d ( TAG, "number of sites loaded: " + siteNames.length );
    View view = inflater.inflate ( R.layout.fragment_navigation_drawer, container, false );
    mDrawerListView = ( ListView ) view.findViewById ( R.id.nav_listView );
    mDrawerImage = ( ImageView ) view.findViewById ( R.id.nav_image );
    mDrawerText = ( TextView ) view.findViewById ( R.id.nav_text );
    mDrawerText.setText ( "Give it a name/title" );
    mDrawerListView.setOnItemClickListener ( this );
    mDrawerListView.setAdapter ( new ArrayAdapter<String> ( getActionBar().getThemedContext(),
                                 android.R.layout.simple_list_item_1, android.R.id.text1, siteNames ) );
    mDrawerListView.setItemChecked ( mCurrentSelectedPosition, true );
    return view;
}
