@Configuration
@EnableWebMvcSecurity
public class WebSecurityConfig extends WebSecurityConfigurerAdapter {
    @Override
    protected void configure ( HttpSecurity http ) throws Exception {
        http
        .authorizeRequests()
        .antMatchers ( "/", "/home" ).permitAll()
        .anyRequest().authenticated();
        http
        .formLogin()
        .loginPage ( "/login" )
        .permitAll()
        .and()
        .logout()
        .permitAll();
    }
    @Override
    protected void configure ( AuthenticationManagerBuilder auth ) throws Exception {
        auth
        .inMemoryAuthentication()
        .withUser ( "user" ).password ( "password" ).roles ( "USER" );
    }
}
