private final int BUFFER_SIZE = 128000;
private AudioInputStream audioStream;
private SourceDataLine sourceLine;
public void playSound ( String filename ) {
    try {
        audioStream = AudioSystem.getAudioInputStream ( new File ( filename ) );
    } catch ( Exception e ) {
        e.printStackTrace();
    }
    try {
        sourceLine = ( SourceDataLine ) AudioSystem.getLine ( new DataLine.Info ( SourceDataLine.class, audioStream.getFormat() ) );
        sourceLine.open ( audioStream.getFormat() );
    } catch ( LineUnavailableException e ) {
        e.printStackTrace();
    } catch ( Exception e ) {
        e.printStackTrace();
    }
    sourceLine.start();
    int nBytesRead = 0;
    byte[] abData = new byte[BUFFER_SIZE];
    while ( nBytesRead != -1 ) {
        try {
            nBytesRead = audioStream.read ( abData, 0, abData.length );
        } catch ( IOException e ) {
            e.printStackTrace();
        }
        if ( nBytesRead >= 0 ) {
            @SuppressWarnings ( "unused" )
            int nBytesWritten = sourceLine.write ( abData, 0, nBytesRead );
        }
    }
    sourceLine.drain();
    sourceLine.close();
}
