public class MainActivity extends ActionBarActivity {
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        if ( savedInstanceState == null ) {
            getSupportFragmentManager().beginTransaction()
            .add ( R.id.container, new PlaceholderFragment() ).commit();
        }
    }
    @Override
    public boolean onCreateOptionsMenu ( Menu menu ) {
        getMenuInflater().inflate ( R.menu.main, menu );
        return true;
    }
    @Override
    public boolean onOptionsItemSelected ( MenuItem item ) {
        int id = item.getItemId();
        if ( id == R.id.action_settings ) {
            return true;
        }
        return super.onOptionsItemSelected ( item );
    }
    public static class PlaceholderFragment extends Fragment {
        public PlaceholderFragment() {
        }
        int c = 0;
        @Override
        public View onCreateView ( LayoutInflater inflater, ViewGroup container,
                                   Bundle savedInstanceState ) {
            View rootView = inflater.inflate ( R.layout.fragment_main, container,
                                               false );
            Button add = ( Button ) rootView.findViewById ( R.id.bAdd );
            TextView display = ( TextView ) rootView.findViewById ( R.id.tvDisplay );
            add.setOnClickListener ( new View.OnClickListener() {
                @Override
                public void onClick ( View v ) {
                    c += 1;
                    display.setText ( "You're total is: " + c );
                }
            } );
            return rootView;
        }
    }
}
