public Map<String, JSONArray> getJsonArrayAsMapOnPageId ( JSONArray inputArr ) throws JSONException {
    Map<String, JSONArray> idMap = new HashMap<String, JSONArray>();
    for ( int i = 0; i < inputArr.length(); i++ ) {
        JSONObject inputObj = inputArr.getJSONObject ( i );
        String id = inputObj.getString ( "pageid" );
        JSONArray jObjList;
        if ( idMap.containsKey ( id ) ) {
            jObjList = idMap.get ( id );
        } else {
            jObjList = new JSONArray();
        }
        JSONObject newJsonObj = new JSONObject();
        newJsonObj.put ( "company", inputObj.get ( "company" ) );
        newJsonObj.put ( "pageview", inputObj.get ( "pageview" ) );
        newJsonObj.put ( "visitfreq", inputObj.get ( "visitfreq" ) );
        jObjList.put ( newJsonObj );
        idMap.put ( id, jObjList );
    }
    return idMap;
}
