public class UserMapper implements FieldSetMapper<User> {
    @Override
    public User mapFieldSet ( FieldSet fieldSet ) throws BindException {
        User user = new User();
        String ped = fieldSet.readString ( "Position effective date" );
        user.setId ( fieldSet.readInt ( "User ID" ) );
        user.setFn ( fieldSet.readString ( "First Name" ) );
        user.loadRecord ( fieldSet );
        return user;
    }
}
