public String getIpAddr() {
    WifiManager wifiManager = ( WifiManager ) getSystemService ( WIFI_SERVICE );
    WifiInfo wifiInfo = wifiManager.getConnectionInfo();
    int ip = wifiInfo.getIpAddress();
    String ipString = String.format (
                          "%d.%d.%d.%d",
                          ( ip & 0xff ),
                          ( ip >> 8 & 0xff ),
                          ( ip >> 16 & 0xff ),
                          ( ip >> 24 & 0xff ) );
    return ipString;
}
