public void executeBatch ( ) throws SQLException {
    Connection connection = null;
    PreparedStatement preparedStatement = null;
    try {
        connection = database.getConnection();
        connection.setAutoCommit ( false );
        preparedStatement = connection.prepareStatement ( SQL );
        connection.commit();
    } catch ( SQLException e ) {
        connection.rollback();
        throw e;
    } finally {
        close ( preparedStatement );
        close ( connection );
    }
}
