public static Registry getRegistry ( String host, int port, RMIClientSocketFactory csf ) throws RemoteException {
    Registry registry = null;
    if ( port <= 0 ) {
        port = Registry.REGISTRY_PORT;
    }
    if ( host == null || host.length() == 0 ) {
        try {
            host = java.net.InetAddress.getLocalHost().getHostAddress();
        } catch ( Exception e ) {
            host = "";
        }
    }
    LiveRef liveRef = new LiveRef ( new ObjID ( ObjID.REGISTRY_ID ), new TCPEndpoint ( host, port, csf, null ), false );
    RemoteRef ref = ( csf == null ) ? new UnicastRef ( liveRef ) : new UnicastRef2 ( liveRef );
    return ( Registry ) Util.createProxy ( RegistryImpl.class, ref, false );
}
