class CreditCard {
    int pin, balance;
    private Callback callback;
    CreditCard ( Callback callback ) {
        this.callback = callback;
    }
    public void pinChange ( int pin ) {
        this.pin = pin;
        callback.pinChanged();
    }
    public void withdraw ( int amount ) {
        this.balance -= amount;
        if ( balance < 1000 ) {
            callback.lowBalance();
        }
    }
}
class MyListener implements Callback {
    public void pinChanged() {
        System.out.println ( "PIN changed.." );
    }
    public void lowBalance() {
        System.out.println ( "little money in card.." );
    }
    main ( String... args ) {
        CreditCard cc = new CreditCard ( new MyListener() );
        cc.changePin ( 3306 );
