public static String formatDate ( String dateString, String inFormat, String outFormat ) {
    DateFormat inFormatter = new SimpleDateFormat ( inFormat );
    inFormatter.setLenient ( false );
    DateFormat outFormatter = new SimpleDateFormat ( outFormat );
    Date date = null;
    try {
        date = inFormatter.parse ( dateString );
    } catch ( ParseException e ) {
        e.printStackTrace();
        return "";
    }
    return outFormatter.format ( date );
}
