public class StudentSearchController {
    @Autowired
    StudentService studentService;
    @Autowired
    CourseService courseService;
    StudentModel studentmodel;
    @RequestMapping ( method = RequestMethod.GET )
    public ModelAndView init() {
        studentmodel = new StudentModel();
        ModelAndView modelAndView = new ModelAndView();
        List<Course> courses  = courseService.findCourses ( .. );
        modelAndView.addObject ( "student", studentmodel );
        modelAndView.addObject ( "courses", courses );
        modelAndView.addObject ( "enrolments", courseService.findTheCourseYouNeed ( .. ) );
        return modelAndView;
    }
    @RequestMapping ( value = "/sisStudentSearch", method = RequestMethod.POST )
    public ModelAndView searchStudents ( @ModelAttribute ( "student" ) StudentModel student,
                                         Map<String, Object> map, HttpServletRequest request ) {
        ModelAndView modelAndView = new ModelAndView ( "sisStudent" );
        modelAndView.addObject ( "students", students );
        return modelAndView;
    }
}
