public Object functionName ( String variableName, Object valueToBeSet, Object objectOfClass ) throws IntrospectionException, NoSuchMethodException, SecurityException, IllegalAccessException, IllegalArgumentException, InvocationTargetException {
    Class clazz = objectOfClass.getClass();
    BeanInfo beanInfo = Introspector.getBeanInfo ( clazz, Object.class );
    PropertyDescriptor[] props = beanInfo.getPropertyDescriptors();
    for ( PropertyDescriptor descriptor : props ) {
        String property = descriptor.getDisplayName();
        if ( property.equals ( variableName ) ) {
            String setter = descriptor.getWriteMethod().getName();
            Class parameterType = descriptor.getPropertyType();
            Method setterMethod = clazz.getDeclaredMethod ( setter, parameterType );
            setterMethod.invoke ( objectOfClass, valueToBeSet );
        }
    }
    return objectOfClass;
}
