CountDownLatch, the waiting Waiter is released from the await() call.
CountDownLatch latch = new CountDownLatch ( 3 );
Waiter      waiter      = new Waiter ( latch );
Decrementer decrementer = new Decrementer ( latch );
new Thread ( waiter )     .start();
new Thread ( decrementer ).start();
Thread.sleep ( 4000 );
public class Waiter implements Runnable {
    CountDownLatch latch = null;
    public Waiter ( CountDownLatch latch ) {
        this.latch = latch;
    }
    public void run() {
        try {
            latch.await();
        } catch ( InterruptedException e ) {
            e.printStackTrace();
        }
        System.out.println ( "Waiter Released" );
    }
}
public class Decrementer implements Runnable {
    CountDownLatch latch = null;
    public Decrementer ( CountDownLatch latch ) {
        this.latch = latch;
    }
    public void run() {
        try {
            Thread.sleep ( 1000 );
            this.latch.countDown();
            Thread.sleep ( 1000 );
            this.latch.countDown();
            Thread.sleep ( 1000 );
            this.latch.countDown();
        } catch ( InterruptedException e ) {
            e.printStackTrace();
        }
    }
}
