import java.io.IOException;
import java.io.InputStream;
import java.io.StringWriter;
public class WindowsRegistry {
    public static final String[] readRegistry ( String location, String key ) {
        try {
            Process process = Runtime.getRuntime().exec ( "reg query " +
                              '"' + location );
            StreamReader reader = new StreamReader ( process.getInputStream() );
            reader.start();
            process.waitFor();
            reader.join();
            String[] parsed = reader.getResult().split ( "\\s+" );
            if ( parsed.length > 1 ) {
                return parsed;
            }
        } catch ( Exception e ) {}
        return null;
    }
    static class StreamReader extends Thread {
        private InputStream is;
        private StringWriter sw = new StringWriter();
        public StreamReader ( InputStream is ) {
            this.is = is;
        }
        public void run() {
            try {
                int c;
                while ( ( c = is.read() ) != -1 ) {
                    sw.write ( c );
                }
            } catch ( IOException e ) {
            }
        }
        public String getResult() {
            return sw.toString();
        }
    }
