public static void main ( String[] args ) {
    Scanner in = new Scanner ( System.in );
    int inputInt = Integer.parseInt ( getInput ( in, "Enter an integer: " ) );
    int inputBase = Integer.parseInt ( getInput ( in, "Enter a base: " ) );
    System.out.println ( "Int: " + inputInt + ", base: " + inputBase );
}
public static String getInput ( Scanner in, String prompt ) {
    System.out.print ( prompt );
    String text = "";
    while ( true ) {
        text = in.nextLine();
        if ( isInteger ( text ) ) {
            break;
        }
        System.out.print ( "Try again, " + prompt );
    }
    return text;
}
private static boolean isInteger ( String str ) {
    try {
        Integer.parseInt ( str );
        return true;
    } catch ( NumberFormatException e ) {
        return false;
    }
}
