private static boolean validate ( String password ) {
    if ( password == null || password.length() < 6 || password.length() > 10 ) {
        return false;
    }
    boolean containsChar = false;
    boolean containsDigit = false;
    for ( char c : password.toCharArray() ) {
        if ( Character.isLetter ( c ) ) {
            containsChar = true;
        } else if ( Character.isDigit ( c ) ) {
            containsDigit = true;
        }
        if ( containsChar && containsDigit ) {
            return true;
        }
    }
    return false;
}
