private static Image convertToJavaFXImage ( byte[] raw, final int width, final int height ) {
    WritableImage image = new WritableImage ( width, height );
    try {
        ByteArrayInputStream bis = new ByteArrayInputStream ( raw );
        BufferedImage read = ImageIO.read ( bis );
        image = SwingFXUtils.toFXImage ( read, null );
    } catch ( IOException ex ) {
        Logger.getLogger ( App.class.getName() ).log ( Level.SEVERE, null, ex );
    }
    return image;
}
