interface MyClassInterface {
    MyClassInterface copy();
    String getName();
}
@Test
public void testMyClasses() {
    List<String> names = new ArrayList<>();
    names.add ( "adam" );
    names.add ( "ben" );
    names.add ( "carl" );
    List<MyClassInterface> objects = new ArrayList<>();
    class MyClassWithName implements MyClassInterface {
        private String name;
        public MyClassWithName ( String name ) {
            this.name = name;
        }
        @Override
        public MyClassInterface copy() {
            return new MyClassWithName ( name );
        }
        @Override
        public String getName() {
            return name;
        }
    }
    for ( final String name : names ) {
        objects.add ( new MyClassWithName ( name ) );
    }
    for ( MyClassInterface object : objects ) {
        System.out.println ( "original name " + object.getName() );
        MyClassInterface object2 = object.copy();
        System.out.println ( "copy name " + object2.getName() );
    }
}
