PackageManager packageManager;
ListView apkList;
@Override
public View onCreateView ( LayoutInflater inflater, ViewGroup container,
                           Bundle savedInstanceState ) {
    setHasOptionsMenu ( true );
    View rootView = inflater.inflate ( R.layout.user_installed, container, false );
    packageManager = getActivity().getPackageManager();
    apkList = ( ListView ) rootView.findViewById ( R.id.applist );
    new LoadApplications ( getActivity().getApplicationContext() ).execute();
    return rootView;
}
private boolean isSystemPackage ( PackageInfo pkgInfo ) {
    return ( ( pkgInfo.applicationInfo.flags & ApplicationInfo.FLAG_SYSTEM ) != 0 ) ? true
           : false;
}
private boolean isSystemPackage1 ( PackageInfo pkgInfo ) {
    return ( ( pkgInfo.applicationInfo.flags & ApplicationInfo.FLAG_UPDATED_SYSTEM_APP ) != 0 ) ? false
           : true;
}
@Override
public void onItemClick ( AdapterView<?> adapterView, View view, int i, long l ) {
}
private class LoadApplications extends AsyncTask<Void, Void, Void> {
    Context mContext;
    private ProgressDialog pDialog;
    List<PackageInfo> packageList1 = new ArrayList<PackageInfo>();
    public LoadApplications ( Context context ) {
        Context mContext = context;
    }
    @Override
    protected Void doInBackground ( Void... params ) {
        List<PackageInfo> packageList = packageManager
                                        .getInstalledPackages ( PackageManager.GET_PERMISSIONS );
        for ( PackageInfo pi : packageList ) {
            boolean b = isSystemPackage ( pi );
            boolean c = isSystemPackage1 ( pi );
            if ( !b || !c ) {
                packageList1.add ( pi );
            }
        }
        final PackageItemInfo.DisplayNameComparator comparator = new PackageItemInfo.DisplayNameComparator ( packageManager );
        Collections.sort ( packageList1, new Comparator<PackageInfo>() {
            @Override
            public int compare ( PackageInfo lhs, PackageInfo rhs ) {
                return comparator.compare ( lhs.applicationInfo, rhs.applicationInfo );
            }
        } );
        return null;
    }
