public final class ParcelableImpl extends BaseParcelable {
    private int mZ;
    public ParcelableImpl ( int x, int y, int z ) {
        super ( x, y );
        mZ = z;
    }
    private ParcelableImpl ( Parcel in ) {
        super ( in );
        mZ = in.readInt();
    }
    @Override
    public void writeToParcel ( Parcel parcel, int i ) {
        super.writeToParcel ( parcel, i );
        parcel.writeInt ( mZ );
    }
    public static final Creator<ParcelableImpl> CREATOR = new Creator<ParcelableImpl>() {
        @Override
        public ParcelableImpl createFromParcel ( Parcel parcel ) {
            return new ParcelableImpl ( parcel );
        }
        @Override
        public ParcelableImpl[] newArray ( int size ) {
            return new ParcelableImpl[size];
        }
    };
}
