@ApiMethod ( name = "getUserByEmail", path = "getUserByEmail" )
public User getUserByEmail ( @Named ( "email" ) String email ) {
    EntityManager mgr = getEntityManager();
    User user = null;
    try {
        Query query = mgr.createQuery ( "SELECT FROM User u WHERE u.email = :email" );
        query.setParameter ( "email", email );
        user = ( User ) query.getSingleResult();
    } finally {
        mgr.close();
    }
    return user;
}
