public class ResourceDeltaVisitor implements IResourceDeltaVisitor {
    private ArrayList<IResource> changedClasses = new ArrayList<IResource>();
    public boolean visit ( IResourceDelta delta ) {
        IResource res = delta.getResource();
        if ( res.getName().endsWith ( ".java" ) ) {
            addResource ( res );
        }
        return true;
    }
    public ArrayList<IResource> getChangedResources() {
        return changedClasses;
    }
    private void addResource ( IResource res ) {
        changedClasses.add ( res );
    }
}
