private static void tighten ( IntTreeNode root ) {
    if ( root == null ) {
        return;
    }
    tighten ( root.left );
    tighten ( root.right );
    try {
        IntTreeNode n = onlyChild ( root.left );
        root.left = n;
    } catch ( IllegalArgumentException ioe ) {}
    try {
        IntTreeNode n = onlyChild ( root.right );
        root.right = n;
    } catch ( IllegalArgumentException ioe ) {}
}
private static int countDirectChildren ( IntTreeNode node ) {
    if ( node == null ) {
        return 0;
    }
    int i = 0;
    if ( node.left != null ) {
        i++;
    }
    if ( node.right != null ) {
        i++;
    }
    return i;
}
private static IntTreeNode onlyChild ( IntTreeNode node ) throws IllegalArgumentException {
    if ( countDirectChildren ( node ) != 1 ) {
        throw new IllegalArgumentException ( node + " doesn't have exactly one child" );
    }
    if ( node.right != null ) {
        return node.right;
    } else {
        return node.left;
    }
}
