import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;
import javax.swing.JPanel;
public class MainFrame extends javax.swing.JFrame {
    private javax.swing.JPanel jPanel1;
    public MainFrame() {
        initComponents();
    }
    private void initComponents() {
        jPanel1 = new ImagePanel();
        setDefaultCloseOperation ( javax.swing.WindowConstants.EXIT_ON_CLOSE );
        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout (
            jPanel1 );
        jPanel1.setLayout ( jPanel1Layout );
        jPanel1Layout.setHorizontalGroup ( jPanel1Layout.createParallelGroup (
                                               javax.swing.GroupLayout.Alignment.LEADING ).addGap ( 0, 400,
                                                       Short.MAX_VALUE ) );
        jPanel1Layout.setVerticalGroup ( jPanel1Layout.createParallelGroup (
                                             javax.swing.GroupLayout.Alignment.LEADING ).addGap ( 0, 300,
                                                     Short.MAX_VALUE ) );
        javax.swing.GroupLayout layout = new javax.swing.GroupLayout (
            getContentPane() );
        getContentPane().setLayout ( layout );
        layout.setHorizontalGroup ( layout.createParallelGroup (
                                        javax.swing.GroupLayout.Alignment.LEADING ).addComponent (
                                        jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE,
                                        javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE ) );
        layout.setVerticalGroup ( layout.createParallelGroup (
                                      javax.swing.GroupLayout.Alignment.LEADING ).addComponent (
                                      jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE,
                                      javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE ) );
        pack();
    }
    public static void main ( String args[] ) {
        java.awt.EventQueue.invokeLater ( new Runnable() {
            public void run() {
                new MainFrame().setVisible ( true );
            }
        } );
    }
    public class ImagePanel extends JPanel {
        private BufferedImage image;
        public ImagePanel() {
            try {
                image = ImageIO.read ( new File ( "image name and path" ) );
            } catch ( IOException ex ) {
            }
        }
        @Override
        protected void paintComponent ( Graphics g ) {
            super.paintComponent ( g );
            g.drawImage ( image, 0, 0, null );
        }
    }
}
