DefaultTableModel model = new DefaultTableModel ( 5, 6 ) {
    @Override
    public Class<?> getColumnClass ( int columnIndex ) {
        switch ( columnIndex ) {
        case 4:
        case 5:
            return Boolean.class;
        }
        return super.getColumnClass ( columnIndex );
    }
    @Override
    public boolean isCellEditable ( int row, int column ) {
        if ( column == 5 ) {
            Object value = getValueAt ( row, 4 );
            return value != null && ( Boolean ) value;
        }
        return super.isCellEditable ( row, column );
    }
    @Override
    public void setValueAt ( Object aValue, int row, int column ) {
        if ( column == 4 ) {
            super.setValueAt ( Boolean.FALSE, row, 5 );
        }
        super.setValueAt ( aValue, row, column );
    }
};
