@Inject public BitcoinPayment (
    @Assisted long value,
    BitcoinService bitcoinService
) {
}
public IBitcoinPaymentFactory {
    BitcoinPayment create ( long value );
}
install ( new FactoryModuleBuilder().build ( IBitcoinPaymentFactory.class ) );
public GeneratedBitcoinPaymentFactory implements IBitcoinPaymentFactory {
    @Inject Provider<BitcoinService> bitcoinServiceProvider;
    @Override public BitcoinPayment create ( long value ) {
        return new BitcoinPayment ( value, bitcoinServiceProvider.get() );
    }
}
