public class JavaChat extends Application {
    @Override
    public void start ( Stage stage ) throws Exception {
        FMXLLoader loader = new FXMLLoader ( getClass().getResource ( "FXMLDocument.fxml" ) );
        Parent root = loader.load();
        FXMLDocumentController controller = ( FXMLDocumentController ) loader.getController();
        Scene scene = new Scene ( root );
        Connection.createNewConnection();
        Thread readerThread = new Thread ( new IncomingReader ( controller ) );
        readerThread.start();
        stage.setScene ( scene );
        stage.show();
    }
    public static void main ( String[] args ) {
        launch ( args );
    }
}
