public class Google01 implements Outer {
    int outer = 0;
    public static void main ( String[] args ) {
        Google01 inst = new Google01();
        inst.testMe();
    }
    public void testMe() {
        class temp {
            Outer out;
            public temp ( Outer out ) {
                this.out = out;
            }
            public void printMe ( String text ) {
                System.out.println ( out.getValue() + text );
                out.setValue ( out.getValue() + 1 );
            }
        }
        temp obj = new temp ( this );
        System.out.println ( "Value of outer before call = " + outer );
        obj.printMe ( "Yahooo" );
        obj.printMe ( "Google" );
        obj.printMe ( "Bing" );
        System.out.println ( "Value of outer after call = " + outer );
    }
    @Override
    public void setValue ( int value ) {
        outer = value;
    }
    @Override
    public int getValue() {
        return outer;
    }
}
interface Outer {
    void setValue ( int value );
    int getValue();
}
