package net.mperon.cdi.extension;
public class MyExtension implements Extension {
    private static final Logger log = LoggerFactory.getLogger ( MyExtension.class );
    public <T> void processAnnotatedType ( @Observes ProcessAnnotatedType<T> pat ) {
        AnnotatedType<T> at = pat.getAnnotatedType();
        if ( !at.isAnnotationPresent ( HttpSecurity.class ) ) {
            return;
        }
        log.info ( "class: {}", at.getJavaClass() );
        log.info ( "constructors: {}", at.getConstructors() );
        log.info ( "fields: {}", at.getFields() );
        log.info ( "methods: {}", at.getMethods() );
    }
