if ( timerstarted > 0 ) {
    if ( reopened < timerends ) {
        newtotalTimeCountInMilliseconds = timerends - reopened;
        countDownTimer = new CountDownTimer ( newtotalTimeCountInMilliseconds, 500 ) {
            @Override
            public void onTick ( long leftTimeInMilliseconds ) {
                long seconds = leftTimeInMilliseconds / 1000;
                mSeekArc.setVisibility ( View.INVISIBLE );
                start_timer.setVisibility ( View.INVISIBLE );
                block_button1.setVisibility ( View.INVISIBLE );
                if ( leftTimeInMilliseconds < timeBlinkInMilliseconds ) {
                    if ( blink ) {
                        number_text.setVisibility ( View.VISIBLE );
                        minute_text.setVisibility ( View.VISIBLE );
                        second_text.setVisibility ( View.VISIBLE );
                    } else {
                        number_text.setVisibility ( View.INVISIBLE );
                        minute_text.setVisibility ( View.INVISIBLE );
                        second_text.setVisibility ( View.INVISIBLE );
                    }
                    blink = !blink;
                }
                second_text.setText ( String.format ( "%02d", seconds % 60 ) );
                minute_text.setText ( String.format ( "%02d", ( seconds / 60 ) % 60 ) );
                number_text.setText ( String.format ( "%02d", seconds / 3600 ) );
            }
            @Override
            public void onFinish() {
                number_text.setVisibility ( View.VISIBLE );
                minute_text.setVisibility ( View.VISIBLE );
                second_text.setVisibility ( View.VISIBLE );
                mSeekArc.setVisibility ( View.VISIBLE );
                start_timer.setVisibility ( View.VISIBLE );
                block_button1.setVisibility ( View.VISIBLE );
            }
        } .start();
    }
}
