public abstract class Coordinator {
    protected ShipperAgent shipperAgent;
    protected DefaultTableModel tableModel;
    public Coordinator ( ShipperAgent sa, DefaultTableModel tm ) {
        shipperAgent = sa;
        tableModel = tm;
    }
    public abstract void notifyAndAddRow ( Object[] rowData );
    public abstract void notifyAndDeleteRow ( int rowIndex );
}
