private String selectedImagePath = "";
final private int PICK_IMAGE = 1;
final private int CAPTURE_IMAGE = 2;
private String imgPath;
private void selectImage() {
    AlertDialog.Builder builder = new AlertDialog.Builder (
        ProfileActivity.this );
    builder.setItems ( new CharSequence[] { "Take a Photo",
                                            "Choose from Gallery"
                                          },
    new DialogInterface.OnClickListener() {
        @Override
        public void onClick ( DialogInterface dialog, int which ) {
            switch ( which ) {
            case 0:
                Intent intent1 = new Intent (
                    MediaStore.ACTION_IMAGE_CAPTURE );
                intent1.putExtra ( MediaStore.EXTRA_OUTPUT,
                                   setImageUri() );
                startActivityForResult ( intent1, CAPTURE_IMAGE );
                break;
            case 1:
                Intent intent = new Intent();
                intent.setType ( "image/*" );
                intent.setAction ( Intent.ACTION_GET_CONTENT );
                startActivityForResult (
                    Intent.createChooser ( intent, "" ),
                    PICK_IMAGE );
                break;
            default:
                break;
            }
        }
    } );
    builder.show();
}
public Uri setImageUri() {
    File file = new File ( Environment.getExternalStorageDirectory(), "image" + new     Date().getTime() + ".png" );
    Uri imgUri = Uri.fromFile ( file );
    this.imgPath = file.getAbsolutePath();
    return imgUri;
}
public String getImagePath() {
    return imgPath;
}
