import org.jsoup.*;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;
import org.jsoup.select.Elements;
import java.util.List;
import java.util.ArrayList;
class ItemElements {
    String itemLine;
    String itemTime;
    String itemDescription;
    public String getItemLine() {
        return this.itemLine;
    }
    public String getItemTime() {
        return this.itemTime;
    }
    public String getItemDescription() {
        return this.itemDescription;
    }
    public void setItemLine ( String itemLine ) {
        this.itemLine = itemLine;
    }
    public void setItemTime ( String itemTime ) {
        this.itemTime = itemTime;
    }
    public void setItemDescription ( String itemDescription ) {
        this.itemDescription = itemDescription;
    }
}
public class TestJSOUP {
    public static void main ( String[] args ) {
        String html = " <table cellspacing='1' cellpadding='0' rules='all' border='0' id='dtgHorasPorLinea' style='border-width:0px;width:100%;'><tr><td class='Minutes_css' align='center' valign='middle' style='height:45px;width:90px;'>26 <span style='font-size:16px'>min.</span></td><td class='Linea_Interurbana_Nocturna_css' valign='middle' style='height:45px;width:45px;'> <img id='dtgHorasPorLinea_ctl02_imgLineas' src='img/08_mobile_logo_interurb-n.jpg' style='border-width:0px;' /></td><td class='Linea_Interurbana_Nocturna_css' valign='middle' style='height:45px;width:95px;'><span id='dtgHorasPorLinea_ctl02_lblNumLine'>N802</span></td><td class='Descrip_td_sp' align='left' valign='middle' style='height:45px;width:944px;'>TORRES QUEVEDO-GUARDIA CIVIL TRÁFICO</td></tr><tr><td class='Minutes_css' align='center' valign='middle' style='height:45px;width:90px;'>02:15</td><td class='Linea_Interurbana_Nocturna_css' valign='middle' style='height:45px;width:45px;'><img id='dtgHorasPorLinea_ctl03_imgLineas' src='img/08_mobile_logo_interurb-n.jpg' style='border-width:0px;' /></td><td class='Linea_Interurbana_Nocturna_css' valign='middle' style='height:45px;width:95px;'><span id='dtgHorasPorLinea_ctl03_lblNumLine'>N804</span></td><td class='Descrip_td_sp' align='left' valign='middle' style='height:45px;width:944px;'>INTERCAMBIADOR DE ALUCHE</td></tr><tr><td class='Minutes_css' align='center' valign='middle' style='height:45px;width:90px;'>02:37</td><td class='Linea_Interurbana_Nocturna_css' valign='middle' style='height:45px;width:45px;'><img id='dtgHorasPorLinea_ctl04_imgLineas' src='img/08_mobile_logo_interurb-n.jpg' style='border-width:0px;' /> </td><td class='Linea_Interurbana_Nocturna_css' valign='middle' style='height:45px;width:95px;'><span id='dtgHorasPorLinea_ctl04_lblNumLine'>N802</span></td><td class='Descrip_td_sp' align='left' valign='middle' style='height:45px;width:944px;'>TORRES QUEVEDO-GUARDIA CIVIL TRÁFICO</td></tr><tr> <td class='Minutes_css' align='center' valign='middle' style='height:45px;width:90px;'>04:15</td><td class='Linea_Interurbana_Nocturna_css' valign='middle' style='height:45px;width:45px;'><img id='dtgHorasPorLinea_ctl05_imgLineas' src='img/08_mobile_logo_interurb-n.jpg' style='border-width:0px;' /></td><td class='Linea_Interurbana_Nocturna_css' valign='middle' style='height:45px;width:95px;'><span id='dtgHorasPorLinea_ctl05_lblNumLine'>N804</span></td><td class='Descrip_td_sp' align='left' valign='middle' style='height:45px;width:944px;'>INTERCAMBIADOR DE ALUCHE</td></tr></table>";
        Document doc = Jsoup.parse ( html );
        Elements tdMinutes  = doc.getElementsByClass ( "Minutes_css" );
        Elements tdDescription = doc.getElementsByClass ( "Descrip_td_sp" );
        Elements tdLines = doc.select ( "tr td:eq(2) span" );
        for ( Element line : tdLines ) {
            System.out.println ( "Element line is: " + line.text() );
        }
        System.out.println ( "tdMinutes size: " + tdMinutes.size() );
        System.out.println ( "tdDescription size: " + tdDescription.size() );
        System.out.println ( "tdLine size: " + tdLines.size() );
        for ( Element e : tdMinutes ) {
            System.out.println ( "tdMinute is: " + e.text() );
        }
        for ( Element e : tdDescription ) {
            System.out.println ( "tdDescription: " + e.text() );
        }
        List<ItemElements> allItemElements = new ArrayList<ItemElements>();
        for ( int i = 0; i < tdMinutes.size(); i++ ) {
            ItemElements e = new ItemElements();
            e.setItemLine ( tdLines.get ( i ).text() );
            e.setItemTime ( tdMinutes.get ( i ).text() );
            e.setItemDescription ( tdDescription.get ( i ).text() );
            allItemElements.add ( e );
        }
        System.out.println ( "############## all ItemElements size: \n" );
        int counter = 0;
        for ( ItemElements element : allItemElements ) {
            System.out.println ( counter + "# \n" );
            System.out.println ( "Item line: " + element.getItemLine() );
            System.out.println ( "Item time: " + element.getItemTime() );
            System.out.println ( "Item Description: " + element.getItemDescription() );
            i++;
        }
    }
}
