abstract class AbstractParent {
    final void executeIt() {
        doBefore();
        doInTheMiddle()
        doLast();
    }
    abstract void doBefore();
    abstract void doInTheMiddle();
    final void doLast() {
        ....
    }
}
class SubA extends AbstractParent {
    void doBefore() {
        ... does something ...
    }
    void doInTheMiddle() {
        ... does something ...
    }
}
class SubB extends SubA {
    void doBefore() {
        ... does something different ...
    }
}
