public class FileApplication extends Application {
    @Override
    public synchronized Restlet createInboundRoot() {
        String ROOT_URI = "file:///"
                          + Environment.getExternalStorageDirectory() + "/";
        Directory directory = new Directory ( getContext(),
                                              LocalReference.localizePath ( ROOT_URI ) );
        directory.setListingAllowed ( true );
        Router router = new Router ( getContext() );
        router.attach ( "/files", directory );
        return router;
    }
}
