String[] input = {
    "account[id].attr",
    "account[anotherid].anotherattr"
};
Pattern p = Pattern.compile ( "account\\[(.+)\\]\\.(.+)" );
Map<String, String> output = new LinkedHashMap<String, String>();
for ( String s : input ) {
    Matcher m = p.matcher ( s );
    if ( m.find() ) {
        output.put ( m.group ( 1 ), m.group ( 2 ) );
    }
}
System.out.println ( output );
