public static String toString ( Document doc ) {
    try {
        StringWriter sw = new StringWriter();
        TransformerFactory tf = TransformerFactory.newInstance();
        Transformer transformer = tf.newTransformer();
        transformer.setOutputProperty ( OutputKeys.OMIT_XML_DECLARATION, "no" );
        transformer.setOutputProperty ( OutputKeys.METHOD, "xml" );
        transformer.setOutputProperty ( OutputKeys.INDENT, "yes" );
        transformer.setOutputProperty ( OutputKeys.ENCODING, "UTF-8" );
        transformer.transform ( new DOMSource ( doc ), new StreamResult ( sw ) );
        return sw.toString();
    } catch ( Exception ex ) {
        throw new RuntimeException ( "Error converting to String", ex );
    }
}
