public class MainActivity extends ActionBarActivity {
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        if ( savedInstanceState == null ) {
            getSupportFragmentManager().beginTransaction()
            .add ( R.id.container, new PlaceholderFragment() )
            .commit();
        }
    }
    @Override
    public boolean onCreateOptionsMenu ( Menu menu ) {
        getMenuInflater().inflate ( R.menu.main, menu );
        return true;
    }
    @Override
    public boolean onOptionsItemSelected ( MenuItem item ) {
        int id = item.getItemId();
        if ( id == R.id.action_settings ) {
            return true;
        }
        return super.onOptionsItemSelected ( item );
    }
    public static class PlaceholderFragment extends Fragment {
        public PlaceholderFragment() {
        }
        @Override
        public View onCreateView ( LayoutInflater inflater, ViewGroup container,
                                   Bundle savedInstanceState ) {
            View rootView = inflater.inflate ( R.layout.fragment_main, container, false );
            Spinner spinner = ( Spinner ) rootView.findViewById ( R.id.planets_spinner );
            ArrayAdapter<CharSequence> adapter = ArrayAdapter.createFromResource ( getActivity(), R.array.planets_array, android.R.layout.simple_spinner_item );
            adapter.setDropDownViewResource ( android.R.layout.simple_spinner_dropdown_item );
            spinner.setAdapter ( adapter );
            return rootView;
        }
    }
}
