@WebFilter ( "/*" )
public class redirectOnSessionCount implements Filter {
    public void destroy() {
    }
    public void doFilter ( ServletRequest request, ServletResponse response, FilterChain chain ) throws IOException, ServletException {
        HttpServletResponse httpResponse = ( HttpServletResponse ) response;
        HttpServletRequest httpRequest = ( HttpServletRequest ) request;
        Integer sessionCount = ( Integer ) request.getServletContext().getAttribute ( "SESSION_COUNT" );
        if ( sessionCount != null && sessionCount > 2 && ! httpRequest.getRequestURL().toString().contains ( "Error.jsp" ) ) {
            httpResponse.sendRedirect ( "Error.jsp" );
        }
        chain.doFilter ( request, response );
    }
    public void init ( FilterConfig fConfig ) throws ServletException {
    }
}
