import org.eclipse.jetty.servlets.CrossOriginFilter;
import javax.servlet.DispatcherType;
import java.util.EnumSet;
public void run ( Configuration conf, Environment environment )  {
    final FilterRegistration.Dynamic cors =
        environment.servlets().addFilter ( "CORS", CrossOriginFilter.class );
    cors.setInitParameter ( "allowedOrigins", "*" );
    cors.setInitParameter ( "allowedHeaders", "X-Requested-With,Content-Type,Accept,Origin" );
    cors.setInitParameter ( "allowedMethods", "OPTIONS,GET,PUT,POST,DELETE,HEAD" );
    cors.addMappingForUrlPatterns ( EnumSet.allOf ( DispatcherType.class ), true, "/*" );
}
