@ManyToMany ( cascade = {CascadeType.ALL}, fetch = FetchType.EAGER )
@JoinTable (
    name = "AvailOptionPlanTypeAssoc",
    joinColumns = { @JoinColumn ( name = "OptionId" ),
                    @JoinColumn ( name = "SourceApplication" )
                  },
    inverseJoinColumns = @JoinColumn ( name = "PlanTypeCd" ) )
List<PlanType> planTypes = new ArrayList<PlanType>();
@ManyToMany (
    mappedBy = "planTypes"
)
List<AvailableOption> options = new ArrayList<AvailableOption>();
