public void testPersistTwoExpertiseAreasWithTheSameNameIsNotAllowed() {
    ExpertiseArea ea = new ExpertiseArea ( "Design" );
    ExpertiseArea otherEA = new ExpertiseArea ( "Design" );
    SessionFactory sf = getSessionFactory();
    Session session = sf.openSession();
    Transaction txn = session.beginTransaction();
    try {
        ead.setSession ( session );
        ead.makePersistent ( ea );
        txn.commit();
    } catch ( HibernateException ex ) {
        txn.rollback();
        fail ( "Unexpected exception " + ex );
    } finally {
        session.close();
        ead.setSession ( null );
    }
    session = sf.openSession();
    txn = session.beginTransaction();
    try {
        ead.setSession ( session );
        ead.makePersistent ( otherEA );
        txn.commit();
        fail ( "Expected constraint violation exception" );
    } finally {
        session.close();
        ead.setSession ( null );
    }
}
