public boolean onMenuItemSelected ( int featureId, MenuItem item ) {
    switch ( item.getItemId() ) {
    case DELETE_DB_ID:
        AlertDialog.Builder builder = new AlertDialog.Builder ( this );
        builder.setMessage ( "Are you sure you want to exit?" )
        .setCancelable ( false )
        .setPositiveButton ( "Yes", new DialogInterface.OnClickListener() {
            public void onClick ( DialogInterface dialog, int id ) {
                Favs.this.finish();
            }
        } )
        .setNegativeButton ( "No", new DialogInterface.OnClickListener() {
            public void onClick ( DialogInterface dialog, int id ) {
                dialog.cancel();
            }
        } );
        AlertDialog alert = builder.create();
        alert.show();
        return true;
    }
    return super.onMenuItemSelected ( featureId, item );
}
