public class ManagedBandwidthStream extends InputStream {
    private DownloadManagerImpl owner;
    public ManagedBandwidthStream (
        InputStream original,
        DownloadManagerImpl owner
    ) {
        super ( original );
        this.owner = owner;
    }
    public int read ( byte[] b, int offset, int length ) {
        owner.read ( this, b, offset, length );
    }
    int actuallyRead ( byte[] b, int offset, int length ) {
        super.read ( b, offset, length );
    }
}
