public class SampleProducer : CoroutineProducer<Object> {
    private WhileLoop<Object> loop;
    public SampleProducer() {
        loop = new WhileLoop() {
            private int other_state;
            protected WhileState execute() {
                if ( is_done ) {
                    return WhileState.BREAK;
                }
                Object calcluated_value = ...;
                setReturnValue ( calculated_value );
                return WhileState.YIELD;
            }
        };
    }
    public Object Produce() {
        Object val = loop.loop();
        return val;
    }
    public boolean isDone() {
        return loop.isDone();
    }
}
