public void testUnit() {
    Measure<Double, Dimensionless> p0 = Measure.valueOf ( 50.0, NonSI.PERCENT );
    Measure<Double, Dimensionless> p1 = Measure.valueOf ( 20.0, NonSI.PERCENT );
    Measure<Double, Duration> timeDifference = Measure.valueOf ( 10.0, SI.SECOND );
    double p0Raw = p0.doubleValue ( NonSI.PERCENT );
    double p1Raw = p1.doubleValue ( NonSI.PERCENT );
    double timeDifferenceRaw = timeDifference.doubleValue ( SI.SECOND );
    double rateSecant = ( p1Raw - p0Raw ) / timeDifferenceRaw;
    Measure<Double, ?> answer = Measure.valueOf ( rateSecant,
                                NonSI.PERCENT.divide ( SI.SECOND ) );
    System.out.println ( answer );
}
