ServletContext servletContext = servletContextEvent.getServletContext();
try {
    Timer timer = new Timer();
    MyTimerTask task = new MyTimerTask();
    Calendar calendar = Calendar.getInstance();
    Date startTime = calendar.getTime();
    timer.scheduleAtFixedRate ( task, startTime, 1000 * 60 * 60 );
    servletContext.setAttribute ( "timer", timer );
} catch ( Exception e ) {
    servletContext.log ( "Problem initializing the task that was to run hourly: " + e.getMessage () );
}
