import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;
public class SimpleTest {
    public static void main ( String[] args ) {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory ( "escribs-pu" );
        Person person = new Person();
        person.setId ( 1L );
        person.setName ( "Clark" );
        EntityManager em = null;
        EntityTransaction tx = null;
        try {
            em = emf.createEntityManager();
            tx = em.getTransaction();
            tx.begin();
            em.persist ( person );
            tx.commit();
            System.out.println ( "Person id: " + person.getId() );
        } catch ( RuntimeException e ) {
            tx.rollback();
            throw e;
        } finally {
            if ( em != null && em.isOpen() ) {
                em.close();
            }
        }
    }
}
