final ExecutorService executor;
Runtime.getRuntime().addShutdownHook ( new Thread() {
    public void run() {
        executor.shutdown();
        if ( !executor.awaitTermination ( SHUTDOWN_TIME ) ) {
            Logger.log ( "Executor did not terminate in the specified time." );
            List<Runnable> droppedTasks = executor.shutdownNow();
            Logger.log ( "Executor was abruptly shut down. " + droppedTasks.size() + " tasks will not be executed." );
        }
    }
} );
