interface ElementVisitor {
    visit ( Element e );
    visit ( SubElement se );
}
class ElementerPrinter implements ElementVisitor {
    visit ( Element e ) {
        System.out.println ( "e" );
    }
    visit ( SubElement e ) {
        System.out.println ( "sub" );
    }
}
class Element {
    accept ( ElementVisitor visitor ) {
        visitor.visit ( this );
    }
}
class SubElement {
    accept ( ElementVisitor visitor ) {
        visitor.visit ( this );
    }
}
