JNIEXPORT jlong JNICALL
Java_java_io_FileInputStream_skip ( JNIEnv * env, jobject this, jlong toSkip ) {
    jlong cur = jlong_zero;
    jlong end = jlong_zero;
    FD fd = GET_FD ( this, fis_fd );
    if ( fd == -1 ) {
        JNU_ThrowIOException ( env, "Stream Closed" );
        return 0;
    }
    if ( ( cur = IO_Lseek ( fd, ( jlong ) 0, ( jint ) SEEK_CUR ) ) == -1 ) {
        JNU_ThrowIOExceptionWithLastError ( env, "Seek error" );
    } else if ( ( end = IO_Lseek ( fd, toSkip, ( jint ) SEEK_CUR ) ) == -1 ) {
        JNU_ThrowIOExceptionWithLastError ( env, "Seek error" );
    }
    return ( end - cur );
}
