public static boolean isModalDialogShowing() {
    Window[] windows = Window.getWindows();
    if ( windows != null ) {
        for ( Window w : windows ) {
            if ( w.isShowing() && w instanceof Dialog && ( ( Dialog ) w ).isModal() ) {
                return true;
            }
        }
    }
    return false;
}
