package reversestring;
public class Propogate {
    public static String reverse ( String name ) {
        if ( name == null || name.length() == 0 ) {
            throw new RuntimeException ( "Empty name!" );
        }
        return new StringBuilder ( name ).reverse().toString();
    }
    public static void main ( String[] args ) {
        String name;
        try {
            name = Propogate.reverse ( "java" );
            System.out.println ( "Reversed string: " + name );
        } catch ( RuntimeException rx ) {
            System.err.println ( rx.getMessage() );
        } finally {
            System.out.println ( "done" );
        }
    }
}
