class Statistics {
    private final static int N = 180;
    Queue<Integer> queue = new LinkedList<Integer>();
    SortedMap<Integer, Integer> counts = new TreeMap<Integer, Integer>();
    public int insertAndGetSmallerCount ( int x ) {
        queue.add ( x );
        counts.put ( x, getCount ( x ) + 1 );
        int lessCount = 0;
        for ( int i : counts.headMap ( x ).values() ) {
            lessCount += i;
        }
        if ( queue.size() > N ) {
            int oldest = queue.remove();
            int newCount = getCount ( oldest ) - 1;
            if ( newCount == 0 ) {
                counts.remove ( oldest );
            } else {
                counts.put ( oldest, newCount );
            }
        }
        return lessCount;
    }
    private int getCount ( int x ) {
        return counts.containsKey ( x ) ? counts.get ( x ) : 0;
    }
}
