public static void main ( String[] args ) throws Exception {
    final DateFormat format =
        new SimpleDateFormat ( "yyyyMMdd" );
    Callable<Date> task = new Callable<Date>() {
        public Date call() throws Exception {
            return format.parse ( "20101022" );
        }
    };
    ExecutorService exec = Executors.newFixedThreadPool ( 5 );
    List<Future<Date>> results =
        new ArrayList<Future<Date>>();
    for ( int i = 0 ; i < 10 ; i++ ) {
        results.add ( exec.submit ( task ) );
    }
    exec.shutdown();
    for ( Future<Date> result : results ) {
        System.out.println ( result.get() );
    }
}
