IndexSearcher searcher = new IndexSearcher ( directory );
QueryParser parser = new QueryParser ( Version.LUCENE_30, "content", analyzer );
Query query = parser.parse ( "terms to search" );
TopScoreDocCollector collector = TopScoreDocCollector.create ( HOW_MANY_RESULTS_TO_COLLECT, true );
searcher.search ( query, collector );
ScoreDoc[] hits = collector.topDocs().scoreDocs;
for ( int i = 0; i < hits.length; i++ ) {
    Document hitDoc = searcher.doc ( hits[i].doc );
    System.out.println ( "Title: " + hitDoc.get ( "title" ) );
    System.out.println ( "Content: " + hitDoc.get ( "content" ) );
    System.out.println();
}
