public class Main {
    public static void main ( String[] args ) {
        final int value;
        value = score ( "ACGT", "AC" );
        System.out.println ( value );
    }
    public static int score ( final String gene1,
                              final String gene2 ) {
        final char[] a;
        final char[] b;
        final int    s;
        a = gene1.toCharArray();
        b = gene2.toCharArray();
        s = score ( a, b, 0, 0 );
        return ( s );
    }
    private static int score ( final char[] a,
                               final char[] b,
                               final int    idxA,
                               final int    idxB ) {
        final int value;
        if ( idxA >= a.length || idxB >= b.length ) {
            value = 0;
        } else if ( a[idxA] == b[idxB] ) {
            value = 1 + score ( a, b, idxA + 1, idxB + 1 );
        } else {
            final int x;
            final int y;
            x = score ( a, b, idxA + 1, idxB );
            y = score ( a, b, idxB,     idxB + 1 );
            value = max ( x, y );
        }
        return ( value );
    }
    private static int max ( final int x, final int y ) {
        final int value;
        if ( x < y ) {
            value = y;
        } else {
            value = x;
        }
        return ( value );
    }
}
