public class Mime {
    public static void main ( String[] args ) throws MessagingException,
        IOException {
        InputStream stringStream = new FileInputStream ( "mime" );
        InputStream output = MimeUtility.decode ( stringStream,
                             "quoted-printable" );
        System.out.println ( convertStreamToString ( output ) );
    }
    public static String convertStreamToString ( InputStream is )
    throws IOException {
        if ( is != null ) {
            Writer writer = new StringWriter();
            char[] buffer = new char[1024];
            try {
                Reader reader = new BufferedReader ( new InputStreamReader ( is,
                                                     "ISO8859_1" ) );
                int n;
                while ( ( n = reader.read ( buffer ) ) != -1 ) {
                    writer.write ( buffer, 0, n );
                }
            } finally {
                is.close();
            }
            return writer.toString();
        } else {
            return "";
        }
    }
}
