public void notify ( String tag, int id, Notification notification ) {
    int[] idOut = new int[1];
    INotificationManager service = getService();
    String pkg = mContext.getPackageName();
    if ( localLOGV ) {
        Log.v ( TAG, pkg + ": notify(" + id + ", " + notification + ")" );
    }
    try {
        service.enqueueNotificationWithTag ( pkg, tag, id, notification, idOut );
        if ( id != idOut[0] ) {
            Log.w ( TAG, "notify: id corrupted: sent " + id + ", got back " + idOut[0] );
        }
    } catch ( RemoteException e ) {
    }
}
