public class CloseableWindow extends JFrame {
    public void setUp() {
        JPanel mainPanel = createMainPanel();
        KeyStroke closeKey = KeyStroke.getKeyStroke (
                                 KeyEvent.VK_W, Toolkit.getDefaultToolkit().getMenuShortcutKeyMask() );
        mainPanel.getInputMap().put ( closeKey, "closeWindow" );
        mainPanel.getActionMap().put ( "closeWindow",
        new AbstractAction ( "Close Window" ) {
            @Override public void actionPerformed ( ActionEvent e ) {
                setVisible ( false );
                dispose();
            }
        }
    }
    getContentPane().add ( mainPanel );
}
}
