public static void main ( final String[] args ) throws Exception {
    final Cache cache = CacheManager.getInstance().getCache ( "smallCache" );
    final List<String> list = new ArrayList<String>();
    cache.put ( new Element ( "A", list ) );
    cache.put ( new Element ( "B", new ArrayList<String>() ) );
    Thread.sleep ( 2000 );
    final List<String> retrievedList1 =
        ( List<String> ) cache.get ( "A" ).getValue();
    retrievedList1.add ( "From Thread 1" );
    cache.put ( new Element ( "C", new ArrayList<String>() ) );
    Thread.sleep ( 2000 );
    final List<String> retrievedList2 =
        ( List<String> ) cache.get ( "A" ).getValue();
    retrievedList2.add ( "From Thread 2" );
    cache.put ( new Element ( "A", retrievedList2 ) );
    cache.put ( new Element ( "A", retrievedList1 ) );
    final List<String> resultingList =
        ( List<String> ) cache.get ( "A" ).getValue();
    for ( final String string : resultingList ) {
        System.out.println ( string );
    }
    CacheManager.getInstance().shutdown();
}
