public class MyUserDetailsService implements UserDetailsService {
    private EntityManager entityManager;
    @PersistenceContext
    public void setEntityManager ( EntityManager newEm ) {
        this.entityManager = newEm;
    }
    public UserDetails loadUserByUsername ( String username ) {
        return entityManager.createQuery ( "from User where username = :username", User.class )
               .setParameter ( "username", username )
               .getSingleResult();
    }
}
