package test;
import java.io.FileOutputStream;
import java.io.IOException;
import java.net.SocketException;
import org.apache.commons.net.ftp.FTPClient;
import org.apache.commons.net.ftp.FTPFile;
public class FtpTransfer {
    public static final void main ( String[] args ) throws SocketException, IOException {
        FTPClient ftp = new FTPClient();
        ftp.connect ( "ftp.somedomain.com" );
        System.out.println ( "login: " + ftp.login ( "username", "pass" ) );
        ftp.changeWorkingDirectory ( "folder/subfolder/" );
        FTPFile[] files = ftp.listFiles();
        System.out.println ( "Listed " + files.length + " files." );
        for ( FTPFile file : files ) {
            System.out.println ( file.getName() );
        }
        ftp.setFileType ( FTPClient.BINARY_FILE_TYPE );
        FileOutputStream br = new FileOutputStream ( "C:\\Documents and Settings\\casonkl\\Desktop\\my_downloaded_image_new_name.jpg" );
        ftp.retrieveFile ( "name_of_image_on_server.jpg", br );
        ftp.disconnect();
    }
}
