class SQLQueryCallable implements Callable<SQLResultSet> {
    private String query;
    public SQLQueryCallable ( String query ) {
        this.query = query;
    }
    public SQLResultSet Call() throws Exception {
        return results;
    }
}
ExecutorService ex = Executors.newSingleThreadExecutor();
public SQLResultSet runQuery ( String query ) {
    Future<SQLResultSet> f = ex.submit ( new SQLQueryCallable ( query ) );
    return f.get();
}
