Graph<Integer, String> graph = new SparseMultigraph<Integer, String>();
int nodes = 30;
for ( int i = 1; i <= nodes; i++ ) {
    graph.addVertex ( i );
    graph.addEdge ( "Edge-" + i, i, ( i % nodes ) + 1 );
}
Layout<Integer, String> layout = new KKLayout<Integer, String> ( graph );
layout.setSize ( new Dimension ( 300, 300 ) );
BasicVisualizationServer<Integer, String> vv = new BasicVisualizationServer<Integer, String> ( layout );
vv.setPreferredSize ( new Dimension ( 350, 350 ) );
JFrame frame = new JFrame ( "Circle Graph" );
frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
frame.getContentPane().add ( vv );
frame.pack();
frame.setVisible ( true );
