public void run() {
    EditPartViewer viewer = ( EditPartViewer ) part.getAdapter ( EditPartViewer.class );
    EditPart targetEditPart = viewer.findObjectAt ( getLocation() );
    if ( targetEditPart == null ) {
        targetEditPart = viewer.getContents();
    }
    CreateRequest createReq = new CreateRequest();
    createReq.setLocation ( getLocation() );
    createReq.setFactory ( new OwnFactoryImplementation() );
    Command command = targetEditPart.getCommand ( createReq );
    if ( command != null && command.canExecute() ) {
        viewer.getEditDomain().getCommandStack().execute ( command );
    }
}
