long filePosition = 0;
for ( int i = 1; filePosition < contentLength; i++ ) {
    partSize = Math.min ( partSize, ( contentLength - filePosition ) );
    UploadPartRequest uploadRequest = new UploadPartRequest()
    .withBucketName ( existingBucketName ).withKey ( keyName )
    .withUploadId ( initResponse.getUploadId() ).withPartNumber ( i )
    .withFileOffset ( filePosition )
    .withFile ( file )
    .withPartSize ( partSize );
    boolean anotherPass;
    do {
        anotherPass = false;
        try {
            partETags.add ( s3Client.uploadPart ( uploadRequest ).getPartETag() );
        } catch ( Exception e ) {
            anotherPass = true;
        }
    }
}
while ( anotherPass );
filePosition += partSize;
}
CompleteMultipartUploadRequest compRequest = new
CompleteMultipartUploadRequest (
    existingBucketName,
    keyName,
    initResponse.getUploadId(),
    partETags );
s3Client.completeMultipartUpload ( compRequest );
