private float turnToRequestedHeading ( float initialHeading, float requiredHeading, float turnRate ) {
    float resultantHeading;
    int   direction = 1;
    if ( ( Math.signum ( initialHeading ) == Math.signum ( requiredHeading ) ) || ( Math.signum ( initialHeading ) == 0 ) || ( Math.signum ( requiredHeading ) == 0 ) ) {
        if ( Math.max ( Math.abs ( requiredHeading ) - Math.abs ( initialHeading ), Math.abs ( initialHeading ) - Math.abs ( requiredHeading ) ) < turnRate ) {
            resultantHeading = requiredHeading;
            Log.d ( this.getClass().getName(), "turnToRequestedHeading(initialHeading=" + initialHeading + ", requiredHeading=" + requiredHeading + ", turnRate=" + turnRate + "): Path1" );
        } else {
            if ( initialHeading < requiredHeading ) {
                resultantHeading = initialHeading + turnRate;
                Log.d ( this.getClass().getName(), "turnToRequestedHeading(initialHeading=" + initialHeading + ", requiredHeading=" + requiredHeading + ", turnRate=" + turnRate + "): Path2" );
            } else {
                resultantHeading = initialHeading - turnRate;
                Log.d ( this.getClass().getName(), "turnToRequestedHeading(initialHeading=" + initialHeading + ", requiredHeading=" + requiredHeading + ", turnRate=" + turnRate + "): Path3" );
            }
        }
    } else {
        if ( Math.abs ( initialHeading ) + Math.abs ( requiredHeading ) < turnRate ) {
            resultantHeading = requiredHeading;
            Log.d ( this.getClass().getName(), "turnToRequestedHeading(initialHeading=" + initialHeading + ", requiredHeading=" + requiredHeading + ", turnRate=" + turnRate + "): Path4" );
        } else if ( ( 180 - Math.abs ( initialHeading ) ) + ( 180 - Math.abs ( requiredHeading ) ) < turnRate ) {
            resultantHeading = requiredHeading;
            Log.d ( this.getClass().getName(), "turnToRequestedHeading(initialHeading=" + initialHeading + ", requiredHeading=" + requiredHeading + ", turnRate=" + turnRate + "): Path5" );
        } else {
            if ( initialHeading < 0 ) {
                if ( requiredHeading > PIf + initialHeading ) {
                    direction = -1;
                }
            } else {
                if ( requiredHeading > -PIf + initialHeading ) {
                    direction = -1;
                }
            }
            if ( ( direction == 1 ) && ( initialHeading > PIf - turnRate ) ) {
                resultantHeading = -TWO_PIf + turnRate + initialHeading;
                Log.d ( this.getClass().getName(), "turnToRequestedHeading(initialHeading=" + initialHeading + ", requiredHeading=" + requiredHeading + ", turnRate=" + turnRate + "): Path6 snap=" + ( resultantHeading > requiredHeading ) );
                if ( resultantHeading > requiredHeading ) {
                    resultantHeading = requiredHeading;
                }
            } else if ( ( direction == -1 ) && ( initialHeading < -PIf + turnRate ) ) {
                resultantHeading = TWO_PIf - turnRate + initialHeading;
                Log.d ( this.getClass().getName(), "turnToRequestedHeading(initialHeading=" + initialHeading + ", requiredHeading=" + requiredHeading + ", turnRate=" + turnRate + "): Path7 snap=" + ( resultantHeading < requiredHeading ) );
                if ( resultantHeading < requiredHeading ) {
                    resultantHeading = requiredHeading;
                }
            } else {
                resultantHeading = initialHeading + direction * turnRate;
                Log.d ( this.getClass().getName(), "turnToRequestedHeading(initialHeading=" + initialHeading + ", requiredHeading=" + requiredHeading + ", turnRate=" + turnRate + "): Path8 direction=" + direction );
            }
        }
    }
    if ( resultantHeading < -PIf ) {
        resultantHeading = resultantHeading + TWO_PIf;
    }
    if ( resultantHeading >= PIf ) {
        resultantHeading = resultantHeading - TWO_PIf;
    }
    return resultantHeading;
}
