AtomicStateNotifier implements Notifier {
    private final AtomicBoolean empty = new AtomicBoolean ( true );
    private final Notifier delegate;
    public void notEmptyAnymore() {
        if ( empty.get() && empty.compareAndSet ( true, false ) ) {
            delegate.notEmptyAnymore();
        }
    }
    public void nowEmpty() {
        if ( !empty.get() && empty.compareAndSet ( false, true ) ) {
            delegate.nowEmpty();
        }
    }
}
