@WebListener
public class Config implements ServletContextListener {
    private ScheduledExecutorService scheduler;
    @Override
    public void contextInitialized ( ServletContextEvent event ) {
        Reloader reloader = new Reloader ( event.getServletContext() );
        scheduler = Executors.newSingleThreadScheduledExecutor();
        scheduler.scheduleAtFixedRate ( reloader, 1, 1, TimeUnit.DAYS );
    }
    @Override
    public void contextDestroyed ( ServletContextEvent event ) {
        scheduler.shutdownNow();
    }
}
