public static void main ( String[] args ) throws IOException {
    JFrame frame = new JFrame ( "Test" );
    frame.add ( new JComponent() {
        BufferedImage image = ImageIO.read ( new URL ( "http://upload.wikimedia.org/wikipedia/en/2/24/Lenna.png" ) );
        @Override
        protected void paintComponent ( Graphics g ) {
            super.paintComponent ( g );
            AffineTransform at = new AffineTransform();
            at.translate ( getWidth() / 2, getHeight() / 2 );
            at.rotate ( Math.PI / 4 );
            at.scale ( 0.5, 0.5 );
            at.translate ( -image.getWidth() / 2, -image.getHeight() / 2 );
            Graphics2D g2d = ( Graphics2D ) g;
            g2d.drawImage ( image, at, null );
        }
    } );
    frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
    frame.setSize ( 400, 400 );
    frame.setVisible ( true );
}
