private static Number NarrovingNumberConversion ( Class<? extends Number> outputType, Number value ) {
    if ( value == null ) {
        return null;
    }
    if ( Byte.class.equals ( outputType ) ) {
        return value.byteValue();
    }
    if ( Short.class.equals ( outputType ) ) {
        return value.shortValue();
    }
    if ( Integer.class.equals ( outputType ) ) {
        return value.intValue();
    }
    if ( Long.class.equals ( outputType ) ) {
        return value.longValue();
    }
    if ( Float.class.equals ( outputType ) ) {
        return value.floatValue();
    }
    if ( Double.class.equals ( outputType ) ) {
        return value.doubleValue();
    }
    throw new TypeMismatchException();
}
