import java.awt.Image;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.Timer;
public class ImageWorker implements KeyListener {
    private JLabel imageLabel;
    private ImageIcon basicImage;
    private ImageIcon whiteImage;
    private boolean isBasic =  true;
    private int delay = 1000;
    private Timer timer;
    public static void main ( String[] args ) {
        new ImageWorker();
    }
    public ImageWorker() {
        final JFrame frame = new JFrame();
        imageLabel = new JLabel();
        frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        frame.setSize ( 400, 400 );
        frame.getContentPane().add ( imageLabel );
        frame.setVisible ( true );
        try {
            basicImage = new ImageIcon ( ImageIO.read ( new File ( "src\\img\\basis1.jpg" ) ).getScaledInstance ( 1024, 768, Image.SCALE_SMOOTH ) );
            whiteImage = new ImageIcon ( ImageIO.read ( new File ( "src\\img\\wit.jpg" ) ).getScaledInstance ( 1024, 768, Image.SCALE_SMOOTH ) );
        } catch ( IOException ex ) {
            ex.getMessage();
            ex.printStackTrace();
        }
        frame.addKeyListener ( this );
        ActionListener taskPerformer = new ActionListener() {
            public void actionPerformed ( ActionEvent evt ) {
                if ( isBasic ) {
                    imageLabel.setIcon ( basicImage );
                } else {
                    imageLabel.setIcon ( whiteImage );
                }
                isBasic = !isBasic;
            }
        };
        timer = new Timer ( delay, taskPerformer );
        timer.start();
    }
    @Override
    public void keyPressed ( KeyEvent e ) {
        timer.stop();
    }
    @Override
    public void keyReleased ( KeyEvent e ) {
    }
    @Override
    public void keyTyped ( KeyEvent e ) {
    }
}
