import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.GridLayout;
import java.awt.Insets;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;
import javax.swing.JTextField;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
public class FrmTabbedPane  extends JFrame {
    public FrmTabbedPane() {
        createGui();
    }
    private void createGui() {
        JTabbedPane tabbedPane = new JTabbedPane();
        tabbedPane.addTab ( "Tab1", createPanel() );
        tabbedPane.addTab ( "Tab2", createPanel() );
        add ( tabbedPane );
    }
    private JPanel createPanel() {
        JPanel panel = new JPanel ( new GridBagLayout() );
        addLabelTextField ( panel, 1 );
        addLabelTextField ( panel, 2 );
        addLabelTextField ( panel, 3 );
        return panel;
    }
    private void addLabelTextField ( JPanel panel, int row ) {
        GridBagConstraints c = new GridBagConstraints();
        c.gridy = row;
        c.gridx = 0;
        c.insets = new Insets ( 1, 5, 1, 10 );
        c.weightx = 0.3;
        JLabel label1 = new JLabel ( "Label" );
        panel.add ( label1, c );
        JTextField txtField1 = new JTextField();
        c.gridx = 1;
        c.fill = GridBagConstraints.HORIZONTAL;
        c.weightx = 0.7;
        panel.add ( txtField1, c );
    }
    public static void main ( String[] args ) {
        SwingUtilities.invokeLater ( new Runnable() {
            @Override
            public void run() {
                FrmTabbedPane frm = new FrmTabbedPane();
                frm.setLocationByPlatform ( true );
                frm.setSize ( 500, 300 );
                frm.setVisible ( true );
            }
        } );
    }
}
