class Robot {
    final ExecutorService movingService = Executors.newSingleThreadExecutor();
    private volatile Future<?> request;
    public void forward ( int... args ) {
        request = movingService.submit ( new Runnable() {
            public void run() {
                Robot.this.move ( args );
            }
        } );
    }
    public void stop() {
        request.cancel ( true );
    }
}
