< uses - permission android: name = "android.permission.VIBRATE" / >
                                    import android.app.Activity;
import android.content.Context;
import android.graphics.Color;
import android.os.Bundle;
import android.os.Handler;
import android.os.Vibrator;
import android.widget.TextView;
import android.widget.Toast;
public class Launch extends Activity {
    int dot = 100;
    int dash = 220;
    int short_gap = 200;
    int medium_gap = 700;
    int i = 0;
    long[] vibPattern = new long[] {0, dash, short_gap, dot, short_gap, dot, short_gap, dot, medium_gap};
    TextView vibIndicator;
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.main );
        vibIndicator = ( TextView ) findViewById ( R.id.textView1 );
        simpleTimer();
    }
    public void simpleTimer() {
        new Handler().postDelayed ( new Runnable() {
            @Override
            public void run() {
                if ( vibPattern[i] == dot ) {
                    vibIndicator.setBackgroundColor ( Color.WHITE );
                    vibratePhone ( vibPattern[i] );
                } else if ( vibPattern[i] == dash ) {
                    vibIndicator.setBackgroundColor ( Color.RED );
                    vibratePhone ( vibPattern[i] );
                } else {
                    vibIndicator.setBackgroundColor ( Color.TRANSPARENT );
                }
                i++;
                if ( i < vibPattern.length ) {
                    simpleTimer();
                } else {
                    Toast.makeText ( Launch.this, "Finished", Toast.LENGTH_LONG ).show();
                }
            }
        }, vibPattern[i] );
    }
    public void vibratePhone ( long timeLength ) {
        Vibrator vibrator;
        vibrator = ( Vibrator ) getSystemService ( Context.VIBRATOR_SERVICE );
        try {
            vibrator.vibrate ( timeLength );
        } catch ( Exception e ) {
        }
    }
}
