public void doFilter ( ServletRequest request, ServletResponse response, FilterChain chain ) throws ServletException, IOException {
    try {
        chain.doFilter ( request, response );
    } catch ( ServletException e ) {
        Throwable rootCause = e.getRootCause();
        if ( rootCause instanceof SpecificExceptionA ) {
            throw ( SpecificExceptionA ) rootCause;
        } else {
            throw e;
        }
    }
}
