class QueueConsumer implements Runnable {
    @Override
    public void run() {
        while ( ! ( Thread.currentThread().isInterrupted() ) ) {
            try {
                final ComplexObject complexObject = myBlockingQueue.take();
                this.process ( complexObject );
            } catch ( InterruptedException e ) {
                Thread.currentThread().interrupt();
            }
        }
        final LinkedList<ComplexObject> remainingObjects;
        myBlockingQueue.drainTo ( remainingObjects );
        for ( ComplexObject complexObject : remainingObjects ) {
            this.process ( complexObject );
        }
    }
    private void process ( final ComplexObject complexObject ) {
    }
}
