public static int numberOfDaysBeforeMonth ( int monthNumber, boolean leapYear ) {
    if ( monthNumber < 1 || monthNumber > 12 ) {
        return -1;
    }
    int[] daysPerMonth = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
    int numberOfDays = 0;
    for ( int month = 1; month < monthNumber; month++ ) {
        numberOfDays += daysPerMonth[month - 1];
    }
    if ( leapYear && monthNumber > 2 ) {
        numberOfDays++;
    }
    return numberOfDays;
}
