import java.awt.*;
import java.util.*;
import javax.swing.*;
public class TestPanel extends JPanel {
    private Random random = new Random();
    private boolean isRed;
    private String s = "";
    public TestPanel() {
        isRed = random.nextBoolean();
        setBackground ( Color.BLUE );
        s = "BLUE";
        if ( isRed ) {
            setBackground ( Color.RED );
            s = "RED";
        }
    }
    @Override
    public void paintComponent ( Graphics g ) {
        super.paintComponent ( g );
        g.setColor ( Color.WHITE );
        g.setFont ( new Font ( "serif", Font.BOLD, 60 ) );
        g.drawString ( s, getWidth() / 2 - g.getFontMetrics().stringWidth ( s ) / 2,
                       getHeight() / 2 + g.getFontMetrics().getHeight() / 2 );
    }
    public static void main ( String[] args ) {
        JFrame f = new JFrame();
        f.setSize ( 500, 500 );
        f.setTitle ( "Sometimes Red, Sometimes Blue" );
        f.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        f.setContentPane ( new TestPanel() );
        f.setVisible ( true );
    }
}
