public class RenamingFileAppender extends FileAppender {
    ...
    public synchronized void setFile ( String file ) {
        super.setFile ( file );
    }
    public synchronized void renameFile ( String newName ) {
        File currentFile = new File ( this.fileName );
        File newFile = new File ( newName );
        ...
        File tempFile = File.createTempFile ( "renaming-appender", ".log" );
        tempFile.deleteOnExit();
        super.setFile ( tempFile.getAbsolutePath(), false, this.bufferedIO, this.bufferSize );
        currentFile.renameTo ( newFile );
        super.setFile ( newFile.getAbsolutePath(), true, this.bufferedIO, this.bufferSize );
    }
