if ( isConnected() ) {
    throw new IllegalStateException ( "already connected" );
}
ChannelFuture future = bootstrap.connect ( new InetSocketAddress ( host, port ) );
channel = future.awaitUninterruptibly().getChannel();
channel.getCloseFuture().addListener ( new ChannelFutureListener() {
    @Override
    public void operationComplete ( ChannelFuture future ) throws Exception {
        new Thread ( new Runnable() {
            public void run() {
                bootstrap.releaseExternalResources();
                LOG.log ( Level.INFO, "Shutting down" );
            }
        } ).start();
    }
} );
