public static void main ( String[] args ) throws SAXException, IOException,
    ParserConfigurationException, TransformerException {
    DocumentBuilderFactory docBuilderFactory = DocumentBuilderFactory.newInstance();
    DocumentBuilder docBuilder = docBuilderFactory.newDocumentBuilder();
    Document document = docBuilder.parse ( new File ( "document.xml" ) );
    paintAllNodes ( document.getDocumentElement() );
    TransformerFactory transformerFactory = TransformerFactory.newInstance();
    Transformer transformer = transformerFactory.newTransformer();
    DOMSource source = new DOMSource ( document );
    StreamResult result = new StreamResult ( System.out );
    transformer.transform ( source, result );
}
