public class Movie {
    public String title;
    boolean borrowed;
    public Movie ( String movieTitle ) {
        title = movieTitle;
    }
    void borrow() throws Exception {
        if ( this.borrowed ) {
            throw new Exception ( "The movie <" + this.title + "> is already borrowed - cannot borrow it again" );
        } else {
            this.borrowed = true;
        }
    }
    void returnMovie() throws Exception {
        if ( this.borrowed ) {
            this.borrowed = false;
        } else {
            throw new Exception ( "The movie <" + this.title + "> has not been borrowed - it cannot be returned" );
        }
    }
    public boolean isBorrowed() {
        return this.borrowed;
    }
    public String getTitle() {
        return title;
    }
    public static void main ( String[] arguments ) throws Exception {
        Movie example = new Movie ( "Christmas in Kampala" );
        System.out.println ( "Title (should be Christmas in Kampala): " + example.getTitle() );
        System.out.println ( "Borrowed? (should be false): " + example.isBorrowed() );
        example.borrow();
        System.out.println ( "Borrowed? (should be true): " + example.isBorrowed() );
        example.returnMovie();
        System.out.println ( "Borrowed? (should be false): " + example.isBorrowed() );
    }
}
