public static int sumOfSubset ( int[] array, int sum ) {
    Arrays.sort ( array );
    int pairCount = 0;
    int leftIndex = 0;
    int rightIndex = array.length - 1;
    while ( array[rightIndex] > sum + array[0] ) {
        rightIndex--;
    }
    while ( leftIndex < rightIndex ) {
        if ( array[leftIndex] + array[rightIndex] == sum ) {
            pairCount++;
            leftIndex++;
            rightIndex--;
        } else if ( array[leftIndex] + array[rightIndex]  < sum ) {
            leftIndex++;
        } else {
            rightIndex--;
        }
    }
    return pairCount;
}
