@NodeEntity
class Concept {
    private URI uri;
}
@NodeEntity
class Triple {
    private Concept subject;
    @RelatedTo ( elementClass = Concept.class, type = "PREDICATE" )
    private Concept predicate;
    private Concept object;
    @RelatedTo ( elementClass = Annotation.class, type = "HAS_ANNOTATION" )
    private Set<Annotation> annotations;
}
