if ( !SystemTray.isSupported() ) {
    System.out.println ( "SystemTray is not supported" );
    return;
}
final PopupMenu popup = new PopupMenu();
final TrayIcon trayIcon =
    new TrayIcon ( createImage ( "images/bulb.gif", "tray icon" ) );
final SystemTray tray = SystemTray.getSystemTray();
MenuItem aboutItem = new MenuItem ( "About" );
aboutItem.setMnemonic ( KeyEvent.VK_A );
aboutItem .setAccelerator ( KeyStroke.getKeyStroke ( KeyEvent.VK_A,
                            0 ) );
CheckboxMenuItem cb1 = new CheckboxMenuItem ( "Set auto size" );
CheckboxMenuItem cb2 = new CheckboxMenuItem ( "Set tooltip" );
Menu displayMenu = new Menu ( "Display" );
MenuItem errorItem = new MenuItem ( "Error" );
MenuItem warningItem = new MenuItem ( "Warning" );
MenuItem infoItem = new MenuItem ( "Info" );
MenuItem noneItem = new MenuItem ( "None" );
MenuItem exitItem = new MenuItem ( "Exit" );
popup.add ( aboutItem );
popup.addSeparator();
popup.add ( cb1 );
popup.add ( cb2 );
popup.addSeparator();
popup.add ( displayMenu );
displayMenu.add ( errorItem );
displayMenu.add ( warningItem );
displayMenu.add ( infoItem );
displayMenu.add ( noneItem );
popup.add ( exitItem );
trayIcon.setPopupMenu ( popup );
try {
    tray.add ( trayIcon );
} catch ( AWTException e ) {
    System.out.println ( "TrayIcon could not be added." );
    return;
}
