public static Timestamp diff ( java.util.Date t1, java.util.Date t2 ) {
    if ( t1.compareTo ( t2 ) < 0 ) {
        java.util.Date tmp = t1;
        t1 = t2;
        t2 = tmp;
    }
    long diffSeconds = ( t1.getTime () / 1000 ) - ( t2.getTime () / 1000 );
    int nano1 = ( ( int ) t1.getTime () % 1000 ) * 1000000;
    if ( t1 instanceof Timestamp ) {
        nano1 = ( ( Timestamp ) t1 ).getNanos ();
    }
    int nano2 = ( ( int ) t2.getTime () % 1000 ) * 1000000;
    if ( t2 instanceof Timestamp ) {
        nano2 = ( ( Timestamp ) t2 ).getNanos ();
    }
    int diffNanos = nano1 - nano2;
    if ( diffNanos < 0 ) {
        diffSeconds --;
        diffNanos += 1000000000;
    }
    Timestamp result = new Timestamp ( ( diffSeconds * 1000 ) + ( diffNanos / 1000000 ) );
    result.setNanos ( diffNanos );
    return result;
}
