@RequestMapping ( value = "/add", method = RequestMethod.POST )
public String added ( @RequestParam ( value = "id", required = false ) String id, @RequestParam ( "name" ) String name, Model model ) {
    City city;
    String operation;
    if ( id == null ) {
        city = new City();
        operation = "CREATE";
    } else {
        city = service.findCity ( id );
        operation = "UPDATE";
    }
    city.setCity ( name );
    service.saveCity ( city );
    model.addAttribute ( "city", city );
    model.addAttribute ( "operation", operation );
    return "add";
}
