ByteBuffer reUsableBuffer = ByteBuffer.allocateDirect ( 5120 );
Selector selector = Selector.open();
ServerSocketChannel channel = ..
                              channel.register ( selector, SelectionKey.OP_ACCEPT );
Executor executor = Executors.newThreadPoolExecutor();
while ( selector.isOpen() ) {
    int numKey = selector.select();
    for ( SelectionKey key : selector.selectedKeys() ) {
        if ( key.isAcceptable() ) {
            ServerSocketChannel server = ( ServerSocketChannel ) key.channel();
            SocketChannel channel = server.accept();
            channel.register ( selector, SelectionKey.OP_READ | Selection.OP_WRITE, new StringBuilder() );
        }
        if ( key.isReadable() ) {
            reUsableBuffer.clear();
            StringBuilder builder = key.attachment();
            SocketChannel socketChannel = ( SocketChannel ) key.channel();
            int readCount = socketChannel.read ( reUsableBuffer );
            if ( readCount > 0 ) {
                reUsableBuffer.flip();
                byte[] subStringBytes = new byte[readCount];
                reUsableBuffer.read ( subStringBytes );
                builder.append ( new String ( substringBytes ) );
                Command[] commands = removeCommands ( builder );
                executor.execute ( new Task ( commands ) );
            }
        }
        selector.selectedKeys().clear();
    } ....
}
public Command[] parseCommands ( StringBuilder s ) {
    ...
}
