public IWizardPage getNextPage() {
    if ( selectedNode == null ) {
        return null;
    }
    boolean isCreated = selectedNode.isContentCreated();
    IWizard wizard = selectedNode.getWizard();
    if ( wizard == null ) {
        setSelectedNode ( null );
        return null;
    }
    if ( !isCreated ) {
        wizard.addPages();
    }
    return wizard.getStartingPage();
}
