package x.y;
import android.content.Context;
import android.telephony.PhoneStateListener;
import android.telephony.TelephonyManager;
public class CustomPhoneStateListener extends PhoneStateListener {
    Context context;
    public CustomPhoneStateListener ( Context context ) {
        super();
        this.context = context;
    }
    @Override
    public void onCallStateChanged ( int state, String incomingNumber ) {
        super.onCallStateChanged ( state, incomingNumber );
        switch ( state ) {
        case TelephonyManager.CALL_STATE_IDLE:
            Toast.makeText ( context, "Phone state Idle", Toast.LENGTH_LONG ).show();
            break;
        case TelephonyManager.CALL_STATE_OFFHOOK:
            Toast.makeText ( context, "Phone state Off hook", Toast.LENGTH_LONG ).show();
            break;
        case TelephonyManager.CALL_STATE_RINGING:
            Toast.makeText ( context, "Phone state Ringing", Toast.LENGTH_LONG ).show();
            break;
        default:
            break;
        }
    }
}
