public abstract class EventListener implements InitializingBean {
    Log log = LogFactory.getLog ( this.getClass() );
    EventDispatcher eventDispatcher;
    public void afterPropertiesSet() throws Exception {
        eventDispatcher.registerListener ( this );
    }
    public abstract boolean canHandle ( Object event );
    public abstract void handle ( Object event );
    public void setEventDispatcher ( EventDispatcher eventDispatcher ) {
        this.eventDispatcher = eventDispatcher;
    }
}
