EncryptedContentInfo encryptionInfo = parseContentInfo ( data );
AlgorithmIdentifier algoID = encryptionInfo.getContentEncryptionAlgorithm();
byte[] encryptedData = encryptionInfo.getEncryptedContent().getOctets();
byte[] ivBytes = ( ( ASN1OctetString ) algoID.getParameters() ).getOctets();
SecretKeySpec keySpec = new SecretKeySpec ( rawKey, algoID.getObjectId().getId() );
Cipher c = Cipher.getInstance ( algoID.getObjectId().getId(), CRYPT_PROVIDER );
c.init ( Cipher.DECRYPT_MODE, keySpec, new IvParameterSpec ( ivBytes ) );
byte[] decrypted = c.doFinal ( encryptedData );
return decrypted;
} catch ( NoSuchAlgorithmException e ) {
    throw new CryptoException ( e );
} catch ( NoSuchProviderException e ) {
    throw new CryptoException ( e );
} catch ( NoSuchPaddingException e ) {
    throw new CryptoException ( e );
} catch ( InvalidKeyException e ) {
    throw new CryptoException ( e );
} catch ( InvalidAlgorithmParameterException e ) {
    throw new CryptoException ( e );
} catch ( IllegalBlockSizeException e ) {
    throw new CryptoException ( e );
} catch ( BadPaddingException e ) {
    throw new CryptoException ( e );
}
}
}
