@XmlRootElement ( name = "sensor" )
public class MyObject {
    @XmlID
    @XmlElement
    private String id;
    @XmlAttribute
    private String name;
    @XmlElement ( name = "sensor-value" )
    private Integer value;
    @XmlTransient
    private Double computedValue;
}
@Path ( "/mywebservice" )
public class MyWebService {
    @EJB
    MySensorController controller;
    @GET
    @Produces ( "application/xml" )
    public MyObject getCurrentSensorValue ( @QueryParam ( "ID" ) String id ) {
        return controller.getSensorValue ( id );
    }
}
