@WebServlet ( urlPatterns = {"/login"} )
public class LoginServlet extends HttpServlet {
    @Override
    protected void doPost ( HttpServletRequest request, HttpServletResponse response ) throws ServletException, IOException {
        String username = request.getParameter ( "username" );
        String password = request.getParameter ( "password" );
        UserDAO userDAO = new UserDAO();
        try {
            User user = userDAO.find ( username, password );
            if ( user != null ) {
                request.getSession().setAttribute ( "user", user );
                response.sendRedirect ( "userhome" );
            } else {
                request.setAttribute ( "message", "Unknown login, try again" );
                request.getRequestDispatcher ( "/WEB-INF/login.jsp" ).forward ( request, response );
            }
        } catch ( SQLException e ) {
            throw new ServletException ( "Fatal database failure", e );
        }
    }
}
