import java.awt.*;
import javax.swing.*;
public class Test {
    public static void main ( String args[] ) {
        JFrame myapp = new JFrame ( "test" );
        myapp.setLayout ( new FlowLayout() );
        myapp.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        myapp.getContentPane().add ( Board() );
        myapp.pack();
        myapp.setVisible ( true );
    }
    private static JPanel Board() {
        JButton[][] buttons = new JButton [10][10];
        for ( int x = 0; x < buttons.length; x++ ) {
            for ( int y = 0; y < buttons[0].length; y++ ) {
                JButton temp = new JButton();
                temp.setPreferredSize ( new Dimension ( 30, 30 ) );
                buttons[x][y] = temp;
            }
        }
        JPanel board = new JPanel ( new GridLayout ( 11, 11 ) );
        String[] rowlabels = {" ", "A", "B", "C", "D", "E", "F", "G", "H", "I", "J"};
        String[] columnlabels = {" ", "1", "2", "3", "4", "5", "6", "7", "8", "9", "10"};
        JTextField k;
        for ( int i = 0; i < 11; i++ ) {
            for ( int j = 0; j < 11; j++ ) {
                if ( ( j != 0 ) && ( i != 0 ) ) {
                    board.add ( buttons[i - 1][j - 1] );
                }
                if ( i == 0 ) {
                    if ( j != 0 ) {
                        k = new JTextField ( columnlabels[j] );
                        k.setEditable ( false );
                        k.setHorizontalAlignment ( ( int ) JFrame.CENTER_ALIGNMENT );
                    } else {
                        k = new JTextField();
                        k.setEditable ( false );
                    }
                    board.add ( k );
                } else if ( j == 0 ) {
                    k = new JTextField ( rowlabels[i] );
                    k.setEditable ( false );
                    k.setHorizontalAlignment ( ( int ) JFrame.CENTER_ALIGNMENT );
                    board.add ( k );
                }
            }
        }
        return board;
    }
}
