class PercentageFilter extends DocumentFilter {
    insertString ( FilterBypass bp, int offset, String adding, AttributeSet attrs ) {
        Document doc = bp.getDocument();
        String text = doc.getText ( 0, offset ) + adding + doc.getText ( offset, doc.getLength() - offset );
        try {
            double d = Double.parseDouble ( text );
            if ( d < 0 || 100 < d ) {
                return;
            }
        } catch ( NumberFormatException ex ) {
            return;
        }
        bp.insertString ( offset, adding, attrs );
    }
}
