package example;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.Marshaller;
import javax.xml.namespace.QName;
import example.ResourcesType.Classrooms;
public class Demo {
    public static void main ( String[] args ) throws Exception {
        ObjectFactory objectFactory = new ObjectFactory();
        ResourcesType resourcesType = new ResourcesType();
        Classrooms classRooms = objectFactory.createResourcesTypeClassrooms();
        resourcesType.setClassrooms ( classRooms );
        ResourceType resourceType1 = new ResourceType();
        JAXBElement<ResourceType> jaxbElement1 = objectFactory.createResourcesTypeClassesResource ( resourceType1 );
        classRooms.getContent().add ( jaxbElement1 );
        ResourceType resourceType2 = objectFactory.createResourceType();
        JAXBElement<ResourceType> jaxbElement2 = objectFactory.createResourcesTypeClassesResource ( resourceType2 );
        classRooms.getContent().add ( jaxbElement2 );
        JAXBContext jc = JAXBContext.newInstance ( "example" );
        Marshaller marshaller = jc.createMarshaller();
        marshaller.setProperty ( Marshaller.JAXB_FORMATTED_OUTPUT, true );
        JAXBElement<ResourcesType> rootElement = new JAXBElement<ResourcesType> ( new QName ( "root" ), ResourcesType.class, resourcesType );
        marshaller.marshal ( rootElement, System.out );
    }
}
