public static String DB_FILEPATH = "/data/data/{package_name}/databases/database.db";
public boolean importDatabase ( String dbPath ) throws IOException {
    close();
    File newDb = new File ( dbPath );
    File oldDb = new File ( DB_FILEPATH );
    if ( newDb.exists() ) {
        FileUtils.copyFile ( new FileInputStream ( newDb ), new FileOutputStream ( oldDb ) );
        getWritableDatabase().close();
        return true;
    }
    return false;
}
