public class FileUtils {
    public static void copyFile ( FileInputStream fromFile, FileOutputStream toFile ) throws IOException {
        FileChannel fromChannel = null;
        FileChannel toChannel = null;
        try {
            fromChannel = fromFile.getChannel();
            toChannel = toFile.getChannel();
            fromChannel.transferTo ( 0, fromChannel.size(), toChannel );
        } finally {
            try {
                if ( fromChannel != null ) {
                    fromChannel.close();
                }
            } finally {
                if ( toChannel != null ) {
                    toChannel.close();
                }
            }
        }
    }
}
