public void setImage ( Image image ) {
    checkWidget ();
    if ( image != null && image.isDisposed () ) {
        error ( SWT.ERROR_INVALID_ARGUMENT );
    }
    super.setImage ( image );
    double   width = 0;
    if ( image == null ) {
        view.setImage ( null );
    } else {
        NSImage current = view.image ();
        if ( current != null && current.id == image.handle.id ) {
            view.setImage ( null );
        }
        view.setImage ( image.handle );
        if ( visible ) {
            width = image.handle.size ().width + BORDER;
        }
    }
    item.setLength ( width );
}
