public static class Cage<T extends Animal> {
    private Set<T> pen = new HashSet<T>();
    public void add ( T animal ) {
        pen.add ( animal );
    }
    public void transferTo ( Cage<? super T> cage ) {
        cage.pen.addAll ( this.pen );
    }
    public void showAnimals() {
        System.out.println ( pen );
    }
}
