import javax.xml.bind.JAXBContext;
import javax.xml.bind.Marshaller;
import org.dom4j.Document;
import org.dom4j.io.DocumentResult;
public class Demo {
    public static void main ( String[] args ) throws Exception {
        JAXBContext jc = JAXBContext.newInstance ( Customer.class );
        Customer customer = new Customer();
        customer.setName ( "Jane Doe" );
        Marshaller marshaller = jc.createMarshaller();
        DocumentResult dr = new DocumentResult();
        marshaller.marshal ( customer, dr );
        Document document = dr.getDocument();
        document.getRootElement().addAttribute ( "foo", "bar" );
        System.out.println ( document.asXML() );
    }
}
