volatile long lastReadTime;
try {
    bufferedReader.read();
    lastReadTime = System.currentTimeMillis();
} catch ( SocketTimeoutException e ) {
    if ( !isConnectionAlive() ) {
        logger.info ( "CONNECTION TERMINATED!" );
        clientSocket.close();
        setUpSocket();
    } else {
        sendHeartBeat();
    }
}
public boolean isConnectionAlive() {
    return System.currentTimeMillis() - lastReadTime < maxTimeout;
}
