KeyStore clientStore = KeyStore.getInstance ( "PKCS12" );
clientStore.load ( new FileInputStream ( "test.p12" ), "testPass".toCharArray() );
KeyManagerFactory kmf = KeyManagerFactory.getInstance ( KeyManagerFactory.getDefaultAlgorithm() );
kmf.init ( clientStore, "testPass".toCharArray() );
KeyManager[] kms = kmf.getKeyManagers();
KeyStore trustStore = KeyStore.getInstance ( "JKS" );
trustStore.load ( new FileInputStream ( "cacerts" ), "changeit".toCharArray() );
TrustManagerFactory tmf = TrustManagerFactory.getInstance ( TrustManagerFactory.getDefaultAlgorithm() );
tmf.init ( trustStore );
TrustManager[] tms = tmf.getTrustManagers();
SSLContext sslContext = null;
sslContext = SSLContext.getInstance ( "TLS" );
sslContext.init ( kms, tms, new SecureRandom() );
HttpsURLConnection.setDefaultSSLSocketFactory ( sslContext.getSocketFactory() );
URL url = new URL ( "https://www.testurl.com" );
HttpsURLConnection urlConn = ( HttpsURLConnection ) url.openConnection();
