import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
class FrameByeBye {
    public static void showDialog ( Component c ) {
        JOptionPane.showMessageDialog ( c, "Bye Bye!" );
    }
    public static void main ( String[] args ) {
        SwingUtilities.invokeLater ( new Runnable() {
            public void run() {
                final JFrame f = new JFrame ( "Say Bye Bye!" );
                f.setDefaultCloseOperation ( JFrame.DO_NOTHING_ON_CLOSE );
                f.addWindowListener ( new WindowAdapter() {
                    @Override
                    public void windowClosing ( WindowEvent we ) {
                        showDialog ( f );
                        System.exit ( 0 );
                    }
                } );
                f.setSize ( 300, 200 );
                f.setLocationByPlatform ( true );
                f.setVisible ( true );
            }
        } );
    }
}
