public void waitForSpace() {
    final CountDownLatch latch = new CountDownLatch ( 1 );
    KeyEventDispatcher dispatcher = new KeyEventDispatcher() {
        public boolean dispatchKeyEvent ( KeyEvent e ) {
            if ( e.getKeyCode() == KeyEvent.VK_SPACE ) {
                latch.countDown();
            }
            return false;
        }
    };
    KeyboardFocusManager.getCurrentKeyboardFocusManager().addKeyEventDispatcher ( dispatcher );
    latch.await();
    KeyboardFocusManager.getCurrentKeyboardFocusManager().removeKeyEventDispatcher ( dispatcher );
}
