std::string getString() {
    jmethodID methodID = env->GetMethodID ( aClass,
                                            "methodName",
                                            "()Ljava/lang/String;" );
    if ( methodID == NULL ) {
        cout << "--methodID = NULL";
        exit ( 0 );
    }
    jstring jstringResult = ( jstring ) env->CallObjectMethod ( aClassInstance, methodID );
    const char * result = env->GetStringUTFChars ( jstringResult, NULL );
    std::string result2 ( result );
    env->ReleaseStringUTFChars ( jstringResult, result );
    return result2;
}
