- ( void ) postUser: ( NSString * ) user andPass: ( NSString * ) pass toURL: ( NSURL * ) url {
    NSMutableURLRequest * request = [NSMutableURLRequest requestWithURL:url cachePolicy:NSURLRequestReloadIgnoringCacheData timeoutInterval:30];
    [request setHTTPMethod:@"POST"];
    [request addValue:@"text/xml" forHTTPHeaderField:@"Content-Type"];
    [request addValue:[NSString stringWithFormat:@"Basic %@", makeAuth ( user, pass )] forHTTPHeaderField:@"Authorization"];
    NSHTTPURLResponse * response = nil;
    NSError * error = nil;
    NSData * responseData = [NSURLConnection sendSynchronousRequest:request returningResponse: & response error: & error];
    NSString * responseString = [[NSString alloc] initWithData:responseData encoding:NSUTF8StringEncoding];
    NSLog ( @"Response from server: %@", responseString );
    [responseString release];
}
