public void createPartControl ( Composite parent ) {
    final MouseListener ma = new MouseAdapter() {
        @Override
        public void mouseDown ( MouseEvent e ) {
            System.out.println ( "down in " + e.widget );
        }
    };
    addMosuseListener ( parent, ma );
}
private void addMosuseListener ( Control c, MouseListener ma ) {
    c.addMouseListener ( ma );
    if ( c instanceof Composite ) {
        for ( final Control cc : ( ( Composite ) c ).getChildren() ) {
            addMosuseListener ( cc, ma );
        }
    }
}
