private final class DelegateValuesStorage {
    private final Map<Object, Integer> values = new HashMap<Object, Integer>();
    ....
    public void add ( final Object value ) {
        Integer count = values.get ( value );
        if ( count == null ) {
            values.put ( value, 1 );
        } else {
            values.put ( value, count + 1 );
        }
    }
    ....
    public void decreaseCount ( final Object value ) {
        if ( value == null ) {
            return;
        }
        Integer count = values.get ( value );
        if ( count == null ) {
            return;
        }
        if ( count <= 1 ) {
            values.remove ( value );
        } else {
            values.put ( value, count - 1 );
        }
    }
}
