binder.registerCustomEditor ( Long.class, new CustomNumberEditor ( Long.class, true ) {
    @Override
    public void setAsText ( String value ) {
        if ( value != null && !value.isEmpty() && CustomValidator.isNumeric ( value ) ) {
            super.setAsText ( value );
        } else {
            super.setAsText ( null );
        }
    }
} );
