public void add ( Node<GameEntry> score ) {
    Node<GameEntry> currentNode = highScored.getFirst();
    Node<GameEntry> prevNode = null;
    if ( highScores.size() == 0 || score.compareTo ( currentNode ) < 0 ) {
        highScores.addFirst ( score );
    }
    while ( currentNode != null && currentNode.compareTo ( score ) > 0 ) {
        prevNode = currentNode;
        currentNode = currentNode.getNext();
    }
    if ( currentNode == null ) {
        highScores.addLast ( score );
    } else {
        highScores.addAfter ( prevNode, score );
    }
}
public void remove ( Node<GameEntry> score ) {
    Node<GameEntry> currentNode = highScores.getFirst();
    Node<GameEntry> prevNode = null;
    while ( currentNode != null && !currentNode.equals ( score ) ) {
        prevNode = currentNode;
        currentNode = currentNode.getNext();
    }
    if ( currentNode == null ) {
        System.out.println ( "Node not found" );
        return;
    }
    if ( prevNode.getNext().getNext() != null ) {
        prevNode.setNext ( prev.getNext().getNext() );
    } else {
        highScores.removeLast();
    }
}
