public class App {
    public static void main ( String[] args ) {
        try {
            System.out.println ( convertTo24HoursFormat ( "12:00AM" ) );
            System.out.println ( convertTo24HoursFormat ( "12:00PM" ) );
            System.out.println ( convertTo24HoursFormat ( "11:59PM" ) );
            System.out.println ( convertTo24HoursFormat ( "9:30PM" ) );
        } catch ( ParseException ex ) {
            Logger.getLogger ( App.class.getName() ).log ( Level.SEVERE, null, ex );
        }
    }
    private static final DateFormat TWELVE_TF = new SimpleDateFormat ( "hh:mma" );
    private static final DateFormat TWENTY_FOUR_TF = new SimpleDateFormat ( "HH:mm" );
    public static String convertTo24HoursFormat ( String twelveHourTime )
    throws ParseException {
        return TWENTY_FOUR_TF.format (
                   TWELVE_TF.parse ( twelveHourTime ) );
    }
}
