import org.apache.pdfbox.util.PDFTextStripper;
PDFTextStripper stripper = new PDFTextStripper;
public static String pdfbox ( InputStream is, Writer writer ) throws IOException, ConversionException {
    Boolean force = true;
    PDDocument document = null;
    try {
        document = PDDocument.load ( is, force );
        stripper.setForceParsing ( force );
        stripper.setSortByPosition ( false );
        stripper.setShouldSeparateByBeads ( true );
        stripper.writeText ( document, writer );
    } finally {
        try {
            if ( document != null ) {
                document.close();
            }
        } catch ( Exception e ) {
            throw new ConversionException ( e );
        }
    }
}
