client.addFilter ( new ClientFilter() {
    private ArrayList<Object> cookies;
    @Override
    public ClientResponse handle ( ClientRequest request ) throws ClientHandlerException {
        if ( cookies != null ) {
            request.getHeaders().put ( "Cookie", cookies );
        }
        ClientResponse response = getNext().handle ( request );
        if ( response.getCookies() != null ) {
            if ( cookies == null ) {
                cookies = new ArrayList<Object>();
            }
            cookies.addAll ( response.getCookies() );
        }
        return response;
    }
} );
