class DataStore {
    Map<ID, DataObject> objMap =
        ReadWritLock objMapLock = new ReentrantReadWriteLock();
    public void addDataObject ( DataObject obj ) {
        objMapLock.writeLock().lock();
        try {
            objMap.put ( obj.getId(), obj );
        } finally {
            objMapLock.writeLock().unlock();
        }
    }
    public final void doSomethingToObject ( ID id ) {
        objMapLock.readLock().lock();
        try {
            DataObject dataObj = this.objMap.get ( id );
            synchronized ( dataObj ) {
            }
        } finally {
            objMapLock.readLock().unlock();
        }
    }
}
