public class ImmutableBitSet extends BitSet {
    private final ImmutableBitSet delegate;
    public ImmutableBitSet ( BitSet original ) {
        or ( original );
        delegate = this;
    }
    @Override
    public void and ( BitSet set ) {
        throw new UnsupportedOperationException();
    }
    @Override
    public boolean get ( int bitIndex ) {
        return delegate.getPrivate ( bitIndex );
    }
    private boolean getPrivate ( int bitIndex ) {
        super.get ( bitIndex );
    }
    ...
}
