package pete.android.study;
import android.app.Activity;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ToggleButton;
public class Main extends Activity implements OnClickListener {
    public int count = 0;
    MediaPlayer mediaPlayer = null;
    ToggleButton toggleRain = null;
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.main );
        toggleRain = ( ToggleButton ) findViewById ( R.id.toggleRain );
        mediaPlayer = MediaPlayer.create ( this, R.raw.rain );
        toggleRain.setOnClickListener ( this );
        count = 0;
    }
    @Override
    public void onClick ( View toggleRain ) {
        if ( count == 0 ) {
            mediaPlayer.start();
            count = 1;
        } else {
            mediaPlayer.pause();
            count = 0;
        }
    }
    @Override
    protected void onDestroy() {
        if ( mediaPlayer != null ) {
            mediaPlayer.stop();
            mediaPlayer.release();
            mediaPlayer = null;
        }
    }
}
