public void processRefreshEvent ( ManagerEvent event ) {
    synchronized ( this ) {
        notify();
    }
}
public synchronized void refresh() throws Exception {
    isRefreshing = true;
    try {
        manager.send ( new refresh() );
    } catch ( ManagerException e ) {
        isRefreshing = false;
    }
    try {
        synchronized ( this ) {
            wait ( 5000 );
        }
    } catch ( InterruptedException e ) {
    } finally {
        isRefreshing = false;
    }
}
