import java.text.ParseException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.logging.Level;
import java.util.logging.Logger;
public class Main {
    public static void main ( String[] args ) throws ParseException {
        try {
            String db_file_name_prefix = "c:\\mydbdir\\mydb";
            Connection con = null;
            Class.forName ( "org.hsqldb.jdbcDriver" );
            con = DriverManager.getConnection ( "jdbc:hsqldb:file:" + db_file_name_prefix,
                                                "sa",
                                                "" );
            Statement statement = con.createStatement();
            ResultSet rs = statement.executeQuery ( "SELECT * FROM \"User\"" );
            while ( rs.next() ) {
                System.out.print ( "ID: " + rs.getString ( "ID" ) );
                System.out.print ( " first name: " + rs.getString ( "firstname" ) );
                System.out.println ( " last name: " + rs.getString ( "lastname" ) );
            }
            statement.close();
            con.close();
        } catch ( SQLException ex ) {
            Logger.getLogger ( Main.class.getName() ).log ( Level.SEVERE, null, ex );
            ex.printStackTrace();
        } catch ( ClassNotFoundException ex ) {
            Logger.getLogger ( Main.class.getName() ).log ( Level.SEVERE, null, ex );
        }
    }
}
