public String createEvent ( String name,
                            String startTime,
                            String endTime,
                            String imageName,
                            String imagePath ) {
    requireAuthorization();
    MultiValueMap<String, Object> data = new LinkedMultiValueMap<String, Object>();
    data.set ( "name", name );
    data.set ( "start_time", startTime );
    data.set ( "end_time", endTime );
    data.set ( "@" + imageName, "@" + imagePath );
    return graphApi.publish ( "me", "events", data );
}
