public class ConnectionProxy implements Connectable {
    private static SSHConnection connection;
    public ConnectionProxy() { }
    public ConnectionProxy ( String host, int port ) {
        connection = new SSHConnection ( host, port );
    }
    public void connect ( String host, int port ) {
        if ( isConnected() ) {
            return;
        }
        connection = new SSHConnection ( host, port );
    }
    public void reconnect() {
        connection = new SSHConnection ( connection.getHost(), connection.getPort() );
    }
    public boolean isConnected() {
        return connection != null && connection.isConnected();
    }
}
