Area area;
ArrayList<double[]> areaPoints = new ArrayList<double[]>();
ArrayList<Line2D.Double> areaSegments = new ArrayList<Line2D.Double>();
double[] coords = new double[6];
for ( PathIterator pi = area.getPathIterator ( null ); !pi.isDone(); pi.next() ) {
    int type = pi.currentSegment ( coords );
    double[] pathIteratorCoords = {type, coords[0], coords[1]};
    areaPoints.add ( pathIteratorCoords );
}
double[] start = new double[3];
for ( int i = 0; i < areaPoints.size(); i++ ) {
    double[] currentElement = areaPoints.get ( i );
    double[] nextElement = { -1, -1, -1};
    if ( i < areaPoints.size() - 1 ) {
        nextElement = areaPoints.get ( i + 1 );
    }
    if ( currentElement[0] == PathIterator.SEG_MOVETO ) {
        start = currentElement;
    }
    if ( nextElement[0] == PathIterator.SEG_LINETO ) {
        areaSegments.add (
            new Line2D.Double (
                currentElement[1], currentElement[2],
                nextElement[1], nextElement[2]
            )
        );
    } else if ( nextElement[0] == PathIterator.SEG_CLOSE ) {
        areaSegments.add (
            new Line2D.Double (
                currentElement[1], currentElement[2],
                start[1], start[2]
            )
        );
    }
}
