import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
public class AboutWindow extends JFrame implements MouseListener {
    public AboutWindow() {
        ImageIcon icon = new ImageIcon ( "resources/Splash.png" );
        JLabel label = new JLabel ( icon );
        getContentPane().add ( label, BorderLayout.CENTER );
        setDefaultCloseOperation ( DISPOSE_ON_CLOSE );
        setResizable ( false );
        setUndecorated ( true );
        pack();
        Dimension windowDimension = Toolkit.getDefaultToolkit().getScreenSize();
        int x = ( windowDimension.width - getWidth() ) / 2;
        int y = ( windowDimension.height - getHeight() ) / 3;
        setLocation ( x, y );
        addMouseListener ( this );
    }
    @Override
    public void mouseClicked ( MouseEvent me ) {
        dispose();
    }
    @Override
    public void mousePressed ( MouseEvent me ) {
    }
    @Override
    public void mouseReleased ( MouseEvent me ) {
    }
    @Override
    public void mouseEntered ( MouseEvent me ) {
    }
    @Override
    public void mouseExited ( MouseEvent me ) {
    }
}
