public interface FooWriter {
    void write ( Foo foo );
}
public class FooDaoImpl {
    ...
    public void streamBigQueryTo ( FooWriter fooWriter, ... ) {
        ...
        for ( Foo foo : executeQueryThatReturnsLotsOfFoos ( ... ) ) {
            fooWriter.write ( foo );
            evict ( foo );
        }
    }
    ...
}
public class FooUI {
    ...
    public void dumpCsv ( ... ) {
        ...
        fooBusiness.streamBigQueryTo ( new CsvFooWriter ( request.getOutputStream() ), ... );
        ...
    }
}
public class FooBusinessImpl {
    ...
    public void streamBigQueryTo ( FooWriter fooWriter, ... ) {
        ...
        if ( user.canQueryFoos() ) {
            beginTransaction();
            fooDao.streamBigQueryTo ( fooWriter, ... );
            auditAccess ( ... );
            endTransaction();
        }
        ...
    }
}
