import org.w3c.dom.Document;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.transform.OutputKeys;
import javax.xml.transform.Result;
import javax.xml.transform.Source;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;
public class DOMExample2 {
    public static void main ( String[] args ) throws Exception {
        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
        DocumentBuilder parser = factory.newDocumentBuilder();
        System.out.println ( "Parsing XML document..." );
        Document doc;
        doc = parser.parse ( args[0] );
        System.out.println ( "JAXP: Displaying XML document..." );
        TransformerFactory transFactory = TransformerFactory.newInstance();
        System.out.println ( transFactory.getClass().getName() );
        Transformer idTransform = transFactory.newTransformer();
        idTransform.setOutputProperty ( OutputKeys.METHOD, "xml" );
        idTransform.setOutputProperty ( OutputKeys.INDENT, "yes" );
        Source input = new DOMSource ( doc );
        Result output = new StreamResult ( System.out );
        idTransform.transform ( input, output );
    }
}
