package soapp;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
@SuppressWarnings ( "serial" )
public class CalculateBill extends JPanel implements ActionListener {
    JComboBox beverageList;
    JComboBox appetizerList;
    JComboBox dessertList;
    JComboBox maincourseList;
    JLabel restaurantLogo;
    JTextField textTableNum;
    JTextField waiterName;
    JTextArea textArea;
    JLabel waiter;
    JLabel table;
    DefaultListModel model;
    JList list;
    static int tableNum = 0;
    String tn;
    String wn;
    JScrollPane scrollpane;
    public double subtotal = 0.00;
    public double tax = 0.00;
    public double total = 0.00;
    JLabel totallabel;
    public static void main ( String[] args ) {
        JFrame frame = new JFrame ( "SO App" );
        frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        CalculateBill cb = new CalculateBill();
        frame.getContentPane().add ( cb );
        frame.pack();
        frame.setVisible ( true );
    }
    CalculateBill() {
        super ( new BorderLayout() );
        JPanel panel;
        setLayout ( new BoxLayout ( this, BoxLayout.PAGE_AXIS ) );
        String[] beverages = {"Beverages", "Soda", "Tea", "Coffee", "Mineral Water", "Juice", "Milk"};
        String[] appetizers = {"Appetizers", "Buffalo Wings", "Buffalo Fingers", "Potato Skins", "Nachos", "Mushroom Caps", "Shrimp Cocktail", "Chips and Salsa"};
        String[] maincourses = {"Main Courses", "Seafood Alfredo", "Chicken Alfredo", "Chicken Picatta", "Turkey Club", "Lobster Pie", "Prime Rib", "Shrimp Scampi", "Turkey Dinner", "Stuffed Chicken"};
        String[] desserts = {"Desserts", "Apple Pie", "Sundae", "Carrot Cake", "Mud Pie", "Apple Crisp"};
        panel = new JPanel();
        panel.setLayout ( new BoxLayout ( panel, BoxLayout.LINE_AXIS ) );
        beverageList = new JComboBox ( beverages );
        beverageList.setEditable ( false );
        beverageList.setSelectedIndex ( 0 );
        panel.add ( new JLabel ( "  Beverages:" ), BorderLayout.CENTER );
        panel.add ( beverageList, BorderLayout.CENTER );
        add ( panel );
        panel = new JPanel();
        panel.setLayout ( new BoxLayout ( panel, BoxLayout.LINE_AXIS ) );
        appetizerList = new JComboBox ( appetizers );
        appetizerList.setEditable ( false );
        appetizerList.setSelectedIndex ( 0 );
        panel.add ( new JLabel ( "  Appetizers:" ), BorderLayout.CENTER );
        panel.add ( appetizerList, BorderLayout.CENTER );
        panel = new JPanel();
        panel.setLayout ( new BoxLayout ( panel, BoxLayout.LINE_AXIS ) );
        maincourseList = new JComboBox ( maincourses );
        maincourseList.setEditable ( false );
        maincourseList.setSelectedIndex ( 0 );
        panel.add ( new JLabel ( " Main courses:" ), BorderLayout.CENTER );
        panel.add ( maincourseList, BorderLayout.CENTER );
        add ( panel );
        panel = new JPanel();
        panel.setLayout ( new BoxLayout ( panel, BoxLayout.LINE_AXIS ) );
        dessertList = new JComboBox ( desserts );
        dessertList.setEditable ( false );
        dessertList.setSelectedIndex ( 0 );
        panel.add ( new JLabel ( "  Desserts:" ), BorderLayout.CENTER );
        panel.add ( dessertList, BorderLayout.CENTER );
        add ( panel );
        model = new DefaultListModel();
        JPanel listPanel = new JPanel();
        list = new JList ( model );
        list.setSelectionMode ( ListSelectionModel.SINGLE_SELECTION );
        list.setBorder ( BorderFactory.createEmptyBorder ( 2, 2, 2, 2 ) );
        JScrollPane listPane = new JScrollPane();
        listPane.getViewport().add ( list );
        listPanel.setBorder ( BorderFactory.createEmptyBorder ( 20, 20, 20, 20 ) );
        listPanel.add ( listPane );
        add ( listPanel );
        panel = new JPanel();
        panel.setLayout ( new BoxLayout ( panel, BoxLayout.LINE_AXIS ) );
        totallabel = new JLabel ( setTotalLabelAmount() );
        panel.add ( ( totallabel ), BorderLayout.SOUTH );
        totallabel.setVisible ( false );
        add ( panel );
        panel = new JPanel();
        panel.setLayout ( new BoxLayout ( panel, BoxLayout.LINE_AXIS ) );
        panel.add ( new JButton ( "Delete" ), BorderLayout.SOUTH );
        panel.add ( new JButton ( "Clear All" ), BorderLayout.SOUTH );
        add ( panel );
        panel = new JPanel();
        panel.setLayout ( new BoxLayout ( panel, BoxLayout.LINE_AXIS ) );
        table = new JLabel ( "     Enter Table Number (1-10):" );
        textTableNum = new JTextField();
        table.setLabelFor ( textTableNum );
        panel.add ( ( table ), BorderLayout.NORTH );
        panel.add ( textTableNum, BorderLayout.NORTH );
        add ( panel );
        panel = new JPanel();
        panel.setLayout ( new BoxLayout ( panel, BoxLayout.LINE_AXIS ) );
        waiter = new JLabel ( "      Enter Waiter Name: " );
        waiterName = new JTextField();
        waiter.setLabelFor ( waiterName );
        panel.add ( ( waiter ), BorderLayout.NORTH );
        panel.add ( waiterName, BorderLayout.NORTH );
        add ( panel );
        textTableNum.addActionListener ( this );
        waiterName.addActionListener ( this );
        textArea = new JTextArea ( 5, 10 );
        textArea.setEditable ( false );
        JScrollPane scrollPane = new JScrollPane ( textArea );
        add ( scrollPane, null );
        scrollPane.setVisible ( true );
    }
    private double getPrices ( String item ) {
        HashMap<String, Double> hm = new HashMap<String, Double>();
        hm.put ( "Soda", new Double ( 1.95 ) );
        hm.put ( "Tea", new Double ( 1.50 ) );
        hm.put ( "Coffee", new Double ( 1.25 ) );
        hm.put ( "Mineral Water", new Double ( 2.95 ) );
        hm.put ( "Juice", new Double ( 2.50 ) );
        hm.put ( "Milk", new Double ( 1.50 ) );
        hm.put ( "Buffalo Wings", new Double ( 5.95 ) );
        hm.put ( "Buffalo Fingers", new Double ( 6.95 ) );
        hm.put ( "Potato Skins", new Double ( 8.95 ) );
        hm.put ( "Nachos", new Double ( 8.95 ) );
        hm.put ( "Mushroom Caps", new Double ( 10.95 ) );
        hm.put ( "Shrimp Cocktail", new Double ( 12.95 ) );
        hm.put ( "Chips and Salsa", new Double ( 6.95 ) );
        hm.put ( "Seafood Alfredo", new Double ( 15.95 ) );
        hm.put ( "Chicken Alfredo", new Double ( 13.95 ) );
        hm.put ( "Chicken Picatta", new Double ( 13.95 ) );
        hm.put ( "Turkey Club", new Double ( 11.95 ) );
        hm.put ( "Lobster Pie", new Double ( 19.95 ) );
        hm.put ( "Prime Rib", new Double ( 20.95 ) );
        hm.put ( "Shrimp Scampi", new Double ( 18.95 ) );
        hm.put ( "Turkey Dinner", new Double ( 13.95 ) );
        hm.put ( "Stuffed Chicken", new Double ( 14.95 ) );
        hm.put ( "Apple Pie", new Double ( 5.95 ) );
        hm.put ( "Sundae", new Double ( 3.95 ) );
        hm.put ( "Carrot Cake", new Double ( 5.95 ) );
        hm.put ( "Mud Pie", new Double ( 4.95 ) );
        hm.put ( "Apple Crisp", new Double ( 5.95 ) );
        double price = hm.get ( item );
        return price;
    }
    protected static ImageIcon createImageIcon ( String path ) {
        java.net.URL imgURL = CalculateBill.class.getResource ( path );
        if ( imgURL != null ) {
            return new ImageIcon ( imgURL );
        } else {
            JOptionPane.showMessageDialog ( null, "Couldn't find file: " + path, "image path error", JOptionPane.ERROR_MESSAGE );
            return null;
        }
    }
    private void getSelectedMenuItem ( JComboBox cb ) {
        String mnItem = ( String ) cb.getSelectedItem();
        updateListBox ( mnItem );
    }
    private void updateListBox ( String name ) {
        totallabel.setVisible ( false );
        model.addElement ( name );
        Addition ( getPrices ( name ) );
        totallabel.setVisible ( true );
    }
    void showWaiterAndTableNum() {
        textArea.append ( "Table Number: " + tn + " Waiter: " + wn );
        textArea.setCaretPosition ( textArea.getDocument().getLength() );
    }
    private void Addition ( double addedP ) {
        subtotal = subtotal + addedP;
        tax = .0625 * subtotal;
        total = subtotal + tax;
    }
    private void Subtraction ( double subtractedp ) {
        subtotal = subtotal - subtractedp;
        tax = subtotal * .0625;
        total = subtotal + tax;
    }
    private void resetCalculator() {
        subtotal = 0.00;
        tax = 0.00;
        total = 0.00;
    }
    @Override
    public void actionPerformed ( ActionEvent e ) {
        JTextField tf = ( JTextField ) e.getSource();
        if ( tf.equals ( "textTableNum" ) ) {
            tn = tf.getText();
        } else if ( tf.equals ( "waiterName" ) ) {
            wn = tf.getText();
        }
        String cmd = e.getActionCommand();
        if ( cmd.equals ( "Delete" ) ) {
            totallabel.setVisible ( false );
            ListSelectionModel selmodel = list.getSelectionModel();
            int index = selmodel.getMinSelectionIndex();
            String foodName = ( String ) list.getSelectedValue();
            Subtraction ( getPrices ( foodName ) );
            totallabel.setVisible ( true );
            if ( index >= 0 ) {
                model.remove ( index );
            }
        } else if ( cmd.equals ( "Clear all" ) ) {
            model.clear();
            resetCalculator();
        }
    }
    public void mouseClicked ( MouseEvent e ) {
        if ( e.getClickCount() == 2 ) {
            JComboBox cb = ( JComboBox ) e.getSource();
            getSelectedMenuItem ( cb );
        }
    }
    private String setTotalLabelAmount() {
        String totlab = "Subtotal: $ " + subtotal + " Tax: $" + tax + "\n" + "Total: $ " + total;
        return totlab;
    }
}
