interface DocumentHandler {
    void process ( Document d );
}
class ExportToPdf implements DocumentHandler {
    ...
}
class AppendToParentPdf implements DocumentHandler {
    ...
}
void handleDocument ( DocumentHandler parentHandler, DocumentHandler childHandler ) {
    for ( Document parent : documents ) {
        parentHandler.process ( parent );
        for ( Document child : parent.children() ) {
            childHandler.process ( child );
        }
    }
}
DocumentHandler appendToParent = new AppendToParentPdf();
DocumentHandler exportToPdf = new ExportToPdf();
handleDocument ( exportToPdf, appendToParent );
handleDocument ( exportToPdf, exportToPdf );
