package win.test;
import com.sun.jna.platform.win32.Kernel32;
import com.sun.jna.platform.win32.WinBase;
import com.sun.jna.platform.win32.WinBase.FILETIME;
import com.sun.jna.platform.win32.WinNT.HANDLE;
import win.test.Kernel32.BY_HANDLE_FILE_INFORMATION;
public class FileTest {
    public static void main ( String[] args ) {
        final int FILE_SHARE_READ = ( 0x00000001 );
        final int OPEN_EXISTING = ( 3 );
        final int GENERIC_READ = ( 0x80000000 );
        final int FILE_ATTRIBUTE_ARCHIVE = ( 0x20 );
        WinBase.SECURITY_ATTRIBUTES attr = null;
        BY_HANDLE_FILE_INFORMATION lpFileInformation = new BY_HANDLE_FILE_INFORMATION();
        HANDLE hFile = null;
        hFile = Kernel32.INSTANCE.CreateFile ( args[0], GENERIC_READ, FILE_SHARE_READ, attr, OPEN_EXISTING, FILE_ATTRIBUTE_ARCHIVE, null );
        System.out.println ( "CreateFile last error:" + Kernel32.INSTANCE.GetLastError() );
        {
            win.test.Kernel32.INSTANCE.GetFileInformationByHandle ( hFile, lpFileInformation );
            System.out.println ( "CREATION TIME: " + FILETIME.filetimeToDate ( lpFileInformation.ftCreationTime.dwHighDateTime, lpFileInformation.ftCreationTime.dwLowDateTime ) );
            System.out.println ( "VOLUME SERIAL NO.: "  + Integer.toHexString ( lpFileInformation.dwVolumeSerialNumber.intValue() ) );
            System.out.println ( "FILE INDEX HIGH: "  + lpFileInformation.nFileIndexHigh );
            System.out.println ( "FILE INDEX LOW: "  + lpFileInformation.nFileIndexLow );
            System.out.println ( "GetFileInformationByHandle last error:" + Kernel32.INSTANCE.GetLastError() );
        }
        Kernel32.INSTANCE.CloseHandle ( hFile );
        System.out.println ( "CloseHandle last error:" + Kernel32.INSTANCE.GetLastError() );
    }
}
