for ( User user : response.getUsers() ) {
    GeoPoint userLocation = new GeoPoint (
        ( int ) ( user.getLatitude() * 1E6 ),
        ( int ) ( user.getLongitude() * 1E6 ) );
    UserOnMap userOnMap = new UserOnMap ( user.getUserId(),
                                          user.getFirstName(), user.getLastName() );
    usersOnMap.add ( userOnMap );
}
m_usersOverlay.setUsers ( usersOnMap );
List<Overlay> m_mapOverlays = m_mapView.getOverlays();
m_mapOverlays.clear();
m_mapOverlays.add ( m_usersOverlay );
m_mapView.invalidate();
