public void updateRecord ( MemberRecord record ) {
    MemberRecord oldRecord = record;
    record = record.clone();
    getSession().evict ( record );
    getSession().evict ( oldRecord );
    getSession().refresh ( oldRecord );
    Date oldEffectiveDate = oldRecord.getEffectiveDate();
    if ( isEffective ( oldEffectiveDate ) &&
            !oldEffectiveDate.equals ( record.getEffectiveDate ) ) {
        throw new IllegalArgumentException ( "Cannot change date" );
    }
    memberRecordDAO.update ( record );
}
