boolean mExternalStorageAvailable = false;
boolean mExternalStorageWriteable = false;
String state = Environment.getExternalStorageState();
if ( Environment.MEDIA_MOUNTED.equals ( state ) ) {
    mExternalStorageAvailable = mExternalStorageWriteable = true;
} else if ( Environment.MEDIA_MOUNTED_READ_ONLY.equals ( state ) ) {
    mExternalStorageAvailable = true;
    mExternalStorageWriteable = false;
} else {
    mExternalStorageAvailable = mExternalStorageWriteable = false;
}
if ( mExternalStorageAvailable == true && mExternalStorageAvailable == true ) {
    File mFile = new File ( Environment.getExternalStorageDirectory(), "/DCIM/filename.txt" );
    try {
        BufferedWriter buf = new BufferedWriter ( new FileWriter ( mFile, true ) );
        buf.write ( "test txt" );
        buf.close();
        Toast.makeText ( getBaseContext(), "path = " + mFile, Toast.LENGTH_LONG ).show();
    } catch ( FileNotFoundException e ) {
        e.printStackTrace();
        Toast.makeText ( getBaseContext(), "File not FOund", Toast.LENGTH_LONG ).show();
    } catch ( IOException e ) {
        e.printStackTrace();
        Toast.makeText ( getBaseContext(), "IOException", Toast.LENGTH_LONG ).show();
    }
}
