public class Message implements Serializable {
    private transient String header;
    private transient String body;
    ...
    private void writeObject ( java.io.ObjectOutputStream oos )
    throws IOException {
        oos.defaultWriteObject();
        oos.writeObject ( header );
        oos.writeObject ( body );
    }
    private void readObject ( java.io.ObjectInputStream ois )
    throws IOException, ClassNotFoundException {
        ois.defaultReadObject();
        header = ( String ) ois.readObject();
        if ( needBody() ) {
            body = ( String ) ois.readObject();
        }
    }
}
