@Override
public T create ( CreationalContext<T> arg0 ) {
    try {
        Hashtable contextProps = new Hashtable();
        contextProps.putAll ( jndiProperties );
        Context context = new InitialContext ( contextProps );
        Object serverSide = context.lookup ( jndiName );
        return interfaceClass.cast ( serverSide );
    } catch ( NamingException e ) {
        throw new LookupFailed ( e );
    }
}
