boolean isPrime ( long n ) {
    if ( n < 2 ) {
        return false;
    }
    if ( n == 2 ) {
        return true;
    }
    if ( n % 2 == 0 ) {
        return false;
    }
    if ( n < 9 ) {
        return true;
    }
    if ( n % 3 == 0 ) {
        return false;
    }
    long max = ( long ) ( Math.sqrt ( n + 0.0 ) ) + 1;
    for ( int i = 5; i <= max; i += 6 ) {
        if ( n % i == 0 ) {
            return false;
        }
        if ( n % ( i + 2 ) == 0 ) {
            return false;
        }
    }
    return true;
}
