static final String LOGBACK_XML =
    "<configuration debug='true'>" +
    "  <appender name='FILE' class='ch.qos.logback.core.RollingFileAppender'>" +
    "    <file>foo.log</file>" +
    "    <append>true</append>" +
    "    <encoder>" +
    "      <pattern>%-4relative [%thread] %-5level %logger{35} - %msg%n</pattern>" +
    "    </encoder>" +
    "  </appender>" +
    "  <root level='INFO'>" +
    "    <appender-ref ref='FILE' />" +
    "  </root>" +
    "</configuration>"
    ;
static public void configLogback() {
    LoggerContext lc = ( LoggerContext ) LoggerFactory.getILoggerFactory();
    try {
        JoranConfigurator configurator = new JoranConfigurator();
        configurator.setContext ( lc );
        lc.reset();
        configurator.doConfigure ( new ByteArrayInputStream ( LOGBACK_XML.getBytes() ) );
    } catch ( JoranException je ) {
        je.printStackTrace();
    }
}
