private final FloatBuffer buffer = EngineUtil.createBuffer ( 16 );
public Matrix getModelviewMatrix() {
    return getMatrix ( GL11.GL_MODELVIEW_MATRIX );
}
public Matrix getProjectionMatrix() {
    return getMatrix ( GL11.GL_PROJECTION_MATRIX );
}
private Matrix getMatrix ( int name ) {
    buffer.rewind();
    GL11.glGetFloat ( name, buffer );
    final float[] array = new float[ 16 ];
    buffer.get ( array );
    return new Matrix ( array );
}
