public class ParameterizedActivity extends Activity {
    private static final String INTENT_KEY_PARAM_A = "ParamA";
    private static final String INTENT_KEY_PARAM_B = "ParamB";
    public static void startActivity ( Context context, String paramA, String paramB ) {
        Bundle extras = new Bundle();
        extras.putString ( INTENT_KEY_PARAM_A, paramA );
        extras.putString ( INTENT_KEY_PARAM_B, paramB );
        Intent intent = new Intent ( context, ParameterizedActivity.class );
        intent.putExtras ( extras );
        context.startActivity ( intent );
    }
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        Bundle extras = getIntent().getExtras();
        String paramA = extras.getString ( INTENT_KEY_PARAM_A );
        String paramB = extras.getString ( INTENT_KEY_PARAM_B );
    }
}
