@Stateless
public class Foo {
    ...
    @TransactionAttribute ( TransactionAttributeType.REQUIRES_NEW )
    public Object foo() {
        try {
            entityManager.insert ( stuff );
            return stuff;
        } catch ( PersistenceException e ) {
            if ( e.getCause() instanceof ConstraintViolationException ) {
                return null;
            }
            throw e;
        }
    }
    public Object load() {
        ...
    }
}
@EJB
private Foo fooBean;
public Object doSomething() {
    Object foo = fooBean.insert();
    if ( foo == null ) {
        return fooBean.load();
    }
    return foo;
}
