public static int countRows ( Connection conn, String tableName ) throws SQLException {
    Statement stmt = null;
    ResultSet rs = null;
    int rowCount = -1;
    try {
        stmt = conn.createStatement();
        rs = stmt.executeQuery ( "SELECT COUNT(*) FROM " + tableName + " WHERE.... " );
        rs.next();
        rowCount = rs.getInt ( 1 );
    } finally {
        rs.close();
        stmt.close();
    }
    return rowCount;
}
