public boolean onTouch ( View v, MotionEvent event ) {
    if ( firstTap ) {
        thisTime = SystemClock.uptimeMillis();
        firstTap = false;
    } else {
        prevTime = thisTime;
        thisTime = SystemClock.uptimeMillis();
        if ( thisTime > prevTime ) {
            if ( ( thisTime - prevTime ) <= DOUBLE_CLICK_MAX_DELAY ) {
                Toast.makeText ( DoubleTapActivity.this, "DOUBLE TAP DETECTED!!!", Toast.LENGTH_LONG ).show();
            } else {
                firstTap = true;
            }
        } else {
            firstTap = true;
        }
    }
    return false;
}
