public class MessageTest {
    public static void main ( String[] args ) {
        IMessageProcessor processor = new FakeMessageProcessor();
        MessageHandler handler = new MessageHandler ( processor );
        handler.handleMessage ( new Message ( 1 ) );
        handler.setMessageValidator ( new FakeMessageValidator() );
        handler.handleMessage ( new Message ( 2 ) );
        processor = new FakeMessageProcessorAndValidator();
        handler = new MessageHandler ( processor );
        handler.handleMessage ( new Message ( 3 ) );
    }
}
