public void doFilter ( ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain ) throws IOException, ServletException {
    if ( servletRequest instanceof HttpServletRequest ) {
        HttpServletRequest request = ( HttpServletRequest ) servletRequest;
        if ( MULTI_READ_HTTP_METHODS.contains ( request.getMethod() ) ) {
            filterChain.doFilter ( new HttpServletRequestWrapper ( request ), servletResponse );
            return;
        }
    }
    filterChain.doFilter ( servletRequest, servletResponse );
}
