classdef learnvst_message
%
%
% Examples:
% msg = learnvst_message;
% msg.payload = { 'Hello world', 1: 100 }
                % msg.payloadType = uint8 ( [ 5 12 0 0 ] );
% guessing on this
properties
magicNumber = uint32 ( 445566 );
payloadType = zeros ( 4, 1, 'uint8' );
%
payload = {};
end
methods
function out = convertPayload ( obj )
               %
               byteChunks = cellfun ( @convertPayloadElement, obj.payload, 'UniformOutput', false );
out = cat ( 2, byteChunks {: } );
end
function out = marshall ( obj )
               payloadBytes = convertPayload ( obj );
messageSize = uint32 ( 4 + numel ( payloadBytes ) );
%
out.headerBytes = [
                      typecast ( obj.magicNumber, 'uint8' ) ...
                      obj.payloadType ...
                      typecast ( messageSize, 'uint8' )];
out.payloadBytes = payloadBytes;
end
function sendTo ( obj, host, port )
m = marshall ( obj );
mySocket = Socket ( host, port );
d_output = mySocket.getOutputStream();
d_output.write ( m.headerBytes, 0, numel ( m.headerBytes ) );
d_output.write ( m.messageBytes, 0, numel ( m.messageBytes ) );
mySocket.close();
end
end
end
function out = convertPayloadElement ( x )
if isnumeric ( x ) {
    out = typecast ( x, 'uint8' );
}
elseif ischar ( x )
% Assumes receiver likes 16 - bit Unicode chars
out = typecast ( uint16 ( x ), 'uint8' );
else
    % ... fill in other types here ...
    % or define a payload_element class that marshalls itself and call
        % it polymorphically
        error ( 'Unsupported payload element type: %s', class ( x ) );
end
end
