final List<Dependency> dependencies = project.getDependencies();
for ( Dependency d : dependencies ) {
    final Artifact artifact =
        artifactFactory.createArtifactWithClassifier ( d.getGroupId(),
                d.getArtifactId(), d.getVersion(), d.getType(),
                d.getClassifier() );
    try {
        resolver.resolve ( artifact, remoteRepositories,
                           localRepository );
    } catch ( ArtifactResolutionException e ) {
        e.printStackTrace();
    } catch ( ArtifactNotFoundException e ) {
        e.printStackTrace();
    }
    File artifactFile = artifact.getFile();
    System.out.println ( artifactFile.getAbsolutePath() );
}
