import java.util.*;
class CheckChanges {
    private static boolean isDifferent ( Properties p1, Properties p2 ) {
        Set<Map.Entry<Object, Object>> p1EntrySet = p1.entrySet();
        Set<Map.Entry<Object, Object>> p2EntrySet = p2.entrySet();
        for ( Map.Entry<Object, Object> e : p1EntrySet ) {
            if ( !p2EntrySet.contains ( e ) ) {
                return true;
            }
        }
        for ( Map.Entry<Object, Object> e : p2EntrySet ) {
            if ( !p1EntrySet.contains ( e ) ) {
                return true;
            }
        }
        return false;
    }
    public static void main ( String[] s ) {
        Properties p = ( Properties ) System.getProperties().clone();
        System.setProperty ( "dummy.property", "42" );
        System.out.println ( isDifferent ( p, System.getProperties() ) );
    }
}
