private class SetWallpaperTask extends AsyncTask<Void, Void, Void> {
    Drawable wallpaperDrawable;
    @Override
    protected void onPreExecute() {
        Log.d ( TAG, "About to set wallpaper..." );
    }
    @Override
    protected Void doInBackground ( Void... params ) {
        WallpaperManager wallpaperManager = WallpaperManager.getInstance
                                            ( getApplicationContext() );
        wallpaperDrawable = wallpaperManager.getDrawable();
    }
    @Override
    protected void onPostExecute ( Void res ) {
        if ( wallpaperDrawable != null ) {
            wallpaperDrawable.setAlpha ( 50 );
            getWindow().setBackgroundDrawable ( wallpaperDrawable );
            Log.d ( TAG, "New wallpaper set" );
        } else {
            Log.d ( TAG, "Wallpaper was null" );
        }
    }
}
