class AnimationPanel extends JPanel implements ActionListener {
    private int timeInterval;
    private Timer animTimer;
    public AnimationPanel ( int width, int height ) {
        timeInterval = 50;
        this.setSize ( width, height );
        this.animTimer = new Timer ( timeInterval, this );
        animTimer.start();
    }
    public void actionPerformed ( ActionEvent arg0 ) {
        repaint();
    }
    public void paintComponent ( Graphics g ) {
        super.paintComponent ( g );
        BufferedImage bImage = new BufferedImage ( this.getWidth(),
                this.getHeight(), BufferedImage.TYPE_INT_RGB );
        Graphics bg = bImage.getGraphics();
        bg.setColor ( Color.WHITE );
        bg.fillRect ( 0, 0, bImage.getWidth(), bImage.getHeight() );
        bg.dispose();
        g.drawImage ( bImage, 0, 0, this );
    }
}
