@WebFilter ( "/app/*" )
public class AuthenticationFilter implements Filter {
    public void doFilter ( ServletRequest request, ServletResponse response, FilterChain chain ) throws ServletException, IOException {
        HttpServletRequest req = ( HttpServletRequest ) request;
        HttpServletResponse res = ( HttpServletResponse ) response;
        if ( req.getSession().getAttribute ( "user" ) != null ) {
            chain.doFilter ( request, response );
        } else {
            res.sendRedirect ( req.getContextPath() + "/login.jsp" );
        }
    }
}
