@WebListener
public class BackgroundJobManager implements ServletContextListener {
    private ScheduledExecutorService scheduler;
    @Override
    public void contextInitialized ( ServletContextEvent event ) {
        scheduler = Executors.newSingleThreadScheduledExecutor();
        scheduler.scheduleAtFixedRate ( new YourParsingJob(), 0, 5, TimeUnit.HOUR );
    }
    @Override
    public void contextDestroyed ( ServletContextEvent event ) {
        scheduler.shutdownNow();
    }
}
