public static Bitmap convertToMutable ( Bitmap imgIn ) {
    try {
        File file = new File ( Environment.getExternalStorageDirectory() + File.separator + "temp.tmp" );
        RandomAccessFile randomAccessFile = new RandomAccessFile ( file, "rw" );
        int width = imgIn.getWidth();
        int height = imgIn.getHeight();
        Config type = imgIn.getConfig();
        FileChannel channel = randomAccessFile.getChannel();
        MappedByteBuffer map = channel.map ( MapMode.READ_WRITE, 0, imgIn.getRowBytes() * height );
        imgIn.copyPixelsToBuffer ( map );
        imgIn.recycle();
        System.gc();
        imgIn = Bitmap.createBitmap ( width, height, type );
        map.position ( 0 );
        imgIn.copyPixelsFromBuffer ( map );
        channel.close();
        randomAccessFile.close();
        file.delete();
    } catch ( FileNotFoundException e ) {
        e.printStackTrace();
    } catch ( IOException e ) {
        e.printStackTrace();
    }
    return imgIn;
}
