public class BufferedWriterTest {
    public static void main ( String[] args ) {
        JFrame frame = new JFrame();
        frame.setDefaultCloseOperation ( JFrame.DISPOSE_ON_CLOSE );
        final JTextArea textArea = new JTextArea();
        frame.add ( textArea );
        frame.setSize ( 400, 200 );
        frame.setVisible ( true );
        frame.addWindowListener ( new WindowAdapter() {
            @Override
            public void windowClosed ( WindowEvent e ) {
                String string = textArea.getText();
                System.out.println ( string );
                File file = new File ( "text.txt" );
                try {
                    StringReader stringReader = new StringReader ( string );
                    BufferedReader bufferedReader = new BufferedReader ( stringReader );
                    FileWriter fileWriter = new FileWriter ( file );
                    BufferedWriter bufferedWriter = new BufferedWriter ( fileWriter );
                    for ( String line = bufferedReader.readLine(); line != null; line = bufferedReader.readLine() ) {
                        bufferedWriter.write ( line );
                        bufferedWriter.newLine();
                    }
                    bufferedReader.close();
                    bufferedWriter.close();
                } catch ( IOException e1 ) {
                    e1.printStackTrace();
                }
            }
        } );
    }
}
