String xml = "<data xmlns=\"http://base\" xmlns:foo=\"http://foo\" >"
             + "<foo:value>"
             + "hello"
             + "</foo:value>"
             + "</data>";
String expression = "/stack:data/overflow:value";
class BaseFooContext implements NamespaceContext {
    @Override
    public String getNamespaceURI ( String prefix ) {
        if ( "stack".equals ( prefix ) ) {
            return "http://base";
        }
        if ( "overflow".equals ( prefix ) ) {
            return "http://foo";
        }
        throw new IllegalArgumentException ( prefix );
    }
    @Override
    public String getPrefix ( String namespaceURI ) {
        throw new UnsupportedOperationException();
    }
    @Override
    public Iterator<String> getPrefixes (
        String namespaceURI ) {
        throw new UnsupportedOperationException();
    }
}
XPathFactory factory = XPathFactory.newInstance();
XPath xpath = factory.newXPath();
xpath.setNamespaceContext ( new BaseFooContext() );
String value = xpath.evaluate ( expression,
                                new InputSource ( new StringReader ( xml ) ) );
System.out.println ( value );
