public class AutoBeanSerializer {
    private final AutoBeanFactory factory;
    public AutoBeanSerializer ( AutoBeanFactory factory ) {
        this.factory = factory;
    }
    public String <T> encodeData ( T data ) {
        AutoBean<T> autoBean = AutoBeanUtils.getAutoBean ( data );
        return AutoBeanCodex.encode ( autoBean );
    }
    public <T> T decodeData ( Class<T> dataType, String json ) {
        AutoBean<T> bean = AutoBeanCodex.decode ( factory, dataType, json );
        return bean.as();
    }
}
