import java.io.*;
import com.itextpdf.text.DocumentException;
import com.itextpdf.text.pdf.*;
public class AddContentToPDF {
    public static void main ( String[] args ) throws IOException, DocumentException {
        PdfReader reader = new PdfReader ( "C:/temp/Bubi.pdf" );
        PdfStamper stamper = new PdfStamper ( reader,
                                              new FileOutputStream ( "C:/temp/Bubi_modified.pdf" ) );
        BaseFont bf = BaseFont.createFont (
                          BaseFont.HELVETICA, BaseFont.CP1252, BaseFont.NOT_EMBEDDED );
        for ( int i = 1; i <= reader.getNumberOfPages(); i++ ) {
            PdfContentByte over = stamper.getOverContent ( i );
            over.beginText();
            over.setFontAndSize ( bf, 10 );
            over.setTextMatrix ( 107, 740 );
            over.showText ( "I can write at page " + i );
            over.endText();
            over.setRGBColorStroke ( 0xFF, 0x00, 0x00 );
            over.setLineWidth ( 5f );
            over.ellipse ( 250, 450, 350, 550 );
            over.stroke();
        }
        stamper.close();
    }
}
