public static void main ( String[] args ) {
    System.out.println ( "Welcome to the loan calculator" );
    Scanner sc = new Scanner ( System.in );
    boolean quit = false;
    do {
        System.out.println();
        System.out.println ( "DATA ENTRY" );
        double loanAmount = getDoubleWithinRange ( sc, "Enter loan amount: ",
                            0.0, 1000000.0 );
        double interestRate = getDoubleWithinRange ( sc,
                              "Enter yearly interest rate: ", 0, 20 );
        int years = getIntWithinRange ( sc, "Enter number of years: ", 0, 100 );
        int months = years * 12;
        double monthlyPayment = loanAmount * interestRate /
                                ( 1 - 1 / Math.pow ( 1 + interestRate, months ) );
        NumberFormat currency = NumberFormat.getCurrencyInstance();
        NumberFormat percent = NumberFormat.getPercentInstance();
        percent.setMinimumFractionDigits ( 1 );
        System.out.println ( "RESULST" );
        System.out.println ( "Loan Amount: " + currency.format ( loanAmount ) );
        System.out.println ( "Yearly interest rate: " + percent.format ( interestRate ) );
        System.out.println ( "Number of years: " + years );
        System.out.println ( "Monthly payment: " + currency.format ( monthlyPayment ) );
        boolean choiceIsOK = false;
        do {
            System.out.println();
            System.out.println ( "Continue? (y/n): " );
            String userinput1 = sc.next();
            char choice1 = userinput1.toLowerCase().charAt ( 0 );
            switch ( choice1 ) {
            case 'y':
                choiceIsOK = true;
                break;
            case 'n':
                choiceIsOK = true;
                quit = true;
                break;
            default:
                System.out.println ( "Type Y or N to respectively continue or quit" );
                break;
            }
        } while ( !choiceIsOK );
    } while ( !quit );
}
}
