HttpResponse wsResponse = WS.url ( comercialYComunUrl ).get();
String responseString = wsResponse.getString ( "ISO-8859-1" );
if ( wsResponse.getStatus() == 200 ) {
    List<Header> headers = wsResponse.getHeaders();
    List<String> cookies = new ArrayList<String>();
    for ( Header header : headers ) {
        if ( header.name.equals ( "Set-Cookie" ) ) {
            cookies = header.values;
        }
    }
    String sessionCookie = "";
    for ( String cookie : cookies ) {
        if ( cookie.toUpperCase().contains ( "ASPSESSIONID" ) ) {
            sessionCookie = cookie.split ( ";", 2 ) [0];
        }
    }
    session.put ( "COOKIE", sessionCookie );
}
