@Singleton
public MyUserFilter extends FilterOfTheMonth {
    private final Provider<Authenticator> authProvider;
    @Inject
    MyUserFilter ( Provider<Authenticator> auth ) {
        this.authProvider = auth;
    }
    public void doFilter ( ServletRequest request, ServletResponse response,
    FilterChain chain ) throws java.io.IOException, ServletException {
        try {
            authProvider.get().authenticateUser ( HttpRequest currentRequest );
            ... other processing
        } finally {
            authProvider.get().getRidOfCurrentUser();
        }
    }
}
