#define INVOKE_CONSTRUCTOR 1
#define INVOKE_STATIC      2
#define INVOKE_INSTANCE    3
typedef struct InvokeRequest {
    jboolean pending;
    jboolean started;
    jboolean available;
    jboolean detached;
    jint id;
    jbyte invokeType;
    jbyte options;
    jclass clazz;
    jmethodID method;
    jobject instance;
    jvalue * arguments;
    jint argumentCount;
    char * methodSignature;
    jvalue returnValue;
    jobject exception;
} InvokeRequest;
