final SearchResponse response = client.prepareSearch ( indexName )
                                .setSearchType ( SearchType.DFS_QUERY_THEN_FETCH )
                                .setTypes ( FEED_TYPE )
                                .setQuery ( queryString ( query ).field ( "title" ).field ( "description" ).field ( "keywords" ) )
                                .addHighlightedField ( "title", 0, 0 )
                                .addHighlightedField ( "description", 0, 0 )
                                .addFields ( "title", "description", "url", "iconUrl", "keywords" )
                                .setSize ( size )
                                .setFrom ( start )
                                .execute().actionGet();
