public class TwoThreads {
    static final String FINISHED = "Finished";
    public static void main ( String[] args ) throws InterruptedException {
        final BlockingQueue<String> q = new ArrayBlockingQueue<String> ( 10 );
        new Thread() {
            @Override
            public void run() {
                String message = "Now is the time for all good men to come to he aid of the party.";
                try {
                    for ( String word : message.split ( " " ) ) {
                        q.put ( word );
                    }
                    q.put ( FINISHED );
                } catch ( InterruptedException ex ) {
                    Thread.currentThread().interrupt();
                }
            }
            {
                start();
            }
        };
        new Thread() {
            @Override
            public void run() {
                try {
                    String word;
                    while ( ( word = q.take() ) != FINISHED ) {
                        System.out.println ( word );
                    }
                } catch ( InterruptedException ex ) {
                    Thread.currentThread().interrupt();
                }
            }
            {
                start();
            }
        };
    }
}
