import java.util.Stack;
public String getFilteredPageContents() {
    String str = getUnfilteredPageContents();
    StringBuilder() temp = new StringBuilder();
    Stack<Character> expectedClosing = new Stack<Character>();
    for ( int i = 0; i < str.length(); i++ ) {
        char c = str.charAt ( i );
        if ( c == '<' ) {
            expectedClosing.push ( '>' );
        } else if ( c == '&' ) {
            expectedClosing.push ( ';' );
        } else if ( !expectedClosing.empty() && c == expectedClosing.peek() ) {
            expectedClosing.pop();
        } else {
            if ( expectedClosing.empty() ) {
                temp.append ( c );
            }
        }
    }
    return temp.toString();
}
