StringBuilder buffer = new StringBuilder();
public synchronized void serialEvent ( SerialPortEvent oEvent ) {
    if ( oEvent.getEventType() == SerialPortEvent.DATA_AVAILABLE ) {
        try {
            int available = input.available();
            byte chunk[] = new byte[available];
            input.read ( chunk, 0, available );
            buffer.append ( new String ( chunk ) );
            int endOfLineIndex = buffer.indexOf ( "\r\n" );
            if ( endOfLineIndex == -1 ) {
                return;
            }
            String print = buffer.substring ( 0, endOfLineIndex + 2 );
            buffer.delete ( 0, endOfLineIndex + 2 );
            test.write ( print );
            System.out.print ( print );
        } catch ( Exception e ) {
            System.err.println ( e.toString() );
        }
    }
}
