public static File getImageFile ( String filename ) {
    if ( !isExternalStorageReadable() ) {
        return null;
    }
    String imagesFolder = Environment.getExternalStorageDirectory().getPath()
                          + "Android/data/your.app.package/images/";
    File file = new File ( imagesFolder + filename );
    return file;
}
public static boolean storeImage ( HttpEntity entity, String filename ) throws IOException     {
    if ( isExternalStorageAvailable() ) {
        File file = getImageFile ( filename );
        if ( file == null ) {
            return false;
        }
        FileOutputStream os = new FileOutputStream ( file );
        entity.writeTo ( os );
        os.close();
        return true;
    }
    return false;
}
