public class MyDrawableView extends View {
    private Drawable mD1;
    private Drawable mD2;
    public MyDrawableView ( Context context ) {
        super ( context );
        Resources res = context.getResources();
        mD1 = res.getDrawable ( R.drawable.image1 );
        mD2 = res.getDrawable ( R.drawable.image2 );
    }
    protected void onDraw ( Canvas canvas ) {
        mD1.draw ( canvas );
        mD2.draw ( canvas );
    }
}
