public int countLinesInFile ( File f ) throws FileNotFoundException, IOException {
    BufferedReader reader = null;
    int lines = 0;
    int blankLines = 0;
    try {
        reader = new BufferedReader ( new FileReader ( f ) );
        String lineRead = "";
        while ( lineRead != null ) {
            lineRead = reader.readLine();
            if ( lineRead != null && lineRead.trim().equals ( "" ) ) {
                blankLines ++;
            }
            lines++;
        }
    } finally {
        if ( reader != null ) {
            reader.close();
        }
    }
    return lines - blankLines;
}
