public class IdleFlag {
    private boolean idle;
    public void waitUntilIdle() throws InterruptedException {
        synchronized ( this ) {
            while ( true ) {
                if ( this.idle ) {
                    break;
                }
                this.wait();
            }
        }
    }
    public void setIdle() {
        synchronized ( this ) {
            this.idle = true;
            this.notifyAll();
        }
    }
}
