import java.awt.Dimension;
import java.awt.EventQueue;
import java.awt.GraphicsDevice;
import java.awt.GraphicsEnvironment;
import java.awt.Rectangle;
import javax.swing.JFrame;
import javax.swing.JPanel;
public class LowerRightFrame {
    private void display() {
        JFrame f = new JFrame ( "LowerRightFrame" );
        f.add ( new JPanel() {
            @Override
            public Dimension getPreferredSize() {
                return new Dimension ( 320, 240 );
            }
        } );
        f.pack();
        f.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
        GraphicsDevice defaultScreen = ge.getDefaultScreenDevice();
        Rectangle rect = defaultScreen.getDefaultConfiguration().getBounds();
        int x = ( int ) rect.getMaxX() - f.getWidth();
        int y = ( int ) rect.getMaxY() - f.getHeight();
        f.setLocation ( x, y );
        f.setVisible ( true );
    }
    public static void main ( String[] args ) {
        EventQueue.invokeLater ( new Runnable() {
            @Override
            public void run() {
                new LowerRightFrame().display();
            }
        } );
    }
}
