public class ShutdownHookBean implements Runnable {
    private final MyService service;
    public ShutdownHookBean ( MyService service ) {
        this.service = service;
        Runtime.getRuntime().addShutdownHook ( this );
    }
    public void run() {
        service.performShutdown();
    }
}
