private static final int BUFFER_SIZE = 1024;
private String readData ( Reader reader ) throws IOException {
    StringBuilder result = new StringBuilder();
    char[] buffer = new char[BUFFER_SIZE];
    while ( reader.ready() ) {
        int charsRead = reader.read ( buffer, 0, BUFFER_SIZE - 1 ) );
        if ( charsRead > 0 ) {
        result.append ( buffer, 0, charsRead );
        }
    }
    return result.toString();
}
public void readStuff() {
    try {
        Socket s = new Socket ( "195.211.49.6", 5222 );
        PrintWriter out = new PrintWriter ( s.getOutputStream() );
        BufferedReader bufferedReader = new BufferedReader ( new InputStreamReader ( s.getInputStream() ) );
        out.println ( "<stream:stream to='nimbuzz.com' xmlns='jabber:client' xmlns:stream='http://etherx.jabber.org/streams' version='1.0'>" );
        out.flush();
        System.out.println ( readData ( bufferedReader ) );
        out.println ( "<iq type='set' xml:lang='en' id='terms' to='nimbuzz.com'><query xmlns='jabber:iq:auth'><username>username</username><password>password</password><resource>resource</resource></query></iq>" );
        out.flush();
        System.out.println ( readData ( bufferedReader ) );
    } catch ( UnknownHostException e ) {
        e.printStackTrace();
    } catch ( IOException e ) {
        e.printStackTrace();
    } catch ( Exception e ) {
        System.out.println ( e.getLocalizedMessage() );
    }
}
