public class PaddedIntegerBridge implements StringBridge {
    private int PADDING = 5;
    public String objectToString ( Object object ) {
        String rawInteger = ( ( Integer ) object ).toString();
        if ( rawInteger.length() > PADDING ) {
            throw new IllegalArgumentException ( "Try to pad on a number too big" );
        }
        StringBuilder paddedInteger = new StringBuilder( );
        for ( int padIndex = rawInteger.length() ; padIndex < PADDING ; padIndex++ ) {
            paddedInteger.append ( '0' );
        }
        return paddedInteger.append ( rawInteger ).toString();
    }
}
