static class ListCopy {
    public static void ListCopyToEnd<TSource, TDest> ( this IList<TSource> sourceList, IList<TDest> destList )
    where TSource : TDest {
        foreach ( TSource item in sourceList ) {
            destList.Add ( item );
        }
    }
}
class Program {
    static void Main ( string[] args ) {
        List<int> intList = new List<int> { 1, 2, 3 };
        List<object> objList = new List<object>(); ;
        ListCopy.ListCopyToEnd ( intList, objList );
        intList.ListCopyToEnd ( objList );
        foreach ( object obj in objList ) {
            Console.WriteLine ( obj );
        }
        Console.ReadLine();
    }
