protected void include (
    String path, RenderRequest renderRequest,
    RenderResponse renderResponse )
throws IOException, PortletException {
    PortletRequestDispatcher portletRequestDispatcher =
        getPortletContext().getRequestDispatcher ( path );
    if ( portletRequestDispatcher == null ) {
        _log.error ( path + " is not a valid include" );
    } else {
        portletRequestDispatcher.include ( renderRequest, renderResponse );
    }
}
