JNIEXPORT jintArray JNICALL Java_IntArrayViaJNI_intArrayMethod (
    JNIEnv * env, jclass cls,
) {
    jintArray result = ( * env )->NewIntArray ( env, size );
    if ( result == NULL ) {
        return NULL;
    }
    int i, size = MY_ARRAY_SIZE;
    jint fill[256];
    for ( i = 0; i < size; i++ ) {
        fill[i] = MY_ARRAY_VALUE;
    }
    ( * env )->SetIntArrayRegion ( env, result, 0, size, fill );
    return result;
}
