DatagramSocket s;
try {
    s = new DatagramSocket();
    byte[] buf = new byte[1000];
    DatagramPacket dp = new DatagramPacket ( buf, buf.length );
    InetAddress hostAddress = InetAddress.getByName ( "localhost" );
    String outString = "Say hi";
    buf = outString.getBytes();
    DatagramPacket out = new DatagramPacket ( buf, buf.length, hostAddress, 9999 );
    s.send ( out );
    s.setSoTimeout ( 1000 );
    while ( true ) {
        try {
            s.receive ( dp );
            String rcvd = "rcvd from " + dp.getAddress() + ", " + dp.getPort() + ": " + new String ( dp.getData(), 0, dp.getLength() );
            System.out.println ( rcvd );
        } catch ( SocketTimeoutException e ) {
            System.out.println ( "Timeout reached!!! " + e );
            s.close();
        }
    }
} catch ( SocketException e1 ) {
    System.out.println ( "Socket closed " + e1 );
} catch ( IOException e ) {
    e.printStackTrace();
}
