static JNINativeMethod methods[] = {
    {"hashCode",    "()I", ( void * ) & JVM_IHashCode},
    {"wait",        "(J)V", ( void * ) & JVM_MonitorWait},
    {"notify",      "()V", ( void * ) & JVM_MonitorNotify},
    {"notifyAll",   "()V", ( void * ) & JVM_MonitorNotifyAll},
    {"clone",       "()Ljava/lang/Object;", ( void * ) & JVM_Clone},
};
JNIEXPORT void JNICALL
Java_java_lang_Object_registerNatives ( JNIEnv * env, jclass cls ) {
    ( * env )->RegisterNatives ( env, cls,
                                 methods, sizeof ( methods ) / sizeof ( methods[0] ) );
}
