public double f ( double x, double y ) {
    return x + y * y;
}
public double trapezoidRule ( double a, double b, double c, double d, int xSegs, int ySegs ) {
    double xSegSize = ( b - a ) / xSegs;
    double ySegSize = ( d - c ) / ySegs;
    double volume = 0;
    for ( int i = 0; i < xSegs; i++ ) {
        for ( int j = 0; j < ySegs; j++ ) {
            double height = f ( a + ( xSegSize * i ), c + ( ySegSize * j ) );
            height += f ( a + ( xSegSize * ( i + 1 ) ), c + ( ySegSize * j ) );
            height += f ( a + ( xSegSize * ( i + 1 ) ), c + ( ySegSize * ( j + 1 ) ) );
            height += f ( a + ( xSegSize * i ), c + ( ySegSize * ( j + 1 ) ) );
            height /= 4;
            volume += xSegSize * ySegSize * height;
        }
    }
    return volume;
}
