public class SOAnswer {
    private static void vbusExtractSeptett ( int[] data, int offset, int length ) {
        int septett = 0;
        for ( int i = 0; i < length; i++ ) {
            if ( ( data[offset + i] & 0x80 ) != 0 ) {
                data[offset + i] &= 0x7F;
                septett |= 1 << i;
            }
        }
        data[offset + length] = septett;
    }
    private static void vbusInjectSeptett ( final int[] data, int offset, int length ) {
        int septett = data[offset + length];
        for ( int i = 0; i < length; i++ ) {
            if ( ( septett & ( 1 << i ) ) != 0 ) {
                data[offset + i] |= 0x80;
            }
        }
        data[offset + length] = 0x00;
    }
    private static void printIntArrayAsHEX ( int[] array ) {
        StringBuilder builder = new StringBuilder();
        for ( int a : array ) {
            String s = Integer.toHexString ( a );
            if ( s.length() == 1 ) {
                builder.append ( "0" );
            }
            builder.append ( s + ":" );
        }
        builder.substring ( 0, builder.lastIndexOf ( ":" ) - 1 );
        System.out.println ( builder.toString() );
    }
    public static void main ( String[] args ) {
        int[] arr = new int[] {0x2E, 0x00, 0xDF, 0x00, 0x00};
        printIntArrayAsHEX ( arr );
        vbusExtractSeptett ( arr, 0, 4 );
        printIntArrayAsHEX ( arr );
        vbusInjectSeptett ( arr, 0, 4 );
        printIntArrayAsHEX ( arr );
    }
}
