public class PositionedView extends ComponentView {
    private JEditorPane view;
    private JEditorPane parent;
    @Override
    public Component createComponent() {
        if ( view == null ) {
            view = new JEditorPane();
        }
        String innerText = dumpInnerText ( getElement() );
        view.setText ( innerText );
        view.setLocation ( getAbsoluteX(), getAbsoluteY() );
        parent.add ( view );
    }
    @Override
    public void setParent ( View parent ) {
        if ( parent != null ) {
            java.awt.Container host = parent.getContainer();
            if ( host != null && host instanceof JEditorPane ) {
                parent = ( JEditorPane ) host;
            }
        }
        super.setParent ( parent );
    }
    protected int getAbsoluteX() {
    }
    protected int getAbsoluteY() {
    }
    protected String dumpInnerText ( Element element ) {
    }
}
