@ManagedBean
@RequestScoped
public class MainController {
    @ManagedProperty ( "#{loginController}" )
    public LoginController loginController;
    @PostConstruct
    public void checkUserSession() throws IOException {
        ExternalContext ec = FacesContext.getCurrentInstance().getExternalContext();
        if ( !loginController.getIsLoggedIn() ) {
            ec.redirect ( ec.getRequestContextPath() + "/views/login.html" );
        }
    }
    public boolean isShowComponent() {
        return loginController.getIsLoggedIn();
    }
}
