public class AwesomeAnswer {
    public static void main ( String[] args ) {
        JFrame frame = new JFrame();
        JPanel content = ( JPanel ) frame.getContentPane();
        JPanel page = new JPanel();
        page.setLayout ( new BoxLayout ( page, BoxLayout.Y_AXIS ) );
        content.add ( page );
        page.add ( insert ( "This is an awesome answer", "Accept" ) );
        page.add ( insert ( "Say thank you", "Thank" ) );
        frame.pack();
        frame.setVisible ( true );
    }
    public static final JPanel insert ( String labelText, String buttonText ) {
        JLabel lbl = new JLabel ( labelText );
        JButton btn = new JButton ( buttonText );
        JPanel wrapPanel = new JPanel ( new GridBagLayout() );
        wrapPanel.setBorder ( BorderFactory.createEmptyBorder ( 10, 10, 10, 10 ) );
        GridBagConstraints gbc = new GridBagConstraints();
        gbc.gridwidth = 0;
        gbc.gridheight = 2;
        JPanel buttonPanel = new JPanel ( new FlowLayout ( 0, 0, FlowLayout.CENTER ) );
        buttonPanel.add ( btn );
        JPanel labelPanel = new JPanel ( new FlowLayout ( 0, 0, FlowLayout.CENTER ) );
        labelPanel.add ( lbl );
        wrapPanel.add ( buttonPanel, gbc );
        wrapPanel.add ( labelPanel, gbc );
        return wrapPanel;
    }
}
