DescribeInstancesResult describeInstancesRequest = ec2.describeInstances();
List<Reservation> reservations = describeInstancesRequest.getReservations();
List<Instance> instances = new ArrayList<Instance>();
for ( Reservation reservation : reservations ) {
    instances.addAll ( reservation.getInstances() );
}
String id;
List instanceId = new ArrayList();
List instanceIdString = new ArrayList();
Iterator<Instance> iterator = instances.iterator();
while ( iterator.hasNext() ) {
    id = iterator.next().getInstanceId();
    instanceId.add ( new com.amazonaws.services.elasticloadbalancing.model.Instance ( id ) );
    instanceIdString.add ( id );
}
RegisterInstancesWithLoadBalancerRequest register = new RegisterInstancesWithLoadBalancerRequest();
register.setLoadBalancerName ( "loader" );
register.setInstances ( ( Collection ) instanceId );
RegisterInstancesWithLoadBalancerResult registerWithLoadBalancerResult = elb.registerInstancesWithLoadBalancer ( register );
