public class EchoThread extends Thread {
    protected Socket socket;
    public EchoThread ( Socket clientSocket ) {
        this.socket = clientSocket;
        this.socket.setSoTimeout ( 10000 );
    }
    public void run() {
        int i = 1;
        try {
            File directory = new File ( "F:/temp/tmplog/" + getDate() );
            if ( !directory.exists() ) {
                directory.mkdir();
            }
            String fileName = "F:/temp/tmplog/" + getDate() + "/" + getDateTime() + ".txt";
            File file = new File ( fileName );
            while ( file.exists() ) {
                file = new File ( fileName + "." + i );
                i++;
            }
            FileOutputStream fis = new FileOutputStream ( file, true );
            PrintStream out = new PrintStream ( fis );
            System.setOut ( out );
            while ( true ) {
                try {
                    InputStream is = socket.getInputStream();
                    BufferedReader br = new BufferedReader ( new InputStreamReader ( is, "US-ASCII" ) );
                    String line = null;
                    while ( ( line = br.readLine() ) != null ) {
                        System.out.println ( line );
                    }
                } catch ( IOException exception ) {
                } finally {
                    if ( socket != null ) {
                        try {
                            socket.close();
                        } catch ( IOException ignored ) {
                        }
                    }
                    fis.close();
                }
            }
        } catch ( IOException ignored ) {
        } catch ( SocketException e ) {
            socket.close();
            this.stop();
        }
    }
