public PersonSumTag extends TagSupport {
    private List personList;
    public List getPersonList() {
        return personList;
    }
    public void setPersonList ( List personList ) {
        this.personList = personList;
    }
    public int doStartTag() throws JspException {
        try {
            int sum = 0;
            for ( Iterator it = personList.iterator(); it.hasNext() ) {
                Person p = ( Person ) it.next();
                sum += p.getAge();
            }
            pageContext.getOut().print ( "" + sum );
        } catch ( Exception ex ) {
            throw new JspTagException ( "SimpleTag: " +
            ex.getMessage() );
        }
        return SKIP_BODY;
    }
    public int doEndTag() {
        return EVAL_PAGE;
    }
}
