public static void quicksort ( float[] main, int[] index ) {
    quicksort ( main, index, 0, index.length - 1 );
}
public static void quicksort ( float[] a, int[] index, int left, int right ) {
    if ( right <= left ) {
        return;
    }
    int i = partition ( a, index, left, right );
    quicksort ( a, index, left, i - 1 );
    quicksort ( a, index, i + 1, right );
}
private static int partition ( float[] a, int[] index,
                               int left, int right ) {
    int i = left - 1;
    int j = right;
    while ( true ) {
        while ( less ( a[++i], a[right] ) )
            ;
        while ( less ( a[right], a[--j] ) )
            if ( j == left ) {
                break;
            }
        if ( i >= j ) {
            break;
        }
        exch ( a, index, i, j );
    }
    exch ( a, index, i, right );
    return i;
}
private static boolean less ( float x, float y ) {
    return ( x < y );
}
private static void exch ( float[] a, int[] index, int i, int j ) {
    float swap = a[i];
    a[i] = a[j];
    a[j] = swap;
    int b = index[i];
    index[i] = index[j];
    index[j] = b;
}
