public class Seat {
    public void book() {
        if ( this.isBooled ) {
            throw new CannotBookException ( "seats is taken!" );
        }
        this.isBooled = true;
    }
}
public class SeatTest {
    @Test
    public void testBook() {
        final Seat seat = new Seat();
        seat.book();
        assertTrue ( seat.isBooked )
    }
    @Test ( expected = CannotBookException.class )
    public void testBookAlreadBooked() {
        final Seat seat = new Seat();
        seat.book();
        assertTrue ( seat.isBooked )
        seat.book();
    }
}
