public class UserPropertyEditor extends PropertyEditorSupport {
    private UserService userService;
    public UserPropertyEditor ( UserService userService ) {
        this.userService = userService;
    }
    @Override
    public String getAsText() {
        return String.valueOf ( ( ( User ) getValue() ).getId() );
    }
    @Override
    public void setAsText ( String id ) throws IllegalArgumentException {
        User user = userService.getUser ( integerId );
        setValue ( user );
    }
}
