@Test
public void sourceShouldThrowEventOnEventOccurrence() {
    Mockery context = new Mockery();
    MyEventListener listener = context.mock ( MyEventListener.class );
    MySource source = new MySource();
    source.addListener ( listener );
    context.checking ( new Expectations() {
        {
            oneOf ( listener ).handleMyEvent ( with ( any ( MyEvent.class ) ) );
        }
    } );
    context.assertIsSatisfied();
}
