import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import javax.swing.JButton;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;
public class Test {
    public static void main ( String[] args ) {
        SwingUtilities.invokeLater ( new Runnable() {
            @Override
            public void run() {
                new Test().initUI();
            }
        } );
    }
    protected void initUI() {
        JFrame frame = new JFrame();
        frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        JPanel panel = new JPanel();
        final JButton button = new JButton ( "Select files..." );
        button.addActionListener ( new ActionListener() {
            @Override
            public void actionPerformed ( ActionEvent e ) {
                final JFileChooser chooser = new JFileChooser();
                chooser.setCurrentDirectory (
                    chooser.getFileSystemView().getParentDirectory (
                        new File ( "C:\\" ) ) );
                chooser.setFileSelectionMode ( JFileChooser.DIRECTORIES_ONLY );
                chooser.showDialog ( button, "Select file" );
            }
        } );
        panel.add ( button );
        frame.add ( panel );
        frame.pack();
        frame.setLocationRelativeTo ( null );
        frame.setVisible ( true );
    }
}
