import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Version;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;
@Entity
public class Player implements Serializable {
    @Id private PlayerId id;
    @Version private int version;
    void setPlayerId ( PlayerId id ) {
        this.id = id;
    }
    @Override
    public String toString() {
        return new ToStringBuilder ( this, ToStringStyle.SHORT_PREFIX_STYLE ).append ( "number", id.getNumber() ).toString();
    }
}
