public static void main ( String[] args ) throws IOException {
    Test test = new Test();
    Date fromDate = Calendar.getInstance().getTime();
    System.out.println ( "UTC Time - " + fromDate );
    System.out.println ( "GMT Time - " + test.cvtToGmt ( fromDate ) );
}
private  Date cvtToGmt ( Date date ) {
    TimeZone tz = TimeZone.getDefault();
    Date ret = new Date ( date.getTime() - tz.getRawOffset() );
    if ( tz.inDaylightTime ( ret ) ) {
        Date dstDate = new Date ( ret.getTime() - tz.getDSTSavings() );
        if ( tz.inDaylightTime ( dstDate ) ) {
            ret = dstDate;
        }
    }
    return ret;
}
