public class Game {
    private Player whitePlayer;
    private Player blackPlayer;
    private Player turn;
    private Board board = new Board();
    private Gui gui;
    public Game ( String humanPlayerName, boolean humanWhite ) {
        if ( humanWhite ) {
            whitePlayer = new HumanPlayer ( humanPlayerName, this );
            blackPlayer = new ComputerPlayer ( "Computer", this );
        } else {
            whitePlayer = new ComputerPlayer ( "Computer", this );
            blackPlayer = new HumanPlayer ( humanPlayerName, this );
        }
    }
    public void start() {
        whitePlayer.setMyTurn ( true );
    }
    public void move ( Player playerMakingMove, Move move ) {
        if ( turn == playerMakingMove ) {
            turn.setMyTurn ( false );
            turn = ( turn == blackPlayer ) ? whitePlayer : blackPlayer;
            turn.setMyTurn ( true );
            turn.makeMove();
        } else {
        }
    }
}
