public boolean shouldIterateChildren() {
    if ( tree.isLeaf() ) {
        return false;
    } else {
        char separatorChar = UINamingContainer.getSeparatorChar ( FacesContext.getCurrentInstance() );
        String clientId = tree.getClientId();
        boolean render = false;
        for ( String idToRender : FacesContext.getCurrentInstance().getPartialViewContext().getRenderIds() ) {
            if ( clientId.equals ( idToRender ) || clientId.matches ( idToRender + separatorChar + ".*" ) ) {
                render = true;
                break;
            }
        }
        return render || !FacesContext.getCurrentInstance().isPostback();
    }
}
