public interface ISensor
    <I extends ISensor.SensorInfo,
    R extends ISensor.SensorResponse,
    L extends ISensor.SensorListener> {
    public I getSensorInfo();
    public R getData();
    public void getData ( L handler );
    public static class SensorInfo { }
    public static class SensorResponse { }
    public static class SensorListener { }
}
