% module test
% include <std_map.i>
% include <std_string.i>
% typemap ( jstype ) std::map<std::string, std::string> "java.util.Map<String,String>"
% typemap ( javain, pre = "    MapType temp$javainput = $javaclassname.convertMap($javainput);", pgcppname = "temp$javainput" ) std::map<std::string, std::string> "$javaclassname.getCPtr(temp$javainput)"
% typemap ( javacode ) std::map<std::string, std::string> % {
    static $javaclassname convertMap ( java.util.Map<String, String> in ) {
        $javaclassname out = new $javaclassname();
        for ( java.util.Map.Entry<String, String> entry : in.entrySet() ) {
            out.set ( entry.getKey(), entry.getValue() );
        }
        return out;
    }
    %
}
% template ( MapType ) std::map<std::string, std::string>;
void foo ( std::map<std::string, std::string> );
