class StepSerializer implements JsonSerializer<Step> {
    public JsonElement serialize ( Step src,
                                   Type typeOfSrc,
                                   JsonSerializationContext context ) {
        Gson gson = new Gson ();
        JsonObject step = new JsonObject ();
        step.add ( "start_name", gson.toJsonTree ( src.start_name );
                   step.add ( "end_name",   gson.toJsonTree ( src.end_name );
                              step.add ( "duration",   gson.toJsonTree ( src.data.duration );
                                         step.add ( "distance",   gson.toJsonTree ( src.data.distance );
                                                 step.add ( "location",   gson.toJsonTree ( src.data.location );
                                                         return step;
    }
}
