public static HttpHeader buildOAuthHeader ( AppInfo appInfo, Token token ) {
    StringBuilder buf = new StringBuilder();
    buf.append ( "OAuth " );
    buf.append ( "oauth_token=\"" ).append ( token.key ).append ( "\"" );
    buf.append ( ", oauth_consumer_key=\"" ).append ( appInfo.key ).append ( "\"" );
    buf.append ( ", oauth_signature_method=\"PLAINTEXT\"" );
    buf.append ( ", oauth_signature=\"" ).append ( appInfo.secret ).append ( "&" ).append ( token.secret ).append ( "\"" );
    return new HttpHeader ( "Authorization", buf.toString() );
}
public static HttpHeader buildInitialOAuthHeader ( AppInfo appInfo ) {
    StringBuilder buf = new StringBuilder();
    buf.append ( "OAuth " );
    buf.append ( " oauth_consumer_key=\"" ).append ( appInfo.key ).append ( "\"" );
    buf.append ( ", oauth_signature_method=\"PLAINTEXT\"" );
    buf.append ( ", oauth_signature=\"" ).append ( appInfo.secret ).append ( "&\"" );
    return new HttpHeader ( "Authorization", buf.toString() );
}
