import java.awt.event.*;
import javax.swing.*;
public class StopWatch extends JLabel
    implements MouseListener, ActionListener {
    private long startTime;
    private boolean running;
    private Timer timer;
    public StopWatch() {
        super ( "  Click to start timer.  ", JLabel.CENTER );
        addMouseListener ( this );
    }
    public void actionPerformed ( ActionEvent evt ) {
        long time = ( System.currentTimeMillis() - startTime ) / 1000;
        setText ( "Running:  " + time + " seconds" );
    }
    public void mousePressed ( MouseEvent evt ) {
        if ( running == false ) {
            running = true;
            startTime = evt.getWhen();
            setText ( "Running:  0 seconds" );
            if ( timer == null ) {
                timer = new Timer ( 100, this );
                timer.start();
            } else {
                timer.restart();
            }
        } else {
            timer.stop();
            running = false;
            long endTime = evt.getWhen();
            double seconds = ( endTime - startTime ) / 1000.0;
            setText ( "Time: " + seconds + " sec." );
        }
    }
    public void mouseReleased ( MouseEvent evt ) { }
    public void mouseClicked ( MouseEvent evt ) { }
    public void mouseEntered ( MouseEvent evt ) { }
    public void mouseExited ( MouseEvent evt ) { }
}
