package com.home.anas;
import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import org.apache.http.HttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import android.app.Activity;
import android.os.AsyncTask;
import android.os.Bundle;
import android.widget.EditText;
public class WebPageContentActivity extends Activity {
    private EditText ed;
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.main );
        ed = ( EditText ) findViewById ( R.id.editText1 );
        readWebpage();
    }
    private class DownloadWebPageTask extends AsyncTask<String, Void, String> {
        @Override
        protected String doInBackground ( String... urls ) {
            String response = "";
            for ( String url : urls ) {
                DefaultHttpClient client = new DefaultHttpClient();
                HttpGet httpGet = new HttpGet ( url );
                try {
                    HttpResponse execute = client.execute ( httpGet );
                    InputStream content = execute.getEntity().getContent();
                    BufferedReader buffer = new BufferedReader ( new InputStreamReader ( content ) );
                    String s = "";
                    while ( ( s = buffer.readLine() ) != null ) {
                        response += s;
                    }
                } catch ( Exception e ) {
                    e.printStackTrace();
                }
            }
            return response;
        }
        @Override
        protected void onPostExecute ( String result ) {
            ed.setText ( result );
        }
    }
    public void readWebpage() {
        DownloadWebPageTask task = new DownloadWebPageTask();
        task.execute ( new String[] { "http://www.google.com" } );
    }
}
