class ZipCompress {
    public static void main ( String[] args ) throws IOException {
        String dir = "d:\\My folder\\";
        String[] entries = { "temp\\folder1\\file1.txt", "temp\\folder2\\file2.txt",
                             "temp\\file3.txt"
                           };
        ZipOutputStream zipos = new ZipOutputStream ( new BufferedOutputStream (
                    new FileOutputStream ( dir + "archive.zip" ) ) );
        for ( String entrie : entries ) {
            System.out.println ( "Writing file: " + dir + entrie );
            BufferedInputStream fileStream = new BufferedInputStream (
                new FileInputStream ( dir + entrie ) );
            ZipEntry newEntry = new ZipEntry ( entrie );
            newEntry.setComment ( "comment to entry: " + newEntry );
            zipos.putNextEntry ( newEntry );
            int c;
            while ( ( c = fileStream.read() ) != -1 ) {
                zipos.write ( c );
            }
            fileStream.close();
        }
        zipos.close();
    }
}
