public class ResistorView extends View {
    private Path mSymbol;
    private Paint mPaint;
    public ResistorView ( Context context ) {
        super ( context );
        init();
    }
    public ResistorView ( Context context, AttributeSet attrs ) {
        super ( context, attrs );
        init();
    }
    private void init() {
        mSymbol = new Path();
        mPaint = new Paint();
    }
    @Override
    public void onMeasure ( int widthMeasureSpec, int heightMeasureSpec ) {
        setMeasuredDimension ( width, height );
    }
    @Override
    public void onDraw ( Canvas canvas ) {
        super.onDraw ( canvas );
        canvas.drawPath ( mSymbol, mPaint );
    }
}
