package part1.chapter05;
import java.io.FileOutputStream;
import java.io.IOException;
import com.itextpdf.text.Document;
import com.itextpdf.text.DocumentException;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.pdf.PdfWriter;
public class NewPage {
    public static final String RESULT
        = "results/part1/chapter05/new_page.pdf";
    public static void main ( String[] args ) throws IOException, DocumentException {
        Document document = new Document();
        PdfWriter writer
            = PdfWriter.getInstance ( document, new FileOutputStream ( RESULT ) );
        document.open();
        document.add ( new Paragraph ( "This page will NOT be followed by a blank page!" ) );
        document.newPage();
        document.newPage();
        document.add ( new Paragraph ( "This page will be followed by a blank page!" ) );
        document.newPage();
        writer.setPageEmpty ( false );
        document.newPage();
        document.add ( new Paragraph ( "The previous page was a blank page!" ) );
        document.close();
    }
}
