public class StandardSerializer implements JsonSerializer<Standard> {
    @Override
    public JsonElement serialize ( Standard src, Type typeOfSrc,
                                   JsonSerializationContext context ) {
        JsonObject obj = new JsonObject();
        obj.add ( "id", new JsonPrimitive ( src.getId() ) );
        JsonObject interpretations = new JsonObject();
        interpretations.add ( "title", src.getInterpretation().getTitle() );
        obj.add ( "interpretations", interpretations );
        return obj;
    }
}
