public class MyCustomView extends RelativeLayout {
    private LinearLayout mContentView;
    public MyCustomView ( Context context ) {
        this ( context, null );
    }
    public MyCustomView ( Context context, AttributeSet attrs ) {
        this ( context, attrs, 0 );
    }
    public MyCustomView ( Context context, AttributeSet attrs, int defStyle ) {
        super ( context, attrs, defStyle );
        LayoutInflater.from ( context ).inflate ( R.layout.custom_layout, this );
        mContentView = ( LinearLayout ) findViewById ( R.id.content );
    }
    @Override
    public void addView ( View child, int index, ViewGroup.LayoutParams params ) {
        mContentView.addView ( child, index, params );
    }
}
