FileInputStream inp = new FileInputStream ( file );
Workbook workbook = WorkbookFactory.create ( inp );
Sheet sheet = workbook.getSheetAt ( 0 );
JSONObject json = new JSONObject();
JSONArray rows = new JSONArray();
for ( Iterator<Row> rowsIT = sheet.rowIterator(); rowsIT.hasNext(); ) {
    Row row = rowsIT.next();
    JSONObject jRow = new JSONObject();
    JSONArray cells = new JSONArray();
    for ( Iterator<Cell> cellsIT = row.cellIterator(); cellsIT.hasNext(); ) {
        Cell cell = cellsIT.next();
        cells.put ( cell.getStringCellValue() );
    }
    jRow.put ( "cell", cells );
    rows.put ( jRow );
}
json.put ( "rows", rows );
return json.toString();
