private boolean isBound = false;
private static int bindCount = 0;
protected static ServiceConnection connection = new ServiceConnection() {
}
@Override
public void onResume() {
    super.onResume();
    if ( !this.isBound ) {
        if ( bindCount == 0 ) {
            Intent serviceIntent = new Intent ( this.getApplicationContext(), ConnectionService.class );
            bindService ( serviceIntent, DatapointActivity.connection, Context.BIND_AUTO_CREATE );
            this.isBound = true;
        }
        bindCount++;
        this.isBound = true;
    }
    this.visible = true;
}
@Override
public void onSaveInstanceState ( Bundle outState ) {
    outState.putBoolean ( "isBound", this.isBound );
}
@Override
public void onRestoreInstanceState ( Bundle inState ) {
    this.isBound = inState.getBoolean ( "isBound" );
}
@Override
public void onPause() {
    super.onPause();
    this.visible = false;
    if ( this.isFinishing() ) {
        if ( bindCount <= 1 && this.isBound ) {
            unbindService ( DatapointActivity.connection );
        }
        bindCount--;
    }
}
