package net.sghill.example;
import net.sghill.example.User;
import org.codehaus.jackson.JsonNode;
import org.codehaus.jackson.JsonParser;
import org.codehaus.jackson.ObjectCodec;
import org.codehaus.jackson.map.DeserializationContext;
import org.codehaus.jackson.map.JsonDeserializer;
import java.io.IOException;
public class UserDeserializer extends JsonDeserializer<User> {
    @Override
    public User deserialize ( JsonParser jsonParser, DeserializationContext deserializationContext ) throws IOException {
        ObjectCodec oc = jsonParser.getCodec();
        JsonNode node = oc.readTree ( jsonParser );
        return new User ( null, node.get ( "username" ).getTextValue(), node.get ( "password" ).getTextValue() );
    }
}
