Toolkit kit = Toolkit.getDefaultToolkit();
Dimension dim = kit.getBestCursorSize ( 48, 48 );
BufferedImage buffered = GraphicsUtilities.createCompatibleTranslucentImage ( dim.width, dim.height );
Shape circle = new Ellipse2D.Float ( 0, 0, dim.width - 1, dim.height - 1 );
Graphics2D g = buffered.createGraphics();
g.setColor ( Color.BLUE );
g.draw ( circle );
g.setColor ( Color.RED );
int centerX = ( dim.width - 1 ) / 2;
int centerY = ( dim.height - 1 ) / 2;
g.drawLine ( centerX, 0, centerX, dim.height - 1 );
g.drawLine ( 0, centerY, dim.height - 1, centerY );
g.dispose();
Cursor cursor = kit.createCustomCursor ( buffered, new Point ( centerX, centerY ), "myCursor" );
