class CompositeA implements Composite {
    public ? process() {
        for ( Sub subItem : subItems ) {
            subItem.execute();
            subItem.postProcess ( this );
        }
    }
    public ? postProcessA ( SubA subItem ) {
    }
    public ? postProcessB ( SubB subItem ) {
    }
}
class CompositeB implements Composite {
    public ? process() {
        for ( Sub subItem : subItems ) {
            subItem.execute();
            subItem.postProcess ( this );
        }
    }
    public ? postProcessA ( SubA subItem ) {
    }
    public ? postProcessB ( SubB subItem ) {
    }
}
class SubA implements Sub {
    public ? execute() {
    }
    public ? postProcess ( Composite composite ) {
        comp.postProcessA ( this );
    }
}
class SubB implements Sub {
    public ? execute() {
    }
    public ? postProcess ( Composite composite ) {
        comp.postProcessB ( this );
    }
}
