def getCache[A] ( key: String, result: () => A ) ( invalidTest: A => Boolean ) : SimpleResult[Json] = {
    Cache.get ( key ).getOrElse {
        result match {
        case m:
            A if ( !invalidTest ( m ) ) {
                => Cache.set ( key, Ok ( m as json ) );
            }
            Ok ( m as json )
        case x:
            A => Ok ( x as json )
        case _ => Ok ( errorjson as json )
            }
    }
}
getCache ( "directory.active", () => dao.findAll ( active = true ) ) ( _.isEmpty )
