private HttpClient createHttpClient() {
    HttpParams params = new BasicHttpParams();
    HttpProtocolParams.setVersion ( params, HttpVersion.HTTP_1_1 );
    HttpProtocolParams.setContentCharset ( params, HTTP.DEFAULT_CONTENT_CHARSET );
    HttpProtocolParams.setUseExpectContinue ( params, true );
    SchemeRegistry schReg = new SchemeRegistry();
    schReg.register ( new Scheme ( "http", PlainSocketFactory.getSocketFactory(), 80 ) );
    schReg.register ( new Scheme ( "https", SSLSocketFactory.getSocketFactory(), 443 ) );
    ClientConnectionManager conMgr = new ThreadSafeClientConnManager ( params, schReg );
    return new DefaultHttpClient ( conMgr, params );
}
