public synchronized void serialEvent ( SerialPortEvent oEvent ) {
    if ( oEvent.getEventType() == SerialPortEvent.DATA_AVAILABLE ) {
        try {
            int available = input.available();
            while ( available > 0 ) {
                byte chunk[] = new byte[available];
                input.read ( chunk, 0, available );
                System.out.println ( new String ( chunk ) );
                available = input.available();
            }
        } catch ( Exception e ) {
            System.err.println ( e.toString() );
        }
    }
}
