new RemovalListener<Key, ConnectionWrapper>() {
    public void onRemoval ( RemovalNotification<Key, ConnectionWrapper> notification ) {
        ConnectionWrapper wrapper = notification.getValue();
        if ( wrapper.users == 0 ) {
            wrapper.tearDown();
        } else {
            wrapper.expiredFromCache = true;
        }
    }
}
