package web.deployment;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
public class MyListener implements ServletContextListener {
    @Override
    public void contextDestroyed ( ServletContextEvent arg0 ) {
        System.out.println ( "ServletContextListener destroyed" );
    }
    @Override
    public void contextInitialized ( ServletContextEvent arg0 ) {
        ExecutorService executorService = Executors.newSingleThreadExecutor();
        executorService.submit ( new RunClassOnDeployment ( arg0.getServletContext() ) );
    }
}
