public class MyObject01 implements SQLData {
    private String value;
    private MyObject02[] details;
    private Array detailsArray;
    public void setupArrays ( oracle.jdbc.OracleConnection oconn )
    throws SQLException {
        detailsArrays = oconn.createARRAY ( MyObject02.ORACLE_OBJECT_ARRAY_NAME, getDetails() );
    }
    @Override
    public void writeSQL ( Stream stream ) throws SQLException {
        stream.writeString ( getValue() );
        stream.writeArray ( detailsArray );
    }
    @Override
    public void readSQL ( Stream stream ) throws SQLException {
        setValue ( stream.readString() );
        Array array = stream.readArray();
        if ( array != null ) {
            setDetails ( ( MyObject02[] ) array.getArray() );
        }
    }
