public static String getUrl ( HttpServletRequest req ) {
    String scheme = req.getScheme();
    String serverName = req.getServerName();
    int serverPort = req.getServerPort();
    String contextPath = req.getContextPath();
    String servletPath = req.getServletPath();
    String pathInfo = req.getPathInfo();
    String queryString = req.getQueryString();
    String url = scheme + "://" + serverName + ":" + serverPort + contextPath + servletPath;
    if ( pathInfo != null ) {
        url += pathInfo;
    }
    if ( queryString != null ) {
        url += "?" + queryString;
    }
    return url;
}
