public class ImageAdapter extends BaseAdapter {
    private LayoutInflater mInflater;
    private ImageView i;
    public ImageAdapter ( Context c ) {
        mInflater = LayoutInflater.from ( c );
    }
    public int getCount() {
        return scaledPictures.size();
    }
    public Bitmap getItem ( int position ) {
        return scaledPictures.get ( position );
    }
    public long getItemId ( int position ) {
        return position;
    }
    public View getView ( int position, View convertView, ViewGroup parent ) {
        if ( convertView == null ) {
            convertView = mInflater.inflate ( R.layout.image, parent, false );
        } else {
            i = ( ImageView ) convertView;
        }
        Bitmap bitmap = getItem ( position );
        i = ( ImageView ) convertView.findViewById ( R.id.galleryimage );
        i.setImageBitmap ( bitmap );
        bitmap = null;
        return i;
    }
}
