package com.test;
import javax.swing.JOptionPane;
public class SimpleUI extends javax.swing.JFrame {
    public SimpleUI() {
        initComponents();
    }
    private void initComponents() {
        mainPanel = new javax.swing.JPanel();
        labelName = new javax.swing.JLabel();
        textName = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        textPassword = new javax.swing.JPasswordField();
        jButton1 = new javax.swing.JButton();
        setDefaultCloseOperation ( javax.swing.WindowConstants.EXIT_ON_CLOSE );
        mainPanel.setBorder ( javax.swing.BorderFactory.createEmptyBorder ( 2, 2, 2, 2 ) );
        labelName.setText ( "Name: " );
        jLabel1.setText ( "Password: " );
        jButton1.setText ( "Submit" );
        jButton1.addActionListener ( new java.awt.event.ActionListener() {
            public void actionPerformed ( java.awt.event.ActionEvent evt ) {
                jButton1ActionPerformed ( evt );
            }
        } );
        javax.swing.GroupLayout mainPanelLayout = new javax.swing.GroupLayout ( mainPanel );
        mainPanel.setLayout ( mainPanelLayout );
        mainPanelLayout.setHorizontalGroup (
            mainPanelLayout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addGroup ( mainPanelLayout.createSequentialGroup()
                        .addGroup ( mainPanelLayout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
                                    .addComponent ( labelName )
                                    .addComponent ( jLabel1 ) )
                        .addPreferredGap ( javax.swing.LayoutStyle.ComponentPlacement.RELATED )
                        .addGroup ( mainPanelLayout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING, false )
                                    .addComponent ( textName )
                                    .addComponent ( textPassword, javax.swing.GroupLayout.DEFAULT_SIZE, 195, Short.MAX_VALUE ) )
                        .addGap ( 18, 18, 18 )
                        .addComponent ( jButton1 )
                        .addGap ( 0, 65, Short.MAX_VALUE ) )
        );
        mainPanelLayout.setVerticalGroup (
            mainPanelLayout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addGroup ( mainPanelLayout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup ( mainPanelLayout.createParallelGroup ( javax.swing.GroupLayout.Alignment.BASELINE )
                                    .addComponent ( labelName )
                                    .addComponent ( textName, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE ) )
                        .addPreferredGap ( javax.swing.LayoutStyle.ComponentPlacement.RELATED )
                        .addGroup ( mainPanelLayout.createParallelGroup ( javax.swing.GroupLayout.Alignment.BASELINE )
                                    .addComponent ( jLabel1 )
                                    .addComponent ( textPassword, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE )
                                    .addComponent ( jButton1 ) )
                        .addContainerGap ( 15, Short.MAX_VALUE ) )
        );
        javax.swing.GroupLayout layout = new javax.swing.GroupLayout ( getContentPane() );
        getContentPane().setLayout ( layout );
        layout.setHorizontalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addComponent ( mainPanel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE )
        );
        layout.setVerticalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addComponent ( mainPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE )
        );
        pack();
    }
    private void jButton1ActionPerformed ( java.awt.event.ActionEvent evt ) {
        String name         = textName.getText();
        String password     = String.valueOf ( textPassword.getPassword() );
        if ( "".equals ( password ) || "".equals ( name ) ) {
            JOptionPane.showMessageDialog ( this, "Name or password is empty!", "Incorrect Input", JOptionPane.ERROR_MESSAGE );
        } else {
            JOptionPane.showMessageDialog ( this, "Hello " + name + " with password " + password, "Incorrect Input", JOptionPane.PLAIN_MESSAGE );
        }
    }
    public static void main ( String args[] ) {
        try {
            javax.swing.UIManager.setLookAndFeel ( "com.sun.java.swing.plaf.windows.WindowsLookAndFeel" );
        } catch ( ClassNotFoundException ex ) {
            java.util.logging.Logger.getLogger ( SimpleUI.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( InstantiationException ex ) {
            java.util.logging.Logger.getLogger ( SimpleUI.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( IllegalAccessException ex ) {
            java.util.logging.Logger.getLogger ( SimpleUI.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( javax.swing.UnsupportedLookAndFeelException ex ) {
            java.util.logging.Logger.getLogger ( SimpleUI.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        }
        java.awt.EventQueue.invokeLater ( new Runnable() {
            public void run() {
                new SimpleUI().setVisible ( true );
            }
        } );
    }
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel labelName;
    private javax.swing.JPanel mainPanel;
    private javax.swing.JTextField textName;
    private javax.swing.JPasswordField textPassword;
}
