import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathExpression;
import javax.xml.xpath.XPathFactory;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
public class XmlParseTest {
    public static void main ( String[] args ) throws Exception {
        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
        factory.setNamespaceAware ( true );
        DocumentBuilder builder = factory.newDocumentBuilder();
        Document doc = builder.parse ( "test.xml" );
        XPathFactory xpathFactory = XPathFactory.newInstance();
        XPath xpath = xpathFactory.newXPath();
        XPathExpression expr = xpath.compile ( "//element[@key='property1']/text()" );
        Object result = expr.evaluate ( doc, XPathConstants.NODESET );
        NodeList nodes = ( NodeList ) result;
        for ( int i = 0; i < nodes.getLength(); i++ ) {
            System.out.println ( nodes.item ( i ).getNodeValue() );
        }
    }
}
