package com.example.stackoverflow;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;
import java.util.Timer;
import java.util.TimerTask;
import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
public class MainActivity extends Activity {
    private static final String LOG_TAG = "TEMP";
    InputStream inputStr;
    String inputJSON = null;
    Socket socket = new Socket();
    String outputJSONserv = "asdasd";
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        Log.e ( LOG_TAG, "Start Repeat Timer" );
        TimerTask task = new RepeatingTask();
        Timer timer = new Timer();
        timer.scheduleAtFixedRate ( task, 0, 3000 );
        Log.e ( LOG_TAG, "Started Repeat Timer" );
    }
    @Override
    public boolean onCreateOptionsMenu ( Menu menu ) {
        getMenuInflater().inflate ( R.menu.activity_main, menu );
        return true;
    }
    public class RepeatingTask extends TimerTask {
        public RepeatingTask() {
            Log.e ( LOG_TAG, "In RepeatingTask()" );
            Log.e ( LOG_TAG, "Before inputJSON String" );
            try {
                inputJSON = ConvertByteArrayToString ( readBytes ( inputStr ) );
                sendBytes ( ConvertStringToByteArray ( inputJSON ), 0,
                            ConvertStringToByteArray ( inputJSON ).length );
            } catch ( IOException e ) {
                e.printStackTrace();
            }
            Log.e ( LOG_TAG, "After inputJSON String:" + inputJSON );
        }
        @Override
        public void run() {
            try {
                Log.e ( LOG_TAG, "IN REPEATINGTHREAD-INPUTJSON" );
                sendBytes ( ConvertStringToByteArray ( outputJSONserv ), 0,
                            ConvertStringToByteArray ( outputJSONserv ).length );
                Log.e ( LOG_TAG, "AFTER SENDING DATA" );
                inputJSON = ConvertByteArrayToString ( readBytes ( inputStr ) );
                Log.e ( LOG_TAG, "IN REPEATINGTHREAD-INPUTJSON2:" + inputJSON );
            } catch ( IOException e ) {
                e.printStackTrace();
            }
            Log.e ( LOG_TAG, "IN REPEATINGTHREAD-INPUTJSON3:" + inputJSON );
        }
    }
    public void sendBytes ( byte[] myByteArray, int start, int len )
    throws IOException {
        if ( len < 0 ) {
            throw new IllegalArgumentException ( "Negative length not allowed" );
        }
        if ( start < 0 || start >= myByteArray.length ) {
            throw new IndexOutOfBoundsException ( "Out of bounds: " + start );
        }
        OutputStream out = socket.getOutputStream();
        DataOutputStream dos = new DataOutputStream ( out );
        dos.writeInt ( len );
        if ( len > 0 ) {
            dos.write ( myByteArray, start, len );
        }
    }
    public byte[] readBytes ( InputStream in ) throws IOException {
        in = socket.getInputStream();
        DataInputStream dis = new DataInputStream ( in );
        int len = dis.readInt();
        byte[] data = new byte[len];
        if ( len > 0 ) {
            dis.readFully ( data );
        }
        return data;
    }
    public String ConvertByteArrayToString ( byte[] b ) {
        String input = new String ( b );
        return input;
    }
    public byte[] ConvertStringToByteArray ( String str ) {
        byte[] bytes = str.getBytes();
        return bytes;
    }
