public class ResizeEvent extends GwtEvent<ResizeEventHandler> {
    public static final Type<ResizeEventHandler> TYPE = new Type<ResizeEventHandler>();
    private final int splitSize;
    public ResizeEvent ( final int splitSize ) {
        this.splitSize = splitSize;
    }
    @Override
    public Type<ResizeEventHandler> getAssociatedType() {
        return ResizeEvent.TYPE;
    }
    public int getSplitSize() {
        return splitSize;
    }
    @Override
    protected void dispatch ( final ResizeEventHandler handler ) {
        handler.onResize ( this );
    }
}
