public static boolean isPixelCollision ( Rectangle2D rect, Point2D.Float p1, int index1, Point2D.Float p2, int index2 ) {
    int height = ( int ) rect.getHeight();
    int width = ( int ) rect.getWidth();
    byte mask1 = 0;
    byte mask2 = 0;
    Point2D.Float origP1 = new Point2D.Float ( ( float ) Math.abs ( rect.getX() - p1.x ), ( float ) Math.abs ( rect.getY() - p1.y ) );
    Point2D.Float origP2 = new Point2D.Float ( ( float ) Math.abs ( rect.getX() - p2.x ), ( float ) Math.abs ( rect.getY() - p2.y ) );
    int start1y = ( int ) origP1.y;
    int start1x = ( int ) origP1.x;
    int start2y = ( int ) origP2.y;
    int start2x = ( int ) origP2.x;
    for ( int i = height - 1; i > 0; i-- ) {
        for ( int j = 0; j < width; j++ ) {
            mask1 = bitmaskArr[index1].bitmask[start1y + i][start1x + j];
            mask2 = bitmaskArr[index2].bitmask[start2y + i][start2x + j];
            if ( ( mask1 & mask2 ) > 0 ) {
                return true;
            }
        }
    }
    return false;
}
