DateTime dt = new DateTime();
DateTime plusDuration = dt.plus ( new Duration ( 110376000000L ) );
Interval interval = new Interval ( dt.getMillis(), plusDuration.getMillis() );
Period period = interval.toPeriod ( PeriodType.yearMonthDayTime() );
PeriodFormatter pf = new PeriodFormatterBuilder()
.appendYears().appendSuffix ( "y ", "y " )
.appendMonths().appendSuffix ( "m", "m " ).appendDays()
.appendSuffix ( "d ", "d " ).appendHours()
.appendSuffix ( "h ", "h " ).appendMinutes()
.appendSuffix ( "m ", "m " ).appendSeconds()
.appendSuffix ( "s ", "s " ).toFormatter();
System.out.println ( pf.print ( period ).trim() );
