public class PhotosActivity extends Activity {
    private static final String TAG = "photos";
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.photos_layout );
        TextView textView = ( TextView ) findViewById ( R.id.textView3 );
        textView.setText ( getHtmlCode() );
    }
    private String getHtmlCode() {
        try {
            Document doc = Jsoup.connect ( "http://www.example.com/" ).get();
            Element content = doc.select ( "a" ).first();
            return content.text();
        } catch ( IOException e ) {
            Log.e ( TAG, "Failed to load HTML code", e );
            Toast.makeText ( this, "Failed to load HTML code",
                             Toast.LENGTH_SHORT ).show();
        }
    }
}
