private class GPSLocationListener implements LocationListener {
    MapOverlay mOverlay;
    public GPSLocationListener() {
    }
    @Override
    public void onLocationChanged ( Location location ) {
        if ( location != null ) {
            GeoPoint point = new GeoPoint (
                ( int ) ( location.getLatitude() * 1E6 ),
                ( int ) ( location.getLongitude() * 1E6 ) );
            findUsersInCurrentRadius ( 4, location.getLatitude(), location.getLongitude() );
            mapController.animateTo ( point );
            mapController.setZoom ( 15 );
            if ( mOverlay == null ) {
                mOverlay = mMapOverlay = new MapOverlay ( this, android.R.drawable.star_on );
                List<Overlay> listOfOverlays = mapView.getOverlays();
                listOfOverlays.add ( mMapOverlay );
            }
            mOverlay.setPointToDraw ( point );
            mapView.invalidate();
        }
