public class Main {
    private static boolean canStop = false;
    private static void stopPHPDataChecker() {
        canStop = true;
    }
    public static void main ( String[] args ) {
        PHPDataChecker pdc = new PHPDataChecker();
        ScheduledExecutorService scheduler = Executors.newScheduledThreadPool ( 1 );
        final ScheduledFuture<?> pdcHandle = scheduler.scheduleAtFixedRate ( pdc, 0L, 5L, TimeUnit.MINUTES );
        scheduler.schedule ( new Runnable() {
            public void run() {
                System.out.println ( ">> TRY TO STOP!!!" );
                pdcHandle.cancel ( true );
                Main.stopPHPDataChecker();
                System.out.println ( "DONE" );
            }
        }, 25L, TimeUnit.MINUTES );
        do {
            if ( canStop ) {
                scheduler.shutdown();
            }
        } while ( !canStop );
        System.out.println ( "END" );
    }
}
