import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;
import javax.swing.text.AbstractDocument;
import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.DocumentFilter;
public class Frame extends javax.swing.JFrame {
    public Frame() {
        initComponents();
    }
    @SuppressWarnings ( "unchecked" )
    private void initComponents() {
        n1 = new javax.swing.JTextField();
        n2 = new javax.swing.JTextField();
        n3 = new javax.swing.JTextField();
        sum = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        DocumentListener documentListener = new DocumentListener() {
            @Override
            public void removeUpdate ( DocumentEvent e ) {
                performSummation ( null );
            }
            @Override
            public void insertUpdate ( DocumentEvent e ) {
                performSummation ( null );
            }
            @Override
            public void changedUpdate ( DocumentEvent e ) {
            }
        };
        DocumentFilter numericFilter = new DocumentFilter() {
            @Override
            public void insertString ( FilterBypass fb, int offset,
                                       String string, AttributeSet attr )
            throws BadLocationException {
                fb.insertString ( offset, string.replaceAll ( "[^\\d]", "" ), attr );
            }
            @Override
            public void replace ( FilterBypass fb, int offset, int length,
                                  String text, AttributeSet attrs )
            throws BadLocationException {
                fb.replace ( offset, length, text.replaceAll ( "[^\\d]", "" ), attrs );
            }
        };
        ( ( AbstractDocument ) n1.getDocument() ).setDocumentFilter ( numericFilter );
        ( ( AbstractDocument ) n2.getDocument() ).setDocumentFilter ( numericFilter );
        ( ( AbstractDocument ) n3.getDocument() ).setDocumentFilter ( numericFilter );
        n1.getDocument().addDocumentListener ( documentListener );
        n2.getDocument().addDocumentListener ( documentListener );
        n3.getDocument().addDocumentListener ( documentListener );
        setDefaultCloseOperation ( javax.swing.WindowConstants.EXIT_ON_CLOSE );
        jLabel1.setText ( "n1" );
        jLabel2.setText ( "n2" );
        jLabel3.setText ( "n3" );
        jLabel5.setText ( "result" );
        javax.swing.GroupLayout layout = new javax.swing.GroupLayout ( getContentPane() );
        getContentPane().setLayout ( layout );
        layout.setHorizontalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addGroup ( layout.createSequentialGroup()
                        .addGroup ( layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
                                    .addGroup ( layout.createSequentialGroup()
                                                .addGap ( 15, 15, 15 )
                                                .addGroup ( layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.TRAILING )
                                                        .addComponent ( jLabel1 )
                                                        .addComponent ( jLabel2 )
                                                        .addComponent ( jLabel3 ) ) )
                                    .addGroup ( layout.createSequentialGroup()
                                                .addContainerGap ( javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE )
                                                .addComponent ( jLabel5 ) ) )
                        .addPreferredGap ( javax.swing.LayoutStyle.ComponentPlacement.RELATED )
                        .addGroup ( layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
                                    .addGroup ( layout.createSequentialGroup()
                                                .addComponent ( sum, javax.swing.GroupLayout.PREFERRED_SIZE, 59, javax.swing.GroupLayout.PREFERRED_SIZE )
                                                .addGap ( 30, 30, 30 )
                                                .addContainerGap() )
                                    .addGroup ( layout.createSequentialGroup()
                                                .addGroup ( layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
                                                        .addComponent ( n1, javax.swing.GroupLayout.PREFERRED_SIZE, 50, javax.swing.GroupLayout.PREFERRED_SIZE )
                                                        .addComponent ( n2, javax.swing.GroupLayout.PREFERRED_SIZE, 50, javax.swing.GroupLayout.PREFERRED_SIZE )
                                                        .addComponent ( n3, javax.swing.GroupLayout.PREFERRED_SIZE, 50, javax.swing.GroupLayout.PREFERRED_SIZE ) )
                                                .addGap ( 0, 0, Short.MAX_VALUE ) ) ) )
        );
        layout.setVerticalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addGroup ( layout.createSequentialGroup()
                        .addGap ( 32, 32, 32 )
                        .addGroup ( layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.TRAILING )
                                    .addGroup ( layout.createSequentialGroup()
                                                .addGroup ( layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.BASELINE )
                                                        .addComponent ( n1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE )
                                                        .addComponent ( jLabel1 ) )
                                                .addGap ( 10, 10, 10 )
                                                .addComponent ( n2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE ) )
                                    .addComponent ( jLabel2 ) )
                        .addGap ( 20, 20, 20 )
                        .addGroup ( layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.BASELINE )
                                    .addComponent ( n3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE )
                                    .addComponent ( jLabel3 ) )
                        .addPreferredGap ( javax.swing.LayoutStyle.ComponentPlacement.UNRELATED )
                        .addGroup ( layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.BASELINE )
                                    .addComponent ( sum, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE )
                                    .addComponent ( jLabel5 ) )
                        .addContainerGap ( 38, Short.MAX_VALUE ) )
        );
        pack();
    }
    private void performSummation ( java.awt.event.ActionEvent evt ) {
        int total = 0;
        if ( n1.getText().trim().length() > 0 ) {
            try {
                total += Integer.parseInt ( n1.getText() );
            } catch ( NumberFormatException nbx ) {
            }
        }
        if ( n2.getText().trim().length() > 0 ) {
            try {
                total += Integer.parseInt ( n2.getText() );
            } catch ( NumberFormatException nbx ) {
            }
        }
        if ( n3.getText().trim().length() > 0 ) {
            try {
                total += Integer.parseInt ( n3.getText() );
            } catch ( NumberFormatException nbx ) {
            }
        }
        sum.setText ( "" + total );
    }
    public static void main ( String args[] ) {
        try {
            for ( javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels() ) {
                if ( "Nimbus".equals ( info.getName() ) ) {
                    javax.swing.UIManager.setLookAndFeel ( info.getClassName() );
                    break;
                }
            }
        } catch ( ClassNotFoundException ex ) {
            java.util.logging.Logger.getLogger ( Frame.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( InstantiationException ex ) {
            java.util.logging.Logger.getLogger ( Frame.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( IllegalAccessException ex ) {
            java.util.logging.Logger.getLogger ( Frame.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( javax.swing.UnsupportedLookAndFeelException ex ) {
            java.util.logging.Logger.getLogger ( Frame.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        }
        java.awt.EventQueue.invokeLater ( new Runnable() {
            public void run() {
                new Frame().setVisible ( true );
            }
        } );
    }
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JTextField n1;
    private javax.swing.JTextField n2;
    private javax.swing.JTextField n3;
    private javax.swing.JTextField sum;
}
