Point point = event.getPoint();
GraphicsEnvironment e
    = GraphicsEnvironment.getLocalGraphicsEnvironment();
GraphicsDevice[] devices = e.getScreenDevices();
Rectangle displayBounds = null;
for ( GraphicsDevice device : devices ) {
    GraphicsConfiguration[] configurations =
        device.getConfigurations();
    for ( GraphicsConfiguration config : configurations ) {
        Rectangle gcBounds = config.getBounds();
        if ( gcBounds.contains ( point ) ) {
            displayBounds = gcBounds;
        }
    }
}
if ( displayBounds == null ) {
    GraphicsDevice device = e.getDefaultScreenDevice();
    displayBounds = device.getDefaultConfiguration().getBounds
}
...
