private class LoadViewTask extends AsyncTask<Void, Integer, Void> {
    @Override
    protected void onPreExecute() {
        progressDialog = new ProgressDialog ( LoadingScreenActivity.this );
        progressDialog.setProgressStyle ( ProgressDialog.STYLE_HORIZONTAL );
        progressDialog.setTitle ( "Loading..." );
        progressDialog.setMessage ( "Loading application View, please wait..." );
        progressDialog.setCancelable ( false );
        progressDialog.setIndeterminate ( false );
        progressDialog.setMax ( 100 );
        progressDialog.setProgress ( 0 );
        progressDialog.show();
    }
    @Override
    protected Void doInBackground ( Void... params ) {
        try {
            synchronized ( this ) {
                int counter = 0;
                while ( counter <= 4 ) {
                    this.wait ( 850 );
                    counter++;
                    publishProgress ( counter * 25 );
                }
            }
        } catch ( InterruptedException e ) {
            e.printStackTrace();
        }
        return null;
    }
    @Override
    protected void onProgressUpdate ( Integer... values ) {
        progressDialog.setProgress ( values[0] );
    }
    @Override
    protected void onPostExecute ( Void result ) {
        progressDialog.dismiss();
        setContentView ( R.layout.main );
    }
}
