interface BrowserStrategy {
    Browser create();
}
public class ChromeBrowser implements BrowserStrategy {
    public Browser create() {
        return new ChromeBrowser();
    }
}
public class BrowserFactor {
    Map<String, BrowserStrategy> ctorStategy = ...;
    public Browser create ( String type ) {
        return type.create();
    }
}
