final String mdx =
    "SELECT NON EMPTY {DrilldownLevel({[Bookings].[ALL].[AllMember]})} ON ROWS " +
    "FROM [EquityDerivativesCube] " +
    "WHERE ([Measures].[contributors.COUNT])";
final IMDXQuery mdxQuery = new MDXQuery ( mdx );
final IStreamingService streamingService = ...;
final ILongPollingService longPollingService = ...;
final IIdGenerator idGenerator = ...;
final String listenerId = idGenerator.generateListenerIds ( 1 ) [0];
longPollingService.addListener ( PUBLICATION_DOMAIN, listenerId );
new Thread ( new Listener ( longPollingService, listenerId ) ).start();
final String mdxStreamId = idGenerator.generateListenerIds ( 1 ) [0];
final IStreamProperties mdxStreamProperties = new StreamProperties (
    mdxStreamId,
    PUBLICATION_DOMAIN,
    InitialState.STARTED,
    true );
streamingService.createStream ( mdxQuery, mdxStreamProperties );
