private static boolean isRecommended ( Fruit fruit ) {
    if ( fruit.weight > 2 ) {
        return false;
    }
    if ( !"red".equals ( fruit.color ) ) {
        return false;
    }
    if ( !"sweet".equals ( fruit.taste ) ) {
        return false;
    }
    if ( !fruit.isPerishable ) {
        return false;
    }
    return true;
}
