private Node<T> getNth ( int index ) {
    Node<T> temp = null;
    if ( index < 0 || index > size ) {
        throw new IndexOutOfBoundsException();
    }
    if ( index < this.size() / 2 ) {
        temp = this.head;
        for ( int i = 0; i < index; i++ ) {
            if ( temp.getNext() != null ) {
                temp = temp.getNext();
            } else {
                break;
            }
        }
    } else {
        temp = this.tail;
        for ( int i = this.size(); i > index; i-- ) {
            if ( temp.getPrev() != null ) {
                temp = temp.getPrev();
            } else {
                break;
            }
        }
    }
    return temp;
}
