public class Pair {
    private String key;
    private Integer value;
    public Pair ( String key, Integer value ) {
        this.key = key;
        this.value = value;
    }
    public String getKey() {
        return key;
    }
    public Integer getValue() {
        return value;
    }
    @Override
    public boolean equals ( Object o ) {
        if ( this == o ) {
            return true;
        }
        if ( ! ( o instanceof Pair ) ) {
            return false;
        }
        Pair pair = ( Pair ) o;
        if ( key != null ? !key.equals ( pair.key ) : pair.key != null ) {
            return false;
        }
        if ( value != null ? !value.equals ( pair.value ) : pair.value != null ) {
            return false;
        }
        return true;
    }
    @Override
    public int hashCode() {
        int result = key != null ? key.hashCode() : 0;
        result = 31 * result + ( value != null ? value.hashCode() : 0 );
        return result;
    }
}
