void callback ( int val ) {
    JNIEnv * g_env;
    int getEnvStat = g_vm->GetEnv ( ( void * * ) & g_env, JNI_VERSION_1_6 );
    if ( getEnvStat == JNI_EDETACHED ) {
        std::cout << "GetEnv: not attached" << std::endl;
        if ( g_vm->AttachCurrentThread ( ( void * * ) & g_env, NULL ) != 0 ) {
            std::cout << "Failed to attach" << std::endl;
        }
    } else if ( getEnvStat == JNI_OK ) {
    } else if ( getEnvStat == JNI_EVERSION ) {
        std::cout << "GetEnv: version not supported" << std::endl;
    }
    g_env->CallVoidMethod ( g_obj, g_mid, val );
    if ( g_env->ExceptionCheck() ) {
        g_env->ExceptionDescribe();
    }
    g_vm->DetachCurrentThread();
}
