package com.bitplan.testentity.jaxb;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlElement;
import com.bitplan.testentity.Customer;
import java.util.List;
import com.bitplan.testentity.Order;
import javax.xml.bind.annotation.XmlElementWrapper;
import java.util.ArrayList;
@XmlRootElement ( name = "Customer" )
public class CustomerJaxbDao implements Customer {
    private String name;
    private long id;
    private List<Order> orders = new ArrayList<Order>();
    @XmlElement ( name = "name" )
    public String getName() {
        return name;
    };
    public void setName ( String pname ) {
        name = pname;
    };
    @XmlElement ( name = "id" )
    public long getId() {
        return id;
    };
    public void setId ( long pid ) {
        id = pid;
    };
    @XmlElementWrapper ( name = "orders" )
    @XmlElement ( name = "order", type = OrderJaxbDao.class )
    public List<Order> getOrders() {
        return orders;
    };
    public void setOrders ( List<Order> porders ) {
        orders = porders;
    };
}
