public class Person {
    private String firstName;
    private String lastName;
    public Person ( String firstName, String lastName ) {
        this.firstName = firstName;
        this.lastName = lastName;
    }
    @Override
    public String toString() {
        return this.lastName + ", " + this.firstName;
    }
    public static String toString ( Collection<Person> persons ) {
        Iterator<Person> it = persons.iterator();
        if ( !it.hasNext() ) {
            return "[]";
        }
        StringBuilder sb = new StringBuilder();
        sb.append ( '[' );
        for ( ;; ) {
            Person e = it.next();
            sb.append ( e );
            if ( !it.hasNext() ) {
                return sb.append ( ']' ).toString();
            }
            sb.append ( '&' ).append ( ' ' );
        }
    }
}
