JDialog dialog = new JDialog();
JLabel label = new JLabel ( "Test" ) {
    @Override
    protected void paintComponent ( Graphics g ) {
        super.paintComponent ( g );
        System.out.println ( "Component painted." );
    }
};
label.addComponentListener ( new ComponentAdapter() {
    @Override
    public void componentResized ( ComponentEvent e ) {
        System.out.println ( "Resized: " + e.getComponent().getSize() );
    }
} );
dialog.add ( label );
System.out.println ( "Size after new JLabel: " + label.getSize() );
dialog.pack();
System.out.println ( "Size after pack: " + label.getSize() );
dialog.setSize ( 800, 600 );
dialog.validate();
System.out.println ( "Size after setSize and validate: " + label.getSize() );
dialog.setVisible ( true );
System.out.println ( "Size after setVisible(true): " + label.getSize() );
dialog.setSize ( 300, 200 );
dialog.dispose();
