CompiledScript script = ( ( Compilable ) scriptEngine ).compile ( reader );
Bindings sb = new SimpleBindings();
script.eval ( sb );
LuaValue luaDog = CoerceJavaToLua.coerce ( dog );
LuaFunction onTalk = ( LuaFunction ) sb.get ( "onTalk" );
LuaValue b = onTalk.call ( luaDog );
System.out.println ( "onTalk answered: " + b );
LuaFunction onWalk = ( LuaFunction ) sb.get ( "onWalk" );
LuaValue[] dogs = { luaDog };
Varargs dist = onWalk.invoke ( LuaValue.varargsOf ( dogs ) );
System.out.println ( "onWalk returned: " + dist );
