private static class ReaderStubber {
    private final Reader reader = Mockito.mock ( Reader.class );
    private final NewOngoingStubbing readIntStub = when ( reader.readInt() );;
    private final NewOngoingStubbing readShortStub = when ( reader.readShort() );;
    public Reader getReader() {
        return reader;
    }
    private void readCount ( int count ) {
        readIntStub.thenReturn ( count );
    }
    private void readSomething ( int a, short b, int c ) {
        readIntStub.thenReturn ( a );
        readShortStub.thenReturn ( b );
        readIntStub.thenReturn ( c );
    }
}
