public class Triangle {
    private Point[] coords;
    public Triangle() {
        this.coords = null;
    }
    public Triangle ( Point[] coords ) {
        this.coords = coords;
    }
    public Triangle ( Point a, Point b, Point c ) {
        this.coords = new Point[3];
        coords[0] = a;
        coords[1] = b;
        coords[2] = c;
    }
    public void paint ( Graphics arg0 ) {
        int[] x = new int[3];
        int[] y = new int[3];
        for ( int i = 0; i < coords.length; i++ ) {
            Point point = coords[i];
            x[i] = Double.valueOf ( point.getX() ).intValue();
            y[i] = Double.valueOf ( point.getY() ).intValue();
        }
        arg0.drawPolygon ( x, y, 3 );
    }
}
