public class Client {
    private ConnectionToServer server;
    private LinkedBlockingQueue<Object> messages;
    private Socket socket;
    public Client ( String IPAddress, int port ) throws IOException {
        socket = new Socket ( IPAddress, port );
        messages = new LinkedBlokingQueue<Object>();
        server = new ConnecionToServer ( socket );
        Thread messageHandling = new Thread() {
            public void run() {
                while ( true ) {
                    try {
                        Object message = messages.dequeue();
                        System.out.println ( "Message Received: " + message );
                    } catch ( InterruptedException e ) { }
                }
            }
        }
        messageHandling.setDaemon ( true );
        messageHandling.start();
    }
    private class ConnectionToServer {
        ObjectInputStream in;
        ObjectOutputStream out;
        Socket socket;
        ConnectionToServer ( Socket socket ) throws IOException {
            this.socket = socket;
            in = new ObjectInputStream ( socket.getInputStream() );
            out = new ObjectOutputStream ( socket.getOutputStream() );
            Thread read = new Thread() {
                public void run() {
                    while ( true ) {
                        try {
                            Object obj = in.readObject();
                            messages.enqueue ( obj );
                        } catch ( IOException e ) {
                            e.printStackTrace();
                        }
                    }
                }
            }
            read.setDaemon ( true )
            read.start();
        }
        private void write ( Object obj ) {
            try {
                out.writeObject ( obj );
            } catch ( IOException e ) {
                e.printStackTrace();
            }
        }
    }
    public void send ( Object obj ) {
        server.write ( obj );
    }
}
