def readClientData ( Socket clientSocket ) {
    def actualBuffer = new StringBuilder()
    def eof = false;
    def emptyLine = ['\r', '\n', '\r', '\n']
                    def lastEmptyLineChar = 0
                                            InputStream inStream = clientSocket.inputStream
    while ( !eof ) {
        def available = inStream.available()
                        println "available data $available"
                        def buffer = new byte[available]
        def bytesRead = inStream.read ( buffer, 0, available )
        for ( int i = 0; i < bytesRead && !eof; i++ ) {
            if ( buffer[i] == emptyLine[lastEmptyLineChar] ) {
                lastEmptyLineChar++
                eof = lastEmptyLineChar >= emptyLine.length()
            } else {
                lastEmptyLineChar = 0
            }
        }
        actualBuffer << new String ( buffer, 0, bytesRead, Charset.forName ( "US-ASCII" ) )
    }
    return actualBuffer.toString()
}
