tree grammar protocolWalker;
options {
    language = Java;
    tokenVocab = protocol;
    ASTLabelType = CommonTree;
}
@header {
    package com.javadude.antlr3.x.tutorial;
    import java.util.List;
    import java.util.ArrayList;
}
@members {
    private ArrayList<Transitions> allTransitions = new ArrayList<Transitions>();
    public List<Transitions> getAllTransitions() {
        return allTransitions;
    }
}
transitions
@init {
    Transitions transitions = new Transitions();
    allTransitions.add ( transitions );
}
: ^ ( TRANSITIONS INT transitions_pair[transitions] + ) {
    System.out.println ( "transitions=" + $INT.text );
}
;
transitions_pair[Transitions transitions]
: ^ ( PAIR a = INT b = INT ) {
    System.out.println ( "pair=" + $a.text + ", " + $b.text );
    transitions.addPair ( new Pair ( $a.int, $b.int ) );
}
;
