private char readChar ( final InputStream in ) {
    ExecutorService executor = Executors.newFixedThreadPool ( 1 );
    Callable<Integer> task = new Callable<Integer>() {
        public Integer call() {
            try {
                return in.read();
            } catch ( Exception e ) {
            }
            return null;
        }
    };
    Future<Integer> future = executor.submit ( task );
    Integer result = null;
    try {
        result = future.get ( 1, TimeUnit.SECONDS );
    } catch ( TimeoutException ex ) {
    } catch ( InterruptedException e ) {
    } catch ( ExecutionException e ) {
    } finally {
        future.cancel ( false );
        executor.shutdownNow();
    }
    if ( result == null ) {
        return ( char ) - 1;
    }
    return ( char ) result.intValue();
}
