public class ContactListAdapter extends ListAdapter<String> {
    private final List contacts;
    public ContactListAdapter ( Context context, List<Contact> contacts ) {
        super ( context, R.layout.rowlayout, values );
        this.contacts = contacts;
    }
    @Override
    public View getView ( int position, View convertView, ViewGroup parent ) {
        LayoutInflater inflater = ( LayoutInflater ) context
                                  .getSystemService ( Context.LAYOUT_INFLATER_SERVICE );
        View rowView = inflater.inflate ( R.layout.rowlayout, parent, false );
        TextView textView = ( TextView ) rowView.findViewById ( R.id.label );
        textView.setText ( contacts.get ( position ).getId() )
        return rowView
    }
}
