private static final String vowels = "AEIOUaeiou";
private static final String punct = ".,!?";
public static String pigifyLine ( String oneLine ) {
    StringBuilder pigified = new StringBuilder();
    boolean first = true;
    for ( String word : oneLine.split ( " " ) ) {
        if ( !first ) {
            pigified.append ( " " );
        }
        pigified.append ( pigify ( word ) );
        first = false;
    }
    return pigified.toString();
}
public static String pigify ( String oneWord ) {
    char[] chars = oneWord.toCharArray();
    StringBuilder consonants = new StringBuilder();
    StringBuilder newWord = new StringBuilder();
    StringBuilder punctuation = new StringBuilder();
    boolean consDone = false;
    for ( int i = 0; i < chars.length; i++ ) {
        if ( vowels.indexOf ( chars[i] ) == -1 ) {
            if ( punct.indexOf ( chars[i] ) > -1 ) {
                punctuation.append ( chars[i] );
                consDone = true;
            } else {
                if ( !consDone ) {
                    consonants.append ( chars[i] );
                } else {
                    newWord.append ( chars[i] );
                }
            }
        } else {
            consDone = true;
            newWord.append ( chars[i] );
        }
    }
    if ( consonants.length() == 0 ) {
        consonants.append ( "w" );
    }
    consonants.append ( "ay" );
    return newWord.append ( consonants ).append ( punctuation ).toString();
}
