public static <T> T[][] mergeArrays ( Class<T> clazz, T[][]... arrays ) {
    int dim1 = 0;
    for ( T[][] arr : arrays ) {
        dim1 += arr.length;
    }
    T[][] result = ( T[][] ) Array.newInstance ( clazz, dim1, 0 );
    int index = 0;
    for ( T[][] arr : arrays ) {
        for ( T[] array : arr ) {
            result[index++] = array;
        }
    }
    return result;
}
