@Test ( timeout = 5000 )
public void testConnectToFTPServer_InvalidHostName() throws Exception {
    if ( server.isStarted() ) {
        server.stop();
    }
    ConnectCommandHandler connectCommandHandler = ( ConnectCommandHandler ) server.getCommandHandler ( CommandNames.CONNECT );
    connectCommandHandler.setReplyCode ( 10060 );
    server.setCommandHandler ( CommandNames.CONNECT, connectCommandHandler );
    server.start();
    service.connectToFTPServer ( "testdomain.org", controllerPort );
}
