public class MainActivity extends Activity implements OnItemClickListener {
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        requestWindowFeature ( Window.FEATURE_NO_TITLE );
        setContentView ( R.layout.activity_main );
        ListView listview = ( ListView ) findViewById ( R.id.listview1 );
        listview.setOnItemClickListener ( this );
    }
    public void onItemClick ( AdapterView<?> l, View v, int position, long id ) {
        Log.i ( "HelloListView", "You clicked Item: " + id + " at position:" + position );
        Intent intent = new Intent();
        intent.setClass ( this, ListItemDetail.class );
        intent.putExtra ( "position", position );
        intent.putExtra ( "id", id );
        startActivity ( intent );
    }
