public Control getControl ( Composite composite, int x, int y ) {
    Control control = null;
    Control[] children = composite.getChildren()
    if ( children.length == 0 ) {
        control = composite;
    } else
        for ( Control tmp : children ) {
            if ( tmp.getBounds().contains ( x, y ) ) {
                if ( control instanceof Composite ) {
                    control = getControl ( tmp, x, y );
                } else {
                    control =  tmp;
                }
                break;
            }
        }
    return control;
}
