DocumentSource docSource = new DefaultDocumentSource ( args[0] );
DOMSource parser = new DefaultDOMSource ( docSource );
Document doc = parser.parse();
DOMAnalyzer da = new DOMAnalyzer ( doc, docSource.getURL() );
da.attributesToStyles();
da.addStyleSheet ( null, CSSNorm.stdStyleSheet(), DOMAnalyzer.Origin.AGENT );
da.addStyleSheet ( null, CSSNorm.userStyleSheet(), DOMAnalyzer.Origin.AGENT );
da.getStyleSheets();
System.err.println ( "Computing style..." );
da.stylesToDomInherited();
PrintStream os = new PrintStream ( new FileOutputStream ( args[1] ) );
Output out = new NormalOutput ( doc );
out.dumpTo ( os );
os.close();
docSource.close();
