@Override
protected String doInBackground ( String... params ) {
    try {
        doc = Jsoup.connect ( url ).get();
        Log.e ( "Jsoup", "...is working..." );
    } catch ( Exception e ) {
        e.printStackTrace();
        Log.e ( "Exception", e.getMessage() );
    }
    content = doc.select ( "#content" );
    parse = Jsoup.parse ( doc.html() );
    results = doc.select ( "#content" ).outerHtml();
    dangerRatingImg = doc.select ( "img" ).first();
    dangerRatingSrc = dangerRatingImg.absUrl ( "src" );
    bimage = getBitmapFromURL ( dangerRatingSrc );
    return results;
}
@Override
protected void onPostExecute ( String result ) {
    textView.setMovementMethod ( ScrollingMovementMethod.getInstance() );
    image.setImageBitmap ( bimage );
    image.setPadding ( 10, 10, 10, 10 );
    image.setScaleType ( ScaleType.FIT_XY );
    results = parse.select ( "#reportSummary" ).outerHtml();
    textView.setText ( Html.fromHtml ( results ) );
    textView.setPadding ( 10, 10, 10, 10 );
    dialog.dismiss();
}
