package se.waxwing.test;
import org.springframework.beans.BeansException;
import org.springframework.beans.factory.config.BeanPostProcessor;
public class MyBeanPostProcessor implements BeanPostProcessor {
    public MyBeanPostProcessor() {
    }
    @Override
    public Object postProcessAfterInitialization ( Object bean, String beanName ) throws BeansException {
        System.err.println ( "after " + beanName );
        return bean;
    }
    @Override
    public Object postProcessBeforeInitialization ( Object bean, String beanName ) throws BeansException {
        System.err.println ( "before " + beanName );
        return bean;
    }
}
