synchronized ( StaticObject ) {
    data = StaticCache.get ( key );
    while ( data == IN_PROGRESS ) {
        StaticObject.wait();
        data = StaticCache.get ( key );
    }
    if ( data == null ) {
        StaticCache.put ( key, IN_PROGRESS, TIME_MAX_VALUE );
    }
}
if ( data == null ) {
    try {
        data = server.DoSlowThing ( key );
    } finally {
        synchronized ( StaticObject ) {
            StaticCache.put ( key, data, CURRENT_TIME );
            StaticObject.notifyAll();
        }
    }
}
