public class MainActivity extends Activity {
    private double weight;
    private Button enter;
    private EditText wtEntry;
    private TextView txtForm2;
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        enter = ( Button ) findViewById ( R.id.enterButton );
        wtEntry = ( EditText ) findViewById ( R.id.inputwtEditText );
        txtForm2 = ( TextView ) findViewById ( R.id.textViewform2 );
    }
    public void buttonclick ( View view ) {
        weight = Double.parseDouble ( wtEntry.getText().toString() );
        t2.setText ( Double.toString ( weight ) );
        Intent dataIntent = new Intent ( this, PlanetChooser.class );
        dataIntent.putExtra ( "com.yourpackage.identifier.DATA_WEIGHT", weight );
        startActivityForResult ( dataIntent, Activity.RESULT_OK );
    }
    @Override
    protected void onActivityResult ( int requestCode, int resultCode, Intent data ) {
        super.onActivityResult ( requestCode, resultCode, data );
        if ( resultCode == Activity.RESULT_OK ) {
            double resultWeight = data.getDoubleExtra ( "com.yourpackage.identifier.RESULT_WEIGHT", 0.0 );
        }
    }
}
public class PlanetChooser extends Activity {
    public static final double MERCURYFORCE = 0.38;
    public static final double VENUSFORCE = 0.91;
    public static final double EARTHFORCE = 1.00;
    public static final double MARSFORCE = 0.38;
    public static final double JUPITERFORCE = 2.34;
    public static final double SATURNFORCE = 1.06;
    public static final double URANUSFORCE = 0.92;
    public static final double NEPTUNEFORCE = 1.19;
    public static final double PLUTOFORCE = 0.06;
    private RadioButton mercury, venus, earth, mars, jupiter, saturn, uranus, neptune, pluto;
    private double mercurypf, venuspf, earthpf, marspf, jupiterpf, saturnpf, uranuspf, neptunepf, plutopf, weight;
    private double resultForce;
    public void onCreate ( Bundle s ) {
        super.onCreate ( s );
        setContentView ( R.layout.planets );
        mercury = ( RadioButton ) findViewById ( R.id.mercuryRadio );
        venus = ( RadioButton ) findViewById ( R.id.venusRadio );
        earth = ( RadioButton ) findViewById ( R.id.earthRadio );
        mars = ( RadioButton ) findViewById ( R.id.marsRadio );
        jupiter = ( RadioButton ) findViewById ( R.id.jupiterRadio );
        saturn = ( RadioButton ) findViewById ( R.id.saturnRadio );
        uranus = ( RadioButton ) findViewById ( R.id.uranusRadio );
        neptune = ( RadioButton ) findViewById ( R.id.neptuneRadio );
        pluto = ( RadioButton ) findViewById ( R.id.plutoRadio );
    }
    public void buttonclick2 ( View view ) {
        if ( mercury.isChecked() )    {
            resultForce = MERCURYFORCE * weight;
        }
        if ( venus.isChecked() ) {
            resultForce = VENUSFORCE * weight;
        }
        if ( earth.isChecked() ) {
            resultForce = EARTHFORCE * weight;
        }
        if ( mars.isChecked() ) {
            resultForce = MARSFORCE * weight;
        }
        if ( jupiter.isChecked() ) {
            resultForce = JUPITERFORCE * weight;
        }
        if ( saturn.isChecked() ) {
            resultForce = SATURNFORCE * weight;
        }
        if ( uranus.isChecked() ) {
            resultForce = URANUSFORCE * weight;
        }
        if ( neptune.isChecked() ) {
            resultForce = NEPTUNEFORCE * weight;
        }
        if ( pluto.isChecked() ) {
            resultForce = PLUTOFORCE * weight;
        }
        Intent dataIntent = new Intent ( this );
        dataIntent.putDoubleExtra ( "com.yourpackage.identifier.RESULT_DATA", resultForce );
        setResult ( Activity.RESULT_OK, dataIntent );
        finish();
    }
}
