public class Person {
    private String name;
    private int age;
    public int hashCode() {
        return new HashCodeBuilder ( 17, 31 ).
               append ( name ).
               append ( age ).
               toHashCode();
    }
    public boolean equals ( Object obj ) {
        if ( obj == null ) {
            return false;
        }
        if ( obj == this ) {
            return true;
        }
        if ( obj.getClass() != getClass() ) {
            return false;
        }
        Person rhs = ( Person ) obj;
        return new EqualsBuilder().
               append ( name, rhs.name ).
               append ( age, rhs.age ).
               isEquals();
    }
}
