firstTextCol.setCellFactory ( new Callback<TableColumn, TableCell>() {
    public TableCell call ( TableColumn p ) {
        TableCell cell = new TableCell<Person, String>() {
            @Override
            public void updateItem ( String item, boolean empty ) {
                super.updateItem ( item, empty );
                setText ( empty ? null : getString() );
                setGraphic ( null );
            }
            private String getString() {
                return getItem() == null ? "" : getItem().toString();
            }
        };
        cell.setStyle ( "-fx-alignment: CENTER-LEFT;" );
        return cell;
    }
} );
