protected final void preventCaching ( HttpServletResponse response ) {
    response.setHeader ( HEADER_PRAGMA, "no-cache" );
    if ( this.useExpiresHeader ) {
        response.setDateHeader ( HEADER_EXPIRES, 1L );
    }
    if ( this.useCacheControlHeader ) {
        response.setHeader ( HEADER_CACHE_CONTROL, "no-cache" );
        if ( this.useCacheControlNoStore ) {
            response.addHeader ( HEADER_CACHE_CONTROL, "no-store" );
        }
    }
}
