mEditText.addTextChangedListener ( new TextWatcher() {
    private String current = "";
    @Override
    public void onTextChanged ( CharSequence s, int start, int before, int count ) {
        if ( !s.toString().equals ( current ) ) {
            mEditText.removeTextChangedListener ( this );
            String cleanString = s.toString().replaceAll ( "[$,]", "" );
            double parsed = Double.parseDouble ( cleanString );
            NumberFormat formatter = NumberFormat.getCurrencyInstance();
            formatter.setMaximumFractionDigits ( 0 );
            String formatted = formatter.format ( parsed );
            current = formatted;
            mEditText.setText ( formatted );
            mEditText.setSelection ( formatted.length() );
            mEditText.addTextChangedListener ( this );
        }
    }
    @Override
    public void afterTextChanged ( Editable s ) {
    }
    @Override
    public void beforeTextChanged ( CharSequence s, int start, int count, int after ) {
    }
} );
