private static volatile HashMap<Integer, Integer> occurenceMap = new HashMap<Integer, Integer>();
public synchronized static int getNumOccurrences ( final Integer number ) {
    final AtomicInteger result = new AtomicInteger ( 0 );
    try {
        Thread thread = new Thread() {
            public void run() {
                Integer occurrences = occurenceMap.get ( number );
                if ( occurrences != null && occurrences > 0 ) {
                    result.set ( occurences );
                    return;
                } else {
                    CountDownLatch latch = new CountDownLatch ( 1 );
                    pendingList.put ( number, latch );
                    latch.await();
                    pendingList.remove ( number );
                    result.set ( 1 );
                    return;
                }
            }
        } );
        thread.start();
        thread.join();
    } catch ( Throwable t ) { }
    return result.get();
}
