SwingUtilities.invokeLater ( new Runnable() {
    @Override
    public void run() {
        try {
            UIManager.setLookAndFeel ( UIManager.getSystemLookAndFeelClassName() );
        } catch ( Exception e ) {
            e.printStackTrace();
        }
        JFrame frame = new JFrame ( "GUI" );
        frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        frame.add ( new MainPane() );
        frame.setJMenuBar ( myMenuBar );
        frame.pack();
        frame.setLocationRelativeTo ( null );
        frame.setVisible ( true );
    }
} );
