foreach ( string s in new[] {
              "foo",
              "\"foo",
              "'foo",
              "'foo\"bar",
              "'foo\"bar\"baz",
              "'foo\"",
              "'foo\"\"",
              "\"'foo",
              "\"\"'foo",
              "'foo\"\"bar"
          } ) {
    Console.Write ( s );
    Console.Write ( " = " );
    Console.WriteLine ( XPathLiteral ( s ) );
    XmlElement elm = d.CreateElement ( "test" );
    d.DocumentElement.AppendChild ( elm );
    elm.SetAttribute ( "value", s );
    string xpath = "/root/test[@value = " + XPathLiteral ( s ) + "]";
    if ( d.SelectSingleNode ( xpath ) == elm ) {
        Console.WriteLine ( "OK" );
    } else {
        Console.WriteLine ( "Should have found a match for {0}, and didn't.", s );
    }
}
Console.ReadKey();
}
