public class TestServlet extends HttpServlet {
    @Override
    protected void doGet ( HttpServletRequest request, HttpServletResponse response ) throws ServletException, IOException {
        HttpServletResponseWrapper responseWrapper = new HttpServletResponseWrapper ( response ) {
            private final StringWriter sw = new StringWriter();
            @Override
            public PrintWriter getWriter() throws IOException {
                return new PrintWriter ( sw );
            }
            @Override
            public String toString() {
                return sw.toString();
            }
        };
        request.getRequestDispatcher ( "test.jsp" ).include ( request, responseWrapper );
        String content = responseWrapper.toString();
        System.out.println ( "Output : " + content );
        response.getWriter().write ( content );
    }
}
