import java.awt.*;
import java.awt.event.*;
import java.net.URI;
import javax.swing.*;
import javax.swing.border.EmptyBorder;
class CheckExit {
    public static void doSomething() {
        try {
            URI uri = new URI (
                "http://stackoverflow.com/users/418556/andrew-thompson" );
            Desktop.getDesktop().browse ( uri );
        } catch ( Exception e ) {
            e.printStackTrace();
        }
    }
    public static void main ( String[] args ) throws Exception {
        Runnable r = new Runnable() {
            @Override
            public void run() {
                JPanel gui = new JPanel ( new BorderLayout() );
                gui.setPreferredSize ( new Dimension ( 400, 100 ) );
                gui.setBackground ( Color.WHITE );
                final JFrame f = new JFrame ( "Demo" );
                f.setLocationByPlatform ( true );
                f.add ( gui );
                f.setDefaultCloseOperation ( JFrame.DO_NOTHING_ON_CLOSE );
                WindowListener listener = new WindowAdapter() {
                    @Override
                    public void windowClosing ( WindowEvent we ) {
                        int result = JOptionPane.showConfirmDialog (
                                         f, "Close the application" );
                        if ( result == JOptionPane.OK_OPTION ) {
                            doSomething();
                            f.setVisible ( false );
                            f.dispose();
                        }
                    }
                };
                f.addWindowListener ( listener );
                f.pack();
                f.setVisible ( true );
            }
        };
        SwingUtilities.invokeLater ( r );
    }
}
