Context who, IBinder contextThread, IBinder token, Activity target,
        Intent intent, int requestCode ) {
    IApplicationThread whoThread = ( IApplicationThread ) contextThread;
    if ( mActivityMonitors != null ) {
        synchronized ( mSync ) {
            final int N = mActivityMonitors.size();
            for ( int i = 0; i < N; i++ ) {
                final ActivityMonitor am = mActivityMonitors.get ( i );
                if ( am.match ( who, null, intent ) ) {
                    am.mHits++;
                    if ( am.isBlocking() ) {
                        return requestCode >= 0 ? am.getResult() : null;
                    }
                    break;
                }
            }
        }
    }
