ActiveMQConnectionFactory activeMQConnectionFactory = new ActiveMQConnectionFactory ( url );
ConnectionFactory connectionFactory = activeMQConnectionFactory;
Connection connection = connectionFactory.createConnection();
Session session = connection.createSession ( false, Session.CLIENT_ACKNOWLEDGE );
Destination destination = session.createQueue ( "queue_name" );
MessageConsumer consumer = session.createConsumer ( destination );
connection.start();
Message message = consumer.receive ( 500 );
while ( message != null ) {
    if ( message instanceof TextMessage ) {
        TextMessage textMessage = ( TextMessage ) message;
        System.out.println ( "Received message '" + textMessage.getText() + "'" );
    }
    message = consumer.receive ( 1 );
}
