private static UserProfile retrieveUserProfile ( String username, char[] password )
throws SQLException {
    password  = DigestUtils.sha1Hex ( password );
    final String updateString = "SELECT userName, password FROM userProfiles"
                                + "WHERE username = ? AND password = ? LIMIT 1";
    PreparedStatement retrieveUserProfile = con.prepareStatement ( updateString )
                                            retrieveUserProfile.setString ( 1, "username" );
    retrieveUserProfile.setString ( 2, "password" );
    ResultSet rs = retrieveUserProfile.execute();
    if ( rs.next() ) {
        return new UserProfile ( username, password );
    } else {
        return null;
    }
}
