InputStream stream = getResources().openRawResource ( R.raw.music );
StringBuilder builder = new StringBuilder();
byte [] buffer = new byte[1024];
int read;
try {
    while ( ( read = stream.read ( buffer ) ) >= 0 ) {
        builder.append ( new String ( buffer, 0, read, "UTF-8" ) );
    }
} catch ( IOException e ) {
    Log.e ( "Tag", "Problem when reading from stream", e );
} finally {
    try {
        stream.close();
    } catch ( IOException e ) {
        Log.e ( "Tag", "Problem when closing input stream", e );
    }
}
String xml = builder.toString();
