public class ParseLogin {
    public static Map<String, String> parse ( Reader reader ) throws IOException {
        Map<String, String> result = new LinkedHashMap<String, String>();
        BufferedReader br = new BufferedReader ( reader );
        String line;
        while ( null != ( line = br.readLine() ) ) {
            String fields[] = line.split ( "\\s*;\\s*" );
            if ( fields.length > 1 ) {
                result.put ( fields[0], fields[1] );
            }
        }
        return result;
    }
    public static void main ( String[] args ) {
        try {
            Map<String, String> result = parse ( new FileReader ( args[0] ) );
        } catch ( FileNotFoundException e ) {
            System.out.format ( "%s not found.\n", args[0] );
            System.exit ( 1 );
        } catch ( IOException e ) {
            System.out.format ( "Error while reading from %s.\n", args[0] );
            e.printStackTrace();
            System.exit ( 2 );
        }
    }
}
