private class HighlightRenderer extends DefaultTableCellRenderer {
    @Override
    public Component getTableCellRendererComponent ( JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column ) {
        super.getTableCellRendererComponent ( table, value, isSelected, hasFocus, row, column );
        if ( value != null && value.toString().matches ( ".*" + Pattern.quote ( text ) + ".*" ) ) {
            setBorder ( BorderFactory.createMatteBorder ( 1, 1, 1, 1, Color.BLACK ) );
        } else {
            setBorder ( BorderFactory.createEmptyBorder ( 1, 1, 1, 1 );
        }
        return this;
    }
}
