long getFileSize ( File aFile ) {
    if ( !aFile.isDirectory() ) {
        return aFile.length();
    }
    long netSize = 0;
    File[] files = aFile.listFiles();
    for ( File f : files ) {
        if ( f.isDirectory() ) {
            netSize += getFileSize ( f );
        } else {
            netSize += f.length();
        }
    }
    return netSize;
}
