public class MD5CheckFilter implements ContainerRequestFilter {
    @Context HttpServletRequest hsr;
    public ContainerRequest filter ( ContainerRequest request ) {
        byte[] bytes = request.getEntity ( byte[].class );
        String contentMD5 = calculateMD5 ( bytes );
        hsr.setAttribute ( "contentMD5", contentMD5 );
        request.setEntityInputStream ( new ByteArrayInputStream ( bytes ) );
        return request;
    }
}
