public static List<Frequency> computeWordFrequencies ( List<String> words ) {
    Map<String, Integer> counts = new HashMap<String, Integer>();
    for ( String word : words ) {
        Integer current = counts.get ( word );
        if ( current != null ) {
            counts.put ( word, current + 1 );
        } else {
            counts.put ( word, 1 );
        }
    }
    List<Frequency> list_of_frequency = new ArrayList<Frequency>();
    for ( String s : counts.keySet() ) {
        list_of_frequency.add ( new Frequency ( s, counts.get ( s ) ) );
    }
    return list_of_frequency;
}
