while ( counter > 0 ) {
    conf = new Configuration();
    conf.set ( "recursion.depth", depth + "" );
    job = new Job ( conf );
    job.setJobName ( "Graph explorer " + depth );
    job.setMapperClass ( ExplorationMapper.class );
    job.setReducerClass ( ExplorationReducer.class );
    job.setJarByClass ( ExplorationMapper.class );
    in = new Path ( "files/graph-exploration/depth_" + ( depth - 1 ) + "/" );
    out = new Path ( "files/graph-exploration/depth_" + depth );
    SequenceFileInputFormat.addInputPath ( job, in );
    if ( fs.exists ( out ) ) {
        fs.delete ( out, true );
    }
    SequenceFileOutputFormat.setOutputPath ( job, out );
    job.setInputFormatClass ( SequenceFileInputFormat.class );
    job.setOutputFormatClass ( SequenceFileOutputFormat.class );
    job.setOutputKeyClass ( LongWritable.class );
    job.setOutputValueClass ( VertexWritable.class );
    job.waitForCompletion ( true );
    depth++;
    counter = job.getCounters().findCounter ( ExplorationReducer.UpdateCounter.UPDATED )
              .getValue();
}
