public static Bitmap getResizedBitmap ( Bitmap image, int newHeight, int newWidth ) {
    int width = image.getWidth();
    int height = image.getHeight();
    float scaleWidth = ( ( float ) newWidth ) / width;
    float scaleHeight = ( ( float ) newHeight ) / height;
    Matrix matrix = new Matrix();
    matrix.postScale ( scaleWidth, scaleHeight );
    Bitmap resizedBitmap = Bitmap.createBitmap ( image, 0, 0, width, height,
                           matrix, false );
    return resizedBitmap;
}
