Server server = new Server();
ServerConnector connector = new ServerConnector ( server );
connector.setHost ( "0.0.0.0" );
connector.setPort ( 8085 );
connector.setName ( "main" );
server.addConnector ( connector );
WebAppContext context = new WebAppContext();
context.setContextPath ( "/" );
context.setWar ( "src/main/webapp" );
context.addFilter ( MyFilter.class, "/", 1 );
HandlerCollection collection = new HandlerCollection();
RequestLogHandler rlh = new RequestLogHandler();
Slf4jRequestLog requestLog = new Slf4jRequestLog();
requestLog.setExtended ( false );
rlh.setRequestLog ( requestLog );
collection.setHandlers ( new Handler[] { context, rlh } );
server.setHandler ( collection );
try {
    server.start();
    server.join();
} catch ( Exception e ) {
    throw Throwables.propagate ( e );
}
