public class ImageAdapter extends BaseAdapter {
    private Context context;
    public ImageAdapter ( Context context ) {
        this.context = context;
    }
    public View getView ( int position, View convertView, ViewGroup parent ) {
        LayoutInflater inflater = ( LayoutInflater ) context
                                  .getSystemService ( Context.LAYOUT_INFLATER_SERVICE );
        View gridView;
        if ( convertView == null ) {
            gridView = new View ( context );
            gridView = inflater.inflate ( R.layout.mobile, null );
            ImageView imageView = ( ImageView ) gridView
                                  .findViewById ( R.id.grid_item_image );
            if ( mobile.equals ( "Windows" ) ) {
                imageView.setImageResource ( R.drawable.windows_logo );
            } else if ( mobile.equals ( "iOS" ) ) {
                imageView.setImageResource ( R.drawable.ios_logo );
            } else if ( mobile.equals ( "Blackberry" ) ) {
                imageView.setImageResource ( R.drawable.blackberry_logo );
            } else {
                imageView.setImageResource ( R.drawable.android_logo );
            }
        } else {
            gridView = ( View ) convertView;
        }
        return gridView;
    }
    @Override
    public int getCount() {
        return mobiles.length;
    }
    @Override
    public Object getItem ( int position ) {
        return null;
    }
    @Override
    public long getItemId ( int position ) {
        return 0;
    }
}
