class ReferenceWithCleanup extends WeakReference<Foo> {
    Bar bar;
    ReferenceWithCleanup ( Foo foo, Bar bar ) {
        super ( foo );
        this.bar = bar;
    }
    public void cleanUp() {
        bar.cleanUp();
    }
}
public void doStuff() {
    ReferenceQueue<Foo> fooQueue = new ReferenceQueue<Foo>();
    ...
    ReferenceWithCleanup ref = fooQueue.poll();
    ref.cleanUp();
}
