public class AbstractRoutingDataSourceMyDB extends AbstractRoutingDataSource {
    @Override
    protected Object determineCurrentLookupKey() {
        return getDbConnectionMyDB();
    }
    private final ThreadLocal<String> contextHolder = new ThreadLocal<String>();
    public void setDbConnectionMyDB ( String myKey ) {
        Assert.notNull ( myKey, "myKey cannot be null" );
        contextHolder.set ( myKey );
        String k = contextHolder.get();
    }
    public String getDbConnectionMyDB() {
        return ( String ) contextHolder.get();
    }
    public void clearDbConnectionMyDB() {
        contextHolder.remove();
    }
}
