import static org.springframework.test.web.servlet.setup.MockMvcBuilders.*;
import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;
@RunWith ( SpringJUnit4ClassRunner.class )
@WebAppConfiguration
@ContextConfiguration ( "file:src/main/webapp/WEB-INF/spring/appServlet/servlet-context.xml" )
public class WebMvcTest {
    @Autowired
    private WebApplicationContext wac;
    private MockMvc mockMvc;
    @Before
    public void setup() {
        this.mockMvc = MockMvcBuilders.webAppContextSetup ( this.wac ).build();
    }
    @Test
    public void getFoo() throws Exception {
        this.mockMvc.perform (
            get ( "/testx" )
            .contentType ( MediaType.APPLICATION_JSON )
            .accept ( MediaType.APPLICATION_JSON )
        )
        .andExpect ( status().isUnauthorized() );
    }
}
