public class GameTile extends JPanel {
    private BufferedImage image;
    private int x;
    private int y;
    public GameTile ( BufferedImage image, int x, int y ) {
        this.image = image;
        this.x = x;
        this.y = y;
    }
    @Override
    public Dimension getPreferredSize() {
        return new Dimension ( image.getWidth(), image.getHeight() );
    }
    @Override
    protected void paintComponent ( Graphics g ) {
        super.paintComponent ( g );
        g.drawImage ( image, 0, 0, getWidth(), getHeight(), this );
    }
}
