import java.io.File;
import javax.xml.bind.*;
import org.eclipse.persistence.jaxb.MarshallerProperties;
public class Demo {
    public static void main ( String[] args ) throws Exception {
        JAXBContext jc = JAXBContext.newInstance ( Customer.class );
        Unmarshaller unmarshaller = jc.createUnmarshaller();
        File xml = new File ( "src/forum14734741/input.xml" );
        Customer customer = ( Customer ) unmarshaller.unmarshal ( xml );
        Marshaller marshaller = jc.createMarshaller();
        marshaller.setProperty ( Marshaller.JAXB_FORMATTED_OUTPUT, true );
        marshaller.setProperty ( MarshallerProperties.MEDIA_TYPE, "application/json" );
        marshaller.setProperty ( MarshallerProperties.JSON_INCLUDE_ROOT, false );
        marshaller.marshal ( customer, System.out );
    }
}
