final ThreadLocal<Object[]> localContext;
<T> T callInContext ( ContextualCallable<T> callable ) throws ErrorsException {
    Object[] reference = localContext.get();
    if ( reference[0] == null ) {
        reference[0] = new InternalContext();
        try {
            return callable.call ( ( InternalContext ) reference[0] );
        } finally {
            reference[0] = null;
        }
    } else {
        return callable.call ( ( InternalContext ) reference[0] );
    }
}
