public class MazeFrame extends javax.swing.JFrame {
    Maze m;
    public MazeFrame ( Maze m ) {
        this.m = m;
        JPanel pan = new JPanel();
        add ( pan );
        pan.setLayout ( new GridLayout ( m.width, m.height ) );
        for ( int curr = 0; curr < m.height; curr++ ) {
            for ( Cell c : m.maze[curr] ) {
                JLabel lab = new JLabel();
                lab.setOpaque ( true );
                switch ( c.state ) {
                case border:
                    lab.setBackground ( Color.black );
                    System.out.println ( "addedborder" );
                    break;
                case wall:
                    lab.setBackground ( Color.DARK_GRAY );
                    System.out.println ( "addedwall" );
                    break;
                case open:
                    lab.setBackground ( Color.LIGHT_GRAY );
                    System.out.println ( "addedopen" );
                    break;
                case travelled:
                    lab.setBackground ( Color.RED );
                }
                lab.setPreferredSize ( new Dimension ( 50, 50 ) );
                pan.add ( lab );
            }
        }
        pack();
        setVisible();
    }
}
