LoadingCache<Key, Handle> graphs = CacheBuilder.newBuilder()
                                   .maximumSize ( 100 )
                                   .expireAfterAccess ( 5, TimeUnit.MINUTES )
                                   .removalListener ( removalListener )
                                   .build (
new CacheLoader<Key, Handle>() {
    public Handle load ( Key key ) throws AnyException {
        return openHandle ( key );
    }
} );
RemovalListener<Key, Handle> removalListener =
new RemovalListener<Key, Handle>() {
    public void onRemoval ( RemovalNotification<Key, Handle> removal ) {
        Handle h = removal.getValue();
        h.close();
    }
};
