public static void main ( String[] args ) {
    Scanner sc = new Scanner ( System.in );
    String choice = "y";
    while ( !choice.equalsIgnoreCase ( "n" ) ) {
        System.out.print ( "Enter customer type (r/c): " );
        String customerType = sc.next();
        if ( !customerType.equalsIgnoreCase ( "R" ) && !customerType.equalsIgnoreCase ( "C" ) ) {
            sc.nextLine();
            System.out.println ( "Error! Invalid Customer Type. Try Again " );
            continue;
        } else {
            System.out.print ( "Enter subtotal:   " );
            double subtotal = sc.nextDouble();
            double discountPercent = 0;
            if ( customerType.equalsIgnoreCase ( "R" ) ) {
                if ( subtotal < 100 ) {
                    discountPercent = 0;
                } else if ( subtotal >= 100 && subtotal < 250 ) {
                    discountPercent = .1;
                } else if ( subtotal >= 250 ) {
                    discountPercent = .2;
                }
            } else if ( customerType.equalsIgnoreCase ( "C" ) ) {
                if ( subtotal < 250 ) {
                    discountPercent = .2;
                } else {
                    discountPercent = .3;
                }
            }
            double discountAmount = subtotal * discountPercent;
            double total = subtotal - discountAmount;
            NumberFormat currency = NumberFormat.getCurrencyInstance();
            NumberFormat percent = NumberFormat.getPercentInstance();
            System.out.println (
                "Discount percent: " + percent.format ( discountPercent ) + "\n" +
                "Discount amount:  " + currency.format ( discountAmount ) + "\n" +
                "Total:            " + currency.format ( total ) + "\n" );
            System.out.print ( "Continue? (y/n): " );
            choice = sc.next();
            System.out.println();
        }
    }
}
