public static void Send ( final String username, final String password, String recipientEmail, String ccEmail, String title, String message ) throws AddressException, MessagingException {
    Security.addProvider ( new com.sun.net.ssl.internal.ssl.Provider() );
    final String SSL_FACTORY = "javax.net.ssl.SSLSocketFactory";
    Properties props = System.getProperties();
    props.setProperty ( "mail.smtps.host", "smtp.gmail.com" );
    props.setProperty ( "mail.smtp.socketFactory.class", SSL_FACTORY );
    props.setProperty ( "mail.smtp.socketFactory.fallback", "false" );
    props.setProperty ( "mail.smtp.port", "465" );
    props.setProperty ( "mail.smtp.socketFactory.port", "465" );
    props.setProperty ( "mail.smtps.auth", "true" );
    props.put ( "mail.smtps.quitwait", "false" );
    Session session = Session.getInstance ( props, null );
    final MimeMessage msg = new MimeMessage ( session );
    msg.setFrom ( new InternetAddress ( username + "@gmail.com" ) );
    msg.setRecipients ( Message.RecipientType.TO, InternetAddress.parse ( recipientEmail, false ) );
    if ( ccEmail.length() > 0 ) {
        msg.setRecipients ( Message.RecipientType.CC, InternetAddress.parse ( ccEmail, false ) );
    }
    msg.setSubject ( title );
    msg.setText ( message, "utf-8" );
    msg.setSentDate ( new Date() );
    SMTPTransport t = ( SMTPTransport ) session.getTransport ( "smtps" );
    t.connect ( "smtp.gmail.com", username, password );
    t.sendMessage ( msg, msg.getAllRecipients() );
    t.close();
}
