public class MoveMe01 {
    public static void main ( String[] args ) {
        new MoveMe01();
    }
    private int runTime = 500;
    private long startTime = -1;
    public MoveMe01() {
        EventQueue.invokeLater ( new Runnable() {
            @Override
            public void run() {
                try {
                    UIManager.setLookAndFeel ( UIManager.getSystemLookAndFeelClassName() );
                } catch ( Exception ex ) {
                }
                final JFrame frame = new JFrame ( "Test" );
                frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
                frame.add ( new JLabel ( "Use the Force Luke" ) );
                frame.pack();
                frame.setLocation ( 0, 0 );
                frame.setVisible ( true );
                Timer timer = new Timer ( 40, new ActionListener() {
                    @Override
                    public void actionPerformed ( ActionEvent e ) {
                        if ( startTime < 0 ) {
                            startTime = System.currentTimeMillis();
                        }
                        long now = System.currentTimeMillis();
                        long dif = now - startTime;
                        if ( dif > runTime ) {
                            dif = runTime;
                            ( ( Timer ) e.getSource() ).stop();
                        }
                        double progress = ( double ) dif / ( double ) runTime;
                        Point location = frame.getLocation();
                        Point to = new Point ( location );
                        to.x = ( int ) Math.round ( 100 * progress );
                        to.y = ( int ) Math.round ( 100 * progress );
                        System.out.println ( to );
                        frame.setLocation ( to );
                    }
                } );
                timer.setRepeats ( true );
                timer.setCoalesce ( true );
                timer.start();
            }
        } );
    }
}
