define ( "NUM_PER_ITERATION", 1000 );
$query = "SELECT MIN(ID) AS MinID, MAX(ID) AS MaxID FROM Users";
$array = $MyDB->GetSingleRow ( $query );
$minid = ( int ) $array["MinID"];
$maxid = ( int ) $array["MaxID"];
$startingpoint = LoadLastWorkPosition();
if ( !$startingpoint || $startingpoint < $minid ) {
    $startingpoint = $minid;
} else if ( $startingpoint > $maxid ) {
    echo ( "Already done!" );
    exit;
}
$curstart = $startingpoint;
while ( $curstart <= $maxid ) {
    $curend = $curstart + NUM_PER_ITERATION - 1;
    set_time_limit ( 300 );
    HandleResults ( $curstart, $curend );
    $curstart = $curend + 1;
    SaveLastWorkPosition ( $curstart );
}
echo ( "All done!" );
