import java.io.BufferedReader;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.ProtocolException;
import java.net.URL;
import java.net.URLEncoder;
public class SimpleHTTPRequest {
    public static void main ( String[] args ) {
        HttpURLConnection connection = null;
        DataOutputStream wr = null;
        BufferedReader rd  = null;
        StringBuilder sb = null;
        String line = null;
        URL serverAddress = null;
        try {
            serverAddress = new URL ( "http://www.google.com/search?q=test" );
            connection = null;
            connection = ( HttpURLConnection ) serverAddress.openConnection();
            connection.setRequestMethod ( "GET" );
            connection.setDoOutput ( true );
            connection.setDoInput ( true );
            connection.setUseCaches ( false );
            connection.setRequestProperty ( "Content-type", "text/xml" );
            connection.setAllowUserInteraction ( false );
            String strData = URLEncoder.encode ( "test", "UTF-8" );
            connection.setRequestProperty ( "Content-length", "" + strData.length () );
            connection.setReadTimeout ( 10000 );
            connection.connect();
            wr = new DataOutputStream ( connection.getOutputStream() );
            wr.writeBytes ( "q=" + strData );
            wr.flush();
            rd  = new BufferedReader ( new InputStreamReader ( connection.getInputStream() ) );
            sb = new StringBuilder();
            while ( ( line = rd.readLine() ) != null ) {
                sb.append ( line + '\n' );
            }
            System.out.println ( sb.toString() );
        } catch ( MalformedURLException e ) {
            e.printStackTrace();
        } catch ( ProtocolException e ) {
            e.printStackTrace();
        } catch ( IOException e ) {
            e.printStackTrace();
        } finally {
            connection.disconnect();
            rd = null;
            sb = null;
            wr = null;
            connection = null;
        }
    }
}
