public void onEndPage ( PdfWriter writer, Document document ) {
    Rectangle rect = writer.getBoxSize ( "art" );
    switch ( writer.getPageNumber() % 2 ) {
    case 0:
        ColumnText.showTextAligned ( writer.getDirectContent(),
                                     Element.ALIGN_RIGHT, header[0],
                                     rect.getRight(), rect.getTop(), 0 );
        break;
    case 1:
        ColumnText.showTextAligned ( writer.getDirectContent(),
                                     Element.ALIGN_LEFT, header[1],
                                     rect.getLeft(), rect.getTop(), 0 );
        break;
    }
    ColumnText.showTextAligned ( writer.getDirectContent(),
                                 Element.ALIGN_CENTER, new Phrase ( String.format ( "page %d", pagenumber ) ),
                                 ( rect.getLeft() + rect.getRight() ) / 2, rect.getBottom() - 18, 0 );
}
