@XmlAccessorType ( XmlAccessType.FIELD )
@XmlType ( name = "", propOrder = {
    "requestSource",
    "requestCode",
    "dataSet"
} )
@XmlRootElement ( name = "CRMMessage" )
public class CRMMessage {
    @XmlElement ( name = "RequestSource", required = true )
    protected CRMMessage.RequestSource requestSource;
    @XmlElement ( name = "RequestCode", required = true )
    protected String requestCode;
    @XmlElement ( name = "DataSet", required = true )
    protected CRMMessage.DataSet dataSet;
    @XmlAttribute ( name = "language" )
    protected String language;
    @XmlAttribute ( name = "currency" )
    protected String currency;
    public CRMMessage.RequestSource getRequestSource() {
        return requestSource;
    }
    public void setRequestSource ( CRMMessage.RequestSource value ) {
        this.requestSource = value;
    }
    public String getRequestCode() {
        return requestCode;
    }
    public void setRequestCode ( String value ) {
        this.requestCode = value;
    }
    public CRMMessage.DataSet getDataSet() {
        return dataSet;
    }
    public void setDataSet ( CRMMessage.DataSet value ) {
        this.dataSet = value;
    }
    public String getLanguage() {
        return language;
    }
    public void setLanguage ( String value ) {
        this.language = value;
    }
    public String getCurrency() {
        return currency;
    }
    public void setCurrency ( String value ) {
        this.currency = value;
    }
    @XmlAccessorType ( XmlAccessType.FIELD )
    @XmlType ( name = "", propOrder = {
    } )
    public static class DataSet {
        @XmlElement ( name = "DataSetColumns", required = true )
        protected CRMMessage.DataSet.DataSetColumns dataSetColumns;
        @XmlElement ( name = "Rows", required = true )
        protected CRMMessage.DataSet.Rows rows;
        public CRMMessage.DataSet.DataSetColumns getDataSetColumns() {
            return dataSetColumns;
        }
        public void setDataSetColumns ( CRMMessage.DataSet.DataSetColumns value ) {
            this.dataSetColumns = value;
        }
        public CRMMessage.DataSet.Rows getRows() {
            return rows;
        }
        public void setRows ( CRMMessage.DataSet.Rows value ) {
            this.rows = value;
        }
        @XmlAccessorType ( XmlAccessType.FIELD )
        @XmlType ( name = "", propOrder = {
            "dsColumn"
        } )
        public static class DataSetColumns {
            @XmlElement ( name = "DSColumn", required = true )
            protected List<CRMMessage.DataSet.DataSetColumns.DSColumn> dsColumn;
            public List<CRMMessage.DataSet.DataSetColumns.DSColumn> getDSColumn() {
                if ( dsColumn == null ) {
                    dsColumn = new ArrayList<CRMMessage.DataSet.DataSetColumns.DSColumn>();
                }
                return this.dsColumn;
            }
            @XmlAccessorType ( XmlAccessType.FIELD )
            @XmlType ( name = "" )
            public static class DSColumn {
                @XmlAttribute ( name = "name" )
                protected String name;
                public String getName() {
                    return name;
                }
                public void setName ( String value ) {
                    this.name = value;
                }
            }
        }
        @XmlAccessorType ( XmlAccessType.FIELD )
        @XmlType ( name = "", propOrder = {
            "row"
        } )
        public static class Rows {
            @XmlElement ( name = "Row", required = true )
            protected List<CRMMessage.DataSet.Rows.Row> row;
            public List<CRMMessage.DataSet.Rows.Row> getRow() {
                if ( row == null ) {
                    row = new ArrayList<CRMMessage.DataSet.Rows.Row>();
                }
                return this.row;
            }
            @XmlAccessorType ( XmlAccessType.FIELD )
            @XmlType ( name = "", propOrder = {
                "col"
            } )
            public static class Row {
                @XmlElement ( name = "Col", required = true )
                protected List<String> col;
                public List<String> getCol() {
                    if ( col == null ) {
                        col = new ArrayList<String>();
                    }
                    return this.col;
                }
            }
        }
    }
    @XmlAccessorType ( XmlAccessType.FIELD )
    @XmlType ( name = "" )
    public static class RequestSource {
        @XmlAttribute ( name = "Testsource" )
        protected String testsource;
        @XmlAttribute ( name = "version" )
        protected BigInteger version;
        public String getTestsource() {
            return testsource;
        }
        public void setTestsource ( String value ) {
            this.testsource = value;
        }
        public BigInteger getVersion() {
            return version;
        }
        public void setVersion ( BigInteger value ) {
            this.version = value;
        }
    }
}
