public void append ( String append, Color fg, Color bg, boolean bold, boolean italic, boolean underline ) {
    try {
        StyledDocument doc = ( StyledDocument ) this.getDocument();
        Style style = doc.addStyle ( "StyleName", null );
        StyleConstants.setForeground ( style, fg );
        StyleConstants.setBackground ( style, bg );
        StyleConstants.setBold ( style, bold );
        StyleConstants.setItalic ( style, italic );
        StyleConstants.setUnderline ( style, underline );
        doc.insertString ( doc.getLength(), append, style );
    } catch ( Exception e ) {
        e.printStackTrace();
    }
    this.setCaretPosition ( this.getDocument().getLength() - 1 );
}
