public class StarTrekSorter implements Comparator<StarTrek> {
    private static final List<StarTrek> ORDERED_ENTRIES = Arrays.asList (
                StarTrek.JeanLucPicard, StarTrek.Worf, StarTrek.WilliamRiker );
    @Override
    public int compare ( StarTrek o1, StarTrek o2 ) {
        if ( ORDERED_ENTRIES.contains ( o1 ) && ORDERED_ENTRIES.contains ( o2 ) ) {
            return ORDERED_ENTRIES.indexOf ( o1 ) - ORDERED_ENTRIES.indexOf ( o2 );
        }
        if ( ORDERED_ENTRIES.contains ( o1 ) ) {
            return -1;
        }
        if ( ORDERED_ENTRIES.contains ( o2 ) ) {
            return 1;
        }
        return o1.toString().compareTo ( o2.toString() );
    }
}
