FileService fileService = FileServiceFactory.getFileService();
AppEngineFile appEngineFile = fileService.getBlobFile ( new BlobKey ( video.getBlobkey() ) );
String param = "4166764c675120921f348e64ca10148e8ff6d5df";
File binaryFile = new File ( appEngineFile.getFullPath() );
String boundary = Long.toHexString ( System.currentTimeMillis() );
String CRLF = "\r\n";
URLConnection connection = new URL ( url ).openConnection();
connection.setDoOutput ( true );
connection.setRequestProperty ( "Content-Type", "multipart/form-data; boundary=" + boundary );
BufferedOutputStream writer = null;
OutputStream output = connection.getOutputStream();
writer = new BufferedOutputStream ( output );
writer.write ( ( "--" + boundary + CRLF ).getBytes() );
writer.write ( ( "Content-Disposition: form-data; name=\"api_password\"" + CRLF ).getBytes() );
writer.write ( ( "Content-Type: text/plain; charset=" + charset + CRLF ).getBytes() );
writer.write ( ( CRLF ).getBytes() );
writer.write ( ( param + CRLF ).getBytes() );
writer.flush();
writer.write ( ( "--" + boundary + CRLF ).getBytes() );
writer.write ( ( "Content-Disposition: form-data; name=\"file\"; filename=\"" + binaryFile.getName() + "\"" + CRLF ).getBytes() );
writer.write ( ( "Content-Type: application/octet-stream" + CRLF ).getBytes() );
writer.write ( ( "Content-Transfer-Encoding: binary" + CRLF ).getBytes() );
writer.write ( ( CRLF ).getBytes() );
writer.flush();
InputStream input = null;
try {
    BlobInfoFactory blobInfoFactory = new BlobInfoFactory();
    BlobInfo blobInfo = blobInfoFactory.loadBlobInfo ( new BlobKey ( video.getBlobkey() ) );
    Long blobSize = blobInfo.getSize();
    long maxReadFetch = 1015807;
    long i = 0;
    long start = 0;
    long end = 0;
    while ( i < blobSize ) {
        start = i;
        end = i + maxReadFetch;
        if ( end > blobSize ) {
            end = blobSize;
        } else {
            end--;
        }
        writer.write ( blobstoreService.fetchData ( new BlobKey ( video.getBlobkey() ), start, end ) );
        i += maxReadFetch;
    }
    writer.flush();
} finally {
    if ( input != null ) try {
            input.close();
        } catch ( IOException logOrIgnore ) {}
}
writer.write ( ( CRLF ).getBytes() );
writer.flush();
writer.write ( ( "--" + boundary + "--" + CRLF ).getBytes() );
writer.flush();
InputStream responseStream = new BufferedInputStream ( connection.getInputStream() );
BufferedReader responseStreamReader = new BufferedReader ( new InputStreamReader ( responseStream ) );
StringBuilder stringBuilder = new StringBuilder();
String line2;
while ( ( line2 = responseStreamReader.readLine() ) != null ) {
    stringBuilder.append ( line2 ).append ( "\n" );
}
responseStreamReader.close();
String response = stringBuilder.toString();
return response;
