private final static Object LOCK = new Object();
private final static Set<Integer> busyRecords = new HashSet<Integer>();
public static void waitToWorkOn ( int recordNum ) {
    synchronized ( LOCK ) {
        while ( busyRecords.contains ( recordNum ) ) {
            LOCK.wait();
        }
        busyRecords.add ( recordNum );
    }
}
public static void doneWith ( int recordNum ) {
    synchronized ( LOCK ) {
        busyRecords.remove ( recordNum );
        LOCK.notifyAll();
    }
}
