package com.example.stack;
import java.io.BufferedInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URL;
import java.net.URLConnection;
import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.RelativeLayout;
public class MainActivity extends Activity {
    ProgressDialog mProgressDialog;
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        overridePendingTransition ( R.anim.enter, R.anim.enter );
        setContentView ( R.layout.activity_main );
        mProgressDialog = new ProgressDialog ( MainActivity.this );
        mProgressDialog.setMessage ( "A message" );
        mProgressDialog.setIndeterminate ( false );
        mProgressDialog.setMax ( 100 );
        mProgressDialog.setProgressStyle ( ProgressDialog.STYLE_HORIZONTAL );
        DownloadFile downloadFile = new DownloadFile();
        downloadFile.execute ( "http://java.net/downloads/jfjug/SCJP%20Sun%20Certified%20Programmer%20for%20Java%206-0071591060.pdf" );
    }
    private class DownloadFile extends AsyncTask<String, Integer, String> {
        @Override
        protected String doInBackground ( String... sUrl ) {
            try {
                URL url = new URL ( sUrl[0] );
                URLConnection connection = url.openConnection();
                connection.connect();
                int fileLength = connection.getContentLength();
                InputStream input = new BufferedInputStream ( url.openStream() );
                OutputStream output = new FileOutputStream ( "/sdcard/output.pdf" );
                byte data[] = new byte[1024];
                long total = 0;
                int count;
                while ( ( count = input.read ( data ) ) != -1 ) {
                    total += count;
                    publishProgress ( ( int ) ( total * 100 / fileLength ) );
                    output.write ( data, 0, count );
                }
                output.flush();
                output.close();
                input.close();
            } catch ( Exception e ) {
            }
            return null;
        }
        @Override
        protected void onPreExecute() {
            super.onPreExecute();
            mProgressDialog.show();
        }
        @Override
        protected void onProgressUpdate ( Integer... progress ) {
            super.onProgressUpdate ( progress );
            mProgressDialog.setProgress ( progress[0] );
        }
    }
}
