public void saveComponentAsTiff ( Component c, String filename, boolean subcomp ) throws IOException {
    saveComponentTiff ( c, "tiff", filename, subcomp );
}
public void saveComponent ( Component c, String format, String filename, boolean subcomp ) throws IOException {
    BufferedImage image = new BufferedImage ( c.getWidth(), c.getHeight(), BufferedImage.TYPE_INT_ARGB );
    if ( subcomp ) {
        c.paintAll ( image.getGraphics() );
    } else {
        c.paint ( image.getGraphics() );
    }
    ImageIO.write ( image, format, new File ( filename ) );
}
