public class FormulaServiceImplTest {
    FormulaService formulaService;
    @Test
    public void testValidateFormula() {
        formulaService = spy ( new FormulaService() );
        doReturn ( ( double ) 3 ).when (
            formulaService ).methodThatCalculatAFormula ( anyString(),
                    anyInt(), anyInt() );
        assertTrue ( formulaService.validateFormula ( "Valid" ) );
        doReturn ( ( double ) 0 ).when (
            formulaService ).methodThatCalculatAFormula ( anyString(),
                    anyInt(), anyInt() );
        assertFalse ( formulaService.validateFormula ( "Not Valid" ) );
    }
}
