DynamicReportBuilder dynamicReportBuilder = new DynamicReportBuilder();
dynamicReportBuilder.setHeaderHeight ( 50 );
dynamicReportBuilder.setDetailHeight ( 50 );
DynamicReport dynamicReport = dynamicReportBuilder.build();
JasperPrint jasperPrint = DynamicJasperHelper.generateJasperPrint (
                              dynamicReport, new ClassicLayoutManager(), dataSource, new HashMap<String, Object>() );
JRExporter exporter = new JRHtmlExporter();
exporter.setParameter ( JRHtmlExporterParameter.IS_USING_IMAGES_TO_ALIGN, Boolean.FALSE );
exporter.setParameter ( JRExporterParameter.JASPER_PRINT, jasperPrint );
exporter.setParameter ( JRExporterParameter.OUTPUT_FILE_NAME, targetFile );
exporter.exportReport();
