public void RemoveRow ( int rowIndex ) {
    UserInformation temp = Udata.get ( rowIndex );
    Udata.remove ( rowIndex );
    if ( RemoveUserFromFile ( rowIndex ) ) {
        fireTableRowsDeleted ( rowIndex, rowIndex );
    } else {
        Udata.add ( rowIndex, temp );
        JOptionPane.showMessageDialog ( null, "Unable to delete" );
    }
}
public boolean RemoveUserFromFile ( int index ) {
    File Mf = new File ( "AllUserRecords.txt" );
    File Tf = new File ( "Uoutput.txt" );
    PrintWriter Upw = null;
    try {
        Upw = new PrintWriter ( new FileWriter ( Tf ) );
        for ( UserInformation uino : Udata ) {
            Upw.print ( uino.toString() );
        }
        Upw.close();
        Mf.delete();
        Tf.renameTo ( Mf );
        return true;
    } catch ( FileNotFoundException e1 ) {
        return false;
    } catch ( IOException ioe ) {
        return false;
    } finally {
        if ( Upw != null ) {
            try {
                Upw.close();
            } catch ( Exception ex ) {}
        }
    }
}
