public class Test {
    public static void createFrame() {
        EventQueue.invokeLater ( new Runnable() {
            @Override
            public void run() {
                JFrame frame = new JFrame ( "Test" );
                frame.setDefaultCloseOperation ( JFrame.DISPOSE_ON_CLOSE );
                JPanel panel = new JPanel();
                panel.setLayout ( new BoxLayout ( panel, BoxLayout.Y_AXIS ) );
                panel.setOpaque ( true );
                JTextArea textArea = new JTextArea ( 15, 50 );
                textArea.setWrapStyleWord ( true );
                textArea.setEditable ( false );
                textArea.setFont ( Font.getFont ( Font.SANS_SERIF ) );
                JScrollPane scroller = new JScrollPane ( textArea );
                scroller.setVerticalScrollBarPolicy ( ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS );
                scroller.setHorizontalScrollBarPolicy ( ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER );
                JPanel inputpanel = new JPanel();
                inputpanel.setLayout ( new FlowLayout() );
                JTextField input = new JTextField ( 20 );
                JButton button = new JButton ( "Enter" );
                DefaultCaret caret = ( DefaultCaret ) textArea.getCaret();
                caret.setUpdatePolicy ( DefaultCaret.ALWAYS_UPDATE );
                panel.add ( scroller );
                inputpanel.add ( input );
                inputpanel.add ( button );
                panel.add ( inputpanel );
                frame.getContentPane().add ( BorderLayout.CENTER, panel );
                frame.pack();
                frame.setLocationByPlatform ( true );
                frame.setVisible ( true );
                frame.setResizable ( false );
                input.requestFocus();
            }
        } );
    }
    public static void main ( String... args ) {
        createFrame();
    }
}
