public class ExtendedModel : Model {
    private final Model wrapped;
    public ExtendedModel ( Model model ) {
        wrapped = model;
    }
    private int addedField = 123;
    public void doSomething() {
        wrapped.doSomething();
    }
    public int calculateSomething() {
        return wrapped.calculateSomething();
    }
    public int getAddedField() {
        return addedField;
    }
    public void increment() {
        addedField++;
    }
}
