@SuppressWarnings ( "serial" )
public class Window extends JFrame {
    private JList monthsList;
    private String[] months = {"January", "February", "March" , "April", "May", "June", "July", "August", "September", "October", "November", "December"};
    public Window() {
        createUI();
    }
    @SuppressWarnings ( { "unchecked", "rawtypes" } )
    private void createUI() {
        Container contentPane = getContentPane();
        contentPane.setLayout ( null );
        monthList = new JList ( months );
        monthList.setSelectionMode ( ListSelectionModel.MULTIPLE_INTERVAL_SELECTION );
        monthList.setVisibleRowCount ( 5 );
        monthList.setBounds ( 400, 16, 100, 50 );
        JScrollPane monthScroll = new JScrollPane ( monthsList );
        monthScroll.setBounds ( 180, 16, 135, 400 );
        contentPane.add ( monthsScroll );
        setTitle ( "Months" );
        setSize ( 100, 100 );
        setVisible ( true );
    }
    public void buttonActionPerformed ( ActionEvent event ) {
        this.buttonPressed = true;
        @SuppressWarnings ( "deprecation" )
        Object[] monthObjects = monthsList.getSelectedValues();
        this.monthsSelected = Arrays.copyOf ( monthObjects, monthObjects.length, String[].class );
    }
    public boolean VerifyButtonPressed() {
        return buttonPressed == true ? true : false;
    }
    public String[] getMonthsSelected() {
        return monthsSelected;
    }
}
