public int println ( int priority, String msg ) {
    Throwable t = new Throwable();
    StackTraceElement[] stackTrace = t.getStackTrace();
    final Level[] levels = { Level.FINEST, Level.FINER, Level.FINE, Level.CONFIG, Level.INFO, Level.WARNING, Level.SEVERE, Level.SEVERE };
    Level level = levels[priority];
    LogRecord lr = new LogRecord ( level, msg );
    if ( stackTrace.length > 2 ) {
        lr.setSourceClassName ( stackTrace[2].getClassName() );
        lr.setSourceMethodName ( stackTrace[2].getMethodName() );
    }
    log.log ( lr );
    return 0;
}
