public class MainActivity extends Activity {
    private boolean result;
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        showConfirmationBox ( "Are you sure you want to do this", this );
    }
    private doOnTrueResult() {
        result = true;
    }
    private doOnFalseResult() {
        result = false;
    }
    public void showConfirmationBox ( String messageToShow, final Context context ) {
        AlertDialog.Builder alertbox = new AlertDialog.Builder ( context );
        alertbox.setMessage ( messageToShow );
        alertbox.setPositiveButton ( "Yes",
        new DialogInterface.OnClickListener() {
            public void onClick ( DialogInterface arg0, int arg1 ) {
                Toast.makeText ( context,
                                 "'Yes' button clicked", Toast.LENGTH_SHORT )
                .show();
                doOnTrueResult();
            }
        } );
        alertbox.setNegativeButton ( "No", new DialogInterface.OnClickListener() {
            public void onClick ( DialogInterface arg0, int arg1 ) {
                Toast.makeText ( context, "'No' button clicked",
                                 Toast.LENGTH_SHORT ).show();
                doOnTrueResult();
            }
        } );
        alertbox.show();
    }
}
