import javafx.application.*;
import javafx.beans.value.*;
import javafx.scene.Scene;
import javafx.scene.web.*;
import javafx.stage.Stage;
public class GoogleBlock extends Application {
    public static void main ( String[] args ) throws Exception {
        launch ( args );
    }
    @Override public void start ( final Stage stage ) throws Exception {
        final WebView webView = new WebView();
        final WebEngine engine = webView.getEngine();
        engine.load ( "http://www.google.com" );
        engine.locationProperty().addListener ( new ChangeListener<String>() {
            @Override public void changed ( ObservableValue<? extends String> ov, final String oldLoc, final String loc ) {
                if ( !loc.contains ( "google.com" ) ) {
                    Platform.runLater ( new Runnable() {
                        @Override public void run() {
                            engine.load ( oldLoc );
                        }
                    } );
                }
            }
        } );
        stage.setScene ( new Scene ( webView ) );
        stage.show();
    }
}
