DocumentBuilderFactory parserFactory = DocumentBuilderFactory.newInstance();
parserFactory.setNamespaceAware ( true );
DocumentBuilder parser = parserFactory.newDocumentBuilder();
Document document = parser.parse ( new File ( "instance.xml" ) );
SchemaFactory factory = SchemaFactory.newInstance ( XMLConstants.W3C_XML_SCHEMA_NS_URI );
Source schemaFile = new StreamSource ( new File ( "mySchema.xsd" ) );
Schema schema = factory.newSchema ( schemaFile );
Validator validator = schema.newValidator();
try {
    validator.validate ( new DOMSource ( document ) );
} catch ( SAXException e ) {
}
