package com.test;
import java.util.Properties;
import javax.mail.BodyPart;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Multipart;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeBodyPart;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeMultipart;
import org.junit.Test;
public class EmailService {
    @Test
    public void test() {
        Properties props = System.getProperties();
        props.put ( "mail.smtp.starttls.enable", true );
        props.put ( "mail.smtp.host", "smtp.gmail.com" );
        props.put ( "mail.smtp.user", "username" );
        props.put ( "mail.smtp.password", "password" );
        props.put ( "mail.smtp.port", "587" );
        props.put ( "mail.smtp.auth", true );
        Session session = Session.getInstance ( props, null );
        MimeMessage message = new MimeMessage ( session );
        System.out.println ( "Port: " + session.getProperty ( "mail.smtp.port" ) );
        try {
            InternetAddress from = new InternetAddress ( "username" );
            message.setSubject ( "Yes we can" );
            message.setFrom ( from );
            message.addRecipients ( Message.RecipientType.TO, InternetAddress.parse ( "receivermail" ) );
            Multipart multipart = new MimeMultipart ( "alternative" );
            BodyPart messageBodyPart = new MimeBodyPart();
            messageBodyPart.setText ( "some text to send" );
            multipart.addBodyPart ( messageBodyPart );
            messageBodyPart = new MimeBodyPart();
            String htmlMessage = "Our html text";
            messageBodyPart.setContent ( htmlMessage, "text/html" );
            multipart.addBodyPart ( messageBodyPart );
            message.setContent ( multipart );
            Transport transport = session.getTransport ( "smtp" );
            transport.connect ( "smtp.gmail.com", "username", "password" );
            System.out.println ( "Transport: " + transport.toString() );
            transport.sendMessage ( message, message.getAllRecipients() );
        } catch ( AddressException e ) {
            e.printStackTrace();
        } catch ( MessagingException e ) {
            e.printStackTrace();
        }
    }
}
