521:
537:   public static double ptLineDistSq ( double x1, double y1, double x2, double y2,
        538:                                     double px, double py )
539:   {
    540:     double pd2 = ( x1 - x2 ) * ( x1 - x2 ) + ( y1 - y2 ) * ( y1 - y2 );
    541:
    542:     double x, y;
    543:     if ( pd2 == 0 )
        544:       {
        545:
        546:         x = x1;
        547:         y = y2;
        548:
    }
    549:     else
        550:       {
        551:         double u = ( ( px - x1 ) * ( x2 - x1 ) + ( py - y1 ) * ( y2 - y1 ) ) / pd2;
        552:         x = x1 + u * ( x2 - x1 );
        553:         y = y1 + u * ( y2 - y1 );
        554:
    }
    555:
    556:     return ( x - px ) * ( x - px ) + ( y - py ) * ( y - py );
    557:
}
558:
559:
575:   public static double ptLineDist ( double x1, double y1,
        576:                                    double x2, double y2,
        577:                                    double px, double py )
578:   {
    579:     return Math.sqrt ( ptLineDistSq ( x1, y1, x2, y2, px, py ) );
    580:
}
581:
