import java.io.ByteArrayOutputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;
public class Main {
    public static class GameData implements Serializable {
        private static final long serialVersionUID = -7918700940677946167L;
        int player1Position;
        int player1Score;
        int player1Ping;
    }
    public static void main ( String[] args ) throws Exception {
        GameData gameData = new GameData();
        gameData.player1Ping = 60;
        gameData.player1Score = 10;
        gameData.player1Position = 50;
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream ( 4 * 1024 );
        ObjectOutputStream objectOutputStream = new ObjectOutputStream ( byteArrayOutputStream );
        objectOutputStream.writeObject ( gameData );
        byte[] objectBytes = byteArrayOutputStream.toByteArray();
        DatagramSocket socket = new DatagramSocket();
        DatagramPacket packet = new DatagramPacket ( objectBytes, objectBytes.length );
        InetAddress remote_addr = InetAddress.getByName ( "localhost" );
        packet.setAddress ( remote_addr );
        packet.setPort ( 1989 );
        socket.send ( packet );
    }
}
