public class StackOverflow {
    public static void main ( String[] args ) {
        Display display = Display.getDefault();
        Shell shell = new Shell ( display );
        shell.setLayout ( new GridLayout ( 1, false ) );
        for ( int i = 0; i < 5; i++ ) {
            createRow ( shell, i );
        }
        shell.pack();
        shell.open();
        while ( !shell.isDisposed() ) {
            if ( !display.readAndDispatch() ) {
                display.sleep();
            }
        }
        display.dispose();
    }
    private static void createRow ( Shell shell, int i ) {
        Composite row = new Composite ( shell, SWT.NONE );
        row.setLayout ( new GridLayout ( 2, true ) );
        row.setLayoutData ( new GridData ( SWT.FILL, SWT.BEGINNING, true, false ) );
        Button first = new Button ( row, SWT.PUSH );
        first.setText ( "FIRST " + i );
        first.setLayoutData ( new GridData ( SWT.FILL, SWT.BEGINNING, true, false ) );
        Button second = new Button ( row, SWT.PUSH );
        second.setText ( "SECOND " + i );
        second.setLayoutData ( new GridData ( SWT.FILL, SWT.BEGINNING, true, false ) );
    }
}
