public class UndecoratedJFrame extends JFrame {
    Point origin;
    Point origin2;
    public UndecoratedJFrame() {
        setUndecorated ( true );
        initComponents();
        setVisible ( true );
    }
    private void initComponents() {
        setDefaultCloseOperation ( javax.swing.WindowConstants.EXIT_ON_CLOSE );
        addMouseListener ( new java.awt.event.MouseAdapter() {
            public void mousePressed ( java.awt.event.MouseEvent evt ) {
                formMousePressed ( evt );
            }
        } );
        addMouseMotionListener ( new java.awt.event.MouseMotionAdapter() {
            public void mouseDragged ( java.awt.event.MouseEvent evt ) {
                formMouseDragged ( evt );
            }
        } );
        javax.swing.GroupLayout layout = new javax.swing.GroupLayout ( getContentPane() );
        getContentPane().setLayout ( layout );
        layout.setHorizontalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addGap ( 0, 400, Short.MAX_VALUE )
        );
        layout.setVerticalGroup (
            layout.createParallelGroup ( javax.swing.GroupLayout.Alignment.LEADING )
            .addGap ( 0, 300, Short.MAX_VALUE )
        );
        pack();
    }
    private void formMouseDragged ( java.awt.event.MouseEvent evt ) {
        origin2 = new Point ( evt.getLocationOnScreen() );
        setLocation ( ( int ) ( origin2.getX() - origin.getX() ), ( int ) ( origin2.getY() - origin.getY() ) );
    }
    private void formMousePressed ( java.awt.event.MouseEvent evt ) {
        origin = new Point ( evt.getPoint() );
    }
}
