public class TestWriteFile {
    public static void main ( String[] args ) {
        BufferedWriter writer = null;
        try {
            String timeLog = new SimpleDateFormat ( "yyyyMMdd_HHmmss" ).format ( Calendar.getInstance().getTime() );
            File logFile = new File ( timeLog );
            System.out.println ( logFile.getCanonicalPath() );
            writer = new BufferedWriter ( new FileWriter ( logFile ) );
            writer.write ( "Hello world!" );
        } catch ( Exception e ) {
            e.printStackTrace();
        } finally {
            try {
                writer.close();
            } catch ( Exception e ) {
            }
        }
    }
}
