private int[] chooseProblem ( float bias, int[] currentShuffle ) {
    int problem, problemIndex;
    if ( bias < 0 || bias > 1 ) {
        bias = 0;
    }
    if ( bias == 0 ) {
        problem = random.nextInt ( 91 );
        problemIndex = problem;
    } else {
        float x = asin ( Math.random() * bias ) / asin ( bias );
        problemIndex = Math.floor ( 91 * x );
        problem = currentShuffle[problemIndex];
    }
    int first, last;
    first = ( int ) ( ( Math.sqrt ( 8 * problem + 1 ) - 1 ) / 2 );
    last = problem - first * ( first + 1 ) / 2;
    return {first, last, problemIndex};
}
private void shuffleProblems ( int[] currentShuffle, int upDown ) {
    int ii, temp, swap;
    if ( upDown == 0 ) {
        for ( ii = 0; ii < 91; ii++ ) {
            currentShuffle[ii] = ii;
        }
        for ( ii = 0; ii < 91; ii++ ) {
            temp = currentShuffle[ii];
            swap = ii + random.nextInt ( 91 - ii );
            currentShuffle[ii] = currentShuffle[swap];
            currentShuffle[swap] = temp;
        }
        return;
    }
    if ( upDown < 0 ) {
        temp = currentShuffle[-upDown];
        for ( ii = -upDown; ii > 0; ii-- ) {
            currentShuffle[ii] = currentShuffle[ii - 1];
        }
        currentShuffle[0] = temp;
    } else {
        temp = currentShuffle[upDown];
        for ( ii = upDown; ii < 90; ii++ ) {
            currentShuffle[ii] = currentShuffle[ii + 1];
        }
        currentShuffle[90] = temp;
    }
    return;
}
int[] currentShuffle = new int[91];
int[] newProblem;
int keepGoing = 1;
shuffleProblems ( currentShuffle, 0 );
while ( keepGoing ) {
    newProblem = chooseProblem ( bias, currentShuffle );
    if ( wrong ) {
        if ( newProblem > 0 ) {
            shuffleProblems ( currentShuffle, -newProblem[2] );
        }
    } else {
        shuffleProblems ( currentShuffle, newProblem[2] );
    }
}
