import java.lang.reflect.*;
public class DumpLoader {
    public static void main ( String[] args ) throws Exception {
        Class<?> c$ = loadClass ( "HelloScala$", HelloScala$Dump.dump() );
        Class<?> c = loadClass ( "HelloScala", HelloScalaDump.dump() );
        try {
            Method mainMethod = c.getMethod ( "main", String[].class );
            mainMethod.invoke ( null, ( Object ) new String[] {} );
        } catch ( Exception e ) {
            e.printStackTrace();
            System.exit ( 1 );
        }
    }
    private static Class loadClass ( String className, byte[] b ) {
        Class<?> clazz = null;
        try {
            ClassLoader loader = Thread.currentThread().getContextClassLoader();
            Class<?> cls = Class.forName ( "java.lang.ClassLoader" );
            Method method = cls.getDeclaredMethod ( "defineClass", new Class[] { String.class, byte[].class, int.class, int.class } );
            method.setAccessible ( true );
            try {
                Object[] args = new Object[] { className, b, new Integer ( 0 ), new Integer ( b.length ) };
                clazz = ( Class ) method.invoke ( loader, args );
            } finally {
                method.setAccessible ( false );
            }
        } catch ( Exception e ) {
            e.printStackTrace();
            System.exit ( 1 );
        }
        return clazz;
    }
}
