public void convertPPTToPDF ( String Path ) throws Exception {
    String extension = "";
    Integer index = Path.lastIndexOf ( "." );
    if ( index > 0 ) {
        extension = Path.substring ( index + 1 );
    }
    if ( extension.equals ( "ppt" ) ) {
        Presentation pres = new Presentation ( Path );
        String destPath = Path.substring ( 0, index ) + ".pdf";
        pres.saveToPdf ( destPath );
    } else if ( extension.equals ( "pptx" ) ) {
        PresentationEx pres = new PresentationEx ( Path );
        String destPath = Path.substring ( 0, index ) + ".pdf";
        pres.save ( destPath, com.aspose.slides.SaveFormat.Pdf );
    }
    System.out.println ( "Powerpoint file converted to PDF successfully" );
}
public void convertExcelToPDF ( String Path ) throws Exception {
    String extension = "";
    Integer index = Path.lastIndexOf ( "." );
    if ( index > 0 ) {
        extension = Path.substring ( index + 1 );
    }
    if ( extension.equals ( "xls" ) ) {
        Workbook workbook = new Workbook ( Path );
        String destPath = Path.substring ( 0, index ) + ".pdf";
        workbook.save ( destPath, FileFormatType.PDF );
    } else if ( extension.equals ( "xlsx" ) ) {
        LoadOptions loadOptions = new LoadOptions ( FileFormatType.XLSX );
        Workbook workbook = new Workbook ( Path, loadOptions );
        String destPath = Path.substring ( 0, index ) + ".pdf";
        workbook.save ( destPath, FileFormatType.PDF );
    }
    System.out.println ( "Excel file converted to PDF successfully" );
}
