private static class ScrollablePanel extends JPanel implements Scrollable {
    public Dimension getPreferredScrollableViewportSize() {
        return super.getPreferredSize();
    }
    public int getScrollableUnitIncrement ( Rectangle visibleRect, int orientation, int direction ) {
        return 16;
    }
    public int getScrollableBlockIncrement ( Rectangle visibleRect, int orientation, int direction ) {
        return 16;
    }
    public boolean getScrollableTracksViewportWidth() {
        return true;
    }
    public boolean getScrollableTracksViewportHeight() {
        return false;
    }
}
