import java.awt.BorderLayout;
import java.awt.EventQueue;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JToggleButton;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
public class MainClass {
    public static void main ( String args[] ) {
        EventQueue.invokeLater ( new Runnable() {
            @Override
            public void run() {
                try {
                    UIManager.setLookAndFeel (
                        "org.pushingpixels.substance.api.skin.SubstanceOfficeBlue2007LookAndFeel" );
                } catch ( Exception e ) {
                }
            }
        } );
        SwingUtilities.invokeLater ( new Runnable() {
            @Override
            public void run() {
                JFrame f = new JFrame ( "JToggleButton Sample" );
                f.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
                JPanel panel = new JPanel();
                panel.setLayout ( new BorderLayout() );
                panel.add ( new JToggleButton ( "North" ), BorderLayout.NORTH );
                panel.add ( new JToggleButton ( "East" ), BorderLayout.EAST );
                panel.add ( new JToggleButton ( "West" ), BorderLayout.WEST );
                panel.add ( new JToggleButton ( "Center" ), BorderLayout.CENTER );
                panel.add ( new JToggleButton ( "South" ), BorderLayout.SOUTH );
                f.add ( panel );
                f.pack();
                f.setVisible ( true );
            }
        } );
    }
}
