public static String getDefaultBrowser() {
    try {
        Process process = Runtime.getRuntime().exec ( "REG QUERY HKEY_CLASSES_ROOT\\http\\shell\\open\\command" );
        Scanner kb = new Scanner ( process.getInputStream() );
        while ( kb.hasNextLine() ) {
            String registry = ( kb.nextLine() ).replaceAll ( "\\\\", "/" ).trim();
            Matcher matcher = Pattern.compile ( "/(?=[^/]*$)(.+?)[.]" ).matcher ( registry );
            if ( matcher.find() ) {
                kb.close();
                String defaultBrowser = matcher.group ( 1 );
                defaultBrowser = defaultBrowser.substring ( 0, 1 ).toUpperCase() + defaultBrowser.substring ( 1, defaultBrowser.length() );
                return defaultBrowser;
            }
        }
        kb.close();
    } catch ( Exception e ) {
        e.printStackTrace();
    }
    return "Error: Unable to get default browser";
}
