public static void main ( String[] args ) throws Exception {
    JFileChooser fileChooser = new JFileChooser();
    fileChooser.setFileSelectionMode ( JFileChooser.FILES_ONLY );
    fileChooser.showOpenDialog ( null );
    File selectedFile = fileChooser.getSelectedFile();
    Class.forName ( "com.mysql.jdbc.Driver" );
    Connection conn = DriverManager.getConnection (
                          "jdbc:mysql://localhost/databaseName", "root", "root" );
    String INSERT_PICTURE = "insert into MyPictures(photo) values (?)";
    conn.setAutoCommit ( false );
    FileInputStream fis = new FileInputStream ( selectedFile );
    PreparedStatement ps = conn.prepareStatement ( INSERT_PICTURE );
    ps.setBinaryStream ( 1, fis, ( int ) selectedFile.length() );
    ps.executeUpdate();
    conn.commit();
    ps.close();
    fis.close();
    conn.close();
    BufferedImage bufferedImage = ImageIO.read ( selectedFile );
    ImageIcon imageIcon = new ImageIcon ( bufferedImage );
    JLabel label = new JLabel();
    label.setIcon ( imageIcon );
    JFrame frame = new JFrame();
    frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
    frame.add ( label );
    frame.pack();
    frame.setVisible ( true );
}
