public static DateTime operator - ( DateTime d, TimeSpan t ) {
    long internalTicks = d.InternalTicks;
    long num = t._ticks;
    if ( internalTicks < num || internalTicks - 3155378975999999999L > num )
        throw new ArgumentOutOfRangeException ( "t",
                                                Environment.GetResourceString ( "ArgumentOutOfRange_DateArithmetic" ) );
    else {
        return new DateTime ( ( ulong ) ( internalTicks - num ) | d.InternalKind );
    }
}
