public abstract class AnimalBase {
    private String name;
    private int age;
    private boolean gender;
}
public interface Animal {
    public void move();
    public void eat();
    public void sleep();
}
public class Reptiles extends AnimalBase implements Animal {
    public void move() {
        System.out.println ( "Slither!" );
    }
}
public class Birds extends AnimalBase implements Animal {
    public void move() {
        System.out.println ( "Flap flap!" );
    }
}
public class Amphibians extends AnimalBase implements Animal {
    public void move() {
        System.out.println ( "Some sort of moving sound..." );
    }
}
List<Animal> animalList = new ArrayList<>();
animalList.add ( new Reptiles() );
animalList.add ( new Amphibians() );
animalList.add ( new Birds() );
for ( Animal a : animalList ) {
    a.move();
}
