import java.util.Date;
import java.util.Properties;
import javax.activation.DataHandler;
import javax.activation.FileDataSource;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Multipart;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeBodyPart;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeMultipart;
public class SendMail {
    public static int Send ( String SMTPServer,
                             String Sender,
                             String Recipient,
                             String Subject,
                             String Body,
                             String ErrorMessage,
                             String Attachments ) {
        int ErrorStatus = 0;
        final String username = Sender;
        final String password = "pswd";
        Properties props = new Properties();
        props.put ( "mail.smtp.auth", "true" );
        props.put ( "mail.smtp.starttls.enable", "true" );
        props.put ( "mail.smtp.host", "smtp.gmail.com" );
        props.put ( "mail.smtp.port", "587" );
        Session session = Session.getInstance ( props,
        new javax.mail.Authenticator() {
            protected PasswordAuthentication getPasswordAuthentication() {
                return new PasswordAuthentication ( username, password );
            }
        } );
        try {
            MimeMessage msg = new MimeMessage ( session );
            {
                InternetAddress[] TheAddresses = InternetAddress.parse ( Sender );
                msg.addFrom ( TheAddresses );
            }
            {
                InternetAddress[] TheAddresses = InternetAddress.parse ( Recipient );
                msg.addRecipients ( Message.RecipientType.TO, TheAddresses );
            }
            msg.setSubject ( Subject );
            Multipart mp = new MimeMultipart();
            {
                MimeBodyPart mbp = new MimeBodyPart();
                mbp.setText ( Body );
                mp.addBodyPart ( mbp );
            }
            if ( null != Attachments ) {
                int StartIndex = 0, PosIndex = 0;
                while ( -1 != ( PosIndex = Attachments.indexOf ( "///", StartIndex ) ) ) {
                    MimeBodyPart mbp = new MimeBodyPart();
                    FileDataSource fds =
                        new FileDataSource ( Attachments.substring ( StartIndex, PosIndex ) );
                    mbp.setDataHandler ( new DataHandler ( fds ) );
                    mbp.setFileName ( fds.getName() );
                    mp.addBodyPart ( mbp );
                    PosIndex += 3;
                    StartIndex = PosIndex;
                }
                if ( StartIndex < Attachments.length() ) {
                    MimeBodyPart mbp = new MimeBodyPart();
                    FileDataSource fds = new FileDataSource ( Attachments.substring ( StartIndex ) );
                    mbp.setDataHandler ( new DataHandler ( fds ) );
                    mbp.setFileName ( fds.getName() );
                    mp.addBodyPart ( mbp );
                }
            }
            msg.setContent ( mp );
            msg.setSentDate ( new Date() );
            Transport.send ( msg );
        } catch ( MessagingException MsgException ) {
            System.out.println ( "blows here" );
            ErrorMessage = MsgException.toString();
            Exception TheException = null;
            if ( ( TheException = MsgException.getNextException() ) != null ) {
                ErrorMessage += "\n" + TheException.toString();
            }
            ErrorStatus = 1;
        }
        System.out.println ( ErrorMessage );
        return ErrorStatus;
    }
    public static void main ( String args[] ) {
        SendMail.Send ( "smtp.gmail.com", "my_mail@gmail.com", "my_mail@gmail.com",
                        "try sending mail", "came? ", "" , null );
    }
}
