public KeyToGroupMap() {
    this ( "Default Group" );
}
public KeyToGroupMap ( Comparable defaultGroup ) {
    if ( defaultGroup == null ) {
        throw new IllegalArgumentException ( "Null 'defaultGroup' argument." );
    }
    this.defaultGroup = defaultGroup;
    this.groups = new ArrayList();
    this.keyToGroupMap = new HashMap();
}
public int getGroupCount() {
    return this.groups.size() + 1;
}
