mAdapter.setViewBinder ( new ViewBinder() {
    public boolean setViewValue ( View aView, Cursor aCursor, int aColumnIndex ) {
        if ( aColumnIndex == aCursor.getColumnIndex ( DatabaseHandler.RATE_EMOTION ) ) {
            int emotionID = aCursor.getInt ( aColumnIndex );
            Drawable emotionDrawable = resources.getDrawable ( R.drawable.ic_unknown_rate );
            if ( emotionID > 0 ) {
                String emotionDrawablePath = "ic_smi" + emotionID;
                int emotionDrawableID = resources.getIdentifier ( emotionDrawablePath, "drawable", getPackageName() );
                if ( emotionDrawableID > 0 ) {
                    emotionDrawable = resources.getDrawable ( emotionDrawableID );
                }
            }
            ImageView emotionImage = ( ImageView ) aView;
            emotionImage.setImageDrawable ( emotionDrawable );
            return true;
        }
        return false;
    }
} );
