protected void onCreate ( Bundle savedInstanceState ) {
    super.onCreate ( savedInstanceState );
    intent = getIntent();
    setContentView ( R.layout.activity_display_message );
    message = intent.getStringArrayExtra ( MainActivity.EXTRA_MESSAGE );
    newtext = ( TextView ) findViewById ( R.id.TextView1 );
    userName = message[0];
    serverIP = message[1];
    sendConnectionRequest ();
    mHandler = new Handler();
    mUpdate.start();
}
public Thread mUpdate = new Thread() {
    public void run() {
        try {
            while ( !thread.interrupted() ) {
                final String line = in.readLine();
                Log.i ( "RESPONSE FROM SERVER", "S: Received Message: '" + line + "'" );
                Runnable uiUpdate = new Runnable() {
                    public void run() {
                        newtext.setText ( line );
                    }
                };
                mHandler.post ( uiUpdate );
            }
        } catch ( IOException e ) {
            Log.e ( "Error" , "Something Happen" );
        }
    }
    public void interrupt() {
        try {
            super.interrupt();
            in.close();
        } catch ( IOException e ) {}
    }
};
