Map<String, String> entries = new HashMap<String, String>();
entries.put ( "firstContent", "1.txt" );
entries.put ( "secondContent", "2.txt" );
entries.put ( "thirdContent", "3.txt" );
FileOutputStream fos = null;
ZipOutputStream zos = null;
try {
    fos = new FileOutputStream ( "output.zip" );
    zos = new ZipOutputStream ( fos );
    for ( Map.Entry<String, String> mapEntry : entries.entrySet() ) {
        ZipEntry entry = new ZipEntry ( mapEntry.getValue() );
        entry.setMethod ( ZipEntry.DEFLATED );
        zos.putNextEntry ( entry );
        zos.write ( mapEntry.getKey().getBytes() );
    }
} catch ( FileNotFoundException e ) {
} catch ( IOException e ) {
} finally {
    if ( zos != null ) {
        zos.close();
    }
}
