public class Student {
    private int[] exams;
    private int midterm;
    private int finalExam;
    public Student ( int numberOfTests ) {
        this.exams = new int[numberOfTests];
    }
    public void setTest ( int whichTest, int grade ) {
        this.exams[whichTest] = grade;
    }
    public void setMidterm ( int grade ) {
        this.midterm = grade;
    }
    public void setFinal ( int grade ) {
        this.finalExam = grade;
    }
    public char getGrade() {
        int total = 0;
        for ( int currentGrade : this.exams ) {
            total += currentGrade;
        }
        total += this.midterm;
        total += this.finalExam;
        double average = total / ( this.exams.length + 2 );
        if ( average > 90 ) {
            return 'A';
        }
        if ( average > 80 ) {
            return 'B';
        }
        if ( average > 70 ) {
            return 'C';
        }
        if ( average > 60 ) {
            return 'D';
        }
        return 'F';
    }
}
