private TreeSet<Integer> up = new TreeSet<>();
private TreeSet<Integer> down = new TreeSet<>();
private int currentFloor = 0;
private Enum direction = direction.UP;
public void addFloor ( int f ) {
    if ( f < currentFloor ) {
        down.add ( f );
    } else if ( f > currentFloor ) {
        up.add ( f );
    }
}
public int nextFloor() {
    if ( direction == direction.DOWN ) {
        return down.pollLast();
    } else {
        return up.pollFirst();
    }
}
