public class EntryPointClass implements EntryPoint {
    public void onModuleLoad() {
        ApplicationScreen screen = new ApplicationScreen();
        HStack drawArea = new HStack();
        drawArea.setWidth100();
        drawArea.setHeight100();
        drawArea.addMember ( screen.getComponents() );
        drawArea.draw();
    }
}
public class ApplicationScreen {
    public Canvas getComponents() {
        ListGrid grid = getListGrid();
        DynamicForm form = getDynamicForm ( grid );
        VLayout layout = new VLayout();
        layout.addMember ( form );
        layout.addMember ( grid );
        return layout;
    }
    private DynamicForm getDynamicForm ( final ListGrid grid ) {
        final TextItem text1 = new TextItem ( "text1", "Text 1" );
        ButtonItem saveButton = new ButtonItem ( "Save" );
        saveButton.addClickHandler ( new ClickHandler() {
            public void onClick ( ClickEvent clickEvent ) {
            }
        } );
        DynamicForm form = new DynamicForm();
        form.setWidth100();
        form.setFields ( text1, saveButton );
        return form;
    }
    private ListGrid getListGrid() {
        ListGridField field1 = new ListGridField ( "field1", "Field 1" );
        ListGrid grid = new ListGrid();
        grid.setWidth100();
        grid.setFields ( field1 );
        return grid;
    }
}
