saveButton.setOnClickListener ( new View.OnClickListener() {
    public void onClick ( View view ) {
        if ( TextUtils.isEmpty ( mLastName.getText().toString() ) ||
                TextUtils.isEmpty ( mFirstName.getText().toString() ) ) {
            makeToast();
        } else {
            if ( getActivity().findViewById ( R.id.item_detail_container ) != null ) {
                FragmentManager fragmentManager = getFragmentManager();
                fragmentManager.popBackStackImmediate();
            } else {
                getActivity().finish();
            }
        }
    }
} );
deleteButton.setOnClickListener ( new View.OnClickListener() {
    public void onClick ( View view ) {
        getActivity().getContentResolver().delete ( contactUri, null, null );
        if ( getActivity().findViewById ( R.id.item_detail_container ) != null ) {
            FragmentManager fragmentManager = getFragmentManager();
            fragmentManager.popBackStackImmediate();
        } else {
            getActivity().finish();
        }
    }
} );
return aView;
