public static void main ( String[] args ) {
    Display display = new Display();
    final Shell shell = new Shell ( display );
    shell.setLayout ( new FillLayout ( SWT.VERTICAL ) );
    shell.setText ( "StackOverflow" );
    Monitor primary = display.getPrimaryMonitor();
    Rectangle area = primary.getClientArea();
    shell.pack();
    shell.setBounds ( area.x + area.width / 2, area.y, area.width / 2, area.height );
    shell.open();
    while ( !shell.isDisposed() ) {
        if ( !display.readAndDispatch() ) {
            display.sleep();
        }
    }
    display.dispose();
}
