public class Stationery extends PdfPageEventHelper {
    [...]
    public void createPdf ( String filename ) throws Exception {
        Document document = new Document ( PageSize.A4, 36, 36, 72, 36 );
        PdfWriter writer = PdfWriter.getInstance ( document, new FileOutputStream ( filename ) );
        useStationary ( writer );
        document.open();
        [... add content to PDF ...]
        document.close();
    }
    [...]
    public void useStationary ( PdfWriter writer ) throws IOException {
        writer.setPageEvent ( this );
        PdfReader reader = new PdfReader ( STATIONERY );
        page = writer.getImportedPage ( reader, 1 );
    }
    public void onEndPage ( PdfWriter writer, Document document ) {
        writer.getDirectContentUnder().addTemplate ( page, 0, 0 );
    }
    [...]
}
