public static class MyFileNameMap implements FileNameMap {
    private FileNameMap delegate = URLConnection.getFileNameMap();
    @Override
    public String getContentTypeFor ( String fileName ) {
        String contentType = delegate.getContentTypeFor ( fileName );
        if ( "application/octet-stream".equals ( contentType ) ) {
            return null;
        }
        return contentType;
    }
}
