import java.io.*;
import java.net.*;
import javax.swing.text.*;
import javax.swing.text.html.*;
import javax.swing.text.html.parser.*;
public class ParserCallbackModify extends HTMLEditorKit.ParserCallback {
    public void handleComment ( char[] data, int pos ) {
        System.out.print ( data );
    }
    public void handleEndOfLineString ( String eol ) {
        System.out.print ( eol );
    }
    public void handleEndTag ( HTML.Tag tag, int pos ) {
        System.out.print ( tag );
    }
    public void handleError ( String errorMsg, int pos ) {
    }
    public void handleMutableTag ( HTML.Tag tag, MutableAttributeSet a, int pos ) {
        System.out.print ( a );
    }
    public void handleSimpleTag ( HTML.Tag tag, MutableAttributeSet a, int pos ) {
        System.out.print ( a );
    }
    public void handleStartTag ( HTML.Tag tag, MutableAttributeSet a, int pos ) {
        System.out.print ( a );
    }
    public void handleText ( char[] data, int pos ) {
        System.out.print ( data );
    }
    public static void main ( String[] args )
    throws IOException {
        ParserCallbackModify parser = new ParserCallbackModify();
        Reader reader = new FileReader ( args[0] );
        try {
            new ParserDelegator().parse ( reader, parser, true );
        } catch ( IOException e ) {
            System.out.println ( e );
        }
    }
}
