public void addFish ( Fish f ) {
    if ( landscape[ f.getRow() ][ f.getCol() ] == ROCK ) {
        throw new IllegalFishPositionException (
            IllegalFishPositionException.FISH_OVER_ROCK );
    }
    for ( Fish f1 : this.fish ) {
        if ( f1 == f ) {
            return;
        } else if ( ( f1.getRow() == f.getRow() &&
                      f1.getCol() == f.getCol() ) ) {
            throw new IllegalFishPositionException (
                IllegalFishPositionException.TWO_FISH_IN_ONE_PLACE );
        }
    }
    fish.add ( f );
}
