final ContentValues event = new ContentValues();
event.put ( "calendar_id", 1 );
event.put ( "title", title );
event.put ( "description", description );
event.put ( "eventLocation", location );
event.put ( "dtstart", startTimeMillis );
event.put ( "dtend", endTimeMillis );
event.put ( "allDay", 0 );
event.put ( "hasAlarm", 1 );
String timeZone = TimeZone.getDefault().getID();
event.put ( "eventTimezone", timeZone );
Uri baseUri;
if ( Build.VERSION.SDK_INT >= 8 ) {
    baseUri = Uri.parse ( "content://com.android.calendar/events" );
} else {
    baseUri = Uri.parse ( "content://calendar/events" );
}
context.getContentResolver().insert ( baseUri, event );
