public class MyClass {
    private final CopyOnWriteArrayList<MyChangeListener> listeners;
    public class MyClass() {
        this.listeners = new CopyOnWriteArrayList<MyChangeListener>();
    }
    public void addMyChangeListener ( MyChangeListener l ) {
        this.listeners.add ( l );
    }
    public void removeMyChangeListener ( MyChangeListener l ) {
        this.listeners.remove ( l );
    }
    protected void fireChangeEvent() {
        MyChangeEvent evt = new MyChangeEvent ( this );
        for ( MyChangeListener l : listeners ) {
            l.changeEventReceived ( evt );
        }
    }
}
