boolean includePropertyDefintions = true;
for ( t in session.getTypeDescendants (
            null,
            -1,
            includePropertyDefintions
        ) ) {
    printTypes ( t, "" );
}
static void printTypes ( Tree tree, String tab ) {
    ObjectType objType = tree.getItem();
    println ( tab + "TYPE:" + objType.getDisplayName() +
              " (" + objType.getDescription() + ")" );
    print ( tab + " Id:" + objType.getId() );
    print ( " Fileable:" + objType.isFileable() );
    print ( " Queryable:" + objType.isQueryable() );
    if ( objType instanceof DocumentType ) {
        print ( " [DOC Attrs->] Versionable:" +
                ( ( DocumentType ) objType ).isVersionable() );
        print ( " Content:" +
                ( ( DocumentType ) objType ).getContentStreamAllowed() );
    }
    println ( "" );
    for ( t in tree.getChildren() ) {
        printTypes ( t, tab + " " );
    }
}
