@Test
public class UserAuthenticationTest {
    UserAuthentication userAuthentication = new UserAuthentication();
    AuthenticationWebService mockedAuthenticationWebService = mock ( AuthenticationWebService.class )
            String username = "aUsername" , password = "aPassword";
    when ( mockedAuthenticationWebService.authenticate ( username, password ).thenReturn ( true );
           userAuthentication.set ( mockedAuthenticationWebService );
           boolean yourStubbedReturnValue = userAuthentication.authenticate ( username, password );
           verify ( mockedAuthenticationWebService ).authenticateUser ( username, password );
           assertThat ( yourStubbedReturnValue, is ( true ) );
}
