public static double choose ( int x, int y ) {
    if ( y < 0 || y > x ) {
        return 0;
    }
    if ( y > x / 2 ) {
        y = x - y;
    }
    double denominator = 1.0, numerator = 1.0;
    for ( int i = 1; i <= y; i++ ) {
        denominator *= i;
        numerator *= ( x + 1 - i );
    }
    return numerator / denominator;
}
