private void buttonActionPerformed ( java.awt.event.ActionEvent evt ) {
    StyledDocument doc = textPane.getStyledDocument();
    int start = textPane.getSelectionStart();
    int end = textPane.getSelectionEnd();
    if ( start == end ) {
        return;
    }
    if ( start > end ) {
        int life = start;
        start = end;
        end = life;
    }
    Style style = textPane.addStyle ( "MyHilite", null );
    StyleConstants.setForeground ( style, Color.GREEN.darker() );
    doc.setCharacterAttributes ( start, end - start, style, false );
}
