@Rule public TestName name = new TestName();
@Before
public void testNonFailedOnly() {
    Assume.assumeTrue ( !failedTests.contains ( name.getMethodName() ) );
}
private static List<String> failedTests = new ArrayList<String> ( 256 );
@Rule
public TestWatcher watchman = new TestWatcher() {
    @Override
    protected void failed ( Throwable e, Description description ) {
        super.failed ( e, description );
        failedTests.add ( description.getMethodName() );
    }
};
