try {
    OutputStream servletOutputStream = httpServletResponse.getOutputStream();
    ZipOutputStream zos = new ZipOutputStream ( servletOutputStream );
    List<String[]> csvFileContents  = getContentToZIP();
    int count = 0;
    for ( String[] entries : csvFileContents ) {
        String filename = "file-" + ++count  + ".csv";
        ZipEntry entry = new ZipEntry ( filename );
        zos.putNextEntry ( entry );
        CSVWriter writer = new CSVWriter ( new OutputStreamWriter ( zos ) );
        writer.writeNext ( entries );
        writer.flush();
        zos.closeEntry();
    }
    zos.close();
} catch ( Exception e ) {
    log.error ( e );
}
