class CustomListAdapter extends BaseAdapter {
    Context mContext;
    List<String> mList;
    public CustomListAdapter ( Context context, List<String> list ) {
        mList = list;
        mContext = context;
    }
    @Override
    public int getCount() {
        return mList.size();
    }
    @Override
    public String getItem ( int position ) {
        return mList.get ( position );
    }
    @Override
    public long getItemId ( int position ) {
        return 0;
    }
    @Override
    public View getView ( int position, View convertView, ViewGroup parent ) {
        final View view = View.inflate ( mContext, R.layout.item_list, null );
        final TextView noteTitle = ( TextView ) view.findViewById ( R.id.note_title );
        noteTitle.setText ( mList.getItem ( position ) );
        return view;
    }
}
}
