import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Rectangle;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
public class ButtonTest extends Shell {
    public static void main ( String args[] ) {
        try {
            Display display = Display.getDefault();
            ButtonTest shell = new ButtonTest ( display );
            shell.open();
            shell.layout();
            Rectangle bounds = shell.getBounds();
            int numOfRows = 5;
            int numOfColumns = 3;
            int buttonWidth = bounds.width / numOfRows;
            int buttonHeight = bounds.height / numOfColumns;
            Button button;
            int x = 0;
            int y = 0;
            for ( int i = 0; i < numOfColumns; i++ ) {
                for ( int j = 0; j < numOfRows; j++ ) {
                    button = new Button ( shell, SWT.NONE );
                    button.setBounds ( x, y, buttonWidth, buttonHeight );
                    x += buttonWidth;
                }
                x = 0;
                y += buttonHeight;
            }
            while ( !shell.isDisposed() ) {
                if ( !display.readAndDispatch() ) {
                    display.sleep();
                }
            }
        } catch ( Exception e ) {
            e.printStackTrace();
        }
    }
    public ButtonTest ( Display display ) {
        super ( display, SWT.SHELL_TRIM );
        createContents();
    }
    protected void createContents() {
        setText ( "SWT Application" );
        setSize ( 800, 800 );
    }
    @Override
    protected void checkSubclass() {
    }
