public class CountingFilter implements Filter {
    public void doFilter ( ... ) {
        chain.doFilter ( request, new SizeCountingHttpServletResponse ( response ) );
    }
    public static class SizeCountingHttpServletResponse extends HttpServletResponseWrapper {
        ....
        @Override
        public OutputStream getOutputStream() {
            return new CountingOutputStream ( super.getOutputStream() );
        }
    }
    public static class CountingOuputStream extends OutputStream {
        private int size;
    }
}
