import javax.sound.sampled.*;
import javax.sound.*;
import java.io.*;
public class Playme {
    Playme ( String filename ) {
        int total, totalToRead, numBytesRead, numBytesToRead;
        byte[] buffer;
        boolean         stopped;
        AudioFormat     wav;
        TargetDataLine  line;
        SourceDataLine  lineIn;
        DataLine.Info   info;
        File            file;
        FileInputStream fis;
        wav = new AudioFormat ( 44100, 16, 2, true, false );
        info = new DataLine.Info ( SourceDataLine.class, wav );
        buffer = new byte[1024 * 333];
        numBytesToRead = 1024 * 333;
        total = 0;
        stopped = false;
        if ( !AudioSystem.isLineSupported ( info ) ) {
            System.out.print ( "no support for " + wav.toString() );
        }
        try {
            lineIn = ( SourceDataLine ) AudioSystem.getLine ( info );
            lineIn.open ( wav );
            lineIn.start();
            fis = new FileInputStream ( file = new File ( filename ) );
            totalToRead = fis.available();
            while ( total < totalToRead && !stopped ) {
                numBytesRead = fis.read ( buffer, 0, numBytesToRead );
                if ( numBytesRead == -1 ) {
                    break;
                }
                total += numBytesRead;
                lineIn.write ( buffer, 0, numBytesRead );
            }
        } catch ( LineUnavailableException ex ) {
            ex.printStackTrace();
        } catch ( FileNotFoundException nofile ) {
            nofile.printStackTrace();
        } catch ( IOException io ) {
            io.printStackTrace();
        }
    }
    public static void main ( String[] argv ) {
    }
}
