public interface ItemWrapper {
    int calculateSomething();
}
public abstract class IntWrapper implements ItemWrapper {
    private int value;
    public IntWrapper ( int v ) {
        value = v;
    }
    public abstract int calculateSomething() {
        return value;
    }
}
public abstract class DblListWrapper implements  ItemWrapper {
    private List<Double> list;
    public DblListWrapper ( List<Double> lst ) {
        list = lst
    }
    public abstract int calculateSomething() {
        int res;
        for ( Double d : list ) {
            res += d;
        }
        return res;
    }
}
....
