private static int lineNr = 0;
public static void main ( String[] args ) {
    Display display = new Display();
    Shell shell = new Shell ( display );
    shell.setLayout ( new GridLayout ( 1, false ) );
    final StyledText text = new StyledText ( shell, SWT.BORDER );
    text.setLayoutData ( new GridData ( SWT.FILL, SWT.FILL, true, true ) );
    Button button = new Button ( shell, SWT.PUSH );
    button.setText ( "Add new line" );
    button.setLayoutData ( new GridData ( SWT.FILL, SWT.FILL, true, true ) );
    button.addListener ( SWT.Selection, new Listener() {
        @Override
        public void handleEvent ( Event arg0 ) {
            int start = text.getText().length();
            String newText = "Line: " + lineNr++ + "\n";
            text.append ( newText );
            int end = start + newText.length();
            text.setSelection ( start, end );
        }
    } );
    shell.pack();
    shell.setSize ( 600, 400 );
    shell.open();
    while ( !shell.isDisposed() ) {
        if ( !display.readAndDispatch() ) {
            display.sleep();
        }
    }
    display.dispose();
}
