public static void main ( String args[] ) {
    try {
        DOMParser parser = new DOMParser();
        String UrlToParse = "puttheurl.com";
        parser.parse ( UrlToParse );
        Document doc = parser.getDocument();
        NodeList ProgramGuideRoot = doc.getChildNodes();
        Node PGR = getNode ( "ProgramGuideWCSResponse", ProgramGuideRoot );
        Node PG = getNode ( "programGuide", PGR.getChildNodes() );
        Node Programs = getNode ( "programs", PG.getChildNodes() );
        Node IndivdualProgram = getNode ( "program", Programs.getChildNodes() );
        NodeList nodes = IndivdualProgram.getChildNodes();
        String showTitleAttr = getNodeValue ( "programTitle", nodes );
        System.out.println ( "Program title is: " + showTitleAttr );
    } catch ( Exception e ) {
        e.printStackTrace();
    }
}
