public class QueryStringPropagateRedirectStrategy extends DefaultRedirectStrategy {
    public void sendRedirect ( HttpServletRequest request,
                               HttpServletResponse response, String url ) throws IOException {
        String urlWithOriginalQueryString = url + "?" + request.getQueryString();
        super.sendRedirect ( request, response, urlWithOriginalQueryString );
    }
}
< sec: form - login login - page = "/login" default-target-url="/start" authentication-failure-handler-ref="authenticationFailureHandler" />
                                       <bean id = "authenticationFailureHandler" class = "org.springframework.security.web.authentication.SimpleUrlAuthenticationFailureHandler">
                                                   < property name = "redirectStrategy" ref = "queryStringPropagateRedirectStrategy" / >
                                                           < property name = "defaultFailureUrl" value = "/login" / >
                                                                   < / bean >
                                                                   < bean id = "queryStringPropagateRedirectStrategy" class = "...QueryStringPropagateRedirectStrategy" / >
