LocalDate date = null;
int cont = 0;
while ( ( line = getNextLine() ) != null ) {
    String dateAsString = line.split ( delims ) [0];
    LocalDate founddate = dtf.parseLocalDate ( dateAsString );
    if ( date == null ) {
        date = founddate;
        continue;
    }
    if ( founddate.before ( date ) ) {
        throw new RuntimeException ( "date not sorted?" );
    }
    if ( founddate.equals ( date ) ) {
        continue;
    }
    cont += Days.daysBetween ( date, founddate ) - 1;
    date = founddate;
}
