public void bogosort ( Queue<Integer> sequence, Random r ) {
    while ( !isSorted ( sequence ) ) {
        permute ( sequence, r );
    }
}
private void isSorted ( Queue<Integer> sequence ) {
    int last = Integer.MIN_VALUE;
    for ( int i = 0; i < sequence.size(); i++ ) {
        int curr = sequence.remove();
        sequence.add ( curr );
        if ( curr < last ) {
            return false;
        }
    }
    return true;
}
private void permute ( Queue<Integer> sequence, Random r ) {
    Queue<Integer> result = new LinkedList<Integer>();
    while ( !sequence.isEmpty() ) {
        int index = r.nextInt ( sequence.size() );
        for ( int i = 0; i < index; i++ ) {
            sequence.add ( sequence.remove() );
        }
        result.add ( sequence.remove() );
    }
    while ( !result.isEmpty() ) {
        sequence.add ( result.remove() );
    }
}
