public class AggregatingCSVValidator implements CSVValidator {
    CSVValidator[] validators;
    public boolean validate ( CSVFile file ) {
        for ( CSVValidator validator : validators )
            if ( !validator.validate ( file ) ) {
                return false;
            }
        return true;
    }
}
