public class PropertyMapGenerator {
    public static Map<String, Object> getPropertyMap ( Object object ) {
        HashMap<String, Object> propertyMap = new HashMap<>();
        PropertyDescriptor[] descriptors = PropertyUtils.getPropertyDescriptors ( object );
        for ( PropertyDescriptor descriptor : descriptors ) {
            if ( descriptor.getReadMethod() != null ) {
                String name = descriptor.getName();
                try {
                    propertyMap.put ( name, PropertyUtils.getProperty ( object, name ) );
                } catch ( Exception e ) {
                    e.printStackTrace();
                }
            }
        }
        return propertyMap;
    }
}
