private int writeAttribute ( final String attributeName ) {
    dout.putShort ( utfConstant ( attributeName ) );
    dout.putInt ( 0 );
    return dout.position();
}
private void endAttribute ( final int attributeStart ) {
    dout.putInt ( attributeStart - 4, dout.position() - attributeStart );
}
private void writeCode() {
    final int codeAttributeStart = writeAttribute ( "Code" );
    dout.writeShort ( 1 );
    dout.writeShort ( 0 );
    dout.writeInt ( 2 );
    dout.writeByte ( 0x05 );
    dout.writeByte ( 0xAC );
    dout.writeShort ( 0 );
    dout.writeShort ( 0 );
    endAttribute ( codeAttributeStart );
}
