package test;
import java.util.ArrayList;
import java.util.List;
import java.util.regex.Pattern;
public class Main {
    private static final Pattern PATTERN = Pattern.compile ( "^((1[234579])|42)" );
    private static final Pattern NON_WORKING_PATTERN = Pattern.compile ( "^[12|13|14|15|17|19|42]" );
    private static final String STARTS_WITH_1_234 = "8472952424";
    private static final String STARTS_WITH_ANYTHING_ELSE = "847295XXXX";
    public static void main ( String[] args ) {
        System.out.println ( NON_WORKING_PATTERN.matcher ( "33333" ).find() );
        int[] testIntegers = new int[] {1200, 1300, 1400, 1500, 1700, 1900, 4200, 0000};
        List<String> results = new ArrayList<String>();
        for ( int test : testIntegers ) {
            if ( PATTERN.matcher ( String.valueOf ( test ) ).find() ) {
                results.add ( STARTS_WITH_1_234 );
            } else {
                results.add ( STARTS_WITH_ANYTHING_ELSE );
            }
        }
        System.out.println ( results );
    }
}
