@Override
public Runnable take() throws InterruptedException {
    int c = 0;
    ThreadLocalRandom rand = ThreadLocalRandom.current();
    while ( true ) {
        Runnable r = internalQueue.poll();
        if ( r != null ) {
            return r;
        }
        while ( c < 128 ) {
            r = externalQueue.poll();
            if ( r != null ) {
                return r;
            }
            if ( rand.nextInt ( 32 ) == 0 ) {
                Thread.yield();
            }
            c++;
        }
        r = externalQueue.poll ( 10000, TimeUnit.NANOSECONDS );
        if ( r != null ) {
            return r;
        }
    }
}
