public class PathJsonDeserializer extends JsonDeserializer<String> {
    @Override
    public String deserialize ( JsonParser parser, DeserializationContext context )
    throws IOException, JsonProcessingException {
        JsonToken token = parser.getCurrentToken();
        if ( token.equals ( JsonToken.START_OBJECT ) ) {
            Path path = parser.readValueAs ( Path.class );
            return path.$relative;
        } else {
            return parser.getText();
        }
    }
}
