private static int ModRTU_CRC ( byte[] buf, int len ) {
    int crc = 0xFFFF;
    for ( int pos = 0; pos < len; pos++ ) {
        crc ^= ( int ) buf[pos];
        for ( int i = 8; i != 0; i-- ) {
            if ( ( crc & 0x0001 ) != 0 ) {
                crc >>= 1;
                crc ^= 0xA001;
            } else {
                crc >>= 1;
            }
        }
    }
    return crc;
}
