#include <iostream>
#include <vector>
#include <algorithm>
#include <iterator>
#include <numeric>
#include <functional>
int main() {
    std::vector<double> data {
        1.91, 2.87, 3.61, 10.91, 11.91, 12.82, 100.73, 100.71, 101.89, 200
    };
    std::sort ( data.begin(), data.end() );
    std::vector<double> diffs;
    std::adjacent_difference ( data.begin(), data.end(), std::back_inserter ( diffs ) );
    std::transform ( diffs.begin(), diffs.end(), data.begin(), diffs.begin(),
                     std::divides<double>() );
    for ( int i = 0; i < data.size(); i++ ) {
        if ( diffs[i] > 0.4 ) {
            std::cout << "\n";
        }
        std::cout << data[i] << "\t";
    }
    return 0;
}
