public List<GameWindow> getWindowsForTime ( final long time ) {
    final SortedMap<Long, List<GameWindow>> validStartTimes
        = startTimes.headMap ( time );
    final SortedMap<Long, List<GameWindow>> validEndTimes
        = endTimes.tailMap ( time );
    final Set<GameWindow> startSet = new HashSet<>();
    final Set<GameWindow> endSet = new HashSet<>();
    for ( final List<GameWindow> list : startTimes.headMap ( time ).values() ) {
        startSet.addAll ( list );
    }
    for ( final List<GameWindow> list : endTimes.tailMap ( time ).values() ) {
        endSet.addAll ( list );
    }
    startSet.retainAll ( endSet );
    return new ArrayList<> ( startSet );
}
