public static void main ( String[] args ) {
    String start = "02071231234";
    String end = "02071231237";
    String leadingZeros = "";
    List<String> numbersFromStartToEnd = new ArrayList<String>();
    for ( char digit : start.toCharArray() ) {
        if ( digit != '0' ) {
            break;
        }
        leadingZeros += "0";
    }
    BigInteger s = new BigInteger ( start );
    BigInteger e = new BigInteger ( end );
    BigInteger one = new BigInteger ( "1" );
    while ( s.compareTo ( e ) <= 0 ) {
        numbersFromStartToEnd.add ( leadingZeros + s.toString() );
        s = s.add ( one );
    }
    for ( String string : numbersFromStartToEnd ) {
        System.out.println ( string );
    }
}
