private static class IfStmtVisitor extends VoidVisitorAdapter<Void> {
    int i = 0;
    @Override
    public void visit ( IfStmt n, Void arg ) {
        cyclomaticCount ( n );
    }
    private void cyclomaticCount ( IfStmt n ) {
        i++;
        Statement elseStmt = n.getElseStmt();
        if ( elseStmt != null ) {
            if ( IfStmt.class.isAssignableFrom ( elseStmt.getClass() ) ) {
                cyclomaticCount ( ( IfStmt ) elseStmt );
            } else {
                i++;
            }
        }
    }
    public int getNumber() {
        return i;
    }
}
