public class HTableManager {
    public static int HTABLE_POOL_SIZE = 15;
    private static HTableManager instance;
    private static HTablePool hTablePool;
    private HTableManager() {
        try {
            Configuration config = HBaseConfiguration.create();
            config.set ( "hbase.defaults.for.version.skip", "false" );
            hTablePool = new HTablePool ( config, HTABLE_POOL_SIZE );
        } catch ( IOException ex ) {
        }
    }
    public static HTableManager getInstance() {
        if ( instance == null ) {
            instance = new HTableManager();
        }
        return instance;
    }
    public synchronized HTableInterface getHTable ( String tableName ) throws IOException {
        return hTablePool.getTable ( tableName );
    }
}
