interface GameObjectFactory {
    GameObject create();
}
private static final Map<Integer, GameObjectFactory> FACTORIES_BY_ID;
static {
    final Map<Integer, GameObjectFactory> factoriesById = new HashMap<>();
    factoriesById.put ( 42, new GameObjectFactory() {
        @Override
        public GameObject create() {
            return new Wall();
        }
    } );
    FACTORIES_BY_ID = factoriesById;
}
