LocationManager LM = ( LocationManager ) getSystemService ( LOCATION_SERVICE );
LM.requestLocationUpdates ( LocationManager.GPS_PROVIDER, 1, 1f, myContext );
boolean isGPS = LM
                .isProviderEnabled ( LocationManager.GPS_PROVIDER );
if ( isGPS == false ) {
    AlertDialog.Builder adb = new AlertDialog.Builder ( myContext );
    adb.setTitle ( "Enable GPS?" );
    adb.setMessage ( "Enable GPS to get full function from the app." );
    adb.setCancelable ( false );
    adb.setPositiveButton ( "Yes", new DialogInterface.OnClickListener() {
        public void onClick ( DialogInterface dialog, int id ) {
            startActivityForResult (
                new Intent (
                    android.provider.Settings.ACTION_LOCATION_SOURCE_SETTINGS ),
                0 );
        }
    } );
    adb.setNegativeButton ( "No", new DialogInterface.OnClickListener() {
        public void onClick ( DialogInterface dialog, int id ) {
            dialog.cancel();
        }
    } );
    AlertDialog alertDialog = adb.create();
    alertDialog.show();
} else {
    status.setText ( "GPS Status: Enabled" );
}
