protected void installCustomPasswordFieldState() {
    State<JPasswordField> state = new State<JPasswordField> ( "Invalid" ) {
        @Override
        protected boolean isInState ( JPasswordField c ) {
            Object invalid = c.getClientProperty ( "Invalid" );
            return Boolean.TRUE.equals ( invalid );
        }
    };
    UIDefaults defaults = UIManager.getLookAndFeelDefaults();
    defaults.put ( "PasswordField.States", "Enabled, Focused, Invalid" );
    defaults.put ( "PasswordField.Invalid", state );
    defaults.put ( "PasswordField[Invalid].background",
                   Color.RED );
    javax.swing.Painter<JComponent> p = new javax.swing.Painter<JComponent>() {
        @Override
        public void paint ( Graphics2D g, JComponent object, int width, int height ) {
            g.setColor ( Color.RED );
            g.fillRect ( 0, 0, width, height );
        }
    };
    defaults.put ( "PasswordField[Invalid].backgroundPainter", p );
}
Action reset = new AbstractAction ( "reset" ) {
    @Override
    public void actionPerformed ( ActionEvent e ) {
        boolean isInvalid = Boolean.TRUE.equals ( field.getClientProperty ( "Invalid" ) );
        if ( isInvalid ) {
            field.putClientProperty ( "Invalid", null );
        } else {
            field.putClientProperty ( "Invalid", Boolean.TRUE );
        }
        field.repaint();
    }
};
