package p1;
import java.awt.Rectangle;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
public class InputKey extends KeyAdapter {
    @Override
    public void keyPressed ( KeyEvent e ) {
        int keys = e.getKeyCode();
        Block block = EventRect.getFallingBlock();
        if ( block == null ) {
            return;
        }
        Rectangle rect = block.getBounds();
        if ( keys == KeyEvent.VK_RIGHT ) {
            if ( rect.x < 160 ) {
                int level = block.getLevel();
                int column = block.getColumn();
                if ( BlockManager.getInstance().getColumns() [column + 1].getBlocks().size() > level ) {
                    return;
                }
                rect.x += 20;
                block.setColumn ( rect.x / 20 );
            }
        } else if ( keys == KeyEvent.VK_LEFT ) {
            if ( rect.x > 0 ) {
                int level = block.getLevel();
                int column = block.getColumn();
                if ( BlockManager.getInstance().getColumns() [column + 1].getBlocks().size() > level ) {
                    return;
                }
                rect.x -= 20;
                block.setColumn ( rect.x / 20 );
            }
        }
    }
}
