float acceleration = 15;
private void accelerateX ( float speed ) {
    moveSpeed += ( float ) ( speed * 0.0096 );
    if ( moveSpeed >= MAX_MOVE_SPEED ) {
        moveSpeed = MAX_MOVE_SPEED;
    } else if ( moveSpeed <= -MAX_MOVE_SPEED ) {
        moveSpeed = - MAX_MOVE_SPEED;
    }
}
public void moveRight() {
    printPos ( "Moving Right!" );
    accelerateX ( acceleration );
}
public void moveLeft() {
    printPos ( "Moving Left!" );
    accelerateX ( -acceleration );
}
public void update() {
    float minMoveSpeed = 1;
    if ( this.moveSpeed < minMoveSpeed && this.moveSpeed > -minMoveSpeed ) {
        this.moveSpeed = 0;
    } else {
        float dampening = 1f;
        double sign = - ( int ) Math.signum ( moveSpeed );
        float dampeningValue = dampening * sign;
        this.moveSpeed += dampeningValue;
    }
    xPos += this.moveSpeed;
}
