public void close() {
    boolean loadFromClasspath = true;
    String fileName = "...";
    BufferedReader reader = null;
    try {
        if ( loadFromClasspath ) {
            InputStream in = getClass().getClassLoader().getResourceAsStream ( "absolute/path/to/file/inside/jar/lol.txt" );
            reader = new BufferedReader ( new InputStreamReader ( in ) );
        } else {
            reader = new BufferedReader ( new FileReader ( new File ( fileName ) ) );
        }
        String line = null;
        while ( ( line = reader.readLine() ) != null ) {
            System.out.println ( "Line read: " + line );
        }
    } catch ( IOException e ) {
        JOptionPane.showMessageDialog ( null, e.getMessage() + " for lol.txt", "File Error", JOptionPane.ERROR_MESSAGE );
    } finally {
        if ( reader != null ) {
            reader.close();
        }
    }
}
