import java.awt.Component;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JSplitPane;
import javax.swing.JTextPane;
import javax.swing.JTree;
import javax.swing.KeyStroke;
import javax.swing.tree.DefaultTreeCellEditor;
import javax.swing.tree.DefaultTreeCellRenderer;
import javax.swing.tree.TreeCellRenderer;
public class StackExchangeQuestion3AnsA {
    public static void main ( String[] args ) {
        new StackExchangeQuestion3AnsA();
    }
    StackExchangeQuestion3AnsA() {
        JFrame window;
        window = new JFrame();
        window.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        window.setTitle ( "Stack Exchange Answer" );
        window.setSize ( 400, 500 );
        window.setVisible ( true );
        JSplitPane split = new JSplitPane();
        window.setContentPane ( split );
        JScrollPane left = new JScrollPane();
        JScrollPane right = new JScrollPane();
        JTree tree;
        tree = new JTree();
        tree.setEditable ( true );
        tree.getInputMap().put ( KeyStroke.getKeyStroke ( "SPACE" ), "startEditing" );
        tree.setInvokesStopCellEditing ( true );
        JTextPane text = new JTextPane();
        split.setLeftComponent ( left );
        split.setRightComponent ( right );
        left.setViewportView ( tree );
        right.setViewportView ( text );
        split.setDividerLocation ( 200 );
        tree.setCellEditor ( new MyTreeCellEditor ( tree, tree.getCellRenderer() ) );
    }
    private class MyTreeCellEditor extends DefaultTreeCellEditor {
        public MyTreeCellEditor ( JTree tree, TreeCellRenderer renderer ) {
            super ( tree, ( DefaultTreeCellRenderer ) renderer );
        }
        @Override
        public Component getTreeCellEditorComponent ( final JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row ) {
            Component container = super.getTreeCellEditorComponent ( tree, value, isSelected, expanded, leaf, row );
            editingComponent.addFocusListener ( new FocusListener() {
                @Override  public void focusGained ( FocusEvent e ) { }
                @Override  public void focusLost ( FocusEvent e ) {
                    tree.stopEditing();
                }
            } );
            return container;
        }
    }
}
