g.drawLine ( x1, y1, x2, y2 );
int centerX = x1 + ( ( x2 - x1 ) / 2 );
int centerY = y1 + ( ( y2 - y1 ) / 2 );
double deg = Math.toDegrees ( Math.atan2 ( centerY - y2, centerX - x2 ) + Math.PI );
if ( ( deg > 90 ) && ( deg < 270 ) ) {
    deg += 180;
}
double angle = Math.toRadians ( deg );
String text = "My text";
Font f = new Font ( "default", Font.BOLD, 12 );
FontMetrics fm = g.getFontMetrics ( f );
int sw =  fm.stringWidth ( text );
g.setFont ( f );
g.rotate ( angle, centerX, centerY );
g.drawString ( text, centerX - ( sw / 2 ), centerY - 10 );
g.rotate ( -angle, centerX, centerY );
