@Override
public void paint ( Graphics originalGraphics ) {
    GraphicsEnvironment e = GraphicsEnvironment.getLocalGraphicsEnvironment();
    GraphicsConfiguration c = e.getDefaultScreenDevice().getDefaultConfiguration();
    BufferedImage image = c.createCompatibleImage ( getWidth(), getHeight() );
    Graphics2D reusableGraphics = image.createGraphics();
    super.paint ( reusableGraphics );
    originalGraphics.drawImage ( image, 0, 0, null );
    otherComponent.setMirrorImage ( image );
}
