@Override
protected void onCreate ( Bundle savedInstanceState ) {
    super.onCreate ( savedInstanceState );
    if ( !isCameraAvailable() ) {
        cancelRequest();
        return;
    }
    requestWindowFeature ( Window.FEATURE_NO_TITLE );
    getWindow().addFlags ( WindowManager.LayoutParams.FLAG_FULLSCREEN );
    setContentView ( R.layout.main );
    mAutoFocusHandler = new Handler();
    setupScanner();
    mPreview = new CameraPreview ( this, this, autoFocusCB );
    LinearLayout zbarLayout = ( LinearLayout ) findViewById ( R.id.zbar_layout_area );
    mPreview.setLayoutParams ( new LinearLayout.LayoutParams ( LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT ) );
    zbarLayout.addView ( mPreview );
}
