private static JMenuItem editPaste;
private static Clipboard clipboard = Toolkit.getDefaultToolkit().getSystemClipboard();
clipboard.addFlavorListener ( new ListenerPaste() );
editPaste = new JMenuItem ( new DefaultEditorKit.PasteAction() );
editPaste.setEnabled ( false );
private static class ListenerPaste implements FlavorListener {
    public void flavorsChanged ( FlavorEvent e ) {
        checkPaste();
    }
}
private static void checkPaste() {
    try {
        if ( clipboard.getData ( DataFlavor.stringFlavor ) != null ) {
            editPaste.setEnabled ( true );
        }
    } catch ( UnsupportedFlavorException e1 ) {
        e1.printStackTrace();
    } catch ( IOException e1 ) {
        e1.printStackTrace();
    }
}
checkPaste();
