private File getExistsFolder ( Drive service, String title, String parentId ) throws IOException {
    Drive.Files.List request;
    request = service.files().list();
    String query = "mimeType='application/vnd.google-apps.folder' AND trashed=false AND title='" + title + "' AND '" + parentId + "' in parents";
    Logger.info ( TAG + ": isFolderExists(): Query= " + query );
    request = request.setQ ( query );
    FileList files = request.execute();
    Logger.info ( TAG + ": isFolderExists(): List Size =" + files.getItems().size() );
    if ( files.getItems().size() == 0 ) {
        return null;
    } else {
        return files.getItems().get ( 0 );
    }
}
