private void initStuff () {
    calculateButton.addActionListener ( new ButtonActionEvent() );
    clearButton.addActionListener ( new ButtonActionEvent() );
    fahrFld.addKeyListener ( new MyKeyAdapter() );
    celsFld.addKeyListener ( new MyKeyAdapter() );
    kelvFld.addKeyListener ( new MyKeyAdapter() );
}
private JTextField lastModified;
private class MyKeyAdapter extends KeyAdapter {
    @Override
    public void keyTyped ( KeyEvent e ) {
        lastModified = ( JTextField ) e.getSource();
    }
}
private class ButtonActionEvent implements ActionListener {
    public void actionPerformed ( ActionEvent event ) {
        double A_ZERO_F =  -459.67;
        double A_ZERO_C = -273.15;
        double A_ZERO_K = 0.0;
        if ( lastModified == fahrFld ) {
            double input = Double.parseDouble ( fahrFld.getText() );
            double kelvVal = ( ( input - 32.0 ) / 1.8 ) + 273.15;
            kelvFld.setText ( "" + kelvVal );
            double celsVal = ( 5.0 / 9.0 ) * ( input - 32.0 );
            celsFld.setText ( "" + celsVal );
        } else if ( lastModified == celsFld ) {
            double input = Double.parseDouble ( celsFld.getText() );
            double fahrVal = ( ( 9.0 / 5.0 ) * input ) + 32.0;
            fahrFld.setText ( "" + fahrVal );
            double kelvVal = input + 273.15;
            kelvFld.setText ( "" + kelvVal );
        } else if ( lastModified == kelvFld ) {
            double input = Double.parseDouble ( kelvFld.getText() );
            double fahrVal = ( ( input - 273 ) * 1.8 ) + 32.0;
            fahrFld.setText ( "" + fahrVal );
            double celsVal = input - 273.15;
            celsFld.setText ( Double.toString ( celsVal ) );
        } else {
            return;
        }
        if ( event.getSource() == clearButton ) {
            celsFld.setText ( "" );
            kelvFld.setText ( "" );
            fahrFld.setText ( "" );
        }
    }
}
