File xmlfile = new File ( xmlFile );
File xsltfile = new File ( xslFile );
File pdffile = new File ( outDir, outputPDF );
final FopFactory fopFactory = FopFactory.newInstance ( new File ( "." ).toURI() );
FOUserAgent foUserAgent = fopFactory.newFOUserAgent();
OutputStream out = new java.io.FileOutputStream ( pdffile );
out = new java.io.BufferedOutputStream ( out );
try {
    Fop fop = fopFactory.newFop ( MimeConstants.MIME_PDF, foUserAgent, out );
    TransformerFactory factory = TransformerFactory.newInstance();
    Transformer transformer = factory.newTransformer ( new StreamSource ( xsltfile ) );
    transformer.setParameter ( "versionParam", "2.0" );
    Source src = new StreamSource ( xmlfile );
    Result res = new SAXResult ( fop.getDefaultHandler() );
    transformer.transform ( src, res );
} finally {
    out.close();
}
