GridLayout grid = new GridLayout ( 3, 2 );
grid.setWidth ( "600px" );
grid.setHeight ( "200px" );
String labels [] = {
    "Shrinking column<br/>Shrinking row",
    "Expanding column (1:)<br/>Shrinking row",
    "Expanding column (5:)<br/>Shrinking row",
    "Shrinking column<br/>Expanding row",
    "Expanding column (1:)<br/>Expanding row",
    "Expanding column (5:)<br/>Expanding row"
};
for ( int i = 0; i < labels.length; i++ ) {
    Label label = new Label ( labels[i], Label.CONTENT_XHTML );
    label.setWidth ( null );
    grid.addComponent ( label );
}
grid.setColumnExpandRatio ( 1, 1 );
grid.setColumnExpandRatio ( 2, 5 );
grid.setRowExpandRatio ( 1, 1 );
for ( int col = 0; col < grid.getColumns(); col++ ) {
    for ( int row = 0; row < grid.getRows(); row++ ) {
        Component c = grid.getComponent ( col, row );
        grid.setComponentAlignment ( c, Alignment.TOP_CENTER );
        if ( col != 0 || row != 0 ) {
            c.setHeight ( "100%" );
        }
    }
}
