public class StationListWorker extends SwingWorker<Void, Object[]> {
    private List<Station> stations;
    private DefaultTableModel model;
    public StationListWorker ( List<Station> stations, DefaultTabelModel model ) {
        this.stations = stations;
        this.model = model;
    }
    protected Void doInBackground() throws Exception {
        for ( Station station : stations ) {
            publish ( new Object[] {...} );
        }
        return null;
    }
    protected void publish ( List<Object[]> rows ) {
        for ( Object[] row : rows ) {
            model.addRow ( row );
        }
    }
}
