public class DemoTransformer implements ClassFileTransformer {
    protected String className;
    protected ClassLoader classLoader;
    public DemoTransformer ( String className, ClassLoader classLoader ) {
        this.className = className.replace ( '.', '/' );
        this.classLoader = classLoader;
    }
    @Override
    public byte[] transform ( ClassLoader loader, String className,
                              Class<?> classBeingRedefined, ProtectionDomain protectionDomain,
                              byte[] classfileBuffer ) throws IllegalClassFormatException {
        if ( className.equals ( this.className ) && loader.equals ( classLoader ) ) {
            return new ModifyMethodTest ( classfileBuffer ).modiySleepMethod();
        }
        return classfileBuffer;
    }
}
