import javax.swing.JFrame;
import javax.swing.JProgressBar;
import javax.swing.SwingWorker;
public class Test {
    public static void main ( String args[] ) {
        JFrame frame = new JFrame();
        JProgressBar jpb = new JProgressBar();
        jpb.setIndeterminate ( true );
        frame.add ( jpb );
        frame.pack();
        frame.setLocationRelativeTo ( null );
        frame.setVisible ( true );
        frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        new Task().execute();
    }
    public static void method() {
        for ( int i = 1; i <= 5; i++ ) {
            try {
                Thread.sleep ( 1000 );
            } catch ( InterruptedException e ) {
                e.printStackTrace();
            }
            System.out.println ( i );
        }
    }
    static class Task extends SwingWorker<Void, Void> {
        @Override
        protected Void doInBackground() throws Exception {
            method();
            return null;
        }
        @Override
        protected void done() {
            method();
        }
    }
}
