public class MyGame extends Game {
    @Override
    public void create() {
        GameScreen screen1 = new GameScreen();
        GameScreen screen2 = new GameScreen();
        screen1.setNextScreen ( screen2 );
        screen2.setBackScreen ( screen1 );
    }
    @Override
    public void render() {
        AbstractScreen currentScreen = ( AbstractScreen ) getScreen();
        if ( currentScreen.goBack ) {
            setScreen ( currentScreen.getBackScreen() );
        } else if ( currentScreen.goToNextScreen ) {
            setScreen ( currentScreen.getNextScreen() );
        }
    }
