import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import javax.swing.AbstractAction;
import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JPopupMenu;
import javax.swing.JTextField;
import javax.swing.KeyStroke;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
public class TestTextFieldKeyStroke {
    public static void main ( String[] args ) {
        new TestTextFieldKeyStroke();
    }
    public TestTextFieldKeyStroke() {
        EventQueue.invokeLater ( new Runnable() {
            @Override
            public void run() {
                try {
                    UIManager.setLookAndFeel ( UIManager.getSystemLookAndFeelClassName() );
                } catch ( ClassNotFoundException | InstantiationException | IllegalAccessException | UnsupportedLookAndFeelException ex ) {
                }
                JFrame frame = new JFrame ( "Testing" );
                frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
                frame.setLayout ( new BorderLayout() );
                frame.add ( new TestPane() );
                frame.pack();
                frame.setLocationRelativeTo ( null );
                frame.setVisible ( true );
            }
        } );
    }
    public class TestPane extends JPanel {
        public TestPane() {
            JTextField field = new JTextField ( 20 );
            add ( field );
            JPopupMenu pop = new JPopupMenu();
            field.getInputMap().put ( KeyStroke.getKeyStroke ( KeyEvent.VK_F10, 0 ), "happy" );
            field.getActionMap().put ( "happy", new AbstractAction() {
                @Override
                public void actionPerformed ( ActionEvent e ) {
                    System.out.println ( "Happy" );
                }
            } );
        }
    }
}
