import java.awt.*;
import javax.swing.*;
import javax.swing.border.EmptyBorder;
public class SRTool {
    public static void main ( String[] args ) {
        Runnable r = new Runnable() {
            @Override
            public void run() {
                JPanel gui = new JPanel ( new GridLayout ( 0, 1, 6, 6 ) );
                gui.setBorder ( new EmptyBorder ( 2, 3, 2, 3 ) );
                gui.setBackground ( Color.CYAN );
                gui.add ( new JLabel (
                              "Service Desk SR Tool", SwingConstants.CENTER ) );
                FlowLayout layout = new FlowLayout ( FlowLayout.CENTER, 5, 5 );
                JPanel srPanel = new JPanel ( layout );
                gui.add ( srPanel );
                srPanel.add ( new JLabel ( "SR:" ) );
                srPanel.add ( new JTextField ( 8 ) );
                JPanel returnTicketPanel = new JPanel ( layout );
                gui.add ( returnTicketPanel );
                returnTicketPanel.add ( new JLabel ( "Returning Ticket?" ) );
                returnTicketPanel.add ( new JCheckBox() );
                JPanel reasonPanel = new JPanel ( layout );
                gui.add ( reasonPanel );
                reasonPanel.add ( new JLabel ( "Reason:" ) );
                reasonPanel.add ( new JTextField ( 14 ) );
                JPanel buttonPanel = new JPanel ( layout );
                gui.add ( buttonPanel );
                buttonPanel.add ( new JButton ( "Start!" ) );
                JFrame f = new JFrame ( "Demo" );
                f.add ( gui );
                f.setDefaultCloseOperation ( JFrame.DISPOSE_ON_CLOSE );
                f.setLocationByPlatform ( true );
                f.pack();
                f.setVisible ( true );
            }
        };
        SwingUtilities.invokeLater ( r );
    }
}
