List<? extends Node> items =
    ( List<? extends Node> ) theXML.selectNodes ( "//rss/channel/item" );
DateFormat dateFormatterRssPubDate =
    new SimpleDateFormat ( "EEE, dd MMM yyyy HH:mm:ss Z", Locale.ENGLISH );
DateTime timeTodayStartedAt = new DateTime().withTimeAtStartOfDay();
for ( Node node : items ) {
    String pubDate = node.valueOf ( "pubDate" );
    DateTime date = new DateTime ( dateFormatterRssPubDate.parse ( pubDate ) );
    if ( date.isAfter ( timeTodayStartedAt ) ) {
        System.out.println ( "Today: " + date );
    } else {
        System.out.println ( "Not today: " + date );
    }
}
