public class Setup {
    private volatile boolean inited = false;
    private ApplicationContext ctx;
    public boolean isInited() {
        return inited;
    }
    public ApplicationContext getContext() {
        return ctx;
    }
    public void init() {
        ctx = new ClassPathXmlApplicationContext ( "context.xml" );
        inited = true;
    }
}
public class Processor {
    private void ensureInit() {
        while ( !setup.isInited() ) {
            Thread.sleep ( 1000 );
        }
    }
    public void doStuff() {
        ensureInit();
    }
}
