public void readExcel ( String filePath ) {
    try {
        List sheetData = new ArrayList();
        FileInputStream file = new FileInputStream ( new File ( filePath ) );
        HSSFWorkbook workbook = new HSSFWorkbook ( file );
        HSSFSheet sheet = workbook.getSheetAt ( 0 );
        Iterator<Row> rowIterator = sheet.iterator();
        while ( rowIterator.hasNext() ) {
            Row row = ( Row ) rowIterator.next();
            Company company = new Company();
            company.setName ( getCellValue ( row.getCell ( ( short ) 1 ) ) );
            dao.saveOrUpdateCompany ( company );
            list.add ( company );
        }
        System.out.println ( "Seet data size-" + sheetData.size() );
        file.close();
        FileOutputStream out =
            new FileOutputStream ( new File ( filePath ) );
        workbook.write ( out );
        out.close();
    } catch ( FileNotFoundException e ) {
        e.printStackTrace();
    } catch ( IOException e ) {
        e.printStackTrace();
    }
}
