private void startNextActivity() {
    Intent nextActivity = new Intent ( this, NextActivity.class );
    nextActivity.putExtra ( "robot.id", mRobot.getUniqueId() );
    goingToNextActivity = true;
    startActivity ( nextActivity );
}
@Override
protected void onStop() {
    super.onStop();
    if ( !goingToNextActivity ) {
        RobotProvider.getDefaultProvider().disconnect ( mRobot );
        mRobot = null;
    }
}
