@Test
public void comprovarCercaBuuida() {
    DeuteBackBean deuteBB;
    List<IDeute> respostaDeutesExe = new ArrayList<IDeute>();
    List<IDeute> respostaDeutesVol = new ArrayList<IDeute>();
    List<IDeute> respostaDeutesTots = new ArrayList<IDeute>();
    Mockito.when ( serveiGpt.obtenirDeutes ( Mockito.eq ( CLAU_SUBJECTE_BUIT ), Mockito.eq ( E_TIPUS_DEUTE_HIS ), Mockito.eq ( PERIODE_DEUTE_EXE ) ) ).thenReturn ( respostaDeutesExe );
    Mockito.when ( serveiGpt.obtenirDeutes ( Mockito.eq ( CLAU_SUBJECTE_BUIT ), Mockito.eq ( E_TIPUS_DEUTE_HIS ), Mockito.eq ( PERIODE_DEUTE_VOL ) ) ).thenReturn ( respostaDeutesVol );
    Mockito.when ( serveiGpt.obtenirDeutes ( Mockito.eq ( CLAU_SUBJECTE_BUIT ), Mockito.eq ( E_TIPUS_DEUTE_HIS ), Mockito.eq ( PERIODE_DEUTE_TOTS ) ) ).thenReturn ( respostaDeutesTots );
    handler.handle ( ... );
    Mockito.verify ( serveiGpt, Mockito.atLeastOnce() ).obtenirDeutes ( Mockito.eq ( CLAU_SUBJECTE_BUIT ), Mockito.eq ( E_TIPUS_DEUTE_HIS ), Mockito.eq ( PERIODE_DEUTE_EXE ) );
}
