import java.io.File;
import java.util.ArrayList;
import net.lingala.zip4j.core.ZipFile;
import net.lingala.zip4j.exception.ZipException;
import net.lingala.zip4j.model.ZipParameters;
import net.lingala.zip4j.util.Zip4jConstants;
public class CreateSplitZipFile {
    public CreateSplitZipFile() {
        try {
            ZipFile zipFile = new ZipFile ( "c:\\ZipTest\\CreateSplitZipFile.zip" );
            ArrayList filesToAdd = new ArrayList();
            filesToAdd.add ( new File ( "c:\\ZipTest\\sample.txt" ) );
            filesToAdd.add ( new File ( "c:\\ZipTest\\myvideo.avi" ) );
            filesToAdd.add ( new File ( "c:\\ZipTest\\mysong.mp3" ) );
            ZipParameters parameters = new ZipParameters();
            parameters.setCompressionMethod ( Zip4jConstants.COMP_DEFLATE );
            parameters.setCompressionLevel ( Zip4jConstants.DEFLATE_LEVEL_NORMAL );
            zipFile.createZipFile ( filesToAdd, parameters, true, 10485760 );
        } catch ( ZipException e ) {
            e.printStackTrace();
        }
    }
    public static void main ( String[] args ) {
        new CreateSplitZipFile();
    }
}
