interface IWorkState {
}
class WorkState implements IWorkState {
}
class WorkTask implements Runnable {
    private final IWorkState state;
    public void addStateObserver ( IWorkState initialState ) {
        state = initialState
    }
    @Override
    public void run() {
    }
}
class VarMonitor {
    public void update ( Object changed ) {
        eventQueue.submit ( );
    }
}
class MainClass {
    public static void main ( String[] args ) {
        final VarMonitor mon = new VarMonitor();
        WorkTask t = new WorkTask ( Proxy.newProxyInstance ( getClass().getClassLoader(), new Class[] {IWorkState.class}, new InvocationHandler() {
            private final WorkState realWorkState = new WorkState();
            Object invoke ( Object proxy, Method method, Object[] args ) {
                Object res = method.invoke ( realWorkState, args );
                if ( method.getName().substring ( 0, 3 ).equals ( "set" ) ) {
                    mon.update ( this );
                }
            }
        } );
    }
}
