@Inject @ChangeType ( Role.USER )
private Event<NotifyChange> userEvent;
@Inject @ChangeType ( Role.CUSTOMER )
private Event<NotifyChange> custumerEvent;
public void updateUser() {
    userEvent.fire ( new NotifyChange() );
}
public void updateCustomer() {
    custumerEvent.fire ( new NotifyChange() );
}
public void listenUserChange (
    @Observes @ChangeType ( Role.USER ) NotifyChange evt ) {
}
void listenCustomerChange (
    @Observes @ChangeType ( Role.CUSTOMER ) NotifyChange evt ) {
}
public enum Role {
    USER, CUSTOMER
}
@Qualifier
@Target ( { PARAMETER, FIELD } )
@Retention ( RUNTIME )
public @interface ChangeType {
    Role value();
}
