final BlockingQueue<Integer> queue1 = new ArrayBlockingQueue<Integer> ( 1024 );
final BlockingQueue<Integer> queue2 = new ArrayBlockingQueue<Integer> ( 1024 );
final Random r = new Random();
Timer timer = new Timer();
timer.scheduleAtFixedRate ( new TimerTask() {
    @Override
    public void run() {
        try {
            queue1.put ( r.nextInt ( 50 ) * 2 );
            queue2.put ( r.nextInt ( 50 ) * 2 + 1 );
        } catch ( InterruptedException e ) {
            e.printStackTrace();
        }
    }
}, 0, 2000 );
new Thread ( new Runnable() {
    @Override
    public void run() {
        try {
            while ( true ) {
                System.out.println ( "Thread-1: " + queue1.take() );
            }
        } catch ( InterruptedException e ) {
            e.printStackTrace();
        }
    }
} ).start();
new Thread ( new Runnable() {
    @Override
    public void run() {
        try {
            while ( true ) {
                System.out.println ( "Thread-2: " + queue2.take() );
            }
        } catch ( InterruptedException e ) {
            e.printStackTrace();
        }
    }
} ).start();
