StringBuilder output = new StringBuilder();
char[] input = text.toCharArray();
int braceLevel = 0;
for ( int i = 0; i < input.length; i++ ) {
    final char c = input[i];
    if ( c == '{' ) {
        if ( i < input.length - 1 && input[i + 1] == '{' ) {
            braceLevel++;
            i++;
            continue;
        }
    } else if ( c == '}' && braceLevel > 0 ) {
        if ( i < input.length - 1 && input[i + 1] == '}' ) {
            braceLevel--;
            i++;
            continue;
        }
    }
    if ( braceLevel == 0 ) {
        output.append ( c );
    }
}
