import java.awt.Dimension;
import javax.swing.*;
public class TestCornerComponent {
    public static void main ( String args[] ) {
        JTable table = new JTable ( 22, 5 );
        table.setPreferredScrollableViewportSize ( new Dimension ( 400, 300 ) );
        final JScrollPane scrollPane = new JScrollPane ( table );
        JButton cornerButton = new JButton ( "#" );
        scrollPane.setCorner ( JScrollPane.UPPER_TRAILING_CORNER, cornerButton );
        scrollPane.setVerticalScrollBarPolicy ( JScrollPane.VERTICAL_SCROLLBAR_ALWAYS );
        SwingUtilities.invokeLater ( new Runnable() {
            @Override
            public void run() {
                JFrame frame = new JFrame ( "Test corner component" );
                frame.add ( scrollPane );
                frame.pack();
                frame.setVisible ( true );
            }
        } );
    }
}
