public enum Dir {
    North,
    South,
    East,
    West,
    Up,
    Down;
}
class Room {
    EnumSet doors = EnumSet.noneOf ( Dir.class );
    public Room ( Dir ... doors ) {
        this.doors.addAll ( Arrays.asList ( doors ) );
    }
    public boolean doorExists ( Dir dir ) {
        return doors.contains ( dir );
    }
}
