static String returnMacAddress() {
    InetAddress ip;
    try {
        ip = InetAddress.getLocalHost();
        NetworkInterface network = NetworkInterface.getByInetAddress ( ip );
        byte[] mac = network.getHardwareAddress();
        System.out.print ( "Current MAC address: " );
        StringBuilder stringBuilder = new StringBuilder();
        for ( int i = 0; i < mac.length; i++ ) {
            stringBuilder.append ( String.format ( "%02X%s", mac[i], ( i < mac.length - 1 ) ? "-" : "" ) );
        }
        return stringBuilder.toString();
    } catch ( UnknownHostException e ) {
        e.printStackTrace();
    } catch ( SocketException e ) {
        e.printStackTrace();
    }
    return null;
}
