protected void onCreate ( Bundle savedInstanceState ) {
    super.onCreate ( savedInstanceState );
    userdate = ( EditText ) findViewById ( R.id.user_datespent );
    SimpleDateFormat sdf = new SimpleDateFormat ( "yyyy/MM/dd" );
    Date da = new Date();
    userdate.setText ( sdf.format ( da ) );
    final Calendar cal = Calendar.getInstance();
    final DatePickerDialog.OnDateSetListener datepickobj = new OnDateSetListener() {
        @Override
        public void onDateSet ( DatePicker view, int year, int monthOfYear,
                                int dayOfMonth ) {
            cday = dayOfMonth;
            cmonth = monthOfYear + 1;
            cyear = year;
            userdate.setText ( "Choosen date is :" + cday + "/" + cmonth + "/" + cyear );
        }
    };
    Button changeDate = ( Button ) findViewById ( R.id.button_for_cal );
    changeDate.setOnClickListener ( new OnClickListener() {
        @Override
        public void onClick ( View v ) {
            DatePickerDialog ( this, datepickobj,  cal.get ( Calendar.YEAR ), cal.get ( Calendar.MONTH ),
                               cal.get ( Calendar.DAY_OF_MONTH ) ).show();
            userdate.setText ( "" );
        }
    } );
}
