import weka.core.Instance;
public class WekaWrapper {
    public double[] classifyInstance ( Instance i ) throws Exception {
        Object[] s = new Object[i.numAttributes()];
        for ( int j = 0; j < s.length; j++ ) {
            if ( !i.isMissing ( j ) ) {
                if ( i.attribute ( j ).isNominal() ) {
                    s[j] = new String ( i.stringValue ( j ) );
                } else if ( i.attribute ( j ).isNumeric() ) {
                    s[j] = new Double ( i.value ( j ) );
                }
            }
        }
        s[i.classIndex()] = null;
        return WekaClassifier.classify ( s );
    }
}
class WekaClassifier {
    public static double[] classify ( Object[] i ) {
        double[][] here = new double[3][2];
        here[0][0] = 0;
        here[0][1] = 1;
        here[1][0] = 0;
        here[1][1] = 2;
        here[2][0] = 0;
        here[2][1] = 3;
        if ( i[0] == null ) {
            return here[0];
        } else if ( ( ( String ) i[0] ).equals ( "overcast" ) ) {
            return here[1];
        } else {
            return here[2];
        }
    }
}
