class Exclude implements ExclusionStrategy {
    @Override
    public boolean shouldSkipClass ( Class<?> arg0 ) {
        return false;
    }
    @Override
    public boolean shouldSkipField ( FieldAttributes field ) {
        SerializedName ns = field.getAnnotation ( SerializedName.class );
        if ( ns != null ) {
            return false;
        }
        return true;
    }
}
