DecimalFormat formatter = new DecimalFormat ( "#0.00" );
File salesData = new File ( "SalesData.txt" );
Scanner file  = new Scanner ( salesData );
double[][] weeklySales = new double[3][7];
int row = 0;
while ( file.hasNext() ) {
    String line = file.nextLine();
    StringTokenizer tokens = new StringTokenizer ( line, "," );
    int col = 0;
    while ( tokens.hasMoreTokens() ) {
        weeklySales[row][col] = Double.parseDouble ( tokens.nextToken() );
        col++;
    }
    row++;
}
double week1Sales = 0, week2Sales = 0, week3Sales = 0;
for ( int i = 0; i < 3; i++ ) {
    for ( int j = 0; j < 5; j++ ) {
        double daily = weeklySales[i][j];
        if ( i == 0 ) {
            week1Sales += daily;
        } else if ( i == 1 ) {
            week2Sales += daily;
        } else if ( i == 2 ) {
            week3Sales += daily;
        }
    }
}
System.out.println ( "Week 1 total sales: $" + formatter.format ( week1Sales ) );
System.out.println ( "Week 1 total sales: $" + formatter.format ( week2Sales ) );
System.out.println ( "Week 1 total sales: $" + formatter.format ( week3Sales ) );
System.out.println ( "Daily average for week 1: $" + formatter.format ( week1Sales / 7 ) );
System.out.println ( "Daily average for week 2: $" + formatter.format ( week2Sales / 7 ) );
System.out.println ( "Daily average for week 3: $" + formatter.format ( week3Sales / 7 ) );
double weeklyTotal = week1Sales + week2Sales + week3Sales;
System.out.println ( "Total sales of all the weeks: $" + formatter.format ( weeklyTotal ) );
System.out.println ( "Average weekly total: $" + formatter.format ( weeklyTotal / 3 ) );
if ( week1Sales > week2Sales )
    if ( week1Sales > week3Sales ) {
        System.out.println ( "The week with the highest sales is week 1." );
    } else {
        System.out.println ( "The week with the highest sales is week 3." );
    }
else if ( week2Sales > week3Sales )
    if ( week2Sales > week1Sales ) {
        System.out.println ( "The week with the highest sales is week 2." );
    } else {
        System.out.println ( "The week with the highest sales is week 1." );
    }
else {
    System.out.println ( "The week with the highest sales is week 3." );
}
if ( ! ( week1Sales > week2Sales ) )
    if ( ! ( week1Sales > week3Sales ) ) {
        System.out.println ( "The week with the lowest sales is week 1." );
    } else {
        System.out.println ( "The week with the lowest sales is week 3." );
    }
else if ( ! ( week2Sales > week3Sales ) )
    if ( ! ( week2Sales > week1Sales ) ) {
        System.out.println ( "The week with the lowest sales is week 2." );
    } else {
        System.out.println ( "The week with the lowest sales is week 1." );
    }
else {
    System.out.println ( "The week with the lowest sales is week 3." );
}
