public abstract class DynamicService {
    protected void updateService() {
        App.getInjector().injectMembers ( this );
    }
}
public class PasswordCheckService extends DynamicService  {
    @Inject
    @Named ( "password" )
    private RuleChecker passwordChecker;
    public void changePasswordCheckType ( CheckType type ) {
        PasswordRuleCheckerProvider.setType ( type );
        updateService();
    }
}
