private static final int min = 10;
private static final int max = 100;
private static final int default = 50;
private static int parseInteger ( String text ) {
    if ( text.replaceAll ( "\\D", "" ).equals ( "" ) ) {
        return default;
    } else {
        boolean neg = false;
        if ( text.contains ( "-" ) ) {
            neg = true;
        }
        int number = Integer.parseInt ( text.replaceAll ( "\\D", "" ) ) * ( neg ? -1 : 1 );
        if ( number < min ) {
            return default;
        } else if ( number > max ) {
            return default;
        } else {
            return number;
        }
    }
}
