public class EnumSetEditor<T extends Enum<T>> extends Composite implements LeafValueEditor<Set<T>>, HasEditorErrors<Set<T>> {
    private SideErrorHandler errorHandler;
    public EnumSetEditor ( Class<T> clazz ) {
        ...
        this.errorHandler = new SideErrorHandler ( this );
    }
    @Override
    public void showErrors ( List<EditorError> errors ) {
        if ( errors.isEmpty() ) {
            errorHandler.clearInvalid();
        } else {
            errorHandler.markInvalid ( errors );
        }
    }
}
