String tabindexes = ( String ) component.getAttributes().get ( "tabindexes" );
if ( tabindexes != null ) {
    String[] tabindexItems = tabindexes.split ( "\\s*,\\s*" );
    String indexKey = component.getClientId ( context ) + "_currentTabIndex";
    Integer index = ( Integer ) component.getAttributes().get ( indexKey );
    if ( index == null || index == tabindexItems.length ) {
        index = 0;
    }
    String tabindex = tabindexItems[index];
    component.getAttributes().put ( indexKey, ++index );
    writer.writeAttribute ( "tabindex", tabindex, "tabindex" );
}
