switch ( colorSpaceCode ) {
case JPEG.JCS_GRAYSCALE:
    list.add ( raw );
    list.add ( getImageType ( JPEG.JCS_RGB ) );
    break;
case JPEG.JCS_RGB:
    list.add ( raw );
    list.add ( getImageType ( JPEG.JCS_GRAYSCALE ) );
    list.add ( getImageType ( JPEG.JCS_YCC ) );
    break;
case JPEG.JCS_RGBA:
    list.add ( raw );
    break;
case JPEG.JCS_YCC:
    if ( raw != null ) {
        list.add ( raw );
        list.add ( getImageType ( JPEG.JCS_RGB ) );
    }
    break;
case JPEG.JCS_YCCA:
    if ( raw != null ) {
        list.add ( raw );
    }
    break;
case JPEG.JCS_YCbCr:
    list.add ( getImageType ( JPEG.JCS_RGB ) );
    if ( iccCS != null ) {
        list.add ( new ImageTypeProducer() {
            protected ImageTypeSpecifier produce() {
                return ImageTypeSpecifier.createInterleaved
                       ( iccCS,
                         JPEG.bOffsRGB,
                         DataBuffer.TYPE_BYTE,
                         false,
                         false );
            }
        } );
    }
    list.add ( getImageType ( JPEG.JCS_GRAYSCALE ) );
    list.add ( getImageType ( JPEG.JCS_YCC ) );
    break;
case JPEG.JCS_YCbCrA:
    list.add ( getImageType ( JPEG.JCS_RGBA ) );
    break;
}
