try {
    ClientResource cr = new ClienResource ( "http://api.example.com/login-ajax" );
    JSONObject message = new JSONObject();
    message.put ( "email", "mail@gmail.com" );
    message.put ( "password", "pass" );
    cr.post ( message, MediaType.APPLICATION_JSON );
    Response response = cr.getResponse();
    JsonRepresentation jsonRep = new JsonRepresentation ( response.getEntity() );
    JSONObject json = jsonRep.getJsonObject();
    System.out.println ( "success: " + json.get ( "success" ) );
    System.out.println ( "current user: " + json.get ( "currentUser" ) );
    JSONObject userData = ( JSONObject ) json.get ( "userData" );
    System.out.println ( "display name: " + userData.get ( "displayName" ) );
    System.out.println ( "display avatar Id: " + userData.get ( "displayAvatarId" ) );
    System.out.println ( "email: " + userData.get ( "email" ) );
    System.out.println ( "is email confirmed: " + userData.get ( "isEmailConfirmed" ) );
    System.out.println ( "sex: " + userData.get ( "sex" ) );
} catch ( ResourceException | JSONException ex ) {
    ex.printStackTrace();
}
