public static BufferedImage scale ( BufferedImage sbi,
                                    int imageType,
                                    int destWidth,
                                    int destHeight,
                                    double widthFactor,
                                    double heightFactor ) {
    BufferedImage dbi = null;
    if ( sbi != null ) {
        dbi = new BufferedImage ( destWidth, destHeight, imageType );
        Graphics2D g = dbi.createGraphics();
        AffineTransform at = AffineTransform.getScaleInstance ( widthFactor, heightFactor );
        g.drawRenderedImage ( sbi, at );
    }
    return dbi;
}
