@Test
public void testThread() throws Exception {
    Thread thread = new Thread ( new MyRunnable() );
    thread.start();
    Thread.sleep ( 100 );
    thread.suspend();
    Thread.sleep ( 2000 );
}
class MyRunnable implements Runnable {
    @Override
    public void run() {
        System.out.println ( "Start" );
        try {
            Thread.sleep ( 1500 );
        } catch ( InterruptedException e ) {
            e.printStackTrace();
        } finally {
            System.out.println ( "Done" );
        }
    }
}
