@Test
public void testAddOneContact() {
    final Contact contact = this.context.mock ( Contact.class );
    this.addressBook.addContact ( contact );
    assertTrue ( "Object added to list", this.addressBook.getNumberOfContacts() == 1 );
    assertTrue ( addressBook.get ( 0 ).equals ( contact ) );
}
@Test
@Expected ( IllegalArgumentException.class )
public void testShouldThrowWhenContactIsNull() {
    this.addressBook.addContact ( null );
}
