class YourInvocationHandler implements InvocationHandler {
    private final NotYourClass target;
    public YourInvocationHandler ( NotYourClass target ) {
        this.target = target;
    }
    public Object invoke ( Object proxy, Method method, Object[] args ) throws Throwable {
        try {
            return method..invoke ( target, args );
        } catch ( Exception e ) {
            method.invoke ( target, args );
        }
    }
}
