public class Node {
    private String name;
    private ArrayList<Node> children = new ArrayList<Node>();
    public static Node parseTree ( String s ) throws IOException {
        StreamTokenizer tokenizer = new StreamTokenizer ( new StringReader ( s ) );
        tokenizer.nextToken();
        Node result = new Node ( tokenizer );
        if ( tokenizer.ttype != StreamTokenizer.TT_EOF ) {
            throw new RuntimeException ( "Leftover token: " + tokenizer.ttype );
        }
        return result;
    }
    Node ( StreamTokenizer tokenizer ) throws IOException {
        if ( tokenizer.ttype != StreamTokenizer.TT_WORD ) {
            throw new RuntimeException ( "identifier expected; got: " + tokenizer.ttype );
        }
        name = tokenizer.sval;
        if ( tokenizer.nextToken() == '(' ) {
            tokenizer.nextToken();
            do {
                children.add ( new Node ( tokenizer ) );
            } while ( tokenizer.ttype != ')' );
            tokenizer.nextToken();
        }
    }
}
