import java.awt.*;
import java.util.*;
import java.awt.event.*;
import javax.swing.*;
public class Keypad extends JPanel implements ActionListener {
    public static void main ( String[] args ) {
        JFrame frame = new JFrame ( "Almost Functional Keypad" );
        frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        frame.getContentPane().add ( getKeypad() );
        frame.setPreferredSize ( new Dimension ( 350, 400 ) );
        frame.pack();
        frame.setVisible ( true );
        frame.setResizable ( false );
    }
    public static JPanel getKeypad() {
        Keypad obj = new Keypad();
        JButton[] keyList = new JButton[12];
        JLabel[] keyLabel = new JLabel[12];
        String[] keyLabelText = {"1", "2", "3", "4", "5", "6", "7", "8", "9", "*", "0", "#"};
        int i;
        for ( i = 0; i < 12; i++ ) {
            keyList[i] = new JButton();
            keyList[i].setPreferredSize ( new Dimension ( 100, 75 ) );
            keyLabel[i] = new JLabel ( keyLabelText[i] );
            keyList[i].add ( keyLabel[i] );
            keyList[i].addActionListener ( obj );
        }
        JTextArea displayText = new JTextArea();
        displayText.setPreferredSize ( new Dimension ( 320, 20 ) );
        JButton clear = new JButton();
        clear.setPreferredSize ( new Dimension ( 300, 40 ) );
        JLabel clearLabel = new JLabel ( "Clear" );
        clear.add ( clearLabel );
        clear.addActionListener ( obj );
        JPanel primary = new JPanel();
        primary.add ( displayText );
        for ( i = 0; i < 12; i++ ) {
            primary.add ( keyList[i] );
        }
        primary.add ( clear );
        return primary;
    }
    public void actionPerformed ( ActionEvent event ) {
    }
}
