public static bool ValidateCertificate (
    object sender,
    X509Certificate certificate,
    X509Chain chain,
    SslPolicyErrors errors ) {
    if ( errors == SslPolicyErrors.None ) {
        return true;
    }
    if ( certificate != null ) {
        string SendingCertificateName = "";
        report = string.Format ( CultureInfo.InvariantCulture, "certificatename : {0}, SerialNumber: {1}, {2}, {3}", certificate.Subject, certificate.GetSerialNumberString(), SendingCertificateName, ServerName );
        Console.WriteLine ( report );
    }
    Console.WriteLine ( "Certificate error: {0}", errors );
    int allow = AllowPolicyErrors << 1;
    return ( allow & ( int ) sslPolicyErrors ) == ( int ) sslPolicyErrors;
}
