class CountingOutputStream extends OutputStream {
    int _total;
    @Override public void write ( int b ) {
        ++_total;
    }
    @Override public void write ( byte[] b ) {
        _total += b.length;
    }
    @Override public void write ( byte[] b, int offset, int len ) {
        _total += len;
    }
}
CoutingOutputStream cos = new CountingOutputStream();
Writer writer = new OutputStreamWriter ( cos, "my_encoding" );
writer.write ( myString );
writer.flush();
System.out.println ( "Total bytes: " + cos._total );
