....
public class MyJMXHTTPSessionListener implements HttpSessionListener {
    ....
    private SessionsImpl sesssionsImpl;
    private Map<String, HttpSessionMXBeanImpl> httpSessionMXBeans
    @Override
    public void sessionCreated ( HttpSessionEvent se ) {
        synchronized ( this ) {
            if ( sessionsImpl == null ) {
                sesssionsImpl = new SesssionsImpl();
                String id = ( "services.jmx.beans:type=Sessions," + "realm=" + se.getSession().getServletContext().getContextPath() );
                sessionManagerMXBean.setId ( id );
                ObjectName objectName = new ObjectName ( id );
                if ( ManagementFactory.getPlatformMBeanServer().isRegistered ( objectName ) ) {
                    ManagementFactory.getPlatformMBeanServer().
                    unregisterMBean ( objectName );
                }
                ManagementFactory.getPlatformMBeanServer().
                registerMBean ( sesssionsImpl,
                                objectName );
            }
            sesssionsImpl.inrementSessions();
        }
        @Override
        public void sessionDestroyed ( HttpSessionEvent se ) {
            synchronized ( this ) {
            }
        }
    }
