public interface CanDoIsSquare {
    boolean isSquare ( long x );
}
public interface CanRunTest {
    public long test1 ( CanDoIsSquare fun );
}
public class Test implements CanRunTest {
    static long init = ( long ) ( Integer.MAX_VALUE / 8 )
                       * ( Integer.MAX_VALUE / 2 ) + 1L;
    @Override public long test1 ( CanDoIsSquare fun ) {
        long r = init;
        long startTimeNano = System.nanoTime();
        while ( !fun.isSquare ( r ) ) {
            ++r;
        }
        long taskTimeNano = System.nanoTime() - startTimeNano;
        System.out.println ( fun + ": " + taskTimeNano / 1e9 );
        return r;
    }
}
public class Main {
    static public void main ( String[] args ) throws Throwable  {
        CanDoIsSquare[] methods = {new Mine2(), new Trivial(), new Mine() };
        for ( CanDoIsSquare method : methods ) {
            TestFactory.newInstance().test1 ( method );
        }
    }
}
