String text
    = "<fruit>"
      + "<banana>yellow</banana>"
      + "<orange>orange</orange>"
      + "<pear>yellow</pear>"
      + "</fruit>";
InputStream is = null;
try {
    is = new ByteArrayInputStream ( text.getBytes() );
    DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
    DocumentBuilder builder = factory.newDocumentBuilder();
    Document document = builder.parse ( is );
    System.out.println ( "Document=" + document.toString() );
    Transformer tf = TransformerFactory.newInstance().newTransformer();
    tf.setOutputProperty ( OutputKeys.INDENT, "yes" );
    tf.setOutputProperty ( OutputKeys.METHOD, "xml" );
    tf.setOutputProperty ( "{http://xml.apache.org/xslt}indent-amount", "4" );
    ByteArrayOutputStream os = null;
    try {
        os = new ByteArrayOutputStream();
        DOMSource domSource = new DOMSource ( document );
        StreamResult sr = new StreamResult ( os );
        tf.transform ( domSource, sr );
        System.out.println ( new String ( os.toByteArray() ) );
    } finally {
        try {
            os.close();
        } finally {
        }
    }
} catch ( ParserConfigurationException | SAXException | IOException | TransformerConfigurationException exp ) {
    exp.printStackTrace();
} catch ( TransformerException exp ) {
    exp.printStackTrace();
} finally {
    try {
        is.close();
    } catch ( Exception e ) {
    }
}
