public class SO {
    public static void main ( String[] args ) {
        XYSeries series = new XYSeries ( "Gradient logs chopped" );
        series.add ( 1, -7 );
        series.add ( 2, -2 );
        series.add ( 3, 4 );
        series.add ( 4, 7 );
        series.add ( 5, 10 );
        XYSeriesCollection dataset = new XYSeriesCollection();
        dataset.addSeries ( series );
        JFreeChart chart = ChartFactory.createXYLineChart (
                               "Logs chopped",
                               "Week",
                               "Logs",
                               dataset,
                               PlotOrientation.VERTICAL,
                               true,
                               true,
                               false
                           );
        XYPlot plot = chart.getXYPlot();
        XYDifferenceRenderer rend = new XYDifferenceRenderer ( Color.GREEN, Color.RED, false );
        rend.setSeriesFillPaint ( 0, Color.DARK_GRAY );
        rend.setRoundXCoordinates ( true );
        plot.setRenderer ( rend );
        try {
            ChartUtilities.saveChartAsJPEG ( new File ( "D:\\Users\\user2777005\\Desktop\\XYchart.jpg" ), chart, 500, 300 );
        } catch ( IOException e ) {
            System.err.println ( "Problem occurred creating chart." );
        }
    }
}
