public long skip ( long n ) throws IOException {
    long remaining = n;
    int nr;
    if ( n <= 0 ) {
        return 0;
    }
    int size = ( int ) Math.min ( MAX_SKIP_BUFFER_SIZE, remaining );
    byte[] skipBuffer = new byte[size];
    while ( remaining > 0 ) {
        nr = read ( skipBuffer, 0, ( int ) Math.min ( size, remaining ) );
        if ( nr < 0 ) {
            break;
        }
        remaining -= nr;
    }
    return n - remaining;
}
