void mainLoop() {
    for ( int generation = 0; generation < MAX_GEN; generation++ ) {
        float mutationBoundary = getMutationBoundary ( generation );
        float creationBoundary = getCreationBoundary ( mutationBoundary );
        createNewGeneration ( mutationBoundary, creationBoundary );
    }
}
void createNewGeneration ( float mutationBoundary, float creationBoundary ) {
    for ( int i = 0; i < MAX_POP; i++ ) {
        createNewMember ( mutationBoundary, creationBoundary );
    }
}
void createNewMember ( float mutationBoundary, float creationBoundary ) {
    float random = 10 * generator.nextFloat();
    if ( random > mutationBoundary ) {
        mutate();
    } else {
        if ( random < creationBoundary ) {
            randomlyCreate();
        } else {
            crossover();
        }
    }
}
float getMutationBoundary ( int generation ) {
    float boundary = 8 - 0.1f * generation;
    if ( boundary < 0 ) {
        boundary = 0;
    }
    return boundary;
}
float getCreationBoundary ( float creationBoundary ) {
    return creationBoundary / 8;
}
