public class FractionTranslateLinearLayout extends LinearLayout {
    private int screenWidth;
    private float fractionX;
    protected void onSizeChanged ( int w, int h, int oldW, int oldh ) {
        screenWidth = w;
        super.onSizeChanged ( w, h, oldW, oldH );
    }
    public float getFractionX() {
        return fractionX;
    }
    public void setFractionX ( float xFraction ) {
        this.fractionX = xFraction;
        setX ( ( screenWidth > 0 ) ? ( xFraction * screenWidth ) : 0 );
    }
}
