class Util {
    static native void info ( Object obj )  ;
    public static native void click ( final JavaScriptObject element )  ;
    public static native void readFile ( JavaScriptObject inputFile, V1<String> andThen )  ;
}
final Element oldForm = Document.get().getElementById ( "uploadForm" );
if ( oldForm != null ) {
    oldForm.getParentNode().removeChild ( oldForm );
}
final FormPanel form = new FormPanel();
form.getElement().setId ( "uploadForm" );
final Style formStyle = form.getElement().getStyle();
formStyle.setDisplay ( Display.INLINE_BLOCK );
formStyle.setOverflow ( Overflow.HIDDEN );
formStyle.setWidth ( 0, Unit.PX );
formStyle.setHeight ( 0, Unit.PX );
form.setAction ( "http://.../" );
form.setEncoding ( FormPanel.ENCODING_MULTIPART );
form.setMethod ( FormPanel.METHOD_POST );
final FileUpload upload = new FileUpload();
upload.setName ( "image" );
form.add ( upload );
RootPanel.get().add ( form );
upload.addChangeHandler ( new ChangeHandler() {
    public void onChange ( final ChangeEvent event ) {
        Util.info ( "Loading: " + upload.getFilename() );
        Util.readFile ( upload.getElement(), new V1<String>() {
            public void call ( final String dataURL ) {
                Util.info ( "Loaded: " + upload.getFilename() + " (url is " + dataURL.length() + " bytes)" );
            }
        } );
    }
} );
Util.click ( upload.getElement() );
