package com.jibon.tarabradio;
import android.annotation.SuppressLint;
import android.app.Activity;
import android.graphics.Bitmap;
import android.view.View;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.ProgressBar;
public class MainActivity extends Activity {
    WebView webview;
    ProgressBar progressBar;
    @SuppressLint ( { "SetJavaScriptEnabled", "NewApi" } )
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        webview = ( WebView ) findViewById ( R.id.webview );
        progressBar = ( ProgressBar ) findViewById ( R.id.progress_bar );
        webview.setWebViewClient ( new myWebClient() );
        webview.getSettings().setJavaScriptEnabled ( true );
        webview.getSettings().setLoadWithOverviewMode ( true );
        webview.getSettings().setUseWideViewPort ( true );
        webview.getSettings().setAllowUniversalAccessFromFileURLs ( true );
        webview.loadUrl ( "http://hoicoimasti.com/radio/" );
    }
    public class myWebClient extends WebViewClient {
        @Override
        public void onPageStarted ( WebView view, String url, Bitmap favicon ) {
            super.onPageStarted ( view, url, favicon );
        }
        @Override
        public boolean shouldOverrideUrlLoading ( WebView view, String url ) {
            view.loadUrl ( url );
            return true;
        }
        @Override
        public void onPageFinished ( WebView view, String url ) {
            super.onPageFinished ( view, url );
            progressBar.setVisibility ( View.GONE );
        }
    }
}
