public boolean isCyclicDirected ( Vertex v ) {
    if ( v.isVisited ) {
        return true;
    }
    v.setVisited ( true );
    Iterator<Edge> e = v.adj.iterator();
    while ( e.hasNext() ) {
        Vertex t = e.next().target;
        if ( t.isVisited ) {
            return true;
        }
        if ( isCyclicDirected ( t ) ) {
            return true;
        }
    }
    return false;
}
