public static JSONArray getJSONArrayFromUrl ( String url ) throws Exception {
    try {
        HttpClient client = getHttpClient();
        HttpGet request = new HttpGet();
        request.setURI ( new URI ( url ) );
        HttpResponse response = client.execute ( request );
        try {
            String jsonString = EntityUtils.toString ( response.getEntity() );
            JSONObject m_jobj;
            try {
                m_jobj = new JSONObject ( jsonString );
                JSONArray m_ja = m_jobj.getJSONArray ( "cityData" );
                return m_ja;
            } catch ( JSONException e ) {
                Log.e ( "JSON Parser", "Error parsing data " + e.toString() );
            } catch ( Exception e ) {
                Log.e ( "Buffer Error", "Error converting result " + e.toString() );
            }
        } catch ( UnsupportedEncodingException e ) {
            e.printStackTrace();
        } catch ( ClientProtocolException e ) {
            e.printStackTrace();
        } catch ( IOException e ) {
            e.printStackTrace();
        }
        return null;
    }
