private void sendPost() throws Exception {
    String url = "https://selfsolve.apple.com/wcResults.do";
    URL obj = new URL ( url );
    HttpsURLConnection con = ( HttpsURLConnection ) obj.openConnection();
    con.setRequestMethod ( "POST" );
    con.setRequestProperty ( "User-Agent", USER_AGENT );
    con.setRequestProperty ( "Accept-Language", "en-US,en;q=0.5" );
    String urlParameters = "sn=C02G8416DRJM&cn=&locale=&caller=&num=12345";
    con.setDoOutput ( true );
    DataOutputStream wr = new DataOutputStream ( con.getOutputStream() );
    wr.writeBytes ( urlParameters );
    wr.flush();
    wr.close();
    int responseCode = con.getResponseCode();
    System.out.println ( "\nSending 'POST' request to URL : " + url );
    System.out.println ( "Post parameters : " + urlParameters );
    System.out.println ( "Response Code : " + responseCode );
    BufferedReader in = new BufferedReader (
        new InputStreamReader ( con.getInputStream() ) );
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ( ( inputLine = in.readLine() ) != null ) {
        response.append ( inputLine );
    }
    in.close();
    System.out.println ( response.toString() );
}
