package de.professional_webworkx.business;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.Stateless;
import de.professional_webworkx.model.entities.Item;
@Stateless
public class ItemsBean implements Serializable {
    private static final long serialVersionUID = 5684254200888793061L;
    private List<Item> items = new ArrayList<Item>();
    public ItemsBean() {
    }
    @PostConstruct
    public void init() {
        for ( int i = 0; i < 1000; ++i ) {
            items.add ( new Item ( "Item_" + i, Math.random() * i, ( int ) i * i ) );
        }
    }
    public List<Item> getItems() {
        return items;
    }
    public void setItems ( List<Item> items ) {
        this.items = items;
    }
}
