FileLock lock = null;
FileChannel channel = null;
try {
    File file = new File ( "journal" );
    channel = new RandomAccessFile ( file,
                                     "rw" ).getChannel();
    try {
        lock = channel.tryLock();
        if ( lock != null ) {
            return true;
        }
    } catch ( OverlappingFileLockException e ) {
    } finally {
        if ( lock != null ) {
            lock.release();
        }
        if ( channel != null ) {
            channel.close();
        }
    }
    return false;
