public Integer search ( HashMap<String, Object> params ) {
    Session sesion = sessionFactory.openSession();
    Integer id = null;
    Transaction tx = sesion.beginTransaction();
    try {
        Criteria criteria = sesion.createCriteria ( User.class );
        criteria.add ( Restrictions.eq ( "name", ( String ) params.get ( "name" ) ) );
        criteria.add ( Restrictions.eq ( "email", ( String ) params.get ( "email" ) ) );
        List lista = criteria.list();
        tx.commit();
        if ( lista.size() == 1 ) {
            id = ( ( User ) lista.get ( 0 ) ).getId();
        }
    } catch ( HibernateException he ) {
        tx.rollback();
        he.printStackTrace();
    } finally {
        sesion.close();
    }
    return id;
}
