ExecutorService es = Executors.newFixedThreadPool ( 4, new ThreadFactory() {
    private final AtomicInteger counter = new AtomicInteger ( 1 );
    @Override
    public Thread newThread ( Runnable r ) {
        return new Thread ( r, "MyThread-" + counter.getAndIncrement() );
    }
} );
es.submit ( new Runnable() {
    @Override
    public void run() {
        System.out.println ( Thread.currentThread().getName() );
    }
} );
