public final static byte compareSignedInteger (
    final byte[] n1, final short n1Offset,
    final byte[] n2, final short n2Offset ) {
    if ( n1[n1Offset] < n2[n2Offset] ) {
        return -1;
    } else if ( n1[n1Offset] > n2[n2Offset] ) {
        return +1;
    }
    short n1Byte, n2Byte;
    for ( short i = 1; i < 4; i++ ) {
        n1Byte = ( short ) ( n1[ ( short ) ( n1Offset + i )] & 0xFF );
        n2Byte = ( short ) ( n2[ ( short ) ( n2Offset + i )] & 0xFF );
        if ( n1Byte < n2Byte ) {
            return -1;
        } else if ( n1Byte > n2Byte ) {
            return +1;
        }
    }
    return 0;
}
