struct ThreadParams {
    JNIEnv * env;
    jobject runnable;
};
DWORD __stdcall RunnableThreadProc ( void * ptr ) {
    ThreadParams * p = reinterpret_cast<ThreadParams * > ( ptr );
    JNIEnv * env = p->env;
    jobject runnable = p->runnable;
    delete p;
    jclass RunnableInterface = env->GetObjectClass ( runnable );
    jmethodID Run = env->GetMethodID ( RunnableInterface, "run", "()V" );
    env->CallObjectMethod ( RunnableInterface, Run );
}
JNIEXPORT void JNICALL Java_JNIExample_StartNativeThread ( JNIEnv * env, jobject obj, jobject runnable ) {
    ThreadParams * ptr = new ThreadParams();
    ptr->env = env;
    ptr->runnable = runnable;
    CreateThread ( 0, 0, RunnableThreadProc, reinterpret_cast<void * > ( ptr ), 0, 0 );
}
