public class SynchronousClient implements Client {
    public void execute ( final ClientInput keys, ClientCallback callback ) {
        String result = doStuff();
        callback.onResult ( result );
    }
}
public class AsynchronousClient implements Client {
    public void execute ( final ClientInput keys, ClientCallback callback ) {
        Future<String> result = doStuff();
        callback.onResult ( result.get() );
    }
}
public class MyCallback implements ClientCallback {
    public void onResult ( String result ) {
    }
}
