@Override
public View getView ( int position, View convertView, ViewGroup parent ) {
    View view = convertView;
    if ( view == null ) {
        view = lInflater.inflate ( R.layout.item, parent, false );
    }
    Product p = getProduct ( position );
    final int pos = position;
    final String name = p.name;
    final boolean selected = p.userSelectedIt;
    ( ( TextView ) view.findViewById ( R.id.tvDescr ) ).setText ( p.name );
    ( ( ImageView ) view.findViewById ( R.id.ivImage ) ).setImageResource ( p.image );
    ( ( ImageView ) view.findViewById ( R.id.ivImage ) ).setTag ( p.tag );
    iv = ( ( ImageView ) view.findViewById ( R.id.ivImage ) );
    String temp = ( String ) iv.getTag();
    if ( selected ) {
        iarr.add ( new ImgArray ( iv, pos, name, "yes" ) );
    } else {
        iarr.add ( new ImgArray ( iv, pos, name, "no" ) );
    }
    iv.setOnClickListener ( new View.OnClickListener() {
        @Override
        public void onClick ( View view ) {
            Log.d ( LOG_TAG, "NAME ACTIVITY --- " + title );
            LinearLayout ll = ( LinearLayout ) view.getParent();
            ImageView iv = ( ImageView ) ll.getChildAt ( 0 );
            selected = !selected;
            if ( selected ) {
                iv.setImageResource ( R.drawable.no );
                iarr.set ( pos, new ImgArray ( iv, pos, name, "no" ) );
            } else {
                iv.setImageResource ( R.drawable.yes );
                iarr.set ( pos, new ImgArray ( iv, pos, name, "yes" ) );
            }
        }
    } );
    return view;
}
