public class BoxAdapter extends BaseAdapter {
    Context ctx;
    LayoutInflater lInflater;
    ArrayList<Product> objects;
    ArrayList<boolean> userSelected;
    String title;
    public ImageView iv;
    public int counter;
    public ArrayList<ImgArray> iarr = new ArrayList<ImgArray>();
    public ArrayList<ImgArray> startIarr = new ArrayList<ImgArray>();
    final String LOG_TAG = "myLogs";
    BoxAdapter ( Context context, ArrayList<Product> products, String curTitle ) {
        ctx = context;
        objects = products;
        lInflater = ( LayoutInflater ) ctx
                    .getSystemService ( Context.LAYOUT_INFLATER_SERVICE );
        title = curTitle;
    }
    @Override
    public int getCount() {
        return objects.size();
    }
    @Override
    public Object getItem ( int position ) {
        return objects.get ( position );
    }
    @Override
    public long getItemId ( int position ) {
        return position;
    }
    @Override
    public View getView ( int position, View convertView, ViewGroup parent ) {
        View view = convertView;
        if ( view == null ) {
            view = lInflater.inflate ( R.layout.item, parent, false );
        }
        Product p = getProduct ( position );
        final int pos = position;
        final String name = p.name;
        final boolean selected = userSelected.get ( position );
        ( ( TextView ) view.findViewById ( R.id.tvDescr ) ).setText ( p.name );
        ( ( ImageView ) view.findViewById ( R.id.ivImage ) ).setImageResource ( p.image );
        ( ( ImageView ) view.findViewById ( R.id.ivImage ) ).setTag ( p.tag );
        iv = ( ( ImageView ) view.findViewById ( R.id.ivImage ) );
        if ( selected ) {
            iarr.add ( new ImgArray ( iv, pos, name, "yes" ) );
        } else {
            iarr.add ( new ImgArray ( iv, pos, name, "no" ) );
        }
        iv.setOnClickListener ( new View.OnClickListener() {
            @Override
            public void onClick ( View view ) {
                Log.d ( LOG_TAG, "NAME ACTIVITY --- " + title );
                LinearLayout ll = ( LinearLayout ) view.getParent();
                ImageView iv = ( ImageView ) ll.getChildAt ( 0 );
                userSelected.set ( position, !selected );
                if ( !selected ) {
                    iv.setImageResource ( R.drawable.no );
                    iarr.set ( pos, new ImgArray ( iv, pos, name, "no" ) );
                } else {
                    iv.setImageResource ( R.drawable.yes );
                    iarr.set ( pos, new ImgArray ( iv, pos, name, "yes" ) );
                }
            }
        } );
        return view;
    }
    Product getProduct ( int position ) {
        return ( ( Product ) getItem ( position ) );
    }
    public Object getV ( View v, int position ) {
        ListView lv = ( ListView ) v.findViewById ( R.id.lvView );
        Object o = iarr.size();
        return o;
    }
    public ArrayList iFunc() {
        return iarr;
    }
    public ArrayList sIarr() {
        return startIarr;
    }
    public int C ( View v ) {
        ListView lv = ( ListView ) v.findViewById ( R.id.lvView );
        return lv.getCount();
    }
}
