package com.example.actionbarswitch;
import android.app.ActionBar;
import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Gravity;
import android.view.Menu;
import android.widget.CompoundButton;
import android.widget.Switch;
public class MainActivity extends Activity implements CompoundButton.OnCheckedChangeListener {
    private static final String TAG = "ActionBarSwitch";
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        Switch actionBarSwitch = new Switch ( this );
        ActionBar actionBar = getActionBar();
        actionBar.setDisplayOptions ( ActionBar.DISPLAY_SHOW_CUSTOM, ActionBar.DISPLAY_SHOW_CUSTOM );
        actionBar.setCustomView ( actionBarSwitch, new ActionBar.LayoutParams (
                                      ActionBar.LayoutParams.WRAP_CONTENT, ActionBar.LayoutParams.WRAP_CONTENT,
                                      Gravity.CENTER_VERTICAL | Gravity.END ) );
        actionBarSwitch.setOnCheckedChangeListener ( this );
    }
    @Override
    public boolean onCreateOptionsMenu ( Menu menu ) {
        getMenuInflater().inflate ( R.menu.main, menu );
        return true;
    }
    @Override
    public void onCheckedChanged ( CompoundButton buttonView, boolean isChecked ) {
        Log.i ( TAG, "isChecked? " + isChecked );
    }
}
