@Override
protected Control createDialogArea ( final Composite parent ) {
    Composite body = ( Composite ) super.createDialogArea ( parent );
    SashForm sashForm = new SashForm ( body, SWT.VERTICAL );
    sashForm.setLayoutData ( new GridData ( SWT.FILL, SWT.FILL, true, true ) );
    ScrolledComposite scrolledComp = new ScrolledComposite ( sashForm, SWT.V_SCROLL );
    Composite comp1 = new Composite ( scrolledComp, SWT.NONE );
    comp1.setLayout ( new GridLayout() );
    Point size = comp1.computeSize ( SWT.DEFAULT, SWT.DEFAULT );
    scrolledComp.setMinHeight ( size.y );
    scrolledComp.setMinWidth ( size.x );
    scrolledComp.setExpandVertical ( true );
    scrolledComp.setExpandHorizontal ( true );
    scrolledComp.setContent ( comp1 );
    Composite comp2 = new Composite ( sashForm, SWT.NONE );
    comp2.setLayout ( new GridLayout() );
    Composite comp3 = new Composite ( sashForm, SWT.NONE );
    comp3.setLayout ( new GridLayout() );
    sashForm.setWeights ( new int [] {60, 30, 10} );
    return body;
}
