public class MyActivity extends Activity {
    ...
    static final int PICK_CONTACT_REQUEST = 0;
    protected boolean onKeyDown ( int keyCode, KeyEvent event ) {
        if ( keyCode == KeyEvent.KEYCODE_DPAD_CENTER ) {
            startActivityForResult (
                new Intent ( Intent.ACTION_PICK,
                             new Uri ( "content://contacts" ) ),
                PICK_CONTACT_REQUEST );
            return true;
        }
        return false;
    }
    protected void onActivityResult ( int requestCode, int resultCode,
                                      Intent data ) {
        if ( requestCode == PICK_CONTACT_REQUEST ) {
            if ( resultCode == RESULT_OK ) {
                startActivity ( new Intent ( Intent.ACTION_VIEW, data ) );
            }
        }
    }
}
