public String kbString ( KnowledgeBase kbase ) {
    StringBuilder sb = new StringBuilder();
    for ( KnowledgePackage p : kbase.getKnowledgePackages() ) {
        sb.append ( "\n  Package : " + p.getName() );
        for ( Rule r : p.getRules() ) {
            sb.append ( "\n    Rule: " + r.getName() );
        }
    }
    return "Knowledge base built with packages: " + sb.toString();
}
public String sessionFactsString ( StatefulKnowledgeSession session ) {
    StringBuilder sb = new StringBuilder();
    sb.append ( "\nThe following facts are currently in the system..." );
    for ( Object fact : session.getObjects() ) {
        sb.append ( "\n\nFact: " + DroolsUtil.objectDetails ( fact ) );
    }
    return sb.toString();
}
