Imports: {
    import static gate.Utils.*;
}
Phase: SetPerPage
Input: Age X Y
Options: control = all
                   Rule: MoveToPageSet
                   ( {Age} | {X} | {Y} ) : entity
                   -- >
: entity {
    try {
        for ( Annotation e : entityAnnots ) {
            Annotation thePage = getOnlyAnn ( getCoveringAnnotations ( inputAS, e, "Page" ) );
            AnnotationSet pageSet = doc.getAnnotations (
                ( String ) thePage.getFeatures().get ( "id" ) );
            pageSet.add ( start ( e ), end ( e ), e.getType(), e.getFeatures() );
        }
    } catch ( InvalidOffsetException e ) {
        throw new JapeException ( "Invalid offset from existing annotation", e );
    }
}
