@Override
protected boolean lessThan ( final Entry hitA, final Entry hitB ) {
    assert hitA != hitB;
    assert hitA.slot != hitB.slot;
    int numComparators = comparators.length;
    for ( int i = 0; i < numComparators; ++i ) {
        final int c = reverseMul[i] * comparators[i].compare ( hitA.slot,
                      hitB.slot );
        if ( c != 0 ) {
            return c > 0;
        }
    }
#31241):
    return hitA.doc > hitB.doc;
}
