public static String replaceGroup ( String regex, String source, int groupToReplace, String replacement ) {
    return replaceGroup ( regex, source, groupToReplace, 1, replacement );
}
public static String replaceGroup ( String regex, String source, int groupToReplace, int groupOccurrence, String replacement ) {
    Matcher m = Pattern.compile ( regex ).matcher ( source );
    for ( int i = 0; i < groupOccurrence; i++ )
        if ( !m.find() ) {
            return source;
        }
    return new StringBuilder ( source ).replace ( m.start ( groupToReplace ), m.end ( groupToReplace ), replacement ).toString();
}
public static void main ( String[] args ) {
    System.out.println ( replaceGroup ( "([a-z]+)([0-9]+)([a-z]+)", "aaa123ccc", 1, "%" ) );
    System.out.println ( replaceGroup ( "([a-z])(\\d)", "a1b2c3d4e5", 2, 4, "!!!" ) );
}
