class Outer {
    private String name;
    Outer ( String name ) {
        this.name = name;
    }
    class Inner {
        void showEnclosingName() {
            System.out.println ( "Enclosing instance name: " + name );
        }
    }
    void demo() {
        Outer outer = new Outer ( "Other Outer" );
        Inner inner1 = new Inner();
        Inner inner2 = outer.new Inner();
        inner1.showEnclosingName();
        inner2.showEnclosingName();
    }
    public static void main ( String[] args ) {
        Outer outer = new Outer ( "Original Outer" );
        outer.demo();
    }
}
