public static void main ( String[] args ) {
    System.out.println ( String.format ( "%-10s%-10s%-10s", "sum", "even",
                                         "odd" ) );
    try {
        List<Sum> sumList = new ArrayList<Sum>();
        InputStream fstream = new FileInputStream ( "data.txt" );
        DataInputStream in = new DataInputStream ( fstream );
        BufferedReader br = new BufferedReader ( new InputStreamReader ( in ) );
        String strLine;
        while ( ( strLine = br.readLine() ) != null ) {
            Sum newSum = new Sum();
            String[] numberStrs = strLine.split ( "\t" );
            for ( String numberStr : numberStrs ) {
                newSum.addNumber ( Integer.parseInt ( numberStr ) );
            }
            sumList.add ( newSum );
        }
        in.close();
        Collections.sort ( sumList );
        for ( Sum sum : sumList ) {
            System.out.println ( sum );
        }
    } catch ( Exception e ) {
        System.err.println ( "Error: " + e.getMessage() );
    }
}
