public static final double MIN_SCORE = 0.3;
public List<Match> findMatches ( String searchFirst, String searchLast ) {
    List<Match> results = new ArrayList<Match>();
    for ( PersonDO person : personCache.values() ) {
        double scoreFirst = scoreName ( searchFirst, person.getFirstName() );
        double scoreLast = scoreName ( searchLast, person.getLastName() );
        double score = ( scoreFirst + scoreLast ) / 2.0;
        if ( score > MIN_SCORE ) {
            results.add ( new Match ( person, score ) );
        }
    }
    return ImmutableList.copyOf ( results );
}
