class Outer {
    final Object lock = new Object();
    private Foo foo;
    public Outer() {
        Thread thread = new Thread ( new InnerRunnable() );
        thread.start();
    }
    private void modifyFoo() {
        synchronized ( lock ) {
            Log.d ( "outer", "locked outer" );
            foo.bar();
            Log.d ( "outer", "released outer" );
        }
    }
    class InnerRunnable implement Runnable {
        private volatile boolean running = true;
        void setRunning ( boolean running ) {
            this.running = running;
        }
        @Override
        public void run() {
            while ( running ) {
                synchronized ( lock ) {
                    Log.d ( "inner", "locked inner" );
                    foo.blah();
                    Log.d ( "inner", "released inner" );
                }
            }
        }
    }
}
