@SuppressWarnings ( "unchecked" )
public static List<Track> loadAllTracksByDateRange ( final long p_startTime,
        final long p_endTime, final Session p_session ) throws IOException {
    final Criteria criteria = p_session.createCriteria ( TrackItem.class );
    criteria.setProjection ( Projections.distinct ( Projections
                             .property ( "track" ) ) );
    criteria.add ( Restrictions.ge ( "itemTime", p_startTime ) );
    criteria.add ( Restrictions.le ( "itemTime", p_endTime ) );
    return criteria.list();
}
