import org.mozilla.universalchardet.UniversalDetector;
public class TestDetector {
    public static void main ( String[] args ) throws java.io.IOException {
        byte[] buf = new byte[4096];
        String fileName = args[0];
        java.io.FileInputStream fis = new java.io.FileInputStream ( fileName );
        UniversalDetector detector = new UniversalDetector ( null );
        int nread;
        while ( ( nread = fis.read ( buf ) ) > 0 && !detector.isDone() ) {
            detector.handleData ( buf, 0, nread );
        }
        detector.dataEnd();
        String encoding = detector.getDetectedCharset();
        if ( encoding != null ) {
            System.out.println ( "Detected encoding = " + encoding );
        } else {
            System.out.println ( "No encoding detected." );
        }
        detector.reset();
    }
}
