import org.apache.batik.bridge.UserAgent;
import org.apache.batik.swing.JSVGCanvas;
import org.apache.batik.util.XMLConstants;
public class myJSVGCanvas extends JSVGCanvas {
    @Override
    protected UserAgent createUserAgent() {
        return new myCanvasUserAgent();
    }
    protected class myCanvasUserAgent extends CanvasUserAgent
        implements XMLConstants {
        @Override
        public void displayError ( String message ) {
            if ( svgUserAgent != null ) {
                super.displayError ( message );
            } else {
                System.out.println ( message );
            }
        }
        @Override
        public void displayError ( Exception ex ) {
            if ( svgUserAgent != null ) {
                super.displayError ( ex );
            } else {
                ex.printStackTrace();
            }
        }
    }
}
