interface Message {
    public void accept ( MessageVisitor visitor );
}
interface MessageVisitor {
    public void visit ( TextMessage message );
    public void visit ( AudioMessage message );
}
class PrintVisitor implements MessageVisitor {
    public void visit ( TextMessage message ) {
    }
    public void visit ( AudioMessage message ) {
    }
}
class TextMessage implements Message {
    public void accept ( MessageVisitor visitor ) {
        visitor.visit ( this );
    }
}
