try {
    File[] mods = new File ( "mod" ).listFiles();
    for ( int i = 0; i < mods.length; i++ ) {
        if ( !mods[i].getName().endsWith ( ".jar" ) ) {
            continue;
        }
        JarFile jarFile = new JarFile ( mods[i] );
        Enumeration e = jarFile.entries();
        URL[] urls = { new URL ( "jar:file:" + mods[i].getAbsolutePath() + "!/" ) };
        cl = URLClassLoader.newInstance ( urls );
        while ( e.hasMoreElements() ) {
            JarEntry je = ( JarEntry ) e.nextElement();
            if ( je.isDirectory() || !je.getName().endsWith ( ".class" ) ) {
                continue;
            }
            String className = je.getName().substring ( 0, je.getName().length() - 6 );
            className = className.replace ( '/', '.' );
            Class c = cl.loadClass ( className );
        }
    }
} catch ( Exception e ) {
    e.printStackTrace();
}
