public void
test_can_get_the_3_most_recent_changes_in_wikipedia() {
    WikipediaConnection mockConnection = mock ( WikepediaConnection.class );
    when ( mockConnection.makeXMLFile() ).thenReturn ( "your test xml" );
    XMLParser parser = new XMLParser ( mockConnection )
    assertThat ( parser.mostRecentChanges(), allOf (
                     contains ( "one_change_you_expect" ),
                     contains ( "the_sencond..." ),
                     contains ( "the_third" )
                 );
}
