CloseableHttpClient httpclient = HttpClientBuilder.create().build();
HttpHost targetHost = new HttpHost ( "localhost", 80, "http" );
CredentialsProvider credsProvider = new BasicCredentialsProvider();
credsProvider.setCredentials (
    new AuthScope ( targetHost.getHostName(), targetHost.getPort() ),
    new UsernamePasswordCredentials ( "username", "password" ) );
AuthCache authCache = new BasicAuthCache();
BasicScheme basicAuth = new BasicScheme();
authCache.put ( targetHost, basicAuth );
HttpClientContext context = HttpClientContext.create();
context.setCredentialsProvider ( credsProvider );
context.setAuthCache ( authCache );
HttpGet httpget = new HttpGet ( "/" );
for ( int i = 0; i < 3; i++ ) {
    CloseableHttpResponse response = httpclient.execute (
                                         targetHost, httpget, context );
    try {
        HttpEntity entity = response.getEntity();
    } finally {
        response.close();
    }
}
