import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.GroupLayout;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.Timer;
import javax.swing.WindowConstants;
public class ImageViewer extends javax.swing.JFrame {
    private Timer timer = null;
    ImageIcon[] icons = new ImageIcon[5];
    int index = -1;
    public ImageViewer() {
        initComponents();
        try {
            icons[0] = new ImageIcon ( new URL ( "http://www.iconsdb.com/icons/preview/orange/stackoverflow-4-xxl.png" ) );
            icons[1] = new ImageIcon ( new URL ( "http://www.iconsdb.com/icons/preview/caribbean-blue/stackoverflow-4-xxl.png" ) );
            icons[2] = new ImageIcon ( new URL ( "http://www.iconsdb.com/icons/preview/royal-blue/stackoverflow-4-xxl.png" ) );
            icons[3] = new ImageIcon ( new URL ( "http://www.iconsdb.com/icons/preview/moth-green/stackoverflow-4-xxl.png" ) );
            icons[4] = new ImageIcon ( new URL ( "http://www.iconsdb.com/icons/preview/soylent-red/stackoverflow-4-xxl.png" ) );
        } catch ( MalformedURLException ex ) {
            Logger.getLogger ( ImageViewer.class.getName() ).log ( Level.SEVERE, null, ex );
        }
        timer = new Timer ( 1000, new ActionListener() {
            public void actionPerformed ( ActionEvent e ) {
                if ( index + 1 > 4 ) {
                    index = 0;
                    jLabel1.setIcon ( icons[index] );
                } else {
                    index++;
                    jLabel1.setIcon ( icons[index] );
                }
            }
        } );
    }
    @SuppressWarnings ( "unchecked" )
    private void initComponents() {
        jButton1 = new JButton();
        jLabel1 = new JLabel();
        setDefaultCloseOperation ( WindowConstants.EXIT_ON_CLOSE );
        jButton1.setText ( "jButton1" );
        jButton1.addMouseListener ( new MouseAdapter() {
            public void mouseEntered ( MouseEvent evt ) {
                jButton1MouseEntered ( evt );
            }
            public void mouseExited ( MouseEvent evt ) {
                jButton1MouseExited ( evt );
            }
        } );
        GroupLayout layout = new GroupLayout ( getContentPane() );
        getContentPane().setLayout ( layout );
        layout.setHorizontalGroup (
            layout.createParallelGroup ( GroupLayout.Alignment.LEADING )
            .addGroup ( GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addContainerGap ( GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE )
                        .addComponent ( jButton1 )
                        .addGap ( 127, 127, 127 ) )
            .addGroup ( layout.createSequentialGroup()
                        .addGap ( 27, 27, 27 )
                        .addComponent ( jLabel1, GroupLayout.PREFERRED_SIZE, 285, GroupLayout.PREFERRED_SIZE )
                        .addContainerGap ( 29, Short.MAX_VALUE ) )
        );
        layout.setVerticalGroup (
            layout.createParallelGroup ( GroupLayout.Alignment.LEADING )
            .addGroup ( GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap ( 22, 22, 22 )
                        .addComponent ( jLabel1, GroupLayout.DEFAULT_SIZE, 321, Short.MAX_VALUE )
                        .addGap ( 18, 18, 18 )
                        .addComponent ( jButton1 )
                        .addGap ( 16, 16, 16 ) )
        );
        pack();
    }
    private void jButton1MouseEntered ( MouseEvent evt ) {
        timer.start();
    }
    private void jButton1MouseExited ( MouseEvent evt ) {
        timer.stop();
    }
    public static void main ( String args[] ) {
        try {
            for ( javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels() ) {
                if ( "Nimbus".equals ( info.getName() ) ) {
                    javax.swing.UIManager.setLookAndFeel ( info.getClassName() );
                    break;
                }
            }
        } catch ( ClassNotFoundException ex ) {
            java.util.logging.Logger.getLogger ( ImageViewer.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( InstantiationException ex ) {
            java.util.logging.Logger.getLogger ( ImageViewer.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( IllegalAccessException ex ) {
            java.util.logging.Logger.getLogger ( ImageViewer.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        } catch ( javax.swing.UnsupportedLookAndFeelException ex ) {
            java.util.logging.Logger.getLogger ( ImageViewer.class.getName() ).log ( java.util.logging.Level.SEVERE, null, ex );
        }
        java.awt.EventQueue.invokeLater ( new Runnable() {
            public void run() {
                new ImageViewer().setVisible ( true );
            }
        } );
    }
    private JButton jButton1;
    private JLabel jLabel1;
}
