package cart;
import java.io.IOException;
import java.sql.SQLException;
import java.util.List;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
@WebServlet ( "/Product" )
public class Product extends HttpServlet {
    private static final long serialVersionUID = 1L;
    private ProductDataBean pDataBean = new ProductDataBean();
    public Product() {
        super();
    }
    protected void doGet ( HttpServletRequest request, HttpServletResponse response ) throws ServletException, IOException {
        List<Product> products;
        try {
            products = pDataBean.getProductList();
            request.setAttribute ( "products", products );
            request.getRequestDispatcher ( "/test.jsp" ).forward ( request, response );
        } catch ( SQLException e ) {
            e.printStackTrace();
        }
    }
    @Override
    protected void doPost ( HttpServletRequest req, HttpServletResponse resp )
    throws ServletException, IOException {
        String movie = req.getParameter ( "movie" );
        String rating = req.getParameter ( "rating" );
        String year = req.getParameter ( "year" );
        Double price = Double.valueOf ( req.getParameter ( "price" ) );
        if ( movie != null && rating != null && year != null && price != null )
            try {
                ProductDataBean.addRecord ( new DVD ( movie, rating, year, price ) );
            } catch ( SQLException e ) {
                e.printStackTrace();
            }
        doGet ( req, resp );
    }
}
