public class SharedData {
    private static final MutexSem  mutex = new MutexSem();
    private static SharedData instance;
    private ClockValues clock;
    public static SharedData getInstance ( ClockValues c ) {
        mutex.take();
        if ( instance == null ) {
            instance = new SharedData ( c );
        }
        mutex.give();
        return instance;
    }
    private SharedData ( ClockValues c ) {
        clock = c;
    }
    public void doSomething() {
        mutex.take();
        mutex.give();
    }
}
