String varName = "DERBY_JDBC_DRIVER_PATH";
configService = new ConfigServiceProxy ( adminClient );
Session session = new Session();
ObjectName varMapObjName = ConfigServiceHelper.createObjectName ( null, "VariableMap", null );
ObjectName[] variableMaps = configService.queryConfigObjects ( session, null, varMapObjName, null );
for ( int i = 0; i < variableMaps.length; i++ ) {
    ObjectName varMap = ( ObjectName ) variableMaps[i];
    AttributeList varEntries = configService.getAttributes ( session, varMap, new String[] {"entries"}, false );
    List entryList = ( List ) ConfigServiceHelper.getAttributeValue ( varEntries, "entries" );
    for ( int j = 0; j < entryList.size(); j++ ) {
        ObjectName varObj = ( ObjectName ) entryList.get ( j );
        String symbolicName = ( String ) configService.getAttribute ( session, varObj, "symbolicName" );
        String value = null;
        if ( symbolicName.equals ( varName ) ) {
            value = ( String ) configService.getAttribute ( session, varObj, "value" );
            System.out.println ( symbolicName + "=" + value );
        }
    }
}
