public static void main ( String a[] ) {
    UserGroupInformation ugi
        = UserGroupInformation.createRemoteUser ( "root" );
    try {
        ugi.doAs ( new PrivilegedExceptionAction<Void>() {
            public Void run() throws Exception {
                conf = new Configuration();
                conf.set ( "fs.default.name", "hdfs://hostname:9000" );
                conf.set ( "hadoop.job.ugi", "root" );
                conf.set ( "mapred.job.tracker", "hostname:port" );
                return null;
            }
        } );
    } catch ( Exception e ) {
        e.printStackTrace();
    }
}
