@Component
@Scope ( "singleton" )
public class CarFactory {
    @Autowired
    private AutowireCapableBeanFactory autowireCapableBeanFactory;
    public Car create ( Make make, Model model, Year year ) {
        Car car = new Car ( make, model, year );
        Car carProxy = Car.class.cast ( autowireCapableBeanFactory.configureBean ( car, "carBean" ) );
        return carProxy;
    }
}
