import java.util.Scanner;
public class Driver {
    public static void main ( String[] args ) {
        Scanner scanner = new Scanner ( System.in );
        System.out.println ( "Enter all twelve digits of your UPC code." );
        System.out.println ( "Please enter in this format: * ***** ***** *." );
        String input = scanner.nextLine();
        Upc userUpc = new Upc ( input );
        System.out.println ( "The item's UPC value is: " + userUpc.toString() );
        System.out.println();
        System.out.println ( "Product Type: " + userUpc.getItemType() );
        System.out.println ( "Manufacturer: " + userUpc.getManufacturer() );
        System.out.println ( "Product: " + userUpc.getProduct() );
        System.out.println();
        System.out.println ( "Calculated Check Digit: "
                           );
        System.out.println ( "UPC Check Digit: " + userUpc.getCheckDigit() );
        scanner.close();
    }
}
class Upc {
    private int itemType;
    private int manufacturer;
    private int product;
    private int checkDigit;
    public Upc ( String upcString ) {
        Scanner scanner = new Scanner ( upcString );
        itemType = scanner.nextInt();
        manufacturer = scanner.nextInt();
        product = scanner.nextInt();
        checkDigit = scanner.nextInt();
        setVariables ( itemType, manufacturer, product, checkDigit );
        scanner.close();
    }
    public Upc ( int item, int man, int prod, int check ) {
        setVariables ( item, man, prod, check );
    }
    private void setVariables ( int item, int man, int prod, int check ) {
        this.itemType = item;
        this.manufacturer = man;
        this.product = prod;
        this.checkDigit = check;
    }
    public String toString() {
        return itemType + "-" + manufacturer + "-" + product + "-" + checkDigit;
    }
    public int getItemType() {
        return itemType;
    }
    public int getManufacturer() {
        return manufacturer;
    }
    public int getProduct() {
        return product;
    }
    public int getCheckDigit() {
        return checkDigit;
    }
}
