public static MouseInputAdapter mouseHandler = new MouseInputAdapter() {
    public int labelDisX;
    public int labelDisY;
    public void mousePressed ( MouseEvent e ) {
        labelDisX = e.getX();
        labelDisY = e.getY();
        e.getComponent().getParent().setComponentZOrder ( e.getComponent(), 0 );
        e.getComponent().getParent().repaint();
    }
    public void mouseDragged ( MouseEvent e ) {
        JPanel panel = ( JPanel ) e.getComponent().getParent();
        int newX = e.getComponent().getX() + e.getX() - labelDisX;
        int newY = e.getComponent().getY() + e.getY() - labelDisY;
        if ( newX > panel.getWidth() - CARD_WIDTH ) {
            newX = panel.getWidth() - CARD_WIDTH;
        }
        if ( newY > panel.getHeight() - CARD_HEIGHT ) {
            newY = panel.getHeight() - CARD_HEIGHT;
        }
        if ( newX < 0 ) {
            newX = 0;
        }
        if ( newY < 0 ) {
            newY = 0;
        }
        e.getComponent().setLocation ( newX, newY );
    }
};
