public class Serializer {
    public static byte[] serialize ( Object o ) throws Exception {
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        ObjectOutputStream oos = new SurrogateOutputStream ( baos );
        oos.writeObject ( o );
        oos.flush();
        oos.close();
        return baos.toByteArray();
    }
    public static Object deserialize ( byte[] bytes ) throws IOException, ClassNotFoundException {
        ByteArrayInputStream bais = new ByteArrayInputStream ( bytes );
        ObjectInputStream ois = new ObjectInputStream ( bais );
        Object o = ois.readObject();
        bais.close();
        return o;
    }
}
