private class Row {
    private final Object[] values;
    public Row ( Object[] values ) {
        this.values = values;
    }
    public int getSize() {
        return values.length;
    }
    public Object getValue ( int i ) {
        return values[i];
    }
}
public class ResultSetTableModel extends AbstractTableModel {
    private final ResultSetMetaData rsmd;
    private final List<Row> rows;
    public ResultSetTableModel ( ResultSetMetaData rsmd ) {
        this.rsmd = rsmd;
        this.rows = new ArrayList<Row>();
    }
    public int getRowCount() {
        return rows.size();
    }
    public int getColumnCount() {
        return rsmd.getColumnCount();
    }
    public Object getValue ( int row, int column ) {
        return rows.get ( row ).getValue ( column );
    }
    public String getColumnName ( int col ) {
        return rsmd.getColumnName ( col - 1 );
    }
    public Class<?> getColumnClass ( int col ) {
    }
}
new SwingWorker<Void, Row>() {
    public Void doInBackground() {
    }
    protected void process ( Row... chunks ) {
    }
} .execute();
