import javax.xml.soap.SOAPConnectionFactory;
import javax.xml.soap.SOAPConnection;
import javax.xml.soap.MessageFactory;
import javax.xml.soap.SOAPMessage;
import javax.xml.soap.SOAPPart;
import java.io.FileInputStream;
import javax.xml.transform.stream.StreamSource;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.Source;
import javax.xml.transform.stream.StreamResult;
public class Client {
    public static void main ( String[] args ) {
        try {
            SOAPConnectionFactory scf = SOAPConnectionFactory.newInstance();
            SOAPConnection conn = scf.createConnection();
            MessageFactory mf = MessageFactory.newInstance();
            SOAPMessage msg = mf.createMessage();
            SOAPPart sp = msg.getSOAPPart();
            StreamSource prepMsg = new StreamSource (
                new FileInputStream ( "path/prepared.msg" ) );
            sp.setContent ( prepMsg );
            msg.saveChanges();
            System.out.println ( "\n Soap request:\n" );
            msg.writeTo ( System.out );
            System.out.println();
            String urlval = "http://www.pascalbotte.be/rcx-ws/rcx";
            SOAPMessage rp = conn.call ( msg, urlval );
            System.out.println ( "\nXML response\n" );
            TransformerFactory tff = TransformerFactory.newInstance();
            Transformer tf = tff.newTransformer();
            Source sc = rp.getSOAPPart().getContent();
            StreamResult result = new StreamResult ( System.out );
            tf.transform ( sc, result );
            System.out.println();
            conn.close();
        } catch ( Exception e ) {
            System.out.println ( e.getMessage() );
        }
    }
}
