int numTri = 6;
tri[] triangles = new tri[numTri];
float angleIncrement = TWO_PI / numTri;
float radius = 100;
void setup() {
    size ( 600, 600 );
    smooth();
    for ( int i = 0 ; i < numTri; i++ ) {
        triangles[i] = new tri();
    }
}
void draw() {
    background ( 0 );
    translate ( width * .5, height * .5 );
    for ( int i = 0 ; i < numTri; i++ ) {
        pushMatrix();
        rotate ( angleIncrement * i );
        translate ( radius, 0 );
        triangles[i].run();
        popMatrix();
    }
}
void drawAxes ( int size ) {
    pushStyle();
    stroke ( 255, 0, 0 );
    line ( 0, 0, size, 0 );
    stroke ( 0, 255, 0 );
    line ( 0, 0, 0, size );
    popStyle();
}
