private static final String LIVE_CARD_TAG = "my_card";
private LiveCard mLiveCard;
private void publishCard ( Context context ) {
    if ( mLiveCard == null ) {
        TimelineManager tm = TimelineManager.from ( context );
        mLiveCard = tm.createLiveCard ( LIVE_CARD_TAG );
        mLiveCard.setViews ( new RemoteViews ( context.getPackageName(),
                                               R.layout.card_text ) );
        Intent intent = new Intent ( context, EntryActivity.class );
        mLiveCard.setAction ( PendingIntent.getActivity ( context, 0,
                              intent, 0 ) );
        mLiveCard.publish ( LiveCard.PublishMode.SILENT );
    } else {
        return;
    }
}
private void unpublishCard ( Context context ) {
    if ( mLiveCard != null ) {
        mLiveCard.unpublish();
        mLiveCard = null;
    }
}
