MyServiceClass {
    Thread thread;
    public static boolean isConfigurationValid() {
        loadConfigFile();
        validateDBConfiguration();
        initializeThread();
    }
    private static void initializeThread ( boolean usePrimaryPort ) {
        {
            if ( thread == null ) {
                synchronized ( MyServiceClass.class ) {
                    if ( thread == null ) {
                        Thread thread = new Thread();
                        Thread.start();
                    }
                }
            }
            return;
        }
    }
    public static Thread getThread() {
        return thread;
    }
}
