public class ValidatorFactory {
    public static Validator getValidator ( ValidatorType type ) {
        if ( ValidatorType.AGE.equals ( type ) ) {
            return new AgeValidator();
        }
        if ( ValidatorType.LAST_NAME.equals ( type ) ) {
            return new LastNameValidator();
        }
        return null;
    }
}
