import java.io.*;
import java.net.*;
public class Server {
    public static void main ( String[] args ) throws Exception {
        Server myServer = new Server();
        myServer.run();
    }
    public void run() throws Exception {
        ServerSocket serverSocket = new ServerSocket ( 9999 );
        System.out.println ( "The Server is waiting for a client on port 9999" );
        Socket socket = serverSocket.accept();
        InputStreamReader ir = new InputStreamReader ( socket.getInputStream() );
        BufferedReader br = new BufferedReader ( ir );
        String message;
        PrintStream ps = new PrintStream ( socket.getOutputStream() );
        while ( ( message = br.readLine() ) != null ) {
            System.out.println ( message );
            if ( message.equals ( "HELLO" ) ) {
                ps.println ( "Received our hello message." );
            }
            if ( message.equals ( "END" ) ) {
                ps.println ( "Client ended the connection" );
                break;
            } else {
                ps.println ( "Did not receive your hello message" );
            }
        }
        ps.close();
        br.close();
        ir.close();
        serverSocket.close();
    }
}
