class Store {
    final LinkedList<Object> queue = new LinkedList<>();
    void add ( final Object o ) {
        synchronized ( queue ) {
            queue.add ( o );
        }
    }
    void processAndClear() {
        final LinkedList<Object> elements = new LinkedList<>();
        synchronized ( queue ) {
            elements.addAll ( queue );
            queue.clear();
        }
        for ( Object e : elements ) {
            doSomething ( e );
        }
    }
}
