public class ObjectList {
    private int h;
    private Object obj1;
    private Object obj2;
    private Object obj3;
    private Object obj4;
    @Override
    public boolean equals ( final Object o ) {
        if ( ! ( o instanceof ObjectList ) ) {
            return false;
        }
        final ObjectList that = ( ObjectList ) o;
        return that.obj1.equals ( obj1 ) && that.obj2.equals ( obj2 )
               && that.obj3.equals ( obj3 ) && that.obj4.equals ( obj4 );
    }
    @Override
    public int hashCode() {
        if ( h != 0 ) {
            return h;
        }
        h = obj1.hashCode();
        h = h * 31 + obj2.hashCode();
        h = h * 31 + obj3.hashCode();
        h = h * 31 + obj4.hashCode();
        return h;
    }
}
public Collection<ObjectList> duplicates (
    final Collection<ObjectList> someObjectsList ) {
    final Set<ObjectList> unique = new HashSet<ObjectList> ( someObjectsList );
    final ArrayList<ObjectList> ret = new ArrayList<ObjectList> ( someObjectsList );
    for ( final ObjectList o : unique ) {
        ret.remove ( o );
    }
    return ret;
}
