public abstract class BaseServlet extends HttpServlet {
    @Override
    protected void service ( HttpServletRequest req, HttpServletResponse resp )
    throws ServletException, IOException {
        prePerformLogic ( req, resp );
        super.service ( req, resp );
    }
    protected abstract void prePerformLogic ( HttpServletRequest req,
            HttpServletResponse resp ) throws ServletException, IOException;
}
