public void add ( Train myTrain ) {
    add ( myTrain, head );
}
private void add ( Train myTrain, ListNode head ) {
    if ( head.getNext() == null ) {
        head.setNext ( new ListNode ( myTrain ) );
        count++;
    } else if ( head.getNext().getTrain().getTrainNumber() < myTrain.getTrainNumber() ) {
        ListNode newNode = new ListNode ( myTrain );
        newNode.setNext ( head.getNext() );
        head.setNext ( newNode );
        count++;
    } else {
        add ( myTrain, head.getNext() );
    }
}
public Train delete ( int trainNumber ) {
    if ( head == null ) {
        return null;
    }
    return delete ( trainNumber, head );
}
public Train delete ( int trainNumber, ListNode currentNode ) {
    if ( currentNode.getNext() == null ) {
        return null;
    } else if ( currentNode.getNext().getTrain().getTrainNumber() == trainNumber ) {
        ListNode tmp = currentNode.getNext();
        currentNode.setNext ( currentNode.getNext().getNext() );
        return tmp.getTrain();
    } else {
        return delete ( trainNumber, currentNode.getNext() );
    }
}
