FileReader fr = new FileReader ( f );
BufferedReader reader = new BufferedReader ( fr );
String className = reader.readLine();
Class beanClass = Class.forName ( className );
ValueProcessorProvider provider = new ValueProcessorProvider();
CSVEntryParser<beanClass> entryParser = new AnnotationEntryParser<beanClass> ( beanClass.class, provider );
CSVReader<beanClass> csvPersonReader = new CSVReaderBuilder<beanClass> ( reader ).entryParser ( entryParser ).build();
List<beanClass> beanClassList = csvPersonReader.readAll();
System.out.println ( "First line: " + className );
return "";
