public class MyWebAppInitializer implements WebApplicationInitializer {
    @Override
    public void onStartup ( ServletContext container ) {
        AnnotationConfigWebApplicationContext rootContext =
            new AnnotationConfigWebApplicationContext();
        rootContext.register ( WebSpringConfig.class );
        container.addListener ( new ContextLoaderListener ( rootContext ) );
        AnnotationConfigWebApplicationContext dispatcherContext =
            new AnnotationConfigWebApplicationContext();
        dispatcherContext.register ( DispatcherConfig.class );
        ServletRegistration.Dynamic dispatcher =
            container.addServlet ( "dispatcher", new DispatcherServlet ( dispatcherContext ) );
        dispatcher.setLoadOnStartup ( 1 );
        dispatcher.addMapping ( "/" );
    }
}
