public static SOAPMessage sendSOAPMessage ( SOAPMessage message, String url, final Proxy p ) throws SOAPException, MalformedURLException {
    SOAPConnectionFactory factory = SOAPConnectionFactory.newInstance();
    SOAPConnection connection = factory.createConnection();
    URL endpoint = new URL ( null, url, new URLStreamHandler() {
        protected URLConnection openConnection ( URL url ) throws IOException {
            URL clone = new URL ( url.toString() );
            URLConnection connection = null;
            if ( p.address().toString().equals ( "0.0.0.0/0.0.0.0:80" ) ) {
                connection = clone.openConnection();
            } else {
                connection = clone.openConnection ( p );
            }
            connection.setConnectTimeout ( 5 * 1000 );
            connection.setReadTimeout ( 5 * 1000 );
            connection.addRequestProperty ( "Developer-Mood", "Happy" );
            return connection;
        }
    } );
    try {
        SOAPMessage response = connection.call ( message, endpoint );
        connection.close();
        return response;
    } catch ( Exception e ) {
        SOAPMessage response = connection.call ( message, endpoint );
        connection.close();
        return response;
    }
}
