private static void clientWrite ( Socket socket ) {
    OutputStream out = null;
    InputStream in = null;
    try {
        in = new FileInputStream ( "HelloNewPic.jpg" );
        out = socket.getOutputStream();
        pipe ( in, out );
    } catch ( IOException e ) {
        e.printStackTrace();
    } finally {
        close ( in );
        close ( out );
    }
}
private static void serverRead ( Socket socket ) {
    OutputStream out = null;
    InputStream in = null;
    try {
        in = socket.getInputStream();
        out = new FileOutputStream ( "HelloNewPic_Server.jpg" );
        pipe ( in, out );
    } catch ( IOException e ) {
        e.printStackTrace();
    } finally {
        close ( in );
        close ( out );
    }
}
private static void close ( Closeable c ) {
    if ( c != null ) {
        try {
            c.close();
        } catch ( IOException e ) {
            e.printStackTrace();
        }
    }
}
private static void pipe ( InputStream in, OutputStream out ) throws IOException {
    byte buffer[] = new byte[8192];
    while ( true ) {
        int read = in.read ( buffer );
        if ( read < 0 ) {
            break;
        }
        out.write ( buffer, 0, read );
    }
}
