private static final String SQL_INSERT = "INSERT INTO CURRENT_WEATHER_US"
        + " VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
public void create ( String cityCode, Weather weather ) throws SQLException {
    Connection connection = null;
    PreparedStatement statement = null;
    try {
        connection = database.getConnection();
        statement = connection.prepareStatement ( SQL_INSERT );
        statement.setString ( 1, cityCode );
        statement.setString ( 2, weather.getCity() );
        statement.setString ( 3, weather.getRegion() );
        statement.setString ( 20, weather.getForecastCode() );
        statement.executeUpdate();
    } finally {
        if ( statement != null ) try {
                statement.close();
            } catch ( SQLException logOrIgnore ) {}
        if ( connection != null ) try {
                connection.close();
            } catch ( SQLException logOrIgnore ) {}
    }
}
