public static boolean buildTree ( GenericTreeNode<String> inputNode ) {
    if ( interruptFlag ) {
        return false;
    }
    boolean something = openList.isEmpty() && !mappingList.keySet().containsAll ( XMLParser.ApplicationsListGUI );
    if ( something ) {
        return false;
    }
    boolean answerFound = openList.isEmpty() && ( mappingList.keySet().containsAll ( XMLParser.ApplicationsListGUI ) );
    if ( answerFound ) {
        return true;
    }
    List<GenericTreeNode<String>> childlist =
        Collections.sort ( childlist );
    for ( int i = 0; i < childlist.size(); i++ ) {
        inputNode = childlist.get ( i );
        boolean childHasAnswer = buildTree ( inputNode );
        if ( childHasAnswer ) {
            return true;
        }
    }
    return false;
}
