#include <stdlib.h>
#include <assert.h>
#include <fstream>
#include <sstream>
#include <iomanip>
void saveTextToBinary ( const std::string & inputFile, const std::string & outputFile ) {
    std::ifstream inFile ( inputFile.c_str() );
    std::ofstream outFile ( outputFile.c_str(), std::ios::binary | std::ios::out );
    if ( !inFile || !outFile ) {
    }
    std::string numberAsAscii;
    std::stringstream ss;
    unsigned int nr;
    while ( inFile >> numberAsAscii ) {
        nr = -1;
        ss << numberAsAscii;
        ss >> nr;
        assert ( nr >= 0 && nr <= 0xff );
        const bool writeFailed ( ! ( outFile << ( unsigned char ) nr ) );
        if ( writeFailed ) {
        }
        ss.clear();
    }
    outFile.close();
}
void readBinaryToText ( const std::string & inputFile, const std::string & outputFile ) {
    std::ifstream inFile ( inputFile.c_str(), std::ios::binary );
    std::ofstream outFile ( outputFile.c_str(), std::ios::binary | std::ios::out );
    if ( !inFile || !outFile ) {
    }
    std::ostringstream oss;
    unsigned char v;
    while ( inFile >> v ) {
        oss << ( unsigned int ) v << std::ends;
        const bool writeFailed ( ! ( outFile << oss.str() ) );
        if ( writeFailed ) {
        }
        oss.str ( "" );
    }
    outFile.close();
}
int _tmain ( int argc, _TCHAR * argv[] ) {
    saveTextToBinary ( "infile.txt", "outfile.txt" );
    readBinaryToText ( "outfile.txt", "convertedfile.txt" );
    return 0;
}
