@WebServlet ( urlPatterns = {"/ShowPersonServlet"} )
public class ShowPersonServlet extends HttpServlet {
    protected void processRequest ( HttpServletRequest request, HttpServletResponse response )
    throws ServletException, IOException {
        response.setContentType ( "text/html;charset=UTF-8" );
        HttpSession session = request.getSession();
        List<Person> personList = ( List<Person> ) session.getAttribute ( "personList" );
        if ( personList == null ) {
            personList = new ArrayList<>();
            session.setAttribute ( "personList", personList );
        }
        personList.add ( ( Person ) session.getAttribute ( "person" ) );
        request.getRequestDispatcher ( "/showPerson.jsp" ).forward ( request, response );
    }
    @Override
    protected void doGet ( HttpServletRequest request, HttpServletResponse response )
    throws ServletException, IOException {
        Person person = new Person();
        person.setKey ( request.getParameter ( "txt_Key" ) );
        person.setFirstName ( request.getParameter ( "txt_firstName" ) );
        person.setLastName ( request.getParameter ( "txt_lastName" ) );
        processRequest ( request, response );
        HttpSession session = request.getSession();
        session.setAttribute ( "person", person );
    }
    @Override
    protected void doPost ( HttpServletRequest request, HttpServletResponse response )
    throws ServletException, IOException {
        processRequest ( request, response );
    }
}
