import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
BufferedReader in = new BufferedReader ( new FileReader ( "C:\\visualization.txt" ) );
String line;
line = in.readLine();
in.close();
String[] expectedDropDownItemsInArray = line.split ( "=" ) [1].split ( "," );
ArrayList expectedDropDownItems = new ArrayList();
for ( int i = 0; i < expectedDropDownItemsInArray.length; i++ ) {
    expectedDropDownItems.add ( expectedDropDownItemsInArray[i] );
}
WebElement visualizationDropDownElement = driver.findElement ( By.id ( "visualizationId" ) );
Select visualizationDropDown = new Select ( visualizationDropDownElement );
List<WebElement> valuesUnderVisualizationDropDown  = visualizationDropDown.getOptions();
List<String> actualDropDownItems = new ArrayList();
for ( WebElement value : valuesUnderVisualizationDropDown ) {
    actualDropDownItems.add ( value.getText() );
}
System.out.println ( "expectedDropDownItems : " + expectedDropDownItems );
System.out.println ( "actualDropDownItems : " + actualDropDownItems );
if ( actualDropDownItems.size() != expectedDropDownItems.size() ) {
    System.out.println ( "Property file is NOT updated with the drop-down values" );
}
for ( int i = 0; i < actualDropDownItems.size(); i++ ) {
    if ( !expectedDropDownItems.get ( i ).equals ( actualDropDownItems.get ( i ) ) ) {
        System.out.println ( "Drop-down values are NOT in correct order" );
    }
}
