public abstract class TurnGameState extends AbstractGameState {
    protected final void updateState ( float delta ) {
        if ( isWinConditionSatisfied() ) {
            TurnBasedGame.currentState = new EndGameState();
        } else {
            update ( delta );
        }
    }
    protected abstract void update ( float delta );
    private boolean isWinConditionSatisfied() {
        return false;
    }
}
