JavaVM * savedVM = NULL;
JNIEXPORT void JNICALL Java_NativeClass_addListener ( JNIEnv * env, jobject obj_instance, jobject listener_instance ) {
    env->GetJavaVM ( & savedVM );
    saved_listener_instance = listener_instance;
}
void doSomething() {
    JNIEnv * ENV;
    int stat = savedVM->GetEnv ( ( void * * ) & ENV, JNI_VERSION_1_6 );
    if ( stat == JNI_EDETACHED ) {
        savedVM->AttachCurrentThread ( ( void * * ) & ENV, NULL );
    }
    if ( ENV == NULL ) {
        return;
    }
    jclass listenerClassRef = ENV->GetObjectClass ( saved_listener_instance );
    jmethodID listenerEventOccured = ENV->GetMethodID ( listenerClassRef, "eventOccurred", "(LInfo;)V" );
    jclass infoClsRef = ENV->FindClass ( "Info" );
    jobject info_instance = ENV->NewObject ( infoClsRef, ..... );
    ENV->CallVoidMethod ( saved_listener_instance, listenerEventOccured, info_instance );
    ENV->DeleteLocalRef ( info_instance );
}
