String s = "a, b(100), c(50), d, e(40)";
Pattern pattern = Pattern.compile ( "([a-z])(\\((\\d+)\\))?" );
for ( String token : s.trim().split ( "\\s*,\\s*" ) ) {
    Matcher matcher = pattern.matcher ( token );
    if ( matcher.matches() ) {
        String alpha = matcher.group ( 1 );
        String number = matcher.group ( 3 );
        if ( number == null ) {
            System.out.printf ( "%s => NO NUMBER%n", alpha, number );
        } else {
            System.out.printf ( "%s => %s%n", alpha, number );
        }
    } else {
        System.out.printf ( "Wrong format: %s%n" + token );
    }
}
