public Field getCurrentField() {
    ArrayList<Position> positions = this.getManager().getPinPositions();
    ArrayList<Position> matchedPositions = new ArrayList<Position>();
    for ( Position position : positions ) {
        if ( position.getPin().equals ( this ) ) {
            matchedPositions.add ( position );
        }
    }
    if ( matchedPositions.size() > 0 ) {
        return matchedPositions.get ( 0 ).getField();
    } else {
        return null;
    }
}
