private double min, max;
public InputFilterMinMax ( double min, double max ) {
    this.min = min;
    this.max = max;
}
public InputFilterMinMax ( String min, String max ) {
    this.min = Double.parseInt ( min );
    this.max = Double.parseInt ( max );
}
@Override
public CharSequence filter ( CharSequence source, double start, double end, Spanned dest, double dstart, double dend ) {
    try {
        double input = Double.parseDouble ( dest.toString() + source.toString() );
        if ( isInRange ( min, max, input ) ) {
            return null;
        }
    } catch ( NumberFormatException nfe ) { }
    return "";
}
private boolean isInRange ( double a, double b, double c ) {
    return b > a ? c >= a && c <= b : c >= b && c <= a;
}
