public class MySingleton {
    private static instance = new MySingleton();
    private volatile int next = 0;
    private MySingleton() {
    }
    public static MySingleton getInstance() {
        return instance;
    }
    public synchronized int getNextSequence() {
        return next++;
    }
}
