import java.awt.Color;
import java.awt.Graphics;
import java.awt.Polygon;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.geom.Point2D;
import java.awt.image.BufferedImage;
import java.io.IOException;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;
public class BottomLeftLabel extends JLabel {
    public static BottomLeftLabel BLP;
    public static BufferedImage original;
    public static ImageIcon icon;
    public static Polygon poly;
    public BottomLeftLabel() throws IOException {
        super();
        original = Methods2.loadImage ( "crash bandicoot picture.jpg" );
        original = Methods2.toFourChannel ( original );
        poly = null;
        icon = new ImageIcon ( original );
        this.addMouseListener ( new MouseListener() {
            @Override
            public void mouseClicked ( MouseEvent me ) {
            }
            @Override
            public void mousePressed ( MouseEvent me ) {
                Point2D P = me.getPoint();
                if ( poly == null ) {
                    poly = new Polygon ( new int[] { ( int ) P.getX() }, new int[] { ( int ) P.getY() }, 1 );
                    return;
                }
                int[] B = poly.xpoints;
                int[] C = poly.ypoints;
                int[] X = new int[poly.npoints + 1];
                int[] Y = new int[poly.npoints + 1];
                System.arraycopy ( B, 0, X, 0, B.length );
                System.arraycopy ( C, 0, Y, 0, C.length );
                X[B.length] = ( int ) P.getX();
                Y[C.length] = ( int ) P.getY();
                poly = new Polygon ( X, Y, poly.npoints + 1 );
                System.out.println ( poly.toString() );
                BLP.paint ( BLP.getGraphics() );
            }
            @Override
            public void mouseReleased ( MouseEvent me ) {
            }
            @Override
            public void mouseEntered ( MouseEvent me ) {
            }
            @Override
            public void mouseExited ( MouseEvent me ) {
            }
        } );
        this.setIcon ( icon );
        BLP = this;
    }
    @Override
    public void paint ( Graphics g ) {
        super.paint ( g );
        g.clearRect ( 0, 0, WIDTH, HEIGHT );
        if ( poly != null ) {
            g.drawPolygon ( poly );
        }
    }
}
