* Classes that require special handling during the serialization and
* deserialization process must implement special methods with these exact
* signatures: <p>
*
* <PRE>
* private void writeObject ( java.io.ObjectOutputStream out )
*     throws IOException
    * private void readObject ( java.io.ObjectInputStream in )
    *     throws IOException, ClassNotFoundException;
* private void readObjectNoData()
*     throws ObjectStreamException;
* < / PRE >
