public class MySingleton implements Serializable {
    private static final long serialVersionUID = -5909418239300111453L;
    private static MySingleton instance = null;
    protected MySingleton() {
    }
    public static MySingleton getInstance() {
        if ( instance == null ) {
            instance = new MySingleton();
        }
        return instance;
    }
    protected Object readResolve() {
        return getInstance();
    }
    private void readObject ( ObjectInputStream ois ) throws IOException, ClassNotFoundException {
        ois.defaultReadObject();
        instance = this;
    }
    private String attr;
    public String getAttr() {
        return attr;
    }
    public void setAttr ( String attr ) {
        this.attr = attr;
    }
}
