public class SomePreference extends PreferenceActivity implements OnSharedPreferenceChangeListener {
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        addPreferencesFromResource ( R.xml.task_pref );
        SharedPreferences SP = PreferenceManager
                               .getDefaultSharedPreferences ( getBaseContext() );
        SP.registerOnSharedPreferenceChangeListener ( this );
    }
    @Override
    public void onSharedPreferenceChanged ( SharedPreferences sharedPreferences,
                                            String key ) {
        if ( key.equals ( "" ) ) {
            String value = sharedPreferences.getString ( key, "Double" );
            Intent i = new Intent ( this, Main.class );
            startActivity ( i );
        }
    }
