import org.jmock.Expectations;
import org.jmock.Mockery;
import org.jmock.integration.junit4.JUnit4Mockery;
import junit.framework.TestCase;
public class FooTest extends TestCase {
    Mockery context = new JUnit4Mockery();
    public interface Foo {
        public abstract <T> void bar ( Class<? extends T> paramClass, T paramT );
    }
    public static class Snafu {}
    public void testFoo() {
        final Foo mock = context.mock ( Foo.class );
        context.checking ( new Expectations() {
            @SuppressWarnings ( "unchecked" )
            public void allow ( final Foo mockedFoo ) {
                allowing ( mockedFoo ).bar (
                    with ( any ( Class.class ) ),
                    with ( any ( Snafu.class ) ) );
            }
            {
                allow ( mock );
            }
        } );
        mock.bar ( Snafu.class, someStaticFunctionThatReturnsASnafu() );
        mock.bar ( Snafu.class, someStaticFunctionThatReturnsASnafu() );
    }
    public static Snafu someStaticFunctionThatReturnsASnafu() {
        return new Snafu();
    }
}
