static class MyConnectionSocketFactory extends SSLConnectionSocketFactory {
    public MyConnectionSocketFactory ( final SSLContext sslContext ) {
        super ( sslContext );
    }
    @Override
    public Socket createSocket ( final HttpContext context ) throws IOException {
        InetSocketAddress socksaddr = ( InetSocketAddress ) context.getAttribute ( "socks.address" );
        Proxy proxy = new Proxy ( Proxy.Type.SOCKS, socksaddr );
        return new Socket ( proxy );
    }
}
