package com.example.myfirstapp;
import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v7.app.ActionBarActivity;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
public class MainActivity extends ActionBarActivity {
    public final static String EXTRA_MESSAGE = "com.example.myfirstapp.MESSAGE";
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        if ( savedInstanceState == null ) {
            getSupportFragmentManager().beginTransaction()
            .add ( R.id.container, new PlaceholderFragment() )
            .commit();
        }
    }
    @Override
    public boolean onOptionsItemSelected ( MenuItem item ) {
        int id = item.getItemId();
        if ( id == R.id.action_settings ) {
            return true;
        }
        return super.onOptionsItemSelected ( item );
    }
    public static class PlaceholderFragment extends Fragment {
        public PlaceholderFragment() {
        }
        EditText editText;
        @Override
        public View onCreateView ( LayoutInflater inflater, ViewGroup container,
                                   Bundle savedInstanceState ) {
            View rootView = inflater.inflate ( R.layout.fragment_main, container, false );
            editText = ( EditText ) rootView.findViewById ( R.id.edit_message );
            Button btn = ( Button ) rootView.findViewById ( R.id.btn");
                         btn.setOnClickListener(new OnClickListener(){
                         @Override
                         public void onClick(View v) {
                         Intent intent = new Intent(getActivity(), DisplayMessageActivity.class);
                         String message = editText.getText().toString();
                         intent.putExtra(EXTRA_MESSAGE, message);
                         startActivity(intent);
                     }
                     });
                         return rootView;
                     }
                     }
                     }
