@Override
protected RouteBuilder createRouteBuilder() throws Exception {
    return new RouteBuilder() {
        @Override
        public void configure() throws Exception {
            from ( "direct:start" )
            .to ( "activemq:queue:foo?preserveMessageQos=true" )
            .to ( "mock:done" );
            from ( "activemq:queue:foo" )
            .to ( "log:foo?showAll=true", "mock:foo" )
            .transform ( body().prepend ( "Bye " ) );
            from ( "activemq:queue:bar?disableReplyTo=true" )
            .to ( "log:bar?showAll=true", "mock:bar" );
        }
    };
}
