public class Singleton {
    private Singleton() { }
    private static class SingletonHolder {
        private static final Singleton INSTANCE = new Singleton();
    }
    public static Singleton getInstance() {
        return SingletonHolder.INSTANCE;
    }
    public String getFoo() {
        return "bar";
    }
}
