public class NetworkChangeReceiver extends BroadcastReceiver {
    @Override
    public void onReceive ( Context context, Intent intent ) {
        ConnectivityManager cm = ( ConnectivityManager ) context.getSystemService ( Context.CONNECTIVITY_SERVICE );
        NetworkInfo info = cm.getActiveNetworkInfo();
        if ( info != null ) {
            if ( info.isConnected() ) {
                Intent intent = new Intent ( this, ItemServiceManager.class );
                startService ( intent );
            } else {
                Intent intent = new Intent ( this, ItemServiceManager.class );
                stopService ( intent );
            }
        }
    }
}
