BeanItemContainer<State> container = new BeanItemContainer<State> ( State.class );
final BeanFieldGroup<State> binder = new BeanFieldGroup<State> ( State.class );
binder.setFieldFactory ( new DefaultFieldGroupFieldFactory() {
    @SuppressWarnings ( "unchecked" )
    @Override
    public <T extends Field> T createField ( Class<?> type, Class<T> fieldType ) {
        if ( type.isAssignableFrom ( Governor.class ) && fieldType.isAssignableFrom ( ComboBox.class ) ) {
            return ( T ) new ComboBox();
        }
        return super.createField ( type, fieldType );
    }
} );
final State bean = new State();
Field<?> field = null;
binder.setItemDataSource ( bean );
binder.buildAndBind ( "State", "state" );
field = binder.buildAndBind ( "Governor", "governor", ComboBox.class );
ComboBox cmbx = ( ComboBox ) field;
cmbx.setContainerDataSource ( new BeanItemContainer<Governor> ( Governor.class ) );
cmbx.setItemCaptionPropertyId ( "governor" );
Governor governorA = new Governor();
governorA.setGovernor ( "A" );
Governor governorB = new Governor();
governorB.setGovernor ( "B" );
cmbx.getContainerDataSource().addItem ( governorA );
cmbx.getContainerDataSource().addItem ( governorB );
