import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.nio.file.attribute.FileOwnerAttributeView;
import java.nio.file.attribute.UserPrincipal;
public class FileOwner {
    public static void main ( String[] args ) throws IOException {
        Path path = Paths.get ( "/tmp" );
        FileOwnerAttributeView ownerAttributeView = Files.getFileAttributeView ( path, FileOwnerAttributeView.class );
        UserPrincipal owner = ownerAttributeView.getOwner();
        System.out.println ( "owner: " + owner.getName() );
    }
}
