import java.text.DecimalFormat;
public class Employee {
    private static int MAXHOURS = 40;
    private static double OTRATE = 1.5;
    private int ID;
    private int Hours;
    private double Wage;
    private double RegularPay;
    private int  OverHours;
    private double OverPay;
    private double GrossPay;
    DecimalFormat df1 = new DecimalFormat ( "#####.00" );
    public Employee ( int IDnumber ) {
        ID = IDnumber;
    }
    public int getID() {
        return ID;
    }
    public void setWage ( double HourlyWage ) {
        Wage = HourlyWage;
    }
    public double getWage() {
        return Wage;
    }
    public void setHours ( int hoursWorked ) {
        Hours = hoursWorked;
    }
    public double getHours() {
        return Hours;
    }
    public double getOverPay() {
        if ( Hours > MAXHOURS ) {
            OverHours = Hours - MAXHOURS;
            OverPay = OverHours * Wage * OTRATE;
        } else {
            OverPay = 0;
        }
        return OverPay;
    }
    public double getRegularPay() {
        return MAXHOURS * Wage;
    }
    public double getGrossPay() {
        return getRegularPay() + OverPay;
    }
    public String toString() {
        String strout = "\nId \t\t Hours \t\t Rate \t\t Regular Pay \t Overtime Pay \t Gross Pay\n";
        strout += ID + "\t " + Hours + "\t\t\t $" + ( df1.format ( Wage ) ) + "\t\t $" + ( df1.format ( getRegularPay() ) ) + "\t\t\t $" + ( df1.format ( getOverPay() ) ) + "\t\t\t $" + ( df1.format ( getGrossPay() ) );
        return strout;
    }
}
