public class OpenPilot extends Application {
    Movements movements;
    @Override
    public void start ( Stage stage ) throws Exception {
        FXMLLoader fxmlLoader = new FXMLLoader();
        Parent root = fxmlLoader.load ( getClass().getResource ( "FXMLDocument.fxml" ).openStream() );
        FXMLDocumentController controller = fxmlLoader.<FXMLDocumentController>getController();
        movements = controller.getMovements();
        Scene scene = new Scene ( root );
        scene.setOnKeyPressed ( new EventHandler<KeyEvent>() {
            @Override
            public void handle ( KeyEvent Key ) {
                movements.GetKeys ( Key );
            }
        } );
        stage.setScene ( scene );
        stage.show();
    }
    public static void main ( String[] args ) {
        launch ( args );
    }
}
