public static void main ( String[] args ) throws Exception {
    ApplicationContext context = new ClassPathXmlApplicationContext ( "rabbit-sender-context.xml" );
    AmqpTemplate aTemplate = ( AmqpTemplate ) context.getBean ( "tutorialTemplate" );
    for ( int i = 0; i < 10000; i++ ) {
        aTemplate.convertAndSend ( "my.routingkey.1", "Message # " + i + " on " + new Date() );
    }
}
public class TutorialListener implements MessageListener {
    public TutorialListener() {
        System.out.println ( "creating TutorialListener..." );
    }
    public void onMessage ( Message message ) {
        String messageBody = new String ( message.getBody() );
        System.out.println ( "Listener received message----->" + messageBody );
    }
