ArrayList<HashMap<String, String>> sList = new ArrayList<HashMap<String, String>>();
private void handleIntent ( Intent intent ) {
    if ( adapter != null ) {
        sList.clear();
        finish();
        startActivity ( intent );
    }
    if ( Intent.ACTION_SEARCH.equals ( intent.getAction() ) ) {
        String query = intent.getStringExtra ( SearchManager.QUERY );
        new SearchYelp().execute ( query );
    }
}
private void postResults() {
    for ( int i = 0; i < jsonResponse.getBundleSize(); i++ ) {
        HashMap<String, String> map = new HashMap<String, String>();
        map.put ( KEY_NAME, jsonResponse.getBusinessName ( i ) );
        map.put ( KEY_DESCRIPTION, jsonResponse.getSnippet ( i ) );
        map.put ( KEY_RATINGURL, jsonResponse.getRatingURL ( i ) );
        map.put ( KEY_THUMBURL, jsonResponse.getThumbURL ( i ) );
        map.put ( KEY_RATINGINT, jsonResponse.getRating ( i ) );
        sList.add ( map );
    }
    adapter = new CustomAdapter ( this, sList );
    setListAdapter ( adapter );
}
