import java.io.IOException;
import java.io.BufferedWriter;
import java.io.BufferedReader;
import java.io.OutputStreamWriter;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.lang.ClassNotFoundException;
import java.net.ServerSocket;
import java.net.Socket;
public class SocketServerExample {
    private static ServerSocket server;
    private static int port = 5000;
    public static void main ( String args[] ) throws IOException, ClassNotFoundException {
        server = new ServerSocket ( port );
        while ( true ) {
            System.out.println ( "Waiting for client request" );
            Socket socket = server.accept();
            BufferedReader reader = new BufferedReader ( new InputStreamReader ( socket.getInputStream() ) );
            String message = reader.readLine();
            System.out.println ( "Message Received: " + message );
            PrintWriter writer = new PrintWriter ( new BufferedWriter (
                    new OutputStreamWriter ( socket.getOutputStream() ) ),
                                                   true );
            writer.println ( "Hi Client " + message );
            reader.close();
            writer.close();
            socket.close();
            if ( message.equalsIgnoreCase ( "exit" ) ) {
                break;
            }
        }
        System.out.println ( "Shutting down Socket server!!" );
        server.close();
    }
}
