public class MyFrame extends JFrame {
    public MyFrame() {
        SwingUtilities.invokeLater ( new Runnable() {
            @Override
            public void run() {
                setSize ( new Dimension ( 600, 600 ) );
                setResizable ( false );
                JPanel panel = new JPanel() {
                    @Override
                    public void paintComponent ( Graphics g ) {
                        super.paintComponent ( g );
                        g.clearRect ( 0, 0, 600, 600 );
                        Color prevColor = g.getColor();
                        g.setColor ( Color.BLUE );
                        g.fillRect ( 0, 0, 600, 600 );
                        g.setColor ( prevColor );
                        ...
                    }
                };
                getContentPane().add ( panel );
                setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
                setVisible ( true );
            }
        } );
    }
}
