public class unpackZip {
    public boolean unzip ( String zipname, String path ) {
        InputStream is;
        ZipInputStream zis;
        try {
            String filename;
            is = new FileInputStream ( zipname );
            zis = new ZipInputStream ( new BufferedInputStream ( is ) );
            ZipEntry ze;
            byte[] buffer = new byte[1024];
            int count;
            while ( ( ze = zis.getNextEntry() ) != null ) {
                filename = ze.getName();
                if ( ze.isDirectory() ) {
                    File fmd = new File ( path, filename );
                    fmd.mkdirs();
                    continue;
                } else {
                    File fmd = new File ( path, filename );
                    Log.d ( "Unzipping", fmd.getParentFile().getPath() );
                    String parent = fmd.getParentFile().getPath();
                    File fmd_1 = new File ( parent );
                    fmd_1.mkdirs();
                }
                FileOutputStream fout = new FileOutputStream ( path + filename );
                while ( ( count = zis.read ( buffer ) ) != -1 ) {
                    fout.write ( buffer, 0, count );
                }
                fout.close();
                zis.closeEntry();
            }
            zis.close();
        } catch ( IOException e ) {
            e.printStackTrace();
            return false;
        }
        return true;
    }
}
