try {
    Class<?> c = Class.forName ( args[0] );
    Object t = c.newInstance();
    Method[] allMethods = c.getDeclaredMethods();
    for ( Method m : allMethods ) {
        String mname = m.getName();
        if ( !mname.equals ( "main" ) ) {
            System.out.println ( "involking" + mname );
            Object o = m.invoke ( t, args[1] );
            System.out.println ( "return value " + o.toString() );
        }
    }
}  catch ( ClassNotFoundException e ) {
    e.printStackTrace();
} catch ( InstantiationException e ) {
    e.printStackTrace();
} catch ( IllegalAccessException e ) {
    e.printStackTrace();
} catch ( IllegalArgumentException e ) {
    e.printStackTrace();
} catch ( InvocationTargetException e ) {
    e.printStackTrace();
}
