public void inputData ( Context c, String data, AccessibilityNodeInfo source ) {
    try {
        String lastClip = clipboard.getPrimaryClip().getItemAt ( 0 ).coerceToText ( c )
                          .toString();
    } catch ( Exception e ) {
        lastClip = "";
    }
    Log.d ( "THE NODE INFO", source.toString() );
    ClipData clip = ClipData.newPlainText ( "nfc_input", data );
    clipboard.setPrimaryClip ( clip );
    Log.d ( "SENDING DATA", Boolean.toString ( source.refresh() ) );
    Log.d ( "SENDING DATA", Boolean.toString ( source
            .performAction ( AccessibilityNodeInfo.ACTION_PASTE ) ) );
    ClipData clip = ClipData.newPlainText ( "nfc_input", lastClip );
    clipboard.setPrimaryClip ( clip );
}
