import java.io.IOException;
import org.codehaus.jackson.JsonGenerator;
import org.codehaus.jackson.JsonProcessingException;
import org.codehaus.jackson.map.JsonSerializer;
import org.codehaus.jackson.map.SerializerProvider;
public class CustomPointSerializer extends JsonSerializer<Point> {
    @Override
    public void serialize ( Point point, JsonGenerator gen, SerializerProvider provider ) throws IOException, JsonProcessingException {
        gen.writeStartArray();
        gen.writeNumber ( point.getX() );
        gen.writeNumber ( point.getY() );
        gen.writeEndArray();
    }
}
