public E take() throws InterruptedException {
    E x;
    int c = -1;
    final AtomicInteger count = this.count;
    final ReentrantLock takeLock = this.takeLock;
    takeLock.lockInterruptibly();
    try {
        while ( count.get() == 0 ) {
            notEmpty.await();
        }
        x = dequeue();
        c = count.getAndDecrement();
        if ( c > 1 ) {
            notEmpty.signal();
        }
    } finally {
        takeLock.unlock();
    }
    if ( c == capacity ) {
        signalNotFull();
    }
    return x;
}
