you can use android.net.conn.CONNECTIVITY_CHANGE broadcast
Add in your manifest
<receiver android: name = "com.example.utils.CheckInternetConnection"
                          android: enabled = "true" android: label = "ConnectivityActionReceiver">
                                  < intent - filter >
                                  < action android: name = "android.net.conn.CONNECTIVITY_CHANGE" / >
                                          < / intent - filter >
                                          < / receiver >
public class CheckInternetConnection extends BroadcastReceiver {
    @Override
    public void onReceive ( final Context arg0, Intent arg1 ) {
        if ( haveNetworkConnection ( arg0 ) ) {
        } else {
        }
    }
    private boolean haveNetworkConnection() {
        boolean haveConnectedWifi = false;
        boolean haveConnectedMobile = false;
        try {
            android.net.ConnectivityManager cm = ( android.net.ConnectivityManager ) context.getSystemService ( Context.CONNECTIVITY_SERVICE );
            android.net.NetworkInfo[] netInfo = cm.getAllNetworkInfo();
            for ( android.net.NetworkInfo ni : netInfo ) {
                if ( ni.getTypeName().equalsIgnoreCase ( "WIFI" ) )
                    if ( ni.isConnected() ) {
                        haveConnectedWifi = true;
                    }
                if ( ni.getTypeName().equalsIgnoreCase ( "MOBILE" ) )
                    if ( ni.isConnected() ) {
                        haveConnectedMobile = true;
                    }
            }
        } catch ( Exception e ) {
            e.printStackTrace();
        }
        return haveConnectedWifi || haveConnectedMobile;
    }
}
