Set<String> getCartesianProduct ( List<String> originalWords, TreeMap<String, Set<String>> wordVariationSet ) {
    Set<String> resultSet = new HashSet<String>();
    varyWord ( resultSet, "", originalWords, wordVariationSet, 0 );
    return resultSet;
}
void varyWord ( Set<String> result, String sentence, List<String> originalWords, Map<String, Set<String>> wordVariationSet, int index ) {
    if ( index == originalWords.size() ) {
        result.add ( sentence );
        return;
    }
    if ( index > 0 ) {
        sentence += " ";
    }
    String theOriginalWord = originalWords.get ( index );
    varyWord ( result, sentence + theOriginalWord, originalWords, wordVariationSet, index + 1 );
    Set<String> wordVariations = wordVariationSet.get ( theOriginalWord );
    if ( wordVariations != null )
        for ( String word : wordVariations ) {
            varyWord ( result, sentence + word, originalWords, wordVariationSet, index + 1 );
        }
}
