private static InputStream downloadFile ( Drive service, File file ) {
    if ( file.getDownloadUrl() != null && file.getDownloadUrl().length() > 0 ) {
        try {
            HttpResponse resp =
                service.getRequestFactory().buildGetRequest ( new GenericUrl ( file.getDownloadUrl() ) )
                .execute();
            return resp.getContent();
        } catch ( IOException e ) {
            e.printStackTrace();
            return null;
        }
    } else {
        return null;
    }
}
