package j.motors.cars;
import java.util.ArrayList;
import java.util.List;
import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;
public class MainActivity extends Activity {
    String[] make = {
        "Chevy",
        "Ford",
        "Dodge",
        "Hyundai",
        "Jeep",
        "Toyata",
        "Honda",
        "Kia"
    } ;
    Integer[] imageId = {
        R.drawable.ic_launcher,
        R.drawable.ic_launcher,
        R.drawable.ic_launcher,
        R.drawable.ic_launcher,
    };
    String[ ] price = {
        "$1500",
        "$3000",
        "$1700",
        "$800"
    };
    Integer[] arrow = {
        R.drawable.imgright,
        R.drawable.imgright,
        R.drawable.imgright,
        R.drawable.imgright,
    };
    String[ ] description = {
        "This car runs well and has all the right parts",
        "This car is a steal at the price since it barely has 15 miles on it",
        "Almost new condition",
        "This car runs well"
    };
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        lv = findViewById ( R.id.listView1 );
        TestAdapter adapter = new TestAdapter();
        lv.setadapter ( adapter )
    }
    public class TestAdapter extends BaseAdapter {
        @Override
        public int getCount() {
            return make.length();
        }
        @Override
        public Object getItem ( int position ) {
            return position;
        }
        @Override
        public long getItemId ( int position ) {
            return position;
        }
        @Override
        public View getView ( int position, View convertView, ViewGroup parent ) {
            LayoutInflater mInflater = LayoutInflater.from ( MainActivity.this );
            final ViewHolder holder;
            if ( convertView == null ) {
                convertView = mInflater.inflate (
                                  R.layout.row, null );
                holder = new ViewHolder();
                holder.imageView1 = ( ImageView ) convertView
                                    .findViewById ( R.id.imageview1 );
                holder.imageview2 = ( ImageView ) convertView
                                    .findViewById ( R.id.imageview2 );
                holder.tex1 = ( TextView ) convertView.findViewById ( R.id.textview1 );
                holder.tex2 = ( TextView ) convertView.findViewById ( R.id.textview2 );
                holder.tex3 = ( TextView ) convertView.findViewById ( R.id.textview3 );
                convertView.setTag ( holder );
            } else {
                holder = ( ViewHolder ) convertView.getTag();
            }
            holder.imageview1.setImageResource ( imageId[position] );
            holder.imageview2.setImageResource ( arrow[position] );
            holder.txt1.setText ( make[position] );
            holder.txt2.setText ( price[position] );
            holder.txt3.setText ( description[position] );
            return convertView;
        }
        class ViewHolder {
            TextView txt1, txt2, txt3;
            ImageView imageView1, imageview2;
        }
    }
}
