addMouseListener ( new MouseAdapter() {
    private int delay = 1000;
    private Timer timer = null;
    private int startTime = 0;
    @Override
    public void mouseMoved ( MouseEvent e ) {
        Point p = e.getLocationOnScreen();
        boolean pointInArea = false;
        if ( pointInArea ) {
            if ( System.currentTimeMillis() - startTime > delay ) {
                startTime = System.currentTimeMillis();
                timer = new Timer();
                timer.schedule ( new TimerTask() {
                    @Override
                    public void run() {
                    }
                }, delay );
            }
        } else ( !pointInArea && timer != null ) {
            timer.cancel();
            timer = null;
        }
    }
} );
