abstract class Operand {
    public abstract <T extends Operand> Operand operation ( Operator operator, T operand );
}
abstract class Numeric<T extends Numeric<T>> extends Operand {
    public abstract Operand operation ( Operator operator, T operand );
}
class Integer extends Numeric<Integer> {
    @Override
    public Operand operation ( Operator operator, Integer operand ) {
        return null;
    }
    @Override
    public <T extends Operand> Operand operation ( Operator operator, T operand ) {
        return operation ( operator, ( Integer ) operand );
    }
}
