interface ArchiveSearcher {
    String search ( String target );
}
class App {
    ExecutorService executor = ...
                               ArchiveSearcher searcher = ...
                                       void showSearch ( final String target )
    throws InterruptedException {
        Future<String> future
        = executor.submit ( new Callable<String>() {
            public String call() {
                return searcher.search ( target );
            }
        } );
        displayOtherThings();
        try {
            displayText ( future.get() );
        } catch ( ExecutionException ex ) {
            cleanup();
            return;
        }
    }
}
