public class HelloJME_3 extends SimpleApplication {
    public static float PIXELSMOVED_TO_RADIANSROTATED = 0.01f;
    public static void main ( String[] args ) {
        HelloJME_3 app = new HelloJME_3();
        app.start();
    }
    @Override
    public void simpleInitApp() {
        Box b = new Box ( 1, 1, 1 );
        final Geometry geom = new Geometry ( "Box", b );
        Material mat = new Material ( assetManager,
                                      "Common/MatDefs/Misc/Unshaded.j3md" );
        mat.setColor ( "Color", ColorRGBA.Blue );
        geom.setMaterial ( mat );
        rootNode.attachChild ( geom );
        flyCam.setEnabled ( false );
        inputManager.addMapping ( "MouseMoved",
                                  new MouseAxisTrigger ( MouseInput.AXIS_X, false ),
                                  new MouseAxisTrigger ( MouseInput.AXIS_X, true )
                                );
        inputManager.addListener ( new AnalogListener() {
            @Override
            public void onAnalog ( String name, float value, float tpf ) {
                inputManager.getCursorPosition();
                float centredX = inputManager.getCursorPosition().x - 0.5f * settings.getWidth();
                Quaternion quat = new Quaternion();
                quat.fromAngles ( 0, PIXELSMOVED_TO_RADIANSROTATED * centredX, 0 );
                geom.setLocalRotation ( quat );
            }
        }, "MouseMoved" );
    }
}
