import java.io.*;
import java.net.*;
class Server {
    public static void main ( String argv[] ) throws Exception {
        try {
            ServerSocket welcomeSocket = new ServerSocket ( 6789 );
            while ( true ) {
                Socket connectionSocket = welcomeSocket.accept();
                System.out.println ( "Connection accepted!" );
                String fileName = "";
                InputStream iS = connectionSocket.getInputStream();
                InputStreamReader iSR = new InputStreamReader ( iS );
                BufferedReader bR = new BufferedReader ( iSR );
                fileName = bR.readLine();
                System.out.println ( "File request received : " + fileName );
                File myFile = new File ( fileName );
                byte[] bArray = new byte[ ( int ) myFile.length()];
                FileInputStream f = new FileInputStream ( myFile );
                BufferedInputStream bs = new BufferedInputStream ( f );
                bs.read ( bArray, 0, bArray.length );
                System.out.println ( "Okay, sending the file now." );
                OutputStream os = connectionSocket.getOutputStream();
                os.write ( bArray, 0, bArray.length );
                os.flush();
                connectionSocket.close();
                System.out.println ( "File was successfully sent!" );
            }
        } catch ( Exception e ) {
            System.out.println ( e.getMessage() );
        }
    }
}
