public class MainActivity extends Activity  {
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        if ( savedInstanceState == null ) {
            getFragmentManager().beginTransaction()
            .add ( R.id.container, new PlaceholderFragment() ).commit();
        }
    }
    @Override
    public boolean onCreateOptionsMenu ( Menu menu ) {
        getMenuInflater().inflate ( R.menu.main, menu );
        return true;
    }
    @Override
    public boolean onOptionsItemSelected ( MenuItem item ) {
        int id = item.getItemId();
        if ( id == R.id.action_settings ) {
            return true;
        }
        return super.onOptionsItemSelected ( item );
    }
    public static class PlaceholderFragment extends Fragment implements OnClickListener {
        public PlaceholderFragment() {
        }
        @Override
        public View onCreateView ( LayoutInflater inflater, ViewGroup container,
                                   Bundle savedInstanceState ) {
            View rootView = inflater.inflate ( R.layout.fragment_main, container,
                                               false );
            Button button = ( Button ) rootView.findViewById ( R.id.try_button );
            button.setOnClickListener ( this );
            return rootView;
        }
        @Override
        public void onClick ( View v ) {
            Toast.makeText ( getActivity(), "I'm clicked!", Toast.LENGTH_SHORT ).show();
        }
    }
}
