import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import org.apache.commons.io.FileUtils;
public class Practice {
    public static void main ( String[] args ) {
        File file = new File ( "christmas_carol.txt" );
        try {
            String fileContent = FileUtils.readFileToString ( file );
            String[] lines = fileContent.split ( " " );
            List<String> array = Arrays.asList ( lines );
            Set<String> uniqueWords = new HashSet<String> ( array );
            List<String> dup = new ArrayList<String>();
            for ( String line : array ) {
                if ( !dup.contains ( line ) ) {
                    dup.add ( line );
                }
            }
            Map<String, Integer> wordFrequency = new HashMap<String, Integer>();
            int count;
            for ( String line : array ) {
                count = 0;
                if ( wordFrequency.containsKey ( line ) ) {
                    count = wordFrequency.get ( line );
                }
                wordFrequency.put ( line, ++count );
            }
        } catch ( IOException ie ) {
            System.err.print ( "No Such File Found!" );
        }
    }
}
