<bean id = "targetItemReader" class = "org.springframework.batch.item.database.JdbcPagingItemReader" scope = "step">
                                          < property name = "dataSource" ref = "dataSource" / >
                                                  <property name = "queryProvider">
                                                          <bean
                                                          class = "org.springframework.batch.item.database.support.SqlPagingQueryProviderFactoryBean">
                                                                      < property name = "dataSource" ref = "dataSource" / >
                                                                              < property name = "selectClause" value = "ID, IP, PORT, CONNECTED, BANNER" / >
                                                                                      < property name = "fromClause" value = "FROM TARGET" / >
                                                                                              < property name = "whereClause" value = "ID >= :minId AND ID &lt;= :maxId AND CONNECTED IS NULL" / >
                                                                                                      < property name = "sortKey" value = "ID" / >
                                                                                                              < / bean >
                                                                                                              < / property >
                                                                                                              < property name = "pageSize" value = "10" / >
                                                                                                                      <property name = "parameterValues">
                                                                                                                              <map>
                                                                                                                              < entry key = "minId" value = "#{stepExecutionContext[minValue]}" / >
                                                                                                                                      < entry key = "maxId" value = "#{stepExecutionContext[maxValue]}" / >
                                                                                                                                              < / map >
                                                                                                                                              < / property >
                                                                                                                                              <property name = "rowMapper">
                                                                                                                                                      < bean class = "com.michaelminella.springbatch.domain.TargetRowMapper" / >
                                                                                                                                                                  < / property >
                                                                                                                                                                  < / bean >
