public class ExampleAsync extends AsyncTask <Void, Integer, Void> {
    private ProgressDialog progressBar;
    private Context context;
    public ExampleAsync ( Context context ) {
        this.context = context;
    }
    @Override
    protected void onPreExecute() {
        progressBar = new ProgressDialog ( context );
        progressBar.setCancelable ( false );
        progressBar.setMessage ( "I am starting to look for stuff" );
        progressBar.setProgressStyle ( ProgressDialog.STYLE_HORIZONTAL );
        progressBar.setIndeterminate ( true );
        progressBar.show();
    }
    @Override
    protected void onProgressUpdate ( Integer ... option ) {
        progressBar.setMessage ( "I have found :" + option[0] );
    }
    @Override
    protected void onPostExecute ( Void unused ) {
        progressBar.dismiss();
    }
    @Override
    protected Void doInBackground ( Void... unused ) {
        for ( int i = 0; i < someLimit; i++ ) {
            publishProgress ( i );
        }
    }
}
