import java.util.*;
public class CommandLineRunner {
    public static void main ( String args[] ) {
        HashMap<String, String> argsMap = new HashMap<String, String>();
        for ( int i = 0; i < args.length; i++ ) {
            StringTokenizer st = new StringTokenizer ( args[i], "=" );
            while ( st.hasMoreTokens() ) {
                String key = st.nextToken();
                try {
                    String val = st.nextToken();
                    argsMap.put ( key, val );
                } catch ( NoSuchElementException e ) {
                    argsMap.put ( key, "" );
                }
            }
        }
        for ( Map.Entry<String, String> entry : argsMap.entrySet() ) {
            String key = entry.getKey();
            String value = entry.getValue();
            System.out.println ( "arg: " + key + "\tval:" + value );
            if ( key.equals ( "runType" ) ) {
            } else if ( key.equals ( "threadCnt" ) ) {
            } else if ( key.equals ( "cleanLogs" ) ) {
            } else {
                throw new RuntimeException ( "Invalid argument!" );
            }
        }
    }
}
