ScheduledExecutorService executor = Executors.newSingleThreadScheduledExecutor();
List<Future<String>> results = executor.invokeAll ( Arrays.asList ( new Task() ), 1, TimeUnit.SECONDS );
for ( Future<String> result : results ) {
    if ( !result.isCancelled() ) {
        System.out.println ( result.get() );
    } else {
        System.out.println ( "Task timed out." );
    }
}
executor.shutdown();
