public void validateBooleanVTD2 ( PropertyRule prop, int i ) throws XPathParseException, XPathEvalException,
    NavException {
    int n = -1;
    String xPath = prop.getEntitiesObjects().get ( i ).getxPath();
    String propertyChecked = prop.getTag();
    VTDGen parseRef = new VTDGen();
    VTDGen parseTest = new VTDGen();
    parseRef.parseFile ( ref, false );
    parseTest.parseFile ( test, false );
    VTDNav navigateRef = parseRef.getNav();
    VTDNav navigateTest = parseTest.getNav();
    AutoPilot autopilotRef = new AutoPilot();
    AutoPilot autopilotTest = new AutoPilot();
    autopilotRef.bind ( navigateRef );
    autopilotTest.bind ( navigateTest );
    autopilotRef.selectXPath ( xPath );
    while ( ( n = autopilotRef.evalXPath() ) != -1 ) {
        int nameIndexRef = navigateRef.getAttrVal ( "name" );
        String nameRef = navigateRef.toNormalizedString ( nameIndexRef );
        AutoPilot autopilotRefTestTag = new AutoPilot();
        AutoPilot autopilotTestTestTag = new AutoPilot();
        autopilotRefTestTag.bind ( navigateRef );
        autopilotTestTestTag.bind ( navigateTest );
        autopilotTestTestTag.selectXPath ( xPath + "[@name='" + nameRef + "'][descendant::" + propertyChecked + "]" );
        autopilotRefTestTag.selectXPath ( xPath + "[@name='" + nameRef + "'][descendant::" + propertyChecked + "]" );
        if ( autopilotRefTestTag.evalXPathToBoolean() == true && autopilotTestTestTag.evalXPathToBoolean() == false ) {
            System.out.println ( nameRef );
        }
        if ( autopilotRefTestTag.evalXPathToBoolean() == false && autopilotTestTestTag.evalXPathToBoolean() == true ) {
            System.out.println ( nameRef );
        }
    }
}
