@BeforeClass
public static void beforeClass() throws Exception {
    System.setProperty ( "solr.solr.home", "src/test/resources/solr" );
    System.setProperty ( "solr.data.dir", "target/test-classes/solr/data" );
    System.setProperty ( "solr.directoryFactory", "solr.RAMDirectoryFactory" );
    solrRunner = new JettySolrRunner ( "src/test/resources/solr", "/solr", getPort() );
    solrRunner.start();
    solrServer = new HttpSolrServer ( "http://localhost:" + getPort() + "/solr" );
}
@AfterClass
public static void afterClass() throws Exception {
    if ( solrRunner != null ) {
        solrRunner.stop();
    }
}
