private GameEventListener mListener;
public interface GameEventListener {
    void onWin();
    void onLoss();
}
public void setGameEventListener ( GameEventListener listener ) {
    mListener = listener;
}
private void notifyGameWon() {
    if ( mListener != null ) {
        mListener.onWin();
    }
}
private void notifyGameLost() {
    if ( mListener != null ) {
        mListener.onLoss();
    }
}
