import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
public class LoginPane extends JPanel {
    private JTextField userName;
    private JPasswordField password;
    public LoginPane() {
        setLayout ( new GridBagLayout() );
        GridBagConstraints gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 0;
        gbc.anchor = GridBagConstraints.EAST;
        gbc.insets = new Insets ( 4, 4, 4, 4 );
        add ( new JLabel ( "Username:" ), gbc );
        gbc.gridy++;
        add ( new JLabel ( "Password:" ), gbc );
        userName = new JTextField ( 10 );
        password = new JPasswordField ( 10 );
        gbc.gridx = 1;
        gbc.gridy = 0;
        gbc.anchor = GridBagConstraints.WEST;
        gbc.fill = GridBagConstraints.HORIZONTAL;
        add ( userName, gbc );
        gbc.gridy++;
        add ( password, gbc );
    }
    public String getUsername() {
        return userName.getText();
    }
    public char[] getPassword() {
        return password.getPassword();
    }
    public static void main ( String[] args ) {
        EventQueue.invokeLater ( new Runnable() {
            @Override
            public void run() {
                try {
                    UIManager.setLookAndFeel ( UIManager.getSystemLookAndFeelClassName() );
                } catch ( ClassNotFoundException | InstantiationException | IllegalAccessException | UnsupportedLookAndFeelException ex ) {
                }
                LoginPane loginPane = new LoginPane();
                int option = JOptionPane.showOptionDialog (
                                 null,
                                 loginPane,
                                 "Login",
                                 JOptionPane.OK_CANCEL_OPTION,
                                 JOptionPane.PLAIN_MESSAGE,
                                 null,
                                 new Object[] {"Submit"},
                                 "Submit" );
                if ( option == 0 ) {
                    System.out.println ( "Happy" );
                }
            }
        } );
    }
}
