Bitmap mDrawBitmap;
Canvas mBitmapCanvas;
Paint mDrawPaint = new Paint();
@Override
public void onDraw ( Canvas canvas ) {
    if ( mDrawBitmap == null ) {
        mDrawBitmap = Bitmap.createBitmap ( getWidth(), getHeight(), Bitmap.Config.ARGB_8888 );
        mBitmapCanvas = new Canvas ( mDrawBitmap );
    }
    mBitmapCanvas.drawWhatever ( ... );
    canvas.drawBitmap ( mDrawBitmap, 0, 0, mDrawPaint );
}
