public class IncommingCallReceiver extends BroadcastReceiver {
    static boolean ring = false;
    static boolean callReceived = false;
    @Override
    public void onReceive ( Context mContext, Intent intent ) {
        String state = intent.getStringExtra ( TelephonyManager.EXTRA_STATE );
        if ( state == null ) {
            return;
        }
        if ( state.equals ( TelephonyManager.EXTRA_STATE_RINGING ) ) {
            ring = true;
            Bundle bundle = intent.getExtras();
            callerPhoneNumber = bundle.getString ( "incoming_number" );
        }
        if ( state.equals ( TelephonyManager.EXTRA_STATE_OFFHOOK ) ) {
            callReceived = true;
        }
        if ( state.equals ( TelephonyManager.EXTRA_STATE_IDLE ) ) {
            if ( ring == true && callReceived == false ) {
                Toast.makeText ( mContext, "It was A MISSED CALL from : " + callerPhoneNumber, Toast.LENGTH_LONG ).show();
            }
        }
    }
