public class drawingView extends View implements OnTouchListener {
    static int x, y, r = 255, g = 255, b = 255;
    final static int radius = 30;
    Paint paint;
    public drawingView ( Context context ) {
        super ( context );
        paint = new Paint();
        paint.setAntiAlias ( true );
        paint.setARGB ( 255, r, g, b );
        setFocusable ( true );
        this.setOnTouchListener ( this );
    }
    public void onDraw ( Canvas canvas ) {
        paint.setARGB ( 255, r, g, b );
        canvas.drawCircle ( x, y, radius, paint );
    }
    public boolean onTouch ( View view, MotionEvent event ) {
        x = ( int ) event.getX() - ( radius / 2 );
        y = ( int ) event.getY() - ( radius / 2 );
        randColor();
        invalidate();
        if ( event.getAction() == MotionEvent.ACTION_UP ) {
            paint.setARGB ( 12, r, g, b );
        }
        return true;
    }
    public void randColor() {
        r = 1;
        g = 2;
        b = 3;
    }
    public void dissColor() {
        r = 255;
        g = 255;
        b = 255;
    }
}
