import javafx.application.Application;
import javafx.stage.Stage;
public class ThreadDemo extends Application {
    public static void main ( String[] args ) {
        launch ( args );
    }
    @Override
    public void start ( Stage stage ) throws Exception {
        int count = Thread.activeCount();
        System.out.println ( "currently active threads = " + count );
        Thread th[] = new Thread[count];
        Thread.enumerate ( th );
        for ( int i = 0; i < count; i++ ) {
            th[i].setPriority ( i + 1 );
            System.out.println ( i + ": " + th[i] + " has priority of "
                                 + th[i].getPriority() );
        }
        System.out.println ( "Current Thread " + Thread.currentThread().getName()
                             + " priority " + Thread.currentThread().getPriority() );
    }
}
