public String sendData() throws IOException {
    URL url = new URL ( "http://some.host.com/somewhere/to/" );
    HttpURLConnection con = ( HttpURLConnection ) url.openConnection();
    con.setRequestMethod ( "POST" );
    con.setInstanceFollowRedirects ( true );
    String postData = "my_data_for_posting";
    con.setRequestProperty ( "Content-length", String.valueOf ( postData.length() ) );
    con.setDoOutput ( true );
    con.setDoInput ( true );
    DataOutputStream output = new DataOutputStream ( con.getOutputStream() );
    output.writeBytes ( postData );
    output.close();
    int code = con.getResponseCode();
    System.out.println ( "Response    (Code):" + code );
    System.out.println ( "Response (Message):" + con.getResponseMessage() );
    DataInputStream input = new DataInputStream ( con.getInputStream() );
    int c;
    StringBuilder resultBuf = new StringBuilder();
    while ( ( c = input.read() ) != -1 ) {
        resultBuf.append ( ( char ) c );
    }
    input.close();
    return resultBuf.toString();
}
