public class TestActivity {
    ..
    private ServiceConnection sConn;
    private Messenger messenger;
    ..
    @Override
    protected void onCreate ( Bundle savedInstanceState ) {
        sConn = new ServiceConnection() {
            @Override
            public void onServiceDisconnected ( ComponentName name ) {
                messenger = null;
            }
            @Override
            public void onServiceConnected ( ComponentName name, IBinder service ) {
                messenger = new Messenger ( service );
            }
        };
        ...
        bindService ( new Intent ( this, ShowNotifyService.class ), sConn,
                      Context.BIND_AUTO_CREATE );
        ..
        btn.setOnClickListener ( new View.OnClickListener() {
            @Override
            public void onClick ( View v ) {
                String val = edt.getText().toString();
                Message msg = Message.obtain ( null, ShowNotifyService.SHOW_FIRST_NOTIFY );
                msg.replyTo = new Messenger ( new ResponseHandler() );
                Bundle b = new Bundle();
                b.putString ( "data", val );
                msg.setData ( b );
                try {
                    messenger.send ( msg );
                } catch ( RemoteException e ) {
                    e.printStackTrace();
                }
            }
        } );
    }
    class ResponseHandler extends Handler {
        @Override
        public void handleMessage ( Message msg ) {
            int respCode = msg.what;
            switch ( respCode ) {
            case ShowNotifyService.SHOW_FIRST_NOTIFY_RESPONSE: {
                result = msg.getData().getString ( "respData" );
            }
            }
        }
    }
}
