@Test
public void recipeIntegrationTest() {
    Recipe recipe = new Recipe ( "Integration Test Recipe" );
    LinkedHashSet<String> instructions = new LinkedHashSet<String>();
    instructions.add ( "This is an instruction." );
    recipe.setRecipeSteps ( instructions );
    recipe =    recipeDao.add ( recipe );
    Ingredient cookingOil = new Ingredient ( "Cooking Oil" );
    ingredientDao.add ( cookingOil );
    IngredientInstance iCookingOil = new IngredientInstance ( "1/8 cup", cookingOil );
    iCookingOil.setRecipe ( recipe );
    ingredientInstanceDao.add ( iCookingOil );
    HashSet<IngredientInstance> inginst = new HashSet<IngredientInstance>();
    recipe.prettyPrint();
}
