static final String JDBC_DRIVER = "com.mysql.jdbc.Driver";
static final String DB_URL = "jdbc:mysql://<HOST>:<PORT>/DB?verifyServerCertificate=true&useSSL=true&requireSSL=true"
public static void main ( String[] args ) {
    Connection conn = null;
    try {
        Class.forName ( JDBC_DRIVER );
        System.out.println ( "Connecting to database..." );
        conn = DriverManager.getConnection ( DB_URL );
    } catch ( ClassNotFoundException e ) {
        e.printStackTrace();
    } catch ( SQLException e ) {
        e.printStackTrace();
    } finally {
        if ( conn != null ) {
            try {
                conn.close();
            } catch ( Exception e ) {
            }
        }
    }
}
