import java.awt.*;
import java.awt.Dialog.ModalityType;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.*;
public class Test {
    private JFrame frame = new JFrame();
    private JTabbedPane tabpane = new JTabbedPane();
    private JPanel panel1 = new JPanel();
    private GridBagConstraints c = new GridBagConstraints();
    private final static boolean SHOULD_FILL = true;
    private GridBagLayout grid = new GridBagLayout();
    public Test() {
        frame.setVisible ( true );
        frame.setSize ( 821, 421 );
        final Toolkit toolkit = Toolkit.getDefaultToolkit();
        Dimension dimension = Toolkit.getDefaultToolkit().getScreenSize();
        int x = ( int ) ( ( dimension.getWidth() - frame.getWidth() ) / 2 );
        int y = ( int ) ( ( dimension.getHeight() - frame.getHeight() ) / 2 );
        frame.setLocation ( x, y );
        frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        JPanel container = new JPanel();
        container.setLayout ( new BorderLayout() );
        container.setBackground ( new Color ( 0, 128, 0 ) );
        tabpane = new JTabbedPane();
        tabpane.setBackground ( new Color ( 0, 128, 0 ) );
        tabpane.setSize ( 801, 351 );
        JPanel jp1 = new JPanel();
        jp1.setBackground ( new Color ( 0, 128, 0 ) );
        jp1.setLayout ( grid );
        JButton popout = new JButton ( "MORE" );
        popout.addActionListener ( new ActionListener() {
            public void actionPerformed ( ActionEvent e ) {
                new HisTestButton ( Test.this );
            }
        } );
        jp1.add ( popout );
        JPanel jp2 = new JPanel();
        jp2.setBackground ( new Color ( 0, 128, 0 ) );
        jp2.setLayout ( grid );
        JPanel jp3 = new JPanel();
        jp3.setBackground ( new Color ( 0, 128, 0 ) );
        jp3.setLayout ( grid );
        tabpane.addTab ( "Tab 1", jp1 );
        tabpane.addTab ( "Tab 2", jp2 );
        tabpane.addTab ( "Tab 3", jp3 );
        frame.add ( container );
        container.add ( tabpane, BorderLayout.NORTH );
    }
    public void openNextTab() {
        int selectedIndex = tabpane.getSelectedIndex();
        selectedIndex++;
        selectedIndex %= tabpane.getTabCount();
        tabpane.setSelectedIndex ( selectedIndex );
    }
    public JFrame getFrame() {
        return frame;
    }
    public static void main ( String[] args ) {
        EventQueue.invokeLater ( new Runnable() {
            @Override
            public void run() {
                new Test();
            }
        } );
    }
}
class HisTestButton {
    protected static final int PREF_W = 200;
    protected static final int PREF_H = 200;
    JDialog dialog;
    GridBagLayout grid = new GridBagLayout();
    private Test test;
    public HisTestButton ( final Test test ) {
        this.test = test;
        dialog = new JDialog ( test.getFrame(), "MyDialog", ModalityType.MODELESS );
        JPanel jp = new JPanel() {
            @Override
            public Dimension getPreferredSize() {
                return new Dimension ( PREF_W, PREF_H );
            }
        };
        jp.setBackground ( new Color ( 0, 128, 0 ) );
        jp.setLayout ( grid );
        JButton btn = new JButton ( "SWITCH TO PANEL 2" );
        btn.addActionListener ( new ActionListener() {
            @Override
            public void actionPerformed ( ActionEvent e ) {
                test.openNextTab();
            }
        } );
        jp.add ( btn );
        dialog.add ( jp );
        dialog.pack();
        dialog.setVisible ( true );
    }
}
