public void highLight ( JTextComponent component, String patteren ) {
    try {
        Document doc = component.getDocument();
        String text = component.getText ( 0, doc.getLength() );
        int pos = component.getCaretPosition();
        boolean found = false;
        int findLength = patteren.length();
        if ( pos + findLength > doc.getLength() ) {
            pos = 0;
        }
        while ( pos + findLength <= doc.getLength() ) {
            String match = doc.getText ( pos, findLength ).toLowerCase();
            if ( match.equals ( patteren ) ) {
                found = true;
                break;
            }
            pos++;
        }
        if ( found ) {
            component.setSelectionStart ( pos );
            component.setSelectionEnd ( pos + patteren.length() );
            component.getCaret().setSelectionVisible ( true );
        }
    } catch ( Exception e ) {
        e.printStackTrace();
    }
}
