public interface MyWidget {
    Object getValue();
}
public class TextWidget extends JTextField implements MyWidget {
    public void setValue ( Object value ) {
        setText ( value.toString() );
    }
    public Object getValue() {
        return getText();
    }
}
public class ComboWidget extends JComboBox implements MyWidget {
    public void setValue ( Object value ) {
        setSelectedItem ( value );
    }
    public Object getValue() {
        return getSelectedItem();
    }
}
