import java.util.Scanner;
import java.io.*;
public class FileCount {
    public static void main ( String[] args ) throws IOException {
        if ( args.length != 1 ) {
            System.err.println ( "Usage: LineCount file" );
            System.exit ( 1 );
        }
        Scanner in = new Scanner ( new File ( args[0] ) );
        System.out.println ( args[0] + " contains " + lineCount ( in ) + " lines" );
    }
    public static int lineCount ( Scanner in ) {
        int lineCount = 0;
        while ( in.hasNextLine() ) {
            in.nextLine();
            lineCount++;
        }
        in.close();
        return lineCount;
    }
}
