try {
    JSONObject object = ( JSONObject ) new JSONTokener ( JSONResponse )
                        .nextValue();
    JSONArray earthquakes = object.getJSONArray ( "features" );
    for ( int i = 0; i < earthquakes.length(); i++ ) {
        JSONObject tmp = ( JSONObject ) earthquakes.get ( i );
        JSONObject geometry = tmp.getJSONObject ( "geometry" );
        JSONArray coords = geometry.getJSONArray ( "coordinates" );
        JSONObject properties = tmp.getJSONObject ( "properties" );
        if ( coords.getString ( 0 ) != "" && coords.getString ( 1 ) != "" ) {
            result.add ( new EarthQuakeRec (
                             Float.parseFloat ( coords.getString ( 1 ) ),
                             Float.parseFloat ( coords.getString ( 0 ) ),
                             Float.parseFloat ( properties.getString ( "mag" ) ),
                             properties.getString ( "place" )
                         )
                       );
        }
    }
} catch ( JSONException e ) {
    e.printStackTrace();
}
