public class BruteForceTest {
    public static boolean bruteforce ( int[] input ) {
        if ( input == null || input.length == 1 ) {
            return true;
        }
        int compare = input[0];
        for ( int i = 1; i < input.length; i++ ) {
            if ( input[i] != compare ) {
                return false;
            }
        }
        return true;
    }
    public static void main ( String[] args ) {
        int[] denominator = {3, 3, 4, 3};
        boolean compare = bruteforce ( denominator );
        System.out.print ( "{3,3,4,3}:\t" );
        if ( compare ) {
            System.out.println ( "Yup!" );
        } else {
            System.out.println ( "Nope!" );
        }
        int[] denominator2 = {2, 2};
        boolean compare2 = bruteforce ( denominator2 );
        System.out.print ( "{2,2}:\t\t" );
        if ( compare2 ) {
            System.out.println ( "Yup!" );
        } else {
            System.out.println ( "Nope!" );
        }
        int[] denominator3 = {2};
        System.out.print ( "{2}:\t\t" );
        if ( bruteforce ( denominator3 ) ) {
            System.out.println ( "Yup!" );
        } else {
            System.out.println ( "Nope!" );
        }
        System.out.print ( "null:\t\t" );
        if ( bruteforce ( null ) ) {
            System.out.println ( "Yup!" );
        } else {
            System.out.println ( "Nope!" );
        }
    }
}
