import com.ibm.icu.text.Transliterator;
public class MarathiHelper {
    public String devanagariToLatin ( String marathiString ) {
        final String MAR_TO_ENG = "Devanagari-Latin";
        Transliterator toEnglish = Transliterator.getInstance ( MAR_TO_ENG );
        String english = toEnglish.transliterate ( marathiString );
        return english;
    }
    public String latinToDevanagari ( String latinString ) {
        final String ENG_TO_DEV = "Latin-Devanagari";
        Transliterator toMarathi = Transliterator.getInstance ( ENG_TO_DEV );
        String marathi = toMarathi.transliterate ( latinString );
        return marathi;
    }
    public String latinToAscii ( String latinString ) {
        final String ENG_TO_DEV = "Latin-ASCII";
        Transliterator toMarathi = Transliterator.getInstance ( ENG_TO_DEV );
        String ascii = toMarathi.transliterate ( latinString );
        return ascii;
    }
    public String asciiToLatin ( String asciiString ) {
        final String ENG_TO_DEV = "ASCII-Latin";
        Transliterator toMarathi = Transliterator.getInstance ( ENG_TO_DEV );
        String latin = toMarathi.transliterate ( asciiString );
        return latin;
    }
}
