import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;
public class CountriesJsoupParser {
    public static void main ( String[] args ) {
        System.setProperty ( "http.proxyHost", "10.9.248.37" );
        System.setProperty ( "http.proxyPort", "18082" );
        try {
            Document countryDoc = Jsoup.connect (
                                      "http://www.worldportsource.com/countries.php" ).get();
            String urlPrefix = "http://www.worldportsource.com";
            List<String> ports = new ArrayList<String>();
            for ( Element country : countryDoc.select ( "table.form.thinborder tr:gt(1) a" ) ) {
                String link = urlPrefix + country.attr ( "href" );
                try {
                    Document portsDoc = Jsoup.connect ( link ).get();
                    for ( Element port : portsDoc.select ( "table.form.thinborder tr:gt(1) td" ) ) {
                        if ( !isEmpty ( port.ownText() ) ) {
                            ports.add ( port.ownText() );
                            System.out.println ( port.ownText() );
                        }
                    }
                } catch ( Exception e ) {
                    e.printStackTrace();
                }
            }
        } catch ( IOException e ) {
            e.printStackTrace();
        }
    }
    private static boolean isEmpty ( String str ) {
        return ( str == null || str.trim().length() < 2 );
    }
}
