import java.util.Comparator;
import java.util.PriorityQueue;
public class PatientQueue {
    PriorityQueue pq;
    public PatientQueue() {
        this.pq = new PriorityQueue<Patient> ( 1, new PatientComparator() );
    }
    public void registerPatient ( Patient p ) {
        this.pq.add ( p );
    }
    public Patient getNextPatient() {
        return ( Patient ) this.pq.poll();
    }
}
