@Bean
public DefaultMessageListenerContainer jmsListenerContainer() {
    DefaultMessageListenerContainer dmlc = new DefaultMessageListenerContainer();
    dmlc.setConnectionFactory ( connectionFactory() );
    dmlc.setDestination ( new ActiveMQQueue ( "orders.queue" ) );
    dmlc.setTaskExecutor ( taskExecutor() );
    dmlc.setMessageListener ( messageListener() );
    dmlc.setConcurrentConsumers ( 10 );
    return dmlc;
}
