class MyCustomPanel extends JPanel {
    private int numberOfArrows = 0;
    @Override
    public void paintComponent ( Graphics g ) {
        super.paintComponent ( g );
        Graphics graphics = g.create();
        int y = 10;
        for ( int i = 0; i < numberOfArrows; i++ ) {
            graphics.drawLine ( 10, y, getWidth() - 10, y );
            y += 10;
        }
        graphics.dispose();
    }
    public void setNumberOfArrows ( int arrows ) {
        numberOfArrows = arrows;
        repaint();
    }
    @Override
    public Dimension getPreferredSize() {
        return isPreferredSizeSet()
               ? super.getPreferredSize() : new Dimension ( 200, 200 );
    }
}
