public Dialog onCreateDialog() {
    AlertDialog.Builder builder = new AlertDialog.Builder ( this );
    LayoutInflater inflater = this.getLayoutInflater();
    Log.i ( "INFO", "Creating Dialog..." );
    View view = inflater.inflate ( R.layout.goaldialog, null );
    builder.setView ( view )
    .setPositiveButton ( R.string.SetAGoalButton, new DialogInterface.OnClickListener() {
        @Override
        public void onClick ( DialogInterface dialog, int id ) {
            EditText et = ( EditText ) view.findViewById ( R.id.GoalChooser );
            Integer goalNumber = Integer.parseInt ( et.getText().toString() );
            globalVariable = goalNumber;
            Log.i ( "INFO", Integer.toString ( goalNumber ) );
            dialog.dismiss();
        }
    } )
    .setNegativeButton ( "Cancel", new DialogInterface.OnClickListener() {
        public void onClick ( DialogInterface dialog, int id ) {
            dialog.dismiss();
        }
    } );
    builder.show();
    return builder.create();
}
