@Override
public void attachInfo ( Context context, ProviderInfo info ) {
    super.attachInfo ( context, info );
    if ( info.exported ) {
        throw new SecurityException ( "Provider must not be exported" );
    }
    if ( !info.grantUriPermissions ) {
        throw new SecurityException ( "Provider must grant uri permissions" );
    }
    mStrategy = getPathStrategy ( context, info.authority );
}
