InputStream CertIn = ClassLoader.class.getResourceAsStream ( "/package/myCert.cer" );
char SEP = File.separatorChar;
File dir = new File ( System.getProperty ( "java.home" ) + SEP + "lib" + SEP + "security" );
File file = new File ( dir, "cacerts" );
InputStream localCertIn = new FileInputStream ( file );
KeyStore keystore = KeyStore.getInstance ( KeyStore.getDefaultType() );
keystore.load ( localCertIn, passphrase );
if ( keystore.containsAlias ( "myAllias" ) ) {
    CertIn.close();
    localCertIn.close();
    return;
}
localCertIn.close();
BufferedInputStream bis = new BufferedInputStream ( CertIn );
CertificateFactory cf = CertificateFactory.getInstance ( "X.509" );
while ( bis.available() > 0 ) {
    Certificate cert = cf.generateCertificate ( bis );
    keystore.setCertificateEntry ( "myAllias", cert );
}
CertIn.close();
OutputStream out = new FileOutputStream ( file );
keystore.store ( out, passphrase );
out.close();
