package com.stackoverflow.q2493671;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;
import javax.faces.bean.ManagedBean;
import javax.faces.model.SelectItem;
@ManagedBean
public class Bean {
    private List<String> categories;
    private List<SelectItem> selectItems;
    private Map<String, String> selectedItems = new HashMap<String, String>();
    public Bean() {
        categories = Arrays.asList ( "cat1", "cat2", "cat3" );
        selectItems = Arrays.asList ( new SelectItem ( "item1" ), new SelectItem ( "item2" ), new SelectItem ( "item3" ) );
    }
    public void submit() {
        for ( Entry<String, String> entry : selectedItems.entrySet() ) {
            String category = entry.getKey();
            String selectedItem = entry.getValue();
            System.out.println ( category + "=" + selectedItem );
        }
    }
    public List<String> getCategories() {
        return categories;
    }
    public List<SelectItem> getSelectItems() {
        return selectItems;
    }
    public Map<String, String> getSelectedItems() {
        return selectedItems;
    }
}
