public AnimationStation() {
    MouseAdapter ma = new MouseAdapter() {
        int lastX, lastY;
        @Override
        public void mousePressed ( MouseEvent e ) {
            lastX = e.getXOnScreen();
            lastY = e.getYOnScreen();
        }
        @Override
        public void mouseDragged ( MouseEvent e ) {
            int x = e.getXOnScreen();
            int y = e.getYOnScreen();
            setLocation ( getLocationOnScreen().x + x - lastX,
                          getLocationOnScreen().y + y - lastY );
            lastX = x;
            lastY = y;
        }
    };
    addMouseListener ( ma );
    addMouseMotionListener ( ma );
}
