@Override
public PropertyName findRootName ( AnnotatedClass ac ) {
    if ( ac.getRawType().isArray() ) {
        Class<?> arrayComponent = ac.getRawType().getComponentType();
        JsonRootNamePlural ann = arrayComponent.getAnnotation ( JsonRootNamePlural.class );
        if ( ann != null ) {
            return PropertyName.construct ( ann.value(), null );
        }
    }
    return super.findRootName ( ac );
}
