private Thread controller = new Thread() {
    public void run() {
        final Component panel1 = generatePartnerSelectionPanel();
        SwingUtilities.invokeLater ( new Runnable() {
            public void run() {
                frame.getContentPane().add ( panel1 );
                frame.invalidate();
                frame.validate();
            }
        } );
        for ( int i = 40; i > 0; i = i - 1 ) {
            final int sec = i;
            SwingUtilities.invokeLater ( new Runnable() {
                public void run() {
                    timeLeftLabel.setText ( sec + " seconds left." );
                }
            } );
            try {
                Thread.sleep ( 1000 );
            } catch ( InterruptedException e ) {}
            if ( partnerSubmitted ) {
                break;
            }
        }
        SwingUtilities.invokeLater ( new Runnable() {
            public void run() {
                frame.getContentPane().remove ( panel1 );
                frame.getContentPane().add ( generateWaitForGamePanel() );
                frame.invalidate();
                frame.validate();
            }
        } );
    }
};
