public String makeHttpRequest ( String url, List<NameValuePair> params ) {
    InputStream is = null;
    String json = "";
    try {
        DefaultHttpClient httpClient = new DefaultHttpClient();
        HttpPost httpPost = new HttpPost ( url );
        httpPost.setEntity ( new UrlEncodedFormEntity ( params ) );
        HttpResponse httpResponse = httpClient.execute ( httpPost );
        HttpEntity httpEntity = httpResponse.getEntity();
        is = httpEntity.getContent();
    } catch ( UnsupportedEncodingException e ) {
        e.printStackTrace();
    } catch ( ClientProtocolException e ) {
        e.printStackTrace();
    } catch ( IOException e ) {
        e.printStackTrace();
    }
    try {
        BufferedReader reader = new BufferedReader ( new InputStreamReader (
                    is, "iso-8859-1" ), 8 );
        StringBuilder sb = new StringBuilder();
        String line = null;
        while ( ( line = reader.readLine() ) != null ) {
            sb.append ( line + "\n" );
        }
        is.close();
        json = sb.toString();
    } catch ( Exception e ) {
        Log.e ( "Buffer Error", "Error converting result " + e.toString() );
    }
    return json;
}
