import java.io.*;
import java.net.URL;
import javax.sound.sampled.*;
import javax.swing.*;
public class SoundClipTest extends JFrame {
    public SoundClipTest() {
        this.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        this.setTitle ( "Test Sound Clip" );
        this.setSize ( 300, 200 );
        this.setVisible ( true );
        try {
            File soundFile = new File ( "C:/Users/niklas/workspace/assets/Sound/sound.wav" );
            AudioInputStream audioIn = AudioSystem.getAudioInputStream ( soundFile );
            Clip clip = AudioSystem.getClip();
            clip.open ( audioIn );
            clip.start();
        } catch ( UnsupportedAudioFileException e ) {
            e.printStackTrace();
        } catch ( IOException e ) {
            e.printStackTrace();
        } catch ( LineUnavailableException e ) {
            e.printStackTrace();
        }
    }
    public static void main ( String[] args ) {
        new SoundClipTest();
    }
}
