import java.util.Scanner;
public class DriverSort {
    public static void main ( String[] args ) {
        Scanner scan = new Scanner ( System.in );
        int choice;
        System.out.println ( "1-Insertion sort\n"
                             + "2-Selection sort\n"
                             + "3-Bubble sort\n"
                             + "0-quit\n" );
        choice = scan.nextInt();
        if ( choice != 0 ) {
            System.out.println ( "Enter the length vector to be modified: " );
            int size = scan.nextInt();
            int input[] = new int[size];
            for ( int i = 0; i < size; i++ ) {
                System.out.println ( "Enter next array element: " );
                input[i] = scan.nextInt();
            }
            System.out.println ( "\nBefore Sorting: " );
            System.out.println ( input );
            int[] output = insertionSort ( input );
            System.out.println ( "\nAfter Sorting: " );
            System.out.println ( output );
        } else {
            System.out.println ( "Goodbye!" );
            System.exit ( 0 );
        }
    }
    public static int[] insertionSort ( int[] input ) {
        for ( int i = 1; i < input.length; i++ ) {
            int valueToSort = input[i];
            int j = i;
            while ( j > 0 && input[j - 1] > valueToSort ) {
                input[j] = input[j - 1];
                j--;
            }
            input[j] = valueToSort;
        }
        return input;
    }
}
