import java.awt.Dimension;
import java.awt.EventQueue;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.GridBagLayout;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
import javax.swing.border.CompoundBorder;
import javax.swing.border.EmptyBorder;
import javax.swing.border.EtchedBorder;
public class Test1 {
    public static void main ( String[] args ) {
        new Test1();
    }
    public Test1() {
        EventQueue.invokeLater ( new Runnable() {
            @Override
            public void run() {
                try {
                    UIManager.setLookAndFeel ( UIManager.getSystemLookAndFeelClassName() );
                } catch ( ClassNotFoundException | InstantiationException | IllegalAccessException | UnsupportedLookAndFeelException ex ) {
                    ex.printStackTrace();
                }
                JFrame frame = new JFrame ( "Testing" );
                frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
                frame.add ( new TestPane() );
                frame.pack();
                frame.setLocationRelativeTo ( null );
                frame.setVisible ( true );
            }
        } );
    }
    public class TestPane extends JPanel {
        public TestPane() {
            setLayout ( new GridBagLayout() );
            EmptyBorder emptyBorder = new EmptyBorder ( 15, 15, 15, 15 );
            EtchedBorder etchedBorder = new EtchedBorder();
            CompoundBorder inner = new CompoundBorder ( emptyBorder, etchedBorder );
            CompoundBorder outter = new CompoundBorder ( inner, emptyBorder );
            JPanel panel = new JPanel ( new GridBagLayout() );
            panel.setBorder ( outter );
            panel.add ( new JButton ( "Hello" ) );
            add ( panel );
        }
    }
}
