@Test
public final void baseRequest_PostResponseReturned()
throws IOException {
    UrlWrapper mockUrl = mock ( UrlWrapper.class );
    URLConnection mockUrlConn = mock ( URLConnection.class );
    when ( mockUrl.openConnection() ).thenReturn ( mockUrlConn );
    when ( mockUrlConn.getInputStream() ).thenReturn ( IOUtils.toInputStream ( "Success" ) );
    when ( mockUrlConn.getOutputStream() ).thenReturn ( new PipedOutputStream ( new PipedInputStream() ) );
    MockBeanProvider.enqueueMockUrl ( mockUrl );
    com.maddonkeysoftware.donkeydesktopmonitor.ContextProvider.setContext ( new ClassPathXmlApplicationContext ( "testApplicationContext.xml" ) );
    MockBeanProvider p = ( MockBeanProvider ) ContextProvider.getContext().getBean ( "serviceLocator" );
    AddImageRequest request = new AddImageRequest();
    request.setRequestUrl ( "http://testUrl.com" );
    boolean result = request.post();
    assertTrue ( result );
}
