public class Test {
    public static void main ( String[] args ) {
        try {
            URL url = new URL ( "http://localhost:5050/REST-simple/rest-simple/hello/post" );
            HttpURLConnection conn = ( HttpURLConnection ) url.openConnection();
            conn.setDoOutput ( true );
            conn.setRequestMethod ( "POST" );
            conn.setRequestProperty ( "Content-Type", "text/plain" );
            String input = "123";
            OutputStream os = conn.getOutputStream();
            os.write ( input.getBytes() );
            os.flush();
            if ( conn.getResponseCode() != HttpURLConnection.HTTP_CREATED ) {
                throw new RuntimeException ( "Failed : HTTP error code : "
                                             + conn.getResponseCode() );
            }
            BufferedReader br = new BufferedReader ( new InputStreamReader (
                        ( conn.getInputStream() ) ) );
            String output;
            System.out.println ( "Output from Server .... \n" );
            while ( ( output = br.readLine() ) != null ) {
                System.out.println ( output );
            }
            conn.disconnect();
        } catch ( MalformedURLException e ) {
        } catch ( IOException e ) {
        }
    }
}
