TableView table = new TableView<>();
private char nextChar = 'A';
private void addColumn ( TableView table ) {
    String mapChar = String.valueOf ( nextChar++ );
    TableColumn<Map, String> column = new TableColumn<> ( "Class " + mapChar );
    column.setCellValueFactory ( new MapValueFactory ( mapChar ) );
    column.setMinWidth ( 130 );
    column.setCellFactory ( cellFactoryForMap );
    table.getColumns().add ( column );
}
private void addRow ( TableView table ) {
    ObservableList<Map> allData = table.getItems();
    int offset = allData.size();
    Map<String, String> dataRow = new HashMap<>();
    for ( int j = 0; j < table.getColumns().size(); j++ ) {
        String mapKey = Character.toString ( ( char ) ( 'A' + j ) );
        String value1 = mapKey + ( offset + 1 );
        dataRow.put ( mapKey, value1 );
    }
    allData.add ( dataRow );
}
}
