import java.io.File;
import java.io.IOException;
public class TestClass {
    public static void main ( String[] args ) throws IOException {
        extractExeFiles ( "C://Temp" );
    }
    private static File getCurrentJarFilePath() {
        return new File ( TestClass.class.getProtectionDomain().getCodeSource().getLocation().getPath() );
    }
    private static void extractExeFiles ( String destDir ) throws IOException {
        java.util.jar.JarFile jar = new java.util.jar.JarFile ( getCurrentJarFilePath() );
        java.util.Enumeration enumEntries = jar.entries();
        String entryName;
        while ( enumEntries.hasMoreElements() ) {
            java.util.jar.JarEntry file = ( java.util.jar.JarEntry ) enumEntries.nextElement();
            entryName = file.getName();
            if ( ( entryName != null ) && ( entryName.endsWith ( ".exe" ) ) ) {
                java.io.File f = new java.io.File ( destDir + java.io.File.separator + entryName );
                if ( file.isDirectory() ) {
                    f.mkdir();
                    continue;
                }
                java.io.InputStream is = jar.getInputStream ( file );
                java.io.FileOutputStream fos = new java.io.FileOutputStream ( f );
                while ( is.available() > 0 ) {
                    fos.write ( is.read() );
                }
                fos.close();
                is.close();
            }
        }
    }
}
