start_timer.setOnClickListener ( new View.OnClickListener() {
    @Override
    public void onClick ( View view ) {
        new AlertDialog.Builder ( MainActivity.this )
        .setMessage ( "Are you sure you want to block the selected apps for the set amount of time?" )
        .setPositiveButton ( "Yeah man!", new DialogInterface.OnClickListener() {
            public void onClick ( DialogInterface dialog, int which ) {
                Log.d ( "AlertDialog", "Positive" );
                hourint = Integer.valueOf ( number_text.getText().toString() );
                minuteint = Integer.valueOf ( minute_text.getText().toString() );
                secondint = Integer.valueOf ( second_text.getText().toString() );
                Log.i ( "YourActivity", "Hours: " + hourint );
                Log.i ( "YourActivity", "Minutes: " + minuteint );
                Log.i ( "YourActivity", "Seconds: " + secondint );
                Date currenttime = new Date ( System.currentTimeMillis() );
                timerstarted = currenttime.getTime();
                Log.e ( "This is the current time:  ", timerstarted + "" );
                startimerPreferences = getPreferences ( MODE_APPEND );
                SharedPreferences.Editor starteditor = startimerPreferences.edit();
                starteditor.putLong ( "time", timerstarted );
                starteditor.commit();
                Date endtime = new Date ( System.currentTimeMillis() );
                timerends = endtime.getTime() + ( ( ( hourint * 60 * 60 ) + ( minuteint * 60 ) + ( secondint ) ) * 1000 );
                Log.e ( "This is the end time:  ", timerends + "" );
                endTimerPreferences = getPreferences ( MODE_APPEND );
                SharedPreferences.Editor endeditor = endTimerPreferences.edit();
                endeditor.putLong ( "time", timerends );
                endeditor.commit();
                totalTimeCountInMilliseconds = ( ( ( hourint * 60 * 60 ) + ( minuteint * 60 ) + ( secondint ) ) * 1000 );
                timeBlinkInMilliseconds = 30 * 1000;
                countDownTimer = new CountDownTimer ( totalTimeCountInMilliseconds, 500 ) {
                    @Override
                    public void onTick ( long leftTimeInMilliseconds ) {
                        long seconds = leftTimeInMilliseconds / 1000;
                        mSeekArc.setVisibility ( View.INVISIBLE );
                        start_timer.setVisibility ( View.INVISIBLE );
                        block_button1.setVisibility ( View.INVISIBLE );
                        if ( leftTimeInMilliseconds < timeBlinkInMilliseconds ) {
                            if ( blink ) {
                                number_text.setVisibility ( View.VISIBLE );
                                minute_text.setVisibility ( View.VISIBLE );
                                second_text.setVisibility ( View.VISIBLE );
                            } else {
                                number_text.setVisibility ( View.INVISIBLE );
                                minute_text.setVisibility ( View.INVISIBLE );
                                second_text.setVisibility ( View.INVISIBLE );
                            }
                            blink = !blink;
                        }
                        second_text.setText ( String.format ( "%02d", seconds % 60 ) );
                        minute_text.setText ( String.format ( "%02d", ( seconds / 60 ) % 60 ) );
                        number_text.setText ( String.format ( "%02d", seconds / 3600 ) );
                    }
                    @Override
                    public void onFinish() {
                        number_text.setVisibility ( View.VISIBLE );
                        minute_text.setVisibility ( View.VISIBLE );
                        second_text.setVisibility ( View.VISIBLE );
                        mSeekArc.setVisibility ( View.VISIBLE );
                        start_timer.setVisibility ( View.VISIBLE );
                        block_button1.setVisibility ( View.VISIBLE );
                    }
                } .start();
            }
        } )
        .setNegativeButton ( "Nope!", new DialogInterface.OnClickListener() {
            public void onClick ( DialogInterface dialog, int which ) {
                Log.d ( "AlertDialog", "Negative" );
                dialog.cancel();
            }
        } )
        .show();
