private static void generateNotification ( Context context, String message ) {
    int icon = R.drawable.ic_launcher;
    long when = System.currentTimeMillis();
    NotificationManager notificationManager = ( NotificationManager )
            context.getSystemService ( Context.NOTIFICATION_SERVICE );
    Notification notification = new Notification ( icon, message, when );
    String title = context.getString ( R.string.app_name );
    Intent notificationIntent = new Intent ( context, MainActivity.class );
    * * notificationIntent.setFlags ( Intent.FLAG_ACTIVITY_NEW_TASK );
    * *
    PendingIntent intent = PendingIntent.getActivity ( context, 0, notificationIntent, PendingIntent.FLAG_UPDATE_CURRENT );
    notification.setLatestEventInfo ( context, title, message, intent );
    notification.flags |= Notification.FLAG_AUTO_CANCEL;
    notification.defaults |= Notification.DEFAULT_SOUND;
    notification.defaults |= Notification.DEFAULT_VIBRATE;
    notificationManager.notify ( 0, notification );
}
