public class ListViewCell extends ListCell<SessionExercise> {
    private final SimpleExerciseListItemController listItemController ;
    public ListViewCell() {
        FXMLLoader listItemLoader = new FXMLLoader();
        listItemLoader.setLocation ( getClass().
                                     getResource ( "/view/SimpleExerciseListItem.fxml" ) );
        try {
            listItemLoader.load();
        } catch ( IOException e ) {
            throw new RuntimeException ( e );
        }
        SimpleExerciseListItemController listItemController
            = ( SimpleExerciseListItemController ) listItemLoader.getController();
    }
    @Override
    public void updateItem ( SessionExercise exercise, boolean empty ) {
        super.updateItem ( exercise, empty );
        if ( empty ) {
            setGraphic ( null );
        } else {
            this.setGraphic ( listItemController.getAnchorPane() );
        }
    }
}
