public class ParentScrollPane extends JScrollPane {
    public ParentScrollPane() {
        JPanel textContainer = new JPanel();
        JLabel sLabel = new JLabel ( "SOME LABEL TEXT" );
        sLabel.setParent ( thisPane );
        textContainer.add ( sLabel );
        setViewportView ( textContainer );
    }
    public interface ParentSetter {
        public void setParent ( Component p );
    }
    private JScrollPane thisPane;
}
public class CustomLabel extends JLabel implements ParentScrollPane.ParentSetter {
    public CustomLabel ( String text ) {
        super ( text );
        addMouseWheelListener ( new MouseWheelListener() {
            @Override
            public void mouseWheelMoved ( MouseWheelEvent e ) {
                if ( e.isControlDown() ) {
                } else {
                    labelParent.dispatchEvent ( e );
                }
            }
        } );
    }
    @Override
    public void setParent ( Component lParent ) {
        labelParent = lParent;
    }
    private Component labelParent;
}
