while ( true ) {
    int available = selector.select();
    if ( available == 0 ) {
        continue;
    }
    Iterator<SelectionKey> keys = selector.selectedKeys().iterator();
    while ( keys.hasNext() ) {
        SelectionKey key = keys.next();
        keys.remove();
        if ( key.isAcceptable() ) {
            doAccept ( key );
        } else if ( key.isReadable() ) {
            doRead ( key );
        } else if ( key.isWritable() ) {
            doWrite ( key );
        }
    }
