\documentclass {article}
\usepackage {listings}
\usepackage {color}
\usepackage {textcomp}
\definecolor {listinggray} {gray} {0.9}
\definecolor {lbcolor} {rgb} {0.9, 0.9, 0.9}
\lstset {
    language = c,
    basicstyle = \scriptsize,
    upquote = true,
    aboveskip = {1.5\baselineskip},
    columns = fullflexible,
    showstringspaces = false,
    extendedchars = true,
    breaklines = true,
    showtabs = false,
    showspaces = false,
    showstringspaces = false,
    identifierstyle = \ttfamily,
    keywordstyle = \color[rgb]{0, 0, 1},
    commentstyle = \color[rgb]{0.133, 0.545, 0.133},
    stringstyle = \color[rgb]{0.627, 0.126, 0.941},
}
\begin {document}
\begin {lstlisting}
#include <stdio.h>
int main() {
    printf ( "A really, really, really, really, really, really, really, really, really, really, really, really, really, really, really, really, REALLY long line. && & \n" );
    return 0;
}
\end {lstlisting}
\end {document}
