public interface CountObserver {
    public void updateCount ( String className );
    public int getCount ( String className );
}
public class CentralObserver implements CountObserver {
    private int aCount;
    private int bCount;
    public void updateCount ( String className ) {
        if ( className.equals ( "AclassName" ) ) {
            aCount++;
        } else if ( className.equals ( "BclassName" ) ) {
            bCount++;
        }
    }
    public int getCount ( String className ) {
        if ( className.equals ( "AclassName" ) ) {
            return aCount;
        } else if ( className.equals ( "BclassName" ) ) {
            return bCount;
        }
    }
    class A implements Listener {
        CountObserver countObserver;
        public void registerObserver ( CountObserver countObserver ) {
            this.countObserver = countObserver;
        }
        public void onEvent ( char e ) {
            if ( e == 'a' ) {
                countObserver.updateCount ( this.getClass.getName );
            }
        }
    }
    class Run {
        private A a;
        private B b;
        private CountObserver centralObserver;
        public runProgram () {
            centralObserver = new CentralObserver();
            a.registerObserver ( centralObserver );
            b.registerObserver ( centralObserver );
        }
        public int getAcount () {
            return centralObserver.getCount ( a.getClass.getName() );
        }
        public int getBcount () {
            return centralObserver.getCount ( b.getClass.getName() );
        }
    }
