- ( void ) setSeed: ( long long ) seed1 {
    @synchronized ( self ) {
        randomSeed = ( seed1 ^ multiplier ) & mask;
    }
}
- ( int ) next: ( int ) bits {
    int ret;
    @synchronized ( self ) {
        long long oldseed, nextseed;
        long long seed1 = randomSeed;
        oldseed = seed1;
        nextseed = ( oldseed * multiplier + addend ) & mask;
        randomSeed = nextSeed;
        ret = ( unsigned int ) ( nextseed >> ( 48 - bits ) );
    }
    return ret;
}
