TreePath rootPath = new TreePath ( objectWeKnowIsAtRoot );
Enumeration<TreePath> expandedPaths = tree.getExpandedDescendants ( rootPath );
TreePath selectedPath = tree.getSelectionPath();
while ( expandedPaths != null && expandedPaths.hasMoreElements() ) {
    TreePath path = expandedPaths.nextElement();
    if ( isPathValid ( path ) ) {
        tree.expandPath ( path );
    }
}
if ( isPathValid ( selectedPath ) ) {
    tree.setSelectionPath ( selectedPath );
}
