public class ShowListAction extends AbstractAction {
    JTextArea listArea;
    YourListHandler listHandler;
    public ShowListAction() {
        this.putValue ( Action.NAME, "Show List" );
        this.setEnabled ( enabled );
    }
    public void setListArea ( JTextArea listArea ) {
        this.listArea = listArea;
    }
    public void setListHandler ( YourListHandler listHandler ) {
        this.listHandler = listHandler;
    }
    public void actionPerformed ( ActionEvent e ) {
        List<String> list = listHandler.getNamesList();
        for ( String s : list ) {
            listArea.append ( s );
        }
    }
}
