public class CountingFilter implements Filter {
    @Override
    public void init ( FilterConfig arg0 ) throws ServletException {
    }
    @Override
    public void doFilter ( ServletRequest request, final ServletResponse response, FilterChain chain ) throws IOException, ServletException {
        HttpServletResponse httpres = ( HttpServletResponse ) response;
        CountingServletResponse counter = new CountingServletResponse ( httpres );
        HttpServletRequest httpreq = ( HttpServletRequest ) request;
        httpreq.setAttribute ( "counter", counter );
        chain.doFilter ( request, counter );
        counter.flushBuffer();
    }
    @Override
    public void destroy() {
    }
}
