public static void main ( String[] args ) {
    Collection<Bee> bees = new ArrayList<Bee>();
    bees.add ( new Hive.Worker() );
    bees.add ( new Hive.Queen() );
    Set<Queen> queens = getBeesOfOneType ( bees, Queen.class );
}
private static <T extends Bee> Set<T> getBeesOfOneType ( Collection<Bee> bees, Class<T> beeType ) {
    Set<T> result = new HashSet<T>();
    for ( Bee bee : bees ) {
        if ( beeType.isInstance ( bee ) ) {
            T beeTypeInstance = beeType.cast ( bee );
            result.add ( beeTypeInstance );
        }
    }
    return result;
}
