import java.lang.reflect.*;
public class DumpFields {
    public static void main ( String[] args ) {
        inspect ( String.class );
    }
    static <T> void inspect ( Class<T> klazz ) {
        Field[] fields = klazz.getDeclaredFields();
        System.out.printf ( "%d fields:%n", fields.length );
        for ( Field field : fields ) {
            System.out.printf ( "%s %s %s%n",
                                Modifier.toString ( field.getModifiers() ),
                                field.getType().getSimpleName(),
                                field.getName()
                              );
        }
    }
}
