ReentrantLock selectorGuard;
Selector selector;
private void doSelect() {
    selectorGuard.lock();
    selectorGuard.unlock();
    selector.select();
    Iterator<SelectionKey> keyIter = selector.selectedKeys().iterator();
    while ( keyIter.hasNext() ) {
        SelectionKey key = keyIter.next();
        keyIter.remove();
    }
}
private void addToSelector() {
    selectorGuard.lock();
    try {
        selector.wakeup();
    } finally {
        selectorGuard.unlock();
    }
}
