public static void main ( String[] args ) throws Exception {
    DefaultHttpClient httpclient = new DefaultHttpClient();
    httpclient.getCredentialsProvider().setCredentials (
        new AuthScope ( "localhost", 443 ),
        new UsernamePasswordCredentials ( "username", "password" ) );
    HttpGet httpget = new HttpGet ( "https://localhost/protected" );
    System.out.println ( "executing request" + httpget.getRequestLine() );
    HttpResponse response = httpclient.execute ( httpget );
    HttpEntity entity = response.getEntity();
    System.out.println ( "----------------------------------------" );
    System.out.println ( response.getStatusLine() );
    if ( entity != null ) {
        System.out.println ( "Response content length: " + entity.getContentLength() );
    }
    if ( entity != null ) {
        entity.consumeContent();
    }
    httpclient.getConnectionManager().shutdown();
}
