import com.google.common.collect.*;
import com.google.common.base.*;
import java.util.*;
public class IterablesPredicateExample {
    public static void main ( String[] args ) {
        List<Integer> nums = Arrays.asList ( 1, 2, -3, 4, -5, 6, -7, -8 );
        Predicate<Integer> isNegative = new Predicate<Integer>() {
            @Override public boolean apply ( Integer n ) {
                return n < 0;
            }
        };
        System.out.println ( Iterables.indexOf ( nums, isNegative ) );
        System.out.println ( Iterables.find ( nums, isNegative ) );
        System.out.println ( Iterables.filter ( nums, isNegative ) );
        System.out.println ( Iterables.all ( nums, isNegative ) );
        System.out.println ( Iterables.filter ( nums, Predicates.not ( isNegative ) ) );
    }
}
