class ModelLabelProvider extends LabelProvider implements
    ITableLabelProvider {
    @Override
    public Image getColumnImage ( Object element, int columnIndex ) {
        return null;
    }
    @Override
    public String getColumnText ( Object element, int columnIndex ) {
        if ( ! ( element instanceof Model ) ) {
            return "";
        }
        Model model = ( Model ) element;
        switch ( columnIndex ) {
        case 0:
            return model.getFoo();
        case 1:
            return model.getBar();
        default:
            break;
        }
        return "";
    }
}
