public abstract class AbstractStringGenerator {
    public final String generateLine ( String input ) {
        String result = generateLineHook ( input );
        if ( !result.endsWith ( "\n" ) ) {
            throw new IllegalStateException ( "Result from hook does not contain new line" );
        }
        return result;
    }
    protected abstract string generateLineHook ( String input );
}
public class ConcreteStringGenerator {
    protected String generateLineHook ( String input ) {
        return "blah\n";
    }
}
