private volatile FieldType field;
FieldType getField() {
    FieldType result = field;
    if ( result == null ) {
        synchronized ( this ) {
            result = field;
            if ( result == null ) {
                field = result = computeFieldValue();
            }
        }
    }
    return result;
}
