import java.util.HashSet;
import java.util.Set;
public class Customer {
    private String name = null;
    private Set<Order> orders = new HashSet<Order>();
    private long id = 0;
    public long getId() {
        return id;
    }
    public void setId ( long id ) {
        this.id = id;
    }
    public String getName() {
        return name;
    }
    public void setName ( String name ) {
        this.name = name;
    }
    public Set<Order> getOrders() {
        return orders;
    }
    public void setOrders ( Set<Order> orders ) {
        this.orders = orders;
    }
}
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
public class Order {
    private long id = 0;
    private Date date = null;
    private Customer customer = null;
    private List<LineItem> lineItems = new ArrayList<LineItem>();
    public long getId() {
        return id;
    }
    public void setId ( long id ) {
        this.id = id;
    }
    public Date getDate() {
        return date;
    }
    public void setDate ( Date date ) {
        this.date = date;
    }
    public Customer getCustomer() {
        return customer;
    }
    public void setCustomer ( Customer customer ) {
        this.customer = customer;
    }
    public List<LineItem> getLineItems() {
        return lineItems;
    }
    public void setLineItems ( List<LineItem> lineItems ) {
        this.lineItems = lineItems;
    }
}
public class LineItem {
    private int quantity = 0;
    private Product product = null;
    public int getQuantity() {
        return quantity;
    }
    public void setQuantity ( int quantity ) {
        this.quantity = quantity;
    }
    public Product getProduct() {
        return product;
    }
    public void setProduct ( Product product ) {
        this.product = product;
    }
}
public class Product {
    private long id = 0;
    private String serialNumber = null;
    public long getId() {
        return id;
    }
    public void setId ( long id ) {
        this.id = id;
    }
    public String getSerialNumber() {
        return serialNumber;
    }
    public void setSerialNumber ( String serialNumber ) {
        this.serialNumber = serialNumber;
    }
}
