public final class DateUtility {
    public static final DateTimeFormat MONTH_FORMAT = DateTimeFormat.getFormat ( "MMM" );
    public static final DateTimeFormat DAY_FORMAT = DateTimeFormat.getFormat ( "dd" );
    public static final DateTimeFormat DAY_MONTH_FORMAT = DateTimeFormat.getFormat ( "dd MMM" );
    public static final String DASH = " - ";
    public static String collapseDate ( Date startDate, Date endDate ) {
        String formattedDateRange;
        String startDateMonth = MONTH_FORMAT.format ( startDate );
        String endDateMonth = MONTH_FORMAT.format ( endDate );
        if ( startDateMonth.equals ( endDateMonth ) ) {
            formattedDateRange = DAY_FORMAT.format ( startDate ) + DASH
                                 + DAY_MONTH_FORMAT.format ( endDate ).toUpperCase();
        } else {
            formattedDateRange = DAY_MONTH_FORMAT.format ( startDate ).toUpperCase()
                                 + DASH + DAY_MONTH_FORMAT.format ( endDate ).toUpperCase();
        }
        return formattedDateRange;
    }
}
