public void drawString ( Graphics g, String s, int x, int y, int width ) {
    FontMetrics fm = g.getFontMetrics();
    int lineHeight = fm.getHeight();
    int curX = x;
    int curY = y;
    String[] words = s.split ( " " );
    for ( String word : words ) {
        int wordWidth = fm.stringWidth ( word + " " );
        if ( curX + wordWidth >= x + width ) {
            curY += lineHeight;
            curX = x;
        }
        g.drawString ( word, curX, curY );
        curX += wordWidth;
    }
}
