@LocalClient
public class MoviesTest extends TestCase {
    @EJB
    private Movies movies;
    @Resource
    private UserTransaction userTransaction;
    @PersistenceContext
    private EntityManager entityManager;
    public void setUp() throws Exception {
        Properties p = new Properties();
        p.put ( Context.INITIAL_CONTEXT_FACTORY, "org.apache.openejb.client.LocalInitialContextFactory" );
        p.put ( "movieDatabase", "new://Resource?type=DataSource" );
        p.put ( "movieDatabase.JdbcDriver", "org.hsqldb.jdbcDriver" );
        p.put ( "movieDatabase.JdbcUrl", "jdbc:hsqldb:mem:moviedb" );
        InitialContext initialContext = new InitialContext ( p );
        initialContext.bind ( "inject", this );
    }
