using System;
using System.IO;
using iTextSharp.text;
using iTextSharp.text.pdf;
public class Program {
    public static void Main() {
        Document document = new Document();
        using ( Stream outputPdfStream = new FileStream ( "output.pdf", FileMode.Create, FileAccess.Write, FileShare.None ) )
        using ( Stream imageStream = new FileStream ( "test.wmf", FileMode.Open, FileAccess.Read, FileShare.Read ) ) {
            PdfWriter.GetInstance ( document, outputPdfStream );
            Image wmf = Image.GetInstance ( imageStream );
            document.Open();
            document.Add ( wmf );
            document.Close();
        }
    }
}
