import java.io.File;
import java.util.Collection;
import org.apache.commons.io.FileUtils;
import org.apache.commons.io.filefilter.IOFileFilter;
public class SearchDocFiles {
    public static String[] EXTENSIONS = { "doc", "docx" };
    public Collection<File> searchFilesWithExtensions ( final File directory, final String[] extensions ) {
        return FileUtils.listFiles ( directory,
                                     extensions,
                                     true );
    }
    public static void main ( String... args ) {
        Collection<File> documents = new SearchDocFiles().searchFilesWithExtensions (
            new File ( "/path/to/document/folder" ),
            SearchDocFiles.EXTENSIONS );
        for ( File document : documents ) {
            System.out.println ( document.getName() + " - " + document.length() );
        }
    }
}
