public class HttpTest {
    public static void main ( String... args ) throws Exception {
        System.out.println ( readTextPage ( new URL ( "http://stackoverflow.com" ) ) );
    }
    private static String readTextPage ( URL url ) throws Exception {
        HttpClient client = new DefaultHttpClient();
        HttpGet request = new HttpGet ( url.toURI() );
        HttpResponse response = client.execute ( request );
        Reader reader = null;
        try {
            reader = new InputStreamReader ( response.getEntity().getContent() );
            StringBuffer sb = new StringBuffer();
            {
                int read;
                char[] cbuf = new char[1024];
                while ( ( read = reader.read ( cbuf ) ) != -1 ) {
                    sb.append ( cbuf, 0, read );
                }
            }
            return sb.toString();
        } finally {
            if ( reader != null ) {
                try {
                    reader.close();
                } catch ( IOException e ) {
                    e.printStackTrace();
                }
            }
        }
    }
}
