public class MySecurityManager extends SecurityManager {
    public MySecurityManager() {
        super();
    }
    @Override
    public void checkPropertyAccess ( String key ) {
        if ( "javax.xml.parsers.DocumentBuilderFactory".equals ( key ) ) {
            System.err.println ( "checkPropertyAccess(String :" + key + "): " );
            Thread.currentThread().dumpStack();
            new Throwable().printStackTrace();
        }
        super.checkPropertyAccess ( key );
    }
    @Override
    public void checkPermission ( Permission perm ) {
        if ( perm instanceof PropertyPermission ) {
            PropertyPermission propPerm = ( PropertyPermission ) perm;
            System.err.println ( "checkPropertyAccess(String:" + propPerm.getName() + "):" );
            Thread.currentThread().dumpStack();
            new Throwable().printStackTrace();
        }
        super.checkPermission ( perm );
    }
}
