@Around ( "execution(* de.foo.entity.*.set*(..)) && args(java.lang.String)" )
public void checkAroundSetter ( final ProceedingJoinPoint pjp )
throws Throwable {
    LOGGER.debug ( pjp.getSignature().toLongString() );
    Object[] args = pjp.getArgs();
    for ( int i = 0; i < args.length; i++ ) {
        if ( args[i] instanceof String && ( ( String ) args[i] ).isEmpty() ) {
            args[i] = null;
        }
    }
    pjp.proceed ( args );
}
