private LongHashBag countTetragrams ( String text ) {
    LongHashBag bag = new LongHashBag ( 500 );
    if ( text.length() < 4 ) {
        return bag;
    }
    char[] c = text.toCharArray();
    long tetragram = ( ( long ) c[0] << 48 ) |
                     ( ( ( long ) c[1] ) << 32 ) |
                     ( ( ( long ) c[2] ) << 16 ) |
                     ( ( long ) c[3] );
    bag.add ( tetragram );
    for ( int i = 4, last = text.length(); i < last; i++ ) {
        tetragram = ( tetragram << 16 ) | ( ( long ) c[i] );
        bag.add ( tetragram );
    }
    return bag;
}
