class MyJob implements StatefulJob {
    public MyJob() {
    }
    public void execute ( JobExecutionContext context ) throws JobExecutionException {
        JobDataMap dataMap = context.getJobDetail().getJobDataMap();
        int count = dataMap.getIntValue ( "count" );
        if ( count >= 5 ) {
            JobExecutionException e = new JobExecutionException ( "Retries exceeded" );
            e.setUnscheduleAllTriggers ( true );
            throw e;
        }
        try {
            dataMap.putAsString ( "count", 0 );
        } catch ( Exception e ) {
            count++;
            dataMap.putAsString ( "count", count );
            JobExecutionException e2 = new JobExecutionException ( e );
            Thread.sleep ( 600000 );
            e2.setRefireImmediately ( true );
            throw e2;
        }
    }
}
