public class DisplayBitmaps extends UiApplication {
    public static void main ( String[] args ) {
        DisplayBitmaps theApp = new DisplayBitmaps();
        theApp.enterEventDispatcher();
    }
    public DisplayBitmaps() {
        pushScreen ( new DisplayBitmapsScreen() );
    }
}
final class DisplayBitmapsScreen extends MainScreen {
    DisplayBitmapsScreen() {
        try {
            Thread.sleep ( 2000 );
            FileConnection fc = ( FileConnection ) Connector.open ( "file:///SDCard/BlackBerry/pictures/image.png" );
            if ( fc.exists() ) {
                byte[] image = new byte[ ( int ) fc.fileSize()];
                InputStream inStream = fc.openInputStream();
                inStream.read ( image );
                inStream.close();
                Bitmap bitmap = Bitmap.createBitmapFromBytes ( image, 0, -1, 1 );
                BitmapField bitmapField = new BitmapField ( bitmap );
                fc.close();
                add ( bitmapField );
            }
        } catch ( Exception e ) {
            System.out.println ( "EXCEPTION " + e );
        }
    }
    public void close() {
        super.close();
    }
}
