public static Set<Set<Integer>> powerSet ( Set<Integer> originalSet ) {
    Set<Set<Integer>> sets = new HashSet<Set<Integer>>();
    if ( originalSet.isEmpty() ) {
        sets.add ( new HashSet<T>() );
        return sets;
    }
    List<Integer> list = new ArrayList<Integer> ( originalSet );
    T head = list.get ( 0 );
    Set<Integer> rest = new HashSet<Integer> ( list.subList ( 1, list.size() ) );
    for ( Set<Integer> set : powerSet ( rest ) ) {
        Set<Integer> newSet = new HashSet<Integer>();
        newSet.add ( head );
        newSet.addAll ( set );
        sets.add ( newSet );
        sets.add ( set );
    }
    return sets;
}
