public class Config implements ServletContextListener {
    private ScheduledExecutorService scheduler;
    @Override
    public void contextInitialized ( ServletContextEvent event ) {
        scheduler = Executors.newSingleThreadScheduledExecutor();
        scheduler.scheduleAtFixedRate ( new UpdateCounts(), 0, 1, TimeUnit.DAYS );
    }
    @Override
    public void contextDestroyed ( ServletContextEvent event ) {
        scheduler.shutdownNow();
    }
}
