package mycode;
import java.io.IOException;
import javax.servlet.*;
public class CharacterEncodingFilter implements Filter {
    private static final String ENCODINGPARAM = "encoding";
    private String encoding;
    public void init ( FilterConfig config ) throws ServletException {
        encoding = config.getInitParameter ( ENCODINGPARAM );
        if ( encoding != null ) {
            encoding = encoding.trim();
        }
    }
    public void doFilter ( ServletRequest request, ServletResponse response, FilterChain chain )
    throws IOException, ServletException {
        request.setCharacterEncoding ( encoding );
        chain.doFilter ( request, response );
    }
    public void destroy() {
    }
}
