string javaDirectory = null;
RegistryKey javaKey =
    Registry.LocalMachine.OpenSubKey ( "SOFTWARE\\Javasoft\\Java Runtime Environment" ) ??
    Registry.LocalMachine.OpenSubKey ( "SOFTWARE\\Wow6432Node\\Javasoft\\Java Runtime Environment" );
if ( javaKey != null ) {
    string javaVersion = javaKey.GetValue ( "CurrentVersion" ).ToString();
    try {
        javaDirectory = javaKey.OpenSubKey ( javaVersion ).GetValue ( "JavaHome" ).ToString();
    } catch ( NullReferenceException ) {
    }
}
if ( javaDirectory == null ) {
}
