public class FileServer {
    public static void main ( String[] args ) throws Exception {
        Server server = new Server();
        SelectChannelConnector connector = new SelectChannelConnector();
        connector.setPort ( 8080 );
        server.addConnector ( connector );
        ResourceHandler resource_handler = new ResourceHandler();
        resource_handler.setDirectoriesListed ( true );
        resource_handler.setWelcomeFiles ( new String[] { "index.html" } );
        resource_handler.setResourceBase ( "." );
        HandlerList handlers = new HandlerList();
        handlers.setHandlers ( new Handler[] { resource_handler, new DefaultHandler() } );
        server.setHandler ( handlers );
        server.start();
        server.join();
    }
}
