public static void main ( String[] args ) {
    JFrame frame = new JFrame ( "Test" );
    final JSplitPane split = new JSplitPane (
        JSplitPane.HORIZONTAL_SPLIT,
        new JLabel ( "first" ),
        new JLabel ( "second" ) );
    frame.add ( split, BorderLayout.CENTER );
    frame.add ( new JButton ( new AbstractAction ( "Swap" ) {
        @Override
        public void actionPerformed ( ActionEvent e ) {
            int location = split.getDividerLocation();
            swap ( split );
            split.setDividerLocation ( split.getWidth() - location
                                       - split.getDividerSize() );
        }
    } ), BorderLayout.SOUTH );
    frame.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
    frame.setSize ( 400, 300 );
    frame.setVisible ( true );
}
