private static byte[] ConvertToP1363Signature ( byte[] ASN1Sig ) {
    AsnParser asn = new AsnParser ( ASN1Sig );
    asn.NextSequence();
    byte[] r = asn.NextInteger();
    byte[] s = asn.NextInteger();
    byte[] p1363Signature = new byte[40];
    if ( r.Length > 21 || ( r.Length == 21 && r[0] != 0 ) ) {
    } else if ( r.Length == 21 ) {
        Array.Copy ( r, 1, p1363Signature, 0, 20 );
    } else if ( r.Length == 20 ) {
        Array.Copy ( r, 0, p1363Signature, 0, 20 );
    } else {
        int len = r.Length;
        int off = 20 - len;
        Array.Copy ( r, 0, p1363Signature, off, len );
    }
    if ( s.Length > 21 || ( s.Length == 21 && s[0] != 0 ) ) {
    } else if ( s.Length == 21 ) {
        Array.Copy ( s, 1, p1363Signature, 20, 20 );
    } else if ( s.Length == 20 ) {
        Array.Copy ( s, 0, p1363Signature, 20, 20 );
    } else {
        int len = s.Length;
        int off = 40 - len;
        Array.Copy ( s, 0, p1363Signature, off, len );
    }
    return p1363Signature;
}
