import java.util.*;
class Node {
    private String label;
    private List<Node> children = new ArrayList<Node>();
    public static void main ( String ... args ) {
        Node one = new Node();
        one.label = "1";
        Node two = new Node();
        two.label = "2";
        Node root = new Node();
        root.label = "plus";
        root.children.add ( one );
        root.children.add ( two );
        print ( root );
    }
    static void print ( Node node ) {
        System.out.println ( node.label );
        for ( Node child : node.children ) {
            if ( child.children.size() > 0 ) {
                print ( child );
            } else {
                System.out.println ( "-- [" + child.label + "]" );
            }
        }
    }
}
