public static DialogBox alertWidget ( final String header, final String content ) {
    final DialogBox box = new DialogBox();
    final VerticalPanel panel = new VerticalPanel();
    box.setText ( header );
    panel.add ( new Label ( content ) );
    final Button buttonClose = new Button ( "Close", new ClickHandler() {
        @Override
        public void onClick ( final ClickEvent event ) {
            box.hide();
        }
    } );
    final Label emptyLabel = new Label ( "" );
    emptyLabel.setSize ( "auto", "25px" );
    panel.add ( emptyLabel );
    panel.add ( emptyLabel );
    buttonClose.setWidth ( "90px" );
    panel.add ( buttonClose );
    panel.setCellHorizontalAlignment ( buttonClose, HasAlignment.ALIGN_RIGHT );
    box.add ( panel );
    return box;
}
