HttpServletRequest request = ( HttpServletRequest ) req;
HttpServletResponse response = ( HttpServletResponse ) res;
User user = request.getSession().getAttribute ( "user" );
if ( user == null ) {
    String uuid = getCookieValue ( request, COOKIE_NAME );
    if ( uuid != null ) {
        user = rememberDAO.find ( uuid );
        if ( user != null ) {
            request.login ( user.getUsername(), user.getPassword() );
            request.getSession().setAttribute ( "user", user );
            addCookie ( response, COOKIE_NAME, uuid, COOKIE_AGE );
        } else {
            removeCookie ( response, COOKIE_NAME );
        }
    }
}
if ( user == null ) {
    response.sendRedirect ( "login" );
} else {
    chain.doFilter ( req, res );
}
