public class SimpleJacksonJsonView extends MappingJacksonJsonView {
    @Override
    @SuppressWarnings ( "unchecked" )
    protected Object filterModel ( Map<String, Object> model ) {
        Map<String, Object> filteredModel = ( Map<String, Object> ) super.filterModel ( model );
        if ( filteredModel.size() != 1 ) {
            return filteredModel;
        }
        return filteredModel.entrySet().iterator().next().getValue();
    }
}
