private int divideDigit ( int[] result, int resultIndex,
                          int divident, int lastRemainder,
                          int divisor ) {
    assert divisor < BASE;
    assert lastRemainder < divisor;
    long ent = divident + ( long ) BASE * lastRemainder;
    long quot = ent / divisor;
    long rem = ent % divisor;
    assert quot < BASE;
    assert rem < divisor;
    result[resultIndex] = ( int ) quot;
    return ( int ) rem;
}
