protected void onDraw ( Canvas canvas ) {
    Path clipPath = new Path();
    float radius = 10.0f;
    float padding = radius / 2;
    int w = this.getWidth();
    int h = this.getHeight();
    clipPath.addRoundRect ( new RectF ( padding, padding, w - padding, h - padding ), radius, radius, Path.Direction.CW );
    canvas.clipPath ( clipPath );
    super.onDraw ( canvas );
}
