class YourClass {
    private final int x;
    private final int y;
    private int a;
    private int b;
    private YourClass ( int x, int y ) {
        this.x = x;
        this.y = y;
    }
    public static class Builder {
        public Builder ( int x, int y ) {
            this.x = x;
            this.y = y;
        }
        public Builder withA ( int a ) {
            this.a = a;
            return this;
        }
        public Builder withB ( int b ) {
            this.b = b;
            return this;
        }
        public YourClass build() {
            YourClass c = new YourClass ( x, y );
            c.a = a;
            c.b = b;
            return c;
        }
    }
}
