public class PiReCalc {
    public static final int N = 1000;
    public static void main ( String[] args ) {
        BigDecimal sum = new BigDecimal ( 0 );
        BigDecimal term = new BigDecimal ( 0 );
        BigDecimal sign = new BigDecimal ( 1.0 );
        BigDecimal one = new BigDecimal ( 1.0 );
        BigDecimal two = new BigDecimal ( 2.0 );
        for ( int k = 0; k < N; k++ ) {
            BigDecimal count = new BigDecimal ( k );
            BigDecimal temp1 = two.multiply ( count );
            BigDecimal temp2 = temp1.add ( one );
            term = one.divide ( temp2, 50, BigDecimal.ROUND_FLOOR );
            BigDecimal temp3 = sign.multiply ( term );
            sum = sum.add ( temp3 );
            sign = sign.negate();
        }
        BigDecimal pi = new BigDecimal ( 0 );
        BigDecimal four = new BigDecimal ( 4 );
        pi = sum.multiply ( four );
        System.out.println ( "Calculated pi (approx., " + N + " terms and 50 Decimal Places): " + pi );
        System.out.println ( "Actual pi: " + Math.PI );
    }
}
