import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
public class ObserverFrame extends JFrame {
    Panel1 panel;
    JPanel panel2;
    JLabel label;
    public static void main ( String args[] ) {
        new ObserverFrame();
    }
    public ObserverFrame() {
        super ( "Observer Example" );
        panel = new Panel1 ( this );
        add ( panel, BorderLayout.NORTH );
        panel2 = new JPanel();
        label = new JLabel ( "Panel to be updated" );
        panel2.add ( label );
        add ( panel2, BorderLayout.SOUTH );
        setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        setSize ( 500, 500 );
        setVisible ( true );
    }
    public void trigger ( Panel1 panel ) {
        label.setText ( String.valueOf ( panel.getProperty() ) );
    }
    class Panel1 extends JPanel {
        ObserverFrame parent;
        JButton b1;
        private int property;
        public Panel1 ( ObserverFrame p ) {
            this.parent = p;
            b1 = new JButton ( "Click Me" );
            b1.addActionListener ( new ActionListener() {
                public void actionPerformed ( ActionEvent e ) {
                    setProperty ( getProperty() * 2 );
                }
            } );
            property = 10;
            add ( b1 );
        }
        public int getProperty() {
            return property;
        }
        public void setProperty ( int property ) {
            this.property = property;
            parent.trigger ( this );
        }
    }
}
