public class StatusColumnCellRenderer extends DefaultTableCellRenderer {
    @Override
    public Component getTableCellRendererComponent ( JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int col ) {
        JLabel l = ( JLabel ) super.getTableCellRendererComponent ( table, value, isSelected, hasFocus, row, col );
        CustomTableModel tableModel = ( CustomTableModel ) table.getModel();
        if ( tableModel.getStatus ( row ) == CustomTableModel.APPROVED ) {
            l.setBackground ( Color.GREEN );
        } else {
            l.setBackground ( Color.RED );
        }
        return l;
    }
