public final class MyActivityLogic {
    private MyApp mMyApp;
    public MyActivityLogic ( MyApp pMyApp ) {
        mMyApp = pMyApp;
    }
    public MyApp getMyApp() {
        return mMyApp;
    }
    public void onClick ( View pView ) {
        getMyApp().setNewState();
    }
}
public final class MyActivity extends Activity {
    private final MyActivityLogic mLogic;
    public MyActivity() {
        super();
        mLogic = new MyActivityLogic (
            ( MyApp ) getApplicationContext() );
    }
    public MyActivityLogic getMyActivityLogic() {
        return mLogic;
    }
    public void onClick ( View pView ) {
        mLogic.onClick ( pView );
    }
}
