public class Coordinate {
    private long x;
    private long y;
    private long z;
    @Override
    public boolean equals ( Object o ) {
        if ( this == o ) {
            return true;
        }
        if ( o == null || getClass() != o.getClass() ) {
            return false;
        }
        Coordinate that = ( Coordinate ) o;
        if ( x != that.x ) {
            return false;
        }
        if ( y != that.y ) {
            return false;
        }
        if ( z != that.z ) {
            return false;
        }
        return true;
    }
    @Override
    public int hashCode() {
        int result = ( int ) ( x ^ ( x >>> 32 ) );
        result = 31 * result + ( int ) ( y ^ ( y >>> 32 ) );
        result = 31 * result + ( int ) ( z ^ ( z >>> 32 ) );
        return result;
    }
}
