protected Intent assertFinishCalledWithResult ( int resultCode ) {
    assertThat ( isFinishCalled(), is ( true ) );
    try {
        Field f = Activity.class.getDeclaredField ( "mResultCode" );
        f.setAccessible ( true );
        int actualResultCode = ( Integer ) f.get ( getActivity() );
        assertThat ( actualResultCode, is ( resultCode ) );
        f = Activity.class.getDeclaredField ( "mResultData" );
        f.setAccessible ( true );
        return ( Intent ) f.get ( getActivity() );
    } catch ( NoSuchFieldException e ) {
        throw new RuntimeException ( "Looks like the Android Activity class has changed it's   private fields for mResultCode or mResultData.  Time to update the reflection code.", e );
    } catch ( Exception e ) {
        throw new RuntimeException ( e );
    }
}
