public interface CircleInfo {
    Color getBorderColor();
}
public class CircleShape implements Shape, CircleInfo {
    public Color getBorderColor() {
        return Colors.Black;
    }
    public void draw() {
        drawingAPI.drawCircle ( x, y, radius, this );
    }
}
interface DrawingAPI {
    public void drawCircle ( double x, double y, double radius, CircleInfo info );
}
class DrawingAPI1 implements DrawingAPI {
    public void drawCircle ( double x, double y, double radius, CircleInfo info ) {
        System.out.printf ( "API1.circle at %f:%f radius %f color %s\n",
                            x, y, radius, info.getBorderColor().toString() );
    }
