package wiztest;
import org.eclipse.jface.action.GroupMarker;
import org.eclipse.jface.action.ICoolBarManager;
import org.eclipse.jface.action.IMenuManager;
import org.eclipse.jface.action.MenuManager;
import org.eclipse.ui.IWorkbenchActionConstants;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;
public class ApplicationActionBarAdvisor extends ActionBarAdvisor {
    private IWorkbenchAction exitAction;
    private IWorkbenchAction export;
    public ApplicationActionBarAdvisor ( IActionBarConfigurer configurer ) {
        super ( configurer );
    }
    protected void makeActions ( final IWorkbenchWindow window ) {
        exitAction = ActionFactory.QUIT.create ( window );
        register ( exitAction );
        export = ActionFactory.EXPORT.create ( window );
        register ( export );
    }
    protected void fillMenuBar ( IMenuManager menuBar ) {
        MenuManager fileMenu = new MenuManager ( "&File", IWorkbenchActionConstants.M_FILE );
        menuBar.add ( fileMenu );
        menuBar.add ( new GroupMarker ( IWorkbenchActionConstants.MB_ADDITIONS ) );
        fileMenu.add ( export );
        fileMenu.add ( exitAction );
    }
    protected void fillCoolBar ( ICoolBarManager coolBar ) {
    }
}
