public class ExampleHandler extends DefaultHandler {
    private StringBuilder mStringBuilder = new StringBuilder();
    private ParsedExampleDataSet mParsedExampleDataSet = new ParsedExampleDataSet();
    private List<ParsedExampleDataSet> mParsedDataSetList = new ArrayList<ParsedExampleDataSet>();
    public List<ParsedExampleDataSet> getParsedData() {
        return this.mParsedDataSetList;
    }
    @Override
    public void startElement ( String namespaceURI, String localName, String qName, Attributes atts ) throws SAXException {
        if ( localName.equals ( "PhonebookEntry" ) ) {
            this.mParsedExampleDataSet = new ParsedExampleDataSet();
        }
    }
    @Override
    public void endElement ( String namespaceURI, String localName, String qName )
    throws SAXException {
        if ( localName.equals ( "PhonebookEntry" ) ) {
            this.mParsedDataSetList.add ( mParsedExampleDataSet );
        } else if ( localName.equals ( "firstname" ) ) {
            mParsedExampleDataSet.setfirstname ( mStringBuilder.toString().trim() );
        } else if ( localName.equals ( "lastname" ) )  {
            mParsedExampleDataSet.setlastname ( mStringBuilder.toString().trim() );
        } else if ( localName.equals ( "Address" ) )  {
            mParsedExampleDataSet.setAddress ( mStringBuilder.toString().trim() );
        }
        mStringBuilder.setLength ( 0 );
    }
    @Override
    public void characters ( char ch[], int start, int length ) {
        mStringBuilder.append ( ch, start, length );
    }
}
