bool IsSequence ( string input ) {
    if ( input.Length < 2 ) {
        return false;
    }
    int difference = input[1] - input[0];
    if ( difference < -1 || difference > 1 ) {
        return false;
    }
    for ( int i = 2; i < input.Length; i++ )
        if ( input[i] - input[i - 1] != difference ) {
            return false;
        }
    return true;
}
