public ChannelMessageServer ( int port ) throws IOException {
    this.server = ServerSocketChannel.open();
    this.server.configureBlocking ( false );
    this.server.socket().bind ( new InetSocketAddress ( port ) );
    this.server.register ( this.selector, SelectionKey.OP_ACCEPT );
}
protected void listen() throws IOException {
    this.selector.select();
    Iterator<SelectionKey> iter = selector.selectedKeys().iterator();
    while ( iter.hasNext() ) {
        SelectionKey key = iter.next();
        iter.remove();
        if ( key.isValid() ) {
            this.process ( key );
        }
    }
}
protected void process ( SelectionKey key ) throws IOException {
    if ( key.isAcceptable() ) {
        SocketChannel client = ( ( ( ServerSocketChannel ) key.channel() ).accept() );
        try {
            client.configureBlocking ( false );
            client.register ( this.selector, SelectionKey.OP_READ );
        } catch ( Exception e ) {
        }
    } else if ( key.isReadable() ) {
    }
}
