import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
class JavaPaintUI extends JFrame {
    private int tool = 1;
    int currentX, currentY, oldX, oldY;
    public JavaPaintUI() {
        initComponents();
    }
    private void initComponents() {
        jPanel2 = new Panel2();
        jPanel2.setBackground ( new java.awt.Color ( 255, 255, 255 ) );
        jPanel2.setBorder ( BorderFactory.createBevelBorder ( BevelBorder.RAISED ) );
        jPanel2.addMouseListener ( new MouseAdapter() {
            public void mousePressed ( MouseEvent evt ) {
                jPanel2MousePressed ( evt );
            }
            public void mouseReleased ( MouseEvent evt ) {
                jPanel2MouseReleased ( evt );
            }
        } );
        jPanel2.addMouseMotionListener ( new MouseMotionAdapter() {
            public void mouseDragged ( MouseEvent evt ) {
                jPanel2MouseDragged ( evt );
            }
        } );
        this.setContentPane ( jPanel2 );
        this.setDefaultCloseOperation ( JFrame.EXIT_ON_CLOSE );
        pack();
    }
    private void jPanel2MouseDragged ( MouseEvent evt ) {
        if ( tool == 1 ) {
            currentX = evt.getX();
            currentY = evt.getY();
            oldX = currentX;
            oldY = currentY;
            System.out.println ( currentX + " " + currentY );
            System.out.println ( "PEN!!!!" );
        }
    }
    private void jPanel2MousePressed ( MouseEvent evt ) {
        oldX = evt.getX();
        oldY = evt.getY();
        System.out.println ( oldX + " " + oldY );
    }
    private void jPanel2MouseReleased ( MouseEvent evt ) {
        if ( tool == 2 ) {
            currentX = evt.getX();
            currentY = evt.getY();
            System.out.println ( "line!!!! from" + oldX + "to" + currentX );
        }
    }
    public static void main ( String args[] ) {
        EventQueue.invokeLater ( new Runnable() {
            public void run() {
                new JavaPaintUI().setVisible ( true );
            }
        } );
    }
    private JPanel jPanel2;
    class Panel2 extends JPanel {
        Panel2() {
            setPreferredSize ( new Dimension ( 420, 420 ) );
        }
        @Override
        public void paintComponent ( Graphics g ) {
            super.paintComponent ( g );
            g.drawString ( "BLAH", 20, 20 );
            g.drawRect ( 200, 200, 200, 200 );
        }
    }
}
