jobjectArray ndk_test_getMy2DArray ( JNIEnv * env, jobject thiz, jlong context ) {
    MyContextRef contextRef = ( MyContextRef ) context;
    unsigned int length1D = MyContextGet1DLength ( contextRef );
    unsigned int length2D = MyContextGet2DLength ( contextRef );
    float * * primitive2DArray = MyContextGet2DArray ( contextRef );
    jclass floatArrayClass = ( * env )->FindClass ( env, "[F" );
    if ( floatArrayClass == NULL ) {
        return NULL;
    }
    jobjectArray myReturnable2DArray = ( * env )->NewObjectArray ( env, ( jsize ) length1D, floatArrayClass, NULL );
    for ( unsigned int i = 0; i < length1D; i++ ) {
        jfloatArray floatArray = ( * env )->NewFloatArray ( env, length2D );
        ( * env )->SetFloatArrayRegion ( env, floatArray, ( jsize ) 0, ( jsize ) length2D, ( jfloat * ) primitive2DArray[i] );
        ( * env )->SetObjectArrayElement ( env, myReturnable2DArray, ( jsize ) i, floatArray );
        ( * env )->DeleteLocalRef ( env, floatArray );
    }
    return myReturnable2DArray;
}
