import java.util.*;
interface HelloListener {
    public void someoneSaidHello();
}
class Initiater {
    List<HelloListener> listeners = new ArrayList<HelloListener>();
    public void addListener ( HelloListener toAdd ) {
        listeners.add ( toAdd );
    }
    public void sayHello() {
        System.out.println ( "Hello!!" );
        for ( HelloListener hl : listeners ) {
            hl.someoneSaidHello();
        }
    }
}
class Responder implements HelloListener {
    @Override
    public void someoneSaidHello() {
        System.out.println ( "Hello there..." );
    }
}
