private class FriendsRequestListener implements RequestListener {
    String friendData;
    public void onComplete ( String response, Object state ) {
        Log.d ( TAG, "FriendListRequestONComplete" );
        friendData = response;
        FBConnectActivity.this.runOnUiThread ( new Runnable() {
            public void run() {
                try {
                    JSONObject json;
                    json = Util.parseJson ( friendData );
                    JSONArray friendArray = json.getJSONArray ( "data" );
                    int friendCount = 0;
                    String fId, fNm;
                    JSONObject friend;
                    for ( int i = 0; i < friendArray.length(); i++ ) {
                        friend = friendArray.getJSONObject ( i );
                        fId = friend.getString ( "id" );
                        fNm = friend.getString ( "name" );
                        friendsID[friendCount] = fId;
                        friends[friendCount] = fNm;
                        friendCount ++;
                        Log.d ( "TEST", "Friend Added: " + fNm );
                    }
                    pb.setVisibility ( ProgressBar.GONE );
                } catch ( JSONException e ) {
                    e.printStackTrace();
                } catch ( FacebookError e ) {
                    e.printStackTrace();
                }
            }
        } );
    }
