size_t calculate_size ( size_t x, size_t y ) {
    size_t sz = 8;
    sz += ( ( x * y ) * 8 );
    sz++;
    return sz;
}
static char * write_int32 ( int32_t, char * );
static char * write_double ( double, char * );
void convert_data ( double * * src, size_t x, size_t y, char * dst ) {
    dst = write_int32 ( ( int32_t ) x, dst );
    dst = write_int32 ( ( int32_t ) y, dst );
    for ( int i = 0; i < x; i++ ) {
        for ( int j = 0; j < y; j++ ) {
            dst = write_double ( src[i][j], dst );
        }
    }
    * dst = '\0';
}
static char * write_int32 ( int32_t num,  char * c ) {
    char * byte;
    int i = sizeof ( int32_t );
    num = htobe32 ( num );
    byte = ( char * ) ( & num );
    while ( i-- ) {
        * c++ = * byte++;
    }
    return c;
}
static char * write_double ( double d, char * c ) {
    char * byte;
    int i = sizeof ( uint64_t );
    uint64_t num = * ( ( uint64_t * ) & d );
    num = htobe64 ( num );
    byte = ( char * ) ( & num );
    while ( i-- ) {
        * c++ = * byte++;
    }
    return c;
}
