public enum Schema {
    A, B
}
public EntityDaoImpl {
    private Map<Schema, SessionFactory> sessionFactoryBySchema = ...;
    private Session getSession ( Schema schema ) {
        SessionFactory sessionFactory = sessionFactoryBySchema.get ( schema );
        return sessionFactory.getCurrentSession();
    }
    public void saveEntity ( Schema schema, Entity entity ) {
        getSession ( schema ).save ( entity );
    }
}
