@UiThreadTest
public void testListItemClickStartsActivity() {
    final Instrumentation inst = getInstrumentation();
    final IntentFilter intentFilter = new IntentFilter();
    ActivityMonitor monitor = inst.addMonitor ( intentFilter, null, false );
    assertEquals ( 0, monitor.getHits() );
    monitor.waitForActivityWithTimeout ( 5000 );
    assertEquals ( 1, monitor.getHits() );
    inst.removeMonitor ( monitor );
}
