public void clearSubmittedValues ( UIComponent component ) {
    while ( component != null ) {
        if ( component instanceof UIForm || component instanceof UIAjaxRegion
                || component instanceof UIModalPanel ) {
            clearRegion ( component );
        }
        component = component.getParent();
    }
}
public void clearRegion ( UIComponent parent ) {
    for ( UIComponent component : parent.getChildren() ) {
        if ( component instanceof EditableValueHolder ) {
            EditableValueHolder input = ( ( EditableValueHolder ) component );
            input.setSubmittedValue ( null );
            input.setValue ( null );
            input.setLocalValueSet ( false );
        } else {
            clearRegion ( component );
        }
    }
}
