public static class Animal {
    public String toString() {
        return getClass().getSimpleName();
    }
}
public static class Rat extends Animal {}
public static class Lion extends Animal {}
public static class Cage<T extends Animal> {
}
public static void main ( String[] args ) {
    Cage<Animal> animals = new Cage<Animal>();
    Cage<Lion> lions = new Cage<Lion>();
    animals.add ( new Rat() );
    lions.add ( new Lion() );
    lions.transferTo ( animals );
    animals.showAnimals();
}
