public boolean connectToNXT() {
    BluetoothDevice nxt = localAdapter.getRemoteDevice ( nxtMac );
    try {
        nxtSocket = nxt.createRfcommSocketToServiceRecord ( UUID.fromString ( "00001101-0000-1000-8000-00805F9B34FB" ) );
        nxtSocket.connect();
        nxtDos = new DataOutputStream ( nxtSocket.getOutputStream() );
        success = true;
    } catch ( IOException e ) {
        Log.d ( "Bluetooth", "Err: Device not found or cannot connect" );
        success = false;
    }
    return success;
}
