public void addNotify() {
    super.addNotify();
    createBufferStrategy ( 2 );
}
private synchronized void render() {
    BufferStrategy strategy = getBufferStrategy();
    if ( strategy == null ) {
        return;
    }
    sizeChanged = false;
    do {
        do {
            MyGraphics draw = strategy.getDrawGraphics();
            draw.setColor ( Color.BLACK );
            draw.fillRect ( 0, 0, getPreferredSize().width, getPreferredSize().height );
            draw.drawImage ( ship.getImage(), ship.getCurrentX(), ship.getCurrentY(), null );
            draw.dispose();
        } while ( strategy.contentsRestored() );
        strategy.show();
    } while ( strategy.contentsLost() );
}
