if ( dbConfig.getAllowCreate() ) {
    if ( !isWritableLocker ) {
        locker.operationEnd ( OperationStatus.SUCCESS );
        locker = LockerFactory.getWritableLocker
                 ( this,
                   txn,
                   dbConfig.getTransactional(),
                   true,
                   autoTxnIsReplicated,
                   null );
        isWritableLocker  = true;
    }
    newDb.initNew ( this, locker, databaseName, dbConfig );
} else {
    throw new DatabaseNotFoundException ( "Database " +
                                          databaseName +
                                          " not found." );
}
