public class FileObserverActivity extends Activity {
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.main );
        tv = ( TextView ) findViewById ( R.id.textView1 );
        tv.setText ( "new world" );
        MyFileObserver myFileObserver = new MyFileObserver ( "/sdcard/", this );
        myFileObserver.startWatching();
        registerReceiver ( onBroadcast, new IntentFilter ( "abcd" ) );
    }
    String mySTR = "";
    TextView tv ;
    public void event ( String absolutePath, String path, int event ) {
        mySTR = absolutePath + path + "\t" + event;
        tv.setText ( mySTR );
    }
    @Override
    protected void onDestroy() {
        super.onDestroy();
        unregisterReceiver ( onBroadcast );
    }
    private final BroadcastReceiver onBroadcast = new BroadcastReceiver() {
        @Override
        public void onReceive ( Context ctxt, Intent i ) {
            event ( absolutePath, path, event );
        }
    };
}
public class MyFileObserver extends FileObserver {
    public String absolutePath;
    FileObserverActivity fileobserveractivity;
    public MyFileObserver ( String path, FileObserverActivity foa ) {
        super ( path, FileObserver.ALL_EVENTS );
        absolutePath = path;
        fileobserveractivity = foa;
    }
    @Override
    public void onEvent ( int event, String path ) {
        if ( path == null ) {
            return;
        } else if ( event != 0 ) {
            context.sendBroadcast ( new Intent ( "abcd" ) );
        } else {
            return;
        }
    }
}
