public void exportToPDF ( JFreeChart chart, String filePath ) {
    PDDocument doc = null;
    PDPage page = null;
    PDXObjectImage ximage = null;
    try {
        doc = new PDDocument();
        page = new PDPage();
        doc.addPage ( page );
        PDPageContentStream content = new PDPageContentStream ( doc, page );
        ByteArrayOutputStream out = new ByteArrayOutputStream();
        ChartUtilities.writeChartAsJPEG ( out, chart, 300, 300 );
        InputStream in = new ByteArrayInputStream ( out.toByteArray() );
        ximage = new PDJpeg ( doc, in );
        content.drawImage ( ximage, 5, 300 );
        content.close();
    } catch ( IOException ie ) {
    }
    doc.save ( filePath );
    doc.close();
}
