import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Calendar;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JTextArea;
import javax.swing.Timer;
public class TimerTest extends JFrame implements ActionListener {
    private static final long serialVersionUID = 7416567620110237028L;
    JTextArea area;
    Timer timer;
    int count;
    boolean running;
    public TimerTest() {
        super ( "Test" );
        setBounds ( 30, 30, 500, 500 );
        setDefaultCloseOperation ( EXIT_ON_CLOSE );
        setLayout ( null );
        area = new JTextArea();
        area.setBounds ( 0, 0, 500, 400 );
        add ( area );
        JButton button = new JButton ( "Click Me!" );
        button.addActionListener ( this );
        button.setBounds ( 200, 400, 100, 40 );
        add ( button );
        timer = new Timer ( 1000, this );
        timer.setRepeats ( true );
        count = 0;
        running = false;
        System.out.println ( timer.isRepeats() );
        setVisible ( true );
    }
    public void actionPerformed ( ActionEvent e ) {
        if ( ! running ) {
            timer.start();
            running = true;
        }
        area.append ( Calendar.getInstance().getTime().toString() + "\n" );
        count++;
        if ( count == 10 ) {
            timer.stop();
            count = 0;
            running = false;
        }
    }
    public static void main ( String[] args ) {
        new TimerTest();
    }
}
