public long getIntervalTimeForFormat ( String formatPattern, TimeZone timezone, Locale locale, Date inputDate ) {
    Date someOddestDate = new Date ( 1318352124368L );
    GregorianCalendar calendar = new GregorianCalendar();
    calendar.setTime ( someOddestDate );
    GregorianCalendar calendarInput = new GregorianCalendar();
    calendarInput.setTime ( inputDate );
    Date reducedDate = null;
    try {
        SimpleDateFormat formatter = new SimpleDateFormat ( formatPattern, locale );
        formatter.setTimeZone ( timezone );
        reducedDate = formatter.parse ( formatter.format ( someOddestDate ) );
    } catch ( ParseException e ) {
        e.printStackTrace();
    }
    GregorianCalendar reducedCalendar = new GregorianCalendar();
    reducedCalendar.setTime ( reducedDate );
    int maxField = 0;
    int i = 14;
    while ( i > 0 &&  maxField == 0 ) {
        if ( reducedCalendar.get ( i ) == calendar.get ( i ) ) {
            maxField = i;
        }
        i--;
    }
    long valueInMillis = Long.MIN_VALUE;
    switch ( maxField ) {
    case 1:
        valueInMillis = calendarInput.getActualMaximum ( 6 ) * 24L * 60 * 60 * 1000;
        break;
    case 2:
        valueInMillis = calendarInput.getActualMaximum ( 5 ) * 24L * 60 * 60 * 1000;
        break;
    case 3:
    case 4:
        valueInMillis = 7 * 24L * 60 * 60 * 1000;
        break;
    case 5:
    case 6:
    case 7:
    case 8:
        valueInMillis = 24L * 60 * 60 * 1000;
        break;
    case 9:
        valueInMillis = 12L * 60 * 60 * 1000;
        break;
    case 10:
    case 11:
        valueInMillis = 60 * 60 * 1000;
        break;
    case 12:
        valueInMillis = 60 * 1000;
        break;
    case 13:
        valueInMillis = 1000;
        break;
    case 14:
        valueInMillis = 1;
        break;
    default:
        System.err.println ( "This should never happen." );
    }
    return valueInMillis;
