public void saveToXML ( String xml ) {
    Document dom;
    Element e = null;
    DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
    try {
        DocumentBuilder db = dbf.newDocumentBuilder();
        dom = db.newDocument();
        Element rootEle = dom.createElement ( "roles" );
        e = dom.createElement ( "role1" );
        e.appendChild ( dom.createTextNode ( role1 ) );
        rootEle.appendChild ( e );
        e = dom.createElement ( "role2" );
        e.appendChild ( dom.createTextNode ( role2 ) );
        rootEle.appendChild ( e );
        e = dom.createElement ( "role3" );
        e.appendChild ( dom.createTextNode ( role3 ) );
        rootEle.appendChild ( e );
        e = dom.createElement ( "role4" );
        e.appendChild ( dom.createTextNode ( role4 ) );
        rootEle.appendChild ( e );
        dom.appendChild ( rootEle );
        try {
            Transformer tr = TransformerFactory.newInstance().newTransformer();
            tr.setOutputProperty ( OutputKeys.INDENT, "yes" );
            tr.setOutputProperty ( OutputKeys.METHOD, "xml" );
            tr.setOutputProperty ( OutputKeys.ENCODING, "UTF-8" );
            tr.setOutputProperty ( OutputKeys.DOCTYPE_SYSTEM, "roles.dtd" );
            tr.setOutputProperty ( "{http://xml.apache.org/xslt}indent-amount", "4" );
            tr.transform ( new DOMSource ( dom ),
                           new StreamResult ( new FileOutputStream ( xml ) ) );
        } catch ( TransformerException te ) {
            System.out.println ( te.getMessage() );
        } catch ( IOException ioe ) {
            System.out.println ( ioe.getMessage() );
        }
    } catch ( ParserConfigurationException pce ) {
        System.out.println ( "UsersXML: Error trying to instantiate DocumentBuilder " + pce );
    }
}
