ServicePointManager.ServerCertificateValidationCallback += ( sender_ws, cert, chain, sslPolicyErrors ) => true;
HttpsTransportBindingElement transport = new HttpsTransportBindingElement();
TextMessageEncodingBindingElement text = new TextMessageEncodingBindingElement();
text.MessageVersion = MessageVersion.Soap11WSAddressing10;
TransportSecurityBindingElement b_element = new TransportSecurityBindingElement();
b_element.DefaultAlgorithmSuite = new Basic128SecurityAlgorithmSuite();
b_element.IncludeTimestamp = true;
b_element.KeyEntropyMode = SecurityKeyEntropyMode.CombinedEntropy;
b_element.MessageSecurityVersion = MessageSecurityVersion.WSSecurity11WSTrustFebruary2005WSSecureConversationFebruary2005WSSecurityPolicy11;
b_element.SecurityHeaderLayout = SecurityHeaderLayout.Lax;
CustomBinding customBinding = new CustomBinding();
customBinding.Name = "myOwnPersonalCustomBinding";
customBinding.Elements.Add ( b_element );
customBinding.Elements.Add ( text );
customBinding.Elements.Add ( transport );
Uri uri = new Uri ( "https://localhost:8181/test/hello" );
HelloWebServiceClient  wsClient = new HelloWebServiceClient ( customBinding, new EndpointAddress ( uri ) );
richTextBox1.Text = wsClient.hello ( textBox1.Text );
