private static class HeaderRenderer implements TableCellRenderer {
    DefaultTableCellRenderer renderer;
    public HeaderRenderer ( JTable table ) {
        renderer = ( DefaultTableCellRenderer )
                   table.getTableHeader().getDefaultRenderer();
        renderer.setHorizontalAlignment ( JLabel.CENTER );
    }
    @Override
    public Component getTableCellRendererComponent (
        JTable table, Object value, boolean isSelected,
        boolean hasFocus, int row, int col ) {
        return renderer.getTableCellRendererComponent (
                   table, value, isSelected, hasFocus, row, col );
    }
}
