public final class Config {
    private static final Properties properties = new Properties();
    static {
        try {
            ClassLoader loader = Thread.currentThread().getContextClassLoader();
            properties.load ( loader.getResourceAsStream ( "com/example/config.properties" ) );
        } catch ( IOException e ) {
            throw new ExceptionInInitializerError ( e );
        }
    }
    public static String getSetting ( String key ) {
        return properties.getProperty ( key );
    }
}
