public static <T> T getApplicationService ( Class<T> type ) {
    if ( !applicationServices.containsKey ( type ) ) {
        synchronized ( applicationServices ) {
            if ( !applicationServices.containsKey ( type ) ) {
                T newService = ServiceLoader.create ( type );
                applicationServices.put ( type, newService );
            }
        }
    }
    return ( T ) applicationServices.get ( type );
}
