public class SingleLIFOExecutor implements Executor {
    private final ThreadPoolExecutor executor;
    private Runnable lastCommand;
    public SingleLIFOExecutor() {
        executor = new ThreadPoolExecutor ( 0, 1, 0, MILLISECONDS, new ArrayBlockingQueue<Runnable> ( 1 ) );
    }
    @Override
    public void execute ( Runnable command ) {
        executor.remove ( lastCommand );
        lastCommand = command;
        executor.execute ( command );
    }
}
