DefaultMutableTreeNode findById ( TreeModel treeModel, Long id ) {
    if ( id == 0 ) {
        return ( DefaultMutableTreeNode ) treeModel.getRoot();
    }
    String curveId = "curve " + id;
    Enumeration en = ( ( DefaultMutableTreeNode ) treeModel.getRoot() ).breadthFirstEnumeration();
    while ( en.hasMoreElements() ) {
        DefaultMutableTreeNode node = ( DefaultMutableTreeNode ) en.nextElement();
        if ( curveId.equalsIgnoreCase ( node.toString() ) {
        return node;
    }
}
}
void removeById ( DefaultTreeModel treeModel, Long id ) {
    DefaultMutableTreeNode nodeToRemove = findById ( treeModel, id );
    if ( nodeToRemove != null ) {
        if ( nodeToRemove.isRoot() ) {
            nodeToRemove.removeAllChildren();
            treeModel.nodeStructuredChanged ( nodeToRemove );
        } else {
            treeModel.removeNodeFromParent ( nodeToRemove );
        }
    }
}
