static jint heap_inspection ( AttachOperation * op, outputStream * out ) {
    bool live_objects_only = true;
    const char * arg0 = op->arg ( 0 );
    if ( arg0 != NULL && ( strlen ( arg0 ) > 0 ) ) {
        if ( strcmp ( arg0, "-all" ) != 0 && strcmp ( arg0, "-live" ) != 0 ) {
            out->print_cr ( "Invalid argument to inspectheap operation: %s", arg0 );
            return JNI_ERR;
        }
        live_objects_only = strcmp ( arg0, "-live" ) == 0;
    }
    VM_GC_HeapInspection heapop ( out, live_objects_only  , true );
    VMThread::execute ( & heapop );
    return JNI_OK;
}
