String input = "The man liked his big hat. The hat was very big";
int proximity = 5;
String[] words = input.split ( "[\\W]+" );
Deque<String> haystack = new LinkedList<String> ( Arrays.asList ( Arrays.copyOfRange ( words, 0, proximity ) ) );
int count = haystack.size() - new HashSet<String> ( haystack ).size();
System.out.println ( "initial matches: " + count );
for ( int i = proximity; i < words.length; i++ ) {
    String word = words[i];
    System.out.println ( "matching '" + word + "' in [" + haystack + "]" );
    if ( haystack.contains ( word ) ) {
        System.out.println ( "matched word " + word + " at index " + i );
        count++;
    }
    haystack.removeFirst();
    haystack.addLast ( word );
}
System.out.println ( "total matches:" + count );
