import java.awt.*;
import javax.swing.*;
import javax.swing.event.PopupMenuEvent;
import javax.swing.event.PopupMenuListener;
public class PopupTest {
    public static void main ( String[] args ) {
        final JComboBox c = new JComboBox();
        c.addPopupMenuListener ( new PopupMenuListener() {
            @Override
            public void popupMenuCanceled ( PopupMenuEvent e ) {
                System.out.println ( e.getSource() );
            }
            @Override
            public void popupMenuWillBecomeInvisible ( PopupMenuEvent e ) {
                System.out.println ( e.getSource() );
            }
            @Override
            public void popupMenuWillBecomeVisible ( PopupMenuEvent e ) {
                System.out.println ( e.getSource() );
            }
        } );
        JFrame f = new JFrame ( "Test" );
        f.setDefaultCloseOperation ( WindowConstants.EXIT_ON_CLOSE );
        f.getContentPane().setLayout ( new FlowLayout() );
        f.getContentPane().add ( c );
        f.pack();
        f.setVisible ( true );
    }
    private PopupTest() {
    }
}
