% typemap ( javabase ) std::vector<double> "java.util.AbstractList<Double>"
% typemap ( javainterface ) std::vector<double> "java.util.RandomAccess"
% typemap ( javacode ) std::vector<double> % {
    public Double get ( int idx ) {
        return get_impl ( idx );
    }
    public int size() {
        return ( int ) size_impl();
    }
    public Double set ( int idx, Double d ) {
        Double old = get_impl ( idx );
        set_impl ( idx, d.doubleValue() );
        return old;
    }
    %
}
% typemap ( javabase ) std::vector<std::vector<double> > "java.util.AbstractList<Vector>"
% typemap ( javainterface ) std::vector<std::vector<double> > "java.util.RandomAccess"
% typemap ( javacode ) std::vector<std::vector<double> > % {
    public Vector get ( int idx ) {
        return get_impl ( idx );
    }
    public int size() {
        return ( int ) size_impl();
    }
    public Vector set ( int idx, Vector v ) {
        Vector old = get_impl ( idx );
        set_impl ( idx, v );
        return old;
    }
    %
}
