class ParentProcess {
    Map<int, CountDownLatch> finishSignals = new ConcurrentHashMap<int, CountDownLatch>();
    public void startProcess() {
        finishSignals.add ( processId, new CountDownLatch ( 1 ) );
    }
    public void shutDownProcess ( processId ) {
    }
    public void processFinishedNotification ( processId ) {
        finishSignals[processId].countDown()
    }
    public void waitForChildsToFinish() {
        for ( CountDownLatch childFinishSignal : finishSignals ) {
            childFinishSignal.await();
        }
    }
}
