% module method3
% {
#include "test.h"
#include <cassert>
    %
}
% typemap ( jni ) FILE * fd "jobject"
% typemap ( jstype ) FILE * fd "java.io.FileOutputStream"
% typemap ( jtype ) FILE * fd "java.io.FileDescriptor"
% typemap ( in ) ( FILE * fd ) {
    jfieldID field_fd;
    jclass class_fdesc;
    int rawfd;
    class_fdesc = jenv->FindClass ( "java/io/FileDescriptor" );
    assert ( class_fdesc );
    field_fd = jenv->GetFieldID ( class_fdesc, "fd", "I" );
    assert ( field_fd );
    rawfd = jenv->GetIntField ( $input, field_fd );
    $1 = fdopen ( rawfd, "w" );
}
% typemap ( javain, pre = "    retainFD = $javainput;",
            throws = "java.io.IOException" ) FILE * fd "$javainput.getFD()"
    % pragma ( java ) modulecode = % {
    private static java.io.FileOutputStream retainFD;
    %
}
% include "test.h"
