HttpURLConnection connection = null;
DataOutputStream outputStream = null;
DataInputStream inputStream = null;
String pathToOurFile = "/sdcard/file_to_send.mp3";
String urlServer = "http://192.168.10.1/handle_upload.do";
String lineEnd = "\r\n";
String twoHyphens = "--";
String boundary =  "*****";
int bytesRead, bytesAvailable, bufferSize;
byte[] buffer;
int maxBufferSize = 1 * 1024 * 1024;
try {
    FileInputStream fileInputStream = new FileInputStream ( new File ( pathToOurFile ) );
    URL url = new URL ( urlServer );
    connection = ( HttpURLConnection ) url.openConnection();
    connection.setDoInput ( true );
    connection.setDoOutput ( true );
    connection.setUseCaches ( false );
    connection.setRequestMethod ( "POST" );
    connection.setRequestProperty ( "Connection", "Keep-Alive" );
    connection.setRequestProperty ( "Content-Type", "multipart/form-data;boundary=" + boundary );
    outputStream = new DataOutputStream ( connection.getOutputStream() );
    outputStream.writeBytes ( twoHyphens + boundary + lineEnd );
    outputStream.writeBytes ( "Content-Disposition: form-data; name=\"uploadedfile\";filename=\"" + pathToOurFile + "\"" + lineEnd );
    outputStream.writeBytes ( lineEnd );
    bytesAvailable = fileInputStream.available();
    bufferSize = Math.min ( bytesAvailable, maxBufferSize );
    buffer = new byte[bufferSize];
    bytesRead = fileInputStream.read ( buffer, 0, bufferSize );
    while ( bytesRead > 0 ) {
        outputStream.write ( buffer, 0, bufferSize );
        bytesAvailable = fileInputStream.available();
        bufferSize = Math.min ( bytesAvailable, maxBufferSize );
        bytesRead = fileInputStream.read ( buffer, 0, bufferSize );
    }
    outputStream.writeBytes ( lineEnd );
    outputStream.writeBytes ( twoHyphens + boundary + twoHyphens + lineEnd );
    serverResponseCode = connection.getResponseCode();
    serverResponseMessage = connection.getResponseMessage();
    fileInputStream.close();
    outputStream.flush();
    outputStream.close();
} catch ( Exception ex ) {
}
