File f = new File ( "myfile.html" );
Document doc = Jsoup.parse ( f, "UTF-8", "http://example.com" );
doc.select ( "script, style, .hidden" ).remove();
Elements all = doc.select ( "*" );
for ( Element el : all ) {
    for ( Attribute attr : el.attributes() ) {
        String attrKey = attr.getKey();
        if ( attrKey.equals ( "style" ) || attrKey.startsWith ( "on" ) ) {
            el.removeAttr ( attrKey );
        }
    }
}
