public class Client {
    public static void main ( String[] args ) {
        String secretKey = "<MY_SECRET_KEY>";
        String awsKey = "<MY AWS KEY>";
        System.out.println ( "API Test started" );
        AWSECommerceService service = new AWSECommerceService();
        service.setHandlerResolver ( new AwsHandlerResolver ( secretKey ) );
        AWSECommerceServicePortType port = service.getAWSECommerceServicePort();
        com.ECS.client.jax.ItemSearchRequest itemRequest = new com.ECS.client.jax.ItemSearchRequest();
        itemRequest.setSearchIndex ( "Books" );
        itemRequest.setKeywords ( "Star Wars" );
        itemRequest.getResponseGroup().add ( "Large" );
        com.ECS.client.jax.ItemSearch ItemElement = new com.ECS.client.jax.ItemSearch();
        ItemElement.setAWSAccessKeyId ( awsKey );
        ItemElement.setAssociateTag ( "th0426-20" );
        ItemElement.getRequest().add ( itemRequest );
        com.ECS.client.jax.ItemSearchResponse response = port
                .itemSearch ( ItemElement );
        String r = response.toString();
        System.out.println ( "response: " + r );
        for ( Items itemList : response.getItems() ) {
            System.out.println ( itemList );
            for ( Item itemObj : itemList.getItem() ) {
                System.out.println ( itemObj.getItemAttributes().getTitle() );
                System.out.println ( itemObj.getDetailPageURL() );
            }
        }
        System.out.println ( "API Test stopped" );
    }
}
