public class Test3D extends Activity {
    private MyRenderer renderer;
    private MyAsyncTask gameLoop;
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.main );
        myRenderer = new MyRenderer();
        GLSurfaceView mGLView = ( GLSurfaceView ) findViewById ( R.id.glsurfaceview1 );
        mGLView.setEGLConfigChooser ( true );
        mGLView.setRenderer ( myRenderer );
        gameLoop = new MyAsyncTask();
        gameLoop.execute();
    }
    class MyAsyncTask extends AsyncTask<Void, Void, Void> {
        @Override
        protected Void doInBackground ( Void... arg0 ) {
            myRenderer.startCalc();
            while ( !myRenderer.isFinishedCalc() ) {
                try {
                    long x = 1000;
                    Thread.sleep ( x );
                } catch ( InterruptedException e ) {
                    e.printStackTrace();
                }
            }
            publishProgress ( null );
        }
        protected void onProgressUpdate ( Void... progress ) {
        }
    }
}
