import java.util.*;
import java.util.jar.*;
import java.io.*;
public class MainJarAtr {
    public static void main ( String[] args ) {
        BufferedReader in = new BufferedReader ( new InputStreamReader ( System.in ) );
        try {
            System.out.print ( "Enter jar file name: " );
            String filename = in.readLine();
            if ( !filename.endsWith ( ".jar" ) ) {
                System.out.println ( "File not in jar format." );
                System.exit ( 0 );
            }
            File file = new File ( filename );
            if ( file.exists() ) {
                JarFile jarfile = new JarFile ( filename );
                Manifest manifest = jarfile.getManifest();
                Attributes attrs = ( Attributes ) manifest.getMainAttributes();
                for ( Iterator it = attrs.keySet().iterator(); it.hasNext(); ) {
                    Attributes.Name attrName = ( Attributes.Name ) it.next();
                    System.out.print ( attrName + ": " );
                    String attrValue = attrs.getValue ( attrName );
                    System.out.print ( attrValue );
                    System.out.println();
                }
            } else {
                System.out.print ( "File not found." );
                System.exit ( 0 );
            }
        } catch ( IOException e ) {}
    }
}
