import android.app.Activity;
import android.os.Bundle;
import android.webkit.WebView;
import android.webkit.WebViewClient;
public class TestWebViewActivity extends Activity {
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.activity_main );
        WebView webView = ( WebView ) findViewById ( R.id.webview );
        webView.setWebViewClient ( new MyWebViewClient() );
    }
}
class MyWebViewClient extends WebViewClient {
    @Override
    public boolean shouldOverrideUrlLoading ( WebView view, String url ) {
        if ( url.contains ( "somePartOfYourUniqueUrl" ) ) {
            return super.shouldOverrideUrlLoading ( view, url );
        } else {
            view.loadUrl ( url );
            return true;
        }
    }
}
