public static void sendEmail ( final Activity activity, final String email ) {
    final Intent emailIntent = new Intent (
        android.content.Intent.ACTION_SEND );
    emailIntent.setType ( "plain/text" );
    emailIntent.putExtra ( android.content.Intent.EXTRA_EMAIL,
                           new String[] {email } );
    emailIntent.putExtra ( android.content.Intent.EXTRA_SUBJECT,
                           "Feedback" );
    emailIntent.putExtra ( android.content.Intent.EXTRA_TEXT, "" );
    activity.startActivity ( Intent.createChooser ( emailIntent,
                             "Send feedback" ) );
}
