public static String getNameReflection ( Color colorParam ) {
    try {
        Field[] field = Class.forName ( "java.awt.Color" ).getDeclaredFields();
        for ( Field f : field ) {
            String colorName = f.getName();
            Class<?> t = f.getType();
            if ( t == java.awt.Color.class ) {
                Color defined = ( Color ) f.get ( null );
                if ( defined.equals ( colorParam ) ) {
                    System.out.println ( colorName );
                    return colorName.toUpperCase();
                }
            }
        }
    } catch ( Exception e ) {
        System.out.println ( "Error... " + e.toString() );
    }
    return "NO_MATCH";
}
