public class CreateAccessGSON() {
    public static void main ( String[] args ) {
        Gson gson = new Gson();
        HashMap<Integer, AdminBean> tmpAdminMap = new HashMap<Integer, AdminBean>();
        AdminBean adminOne1 = new AdminBean();
        adminOne1.setName ( "Joe" );
        tmpAdminMap.put ( 1, adminOne1 );
        AdminBean adminOne2 = new AdminBean();
        adminOne2.setName ( "Blow" );
        tmpAdminMap.put ( 2, adminOne2 );
        DataObjectBean dataObjectBean = new DataObjectBean();
        dataObjectBean.setAdminMap ( tmpAdminMap );
        String jsonString = gson.toJson ( dataObjectBean );
        System.out.println ( jsonString );
        DataObjectBean accessDataObjectBean = gson.fromJson ( jsonString , DataObjectBean );
        HashMap<Integer, AdminBean> retrieveAdminMap = accessDataObjectBean.getAdminMap();
        System.out.println ( retrieveAdminMap.get ( 1 ).getName() );
        System.out.println ( retrieveAdminMap.get ( 2 ).getName() );
        System.out.println ( "Num of keys : " + retrieveAdminMap.size() );
        Set<Integer> setKey = retrieveAdminMap.keySet();
        for ( Integer keys : setKey ) {
            AdminBean eachAdmin = retrieveAdminMap.get ( keys );
            System.out.println ( eachAdmin.getName() );
        }
    }
}
public class AdminBean {
    private String name = "";
    public String getName() {
        return name;
    }
    public String setName ( String name ) {
        this.name = name;
    }
}
public class DataObjectBean {
    private HashMap<Integer, AdminBean> adminMap = new HashMap<Integer, AdminBean>();
    public String getAdminMap () {
        return adminMap ;
    }
    public String setAdminMap ( String adminMap ) {
        this.name = adminMap ;
    }
}
