private static void deserializeViaObjectAccess ( final String json ) {
    Gson gson = new Gson();
    JsonParser parser = new JsonParser();
    JsonObject object1 = parser.parse ( json ).getAsJsonObject().getAsJsonObject ( "object1" );
    Object1 result = gson.fromJson ( object1, Object1.class );
    int userId = object1.getAsJsonObject ( "user" ).getAsJsonPrimitive ( "id" ).getAsInt();
    result.setUserId ( userId );
    String names = "";
    JsonArray list = object1.getAsJsonObject ( "example" ).getAsJsonArray ( "list" );
    for ( int i = 0; i < list.size(); ++i ) {
        JsonObject entry = list.get ( i ).getAsJsonObject();
        String name = entry.getAsJsonPrimitive ( "name" ).getAsString();
        names = i == 0 ? name : names + "; " + name;
    }
    result.setNameList ( names );
    log.debug ( result.toString() );
}
