algorithms.put ( "MD2WITHRSAENCRYPTION", PKCSObjectIdentifiers.md2WithRSAEncryption );
algorithms.put ( "MD2WITHRSA", PKCSObjectIdentifiers.md2WithRSAEncryption );
algorithms.put ( "MD5WITHRSAENCRYPTION", PKCSObjectIdentifiers.md5WithRSAEncryption );
algorithms.put ( "MD5WITHRSA", PKCSObjectIdentifiers.md5WithRSAEncryption );
algorithms.put ( "SHA1WITHRSAENCRYPTION", PKCSObjectIdentifiers.sha1WithRSAEncryption );
algorithms.put ( "SHA1WITHRSA", PKCSObjectIdentifiers.sha1WithRSAEncryption );
algorithms.put ( "SHA224WITHRSAENCRYPTION", PKCSObjectIdentifiers.sha224WithRSAEncryption );
algorithms.put ( "SHA224WITHRSA", PKCSObjectIdentifiers.sha224WithRSAEncryption );
algorithms.put ( "SHA256WITHRSAENCRYPTION", PKCSObjectIdentifiers.sha256WithRSAEncryption );
algorithms.put ( "SHA256WITHRSA", PKCSObjectIdentifiers.sha256WithRSAEncryption );
algorithms.put ( "SHA384WITHRSAENCRYPTION", PKCSObjectIdentifiers.sha384WithRSAEncryption );
algorithms.put ( "SHA384WITHRSA", PKCSObjectIdentifiers.sha384WithRSAEncryption );
algorithms.put ( "SHA512WITHRSAENCRYPTION", PKCSObjectIdentifiers.sha512WithRSAEncryption );
algorithms.put ( "SHA512WITHRSA", PKCSObjectIdentifiers.sha512WithRSAEncryption );
algorithms.put ( "SHA1WITHRSAANDMGF1", PKCSObjectIdentifiers.id_RSASSA_PSS );
algorithms.put ( "SHA224WITHRSAANDMGF1", PKCSObjectIdentifiers.id_RSASSA_PSS );
algorithms.put ( "SHA256WITHRSAANDMGF1", PKCSObjectIdentifiers.id_RSASSA_PSS );
algorithms.put ( "SHA384WITHRSAANDMGF1", PKCSObjectIdentifiers.id_RSASSA_PSS );
algorithms.put ( "SHA512WITHRSAANDMGF1", PKCSObjectIdentifiers.id_RSASSA_PSS );
algorithms.put ( "RIPEMD160WITHRSAENCRYPTION", TeleTrusTObjectIdentifiers.rsaSignatureWithripemd160 );
algorithms.put ( "RIPEMD160WITHRSA", TeleTrusTObjectIdentifiers.rsaSignatureWithripemd160 );
algorithms.put ( "RIPEMD128WITHRSAENCRYPTION", TeleTrusTObjectIdentifiers.rsaSignatureWithripemd128 );
algorithms.put ( "RIPEMD128WITHRSA", TeleTrusTObjectIdentifiers.rsaSignatureWithripemd128 );
algorithms.put ( "RIPEMD256WITHRSAENCRYPTION", TeleTrusTObjectIdentifiers.rsaSignatureWithripemd256 );
algorithms.put ( "RIPEMD256WITHRSA", TeleTrusTObjectIdentifiers.rsaSignatureWithripemd256 );
algorithms.put ( "SHA1WITHDSA", X9ObjectIdentifiers.id_dsa_with_sha1 );
algorithms.put ( "DSAWITHSHA1", X9ObjectIdentifiers.id_dsa_with_sha1 );
algorithms.put ( "SHA224WITHDSA", NISTObjectIdentifiers.dsa_with_sha224 );
algorithms.put ( "SHA256WITHDSA", NISTObjectIdentifiers.dsa_with_sha256 );
algorithms.put ( "SHA384WITHDSA", NISTObjectIdentifiers.dsa_with_sha384 );
algorithms.put ( "SHA512WITHDSA", NISTObjectIdentifiers.dsa_with_sha512 );
algorithms.put ( "SHA1WITHECDSA", X9ObjectIdentifiers.ecdsa_with_SHA1 );
algorithms.put ( "ECDSAWITHSHA1", X9ObjectIdentifiers.ecdsa_with_SHA1 );
algorithms.put ( "SHA224WITHECDSA", X9ObjectIdentifiers.ecdsa_with_SHA224 );
algorithms.put ( "SHA256WITHECDSA", X9ObjectIdentifiers.ecdsa_with_SHA256 );
algorithms.put ( "SHA384WITHECDSA", X9ObjectIdentifiers.ecdsa_with_SHA384 );
algorithms.put ( "SHA512WITHECDSA", X9ObjectIdentifiers.ecdsa_with_SHA512 );
algorithms.put ( "GOST3411WITHGOST3410", CryptoProObjectIdentifiers.gostR3411_94_with_gostR3410_94 );
algorithms.put ( "GOST3411WITHGOST3410-94", CryptoProObjectIdentifiers.gostR3411_94_with_gostR3410_94 );
algorithms.put ( "GOST3411WITHECGOST3410", CryptoProObjectIdentifiers.gostR3411_94_with_gostR3410_2001 );
algorithms.put ( "GOST3411WITHECGOST3410-2001", CryptoProObjectIdentifiers.gostR3411_94_with_gostR3410_2001 );
algorithms.put ( "GOST3411WITHGOST3410-2001", CryptoProObjectIdentifiers.gostR3411_94_with_gostR3410_2001 );
