public class PairWithGivenCard
    extends Pair implements Comparable<PairWithGivenCard> {
    Card givenCard;
    Card otherCard;
    public PairWithGivenCard ( Card givenCard, Pair pair ) {
        this.givenCard = givenCard;
        for ( Card card : pair )
            if ( card != givenCard ) {
                otherCard = card;
            }
    }
    @Override
    public int compareTo ( PairWithGivenCard otherPair ) {
        return otherCard.compareTo ( otherPair.otherCard );
    }
}
