public class Elevator {
    private int currentFloor;
    public Elevator ( int initialFloor ) {
        this.currentFloor = initialFloor;
    }
    public int getCurrentFloor() {
        return currentFloor;
    }
    public void goToFloor ( int floor ) {
        if ( floor < currentFloor ) {
            goDownToFloor ( floor );
        } else if ( floor > currentFloor ) {
            goUpToFloor ( floor );
        }
        System.out.println ( "The elevator has arrived" );
    }
    private void goUpToFloor ( int floor ) {
        System.out.println ( "The elevator is on its way up..." );
    }
    private void goDownToFloor ( int floor ) {
        System.out.println ( "The elevator is on its way down..." );
    }
}
