public class SendManager {
    private static final String SEND_METHOD_NAME = "send";
    private ClassNameDAO classNameDao;
    public void send ( int methodId, Object param ) throws Exception {
        ClassNameRow classNameRow = classNameDao.findByMethodId ( methodId );
        String senderParameterClassName = className.senderParameterClassName();
        Class paramClass = Class.forName ( senderParameterClassName );
        if ( !paramClass.isInstance ( param ) ) {
            throw new IllegalArgumentException ( "methodId and param are not compatible" );
        }
        String senderClassName = classNameRow.getSenderClassName();
        Class senderClass = Class.forName ( senderClassName );
        Object sender = senderClass.newInstance();
        Class paramClass = Class.forName ( senderParameterClassName );
        Method send = senderClass.getMethod ( SEND_METHOD_NAME, paramClass );
        send.invoke ( sender, param );
    }
}
