public class ServletOutputStreamCopier extends ServletOutputStream {
    private OutputStream outputStream;
    private ByteArrayOutputStream copy;
    public ServletOutputStreamCopier ( OutputStream outputStream ) {
        this.outputStream = outputStream;
        this.copy = new ByteArrayOutputStream ( 1024 );
    }
    @Override
    public void write ( int b ) throws IOException {
        outputStream.write ( b );
        copy.write ( b );
    }
    public byte[] getCopy() {
        return copy.toByteArray();
    }
}
