import java.util.*;
class BinarySearchWithComparator {
    public static void main ( String[] args ) {
        List<User> l = new ArrayList<User>();
        l.add ( new User ( 10, "A" ) );
        l.add ( new User ( 20, "B" ) );
        l.add ( new User ( 30, "C" ) );
        Comparator<User> c = new Comparator<User>() {
            public int compare ( User u1, User u2 ) {
                return u1.getId().compareTo ( u2.getId() );
            }
        };
        int index = Collections.binarySearch ( l, new User ( 20, null ), c );
        System.out.println ( index );
        index = Collections.binarySearch ( l, new User ( 10, null ), c );
        System.out.println ( index );
        index = Collections.binarySearch ( l, new User ( 42, null ), c );
        System.out.println ( index );
    }
}
class User {
    private int id;
    private String name;
    public User ( int id, String name ) {
        this.id = id;
        this.name = name;
    }
    public Integer getId() {
        return Integer.valueOf ( id );
    }
}
