public abstract class EmployeeCardFileGenerator {
    public abstract String getFileName ( );
    public abstract String getLine ( EmployeeCardData data );
    public abstract String getHeader ( );
    public abstract String getFooter ( );
    public void generateFile ( ) {
        List<EmployeeCardData> data = queryData();
        File f = createFile();
        PrintWriter pw = getWriter ( f );
        pw.println ( getHeader() );
        for ( EmployeeCardData ec : data ) {
            pw.println ( getLine ( ec ) );
        }
        pw.println ( getFooter() );
        cleanup();
    }
}
