@Autowired
private Gson gson;
@RequestMapping ( value = "/path/info", method = RequestMethod.POST )
public String myMethod ( @RequestParam ( value = "data" ) String data,
                         Model model,
                         @Valid MyCustomObject myObj,
                         BindingResult result ) {
    myObj = gson.fromJson ( data, MyCustomObject.class );
    new MyCustomObjValidator().validate ( myObj, result );
    if ( result.hasErrors() ) {
        return myErrorView;
    }
    return mySuccessView;
}
