@Override
public void loadChildren ( CustomTreeNode tn ) {
    ctn = tn;
    LoadChildrenWorker worker = new LoadChildrenWorker();
    worker.execute();
}
private class LoadChildrenWorker extends SwingWorker<String, Object> {
    @Override
    protected String doInBackground() throws Exception {
    }
    @Override
    protected void done() {
        for ( String str : parseFromOutput ( get() ) ) {
            if ( str.endsWith ( "/" ) ) {
                ctn.add ( new CustomTreeNode ( "Directory" );
            } else {
                ctn.add ( new CustomTreeNode ( "Leaf" );
            }
        }
        ctn.fireChildrenLoaded();
    }
