package sennaparser;
import java.io.*;
import java.util.logging.Level;
import java.util.logging.Logger;
public class SennaReader {
    public String pathToSenna = "";
    public String[] getReadOut ( String input ) throws IOException, InterruptedException {
        Runtime rt = Runtime.getRuntime();
        String s = "cmd /C senna-win32.exe < tmp.tmp";
        FileWriter writer = new FileWriter ( pathToSenna + "/tmp.tmp" );
        writer.write ( input );
        writer.close();
        Process p;
        String[] params = new String[1];
        params[0] = "";
        File f = new File ( pathToSenna );
        p = rt.exec ( s, params, f );
        BufferedReader processOutput = new BufferedReader ( new InputStreamReader ( p.getInputStream() ), 500000 );
        BufferedWriter processInput = new BufferedWriter ( new OutputStreamWriter ( p.getOutputStream() ) );
        ReadThread r = new ReadThread ( processOutput );
        Thread th = new Thread ( r );
        th.start();
        p.waitFor();
        r.stop();
        s = r.res;
        p.destroy();
        th.join();
        return s.split ( "\n" );
    }
    public class ReadThread implements Runnable {
        BufferedReader reader;
        char[] buf = new char[100000];
        String res = "";
        boolean stop;
        public ReadThread ( BufferedReader reader ) {
            this.reader = reader;
            stop = false;
        }
        @Override
        public void run() {
            res = "";
            while ( !stop ) {
                try {
                    reader.read ( buf );
                    res += new String ( buf );
                } catch ( IOException ex ) {
                    Logger.getLogger ( SennaReader.class.getName() ).log ( Level.SEVERE, null, ex );
                }
            }
        }
        public void stop() {
            stop = true;
        }
    }
