public static BufferedImage toBufferedImage ( Image image ) {
    if ( image instanceof BufferedImage ) {
        return ( BufferedImage ) image;
    }
    image = new ImageIcon ( image ).getImage();
    BufferedImage bufferedImage = new BufferedImage ( image.getWidth ( null ), image.getHeight ( null ),  BufferedImage.TYPE_INT_ARGB );
    Graphics g = bufferedImage.createGraphics();
    g.drawImage ( image, 0, 0, null );
    g.dispose();
    return bufferedImage;
}
