package com.sb.skeleton;
import android.content.Context;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.EditText;
public class SBEditText extends EditText {
    public SBEditText ( Context context ) {
        super ( context );
    }
    public SBEditText ( Context context, AttributeSet attrs ) {
        super ( context, attrs );
    }
    public SBEditText ( Context context, AttributeSet attrs, int defStyle ) {
        super ( context, attrs, defStyle );
    }
    @Override
    public void setSelection ( int start, int stop ) {
        Log.d ( SkeletonAppActivity.TOSS, "selectionChanged" );
        super.setSelection ( start, stop );
    }
    @Override
    public void setSelection ( int index ) {
        Log.d ( SkeletonAppActivity.TOSS, "selectionChanged" );
        super.setSelection ( index );
    }
    @Override
    protected void onDraw ( Canvas canvas ) {
        setSelection ( getText().length() );
        super.onDraw ( canvas );
    }
}
