public static void getZipFiles ( String filename ) {
    try {
        String destinationname = "c:\\zip\\";
        byte[] buf = new byte[1024];
        ZipInputStream zipinputstream = null;
        ZipEntry zipentry;
        zipinputstream = new ZipInputStream (
            new FileInputStream ( filename ) );
        zipentry = zipinputstream.getNextEntry();
        while ( zipentry != null ) {
            String entryName = destinationname + zipentry.getName();
            entryName = entryName.replace ( '/', File.separatorChar );
            entryName = entryName.replace ( '\\', File.separatorChar );
            System.out.println ( "entryname " + entryName );
            int n;
            FileOutputStream fileoutputstream;
            File newFile = new File ( entryName );
            if ( zipentry.isDirectory() ) {
                if ( !newFile.mkdirs() ) {
                    break;
                }
                zipentry = zipinputstream.getNextEntry();
                continue;
            }
            fileoutputstream = new FileOutputStream ( entryName );
            while ( ( n = zipinputstream.read ( buf, 0, 1024 ) ) > -1 ) {
                fileoutputstream.write ( buf, 0, n );
            }
            fileoutputstream.close();
            zipinputstream.closeEntry();
            zipentry = zipinputstream.getNextEntry();
        }
        zipinputstream.close();
    } catch ( Exception e ) {
        e.printStackTrace();
    }
}
