@Override
public void tableChanged ( TableModelEvent tme ) {
    int row = tme.getFirstRow();
    int col = tme.getColumn();
    int type = tme.getType();
    switch ( type ) {
    case TableModelEvent.UPDATE:
        final int currentRow = table.convertRowIndexToView ( row );
        final int currentColumn = table.convertColumnIndexToView ( col );
        if ( currentRow == 0 ) {
            SwingUtilities.invokeLater ( new Runnable() {
                public void run() {
                    table.changeSelection ( currentRow, currentColumn, false, false );
                }
            } );
        }
        break;
    }
}
