private ArrayList<PackageInfoStruct> getPackages() {
    ArrayList<PackageInfoStruct> apps = getInstalledApps ( false );
    final int max = apps.size();
    for ( int i = 0; i < max; i++ ) {
        apps.get ( i );
    }
    return apps;
}
private ArrayList<PackageInfoStruct> getInstalledApps ( boolean getSysPackages ) {
    List<PackageInfo> packs = getPackageManager().getInstalledPackages ( 0 );
    try {
        app_labels = new String[packs.size()];
    } catch ( Exception e ) {
        Toast.makeText ( getApplicationContext(), e.getMessage(), Toast.LENGTH_SHORT ).show();
    }
    for ( int i = 0; i < packs.size(); i++ ) {
        PackageInfo p = packs.get ( i );
        if ( ( !getSysPackages ) && ( p.versionName == null ) ) {
            continue ;
        }
        PackageInfoStruct newInfo = new PackageInfoStruct();
        newInfo.appname = p.applicationInfo.loadLabel ( getPackageManager() ).toString();
        newInfo.pname = p.packageName;
        newInfo.versionName = p.versionName;
        newInfo.versionCode = p.versionCode;
        newInfo.icon = p.applicationInfo.loadIcon ( getPackageManager() );
        res.add ( newInfo );
        app_labels[i] = newInfo.appname;
    }
    return res;
}
