public class SeActivity extends Activity {
    public static final String PREFS_NAME = "MyPrefsFile1";
    public CheckBox dontShowAgain;
    @Override
    public void onCreate ( Bundle savedInstanceState ) {
        super.onCreate ( savedInstanceState );
        setContentView ( R.layout.main );
    }
    @Override
    protected void onResume() {
        AlertDialog.Builder adb = new AlertDialog.Builder ( this );
        LayoutInflater adbInflater = LayoutInflater.from ( this );
        View eulaLayout = adbInflater.inflate ( R.layout.checkbox, null );
        dontShowAgain = ( CheckBox ) eulaLayout.findViewById ( R.id.skip );
        adb.setView ( eulaLayout );
        adb.setTitle ( "Attention" );
        adb.setMessage ( Html.fromHtml ( "Zukky, how can I see this then?" ) );
        adb.setPositiveButton ( "Ok", new DialogInterface.OnClickListener() {
            public void onClick ( DialogInterface dialog, int which ) {
                String checkBoxResult = "NOT checked";
                if ( dontShowAgain.isChecked() ) {
                    checkBoxResult = "checked";
                }
                SharedPreferences settings = getSharedPreferences ( PREFS_NAME, 0 );
                SharedPreferences.Editor editor = settings.edit();
                editor.putString ( "skipMessage", checkBoxResult );
                editor.commit();
                startActivity ( new Intent ( Intent.ACTION_VIEW, Uri.parse ( "http://misha.beshkin.lv/android-alertdialog-with-checkbox/" ) ) );
                return;
            }
        } );
        adb.setNegativeButton ( "Cancel", new DialogInterface.OnClickListener() {
            public void onClick ( DialogInterface dialog, int which ) {
                String checkBoxResult = "NOT checked";
                if ( dontShowAgain.isChecked() ) {
                    checkBoxResult = "checked";
                }
                SharedPreferences settings = getSharedPreferences ( PREFS_NAME, 0 );
                SharedPreferences.Editor editor = settings.edit();
                editor.putString ( "skipMessage", checkBoxResult );
                editor.commit();
                return;
            }
        } );
        SharedPreferences settings = getSharedPreferences ( PREFS_NAME, 0 );
        String skipMessage = settings.getString ( "skipMessage", "NOT checked" );
        if ( !skipMessage.equals ( "checked" ) ) {
            adb.show();
        }
        super.onResume();
    }
}
