public void testSendError() throws Exception {
    context.getRouteDefinitions().get ( 0 ).adviceWith ( context, new AdviceWithRouteBuilder() {
        @Override
        public void configure() throws Exception {
            replaceFromWith ( "direct:input);
                              // intercept valid messages
                              interceptSendToEndpoint("ftp:
                              .skipSendToOriginalEndpoint()
                              .to ( "mock:valid" );
                              interceptSendToEndpoint ( "ftp://hostname/invalid" )
                              .skipSendToOriginalEndpoint()
                              .to ( "mock:invalid" );
        }
    } );
    context.start();
    getMockEndpoint ( "mock:invalid" ).expectedMessageCount ( 1 );
    getMockEndpoint ( "mock:valid" ).expectedMessageCount ( 0 );
    template.sendBody ( "direct:input", "Some invalid content here" );
    assertMockEndpointsSatisfied();
}
