public class Room {
    List<Wall> _walls = new ArrayList<Wall>();
    public Room ( List<List<Openable>> walls ) {
        for ( List<Openable> windowsOrDoors : walls ) {
            this._walls.add ( new Wall ( windowsOrDoors ) );
        }
    }
}
public class Wall {
    List<Door> doors = new ArrayList<Door>();
    List<Window> windows = new ArrayList<Window>();
    public Wall ( List<Openable> openables ) {
        for ( Openable windowsOrDoor : openables ) {
            if ( windowsOrDoor instanceOf Window ) {
                this.windows.add ( windowsOrDoors );
            } else {
                this.doors.add ( windowsOrDoors );
            }
        }
    }
}
public class Window implements Openable {
    public Window ( int w, int h ) {
    }
}
public class Door implements Openable {
    public Door ( int w, int h ) {
    }
}
public interface Openable {}
