public class DatabaseMigratorDependencyResolver implements BeanFactoryPostProcessor {
    @Override
    public void postProcessBeanFactory ( ConfigurableListableBeanFactory beanFactory ) {
        String[] beanNames = beanFactory.getBeanDefinitionNames();
        for ( String beanName : beanNames ) {
            BeanDefinition beanDefinition = beanFactory.getBeanDefinition ( beanName );
            boolean isDependentOnDatabaseMigrator = ...;
            if ( isDependentOnDatabaseMigrator ) {
                beanFactory.registerDependentBean ( "databaseMigrator", beanName );
            }
        }
    }
}
