public class MyModel implements AbstractTableModel {
    private ArrayList<Integer> data;
    ...
    ...
    public void sortToTop ( int a ) {
        Collections.sort ( data, new Comparator<Integer>() {
            public int compare ( int o1, int o2 ) {
                if ( o1 == a ) {
                    return -1;
                }
                if ( o2 == a ) {
                    return 1;
                }
                return o1.compareTo ( o2 );
            }
        } );
        int startIndex = 0;
        boolean notFound = true;
        while ( startIndex < data.size() && notFound ) {
            if ( data.get ( startIndex ) == a ) {
                startIndex++;
            } else {
                notFound = false;
            }
        }
        int endIndex = data.size();
        List<Integer> sublist = data.subList ( startIndex, endIndex );
        Collections.sort ( sublist, new Comparator<Integer>() {
            public int compare ( int o1, int o2 ) {
                if ( o1 == a ) {
                    return -1;
                }
                if ( o2 == a ) {
                    return 1;
                }
                return o1.compareTo ( o2 );
            }
        } );
        this.fireTableDataChanged();
    }
}
