public class Account {
    private Account next;
    private Account previous;
    private String username;
    private String password;
    private String email;
    private String name;
    private String breed;
    private String gender;
    private String age;
    private String state;
    private String hobby;
}
public class AccountLinkedList {
    private Account head;
    private int size;
    public AccountLinkedList() {
        this.size = 0;
        this.head = null;
    }
    public boolean insert ( Account account ) {
        if ( this.head == null ) {
            this.head = account;
        } else {
            Account current = head;
            while ( current.getNext() != null ) {
                current = current.getNext();
            }
            current.setNext ( account );
            account.setPrevious ( current );
        }
    }
    public Account findAccount ( Account account ) {
        Account current = head;
        while ( current != null ) {
            if ( current.equals ( account ) {
            return current;
        }
        current = current.getNext();
    }
    return null;
}
}
public class MyProgram {
public void jButtonP1ActionPerformed ( java.awt.event.ActionEvent evt ) {
        Account account = new Account();
        String username = jTextFieldP3.getText();
        String password = jPasswordFieldP1.getText();
        account.setUsername ( username );
        account.setPassword ( password );
        updateData();
    }
    public void updateData ( Account account ) {
        AccountLinkedList accountList = new AccountLinkedList;
        loadDataFromFile ( accountList, "myFile.txt" );
        Account accountAux = accountList.findAccount ( account );
        if ( accountAux != null ) {
            updateAccountData ( accountAux, account );
        } else {
            accountList.insert ( account );
        }
        saveDataToFile ( accountList, "myFile.txt" );
    }
}
