import javax.validation.Validation;
import javax.validation.Validator;
import javax.validation.ValidatorFactory;
import javax.validation.ConstraintViolation;
ValidatorFactory factory = Validation.byDefaultProvider().configure().buildValidatorFactory();
Validator validator = factory.getValidator();
Person person = new Person();
person.setFirstName ( "Andrew" );
Set<ConstraintViolation<Person>> violations = validator.validate ( person );
assert violations.size() == 1;
