Configuration conf = new Configuration();
Job job = new Job ( conf );
job.setMapperClass ( Mapper.class );
job.setReducerClass ( Reducer.class );
job.setJarByClass ( Mapper.class );
job.setOutputKeyClass ( Text.class );
job.setOutputValueClass ( Text.class );
job.setInputFormatClass ( SequenceFileInputFormat.class );
job.setOutputFormatClass ( TextOutputFormat.class );
SequenceFileInputFormat.addInputPath ( job, new Path ( "files/toMap/" ) );
FileSystem fs = FileSystem.get ( conf );
Path out = new Path ( "files/out/processed/" );
fs.delete ( out, true );
TextOutputFormat.setOutputPath ( job, out );
job.waitForCompletion ( true );
