import java.util.Arrays;
import java.util.List;
import javax.el.ELContext;
import javax.el.ExpressionFactory;
import javax.el.ValueExpression;
import de.odysseus.el.util.SimpleContext;
public class Sof9404739 {
    public static class MyItem {
        String name;
        public MyItem ( String name ) {
            this.name = name;
        }
        public String getName() {
            return name;
        }
        public void setName ( String name ) {
            this.name = name;
        }
    }
    public static class MyModel {
        List<MyModel> list;
        public List<?> getList() {
            return list;
        }
        public void setList ( List<MyModel> list ) {
            this.list = list;
        }
    }
    static ExpressionFactory factory = ExpressionFactory.newInstance();
    public static void main ( String[] args ) {
        ELContext context = new SimpleContext();
        ValueExpression listExpr =
            factory.createValueExpression ( context, "#{model.list}", List.class );
        ValueExpression nameExpr =
            factory.createValueExpression ( context, "#{item.name}", String.class );
        context.getELResolver().setValue ( context, null, "model", new MyModel() );
        context.getELResolver().setValue ( context, "model", "list",
                                           Arrays.asList ( new MyItem ( "alice" ), new MyItem ( "bob" ) ) );
        for ( Object item : ( List<?> ) listExpr.getValue ( context ) ) {
            context.getELResolver().setValue ( context, null, "item", item );
            System.out.println ( nameExpr.getValue ( context ) );
        }
    }
}
