SimpleExpandableListAdapter expListAdapter = new SimpleExpandableListAdapter (
    this, createGroupList(),
    R.layout.group_row,
    new String[] { "Group Item" },
    new int[] { R.id.row_name },
    createChildList(),
    R.layout.child_row,
    new String[] { "Sub Item" },
    new int[] { R.id.grp_child }
) {
    @Override
    public View getChildView ( int groupPosition, int childPosition,
                               boolean isLastChild, View convertView, ViewGroup parent ) {
        View v = super.getChildView ( groupPosition, childPosition,
                                      isLastChild, convertView, parent );
        if ( v != null ) {
            final String value = "Check Changed for Checkbox in tab: " + c + ", on Group: " + groupPosition
                                 + ", on Child: " + childPosition;
            CheckBox cb = ( CheckBox ) v.findViewById ( R.id.check );
            cb.setOnCheckedChangeListener ( new OnCheckedChangeListener() {
                public void onCheckedChanged ( CompoundButton arg0,
                                               boolean arg1 ) {
                    Toast toast = Toast.makeText ( ExpandableActivity.this, value, 2000 );
                    toast.show();
                }
            } );
        }
        return v;
    }
};
setListAdapter ( expListAdapter );
