if ( state == SHUTDOWN ) {
    r = workQueue.poll();
} else if ( poolSize > corePoolSize || allowCoreThreadTimeOut ) {
    r = workQueue.poll ( keepAliveTime, TimeUnit.NANOSECONDS );
} else {
    r = workQueue.take();
}
if ( r != null ) {
    return r;
}
if ( workerCanExit() ) {
    if ( runState >= SHUTDOWN ) {
        interruptIdleWorkers();
    }
    return null;
}
