public class ListChecker implements Runnable {
    static final int THREADS = 10;
    static final List<Integer> list = new ArrayList<Integer> ( THREADS );
    int id;
    public ListChecker ( int id ) {
        this.id = id;
    }
    @Override
    public void run() {
        StringBuilder result = new StringBuilder ();
        synchronized ( list ) {
            for ( Integer i : list ) {
                result.append ( i ).append ( "," );
            }
            list.add ( id );
        }
        System.out.println ( id + ": " + result.toString() );
    }
    public static void main ( String[] args ) {
        for ( int i = 1; i <= THREADS; i++ ) {
            ListChecker checker = new ListChecker ( i );
            new Thread ( checker ).start();
        }
    }
}
