@Entity
@Table ( name = "POWIAT" )
@IdClass ( GusPowiatPK.class )
public class GusPowiat {
    private Short powiatNr;
    private GusWojewodztwo wojewodztwo;
    private String nazwa;
    private Date stanNa;
    private boolean powiatMiejski;
    public GusPowiat() {
        super();
    }
    public GusPowiat ( Short powiatNr, GusWojewodztwo wojewodztwo ) {
        super();
        this.powiatNr = powiatNr;
        this.wojewodztwo = wojewodztwo;
    }
    @Id
    public Short getPowiatNr() {
        return powiatNr;
    }
    public void setPowiatNr ( Short powiatNr ) {
        this.powiatNr = powiatNr;
    }
    @Id
    public GusWojewodztwo getWojewodztwo() {
        return wojewodztwo;
    }
    public void setWojewodztwo ( GusWojewodztwo wojewodztwo ) {
        this.wojewodztwo = wojewodztwo;
    }
    @Column ( name = "NAZWA", length = 50, nullable = false )
    public String getNazwa() {
        return nazwa;
    }
    public void setNazwa ( String nazwa ) {
        this.nazwa = nazwa;
    }
    @Temporal ( TemporalType.DATE )
    @Column ( name = "STAN_NA", nullable = false )
    public Date getStanNa() {
        return stanNa;
    }
    public void setStanNa ( Date stanNa ) {
        this.stanNa = stanNa;
    }
    @Column ( name = "POW_MIEJSKI" )
    public boolean isPowiatMiejski() {
        return powiatMiejski;
    }
    public void setPowiatMiejski ( boolean powiatMiejski ) {
        this.powiatMiejski = powiatMiejski;
    }
}
