class DbBackupAction implements Runnable {
    private boolean backupSuccess;
    public DbBackupAction() {
        this.backupSuccess = false;
    }
    public void runBackup() {
    }
    @Override
    public void run() {
        Connection connection = JDBCUtils.getConnection();
        String dbName = NbPreferences.forModule ( DatabasePanel.class ).get ( "dbName", "" );
        try {
            DerbyUtils.backUpDatabase ( connection, dbName );
        } catch ( SQLException ex ) {
            Exceptions.printStackTrace ( ex );
        }
        setBackupSuccess ( true );
    }
    public boolean isBackupSuccess() {
        return backupSuccess;
    }
    public void setBackupSuccess ( boolean backupSuccess ) {
        this.backupSuccess = backupSuccess;
    }
}
