public class ComponentExchanger implements MouseListener {
    boolean hasclicked1 = false;
    JLabel click1label = null;
    JPanel mainPanel;
    public ComponentExchanger() {
        JFrame f = new JFrame();
        mainPanel = new JPanel();
        f.add ( mainPanel );
        for ( int i = 0; i < 9; i++ ) {
            JLabel l = new JLabel ( );
            Point loc = new Point ( );
            l.setLocation ( loc );
            mainPanel.add ( l );
            f.setVisible ( true );
        }
    }
    public static void main ( String args[] ) {
        new ComponentExchanger();
    }
    public void mouseClicked ( MouseEvent me ) {
        if ( !hasclicked1 ) {
            hasclicked1 = true;
            click1label = ( JLabel ) me.getSource();
        } else {
            hasclicked1 = false;
            exchangeComponents ( click1label, ( JLabel ) me.getSource(), mainPanel );
        }
        public void exchangeComponents ( JLabel component1, JLabel component2, JPanel jpanel ) {
            try {
                Component aux1 = component1;
                Point aux1Loc = aux1.getLocation();
                Component aux2 = component2;
                Point aux2Loc = aux2.getLocation();
                aux1.setLocation ( aux2Loc );
                aux2.setLocation ( aux1Loc );
            } catch ( java.lang.ArrayIndexOutOfBoundsException ex ) {
                System.exit ( 1 );
            }
        }
    }
