@Override
public FileVisitResult visitFile ( Path file, BasicFileAttributes attr ) {
    if ( attr.isRegularFile() && file.getFileName().toString().endsWith ( ".html" ) ) {
        Charset charset = Charset.forName ( "UTF-16" );
        try ( BufferedReader reader = Files.newBufferedReader ( file, charset ) ) {
            String line;
            while ( ( line = reader.readLine() ) != null ) {
                System.out.println ( line );
            }
        } catch ( IOException x ) {
        }
    }
    return CONTINUE;
}
